/*********************************************************
/* SAVED AS: PUT_LOC3.SAS
/* PURPOSE: Testing Freqs to see if it's a better way to
/*          create output for the Standard Tables.
/* WRITTEN BY: rlc  7/03/2002
/* PREV PGM: \CTPP2K\STD_TABS\MI\PUT.SAS
/* PREV PGM: \CTPP2K\STD_TABS\MI\TAB1.SAS
/* PREV PGM: \CTPP2K\STD_TABS\MI\MRGPLACE.SAS
/* PREV PGM: \CTPP2K\NAMES\2000\PLAC2500.SAS
/* PREV PGM: \CTPP2K\STD_TABS\MI\RECODE.SAS
/* PREV PGM: \CTPP2K\STD_TABS\PGMS\FREQS.SAS
/* PREV PGM: \CTPP2K\STD_TABS\PGMS\XT_STD.SAS
/* PREV PGM: \CTPP2K\STD_TABS\PGMS\CONTENTS.SAS
/* NEXT PGM:
/* NEXT PGM:
/*********************************************************/
 OPTIONS NOCENTER NOOVP SOURCE ls=80;


TITLE1 'Create files with the starting location for our data: Saved as PUT_LOC3.SAS';


%LET DATASIZE = 9.0;
** Set cell sizes for each variable;


%LET NAGE1        =  12;
%LET NAGE2        =   8;
%LET NAGE3        =   4;
%LET NAGE4        =   9;
%LET NCOW         =   8;
%LET NHISPANIC    =   3;
%LET NUSUAL_HRS   =   7;
%LET NIND         =  15;
%LET NOCC         =  25;
%LET NPOV_CAT     =   4;
%LET NRACE        =   5;
%LET NGRADE       =   7;
%LET NSEX         =   3;
%LET NYRS_IN_US   =   5;
%LET NMINORITY    =   3;
%LET NDISABLE1    =   3;
%LET NDISABLE2    =   3;
%LET NMODE1       =  18;
%LET NMODE2       =  11;
%LET NMODE3       =   8;
%LET NMODE4       =   5;
%LET NARRVETM1    =  40;
%LET NARRVETM2    =  14;
%LET NCTIME       =  17;
%LET NARRIVETM1   =  40;
%LET NARRIVETM2   =  14;
%LET NPERN_CAT    =  12;
%LET NGQ          =   3;
%LET ROUNDING = 'Y';

DATA _NULL_;
     ARRAY TAB1X(&NARRVETM1);                    * time arriving at work(38);
     ARRAY TAB2X(&NSEX,&NMODE1);                 * sex by means of transportation(17);
     ARRAY TAB3X(&NSEX,&NOCC);                   * sex by Occupation(24);
     ARRAY TAB4X(&NSEX,&NIND);                   * sex by Industry(14);
     ARRAY TAB5X(&NSEX,&NCOW);                   * sex by Class of Worker(7);
     ARRAY TAB6X(&NSEX,&NPERN_CAT);              * sex by Worker Earnings(11);
     ARRAY TAB7X(&NSEX,&NUSUAL_HRS);             * sex by Number of Hours usually worked last yr(6);
     ARRAY TAB8X(&NDISABLE1,&NMODE2);            * disability 1 by mode of trans (10);
     ARRAY TAB9X(&NOCC,&NMODE2);                 * Occup(24) by mode of trans (10);
     ARRAY TAB10X(&NIND,&NMODE2);                * Industry(14) by mode of trans (10);
     ARRAY TAB11X(&NIND,&NPERN_CAT);             * Industry(14) by worker Earnings(11);
     ARRAY TAB12X(&NCOW,&NMODE2);                * Class of Worker (7) by Means (10);
     ARRAY TAB13X(&NPERN_CAT,&NMODE2);           * Earnings (11) by Means (10);
     ARRAY TAB14X(&NAGE2,&NMODE2);               * Age2 (7) by Means (10);
     ARRAY TAB15X(&NOCC,&NIND);                  * Occ (24) by Ind (14);
     ARRAY TAB16X(&NOCC,&NARRVETM2);             * Occ (24) by ARRVEtm2 (12);
     ARRAY TAB17X(&NIND,&NARRVETM2);             * IND (14) by ARRVEtm2 (12);
     ARRAY TAB18X(&NYRS_IN_US,&NPERN_CAT);       * YRS_IN_US(4) by Earnings(11);
     ARRAY TAB19X(&NPERN_CAT,&NCTIME);           * Earnings (11) by Travel time (15);
     ARRAY TAB20X(&NYRS_IN_US,&NMODE2);          * YRS_IN_US(4) by Means of Trans (10);
     ARRAY TAB21X(&NMODE2,&NARRVETM2);           * Mode(10) by ARRVE time (12);
     ARRAY TAB22X(&NMODE2,&NCTIME);              * Mode(10) by Travel time (15);
     ARRAY TAB23X(&NHISPANIC,&NRACE,&NOCC);      * Occ (24);
     ARRAY TAB24X(&NHISPANIC,&NRACE,&NIND);      * Industry (14);
     ARRAY TAB25X(&NHISPANIC,&NRACE,&NCOW);      * Class of Worker (7);
     ARRAY TAB26X(&NHISPANIC,&NRACE,&NPERN_CAT); * Earnings (7);
     ARRAY TAB27X(&NHISPANIC,&NRACE,&NMODE3);    * Mode of Tranportation(7);
     ARRAY TAB28X(&NHISPANIC,&NRACE,&NCTIME);    * Travel Time(15);
     ARRAY TAB29X(&NMODE2,&NGQ);                 * Mode(10) by type of residence (2);

     ARRAY  STRING(6) $25;

     ARRAY  LINES(80);
     RETAIN LINES;

     RETAIN CR      13; * decimal equivalent of a carriage return;
     RETAIN LF      10; * decimal equivalent of a line feed;
     RETAIN FF      12; * Form Feed/Page eject;
     RETAIN GEO_LENGTH  80;
     RETAIN DATA_START  81;
     RETAIN DATASIZE     9;

     **************************************;
     **    residential tables 1 to 17    **;
     **************************************;
     file '/sds/jtw/ctpp/data/tables/part2/ctpp2_t001_t017.loc';

     TOTAL_CELLS = 0;
     * The geography data;
      
      PUT "                                                                                              ";
      PUT "                                                                                              ";
      PUT "                                                                                              ";
      PUT "The Geographic Header information for Part 2 of CTPP 2000 is located in the following positions: ";
      PUT "                                                                                              ";
      PUT "Name         Length        Columns      Description                                           ";
      PUT "                                                                                              ";
      PUT "FILEID         5            1 - 5       File identification (ctpp2 for this product)          ";
      PUT "SUMLEV         3            6 - 8       Census Workplace Summary level code                                        ";
      PUT "STATE          3            9 - 11      Modified Workplace FIPS State code (3 chars. zero-filled left)  ";
      PUT "COUNTY         3           12 - 14      Workplace FIPS county code                                      ";
      PUT "COUSUB         5           15 - 19      Workplace FIPS county subdivision code                          ";
      PUT "COUSUBCE       3           20 - 22      Workplace Census county subdivision code                        ";
      PUT "PLACE          5           23 - 27      Workplace FIPS place code (2,500+ pop. only)                    ";
      PUT "PLACECE        4           28 - 31      Workplace Census place code (2,500+ pop. only)                  ";
      PUT "TRACT          6           32 - 37      Workplace Census tract code                                     ";
      PUT "BLKGRP         1           38 - 38      Workplace Census block group code                               ";
      PUT "MSACMSA        4           39 - 42      Workplace Metropolitan Statistical Area or Consolidated MSA code";
      PUT "PMSA           4           43 - 46      Workplace Primary Metropolitan Statistical Area code ";
      PUT "FILLER1        5           47 - 51      Padding (blank-filled)         ";
      PUT "TAZ            6           52 - 57      Workplace Traffic Analyzis Zone code ";
      PUT "FILLER2        5           58 - 62      Padding (blank-filled)              ";
      PUT "MPOREG         4           63 - 66      Workplace Metro. Plan. Org. region code                         ";
      PUT "CTPPCZ         6           67 - 72      Workplace CTPP Combined Zone code                               ";
      PUT "FILLER         8           73 - 80      Padding (zero-filled)                                 ";
      PUT "                                                                                              ";
      
      

     ISTART = DATA_START;
     PUT " ";
     PUT " ";
     PUT "TABLE1  - Time arriving at Work     ";
     CELLS = &NARRVETM1;
     TOTAL_CELLS + CELLS;
     PUT "TABLE1(TM_ARRVE40) [&NARRVETM1.]    CELLS: "  CELLS 4.0 ;
     PUT "Table 1 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NARRVETM1;
        STRING(COL_NUM) = "TABLE01("
                       || PUT (I,2.)
                       ||  "):"
                       || PUT(ISTART,5.0);
        COL_NUM+1;
        IF COL_NUM = 6  OR I = &NARRVETM1 THEN DO;
           PUT
             STRING(1)   $25.
             STRING(2)   $25.
             STRING(3)   $25.
             STRING(4)   $25.
             STRING(5)   $25.
             STRING(6)   $25.
             ;

           STRING(1) = ' ';
           STRING(2) = ' ';
           STRING(3) = ' ';
           STRING(4) = ' ';
           STRING(5) = ' ';
           STRING(6) = ' ';
           COL_NUM = 1;
        END;
        ISTART   = ISTART + &DATASIZE;
     END;

     PUT " ";
     PUT " ";
     PUT "TABLE2  - Sex by Means of Transportation";
     CELLS = &NSEX * &NMODE1;
     TOTAL_CELLS + CELLS;
     PUT "TABLE2(SEX, MEANS18) [&NSEX.,&NMODE1.]    CELLS: "  CELLS 4.0;
     PUT "Table 2 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NSEX;
        DO J = 1 TO &NMODE1;

           STRING(COL_NUM) = "TABLE02("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NSEX AND J = &NMODE1) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE3  - Sex by Occupation";
     CELLS = &NSEX * &NOCC;
     TOTAL_CELLS + CELLS;
     PUT "TABLE3(SEX, OCCUPATION) [&NSEX.,&NOCC.]    CELLS: "  CELLS 4.0;
     PUT "Table 3 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NSEX;
        DO J = 1 TO &NOCC;

           STRING(COL_NUM) = "TABLE03("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NSEX AND J = &NOCC) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE4  - Sex by Industry";
     CELLS = &NSEX * &NIND;
     TOTAL_CELLS + CELLS;
     PUT "TABLE4(SEX, INDUSTRY) [&NSEX.,&NIND.]    CELLS: "  CELLS 4.0;
     PUT "Table 4 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NSEX;
        DO J = 1 TO &NIND;

           STRING(COL_NUM) = "TABLE04("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NSEX AND J = &NIND) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE5  - Sex by  Class of Worker";
     CELLS = &NSEX * &NCOW;
     TOTAL_CELLS + CELLS;
     PUT "TABLE5(SEX,COW) [&NSEX.,&NCOW.]    CELLS: "  CELLS 4.0;
     PUT "Table 5 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NSEX;
        DO J = 1 TO &NCOW;

           STRING(COL_NUM) = "TABLE05("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NSEX AND J = &NCOW) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE6  - Sex by Worker Earnings in 1999";
     CELLS = &NSEX * &NPERN_CAT;
     TOTAL_CELLS + CELLS;
     PUT "TABLE6(SEX, EARNINGS) [&NSEX.,&NPERN_CAT.]    CELLS: "  CELLS 4.0;
     PUT "Table 6 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NSEX;
        DO J = 1 TO &NPERN_CAT;

           STRING(COL_NUM) = "TABLE06("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NSEX AND J = &NPERN_CAT) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;


     PUT " ";
     PUT " ";
     PUT "TABLE7  - Sex by Hours worked per week in 1999";
     CELLS = &NSEX * &NUSUAL_HRS;
     TOTAL_CELLS + CELLS;
     PUT "TABLE7(SEX, USUAL_HRS) [&NSEX.,&NUSUAL_HRS.]    CELLS: "  CELLS 4.0;
     PUT "Table 7 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NSEX;
        DO J = 1 TO &NUSUAL_HRS;

           STRING(COL_NUM) = "TABLE07("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NSEX AND J = &NUSUAL_HRS) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;


     PUT " ";
     PUT " ";
     PUT "TABLE8  - Disability Status for persons 16 years old and older by Means of Transportation";
     CELLS = &NDISABLE1 * &NMODE2;
     TOTAL_CELLS + CELLS;
     PUT "TABLE8(DISAB_GE16, MEANS11) [&NDISABLE1.,&NMODE2.]    CELLS: "  CELLS 4.0;
     PUT "Table 8 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NDISABLE1;
        DO J = 1 TO &NMODE2;

           STRING(COL_NUM) = "TABLE08("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NDISABLE1 AND J = &NMODE2) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE9  - Occupation by Means of Transportation";
     CELLS = &NOCC * &NMODE2;
     TOTAL_CELLS + CELLS;
     PUT "TABLE9(OCCUPATION, MEANS11) [&NOCC.,&NMODE2.]    CELLS: "  CELLS 4.0;
     PUT "Table 9 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NOCC;
        DO J = 1 TO &NMODE2;

           STRING(COL_NUM) = "TABLE09("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NOCC AND J = &NMODE2) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE10 - Industry by Means of Transportation";
     CELLS = &NIND * &NMODE2;
     TOTAL_CELLS + CELLS;
     PUT "TABLE10(INDUSTRY, MEANS11) [&NIND.,&NMODE2.]    CELLS: "  CELLS 4.0;
     PUT "Table 10 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NIND;
        DO J = 1 TO &NMODE2;

           STRING(COL_NUM) = "TABLE10("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NIND AND J = &NMODE2) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE11 - Industry by Worker Earnings in 1999";
     CELLS = &NIND * &NPERN_CAT;
     TOTAL_CELLS + CELLS;
     PUT "TABLE11(INDUSTRY, EARNINGS) [&NIND.,&NPERN_CAT.]    CELLS: "  CELLS 4.0;
     PUT "Table 11 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NIND;
        DO J = 1 TO &NPERN_CAT;

           STRING(COL_NUM) = "TABLE11("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NIND AND J = &NPERN_CAT) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE12 - Class of Worker by Means of Transportation";
     CELLS = &NCOW * &NMODE2;
     TOTAL_CELLS + CELLS;
     PUT "TABLE12(COW, MEANS11) [&NCOW.,&NMODE2.]    CELLS: "  CELLS 4.0;
     PUT "Table 12 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NCOW;
        DO J = 1 TO &NMODE2;

           STRING(COL_NUM) = "TABLE12("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NCOW AND J = &NMODE2) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE13 - Worker Earnings in 1999 by Means of Transportation";
     CELLS = &NPERN_CAT * &NMODE2;
     TOTAL_CELLS + CELLS;
     PUT "TABLE13(EARNINGS, MEANS11) [&NPERN_CAT.,&NMODE2.]    CELLS: "  CELLS 4.0;
     PUT "Table 13 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NPERN_CAT;
        DO J = 1 TO &NMODE2;

           STRING(COL_NUM) = "TABLE13("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NPERN_CAT AND J = &NMODE2) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE14  - Age (Category 2) by Means of Transportation";
     CELLS = &NAGE2 * &NMODE2;
     TOTAL_CELLS + CELLS;
     PUT "TABLE14(AGE8, MEANS11) [&NAGE2.,&NMODE2.]    CELLS: "  CELLS 4.0;
     PUT "Table 14 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NAGE2;
        DO J = 1 TO &NMODE2;

           STRING(COL_NUM) = "TABLE14("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NAGE2 AND J = &NMODE2) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE15  - Occupation by Industry";
     CELLS = &NOCC * &NIND;
     TOTAL_CELLS + CELLS;
     PUT "TABLE15(OCCUPATION, INDUSTRY) [&NOCC.,&NIND.]    CELLS: "  CELLS 4.0;
     PUT "Table 15 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NOCC;
        DO J = 1 TO &NIND;

           STRING(COL_NUM) = "TABLE15("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NOCC AND J = &NIND) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE16  - Occupation by Time arriving at work";
     CELLS = &NOCC * &NARRVETM2;
     TOTAL_CELLS + CELLS;
     PUT "TABLE16(OCCUPATION, TM_ARRVE14) [&NOCC.,&NARRVETM2.]    CELLS: "  CELLS 4.0;
     PUT "Table 16 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NOCC;
        DO J = 1 TO &NARRVETM2;

           STRING(COL_NUM) = "TABLE16("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NOCC AND J = &NARRVETM2) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE17  - Industry by Time arriving at work";
     CELLS = &NIND * &NARRVETM2;
     TOTAL_CELLS + CELLS;
     PUT "TABLE17(INDUSTRY,TM_ARRVE14) [&NIND.,&NARRVETM2.]    CELLS: "  CELLS 4.0;
     PUT "Table 17 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NIND;
        DO J = 1 TO &NARRVETM2;

           STRING(COL_NUM) = "TABLE17("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NIND AND J = &NARRVETM2) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;


     PUT "  ";
     PUT "  ";
     PUT "TOTAL CELLS: " TOTAL_CELLS  5.0;
     LRECL = TOTAL_CELLS * DATASIZE + GEO_LENGTH;
     PUT "LRECL:       " LRECL        5.0;




     ****************************************;
     **     residential tables 18 to 29    **;
     ****************************************;
     file '/sds/jtw/ctpp/data/tables/part2/ctpp2_t018_t029.loc';

     TOTAL_CELLS = 0;
     * The geography data;
     PUT "                                                                                              ";
      PUT "                                                                                              ";
      PUT "                                                                                              ";
      PUT "The Geographic Header information for Part 2 of CTPP 2000 is located in the following positions: ";
      PUT "                                                                                              ";
      PUT "Name         Length        Columns      Description                                           ";
      PUT "                                                                                              ";
      PUT "FILEID         5            1 - 5       File identification (ctpp2 for this product)          ";
      PUT "SUMLEV         3            6 - 8       Census Workplace Summary level code                                        ";
      PUT "STATE          3            9 - 11      Modified Workplace FIPS State code (3 chars. zero-filled left)  ";
      PUT "COUNTY         3           12 - 14      Workplace FIPS county code                                      ";
      PUT "COUSUB         5           15 - 19      Workplace FIPS county subdivision code                          ";
      PUT "COUSUBCE       3           20 - 22      Workplace Census county subdivision code                        ";
      PUT "PLACE          5           23 - 27      Workplace FIPS place code (2,500+ pop. only)                    ";
      PUT "PLACECE        4           28 - 31      Workplace Census place code (2,500+ pop. only)                  ";
      PUT "TRACT          6           32 - 37      Workplace Census tract code                                     ";
      PUT "BLKGRP         1           38 - 38      Workplace Census block group code                               ";
      PUT "MSACMSA        4           39 - 42      Workplace Metropolitan Statistical Area or Consolidated MSA code";
      PUT "PMSA           4           43 - 46      Workplace Primary Metropolitan Statistical Area code ";
      PUT "FILLER1        5           47 - 51      Padding (blank-filled)         ";
      PUT "TAZ            6           52 - 57      Workplace Traffic Analyzis Zone code ";
      PUT "FILLER2        5           58 - 62      Padding (blank-filled)              ";
      PUT "MPOREG         4           63 - 66      Workplace Metro. Plan. Org. region code                         ";
      PUT "CTPPCZ         6           67 - 72      Workplace CTPP Combined Zone code                               ";
      PUT "FILLER         8           73 - 80      Padding (zero-filled)                                 ";
      PUT "                                                                                              ";


     ISTART = DATA_START;

     PUT " ";
     PUT " ";
     PUT "TABLE18  - Length of US Residence by Worker Earnings in 1999";
     CELLS = &NYRS_IN_US * &NPERN_CAT;
     TOTAL_CELLS + CELLS;
     PUT "TABLE18(YRS_IN_US, EARNINGS) [&NYRS_IN_US.,&NPERN_CAT.]    CELLS: "  CELLS 4.0;
     PUT "Table 18 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NYRS_IN_US;
        DO J = 1 TO &NPERN_CAT;

           STRING(COL_NUM) = "TABLE18("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NYRS_IN_US AND J = &NPERN_CAT) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE19 - Worker Earnings by Travel Time to Work";
     CELLS = &NPERN_CAT * &NCTIME;
     TOTAL_CELLS + CELLS;
     PUT "TABLE19(EARNINGS, TRAVEL_TM) [&NPERN_CAT.,&NCTIME.]    CELLS: "  CELLS 4.0;
     PUT "Table 19 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NPERN_CAT;
        DO J = 1 TO &NCTIME;

           STRING(COL_NUM) = "TABLE19("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NPERN_CAT AND J = &NCTIME) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE20 - Length of US Residence by Means of Transportation";
     CELLS = &NYRS_IN_US * &NMODE2;
     TOTAL_CELLS + CELLS;
     PUT "TABLE20(YRS_IN_US, MEANS11) [&NYRS_IN_US.,&NMODE2.]    CELLS: "  CELLS 4.0;
     PUT "Table 20 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NYRS_IN_US;
        DO J = 1 TO &NMODE2;

           STRING(COL_NUM) = "TABLE20("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NYRS_IN_US AND J = &NMODE2) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE21 - Means of Transportation by Time Arriving at work";
     CELLS = &NMODE2 * &NARRVETM2;
     TOTAL_CELLS + CELLS;
     PUT "TABLE21(MEANS11,TM_ARRVE14) [&NMODE2.,&NARRVETM2.]    CELLS: "  CELLS 4.0;
     PUT "Table 21 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NMODE2;
        DO J = 1 TO &NARRVETM2;

           STRING(COL_NUM) = "TABLE21("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NMODE2 AND J = &NARRVETM2) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE22 - Means of Transportation by Travel Time to Work";
     CELLS = &NMODE2 * &NCTIME;
     TOTAL_CELLS + CELLS;
     PUT "TABLE22(MEANS11, TRAVEL_TM) [&NMODE2.,&NCTIME.]    CELLS: "  CELLS 4.0;
     PUT "Table 22 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NMODE2;
        DO J = 1 TO &NCTIME;

           STRING(COL_NUM) = "TABLE22("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NMODE2 AND J = &NCTIME) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE23  - Hispanic Origin by Race by Occupation";
     CELLS = &NHISPANIC * &NRACE * &NOCC;
     TOTAL_CELLS + CELLS;
     PUT "TABLE23(HISPANIC, RACE, OCCUPATION) [&NHISPANIC.,&NRACE.,&NOCC.]    CELLS: "  CELLS 4.0;
     PUT "Table 23 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NHISPANIC;
        DO J = 1 TO &NRACE;
           DO K = 1 TO &NOCC;

              STRING(COL_NUM) = "TABLE23("
                              || PUT (I,2.)
                              || ","
                              || PUT (J,2.)
                              || ","
                              || PUT (K,2.)
                              ||  "):"
                              || PUT(ISTART,5.0);
              COL_NUM+1;
              IF COL_NUM = 6
                 OR (I = &NHISPANIC AND J = &NRACE AND K = &NOCC) THEN DO;
                 PUT
                   STRING(1)   $25.
                   STRING(2)   $25.
                   STRING(3)   $25.
                   STRING(4)   $25.
                   STRING(5)   $25.
                   STRING(6)   $25.
                   ;

                 STRING(1) = ' ';
                 STRING(2) = ' ';
                 STRING(3) = ' ';
                 STRING(4) = ' ';
                 STRING(5) = ' ';
                 STRING(6) = ' ';
                 COL_NUM = 1;
              END;
              ISTART   = ISTART + &DATASIZE;
           END;
        END;
     END;


     PUT " ";
     PUT " ";
     PUT "TABLE24  - Hispanic Origin by Race by Industry";
     CELLS = &NHISPANIC * &NRACE * &NIND;
     TOTAL_CELLS + CELLS;
     PUT "TABLE24(HISPANIC, RACE, INDUSTRY) [&NHISPANIC.,&NRACE.,&NIND.]    CELLS: "  CELLS 4.0;
     PUT "Table 24 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NHISPANIC;
        DO J = 1 TO &NRACE;
           DO K = 1 TO &NIND;

              STRING(COL_NUM) = "TABLE24("
                              || PUT (I,2.)
                              || ","
                              || PUT (J,2.)
                              || ","
                              || PUT (K,2.)
                              ||  "):"
                              || PUT(ISTART,5.0);
              COL_NUM+1;
              IF COL_NUM = 6
                 OR (I = &NHISPANIC AND J = &NRACE AND K = &NIND) THEN DO;
                 PUT
                   STRING(1)   $25.
                   STRING(2)   $25.
                   STRING(3)   $25.
                   STRING(4)   $25.
                   STRING(5)   $25.
                   STRING(6)   $25.
                   ;

                 STRING(1) = ' ';
                 STRING(2) = ' ';
                 STRING(3) = ' ';
                 STRING(4) = ' ';
                 STRING(5) = ' ';
                 STRING(6) = ' ';
                 COL_NUM = 1;
              END;
              ISTART   = ISTART + &DATASIZE;
           END;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE25  - Hispanic Origin by Race by Class of Worker";
     CELLS = &NHISPANIC * &NRACE * &NCOW;
     TOTAL_CELLS + CELLS;
     PUT "TABLE25(HISPANIC, RACE, COW) [&NHISPANIC.,&NRACE.,&NCOW.]    CELLS: "  CELLS 4.0;
     PUT "Table 25 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NHISPANIC;
        DO J = 1 TO &NRACE;
           DO K = 1 TO &NCOW;

              STRING(COL_NUM) = "TABLE25("
                              || PUT (I,2.)
                              || ","
                              || PUT (J,2.)
                              || ","
                              || PUT (K,2.)
                              ||  "):"
                              || PUT(ISTART,5.0);
              COL_NUM+1;
              IF COL_NUM = 6
                 OR (I = &NHISPANIC AND J = &NRACE AND K = &NCOW) THEN DO;
                 PUT
                   STRING(1)   $25.
                   STRING(2)   $25.
                   STRING(3)   $25.
                   STRING(4)   $25.
                   STRING(5)   $25.
                   STRING(6)   $25.
                   ;

                 STRING(1) = ' ';
                 STRING(2) = ' ';
                 STRING(3) = ' ';
                 STRING(4) = ' ';
                 STRING(5) = ' ';
                 STRING(6) = ' ';
                 COL_NUM = 1;
              END;
              ISTART   = ISTART + &DATASIZE;
           END;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE26  - Hispanic Origin by Race by Worker Earnings in 1999";
     CELLS = &NHISPANIC * &NRACE * &NPERN_CAT;
     TOTAL_CELLS + CELLS;
     PUT "TABLE26(HISPANIC, RACE, EARNINGS) [&NHISPANIC.,&NRACE.,&NPERN_CAT.]    CELLS: "  CELLS 4.0;
     PUT "Table 26 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NHISPANIC;
        DO J = 1 TO &NRACE;
           DO K = 1 TO &NPERN_CAT;

              STRING(COL_NUM) = "TABLE26("
                              || PUT (I,2.)
                              || ","
                              || PUT (J,2.)
                              || ","
                              || PUT (K,2.)
                              ||  "):"
                              || PUT(ISTART,5.0);
              COL_NUM+1;
              IF COL_NUM = 6
                 OR (I = &NHISPANIC AND J = &NRACE AND K = &NPERN_CAT) THEN DO;
                 PUT
                   STRING(1)   $25.
                   STRING(2)   $25.
                   STRING(3)   $25.
                   STRING(4)   $25.
                   STRING(5)   $25.
                   STRING(6)   $25.
                   ;

                 STRING(1) = ' ';
                 STRING(2) = ' ';
                 STRING(3) = ' ';
                 STRING(4) = ' ';
                 STRING(5) = ' ';
                 STRING(6) = ' ';
                 COL_NUM = 1;
              END;
              ISTART   = ISTART + &DATASIZE;
           END;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE27  - Hispanic Origin by Race by Means of Transportation";
     CELLS = &NHISPANIC * &NRACE * &NMODE3;
     TOTAL_CELLS + CELLS;
     PUT "TABLE27(HISPANIC, RACE, MEANS8) [&NHISPANIC.,&NRACE.,&NMODE3.]    CELLS: "  CELLS 4.0;
     PUT "Table 27 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NHISPANIC;
        DO J = 1 TO &NRACE;
           DO K = 1 TO &NMODE3;

              STRING(COL_NUM) = "TABLE27("
                              || PUT (I,2.)
                              || ","
                              || PUT (J,2.)
                              || ","
                              || PUT (K,2.)
                              ||  "):"
                              || PUT(ISTART,5.0);
              COL_NUM+1;
              IF COL_NUM = 6
                 OR (I = &NHISPANIC AND J = &NRACE AND K = &NMODE3) THEN DO;
                 PUT
                   STRING(1)   $25.
                   STRING(2)   $25.
                   STRING(3)   $25.
                   STRING(4)   $25.
                   STRING(5)   $25.
                   STRING(6)   $25.
                   ;

                 STRING(1) = ' ';
                 STRING(2) = ' ';
                 STRING(3) = ' ';
                 STRING(4) = ' ';
                 STRING(5) = ' ';
                 STRING(6) = ' ';
                 COL_NUM = 1;
              END;
              ISTART   = ISTART + &DATASIZE;
           END;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE28  - Hispanic Origin by Race by Travel Time to Work";
     CELLS = &NHISPANIC * &NRACE * &NCTIME;
     TOTAL_CELLS + CELLS;
     PUT "TABLE28(HISPANIC, RACE, TRAVEL_TM) [&NHISPANIC.,&NRACE.,&NCTIME.]    CELLS: "  CELLS 4.0;
     PUT "Table 28 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NHISPANIC;
        DO J = 1 TO &NRACE;
           DO K = 1 TO &NCTIME;

              STRING(COL_NUM) = "TABLE28("
                              || PUT (I,2.)
                              || ","
                              || PUT (J,2.)
                              || ","
                              || PUT (K,2.)
                              ||  "):"
                              || PUT(ISTART,5.0);
              COL_NUM+1;
              IF COL_NUM = 6
                 OR (I = &NHISPANIC AND J = &NRACE AND K = &NCTIME) THEN DO;
                 PUT
                   STRING(1)   $25.
                   STRING(2)   $25.
                   STRING(3)   $25.
                   STRING(4)   $25.
                   STRING(5)   $25.
                   STRING(6)   $25.
                   ;

                 STRING(1) = ' ';
                 STRING(2) = ' ';
                 STRING(3) = ' ';
                 STRING(4) = ' ';
                 STRING(5) = ' ';
                 STRING(6) = ' ';
                 COL_NUM = 1;
              END;
              ISTART   = ISTART + &DATASIZE;
           END;
        END;
     END;


    PUT " ";
     PUT " ";
     PUT "TABLE29  - Mode of Transportation by Type of Residence";
     CELLS = &NMODE2 * &NGQ;
     TOTAL_CELLS + CELLS;
     PUT "TABLE29(MEANS11, HH_OR_GQ) [&NMODE2.,&NGQ.]    CELLS: "  CELLS 4.0;
     PUT "Table 29 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NMODE2;
        DO J = 1 TO &NGQ;

           STRING(COL_NUM) = "TABLE29("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NMODE2 AND J = &NGQ) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;




     PUT "  ";
     PUT "  ";
     PUT "TOTAL CELLS: " TOTAL_CELLS  5.0;
     LRECL = TOTAL_CELLS * DATASIZE + GEO_LENGTH;
     PUT "LRECL:       " LRECL        5.0;

