
/*********************************************************
/* SAVED AS: PUTLOC_TABS030_46.sas
/* PURPOSE: Testing Freqs to see if it's a better way to
/*          create output for the Standard Tables.
/* WRITTEN BY: rlc  7/03/2002
/* PREV PGM: \CTPP2K\STD_TABS\MI\PUT.SAS
/* PREV PGM: \CTPP2K\STD_TABS\MI\TAB1.SAS
/* PREV PGM: \CTPP2K\STD_TABS\MI\MRGPLACE.SAS
/* PREV PGM: \CTPP2K\NAMES\2000\PLAC2500.SAS
/* PREV PGM: \CTPP2K\STD_TABS\MI\RECODE.SAS
/* PREV PGM: \CTPP2K\STD_TABS\PGMS\FREQS.SAS
/* PREV PGM: \CTPP2K\STD_TABS\PGMS\XT_STD.SAS
/* PREV PGM: \CTPP2K\STD_TABS\PGMS\CONTENTS.SAS
/* NEXT PGM:
/* NEXT PGM:
/*********************************************************/
OPTIONS NOCENTER NOOVP SOURCE ls=80;

*========================================;
%LET DATASIZE = 9.0;

** Set cell sizes for each variable;
%LET NHHINC11 = 11;
%LET NHHSIZE = 5;
%LET NHH_WORKERS = 6;
%LET NPOVERTY = 4;
%LET NAGE8 = 8;
%LET NEARNINGS = 12;
%LET NHHINC26 = 26;
%LET NMEANS11 = 11;
%LET NHHYNGEST = 5;
%LET NTMARRVE13 = 14;
%LET NYRS_IN_US = 5;
%LET NHHINC5 = 5;
%LET NMEANS8 = 8;
%LET NHISPANIC = 3;
%LET NRACE = 5;
%LET NVEHICLES6 = 6;
%LET NVEHICLES3 = 3;

DATA _NULL_;
     ARRAY  STRING(6) $25;
     ARRAY STRING_B(5) $32;
     ARRAY  LINES(80);

     RETAIN LINES;
     RETAIN CR      13; * decimal equivalent of a carriage return;
     RETAIN LF      10; * decimal equivalent of a line feed;
     RETAIN FF      12; * Form Feed/Page eject;
     RETAIN GEO_LENGTH  80;                         /* Line size */
     RETAIN DATA_START  81;							/* Column where the data starts */
     RETAIN DATASIZE     9;                         /* Size of variable */

     *----------------------------------------------
      Set file name: Tables 30 through 46
     ===============================================;
     file '/sds/jtw/ctpp/data/tables/part2/ctpp2_t030_t046.loc';

     TOTAL_CELLS = 0;
     *--------------------------------------------------------------------
      The geography data:  This goes at the beginning of the location file
     =====================================================================;
     
      PUT "                                                                                              ";
      PUT "                                                                                              ";
      PUT "                                                                                              ";
      PUT "The Geographic Header information for Part 2 of CTPP 2000 is located in the following positions: ";
      PUT "                                                                                              ";
      PUT "Name         Length        Columns      Description                                           ";
      PUT "                                                                                              ";
      PUT "FILEID         5            1 - 5       File identification (ctpp2 for this product)          ";
      PUT "SUMLEV         3            6 - 8       Census Workplace Summary level code                                        ";
      PUT "STATE          3            9 - 11      Modified Workplace FIPS State code (3 chars. zero-filled left)  ";
      PUT "COUNTY         3           12 - 14      Workplace FIPS county code                                      ";
      PUT "COUSUB         5           15 - 19      Workplace FIPS county subdivision code                          ";
      PUT "COUSUBCE       3           20 - 22      Workplace Census county subdivision code                        ";
      PUT "PLACE          5           23 - 27      Workplace FIPS place code (2,500+ pop. only)                    ";
      PUT "PLACECE        4           28 - 31      Workplace Census place code (2,500+ pop. only)                  ";
      PUT "TRACT          6           32 - 37      Workplace Census tract code                                     ";
      PUT "BLKGRP         1           38 - 38      Workplace Census block group code                               ";
      PUT "MSACMSA        4           39 - 42      Workplace Metropolitan Statistical Area or Consolidated MSA code";
      PUT "PMSA           4           43 - 46      Workplace Primary Metropolitan Statistical Area code ";
      PUT "FILLER1        5           47 - 51      Padding (blank-filled)         ";
      PUT "TAZ            6           52 - 57      Workplace Traffic Analyzis Zone code ";
      PUT "FILLER2        5           58 - 62      Padding (blank-filled)              ";
      PUT "MPOREG         4           63 - 66      Workplace Metro. Plan. Org. region code                         ";
      PUT "CTPPCZ         6           67 - 72      Workplace CTPP Combined Zone code                               ";
      PUT "FILLER         8           73 - 80      Padding (zero-filled)                                 ";
      PUT "                                                                                              ";
                                                                   


     ISTART = DATA_START;
	 
     PUT " ";
     PUT " ";
     PUT "TABLE30 - Household Income in 1999      ";
     CELLS = &Nhhinc11;
     TOTAL_CELLS + CELLS;
     PUT "TABLE30(HH_INC11) [&Nhhinc11.]    CELLS: "  CELLS 4.0 ;
     PUT "Table 30 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &Nhhinc11;
        STRING(COL_NUM) = "TABLE30("
                       || PUT (I,2.)
                       ||  "):"
                       || PUT(ISTART,5.0);
        COL_NUM+1;
        IF COL_NUM = 6  OR I = &Nhhinc11 THEN DO;
           PUT
             STRING(1)   $25.
             STRING(2)   $25.
             STRING(3)   $25.
             STRING(4)   $25.
             STRING(5)   $25.
             STRING(6)   $25.
             ;

           STRING(1) = ' ';
           STRING(2) = ' ';
           STRING(3) = ' ';
           STRING(4) = ' ';
           STRING(5) = ' ';
           STRING(6) = ' ';
           COL_NUM = 1;
        END;
        ISTART   = ISTART + &DATASIZE;
     END;


     PUT " ";
     PUT " ";
     PUT "TABLE31  - Number of workers in household by Household size";
     CELLS = &Nhh_workers * &Nhhsize;
     TOTAL_CELLS + CELLS;
     PUT "TABLE31(HH_WORKERS, HH_SIZE) [&Nhh_workers.,&Nhhsize.]    CELLS: "  CELLS 4.0;
     PUT "Table 31 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &Nhh_workers;
        DO J = 1 TO &Nhhsize;

           STRING(COL_NUM) = "TABLE31("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &Nhh_workers AND J = &Nhhsize) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE32  - Vehicles available by Poverty status in 1999";
     CELLS = &Nvehicles6 * &Npoverty;
     TOTAL_CELLS + CELLS;
     PUT "TABLE32(VEHICLES6, POVERTY) [&Nvehicles6.,&Npoverty.]    CELLS: "  CELLS 4.0;
     PUT "Table 32 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &Nvehicles6;
        DO J = 1 TO &Npoverty;

           STRING(COL_NUM) = "TABLE32("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &Nvehicles6 AND J = &Npoverty) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE33 - Age by Worker earnings in 1999";
     CELLS = &Nage8 * &Nearnings;
     TOTAL_CELLS + CELLS;
     PUT "TABLE33(AGE8, EARNINGS) [&Nage8.,&Nearnings.]    CELLS: "  CELLS 4.0;
     PUT "Table 33 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &Nage8;
        DO J = 1 TO &Nearnings;

           STRING(COL_NUM) = "TABLE33("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &Nage8 AND J = &Nearnings) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE34  - Household income in 1999 by Means of transportation to work";
     CELLS = &NHHINC26 * &NMEANS11;
     TOTAL_CELLS + CELLS;
     PUT "TABLE34(HH_INC26,MEANS11) [&NHHINC26.,&NMEANS11.]    CELLS: "  CELLS 4.0;
     PUT "Table 34 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NHHINC26;
        DO J = 1 TO &NMEANS11;

           STRING(COL_NUM) = "TABLE34("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NHHINC26 AND J = &NMEANS11) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE35  - Vehicles available by Means of transportation to work";
     CELLS = &NVEHICLES6 * &NMEANS11;
     TOTAL_CELLS + CELLS;
     PUT "TABLE35(VEHICLES6, MEANS11) [&NVEHICLES6.,&NMEANS11.]    CELLS: "  CELLS 4.0;
     PUT "Table 35 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NVEHICLES6;
        DO J = 1 TO &NMEANS11;

           STRING(COL_NUM) = "TABLE35("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NVEHICLES6 AND J = &NMEANS11) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;


     PUT " ";
     PUT " ";
     PUT "TABLE36  - Poverty status in 1999 by Means of transportation to work";
     CELLS = &NPOVERTY * &NMEANS11;
     TOTAL_CELLS + CELLS;
     PUT "TABLE36(POVERTY, MEANS11) [&NPOVERTY.,&NMEANS11.]    CELLS: "  CELLS 4.0;
     PUT "Table 36 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NPOVERTY;
        DO J = 1 TO &NMEANS11;

           STRING(COL_NUM) = "TABLE36("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NPOVERTY AND J = &NMEANS11) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;


     PUT " ";
     PUT " ";
     PUT "TABLE37  - Number of workers in household by Means of transportation to work";
     CELLS = &NHH_WORKERS * &NMEANS11;
     TOTAL_CELLS + CELLS;
     PUT "TABLE37(HH_WORKERS, MEANS11) [&NHH_WORKERS.,&NMEANS11.]    CELLS: "  CELLS 4.0;
     PUT "Table 37 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NHH_WORKERS;
        DO J = 1 TO &NMEANS11;

           STRING(COL_NUM) = "TABLE37("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NHH_WORKERS AND J = &NMEANS11) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE38  - Age of the youngest child in the household by Means of transportation";
     CELLS = &NHHYNGEST * &NMEANS11;
     TOTAL_CELLS + CELLS;
     PUT "TABLE38(HH_YNGEST, MEANS11) [&NHHYNGEST.,&NMEANS11.]    CELLS: "  CELLS 4.0;
     PUT "Table 38 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NHHYNGEST;
        DO J = 1 TO &NMEANS11;

           STRING(COL_NUM) = "TABLE38("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NHHYNGEST AND J = &NMEANS11) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE39 - Household income in 1999 by Worker earnings in 1999";
     CELLS = &NHHINC11 * &NEARNINGS;
     TOTAL_CELLS + CELLS;
     PUT "TABLE39(HH_INC11, EARNINGS) [&NHHINC11.,&NEARNINGS.]    CELLS: "  CELLS 4.0;
     PUT "Table 39 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NHHINC11;
        DO J = 1 TO &NEARNINGS;

           STRING(COL_NUM) = "TABLE39("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NHHINC11 AND J = &NEARNINGS) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE40 - Poverty status in 1999 by Time Arriving at work";
     CELLS = &NPOVERTY * &NTMARRVE13;
     TOTAL_CELLS + CELLS;
     PUT "TABLE40(POVERTY, TM_ARRVE14) [&NPOVERTY.,&NTMARRVE13.]    CELLS: "  CELLS 4.0;
     PUT "Table 40 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NPOVERTY;
        DO J = 1 TO &NTMARRVE13;

           STRING(COL_NUM) = "TABLE40("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NPOVERTY AND J = &NTMARRVE13) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;



     PUT " ";
     PUT " ";
     PUT "TABLE41 - Vehicles available by Length of US residence";
     CELLS = &NVEHICLES6 * &NYRS_IN_US;
     TOTAL_CELLS + CELLS;
     PUT "TABLE41(VEHICLES6, YRS_IN_US) [&NVEHICLES6.,&NYRS_IN_US.]    CELLS: "  CELLS 4.0;
     PUT "Table 41 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NVEHICLES6;
        DO J = 1 TO &NYRS_IN_US;

           STRING(COL_NUM) = "TABLE41("
                           || PUT (I,2.)
                           || ","
                           || PUT (J,2.)
                           ||  "):"
                           || PUT(ISTART,5.0);
           COL_NUM+1;
           IF COL_NUM = 6  OR (I = &NVEHICLES6 AND J = &NYRS_IN_US) THEN DO;
              PUT
                STRING(1)   $25.
                STRING(2)   $25.
                STRING(3)   $25.
                STRING(4)   $25.
                STRING(5)   $25.
                STRING(6)   $25.
                ;

              STRING(1) = ' ';
              STRING(2) = ' ';
              STRING(3) = ' ';
              STRING(4) = ' ';
              STRING(5) = ' ';
              STRING(6) = ' ';
              COL_NUM = 1;
           END;
           ISTART   = ISTART + &DATASIZE;
        END;
     END;

     PUT " ";
     PUT " ";
     PUT "TABLE42  - Household income in 1999 by Vehicles available by Means of transportation to work";
     CELLS = &NHHINC5 * &NVEHICLES6 * &NMEANS8;
     TOTAL_CELLS + CELLS;
     PUT "TABLE42(HH_INC5, VEHICLES6, MEANS8) [&NHHINC5.,&NVEHICLES6.,&NMEANS8.]    CELLS: "  CELLS 4.0;
     PUT "Table 42 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NHHINC5;
        DO J = 1 TO &NVEHICLES6;
           DO K = 1 TO &NMEANS8;

              STRING(COL_NUM) = "TABLE42("
                              || PUT (I,2.)
                              || ","
                              || PUT (J,2.)
                              || ","
                              || PUT (K,2.)
                              ||  "):"
                              || PUT(ISTART,5.0);
              COL_NUM+1;
              IF COL_NUM = 6
                 OR (I = &NHHINC5 AND J = &NVEHICLES6 AND K = &NMEANS8) THEN DO;
                 PUT
                   STRING(1)   $25.
                   STRING(2)   $25.
                   STRING(3)   $25.
                   STRING(4)   $25.
                   STRING(5)   $25.
                   STRING(6)   $25.
                   ;

                 STRING(1) = ' ';
                 STRING(2) = ' ';
                 STRING(3) = ' ';
                 STRING(4) = ' ';
                 STRING(5) = ' ';
                 STRING(6) = ' ';
                 COL_NUM = 1;
              END;
              ISTART   = ISTART + &DATASIZE;
           END;
        END;
     END;
	 

     PUT " ";
     PUT " ";
     PUT "TABLE43  - Household income in 1999 by Number of workers in household by Age of the youngest child in household";
     CELLS = &NHHINC5 * &NHH_WORKERS * &NHHYNGEST;
     TOTAL_CELLS + CELLS;
     PUT "TABLE43(HH_INC5, HH_WORKERS, HH_YNGEST) [&NHHINC5.,&NHH_WORKERS.,&NHHYNGEST.]    CELLS: "  CELLS 4.0;
     PUT "Table 43 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING(1) = ' ';
     STRING(2) = ' ';
     STRING(3) = ' ';
     STRING(4) = ' ';
     STRING(5) = ' ';
     STRING(6) = ' ';

     DO I = 1 TO &NHHINC5;
        DO J = 1 TO &NHH_WORKERS;
           DO K = 1 TO &NHHYNGEST;

              STRING(COL_NUM) = "TABLE43("
                              || PUT (I,2.)
                              || ","
                              || PUT (J,2.)
                              || ","
                              || PUT (K,2.)
                              ||  "):"
                              || PUT(ISTART,5.0);
              COL_NUM+1;
              IF COL_NUM = 6
                 OR (I = &NHHINC5 AND J = &NHH_WORKERS AND K = &NHHYNGEST) THEN DO;
                 PUT
                   STRING(1)   $25.
                   STRING(2)   $25.
                   STRING(3)   $25.
                   STRING(4)   $25.
                   STRING(5)   $25.
                   STRING(6)   $25.
                   ;

                 STRING(1) = ' ';
                 STRING(2) = ' ';
                 STRING(3) = ' ';
                 STRING(4) = ' ';
                 STRING(5) = ' ';
                 STRING(6) = ' ';
                 COL_NUM = 1;
              END;
              ISTART   = ISTART + &DATASIZE;
           END;
        END;
     END;	 
	 
     PUT " ";
     PUT " ";
     PUT "TABLE44  - Household income in 1999 by Hispanic Origin by Race by Means of transportation to work";
     CELLS = &NHHINC5 * &NHISPANIC * &NRACE * &NMEANS8;
     TOTAL_CELLS + CELLS;
     PUT "TABLE44(HH_INC5, HISPANIC, RACE, MEANS8) [&NHHINC5.,&NHISPANIC.,&NRACE.,&NMEANS8.]    CELLS: "  CELLS 4.0;
     PUT "Table 44 starting locations";
     PUT " ";

     LINE_NUM = 1;
     COL_NUM  = 1;
     STRING_B(1) = ' ';
     STRING_B(2) = ' ';
     STRING_B(3) = ' ';
     STRING_B(4) = ' ';
     STRING_B(5) = ' ';

     DO I = 1 TO &NHHINC5;
        DO J = 1 TO &NHISPANIC;
           DO K = 1 TO &NRACE;
		      DO L = 1 TO &NMEANS8;
                  STRING_B(COL_NUM) = "TABLE44("
                                  || PUT (I,2.)
                                  || ","
                                  || PUT (J,2.)
                                  || ","
                                  || PUT (K,2.)
                                  || ","
                                  || PUT (L,2.)
                                  ||  "):"
                                  || PUT(ISTART,5.0);
                  COL_NUM+1;
                  IF COL_NUM = 5
                     OR (I = &NHHINC5 AND J = &NHISPANIC AND K = &NRACE AND L = &NMEANS8) THEN DO;
                     PUT
                       STRING_B(1)   $32.
                       STRING_B(2)   $32.
                       STRING_B(3)   $32.
                       STRING_B(4)   $32.
                       STRING_B(5)   $32.
                       ;

                     STRING_B(1) = ' ';
                     STRING_B(2) = ' ';
                     STRING_B(3) = ' ';
                     STRING_B(4) = ' ';
                     STRING_B(5) = ' ';
                     COL_NUM = 1;
                  END;
                  ISTART   = ISTART + &DATASIZE;
	      END;	  
           END;
        END;
     END;	 
	 

     ** Table 45;
	 	 
	      PUT " ";
	      PUT " ";
	      PUT "TABLE45  - Vehicles available by Hispanic Origin by Race by Means of transportation to work";
	      CELLS = &NVEHICLES3 * &NHISPANIC * &NRACE * &NMEANS8;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE45(VEHICLES3, HISPANIC, RACE, MEANS8) [&NVEHICLES3.,&NHISPANIC.,&NRACE.,&NMEANS8.]    CELLS: "  CELLS 4.0;
	      PUT "Table 45 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING_B(1) = ' ';
	      STRING_B(2) = ' ';
	      STRING_B(3) = ' ';
	      STRING_B(4) = ' ';
	      STRING_B(5) = ' ';
	 
	      DO I = 1 TO &NVEHICLES3;
	         DO J = 1 TO &NHISPANIC;
	            DO K = 1 TO &NRACE;
	 		      DO L = 1 TO &NMEANS8;
	                   STRING_B(COL_NUM) = "TABLE45("
	                                   || PUT (I,2.)
	                                   || ","
	                                   || PUT (J,2.)
	                                   || ","
	                                   || PUT (K,2.)
	                                   || ","
	                                   || PUT (L,2.)
	                                   ||  "):"
	                                   || PUT(ISTART,5.0);
	                   COL_NUM+1;
	                   IF COL_NUM = 5
	                      OR (I = &NVEHICLES3 AND J = &NHISPANIC AND K = &NRACE AND L = &NMEANS8) THEN DO;
	                      PUT
	                        STRING_B(1)   $32.
	                        STRING_B(2)   $32.
	                        STRING_B(3)   $32.
	                        STRING_B(4)   $32.
	                        STRING_B(5)   $32.
	                        ;
	 
	                      STRING_B(1) = ' ';
	                      STRING_B(2) = ' ';
	                      STRING_B(3) = ' ';
	                      STRING_B(4) = ' ';
	                      STRING_B(5) = ' ';
	                      COL_NUM = 1;
	                   END;
	                   ISTART   = ISTART + &DATASIZE;
	 		END;	  
	            END;
	         END;
	      END;	 

    ** Table 46;	 
	 	 
	      PUT " ";
	      PUT " ";
	      PUT "TABLE46  - Poverty status in 1999 by Hispanic Origin by Race by Means of transportation to work";
	      CELLS = &NPOVERTY * &NHISPANIC * &NRACE * &NMEANS8;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE46(POVERTY, HISPANIC, RACE, MEANS8) [&NPOVERTY.,&NHISPANIC.,&NRACE.,&NMEANS8.]    CELLS: "  CELLS 4.0;
	      PUT "Table 46 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING_B(1) = ' ';
	      STRING_B(2) = ' ';
	      STRING_B(3) = ' ';
	      STRING_B(4) = ' ';
	      STRING_B(5) = ' ';
	 
	      DO I = 1 TO &NPOVERTY;
	         DO J = 1 TO &NHISPANIC;
	            DO K = 1 TO &NRACE;
	 		      DO L = 1 TO &NMEANS8;
	                   STRING_B(COL_NUM) = "TABLE46("
	                                   || PUT (I,2.)
	                                   || ","
	                                   || PUT (J,2.)
	                                   || ","
	                                   || PUT (K,2.)
	                                   || ","
	                                   || PUT (L,2.)
	                                   ||  "):"
	                                   || PUT(ISTART,5.0);
	                   COL_NUM+1;
	                   IF COL_NUM = 5
	                      OR (I = &NPOVERTY AND J = &NHISPANIC AND K = &NRACE AND L = &NMEANS8) THEN DO;
	                      PUT
	                        STRING_B(1)   $32.
	                        STRING_B(2)   $32.
	                        STRING_B(3)   $32.
	                        STRING_B(4)   $32.
	                        STRING_B(5)   $32.
	                        ;
	 
	                      STRING_B(1) = ' ';
	                      STRING_B(2) = ' ';
	                      STRING_B(3) = ' ';
	                      STRING_B(4) = ' ';
	                      STRING_B(5) = ' ';
	                      COL_NUM = 1;
	                   END;
	                   ISTART   = ISTART + &DATASIZE;
	 			  END;	  
	            END;
	         END;
	      END;	 
	
*====================================================================
END OF LOCATIONS OF TABLES 30 THROUGH 46
=====================================================================;							
     PUT "  ";
     PUT "  ";
     PUT "TOTAL CELLS: " TOTAL_CELLS  5.0;
     LRECL = TOTAL_CELLS * DATASIZE + GEO_LENGTH;
     PUT "LRECL:       " LRECL        5.0;
RUN;	 
