*---------------------------------------------------------------------
Program:	PUTLOC2_tabs047_066.sas
Purpose:	Create LOCATION FILE for CTPP2_t047_066.dat
Created by:     Jeanne Yang
Originally by:	Bob Cohen
Date Created:	October 4, 2002

Input:		NONE
Output:		/sds/jtw/ctpp/data/tables/part2/ctpp2_t047_066.loc
======================================================================;			
OPTIONS NOCENTER NOOVP SOURCE ls=132;
*========================================;
%LET DATASIZE = 9.0;
%LET BIGDATASIZE=15.0;

** Set cell sizes for each variable;
%LET NHH_WORKERS = 6;
%LET NMEANS18 =   18;
%LET NMEANS11 =   11;
%LET NTMLEAVE4 =  4;
%LET NTMARRVE14 = 14;
%LET NVEHICLES6 =   6;
%LET NESR7      =   7;

DATA _NULL_;

     ARRAY  STRING(6) $25;
     ARRAY  LINES(80);

     RETAIN LINES;
     RETAIN CR      13; * decimal equivalent of a carriage return;
     RETAIN LF      10; * decimal equivalent of a line feed;
     RETAIN FF      12; * Form Feed/Page eject;
     RETAIN GEO_LENGTH  80;                         /* Line size */
     RETAIN DATA_START  81;	                    /* Column where the data starts */
     RETAIN DATASIZE     9;                         /* Size of variable */

     *--------------------------------------------------------------------
	 Tables 88 through 121
	 =====================================================================;
     FILE '/sds/jtw/ctpp/data/tables/part2/ctpp2_t047_066.loc';

     TOTAL_CELLS = 0;
     *--------------------------------------------------------------------
	  The geography data:  This goes at the beginning of the location file
	 =====================================================================;
      PUT "                                                                                              ";
      PUT "                                                                                              ";
      PUT "                                                                                              ";
      PUT "The Geographic Header information for Part 2 of CTPP 2000 is located in the following positions: ";
      PUT "                                                                                              ";
      PUT "Name         Length        Columns      Description                                           ";
      PUT "                                                                                              ";
      PUT "FILEID         5            1 - 5       File identification (ctpp2 for this product)          ";
      PUT "SUMLEV         3            6 - 8       Census Workplace Summary level code                                        ";
      PUT "STATE          3            9 - 11      Modified Workplace FIPS State code (3 chars. zero-filled left)  ";
      PUT "COUNTY         3           12 - 14      Workplace FIPS county code                                      ";
      PUT "COUSUB         5           15 - 19      Workplace FIPS county subdivision code                          ";
      PUT "COUSUBCE       3           20 - 22      Workplace Census county subdivision code                        ";
      PUT "PLACE          5           23 - 27      Workplace FIPS place code (2,500+ pop. only)                    ";
      PUT "PLACECE        4           28 - 31      Workplace Census place code (2,500+ pop. only)                  ";
      PUT "TRACT          6           32 - 37      Workplace Census tract code                                     ";
      PUT "BLKGRP         1           38 - 38      Workplace Census block group code                               ";
      PUT "MSACMSA        4           39 - 42      Workplace Metropolitan Statistical Area or Consolidated MSA code";
      PUT "PMSA           4           43 - 46      Workplace Primary Metropolitan Statistical Area code ";
      PUT "FILLER1        5           47 - 51      Padding (blank-filled)         ";
      PUT "TAZ            6           52 - 57      Workplace Traffic Analyzis Zone code ";
      PUT "FILLER2        5           58 - 62      Padding (blank-filled)              ";
      PUT "MPOREG         4           63 - 66      Workplace Metro. Plan. Org. region code                         ";
      PUT "CTPPCZ         6           67 - 72      Workplace CTPP Combined Zone code                               ";
      PUT "FILLER         8           73 - 80      Padding (zero-filled)                                 ";
      PUT "                                                                                              ";

      put " ";
      put " ";
      put "*** Please note that most tables from 47 through 66 have data fields that are 9 characters in length,";
      put "like all the other CTPP 2000 Part 2 tables. However, the tables containing aggregate amounts (50, 52, and 63-66)"; 
      put "have cells that are each 15 characters in length. The supplied SAS program accounts for this, ";
      put "but if you are working with other software to read the ASCII files you should be aware of this difference.";

     ISTART = DATA_START;
	 

     ** Table 47. Median Earnings in 1999 by Means of Transportation to Work ;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE47 - Median Earnings in 1999 by Means of Transportation to Work";
	      CELLS = &NMEANS11;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE47(MEANS11) [&NMEANS11.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 47 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
	      DO I = 1 TO &NMEANS11;
	         STRING(COL_NUM) = "TABLE47("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NMEANS11 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &DATASIZE;
	      END;

     ** Table 48. Mean Earnings in 1999 by Means of Transportation to Work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE48 - Mean Earnings in 1999 by Means of Transportation to Work ";
	      CELLS = &NMEANS11;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE48(MEANS11) [&NMEANS11.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 48 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
	      DO I = 1 TO &NMEANS11;
	         STRING(COL_NUM) = "TABLE48("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NMEANS11 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &DATASIZE;
	      END;

     ** Table 49. Standard Deviation of Earnings in 1999 by Means of Transportation to Work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE49 - Standard Deviation of Earnings in 1999 by Means of Transportation to Work";
	      CELLS = &NMEANS11;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE49(MEANS11) [&NMEANS11.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 49 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
              DO I = 1 TO &NMEANS11;
	         STRING(COL_NUM) = "TABLE49("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NMEANS11 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &DATASIZE;
	      END;

	 ** Table 50. Aggregate Number of Vehicles Used by Time leaving home to go to Work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE50 - Aggregate Number of Vehicles Used by Time leaving home to go to work";
	      CELLS = &NTMLEAVE4;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE50(TM_LEAVE4A) [&NTMLEAVE4.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 50 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
	      DO I = 1 TO &NTMLEAVE4;
	         STRING(COL_NUM) = "TABLE50("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NTMLEAVE4 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &BIGDATASIZE;
	      END;

	 ** Table 51. Mean Number of workers per Vehicle Used by Time leaving home to go to Work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE51 - Mean Number of Workers per Vehicle Used by Time leaving home to go to work";
	      CELLS = &NTMLEAVE4;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE51(TM_LEAVE4A) [&NTMLEAVE4.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 51 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
	      DO I = 1 TO &NTMLEAVE4;
	         STRING(COL_NUM) = "TABLE51("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NTMLEAVE4 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &DATASIZE;
	      END;

	 ** Table 52. Aggregate number of Carpools by Time Leaving home to go to Work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE52 - Aggregate Number of Carpools by Time leaving home to go to work";
	      CELLS = &NTMLEAVE4;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE52(TM_LEAVE4B) [&NTMLEAVE4.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 52 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
	      DO I = 1 TO &NTMLEAVE4;
	         STRING(COL_NUM) = "TABLE52("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NTMLEAVE4 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &BIGDATASIZE;
	      END;

	 ** Table 53. Mean number of Workers per Carpool by Time Leaving home to go to Work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE53 - Mean Number of Workers per Carpool by Time leaving home to go to work";
	      CELLS = &NTMLEAVE4;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE53(TM_LEAVE4B) [&NTMLEAVE4.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 53 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
	      DO I = 1 TO &NTMLEAVE4;
	         STRING(COL_NUM) = "TABLE53("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NTMLEAVE4 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &DATASIZE;
	      END;

     ** Table 54. Median Travel Time by Means of Transportation To Work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE54 - Median Travel Time by Means of Transportation to Work";
	      CELLS = &NMEANS11;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE54(MEANS11) [&NMEANS11.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 54 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
              DO I = 1 TO &NMEANS11;
	         STRING(COL_NUM) = "TABLE54("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NMEANS11 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &DATASIZE;
	      END;

     ** Table 55. Median Travel Time by Means of Transportation To Work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE55 - Median Travel Time by Means of Transportation to Work";
	      CELLS = &NMEANS18;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE55(MEANS18) [&NMEANS18.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 55 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
              DO I = 1 TO &NMEANS18;
	         STRING(COL_NUM) = "TABLE55("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NMEANS18 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &DATASIZE;
	      END;

     ** Table 56. Mean Travel Time by Means of Transportation To Work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE56 - Mean Travel Time by Means of Transportation to Work";
	      CELLS = &NMEANS11;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE56(MEANS11) [&NMEANS11.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 56 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
              DO I = 1 TO &NMEANS11;
	         STRING(COL_NUM) = "TABLE56("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NMEANS11 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &DATASIZE;
	      END;

     ** Table 57. Mean Travel Time by Means of Transportation To Work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE57 - Mean Travel Time by Means of Transportation to Work";
	      CELLS = &NMEANS18;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE57(MEANS18) [&NMEANS18.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 57 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
              DO I = 1 TO &NMEANS18;
	         STRING(COL_NUM) = "TABLE57("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NMEANS18 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &DATASIZE;
	      END;

     ** Table 58. Standard Deviation of Travel Time by Means of Transportation To Work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE58 - Standard Deviation of Travel Time by Means of Transportation to Work";
	      CELLS = &NMEANS11;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE58(MEANS11) [&NMEANS11.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 58 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
              DO I = 1 TO &NMEANS11;
	         STRING(COL_NUM) = "TABLE58("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NMEANS11 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &DATASIZE;
	      END;

     ** Table 59. Standard Deviation of Travel Time by Means of Transportation To Work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE59 - Standard Deviation of Travel Time by Means of Transportation to Work";
	      CELLS = &NMEANS18;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE59(MEANS18) [&NMEANS18.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 59 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
              DO I = 1 TO &NMEANS18;
	         STRING(COL_NUM) = "TABLE59("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NMEANS18 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &DATASIZE;
	      END;

	 ** Table 60. Median Travel Time by Means of Transportation to Work by Time Arriving at Work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE60  - Median Travel Time by Means of Transportation to Work by Time Arriving at Work";
	      CELLS = &NMEANS11 * &NTMARRVE14;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE60(MEANS11, TM_ARRVE14) [&NMEANS11.,&NTMARRVE14.]    CELLS: "  CELLS 4.0;
	      PUT "Table 60 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
	      DO I = 1 TO &NMEANS11;
	         DO J = 1 TO &NTMARRVE14;
	 
	            STRING(COL_NUM) = "TABLE60("
	                            || PUT (I,2.)
	                            || ","
	                            || PUT (J,2.)
	                            ||  "):"
	                            || PUT(ISTART,5.0);
	            COL_NUM+1;
	            IF COL_NUM = 6  OR (I = &NMEANS11 AND J = &NTMARRVE14) THEN DO;
	               PUT
	                 STRING(1)   $25.
	                 STRING(2)   $25.
	                 STRING(3)   $25.
	                 STRING(4)   $25.
	                 STRING(5)   $25.
	                 STRING(6)   $25.
	                 ;
	 
	               STRING(1) = ' ';
	               STRING(2) = ' ';
	               STRING(3) = ' ';
	               STRING(4) = ' ';
	               STRING(5) = ' ';
	               STRING(6) = ' ';
	               COL_NUM = 1;
	            END;
	            ISTART   = ISTART + &DATASIZE;
	         END;
	      END;

	 ** Table 61. Mean Travel Time by Means of Transportation to Work by Time Arriving at Work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE61  - Mean Travel Time by Means of Transportation to Work by Time Arriving at Work";
	      CELLS = &NMEANS11 * &NTMARRVE14;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE61(MEANS11, TM_ARRVE14) [&NMEANS11.,&NTMARRVE14.]    CELLS: "  CELLS 4.0;
	      PUT "Table 61 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
	      DO I = 1 TO &NMEANS11;
	         DO J = 1 TO &NTMARRVE14;
	 
	            STRING(COL_NUM) = "TABLE61("
	                            || PUT (I,2.)
	                            || ","
	                            || PUT (J,2.)
	                            ||  "):"
	                            || PUT(ISTART,5.0);
	            COL_NUM+1;
	            IF COL_NUM = 6  OR (I = &NMEANS11 AND J = &NTMARRVE14) THEN DO;
	               PUT
	                 STRING(1)   $25.
	                 STRING(2)   $25.
	                 STRING(3)   $25.
	                 STRING(4)   $25.
	                 STRING(5)   $25.
	                 STRING(6)   $25.
	                 ;
	 
	               STRING(1) = ' ';
	               STRING(2) = ' ';
	               STRING(3) = ' ';
	               STRING(4) = ' ';
	               STRING(5) = ' ';
	               STRING(6) = ' ';
	               COL_NUM = 1;
	            END;
	            ISTART   = ISTART + &DATASIZE;
	         END;
	      END;

	 ** Table 62. Standard Deviation of Travel Time by Means of Transportation to Work by Time Arriving at Work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE62  - Standard Deviation of Travel Time by Means of Transportation to Work by Time Arriving at Work";
	      CELLS = &NMEANS11 * &NTMARRVE14;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE62(MEANS11, TM_ARRVE14) [&NMEANS11.,&NTMARRVE14.]    CELLS: "  CELLS 4.0;
	      PUT "Table 62 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
	      DO I = 1 TO &NMEANS11;
	         DO J = 1 TO &NTMARRVE14;
	 
	            STRING(COL_NUM) = "TABLE62("
	                            || PUT (I,2.)
	                            || ","
	                            || PUT (J,2.)
	                            ||  "):"
	                            || PUT(ISTART,5.0);
	            COL_NUM+1;
	            IF COL_NUM = 6  OR (I = &NMEANS11 AND J = &NTMARRVE14) THEN DO;
	               PUT
	                 STRING(1)   $25.
	                 STRING(2)   $25.
	                 STRING(3)   $25.
	                 STRING(4)   $25.
	                 STRING(5)   $25.
	                 STRING(6)   $25.
	                 ;
	 
	               STRING(1) = ' ';
	               STRING(2) = ' ';
	               STRING(3) = ' ';
	               STRING(4) = ' ';
	               STRING(5) = ' ';
	               STRING(6) = ' ';
	               COL_NUM = 1;
	            END;
	            ISTART   = ISTART + &DATASIZE;
	         END;
	      END;

	 ** Table 63. Aggregate Earnings by Means of transportation to work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE63 - Aggregate Earnings in 1999 by Means of transportation to work";
	      CELLS = &NMEANS11;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE63(MEANS11) [&NMEANS11.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 63 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
	      DO I = 1 TO &NMEANS11;
	         STRING(COL_NUM) = "TABLE63("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NMEANS11 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &BIGDATASIZE;
	      END;

	 ** Table 64. Aggregate Travel Time by Means of transportation to work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE64 - Aggregate Travel Time by Means of transportation to work";
	      CELLS = &NMEANS11;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE64(MEANS11) [&NMEANS11.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 64 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
	      DO I = 1 TO &NMEANS11;
	         STRING(COL_NUM) = "TABLE64("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NMEANS11 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &BIGDATASIZE;
	      END;

	 ** Table 65. Aggregate Travel Time by Means of transportation to work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE65 - Aggregate Travel Time by Means of transportation to work";
	      CELLS = &NMEANS18;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE65(MEANS18) [&NMEANS18.]    CELLS: "  CELLS 4.0 ;
	      PUT "Table 65 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
	      DO I = 1 TO &NMEANS18;
	         STRING(COL_NUM) = "TABLE65("
	                        || PUT (I,2.)
	                        ||  "):"
	                        || PUT(ISTART,5.0);
	         COL_NUM+1;
	         IF COL_NUM = 6  OR I = &NMEANS18 THEN DO;
	            PUT
	              STRING(1)   $25.
	              STRING(2)   $25.
	              STRING(3)   $25.
	              STRING(4)   $25.
	              STRING(5)   $25.
	              STRING(6)   $25.
	              ;
	 
	            STRING(1) = ' ';
	            STRING(2) = ' ';
	            STRING(3) = ' ';
	            STRING(4) = ' ';
	            STRING(5) = ' ';
	            STRING(6) = ' ';
	            COL_NUM = 1;
	         END;
	         ISTART   = ISTART + &BIGDATASIZE;
	      END;

	 ** Table 66.  Aggregate Travel Time by Means of Transportation to Work by Time Arriving at work;
	      PUT " ";
	      PUT " ";
	      PUT "TABLE66  - Aggregate Travel time by Means of Transportation to Work by Time Arriving at work";
	      CELLS = &NMEANS11 * &NTMARRVE14;
	      TOTAL_CELLS + CELLS;
	      PUT "TABLE66(MEANS11, TM_ARRVE14) [&NMEANS11.,&NTMARRVE14.]    CELLS: "  CELLS 4.0;
	      PUT "Table 66 starting locations";
	      PUT " ";
	 
	      LINE_NUM = 1;
	      COL_NUM  = 1;
	      STRING(1) = ' ';
	      STRING(2) = ' ';
	      STRING(3) = ' ';
	      STRING(4) = ' ';
	      STRING(5) = ' ';
	      STRING(6) = ' ';
	 
	      DO I = 1 TO &NMEANS11;
	         DO J = 1 TO &NTMARRVE14;
	 
	            STRING(COL_NUM) = "TABLE66("
	                            || PUT (I,2.)
	                            || ","
	                            || PUT (J,2.)
	                            ||  "):"
	                            || PUT(ISTART,5.0);
	            COL_NUM+1;
	            IF COL_NUM = 6  OR (I = &NMEANS11 AND J = &NTMARRVE14) THEN DO;
	               PUT
	                 STRING(1)   $25.
	                 STRING(2)   $25.
	                 STRING(3)   $25.
	                 STRING(4)   $25.
	                 STRING(5)   $25.
	                 STRING(6)   $25.
	                 ;
	 
	               STRING(1) = ' ';
	               STRING(2) = ' ';
	               STRING(3) = ' ';
	               STRING(4) = ' ';
	               STRING(5) = ' ';
	               STRING(6) = ' ';
	               COL_NUM = 1;
	            END;
	            ISTART   = ISTART + &BIGDATASIZE;
	         END;
	      END;

*============================================================
END OF LOCATIONS OF TABLES 47 through 66
=============================================================;							
     PUT "  ";
     PUT "  ";
     PUT "TOTAL CELLS: " TOTAL_CELLS  5.0;
     * 202 cells have length of 15, the rest have length of 9;
     LRECL = (202*15) + ((TOTAL_CELLS-202) * DATASIZE) + GEO_LENGTH;
     * LRECL = istart-1; 
     PUT "LRECL:       " LRECL        5.0;
RUN;
