*-----------------------------------------------------
READ47_66.SAS

Read the ASCII data from tables 47 TO 66
see CTTP2_T047_T066.LOC for additional information.

======================================================;
*set the log and list files to 132 characters wide and 78 lines long;
options nocenter ps=78 ls=132;

* set the macro variable to the state postal code;
%LET STATE = CA; **** change CA to your state Postal code;


filename in "\part2\&STATE._CTPP2_T047_T066.DAT"; ** input location/directory from which to read the ASCII file;

libname out "\part2\"	** output location/directory where you want to save the output SAS file;      


data out.&STATE._TABS047_066;   * output SAS dataset name;
     infile in lrecl=8421;  * input ASCII file location;
     input
       FILEID         $5.       /*  1 - 5  */
       SUMLEV         $3.       /*  6 - 8  */
       qpowst         $3.       /*  9 - 11 */
       qpowco         $3.       /* 12 - 14 */
       qpowmcdfips    $5.       /* 15 - 19 */
       qpowmcd        $3.       /* 20 - 22 */
       qpowplfips2    $5.       /* 23 - 27 */
       qpowpl2        $4.       /* 28 - 31 */
       qpowtract      $6.       /* 32 - 37 */
       qpowbkg        $1.       /* 38 - 38 */
       qpowMSACMSA    $4.       /* 39 - 42 */
       qpowPMSA       $4.       /* 43 - 46 */
       filler5        $5.       /* 47 - 51 */
       qpowTAZ        $6.       /* 52 - 57 */
       filler5        $5.       /* 58 - 62 */
       qpowmpo        $4.       /* 63 - 66 */
       qpowcz         $6.       /* 67 - 72 */
       FILLER         $8.       /* 73 - 80  fill out to 80 columns */  
   
       tab47x1        9.0
       tab47x2        9.0
       tab47x3        9.0
       tab47x4        9.0
       tab47x5        9.0
       tab47x6        9.0
       tab47x7        9.0
       tab47x8        9.0
       tab47x9        9.0
       tab47x10       9.0
       tab47x11       9.0
       tab48x1        9.0
       tab48x2        9.0
       tab48x3        9.0
       tab48x4        9.0
       tab48x5        9.0
       tab48x6        9.0
       tab48x7        9.0
       tab48x8        9.0
       tab48x9        9.0
       tab48x10       9.0
       tab48x11       9.0

       tab49x1        9.0
       tab49x2        9.0
       tab49x3        9.0
       tab49x4        9.0
       tab49x5        9.0
       tab49x6        9.0
       tab49x7        9.0
       tab49x8        9.0
       tab49x9        9.0
       tab49x10       9.0
       tab49x11       9.0

       tab50x1       15.0
       tab50x2       15.0
       tab50x3       15.0
       tab50x4       15.0
       tab51x1        9.2
       tab51x2        9.2
       tab51x3        9.2
       tab51x4        9.2
       tab52x1       15.0
       tab52x2       15.0
       tab52x3       15.0
       tab52x4       15.0
       tab53x1        9.2
       tab53x2        9.2
       tab53x3        9.2
       tab53x4        9.2

       tab54x1        9.1
       tab54x2        9.1
       tab54x3        9.1
       tab54x4        9.1
       tab54x5        9.1
       tab54x6        9.1
       tab54x7        9.1
       tab54x8        9.1
       tab54x9        9.1
       tab54x10       9.1
       tab54x11       9.1
       tab55x1        9.1
       tab55x2        9.1
       tab55x3        9.1
       tab55x4        9.1
       tab55x5        9.1
       tab55x6        9.1
       tab55x7        9.1
       tab55x8        9.1
       tab55x9        9.1
       tab55x10       9.1
       tab55x11       9.1
       tab55x12       9.1
       tab55x13       9.1
       tab55x14       9.1
       tab55x15       9.1
       tab55x16       9.1
       tab55x17       9.1
       tab55x18       9.1
       tab56x1        9.1
       tab56x2        9.1
       tab56x3        9.1
       tab56x4        9.1
       tab56x5        9.1
       tab56x6        9.1
       tab56x7        9.1
       tab56x8        9.1
       tab56x9        9.1
       tab56x10       9.1
       tab56x11       9.1
       tab57x1        9.1
       tab57x2        9.1
       tab57x3        9.1
       tab57x4        9.1
       tab57x5        9.1
       tab57x6        9.1
       tab57x7        9.1
       tab57x8        9.1
       tab57x9        9.1
       tab57x10       9.1
       tab57x11       9.1
       tab57x12       9.1
       tab57x13       9.1
       tab57x14       9.1
       tab57x15       9.1
       tab57x16       9.1
       tab57x17       9.1
       tab57x18       9.1
       tab58x1        9.1
       tab58x2        9.1
       tab58x3        9.1
       tab58x4        9.1
       tab58x5        9.1
       tab58x6        9.1
       tab58x7        9.1
       tab58x8        9.1
       tab58x9        9.1
       tab58x10       9.1
       tab58x11       9.1
       tab59x1        9.1
       tab59x2        9.1
       tab59x3        9.1
       tab59x4        9.1
       tab59x5        9.1
       tab59x6        9.1
       tab59x7        9.1
       tab59x8        9.1
       tab59x9        9.1
       tab59x10       9.1
       tab59x11       9.1
       tab59x12       9.1
       tab59x13       9.1
       tab59x14       9.1
       tab59x15       9.1
       tab59x16       9.1
       tab59x17       9.1
       tab59x18       9.1
       tab60x1        9.1
       tab60x2        9.1
       tab60x3        9.1
       tab60x4        9.1
       tab60x5        9.1
       tab60x6        9.1
       tab60x7        9.1
       tab60x8        9.1
       tab60x9        9.1
       tab60x10       9.1
       tab60x11       9.1
       tab60x12       9.1
       tab60x13       9.1
       tab60x14       9.1
       tab60x15       9.1
       tab60x16       9.1
       tab60x17       9.1
       tab60x18       9.1
       tab60x19       9.1
       tab60x20       9.1
       tab60x21       9.1
       tab60x22       9.1
       tab60x23       9.1
       tab60x24       9.1
       tab60x25       9.1
       tab60x26       9.1
       tab60x27       9.1
       tab60x28       9.1
       tab60x29       9.1
       tab60x30       9.1
       tab60x31       9.1
       tab60x32       9.1
       tab60x33       9.1
       tab60x34       9.1
       tab60x35       9.1
       tab60x36       9.1
       tab60x37       9.1
       tab60x38       9.1
       tab60x39       9.1
       tab60x40       9.1
       tab60x41       9.1
       tab60x42       9.1
       tab60x43       9.1
       tab60x44       9.1
       tab60x45       9.1
       tab60x46       9.1
       tab60x47       9.1
       tab60x48       9.1
       tab60x49       9.1
       tab60x50       9.1
       tab60x51       9.1
       tab60x52       9.1
       tab60x53       9.1
       tab60x54       9.1
       tab60x55       9.1
       tab60x56       9.1
       tab60x57       9.1
       tab60x58       9.1
       tab60x59       9.1
       tab60x60       9.1
       tab60x61       9.1
       tab60x62       9.1
       tab60x63       9.1
       tab60x64       9.1
       tab60x65       9.1
       tab60x66       9.1
       tab60x67       9.1
       tab60x68       9.1
       tab60x69       9.1
       tab60x70       9.1
       tab60x71       9.1
       tab60x72       9.1
       tab60x73       9.1
       tab60x74       9.1
       tab60x75       9.1
       tab60x76       9.1
       tab60x77       9.1
       tab60x78       9.1
       tab60x79       9.1
       tab60x80       9.1
       tab60x81       9.1
       tab60x82       9.1
       tab60x83       9.1
       tab60x84       9.1
       tab60x85       9.1
       tab60x86       9.1
       tab60x87       9.1
       tab60x88       9.1
       tab60x89       9.1
       tab60x90       9.1
       tab60x91       9.1
       tab60x92       9.1
       tab60x93       9.1
       tab60x94       9.1
       tab60x95       9.1
       tab60x96       9.1
       tab60x97       9.1
       tab60x98       9.1
       tab60x99       9.1
       tab60x100      9.1
       tab60x101      9.1
       tab60x102      9.1
       tab60x103      9.1
       tab60x104      9.1
       tab60x105      9.1
       tab60x106      9.1
       tab60x107      9.1
       tab60x108      9.1
       tab60x109      9.1
       tab60x110      9.1
       tab60x111      9.1
       tab60x112      9.1
       tab60x113      9.1
       tab60x114      9.1
       tab60x115      9.1
       tab60x116      9.1
       tab60x117      9.1
       tab60x118      9.1
       tab60x119      9.1
       tab60x120      9.1
       tab60x121      9.1
       tab60x122      9.1
       tab60x123      9.1
       tab60x124      9.1
       tab60x125      9.1
       tab60x126      9.1
       tab60x127      9.1
       tab60x128      9.1
       tab60x129      9.1
       tab60x130      9.1
       tab60x131      9.1
       tab60x132      9.1
       tab60x133      9.1
       tab60x134      9.1
       tab60x135      9.1
       tab60x136      9.1
       tab60x137      9.1
       tab60x138      9.1
       tab60x139      9.1
       tab60x140      9.1
       tab60x141      9.1
       tab60x142      9.1
       tab60x143      9.1
       tab60x144      9.1
       tab60x145      9.1
       tab60x146      9.1
       tab60x147      9.1
       tab60x148      9.1
       tab60x149      9.1
       tab60x150      9.1
       tab60x151      9.1
       tab60x152      9.1
       tab60x153      9.1
       tab60x154      9.1
       tab61x1        9.1
       tab61x2        9.1
       tab61x3        9.1
       tab61x4        9.1
       tab61x5        9.1
       tab61x6        9.1
       tab61x7        9.1
       tab61x8        9.1
       tab61x9        9.1
       tab61x10       9.1
       tab61x11       9.1
       tab61x12       9.1
       tab61x13       9.1
       tab61x14       9.1
       tab61x15       9.1
       tab61x16       9.1
       tab61x17       9.1
       tab61x18       9.1
       tab61x19       9.1
       tab61x20       9.1
       tab61x21       9.1
       tab61x22       9.1
       tab61x23       9.1
       tab61x24       9.1
       tab61x25       9.1
       tab61x26       9.1
       tab61x27       9.1
       tab61x28       9.1
       tab61x29       9.1
       tab61x30       9.1
       tab61x31       9.1
       tab61x32       9.1
       tab61x33       9.1
       tab61x34       9.1
       tab61x35       9.1
       tab61x36       9.1
       tab61x37       9.1
       tab61x38       9.1
       tab61x39       9.1
       tab61x40       9.1
       tab61x41       9.1
       tab61x42       9.1
       tab61x43       9.1
       tab61x44       9.1
       tab61x45       9.1
       tab61x46       9.1
       tab61x47       9.1
       tab61x48       9.1
       tab61x49       9.1
       tab61x50       9.1
       tab61x51       9.1
       tab61x52       9.1
       tab61x53       9.1
       tab61x54       9.1
       tab61x55       9.1
       tab61x56       9.1
       tab61x57       9.1
       tab61x58       9.1
       tab61x59       9.1
       tab61x60       9.1
       tab61x61       9.1
       tab61x62       9.1
       tab61x63       9.1
       tab61x64       9.1
       tab61x65       9.1
       tab61x66       9.1
       tab61x67       9.1
       tab61x68       9.1
       tab61x69       9.1
       tab61x70       9.1
       tab61x71       9.1
       tab61x72       9.1
       tab61x73       9.1
       tab61x74       9.1
       tab61x75       9.1
       tab61x76       9.1
       tab61x77       9.1
       tab61x78       9.1
       tab61x79       9.1
       tab61x80       9.1
       tab61x81       9.1
       tab61x82       9.1
       tab61x83       9.1
       tab61x84       9.1
       tab61x85       9.1
       tab61x86       9.1
       tab61x87       9.1
       tab61x88       9.1
       tab61x89       9.1
       tab61x90       9.1
       tab61x91       9.1
       tab61x92       9.1
       tab61x93       9.1
       tab61x94       9.1
       tab61x95       9.1
       tab61x96       9.1
       tab61x97       9.1
       tab61x98       9.1
       tab61x99       9.1
       tab61x100      9.1
       tab61x101      9.1
       tab61x102      9.1
       tab61x103      9.1
       tab61x104      9.1
       tab61x105      9.1
       tab61x106      9.1
       tab61x107      9.1
       tab61x108      9.1
       tab61x109      9.1
       tab61x110      9.1
       tab61x111      9.1
       tab61x112      9.1
       tab61x113      9.1
       tab61x114      9.1
       tab61x115      9.1
       tab61x116      9.1
       tab61x117      9.1
       tab61x118      9.1
       tab61x119      9.1
       tab61x120      9.1
       tab61x121      9.1
       tab61x122      9.1
       tab61x123      9.1
       tab61x124      9.1
       tab61x125      9.1
       tab61x126      9.1
       tab61x127      9.1
       tab61x128      9.1
       tab61x129      9.1
       tab61x130      9.1
       tab61x131      9.1
       tab61x132      9.1
       tab61x133      9.1
       tab61x134      9.1
       tab61x135      9.1
       tab61x136      9.1
       tab61x137      9.1
       tab61x138      9.1
       tab61x139      9.1
       tab61x140      9.1
       tab61x141      9.1
       tab61x142      9.1
       tab61x143      9.1
       tab61x144      9.1
       tab61x145      9.1
       tab61x146      9.1
       tab61x147      9.1
       tab61x148      9.1
       tab61x149      9.1
       tab61x150      9.1
       tab61x151      9.1
       tab61x152      9.1
       tab61x153      9.1
       tab61x154      9.1
       tab62x1        9.1
       tab62x2        9.1
       tab62x3        9.1
       tab62x4        9.1
       tab62x5        9.1
       tab62x6        9.1
       tab62x7        9.1
       tab62x8        9.1
       tab62x9        9.1
       tab62x10       9.1
       tab62x11       9.1
       tab62x12       9.1
       tab62x13       9.1
       tab62x14       9.1
       tab62x15       9.1
       tab62x16       9.1
       tab62x17       9.1
       tab62x18       9.1
       tab62x19       9.1
       tab62x20       9.1
       tab62x21       9.1
       tab62x22       9.1
       tab62x23       9.1
       tab62x24       9.1
       tab62x25       9.1
       tab62x26       9.1
       tab62x27       9.1
       tab62x28       9.1
       tab62x29       9.1
       tab62x30       9.1
       tab62x31       9.1
       tab62x32       9.1
       tab62x33       9.1
       tab62x34       9.1
       tab62x35       9.1
       tab62x36       9.1
       tab62x37       9.1
       tab62x38       9.1
       tab62x39       9.1
       tab62x40       9.1
       tab62x41       9.1
       tab62x42       9.1
       tab62x43       9.1
       tab62x44       9.1
       tab62x45       9.1
       tab62x46       9.1
       tab62x47       9.1
       tab62x48       9.1
       tab62x49       9.1
       tab62x50       9.1
       tab62x51       9.1
       tab62x52       9.1
       tab62x53       9.1
       tab62x54       9.1
       tab62x55       9.1
       tab62x56       9.1
       tab62x57       9.1
       tab62x58       9.1
       tab62x59       9.1
       tab62x60       9.1
       tab62x61       9.1
       tab62x62       9.1
       tab62x63       9.1
       tab62x64       9.1
       tab62x65       9.1
       tab62x66       9.1
       tab62x67       9.1
       tab62x68       9.1
       tab62x69       9.1
       tab62x70       9.1
       tab62x71       9.1
       tab62x72       9.1
       tab62x73       9.1
       tab62x74       9.1
       tab62x75       9.1
       tab62x76       9.1
       tab62x77       9.1
       tab62x78       9.1
       tab62x79       9.1
       tab62x80       9.1
       tab62x81       9.1
       tab62x82       9.1
       tab62x83       9.1
       tab62x84       9.1
       tab62x85       9.1
       tab62x86       9.1
       tab62x87       9.1
       tab62x88       9.1
       tab62x89       9.1
       tab62x90       9.1
       tab62x91       9.1
       tab62x92       9.1
       tab62x93       9.1
       tab62x94       9.1
       tab62x95       9.1
       tab62x96       9.1
       tab62x97       9.1
       tab62x98       9.1
       tab62x99       9.1
       tab62x100      9.1
       tab62x101      9.1
       tab62x102      9.1
       tab62x103      9.1
       tab62x104      9.1
       tab62x105      9.1
       tab62x106      9.1
       tab62x107      9.1
       tab62x108      9.1
       tab62x109      9.1
       tab62x110      9.1
       tab62x111      9.1
       tab62x112      9.1
       tab62x113      9.1
       tab62x114      9.1
       tab62x115      9.1
       tab62x116      9.1
       tab62x117      9.1
       tab62x118      9.1
       tab62x119      9.1
       tab62x120      9.1
       tab62x121      9.1
       tab62x122      9.1
       tab62x123      9.1
       tab62x124      9.1
       tab62x125      9.1
       tab62x126      9.1
       tab62x127      9.1
       tab62x128      9.1
       tab62x129      9.1
       tab62x130      9.1
       tab62x131      9.1
       tab62x132      9.1
       tab62x133      9.1
       tab62x134      9.1
       tab62x135      9.1
       tab62x136      9.1
       tab62x137      9.1
       tab62x138      9.1
       tab62x139      9.1
       tab62x140      9.1
       tab62x141      9.1
       tab62x142      9.1
       tab62x143      9.1
       tab62x144      9.1
       tab62x145      9.1
       tab62x146      9.1
       tab62x147      9.1
       tab62x148      9.1
       tab62x149      9.1
       tab62x150      9.1
       tab62x151      9.1
       tab62x152      9.1
       tab62x153      9.1
       tab62x154      9.1

       tab63x1        15.0
       tab63x2        15.0
       tab63x3        15.0
       tab63x4        15.0
       tab63x5        15.0
       tab63x6        15.0
       tab63x7        15.0
       tab63x8        15.0
       tab63x9        15.0
       tab63x10       15.0
       tab63x11       15.0

       tab64x1       15.0
       tab64x2       15.0
       tab64x3       15.0
       tab64x4       15.0
       tab64x5       15.0
       tab64x6       15.0
       tab64x7       15.0
       tab64x8       15.0
       tab64x9       15.0
       tab64x10      15.0
       tab64x11      15.0
       
       tab65x1       15.0
       tab65x2       15.0
       tab65x3       15.0
       tab65x4       15.0
       tab65x5       15.0
       tab65x6       15.0
       tab65x7       15.0
       tab65x8       15.0
       tab65x9       15.0
       tab65x10      15.0
       tab65x11      15.0
       tab65x12      15.0
       tab65x13      15.0
       tab65x14      15.0
       tab65x15      15.0
       tab65x16      15.0
       tab65x17      15.0
       tab65x18      15.0
       
       tab66x1       15.0
       tab66x2       15.0
       tab66x3       15.0
       tab66x4       15.0
       tab66x5       15.0
       tab66x6       15.0
       tab66x7       15.0
       tab66x8       15.0
       tab66x9       15.0
       tab66x10      15.0
       tab66x11      15.0
       tab66x12      15.0
       tab66x13      15.0
       tab66x14      15.0
       tab66x15      15.0
       tab66x16      15.0
       tab66x17      15.0
       tab66x18      15.0
       tab66x19      15.0
       tab66x20      15.0
       tab66x21      15.0
       tab66x22      15.0
       tab66x23      15.0
       tab66x24      15.0
       tab66x25      15.0
       tab66x26      15.0
       tab66x27      15.0
       tab66x28      15.0
       tab66x29      15.0
       tab66x30      15.0
       tab66x31      15.0
       tab66x32      15.0
       tab66x33      15.0
       tab66x34      15.0
       tab66x35      15.0
       tab66x36      15.0
       tab66x37      15.0
       tab66x38      15.0
       tab66x39      15.0
       tab66x40      15.0
       tab66x41      15.0
       tab66x42      15.0
       tab66x43      15.0
       tab66x44      15.0
       tab66x45      15.0
       tab66x46      15.0
       tab66x47      15.0
       tab66x48      15.0
       tab66x49      15.0
       tab66x50      15.0
       tab66x51      15.0
       tab66x52      15.0
       tab66x53      15.0
       tab66x54      15.0
       tab66x55      15.0
       tab66x56      15.0
       tab66x57      15.0
       tab66x58      15.0
       tab66x59      15.0
       tab66x60      15.0
       tab66x61      15.0
       tab66x62      15.0
       tab66x63      15.0
       tab66x64      15.0
       tab66x65      15.0
       tab66x66      15.0
       tab66x67      15.0
       tab66x68      15.0
       tab66x69      15.0
       tab66x70      15.0
       tab66x71      15.0
       tab66x72      15.0
       tab66x73      15.0
       tab66x74      15.0
       tab66x75      15.0
       tab66x76      15.0
       tab66x77      15.0
       tab66x78      15.0
       tab66x79      15.0
       tab66x80      15.0
       tab66x81      15.0
       tab66x82      15.0
       tab66x83      15.0
       tab66x84      15.0
       tab66x85      15.0
       tab66x86      15.0
       tab66x87      15.0
       tab66x88      15.0
       tab66x89      15.0
       tab66x90      15.0
       tab66x91      15.0
       tab66x92      15.0
       tab66x93      15.0
       tab66x94      15.0
       tab66x95      15.0
       tab66x96      15.0
       tab66x97      15.0
       tab66x98      15.0
       tab66x99      15.0
       tab66x100     15.0
       tab66x101     15.0
       tab66x102     15.0
       tab66x103     15.0
       tab66x104     15.0
       tab66x105     15.0
       tab66x106     15.0
       tab66x107     15.0
       tab66x108     15.0
       tab66x109     15.0
       tab66x110     15.0
       tab66x111     15.0
       tab66x112     15.0
       tab66x113     15.0
       tab66x114     15.0
       tab66x115     15.0
       tab66x116     15.0
       tab66x117     15.0
       tab66x118     15.0
       tab66x119     15.0
       tab66x120     15.0
       tab66x121     15.0
       tab66x122     15.0
       tab66x123     15.0
       tab66x124     15.0
       tab66x125     15.0
       tab66x126     15.0
       tab66x127     15.0
       tab66x128     15.0
       tab66x129     15.0
       tab66x130     15.0
       tab66x131     15.0
       tab66x132     15.0
       tab66x133     15.0
       tab66x134     15.0
       tab66x135     15.0
       tab66x136     15.0
       tab66x137     15.0
       tab66x138     15.0
       tab66x139     15.0
       tab66x140     15.0
       tab66x141     15.0
       tab66x142     15.0
       tab66x143     15.0
       tab66x144     15.0
       tab66x145     15.0
       tab66x146     15.0
       tab66x147     15.0
       tab66x148     15.0
       tab66x149     15.0
       tab66x150     15.0
       tab66x151     15.0
       tab66x152     15.0
       tab66x153     15.0
       tab66x154     15.0
       ;

     LABEL
      FILEID   = "File identification (ctpp2 for this product)"
      SUMLEV   = "Summary level"
      QPOWST    = "Modified FIPS State code (3 chars. zero-filled left)"
      QPOWCO   = "FIPS county code"
      QPOWMCDFIPS   = "FIPS county subdivision code"
      QPOWMCD  = "Census county subdivision code"
      QPOWPLFIPS2 = "FIPS place code (2,500+ pop. only)"
      QPOWPL2  = "Census place code (2,500+ pop. only)"
      QPOWTRACT = "Census tract code"
      QPOWBKG   = "Census block group code"
      QPOWMSACMSA  = "Metropolitan Statistical Area or Consolidated MSA code"
      QPOWPMSA     = "Primary Metropolitan Statistical Area code"
      QPOWTAZ      = "Traffic Analyzis Zone code (where available)"
      QPOWMPO   = "Metropolitan Planning Organization region code"
      QPOWCZ   = "CTPP Combined Zone code (where available)"

        tab47x1     ="Median Earnings: MEANS11=1"
        tab47x2     ="Median Earnings: MEANS11=2"
        tab47x3     ="Median Earnings: MEANS11=3"
        tab47x4     ="Median Earnings: MEANS11=4"
        tab47x5     ="Median Earnings: MEANS11=5"
        tab47x6     ="Median Earnings: MEANS11=6"
        tab47x7     ="Median Earnings: MEANS11=7"
        tab47x8     ="Median Earnings: MEANS11=8"
        tab47x9     ="Median Earnings: MEANS11=9"
        tab47x10    ="Median Earnings: MEANS11=10"
        tab47x11    ="Median Earnings: MEANS11=11"
        tab48x1     ="Mean Earnings: MEANS11=1"
        tab48x2     ="Mean Earnings: MEANS11=2"
        tab48x3     ="Mean Earnings: MEANS11=3"
        tab48x4     ="Mean Earnings: MEANS11=4"
        tab48x5     ="Mean Earnings: MEANS11=5"
        tab48x6     ="Mean Earnings: MEANS11=6"
        tab48x7     ="Mean Earnings: MEANS11=7"
        tab48x8     ="Mean Earnings: MEANS11=8"
        tab48x9     ="Mean Earnings: MEANS11=9"
        tab48x10    ="Mean Earnings: MEANS11=10"
        tab48x11    ="Mean Earnings: MEANS11=11"

        tab49x1     ="Std. Dev. of Earnings: MEANS11=1"
        tab49x2     ="Std. Dev. of Earnings: MEANS11=2"
        tab49x3     ="Std. Dev. of Earnings: MEANS11=3"
        tab49x4     ="Std. Dev. of Earnings: MEANS11=4"
        tab49x5     ="Std. Dev. of Earnings: MEANS11=5"
        tab49x6     ="Std. Dev. of Earnings: MEANS11=6"
        tab49x7     ="Std. Dev. of Earnings: MEANS11=7"
        tab49x8     ="Std. Dev. of Earnings: MEANS11=8"
        tab49x9     ="Std. Dev. of Earnings: MEANS11=9"
        tab49x10    ="Std. Dev. of Earnings: MEANS11=10"
        tab49x11    ="Std. Dev. of Earnings: MEANS11=11"

        tab54x1   = "Median Travel time: MEANS11=1"
        tab54x2   = "Median Travel time: MEANS11=2"
        tab54x3   = "Median Travel time: MEANS11=3"
        tab54x4   = "Median Travel time: MEANS11=4"
        tab54x5   = "Median Travel time: MEANS11=5"
        tab54x6   = "Median Travel time: MEANS11=6"
        tab54x7   = "Median Travel time: MEANS11=7"
        tab54x8   = "Median Travel time: MEANS11=8"
        tab54x9   = "Median Travel time: MEANS11=9"
        tab54x10  = "Median Travel time: MEANS11=10"
        tab54x11  = "Median Travel time: MEANS11=11"
        tab55x1   = "Median Travel time: MEANS18=1"
        tab55x2   = "Median Travel time: MEANS18=2"
        tab55x3   = "Median Travel time: MEANS18=3"
        tab55x4   = "Median Travel time: MEANS18=4"
        tab55x5   = "Median Travel time: MEANS18=5"
        tab55x6   = "Median Travel time: MEANS18=6"
        tab55x7   = "Median Travel time: MEANS18=7"
        tab55x8   = "Median Travel time: MEANS18=8"
        tab55x9   = "Median Travel time: MEANS18=9"
        tab55x10  = "Median Travel time: MEANS18=10"
        tab55x11  = "Median Travel time: MEANS18=11"
        tab55x12  = "Median Travel time: MEANS18=12"
        tab55x13  = "Median Travel time: MEANS18=13"
        tab55x14  = "Median Travel time: MEANS18=14"
        tab55x15  = "Median Travel time: MEANS18=15"
        tab55x16  = "Median Travel time: MEANS18=16"
        tab55x17  = "Median Travel time: MEANS18=17"
        tab55x18  = "Median Travel time: MEANS18=18"
        tab56x1   = "Mean Travel time: MEANS11=1"
        tab56x2   = "Mean Travel time: MEANS11=2"
        tab56x3   = "Mean Travel time: MEANS11=3"
        tab56x4   = "Mean Travel time: MEANS11=4"
        tab56x5   = "Mean Travel time: MEANS11=5"
        tab56x6   = "Mean Travel time: MEANS11=6"
        tab56x7   = "Mean Travel time: MEANS11=7"
        tab56x8   = "Mean Travel time: MEANS11=8"
        tab56x9   = "Mean Travel time: MEANS11=9"
        tab56x10  = "Mean Travel time: MEANS11=10"
        tab56x11  = "Mean Travel time: MEANS11=11"
        tab57x1   = "Mean Travel time: MEANS18=1"
        tab57x2   = "Mean Travel time: MEANS18=2"
        tab57x3   = "Mean Travel time: MEANS18=3"
        tab57x4   = "Mean Travel time: MEANS18=4"
        tab57x5   = "Mean Travel time: MEANS18=5"
        tab57x6   = "Mean Travel time: MEANS18=6"
        tab57x7   = "Mean Travel time: MEANS18=7"
        tab57x8   = "Mean Travel time: MEANS18=8"
        tab57x9   = "Mean Travel time: MEANS18=9"
        tab57x10  = "Mean Travel time: MEANS18=10"
        tab57x11  = "Mean Travel time: MEANS18=11"
        tab57x12  = "Mean Travel time: MEANS18=12"
        tab57x13  = "Mean Travel time: MEANS18=13"
        tab57x14  = "Mean Travel time: MEANS18=14"
        tab57x15  = "Mean Travel time: MEANS18=15"
        tab57x16  = "Mean Travel time: MEANS18=16"
        tab57x17  = "Mean Travel time: MEANS18=17"
        tab57x18  = "Mean Travel time: MEANS18=18"
        tab58x1   = "Std. Dev. of Travel time: MEANS11=1"
        tab58x2   = "Std. Dev. of Travel time: MEANS11=2"
        tab58x3   = "Std. Dev. of Travel time: MEANS11=3"
        tab58x4   = "Std. Dev. of Travel time: MEANS11=4"
        tab58x5   = "Std. Dev. of Travel time: MEANS11=5"
        tab58x6   = "Std. Dev. of Travel time: MEANS11=6"
        tab58x7   = "Std. Dev. of Travel time: MEANS11=7"
        tab58x8   = "Std. Dev. of Travel time: MEANS11=8"
        tab58x9   = "Std. Dev. of Travel time: MEANS11=9"
        tab58x10  = "Std. Dev. of Travel time: MEANS11=10"
        tab58x11  = "Std. Dev. of Travel time: MEANS11=11"
        tab59x1   = "Std. Dev. of Travel time: MEANS18=1"
        tab59x2   = "Std. Dev. of Travel time: MEANS18=2"
        tab59x3   = "Std. Dev. of Travel time: MEANS18=3"
        tab59x4   = "Std. Dev. of Travel time: MEANS18=4"
        tab59x5   = "Std. Dev. of Travel time: MEANS18=5"
        tab59x6   = "Std. Dev. of Travel time: MEANS18=6"
        tab59x7   = "Std. Dev. of Travel time: MEANS18=7"
        tab59x8   = "Std. Dev. of Travel time: MEANS18=8"
        tab59x9   = "Std. Dev. of Travel time: MEANS18=9"
        tab59x10  = "Std. Dev. of Travel time: MEANS18=10"
        tab59x11  = "Std. Dev. of Travel time: MEANS18=11"
        tab59x12  = "Std. Dev. of Travel time: MEANS18=12"
        tab59x13  = "Std. Dev. of Travel time: MEANS18=13"
        tab59x14  = "Std. Dev. of Travel time: MEANS18=14"
        tab59x15  = "Std. Dev. of Travel time: MEANS18=15"
        tab59x16  = "Std. Dev. of Travel time: MEANS18=16"
        tab59x17  = "Std. Dev. of Travel time: MEANS18=17"
        tab59x18  = "Std. Dev. of Travel time: MEANS18=18"
        tab60x1   = "Median Travel Time: MEANS11=1, TM_ARRVE14=1"
        tab60x2   = "Median Travel Time: MEANS11=1, TM_ARRVE14=2"
        tab60x3   = "Median Travel Time: MEANS11=1, TM_ARRVE14=3"
        tab60x4   = "Median Travel Time: MEANS11=1, TM_ARRVE14=4"
        tab60x5   = "Median Travel Time: MEANS11=1, TM_ARRVE14=5"
        tab60x6   = "Median Travel Time: MEANS11=1, TM_ARRVE14=6"
        tab60x7   = "Median Travel Time: MEANS11=1, TM_ARRVE14=7"
        tab60x8   = "Median Travel Time: MEANS11=1, TM_ARRVE14=8"
        tab60x9   = "Median Travel Time: MEANS11=1, TM_ARRVE14=9"
        tab60x10  = "Median Travel Time: MEANS11=1, TM_ARRVE14=10"
        tab60x11  = "Median Travel Time: MEANS11=1, TM_ARRVE14=11"
        tab60x12  = "Median Travel Time: MEANS11=1, TM_ARRVE14=12"
        tab60x13  = "Median Travel Time: MEANS11=1, TM_ARRVE14=13"
        tab60x14  = "Median Travel Time: MEANS11=1, TM_ARRVE14=14"
        tab60x15  = "Median Travel Time: MEANS11=2, TM_ARRVE14=1"
        tab60x16  = "Median Travel Time: MEANS11=2, TM_ARRVE14=2"
        tab60x17  = "Median Travel Time: MEANS11=2, TM_ARRVE14=3"
        tab60x18  = "Median Travel Time: MEANS11=2, TM_ARRVE14=4"
        tab60x19  = "Median Travel Time: MEANS11=2, TM_ARRVE14=5"
        tab60x20  = "Median Travel Time: MEANS11=2, TM_ARRVE14=6"
        tab60x21  = "Median Travel Time: MEANS11=2, TM_ARRVE14=7"
        tab60x22  = "Median Travel Time: MEANS11=2, TM_ARRVE14=8"
        tab60x23  = "Median Travel Time: MEANS11=2, TM_ARRVE14=9"
        tab60x24  = "Median Travel Time: MEANS11=2, TM_ARRVE14=10"
        tab60x25  = "Median Travel Time: MEANS11=2, TM_ARRVE14=11"
        tab60x26  = "Median Travel Time: MEANS11=2, TM_ARRVE14=12"
        tab60x27  = "Median Travel Time: MEANS11=2, TM_ARRVE14=13"
        tab60x28  = "Median Travel Time: MEANS11=2, TM_ARRVE14=14"
        tab60x29  = "Median Travel Time: MEANS11=3, TM_ARRVE14=1"
        tab60x30  = "Median Travel Time: MEANS11=3, TM_ARRVE14=2"
        tab60x31  = "Median Travel Time: MEANS11=3, TM_ARRVE14=3"
        tab60x32  = "Median Travel Time: MEANS11=3, TM_ARRVE14=4"
        tab60x33  = "Median Travel Time: MEANS11=3, TM_ARRVE14=5"
        tab60x34  = "Median Travel Time: MEANS11=3, TM_ARRVE14=6"
        tab60x35  = "Median Travel Time: MEANS11=3, TM_ARRVE14=7"
        tab60x36  = "Median Travel Time: MEANS11=3, TM_ARRVE14=8"
        tab60x37  = "Median Travel Time: MEANS11=3, TM_ARRVE14=9"
        tab60x38  = "Median Travel Time: MEANS11=3, TM_ARRVE14=10"
        tab60x39  = "Median Travel Time: MEANS11=3, TM_ARRVE14=11"
        tab60x40  = "Median Travel Time: MEANS11=3, TM_ARRVE14=12"
        tab60x41  = "Median Travel Time: MEANS11=3, TM_ARRVE14=13"
        tab60x42  = "Median Travel Time: MEANS11=3, TM_ARRVE14=14"
        tab60x43  = "Median Travel Time: MEANS11=4, TM_ARRVE14=1"
        tab60x44  = "Median Travel Time: MEANS11=4, TM_ARRVE14=2"
        tab60x45  = "Median Travel Time: MEANS11=4, TM_ARRVE14=3"
        tab60x46  = "Median Travel Time: MEANS11=4, TM_ARRVE14=4"
        tab60x47  = "Median Travel Time: MEANS11=4, TM_ARRVE14=5"
        tab60x48  = "Median Travel Time: MEANS11=4, TM_ARRVE14=6"
        tab60x49  = "Median Travel Time: MEANS11=4, TM_ARRVE14=7"
        tab60x50  = "Median Travel Time: MEANS11=4, TM_ARRVE14=8"
        tab60x51  = "Median Travel Time: MEANS11=4, TM_ARRVE14=9"
        tab60x52  = "Median Travel Time: MEANS11=4, TM_ARRVE14=10"
        tab60x53  = "Median Travel Time: MEANS11=4, TM_ARRVE14=11"
        tab60x54  = "Median Travel Time: MEANS11=4, TM_ARRVE14=12"
        tab60x55  = "Median Travel Time: MEANS11=4, TM_ARRVE14=13"
        tab60x56  = "Median Travel Time: MEANS11=4, TM_ARRVE14=14"
        tab60x57  = "Median Travel Time: MEANS11=5, TM_ARRVE14=1"
        tab60x58  = "Median Travel Time: MEANS11=5, TM_ARRVE14=2"
        tab60x59  = "Median Travel Time: MEANS11=5, TM_ARRVE14=3"
        tab60x60  = "Median Travel Time: MEANS11=5, TM_ARRVE14=4"
        tab60x61  = "Median Travel Time: MEANS11=5, TM_ARRVE14=5"
        tab60x62  = "Median Travel Time: MEANS11=5, TM_ARRVE14=6"
        tab60x63  = "Median Travel Time: MEANS11=5, TM_ARRVE14=7"
        tab60x64  = "Median Travel Time: MEANS11=5, TM_ARRVE14=8"
        tab60x65  = "Median Travel Time: MEANS11=5, TM_ARRVE14=9"
        tab60x66  = "Median Travel Time: MEANS11=5, TM_ARRVE14=10"
        tab60x67  = "Median Travel Time: MEANS11=5, TM_ARRVE14=11"
        tab60x68  = "Median Travel Time: MEANS11=5, TM_ARRVE14=12"
        tab60x69  = "Median Travel Time: MEANS11=5, TM_ARRVE14=13"
        tab60x70  = "Median Travel Time: MEANS11=5, TM_ARRVE14=14"
        tab60x71  = "Median Travel Time: MEANS11=6, TM_ARRVE14=1"
        tab60x72  = "Median Travel Time: MEANS11=6, TM_ARRVE14=2"
        tab60x73  = "Median Travel Time: MEANS11=6, TM_ARRVE14=3"
        tab60x74  = "Median Travel Time: MEANS11=6, TM_ARRVE14=4"
        tab60x75  = "Median Travel Time: MEANS11=6, TM_ARRVE14=5"
        tab60x76  = "Median Travel Time: MEANS11=6, TM_ARRVE14=6"
        tab60x77  = "Median Travel Time: MEANS11=6, TM_ARRVE14=7"
        tab60x78  = "Median Travel Time: MEANS11=6, TM_ARRVE14=8"
        tab60x79  = "Median Travel Time: MEANS11=6, TM_ARRVE14=9"
        tab60x80  = "Median Travel Time: MEANS11=6, TM_ARRVE14=10"
        tab60x81  = "Median Travel Time: MEANS11=6, TM_ARRVE14=11"
        tab60x82  = "Median Travel Time: MEANS11=6, TM_ARRVE14=12"
        tab60x83  = "Median Travel Time: MEANS11=6, TM_ARRVE14=13"
        tab60x84  = "Median Travel Time: MEANS11=6, TM_ARRVE14=14"
        tab60x85  = "Median Travel Time: MEANS11=7, TM_ARRVE14=1"
        tab60x86  = "Median Travel Time: MEANS11=7, TM_ARRVE14=2"
        tab60x87  = "Median Travel Time: MEANS11=7, TM_ARRVE14=3"
        tab60x88  = "Median Travel Time: MEANS11=7, TM_ARRVE14=4"
        tab60x89  = "Median Travel Time: MEANS11=7, TM_ARRVE14=5"
        tab60x90  = "Median Travel Time: MEANS11=7, TM_ARRVE14=6"
        tab60x91  = "Median Travel Time: MEANS11=7, TM_ARRVE14=7"
        tab60x92  = "Median Travel Time: MEANS11=7, TM_ARRVE14=8"
        tab60x93  = "Median Travel Time: MEANS11=7, TM_ARRVE14=9"
        tab60x94  = "Median Travel Time: MEANS11=7, TM_ARRVE14=10"
        tab60x95  = "Median Travel Time: MEANS11=7, TM_ARRVE14=11"
        tab60x96  = "Median Travel Time: MEANS11=7, TM_ARRVE14=12"
        tab60x97  = "Median Travel Time: MEANS11=7, TM_ARRVE14=13"
        tab60x98  = "Median Travel Time: MEANS11=7, TM_ARRVE14=14"
        tab60x99  = "Median Travel Time: MEANS11=8, TM_ARRVE14=1"
        tab60x100 = "Median Travel Time: MEANS11=8, TM_ARRVE14=2"
        tab60x101 = "Median Travel Time: MEANS11=8, TM_ARRVE14=3"
        tab60x102 = "Median Travel Time: MEANS11=8, TM_ARRVE14=4"
        tab60x103 = "Median Travel Time: MEANS11=8, TM_ARRVE14=5"
        tab60x104 = "Median Travel Time: MEANS11=8, TM_ARRVE14=6"
        tab60x105 = "Median Travel Time: MEANS11=8, TM_ARRVE14=7"
        tab60x106 = "Median Travel Time: MEANS11=8, TM_ARRVE14=8"
        tab60x107 = "Median Travel Time: MEANS11=8, TM_ARRVE14=9"
        tab60x108 = "Median Travel Time: MEANS11=8, TM_ARRVE14=10"
        tab60x109 = "Median Travel Time: MEANS11=8, TM_ARRVE14=11"
        tab60x110 = "Median Travel Time: MEANS11=8, TM_ARRVE14=12"
        tab60x111 = "Median Travel Time: MEANS11=8, TM_ARRVE14=13"
        tab60x112 = "Median Travel Time: MEANS11=8, TM_ARRVE14=14"
        tab60x113 = "Median Travel Time: MEANS11=9, TM_ARRVE14=1"
        tab60x114 = "Median Travel Time: MEANS11=9, TM_ARRVE14=2"
        tab60x115 = "Median Travel Time: MEANS11=9, TM_ARRVE14=3"
        tab60x116 = "Median Travel Time: MEANS11=9, TM_ARRVE14=4"
        tab60x117 = "Median Travel Time: MEANS11=9, TM_ARRVE14=5"
        tab60x118 = "Median Travel Time: MEANS11=9, TM_ARRVE14=6"
        tab60x119 = "Median Travel Time: MEANS11=9, TM_ARRVE14=7"
        tab60x120 = "Median Travel Time: MEANS11=9, TM_ARRVE14=8"
        tab60x121 = "Median Travel Time: MEANS11=9, TM_ARRVE14=9"
        tab60x122 = "Median Travel Time: MEANS11=9, TM_ARRVE14=10"
        tab60x123 = "Median Travel Time: MEANS11=9, TM_ARRVE14=11"
        tab60x124 = "Median Travel Time: MEANS11=9, TM_ARRVE14=12"
        tab60x125 = "Median Travel Time: MEANS11=9, TM_ARRVE14=13"
        tab60x126 = "Median Travel Time: MEANS11=9, TM_ARRVE14=14"
        tab60x127 = "Median Travel Time: MEANS11=10, TM_ARRVE14=1"
        tab60x128 = "Median Travel Time: MEANS11=10, TM_ARRVE14=2"
        tab60x129 = "Median Travel Time: MEANS11=10, TM_ARRVE14=3"
        tab60x130 = "Median Travel Time: MEANS11=10, TM_ARRVE14=4"
        tab60x131 = "Median Travel Time: MEANS11=10, TM_ARRVE14=5"
        tab60x132 = "Median Travel Time: MEANS11=10, TM_ARRVE14=6"
        tab60x133 = "Median Travel Time: MEANS11=10, TM_ARRVE14=7"
        tab60x134 = "Median Travel Time: MEANS11=10, TM_ARRVE14=8"
        tab60x135 = "Median Travel Time: MEANS11=10, TM_ARRVE14=9"
        tab60x136 = "Median Travel Time: MEANS11=10, TM_ARRVE14=10"
        tab60x137 = "Median Travel Time: MEANS11=10, TM_ARRVE14=11"
        tab60x138 = "Median Travel Time: MEANS11=10, TM_ARRVE14=12"
        tab60x139 = "Median Travel Time: MEANS11=10, TM_ARRVE14=13"
        tab60x140 = "Median Travel Time: MEANS11=10, TM_ARRVE14=14"
        tab60x141 = "Median Travel Time: MEANS11=11, TM_ARRVE14=1"
        tab60x142 = "Median Travel Time: MEANS11=11, TM_ARRVE14=2"
        tab60x143 = "Median Travel Time: MEANS11=11, TM_ARRVE14=3"
        tab60x144 = "Median Travel Time: MEANS11=11, TM_ARRVE14=4"
        tab60x145 = "Median Travel Time: MEANS11=11, TM_ARRVE14=5"
        tab60x146 = "Median Travel Time: MEANS11=11, TM_ARRVE14=6"
        tab60x147 = "Median Travel Time: MEANS11=11, TM_ARRVE14=7"
        tab60x148 = "Median Travel Time: MEANS11=11, TM_ARRVE14=8"
        tab60x149 = "Median Travel Time: MEANS11=11, TM_ARRVE14=9"
        tab60x150 = "Median Travel Time: MEANS11=11, TM_ARRVE14=10"
        tab60x151 = "Median Travel Time: MEANS11=11, TM_ARRVE14=11"
        tab60x152 = "Median Travel Time: MEANS11=11, TM_ARRVE14=12"
        tab60x153 = "Median Travel Time: MEANS11=11, TM_ARRVE14=13"
        tab60x154 = "Median Travel Time: MEANS11=11, TM_ARRVE14=14"
        tab61x1   = "Mean Travel Time: MEANS11=1, TM_ARRVE14=1"
        tab61x2   = "Mean Travel Time: MEANS11=1, TM_ARRVE14=2"
        tab61x3   = "Mean Travel Time: MEANS11=1, TM_ARRVE14=3"
        tab61x4   = "Mean Travel Time: MEANS11=1, TM_ARRVE14=4"
        tab61x5   = "Mean Travel Time: MEANS11=1, TM_ARRVE14=5"
        tab61x6   = "Mean Travel Time: MEANS11=1, TM_ARRVE14=6"
        tab61x7   = "Mean Travel Time: MEANS11=1, TM_ARRVE14=7"
        tab61x8   = "Mean Travel Time: MEANS11=1, TM_ARRVE14=8"
        tab61x9   = "Mean Travel Time: MEANS11=1, TM_ARRVE14=9"
        tab61x10  = "Mean Travel Time: MEANS11=1, TM_ARRVE14=10"
        tab61x11  = "Mean Travel Time: MEANS11=1, TM_ARRVE14=11"
        tab61x12  = "Mean Travel Time: MEANS11=1, TM_ARRVE14=12"
        tab61x13  = "Mean Travel Time: MEANS11=1, TM_ARRVE14=13"
        tab61x14  = "Mean Travel Time: MEANS11=1, TM_ARRVE14=14"
        tab61x15  = "Mean Travel Time: MEANS11=2, TM_ARRVE14=1"
        tab61x16  = "Mean Travel Time: MEANS11=2, TM_ARRVE14=2"
        tab61x17  = "Mean Travel Time: MEANS11=2, TM_ARRVE14=3"
        tab61x18  = "Mean Travel Time: MEANS11=2, TM_ARRVE14=4"
        tab61x19  = "Mean Travel Time: MEANS11=2, TM_ARRVE14=5"
        tab61x20  = "Mean Travel Time: MEANS11=2, TM_ARRVE14=6"
        tab61x21  = "Mean Travel Time: MEANS11=2, TM_ARRVE14=7"
        tab61x22  = "Mean Travel Time: MEANS11=2, TM_ARRVE14=8"
        tab61x23  = "Mean Travel Time: MEANS11=2, TM_ARRVE14=9"
        tab61x24  = "Mean Travel Time: MEANS11=2, TM_ARRVE14=10"
        tab61x25  = "Mean Travel Time: MEANS11=2, TM_ARRVE14=11"
        tab61x26  = "Mean Travel Time: MEANS11=2, TM_ARRVE14=12"
        tab61x27  = "Mean Travel Time: MEANS11=2, TM_ARRVE14=13"
        tab61x28  = "Mean Travel Time: MEANS11=2, TM_ARRVE14=14"
        tab61x29  = "Mean Travel Time: MEANS11=3, TM_ARRVE14=1"
        tab61x30  = "Mean Travel Time: MEANS11=3, TM_ARRVE14=2"
        tab61x31  = "Mean Travel Time: MEANS11=3, TM_ARRVE14=3"
        tab61x32  = "Mean Travel Time: MEANS11=3, TM_ARRVE14=4"
        tab61x33  = "Mean Travel Time: MEANS11=3, TM_ARRVE14=5"
        tab61x34  = "Mean Travel Time: MEANS11=3, TM_ARRVE14=6"
        tab61x35  = "Mean Travel Time: MEANS11=3, TM_ARRVE14=7"
        tab61x36  = "Mean Travel Time: MEANS11=3, TM_ARRVE14=8"
        tab61x37  = "Mean Travel Time: MEANS11=3, TM_ARRVE14=9"
        tab61x38  = "Mean Travel Time: MEANS11=3, TM_ARRVE14=10"
        tab61x39  = "Mean Travel Time: MEANS11=3, TM_ARRVE14=11"
        tab61x40  = "Mean Travel Time: MEANS11=3, TM_ARRVE14=12"
        tab61x41  = "Mean Travel Time: MEANS11=3, TM_ARRVE14=13"
        tab61x42  = "Mean Travel Time: MEANS11=3, TM_ARRVE14=14"
        tab61x43  = "Mean Travel Time: MEANS11=4, TM_ARRVE14=1"
        tab61x44  = "Mean Travel Time: MEANS11=4, TM_ARRVE14=2"
        tab61x45  = "Mean Travel Time: MEANS11=4, TM_ARRVE14=3"
        tab61x46  = "Mean Travel Time: MEANS11=4, TM_ARRVE14=4"
        tab61x47  = "Mean Travel Time: MEANS11=4, TM_ARRVE14=5"
        tab61x48  = "Mean Travel Time: MEANS11=4, TM_ARRVE14=6"
        tab61x49  = "Mean Travel Time: MEANS11=4, TM_ARRVE14=7"
        tab61x50  = "Mean Travel Time: MEANS11=4, TM_ARRVE14=8"
        tab61x51  = "Mean Travel Time: MEANS11=4, TM_ARRVE14=9"
        tab61x52  = "Mean Travel Time: MEANS11=4, TM_ARRVE14=10"
        tab61x53  = "Mean Travel Time: MEANS11=4, TM_ARRVE14=11"
        tab61x54  = "Mean Travel Time: MEANS11=4, TM_ARRVE14=12"
        tab61x55  = "Mean Travel Time: MEANS11=4, TM_ARRVE14=13"
        tab61x56  = "Mean Travel Time: MEANS11=4, TM_ARRVE14=14"
        tab61x57  = "Mean Travel Time: MEANS11=5, TM_ARRVE14=1"
        tab61x58  = "Mean Travel Time: MEANS11=5, TM_ARRVE14=2"
        tab61x59  = "Mean Travel Time: MEANS11=5, TM_ARRVE14=3"
        tab61x60  = "Mean Travel Time: MEANS11=5, TM_ARRVE14=4"
        tab61x61  = "Mean Travel Time: MEANS11=5, TM_ARRVE14=5"
        tab61x62  = "Mean Travel Time: MEANS11=5, TM_ARRVE14=6"
        tab61x63  = "Mean Travel Time: MEANS11=5, TM_ARRVE14=7"
        tab61x64  = "Mean Travel Time: MEANS11=5, TM_ARRVE14=8"
        tab61x65  = "Mean Travel Time: MEANS11=5, TM_ARRVE14=9"
        tab61x66  = "Mean Travel Time: MEANS11=5, TM_ARRVE14=10"
        tab61x67  = "Mean Travel Time: MEANS11=5, TM_ARRVE14=11"
        tab61x68  = "Mean Travel Time: MEANS11=5, TM_ARRVE14=12"
        tab61x69  = "Mean Travel Time: MEANS11=5, TM_ARRVE14=13"
        tab61x70  = "Mean Travel Time: MEANS11=5, TM_ARRVE14=14"
        tab61x71  = "Mean Travel Time: MEANS11=6, TM_ARRVE14=1"
        tab61x72  = "Mean Travel Time: MEANS11=6, TM_ARRVE14=2"
        tab61x73  = "Mean Travel Time: MEANS11=6, TM_ARRVE14=3"
        tab61x74  = "Mean Travel Time: MEANS11=6, TM_ARRVE14=4"
        tab61x75  = "Mean Travel Time: MEANS11=6, TM_ARRVE14=5"
        tab61x76  = "Mean Travel Time: MEANS11=6, TM_ARRVE14=6"
        tab61x77  = "Mean Travel Time: MEANS11=6, TM_ARRVE14=7"
        tab61x78  = "Mean Travel Time: MEANS11=6, TM_ARRVE14=8"
        tab61x79  = "Mean Travel Time: MEANS11=6, TM_ARRVE14=9"
        tab61x80  = "Mean Travel Time: MEANS11=6, TM_ARRVE14=10"
        tab61x81  = "Mean Travel Time: MEANS11=6, TM_ARRVE14=11"
        tab61x82  = "Mean Travel Time: MEANS11=6, TM_ARRVE14=12"
        tab61x83  = "Mean Travel Time: MEANS11=6, TM_ARRVE14=13"
        tab61x84  = "Mean Travel Time: MEANS11=6, TM_ARRVE14=14"
        tab61x85  = "Mean Travel Time: MEANS11=7, TM_ARRVE14=1"
        tab61x86  = "Mean Travel Time: MEANS11=7, TM_ARRVE14=2"
        tab61x87  = "Mean Travel Time: MEANS11=7, TM_ARRVE14=3"
        tab61x88  = "Mean Travel Time: MEANS11=7, TM_ARRVE14=4"
        tab61x89  = "Mean Travel Time: MEANS11=7, TM_ARRVE14=5"
        tab61x90  = "Mean Travel Time: MEANS11=7, TM_ARRVE14=6"
        tab61x91  = "Mean Travel Time: MEANS11=7, TM_ARRVE14=7"
        tab61x92  = "Mean Travel Time: MEANS11=7, TM_ARRVE14=8"
        tab61x93  = "Mean Travel Time: MEANS11=7, TM_ARRVE14=9"
        tab61x94  = "Mean Travel Time: MEANS11=7, TM_ARRVE14=10"
        tab61x95  = "Mean Travel Time: MEANS11=7, TM_ARRVE14=11"
        tab61x96  = "Mean Travel Time: MEANS11=7, TM_ARRVE14=12"
        tab61x97  = "Mean Travel Time: MEANS11=7, TM_ARRVE14=13"
        tab61x98  = "Mean Travel Time: MEANS11=7, TM_ARRVE14=14"
        tab61x99  = "Mean Travel Time: MEANS11=8, TM_ARRVE14=1"
        tab61x100 = "Mean Travel Time: MEANS11=8, TM_ARRVE14=2"
        tab61x101 = "Mean Travel Time: MEANS11=8, TM_ARRVE14=3"
        tab61x102 = "Mean Travel Time: MEANS11=8, TM_ARRVE14=4"
        tab61x103 = "Mean Travel Time: MEANS11=8, TM_ARRVE14=5"
        tab61x104 = "Mean Travel Time: MEANS11=8, TM_ARRVE14=6"
        tab61x105 = "Mean Travel Time: MEANS11=8, TM_ARRVE14=7"
        tab61x106 = "Mean Travel Time: MEANS11=8, TM_ARRVE14=8"
        tab61x107 = "Mean Travel Time: MEANS11=8, TM_ARRVE14=9"
        tab61x108 = "Mean Travel Time: MEANS11=8, TM_ARRVE14=10"
        tab61x109 = "Mean Travel Time: MEANS11=8, TM_ARRVE14=11"
        tab61x110 = "Mean Travel Time: MEANS11=8, TM_ARRVE14=12"
        tab61x111 = "Mean Travel Time: MEANS11=8, TM_ARRVE14=13"
        tab61x112 = "Mean Travel Time: MEANS11=8, TM_ARRVE14=14"
        tab61x113 = "Mean Travel Time: MEANS11=9, TM_ARRVE14=1"
        tab61x114 = "Mean Travel Time: MEANS11=9, TM_ARRVE14=2"
        tab61x115 = "Mean Travel Time: MEANS11=9, TM_ARRVE14=3"
        tab61x116 = "Mean Travel Time: MEANS11=9, TM_ARRVE14=4"
        tab61x117 = "Mean Travel Time: MEANS11=9, TM_ARRVE14=5"
        tab61x118 = "Mean Travel Time: MEANS11=9, TM_ARRVE14=6"
        tab61x119 = "Mean Travel Time: MEANS11=9, TM_ARRVE14=7"
        tab61x120 = "Mean Travel Time: MEANS11=9, TM_ARRVE14=8"
        tab61x121 = "Mean Travel Time: MEANS11=9, TM_ARRVE14=9"
        tab61x122 = "Mean Travel Time: MEANS11=9, TM_ARRVE14=10"
        tab61x123 = "Mean Travel Time: MEANS11=9, TM_ARRVE14=11"
        tab61x124 = "Mean Travel Time: MEANS11=9, TM_ARRVE14=12"
        tab61x125 = "Mean Travel Time: MEANS11=9, TM_ARRVE14=13"
        tab61x126 = "Mean Travel Time: MEANS11=9, TM_ARRVE14=14"
        tab61x127 = "Mean Travel Time: MEANS11=10, TM_ARRVE14=1"
        tab61x128 = "Mean Travel Time: MEANS11=10, TM_ARRVE14=2"
        tab61x129 = "Mean Travel Time: MEANS11=10, TM_ARRVE14=3"
        tab61x130 = "Mean Travel Time: MEANS11=10, TM_ARRVE14=4"
        tab61x131 = "Mean Travel Time: MEANS11=10, TM_ARRVE14=5"
        tab61x132 = "Mean Travel Time: MEANS11=10, TM_ARRVE14=6"
        tab61x133 = "Mean Travel Time: MEANS11=10, TM_ARRVE14=7"
        tab61x134 = "Mean Travel Time: MEANS11=10, TM_ARRVE14=8"
        tab61x135 = "Mean Travel Time: MEANS11=10, TM_ARRVE14=9"
        tab61x136 = "Mean Travel Time: MEANS11=10, TM_ARRVE14=10"
        tab61x137 = "Mean Travel Time: MEANS11=10, TM_ARRVE14=11"
        tab61x138 = "Mean Travel Time: MEANS11=10, TM_ARRVE14=12"
        tab61x139 = "Mean Travel Time: MEANS11=10, TM_ARRVE14=13"
        tab61x140 = "Mean Travel Time: MEANS11=10, TM_ARRVE14=14"
        tab61x141 = "Mean Travel Time: MEANS11=11, TM_ARRVE14=1"
        tab61x142 = "Mean Travel Time: MEANS11=11, TM_ARRVE14=2"
        tab61x143 = "Mean Travel Time: MEANS11=11, TM_ARRVE14=3"
        tab61x144 = "Mean Travel Time: MEANS11=11, TM_ARRVE14=4"
        tab61x145 = "Mean Travel Time: MEANS11=11, TM_ARRVE14=5"
        tab61x146 = "Mean Travel Time: MEANS11=11, TM_ARRVE14=6"
        tab61x147 = "Mean Travel Time: MEANS11=11, TM_ARRVE14=7"
        tab61x148 = "Mean Travel Time: MEANS11=11, TM_ARRVE14=8"
        tab61x149 = "Mean Travel Time: MEANS11=11, TM_ARRVE14=9"
        tab61x150 = "Mean Travel Time: MEANS11=11, TM_ARRVE14=10"
        tab61x151 = "Mean Travel Time: MEANS11=11, TM_ARRVE14=11"
        tab61x152 = "Mean Travel Time: MEANS11=11, TM_ARRVE14=12"
        tab61x153 = "Mean Travel Time: MEANS11=11, TM_ARRVE14=13"
        tab61x154 = "Mean Travel Time: MEANS11=11, TM_ARRVE14=14"
        tab62x1   = "Std. Dev. of Travel Time: MEANS11=1, TM_ARRVE14=1"
        tab62x2   = "Std. Dev. of Travel Time: MEANS11=1, TM_ARRVE14=2"
        tab62x3   = "Std. Dev. of Travel Time: MEANS11=1, TM_ARRVE14=3"
        tab62x4   = "Std. Dev. of Travel Time: MEANS11=1, TM_ARRVE14=4"
        tab62x5   = "Std. Dev. of Travel Time: MEANS11=1, TM_ARRVE14=5"
        tab62x6   = "Std. Dev. of Travel Time: MEANS11=1, TM_ARRVE14=6"
        tab62x7   = "Std. Dev. of Travel Time: MEANS11=1, TM_ARRVE14=7"
        tab62x8   = "Std. Dev. of Travel Time: MEANS11=1, TM_ARRVE14=8"
        tab62x9   = "Std. Dev. of Travel Time: MEANS11=1, TM_ARRVE14=9"
        tab62x10  = "Std. Dev. of Travel Time: MEANS11=1, TM_ARRVE14=10"
        tab62x11  = "Std. Dev. of Travel Time: MEANS11=1, TM_ARRVE14=11"
        tab62x12  = "Std. Dev. of Travel Time: MEANS11=1, TM_ARRVE14=12"
        tab62x13  = "Std. Dev. of Travel Time: MEANS11=1, TM_ARRVE14=13"
        tab62x14  = "Std. Dev. of Travel Time: MEANS11=1, TM_ARRVE14=14"
        tab62x15  = "Std. Dev. of Travel Time: MEANS11=2, TM_ARRVE14=1"
        tab62x16  = "Std. Dev. of Travel Time: MEANS11=2, TM_ARRVE14=2"
        tab62x17  = "Std. Dev. of Travel Time: MEANS11=2, TM_ARRVE14=3"
        tab62x18  = "Std. Dev. of Travel Time: MEANS11=2, TM_ARRVE14=4"
        tab62x19  = "Std. Dev. of Travel Time: MEANS11=2, TM_ARRVE14=5"
        tab62x20  = "Std. Dev. of Travel Time: MEANS11=2, TM_ARRVE14=6"
        tab62x21  = "Std. Dev. of Travel Time: MEANS11=2, TM_ARRVE14=7"
        tab62x22  = "Std. Dev. of Travel Time: MEANS11=2, TM_ARRVE14=8"
        tab62x23  = "Std. Dev. of Travel Time: MEANS11=2, TM_ARRVE14=9"
        tab62x24  = "Std. Dev. of Travel Time: MEANS11=2, TM_ARRVE14=10"
        tab62x25  = "Std. Dev. of Travel Time: MEANS11=2, TM_ARRVE14=11"
        tab62x26  = "Std. Dev. of Travel Time: MEANS11=2, TM_ARRVE14=12"
        tab62x27  = "Std. Dev. of Travel Time: MEANS11=2, TM_ARRVE14=13"
        tab62x28  = "Std. Dev. of Travel Time: MEANS11=2, TM_ARRVE14=14"
        tab62x29  = "Std. Dev. of Travel Time: MEANS11=3, TM_ARRVE14=1"
        tab62x30  = "Std. Dev. of Travel Time: MEANS11=3, TM_ARRVE14=2"
        tab62x31  = "Std. Dev. of Travel Time: MEANS11=3, TM_ARRVE14=3"
        tab62x32  = "Std. Dev. of Travel Time: MEANS11=3, TM_ARRVE14=4"
        tab62x33  = "Std. Dev. of Travel Time: MEANS11=3, TM_ARRVE14=5"
        tab62x34  = "Std. Dev. of Travel Time: MEANS11=3, TM_ARRVE14=6"
        tab62x35  = "Std. Dev. of Travel Time: MEANS11=3, TM_ARRVE14=7"
        tab62x36  = "Std. Dev. of Travel Time: MEANS11=3, TM_ARRVE14=8"
        tab62x37  = "Std. Dev. of Travel Time: MEANS11=3, TM_ARRVE14=9"
        tab62x38  = "Std. Dev. of Travel Time: MEANS11=3, TM_ARRVE14=10"
        tab62x39  = "Std. Dev. of Travel Time: MEANS11=3, TM_ARRVE14=11"
        tab62x40  = "Std. Dev. of Travel Time: MEANS11=3, TM_ARRVE14=12"
        tab62x41  = "Std. Dev. of Travel Time: MEANS11=3, TM_ARRVE14=13"
        tab62x42  = "Std. Dev. of Travel Time: MEANS11=3, TM_ARRVE14=14"
        tab62x43  = "Std. Dev. of Travel Time: MEANS11=4, TM_ARRVE14=1"
        tab62x44  = "Std. Dev. of Travel Time: MEANS11=4, TM_ARRVE14=2"
        tab62x45  = "Std. Dev. of Travel Time: MEANS11=4, TM_ARRVE14=3"
        tab62x46  = "Std. Dev. of Travel Time: MEANS11=4, TM_ARRVE14=4"
        tab62x47  = "Std. Dev. of Travel Time: MEANS11=4, TM_ARRVE14=5"
        tab62x48  = "Std. Dev. of Travel Time: MEANS11=4, TM_ARRVE14=6"
        tab62x49  = "Std. Dev. of Travel Time: MEANS11=4, TM_ARRVE14=7"
        tab62x50  = "Std. Dev. of Travel Time: MEANS11=4, TM_ARRVE14=8"
        tab62x51  = "Std. Dev. of Travel Time: MEANS11=4, TM_ARRVE14=9"
        tab62x52  = "Std. Dev. of Travel Time: MEANS11=4, TM_ARRVE14=10"
        tab62x53  = "Std. Dev. of Travel Time: MEANS11=4, TM_ARRVE14=11"
        tab62x54  = "Std. Dev. of Travel Time: MEANS11=4, TM_ARRVE14=12"
        tab62x55  = "Std. Dev. of Travel Time: MEANS11=4, TM_ARRVE14=13"
        tab62x56  = "Std. Dev. of Travel Time: MEANS11=4, TM_ARRVE14=14"
        tab62x57  = "Std. Dev. of Travel Time: MEANS11=5, TM_ARRVE14=1"
        tab62x58  = "Std. Dev. of Travel Time: MEANS11=5, TM_ARRVE14=2"
        tab62x59  = "Std. Dev. of Travel Time: MEANS11=5, TM_ARRVE14=3"
        tab62x60  = "Std. Dev. of Travel Time: MEANS11=5, TM_ARRVE14=4"
        tab62x61  = "Std. Dev. of Travel Time: MEANS11=5, TM_ARRVE14=5"
        tab62x62  = "Std. Dev. of Travel Time: MEANS11=5, TM_ARRVE14=6"
        tab62x63  = "Std. Dev. of Travel Time: MEANS11=5, TM_ARRVE14=7"
        tab62x64  = "Std. Dev. of Travel Time: MEANS11=5, TM_ARRVE14=8"
        tab62x65  = "Std. Dev. of Travel Time: MEANS11=5, TM_ARRVE14=9"
        tab62x66  = "Std. Dev. of Travel Time: MEANS11=5, TM_ARRVE14=10"
        tab62x67  = "Std. Dev. of Travel Time: MEANS11=5, TM_ARRVE14=11"
        tab62x68  = "Std. Dev. of Travel Time: MEANS11=5, TM_ARRVE14=12"
        tab62x69  = "Std. Dev. of Travel Time: MEANS11=5, TM_ARRVE14=13"
        tab62x70  = "Std. Dev. of Travel Time: MEANS11=5, TM_ARRVE14=14"
        tab62x71  = "Std. Dev. of Travel Time: MEANS11=6, TM_ARRVE14=1"
        tab62x72  = "Std. Dev. of Travel Time: MEANS11=6, TM_ARRVE14=2"
        tab62x73  = "Std. Dev. of Travel Time: MEANS11=6, TM_ARRVE14=3"
        tab62x74  = "Std. Dev. of Travel Time: MEANS11=6, TM_ARRVE14=4"
        tab62x75  = "Std. Dev. of Travel Time: MEANS11=6, TM_ARRVE14=5"
        tab62x76  = "Std. Dev. of Travel Time: MEANS11=6, TM_ARRVE14=6"
        tab62x77  = "Std. Dev. of Travel Time: MEANS11=6, TM_ARRVE14=7"
        tab62x78  = "Std. Dev. of Travel Time: MEANS11=6, TM_ARRVE14=8"
        tab62x79  = "Std. Dev. of Travel Time: MEANS11=6, TM_ARRVE14=9"
        tab62x80  = "Std. Dev. of Travel Time: MEANS11=6, TM_ARRVE14=10"
        tab62x81  = "Std. Dev. of Travel Time: MEANS11=6, TM_ARRVE14=11"
        tab62x82  = "Std. Dev. of Travel Time: MEANS11=6, TM_ARRVE14=12"
        tab62x83  = "Std. Dev. of Travel Time: MEANS11=6, TM_ARRVE14=13"
        tab62x84  = "Std. Dev. of Travel Time: MEANS11=6, TM_ARRVE14=14"
        tab62x85  = "Std. Dev. of Travel Time: MEANS11=7, TM_ARRVE14=1"
        tab62x86  = "Std. Dev. of Travel Time: MEANS11=7, TM_ARRVE14=2"
        tab62x87  = "Std. Dev. of Travel Time: MEANS11=7, TM_ARRVE14=3"
        tab62x88  = "Std. Dev. of Travel Time: MEANS11=7, TM_ARRVE14=4"
        tab62x89  = "Std. Dev. of Travel Time: MEANS11=7, TM_ARRVE14=5"
        tab62x90  = "Std. Dev. of Travel Time: MEANS11=7, TM_ARRVE14=6"
        tab62x91  = "Std. Dev. of Travel Time: MEANS11=7, TM_ARRVE14=7"
        tab62x92  = "Std. Dev. of Travel Time: MEANS11=7, TM_ARRVE14=8"
        tab62x93  = "Std. Dev. of Travel Time: MEANS11=7, TM_ARRVE14=9"
        tab62x94  = "Std. Dev. of Travel Time: MEANS11=7, TM_ARRVE14=10"
        tab62x95  = "Std. Dev. of Travel Time: MEANS11=7, TM_ARRVE14=11"
        tab62x96  = "Std. Dev. of Travel Time: MEANS11=7, TM_ARRVE14=12"
        tab62x97  = "Std. Dev. of Travel Time: MEANS11=7, TM_ARRVE14=13"
        tab62x98  = "Std. Dev. of Travel Time: MEANS11=7, TM_ARRVE14=14"
        tab62x99  = "Std. Dev. of Travel Time: MEANS11=8, TM_ARRVE14=1"
        tab62x100 = "Std. Dev. of Travel Time: MEANS11=8, TM_ARRVE14=2"
        tab62x101 = "Std. Dev. of Travel Time: MEANS11=8, TM_ARRVE14=3"
        tab62x102 = "Std. Dev. of Travel Time: MEANS11=8, TM_ARRVE14=4"
        tab62x103 = "Std. Dev. of Travel Time: MEANS11=8, TM_ARRVE14=5"
        tab62x104 = "Std. Dev. of Travel Time: MEANS11=8, TM_ARRVE14=6"
        tab62x105 = "Std. Dev. of Travel Time: MEANS11=8, TM_ARRVE14=7"
        tab62x106 = "Std. Dev. of Travel Time: MEANS11=8, TM_ARRVE14=8"
        tab62x107 = "Std. Dev. of Travel Time: MEANS11=8, TM_ARRVE14=9"
        tab62x108 = "Std. Dev. of Travel Time: MEANS11=8, TM_ARRVE14=10"
        tab62x109 = "Std. Dev. of Travel Time: MEANS11=8, TM_ARRVE14=11"
        tab62x110 = "Std. Dev. of Travel Time: MEANS11=8, TM_ARRVE14=12"
        tab62x111 = "Std. Dev. of Travel Time: MEANS11=8, TM_ARRVE14=13"
        tab62x112 = "Std. Dev. of Travel Time: MEANS11=8, TM_ARRVE14=14"
        tab62x113 = "Std. Dev. of Travel Time: MEANS11=9, TM_ARRVE14=1"
        tab62x114 = "Std. Dev. of Travel Time: MEANS11=9, TM_ARRVE14=2"
        tab62x115 = "Std. Dev. of Travel Time: MEANS11=9, TM_ARRVE14=3"
        tab62x116 = "Std. Dev. of Travel Time: MEANS11=9, TM_ARRVE14=4"
        tab62x117 = "Std. Dev. of Travel Time: MEANS11=9, TM_ARRVE14=5"
        tab62x118 = "Std. Dev. of Travel Time: MEANS11=9, TM_ARRVE14=6"
        tab62x119 = "Std. Dev. of Travel Time: MEANS11=9, TM_ARRVE14=7"
        tab62x120 = "Std. Dev. of Travel Time: MEANS11=9, TM_ARRVE14=8"
        tab62x121 = "Std. Dev. of Travel Time: MEANS11=9, TM_ARRVE14=9"
        tab62x122 = "Std. Dev. of Travel Time: MEANS11=9, TM_ARRVE14=10"
        tab62x123 = "Std. Dev. of Travel Time: MEANS11=9, TM_ARRVE14=11"
        tab62x124 = "Std. Dev. of Travel Time: MEANS11=9, TM_ARRVE14=12"
        tab62x125 = "Std. Dev. of Travel Time: MEANS11=9, TM_ARRVE14=13"
        tab62x126 = "Std. Dev. of Travel Time: MEANS11=9, TM_ARRVE14=14"
        tab62x127 = "Std. Dev. of Travel Time: MEANS11=10, TM_ARRVE14=1"
        tab62x128 = "Std. Dev. of Travel Time: MEANS11=10, TM_ARRVE14=2"
        tab62x129 = "Std. Dev. of Travel Time: MEANS11=10, TM_ARRVE14=3"
        tab62x130 = "Std. Dev. of Travel Time: MEANS11=10, TM_ARRVE14=4"
        tab62x131 = "Std. Dev. of Travel Time: MEANS11=10, TM_ARRVE14=5"
        tab62x132 = "Std. Dev. of Travel Time: MEANS11=10, TM_ARRVE14=6"
        tab62x133 = "Std. Dev. of Travel Time: MEANS11=10, TM_ARRVE14=7"
        tab62x134 = "Std. Dev. of Travel Time: MEANS11=10, TM_ARRVE14=8"
        tab62x135 = "Std. Dev. of Travel Time: MEANS11=10, TM_ARRVE14=9"
        tab62x136 = "Std. Dev. of Travel Time: MEANS11=10, TM_ARRVE14=10"
        tab62x137 = "Std. Dev. of Travel Time: MEANS11=10, TM_ARRVE14=11"
        tab62x138 = "Std. Dev. of Travel Time: MEANS11=10, TM_ARRVE14=12"
        tab62x139 = "Std. Dev. of Travel Time: MEANS11=10, TM_ARRVE14=13"
        tab62x140 = "Std. Dev. of Travel Time: MEANS11=10, TM_ARRVE14=14"
        tab62x141 = "Std. Dev. of Travel Time: MEANS11=11, TM_ARRVE14=1"
        tab62x142 = "Std. Dev. of Travel Time: MEANS11=11, TM_ARRVE14=2"
        tab62x143 = "Std. Dev. of Travel Time: MEANS11=11, TM_ARRVE14=3"
        tab62x144 = "Std. Dev. of Travel Time: MEANS11=11, TM_ARRVE14=4"
        tab62x145 = "Std. Dev. of Travel Time: MEANS11=11, TM_ARRVE14=5"
        tab62x146 = "Std. Dev. of Travel Time: MEANS11=11, TM_ARRVE14=6"
        tab62x147 = "Std. Dev. of Travel Time: MEANS11=11, TM_ARRVE14=7"
        tab62x148 = "Std. Dev. of Travel Time: MEANS11=11, TM_ARRVE14=8"
        tab62x149 = "Std. Dev. of Travel Time: MEANS11=11, TM_ARRVE14=9"
        tab62x150 = "Std. Dev. of Travel Time: MEANS11=11, TM_ARRVE14=10"
        tab62x151 = "Std. Dev. of Travel Time: MEANS11=11, TM_ARRVE14=11"
        tab62x152 = "Std. Dev. of Travel Time: MEANS11=11, TM_ARRVE14=12"
        tab62x153 = "Std. Dev. of Travel Time: MEANS11=11, TM_ARRVE14=13"
        tab62x154 = "Std. Dev. of Travel Time: MEANS11=11, TM_ARRVE14=14"

        tab50x1   = "Aggregate Number of Vehicles Used: TM_LEAVE4=1"
        tab50x2   = "Aggregate Number of Vehicles Used: TM_LEAVE4=2"
        tab50x3   = "Aggregate Number of Vehicles Used: TM_LEAVE4=3"
        tab50x4   = "Aggregate Number of Vehicles Used: TM_LEAVE4=4"
        tab51x1   = "Mean number of workers per vehicles used: TM_LEAVE4=1"
        tab51x2   = "Mean number of workers per vehicles used: TM_LEAVE4=2"
        tab51x3   = "Mean number of workers per vehicles used: TM_LEAVE4=3"
        tab51x4   = "Mean number of workers per vehicles used: TM_LEAVE4=4"
        tab52x1   = "Aggregate Number of Carpools: TM_LEAVE4=1"
        tab52x2   = "Aggregate Number of Carpools: TM_LEAVE4=2"
        tab52x3   = "Aggregate Number of Carpools: TM_LEAVE4=3"
        tab52x4   = "Aggregate Number of Carpools: TM_LEAVE4=4"
        tab53x1   = "Mean number of workers per carpool: TM_LEAVE4=1"
        tab53x2   = "Mean number of workers per carpool: TM_LEAVE4=2"
        tab53x3   = "Mean number of workers per carpool: TM_LEAVE4=3"
        tab53x4   = "Mean number of workers per carpool: TM_LEAVE4=4"

        tab63x1   = "Aggregate earnings: MEANS11=1"
        tab63x2   = "Aggregate earnings: MEANS11=2"
        tab63x3   = "Aggregate earnings: MEANS11=3"
        tab63x4   = "Aggregate earnings: MEANS11=4"
        tab63x5   = "Aggregate earnings: MEANS11=5"
        tab63x6   = "Aggregate earnings: MEANS11=6"
        tab63x7   = "Aggregate earnings: MEANS11=7"
        tab63x8   = "Aggregate earnings: MEANS11=8"
        tab63x9   = "Aggregate earnings: MEANS11=9"
        tab63x10  = "Aggregate earnings: MEANS11=10"
        tab63x11  = "Aggregate earnings: MEANS11=11"

        tab64x1   = "Aggregate travel time: MEANS11=1"
        tab64x2   = "Aggregate travel time: MEANS11=2"
        tab64x3   = "Aggregate travel time: MEANS11=3"
        tab64x4   = "Aggregate travel time: MEANS11=4"
        tab64x5   = "Aggregate travel time: MEANS11=5"
        tab64x6   = "Aggregate travel time: MEANS11=6"
        tab64x7   = "Aggregate travel time: MEANS11=7"
        tab64x8   = "Aggregate travel time: MEANS11=8"
        tab64x9   = "Aggregate travel time: MEANS11=9"
        tab64x10  = "Aggregate travel time: MEANS11=10"
        tab64x11  = "Aggregate travel time: MEANS11=11"
        tab65x1   = "Aggregate travel time: MEANS18=1"
        tab65x2   = "Aggregate travel time: MEANS18=2"
        tab65x3   = "Aggregate travel time: MEANS18=3"
        tab65x4   = "Aggregate travel time: MEANS18=4"
        tab65x5   = "Aggregate travel time: MEANS18=5"
        tab65x6   = "Aggregate travel time: MEANS18=6"
        tab65x7   = "Aggregate travel time: MEANS18=7"
        tab65x8   = "Aggregate travel time: MEANS18=8"
        tab65x9   = "Aggregate travel time: MEANS18=9"
        tab65x10  = "Aggregate travel time: MEANS18=10"
        tab65x11  = "Aggregate travel time: MEANS18=11"
        tab65x12  = "Aggregate travel time: MEANS18=12"
        tab65x13  = "Aggregate travel time: MEANS18=13"
        tab65x14  = "Aggregate travel time: MEANS18=14"
        tab65x15  = "Aggregate travel time: MEANS18=15"
        tab65x16  = "Aggregate travel time: MEANS18=16"
        tab65x17  = "Aggregate travel time: MEANS18=17"
        tab65x18  = "Aggregate travel time: MEANS18=18"
        tab66x1   = "Aggregate Travel Time: MEANS11=1, TM_ARRVE14=1"
        tab66x2   = "Aggregate Travel Time: MEANS11=1, TM_ARRVE14=2"
        tab66x3   = "Aggregate Travel Time: MEANS11=1, TM_ARRVE14=3"
        tab66x4   = "Aggregate Travel Time: MEANS11=1, TM_ARRVE14=4"
        tab66x5   = "Aggregate Travel Time: MEANS11=1, TM_ARRVE14=5"
        tab66x6   = "Aggregate Travel Time: MEANS11=1, TM_ARRVE14=6"
        tab66x7   = "Aggregate Travel Time: MEANS11=1, TM_ARRVE14=7"
        tab66x8   = "Aggregate Travel Time: MEANS11=1, TM_ARRVE14=8"
        tab66x9   = "Aggregate Travel Time: MEANS11=1, TM_ARRVE14=9"
        tab66x10  = "Aggregate Travel Time: MEANS11=1, TM_ARRVE14=10"
        tab66x11  = "Aggregate Travel Time: MEANS11=1, TM_ARRVE14=11"
        tab66x12  = "Aggregate Travel Time: MEANS11=1, TM_ARRVE14=12"
        tab66x13  = "Aggregate Travel Time: MEANS11=1, TM_ARRVE14=13"
        tab66x14  = "Aggregate Travel Time: MEANS11=1, TM_ARRVE14=14"
        tab66x15  = "Aggregate Travel Time: MEANS11=2, TM_ARRVE14=1"
        tab66x16  = "Aggregate Travel Time: MEANS11=2, TM_ARRVE14=2"
        tab66x17  = "Aggregate Travel Time: MEANS11=2, TM_ARRVE14=3"
        tab66x18  = "Aggregate Travel Time: MEANS11=2, TM_ARRVE14=4"
        tab66x19  = "Aggregate Travel Time: MEANS11=2, TM_ARRVE14=5"
        tab66x20  = "Aggregate Travel Time: MEANS11=2, TM_ARRVE14=6"
        tab66x21  = "Aggregate Travel Time: MEANS11=2, TM_ARRVE14=7"
        tab66x22  = "Aggregate Travel Time: MEANS11=2, TM_ARRVE14=8"
        tab66x23  = "Aggregate Travel Time: MEANS11=2, TM_ARRVE14=9"
        tab66x24  = "Aggregate Travel Time: MEANS11=2, TM_ARRVE14=10"
        tab66x25  = "Aggregate Travel Time: MEANS11=2, TM_ARRVE14=11"
        tab66x26  = "Aggregate Travel Time: MEANS11=2, TM_ARRVE14=12"
        tab66x27  = "Aggregate Travel Time: MEANS11=2, TM_ARRVE14=13"
        tab66x28  = "Aggregate Travel Time: MEANS11=2, TM_ARRVE14=14"
        tab66x29  = "Aggregate Travel Time: MEANS11=3, TM_ARRVE14=1"
        tab66x30  = "Aggregate Travel Time: MEANS11=3, TM_ARRVE14=2"
        tab66x31  = "Aggregate Travel Time: MEANS11=3, TM_ARRVE14=3"
        tab66x32  = "Aggregate Travel Time: MEANS11=3, TM_ARRVE14=4"
        tab66x33  = "Aggregate Travel Time: MEANS11=3, TM_ARRVE14=5"
        tab66x34  = "Aggregate Travel Time: MEANS11=3, TM_ARRVE14=6"
        tab66x35  = "Aggregate Travel Time: MEANS11=3, TM_ARRVE14=7"
        tab66x36  = "Aggregate Travel Time: MEANS11=3, TM_ARRVE14=8"
        tab66x37  = "Aggregate Travel Time: MEANS11=3, TM_ARRVE14=9"
        tab66x38  = "Aggregate Travel Time: MEANS11=3, TM_ARRVE14=10"
        tab66x39  = "Aggregate Travel Time: MEANS11=3, TM_ARRVE14=11"
        tab66x40  = "Aggregate Travel Time: MEANS11=3, TM_ARRVE14=12"
        tab66x41  = "Aggregate Travel Time: MEANS11=3, TM_ARRVE14=13"
        tab66x42  = "Aggregate Travel Time: MEANS11=3, TM_ARRVE14=14"
        tab66x43  = "Aggregate Travel Time: MEANS11=4, TM_ARRVE14=1"
        tab66x44  = "Aggregate Travel Time: MEANS11=4, TM_ARRVE14=2"
        tab66x45  = "Aggregate Travel Time: MEANS11=4, TM_ARRVE14=3"
        tab66x46  = "Aggregate Travel Time: MEANS11=4, TM_ARRVE14=4"
        tab66x47  = "Aggregate Travel Time: MEANS11=4, TM_ARRVE14=5"
        tab66x48  = "Aggregate Travel Time: MEANS11=4, TM_ARRVE14=6"
        tab66x49  = "Aggregate Travel Time: MEANS11=4, TM_ARRVE14=7"
        tab66x50  = "Aggregate Travel Time: MEANS11=4, TM_ARRVE14=8"
        tab66x51  = "Aggregate Travel Time: MEANS11=4, TM_ARRVE14=9"
        tab66x52  = "Aggregate Travel Time: MEANS11=4, TM_ARRVE14=10"
        tab66x53  = "Aggregate Travel Time: MEANS11=4, TM_ARRVE14=11"
        tab66x54  = "Aggregate Travel Time: MEANS11=4, TM_ARRVE14=12"
        tab66x55  = "Aggregate Travel Time: MEANS11=4, TM_ARRVE14=13"
        tab66x56  = "Aggregate Travel Time: MEANS11=4, TM_ARRVE14=14"
        tab66x57  = "Aggregate Travel Time: MEANS11=5, TM_ARRVE14=1"
        tab66x58  = "Aggregate Travel Time: MEANS11=5, TM_ARRVE14=2"
        tab66x59  = "Aggregate Travel Time: MEANS11=5, TM_ARRVE14=3"
        tab66x60  = "Aggregate Travel Time: MEANS11=5, TM_ARRVE14=4"
        tab66x61  = "Aggregate Travel Time: MEANS11=5, TM_ARRVE14=5"
        tab66x62  = "Aggregate Travel Time: MEANS11=5, TM_ARRVE14=6"
        tab66x63  = "Aggregate Travel Time: MEANS11=5, TM_ARRVE14=7"
        tab66x64  = "Aggregate Travel Time: MEANS11=5, TM_ARRVE14=8"
        tab66x65  = "Aggregate Travel Time: MEANS11=5, TM_ARRVE14=9"
        tab66x66  = "Aggregate Travel Time: MEANS11=5, TM_ARRVE14=10"
        tab66x67  = "Aggregate Travel Time: MEANS11=5, TM_ARRVE14=11"
        tab66x68  = "Aggregate Travel Time: MEANS11=5, TM_ARRVE14=12"
        tab66x69  = "Aggregate Travel Time: MEANS11=5, TM_ARRVE14=13"
        tab66x70  = "Aggregate Travel Time: MEANS11=5, TM_ARRVE14=14"
        tab66x71  = "Aggregate Travel Time: MEANS11=6, TM_ARRVE14=1"
        tab66x72  = "Aggregate Travel Time: MEANS11=6, TM_ARRVE14=2"
        tab66x73  = "Aggregate Travel Time: MEANS11=6, TM_ARRVE14=3"
        tab66x74  = "Aggregate Travel Time: MEANS11=6, TM_ARRVE14=4"
        tab66x75  = "Aggregate Travel Time: MEANS11=6, TM_ARRVE14=5"
        tab66x76  = "Aggregate Travel Time: MEANS11=6, TM_ARRVE14=6"
        tab66x77  = "Aggregate Travel Time: MEANS11=6, TM_ARRVE14=7"
        tab66x78  = "Aggregate Travel Time: MEANS11=6, TM_ARRVE14=8"
        tab66x79  = "Aggregate Travel Time: MEANS11=6, TM_ARRVE14=9"
        tab66x80  = "Aggregate Travel Time: MEANS11=6, TM_ARRVE14=10"
        tab66x81  = "Aggregate Travel Time: MEANS11=6, TM_ARRVE14=11"
        tab66x82  = "Aggregate Travel Time: MEANS11=6, TM_ARRVE14=12"
        tab66x83  = "Aggregate Travel Time: MEANS11=6, TM_ARRVE14=13"
        tab66x84  = "Aggregate Travel Time: MEANS11=6, TM_ARRVE14=14"
        tab66x85  = "Aggregate Travel Time: MEANS11=7, TM_ARRVE14=1"
        tab66x86  = "Aggregate Travel Time: MEANS11=7, TM_ARRVE14=2"
        tab66x87  = "Aggregate Travel Time: MEANS11=7, TM_ARRVE14=3"
        tab66x88  = "Aggregate Travel Time: MEANS11=7, TM_ARRVE14=4"
        tab66x89  = "Aggregate Travel Time: MEANS11=7, TM_ARRVE14=5"
        tab66x90  = "Aggregate Travel Time: MEANS11=7, TM_ARRVE14=6"
        tab66x91  = "Aggregate Travel Time: MEANS11=7, TM_ARRVE14=7"
        tab66x92  = "Aggregate Travel Time: MEANS11=7, TM_ARRVE14=8"
        tab66x93  = "Aggregate Travel Time: MEANS11=7, TM_ARRVE14=9"
        tab66x94  = "Aggregate Travel Time: MEANS11=7, TM_ARRVE14=10"
        tab66x95  = "Aggregate Travel Time: MEANS11=7, TM_ARRVE14=11"
        tab66x96  = "Aggregate Travel Time: MEANS11=7, TM_ARRVE14=12"
        tab66x97  = "Aggregate Travel Time: MEANS11=7, TM_ARRVE14=13"
        tab66x98  = "Aggregate Travel Time: MEANS11=7, TM_ARRVE14=14"
        tab66x99  = "Aggregate Travel Time: MEANS11=8, TM_ARRVE14=1"
        tab66x100 = "Aggregate Travel Time: MEANS11=8, TM_ARRVE14=2"
        tab66x101 = "Aggregate Travel Time: MEANS11=8, TM_ARRVE14=3"
        tab66x102 = "Aggregate Travel Time: MEANS11=8, TM_ARRVE14=4"
        tab66x103 = "Aggregate Travel Time: MEANS11=8, TM_ARRVE14=5"
        tab66x104 = "Aggregate Travel Time: MEANS11=8, TM_ARRVE14=6"
        tab66x105 = "Aggregate Travel Time: MEANS11=8, TM_ARRVE14=7"
        tab66x106 = "Aggregate Travel Time: MEANS11=8, TM_ARRVE14=8"
        tab66x107 = "Aggregate Travel Time: MEANS11=8, TM_ARRVE14=9"
        tab66x108 = "Aggregate Travel Time: MEANS11=8, TM_ARRVE14=10"
        tab66x109 = "Aggregate Travel Time: MEANS11=8, TM_ARRVE14=11"
        tab66x110 = "Aggregate Travel Time: MEANS11=8, TM_ARRVE14=12"
        tab66x111 = "Aggregate Travel Time: MEANS11=8, TM_ARRVE14=13"
        tab66x112 = "Aggregate Travel Time: MEANS11=8, TM_ARRVE14=14"
        tab66x113 = "Aggregate Travel Time: MEANS11=9, TM_ARRVE14=1"
        tab66x114 = "Aggregate Travel Time: MEANS11=9, TM_ARRVE14=2"
        tab66x115 = "Aggregate Travel Time: MEANS11=9, TM_ARRVE14=3"
        tab66x116 = "Aggregate Travel Time: MEANS11=9, TM_ARRVE14=4"
        tab66x117 = "Aggregate Travel Time: MEANS11=9, TM_ARRVE14=5"
        tab66x118 = "Aggregate Travel Time: MEANS11=9, TM_ARRVE14=6"
        tab66x119 = "Aggregate Travel Time: MEANS11=9, TM_ARRVE14=7"
        tab66x120 = "Aggregate Travel Time: MEANS11=9, TM_ARRVE14=8"
        tab66x121 = "Aggregate Travel Time: MEANS11=9, TM_ARRVE14=9"
        tab66x122 = "Aggregate Travel Time: MEANS11=9, TM_ARRVE14=10"
        tab66x123 = "Aggregate Travel Time: MEANS11=9, TM_ARRVE14=11"
        tab66x124 = "Aggregate Travel Time: MEANS11=9, TM_ARRVE14=12"
        tab66x125 = "Aggregate Travel Time: MEANS11=9, TM_ARRVE14=13"
        tab66x126 = "Aggregate Travel Time: MEANS11=9, TM_ARRVE14=14"
        tab66x127 = "Aggregate Travel Time: MEANS11=10, TM_ARRVE14=1"
        tab66x128 = "Aggregate Travel Time: MEANS11=10, TM_ARRVE14=2"
        tab66x129 = "Aggregate Travel Time: MEANS11=10, TM_ARRVE14=3"
        tab66x130 = "Aggregate Travel Time: MEANS11=10, TM_ARRVE14=4"
        tab66x131 = "Aggregate Travel Time: MEANS11=10, TM_ARRVE14=5"
        tab66x132 = "Aggregate Travel Time: MEANS11=10, TM_ARRVE14=6"
        tab66x133 = "Aggregate Travel Time: MEANS11=10, TM_ARRVE14=7"
        tab66x134 = "Aggregate Travel Time: MEANS11=10, TM_ARRVE14=8"
        tab66x135 = "Aggregate Travel Time: MEANS11=10, TM_ARRVE14=9"
        tab66x136 = "Aggregate Travel Time: MEANS11=10, TM_ARRVE14=10"
        tab66x137 = "Aggregate Travel Time: MEANS11=10, TM_ARRVE14=11"
        tab66x138 = "Aggregate Travel Time: MEANS11=10, TM_ARRVE14=12"
        tab66x139 = "Aggregate Travel Time: MEANS11=10, TM_ARRVE14=13"
        tab66x140 = "Aggregate Travel Time: MEANS11=10, TM_ARRVE14=14"
        tab66x141 = "Aggregate Travel Time: MEANS11=11, TM_ARRVE14=1"
        tab66x142 = "Aggregate Travel Time: MEANS11=11, TM_ARRVE14=2"
        tab66x143 = "Aggregate Travel Time: MEANS11=11, TM_ARRVE14=3"
        tab66x144 = "Aggregate Travel Time: MEANS11=11, TM_ARRVE14=4"
        tab66x145 = "Aggregate Travel Time: MEANS11=11, TM_ARRVE14=5"
        tab66x146 = "Aggregate Travel Time: MEANS11=11, TM_ARRVE14=6"
        tab66x147 = "Aggregate Travel Time: MEANS11=11, TM_ARRVE14=7"
        tab66x148 = "Aggregate Travel Time: MEANS11=11, TM_ARRVE14=8"
        tab66x149 = "Aggregate Travel Time: MEANS11=11, TM_ARRVE14=9"
        tab66x150 = "Aggregate Travel Time: MEANS11=11, TM_ARRVE14=10"
        tab66x151 = "Aggregate Travel Time: MEANS11=11, TM_ARRVE14=11"
        tab66x152 = "Aggregate Travel Time: MEANS11=11, TM_ARRVE14=12"
        tab66x153 = "Aggregate Travel Time: MEANS11=11, TM_ARRVE14=13"
        tab66x154 = "Aggregate Travel Time: MEANS11=11, TM_ARRVE14=14"
        ;
run;