*-----------------------------------------------------------------
READ18_29.SAS

Read the ASCII data from tables 18 to 29
see CTTP2_T018_T029.LOC for additional information.
note that we don't read in table 29 which is filled with zeroes.

=================================================================;
*set the log and list files to 132 characters wide and 78 lines long;
options nocenter ps=78 ls=132;

* set the macro variable to the state postal code;
%LET STATE = CA; **** change CA to your state Postal code;

filename in "\part2\&state._ctpp2_t018_t029.dat"; ** input location/directory from which to read the ASCII file;
						   
libname out "\part2\"	** output location/directory where you want to save the output SAS file;
                        
* note that we dropped table 29 on input since it is filled with zeroes.;
data out.&STATE._TABS018_028;  * output SAS dataset name;
   infile in lrecl=17793;      * input ASCII file location;
   input
       FILEID         $5.       /*  1 - 5  */
       SUMLEV         $3.       /*  6 - 8  */
       qpowst         $3.       /*  9 - 11 */
       qpowco         $3.       /* 12 - 14 */
       qpowmcdfips    $5.       /* 15 - 19 */
       qpowmcd        $3.       /* 20 - 22 */
       qpowplfips2    $5.       /* 23 - 27 */
       qpowpl2        $4.       /* 28 - 31 */
       qpowtract      $6.       /* 32 - 37 */
       qpowbkg        $1.       /* 38 - 38 */
       qpowMSACMSA    $4.       /* 39 - 42 */
       qpowPMSA       $4.       /* 43 - 46 */
       filler5        $5.       /* 47 - 51 */
       qpowTAZ        $6.       /* 52 - 57 */
       filler5        $5.       /* 58 - 62 */
       qpowmpo        $4.       /* 63 - 66 */
       qpowcz         $6.       /* 67 - 72 */
       FILLER         $8.       /* 73 - 80  fill out to 80 columns, skip the reserved blank space */
       
       tab18x1       81- 89
       tab18x2       90- 98
       tab18x3       99-107
       tab18x4      108-116
       tab18x5      117-125
       tab18x6      126-134
       tab18x7      135-143
       tab18x8      144-152
       tab18x9      153-161
       tab18x10     162-170
       tab18x11     171-179
       tab18x12     180-188
       tab18x13     189-197
       tab18x14     198-206
       tab18x15     207-215
       tab18x16     216-224
       tab18x17     225-233
       tab18x18     234-242
       tab18x19     243-251
       tab18x20     252-260
       tab18x21     261-269
       tab18x22     270-278
       tab18x23     279-287
       tab18x24     288-296
       tab18x25     297-305
       tab18x26     306-314
       tab18x27     315-323
       tab18x28     324-332
       tab18x29     333-341
       tab18x30     342-350
       tab18x31     351-359
       tab18x32     360-368
       tab18x33     369-377
       tab18x34     378-386
       tab18x35     387-395
       tab18x36     396-404
       tab18x37     405-413
       tab18x38     414-422
       tab18x39     423-431
       tab18x40     432-440
       tab18x41     441-449
       tab18x42     450-458
       tab18x43     459-467
       tab18x44     468-476
       tab18x45     477-485
       tab18x46     486-494
       tab18x47     495-503
       tab18x48     504-512
       tab18x49     513-521
       tab18x50     522-530
       tab18x51     531-539
       tab18x52     540-548
       tab18x53     549-557
       tab18x54     558-566
       tab18x55     567-575
       tab18x56     576-584
       tab18x57     585-593
       tab18x58     594-602
       tab18x59     603-611
       tab18x60     612-620
       tab19x1      621-629
       tab19x2      630-638
       tab19x3      639-647
       tab19x4      648-656
       tab19x5      657-665
       tab19x6      666-674
       tab19x7      675-683
       tab19x8      684-692
       tab19x9      693-701
       tab19x10     702-710
       tab19x11     711-719
       tab19x12     720-728
       tab19x13     729-737
       tab19x14     738-746
       tab19x15     747-755
       tab19x16     756-764
       tab19x17     765-773
       tab19x18     774-782
       tab19x19     783-791
       tab19x20     792-800
       tab19x21     801-809
       tab19x22     810-818
       tab19x23     819-827
       tab19x24     828-836
       tab19x25     837-845
       tab19x26     846-854
       tab19x27     855-863
       tab19x28     864-872
       tab19x29     873-881
       tab19x30     882-890
       tab19x31     891-899
       tab19x32     900-908
       tab19x33     909-917
       tab19x34     918-926
       tab19x35     927-935
       tab19x36     936-944
       tab19x37     945-953
       tab19x38     954-962
       tab19x39     963-971
       tab19x40     972-980
       tab19x41     981-989
       tab19x42     990-998
       tab19x43     999-1007
       tab19x44    1008-1016
       tab19x45    1017-1025
       tab19x46    1026-1034
       tab19x47    1035-1043
       tab19x48    1044-1052
       tab19x49    1053-1061
       tab19x50    1062-1070
       tab19x51    1071-1079
       tab19x52    1080-1088
       tab19x53    1089-1097
       tab19x54    1098-1106
       tab19x55    1107-1115
       tab19x56    1116-1124
       tab19x57    1125-1133
       tab19x58    1134-1142
       tab19x59    1143-1151
       tab19x60    1152-1160
       tab19x61    1161-1169
       tab19x62    1170-1178
       tab19x63    1179-1187
       tab19x64    1188-1196
       tab19x65    1197-1205
       tab19x66    1206-1214
       tab19x67    1215-1223
       tab19x68    1224-1232
       tab19x69    1233-1241
       tab19x70    1242-1250
       tab19x71    1251-1259
       tab19x72    1260-1268
       tab19x73    1269-1277
       tab19x74    1278-1286
       tab19x75    1287-1295
       tab19x76    1296-1304
       tab19x77    1305-1313
       tab19x78    1314-1322
       tab19x79    1323-1331
       tab19x80    1332-1340
       tab19x81    1341-1349
       tab19x82    1350-1358
       tab19x83    1359-1367
       tab19x84    1368-1376
       tab19x85    1377-1385
       tab19x86    1386-1394
       tab19x87    1395-1403
       tab19x88    1404-1412
       tab19x89    1413-1421
       tab19x90    1422-1430
       tab19x91    1431-1439
       tab19x92    1440-1448
       tab19x93    1449-1457
       tab19x94    1458-1466
       tab19x95    1467-1475
       tab19x96    1476-1484
       tab19x97    1485-1493
       tab19x98    1494-1502
       tab19x99    1503-1511
       tab19x100   1512-1520
       tab19x101   1521-1529
       tab19x102   1530-1538
       tab19x103   1539-1547
       tab19x104   1548-1556
       tab19x105   1557-1565
       tab19x106   1566-1574
       tab19x107   1575-1583
       tab19x108   1584-1592
       tab19x109   1593-1601
       tab19x110   1602-1610
       tab19x111   1611-1619
       tab19x112   1620-1628
       tab19x113   1629-1637
       tab19x114   1638-1646
       tab19x115   1647-1655
       tab19x116   1656-1664
       tab19x117   1665-1673
       tab19x118   1674-1682
       tab19x119   1683-1691
       tab19x120   1692-1700
       tab19x121   1701-1709
       tab19x122   1710-1718
       tab19x123   1719-1727
       tab19x124   1728-1736
       tab19x125   1737-1745
       tab19x126   1746-1754
       tab19x127   1755-1763
       tab19x128   1764-1772
       tab19x129   1773-1781
       tab19x130   1782-1790
       tab19x131   1791-1799
       tab19x132   1800-1808
       tab19x133   1809-1817
       tab19x134   1818-1826
       tab19x135   1827-1835
       tab19x136   1836-1844
       tab19x137   1845-1853
       tab19x138   1854-1862
       tab19x139   1863-1871
       tab19x140   1872-1880
       tab19x141   1881-1889
       tab19x142   1890-1898
       tab19x143   1899-1907
       tab19x144   1908-1916
       tab19x145   1917-1925
       tab19x146   1926-1934
       tab19x147   1935-1943
       tab19x148   1944-1952
       tab19x149   1953-1961
       tab19x150   1962-1970
       tab19x151   1971-1979
       tab19x152   1980-1988
       tab19x153   1989-1997
       tab19x154   1998-2006
       tab19x155   2007-2015
       tab19x156   2016-2024
       tab19x157   2025-2033
       tab19x158   2034-2042
       tab19x159   2043-2051
       tab19x160   2052-2060
       tab19x161   2061-2069
       tab19x162   2070-2078
       tab19x163   2079-2087
       tab19x164   2088-2096
       tab19x165   2097-2105
       tab19x166   2106-2114
       tab19x167   2115-2123
       tab19x168   2124-2132
       tab19x169   2133-2141
       tab19x170   2142-2150
       tab19x171   2151-2159
       tab19x172   2160-2168
       tab19x173   2169-2177
       tab19x174   2178-2186
       tab19x175   2187-2195
       tab19x176   2196-2204
       tab19x177   2205-2213
       tab19x178   2214-2222
       tab19x179   2223-2231
       tab19x180   2232-2240
       tab19x181   2241-2249
       tab19x182   2250-2258
       tab19x183   2259-2267
       tab19x184   2268-2276
       tab19x185   2277-2285
       tab19x186   2286-2294
       tab19x187   2295-2303
       tab19x188   2304-2312
       tab19x189   2313-2321
       tab19x190   2322-2330
       tab19x191   2331-2339
       tab19x192   2340-2348
       tab19x193   2349-2357
       tab19x194   2358-2366
       tab19x195   2367-2375
       tab19x196   2376-2384
       tab19x197   2385-2393
       tab19x198   2394-2402
       tab19x199   2403-2411
       tab19x200   2412-2420
       tab19x201   2421-2429
       tab19x202   2430-2438
       tab19x203   2439-2447
       tab19x204   2448-2456
       tab20x1     2457-2465
       tab20x2     2466-2474
       tab20x3     2475-2483
       tab20x4     2484-2492
       tab20x5     2493-2501
       tab20x6     2502-2510
       tab20x7     2511-2519
       tab20x8     2520-2528
       tab20x9     2529-2537
       tab20x10    2538-2546
       tab20x11    2547-2555
       tab20x12    2556-2564
       tab20x13    2565-2573
       tab20x14    2574-2582
       tab20x15    2583-2591
       tab20x16    2592-2600
       tab20x17    2601-2609
       tab20x18    2610-2618
       tab20x19    2619-2627
       tab20x20    2628-2636
       tab20x21    2637-2645
       tab20x22    2646-2654
       tab20x23    2655-2663
       tab20x24    2664-2672
       tab20x25    2673-2681
       tab20x26    2682-2690
       tab20x27    2691-2699
       tab20x28    2700-2708
       tab20x29    2709-2717
       tab20x30    2718-2726
       tab20x31    2727-2735
       tab20x32    2736-2744
       tab20x33    2745-2753
       tab20x34    2754-2762
       tab20x35    2763-2771
       tab20x36    2772-2780
       tab20x37    2781-2789
       tab20x38    2790-2798
       tab20x39    2799-2807
       tab20x40    2808-2816
       tab20x41    2817-2825
       tab20x42    2826-2834
       tab20x43    2835-2843
       tab20x44    2844-2852
       tab20x45    2853-2861
       tab20x46    2862-2870
       tab20x47    2871-2879
       tab20x48    2880-2888
       tab20x49    2889-2897
       tab20x50    2898-2906
       tab20x51    2907-2915
       tab20x52    2916-2924
       tab20x53    2925-2933
       tab20x54    2934-2942
       tab20x55    2943-2951
       tab21x1     2952-2960
       tab21x2     2961-2969
       tab21x3     2970-2978
       tab21x4     2979-2987
       tab21x5     2988-2996
       tab21x6     2997-3005
       tab21x7     3006-3014
       tab21x8     3015-3023
       tab21x9     3024-3032
       tab21x10    3033-3041
       tab21x11    3042-3050
       tab21x12    3051-3059
       tab21x13    3060-3068
       tab21x14    3069-3077
       tab21x15    3078-3086
       tab21x16    3087-3095
       tab21x17    3096-3104
       tab21x18    3105-3113
       tab21x19    3114-3122
       tab21x20    3123-3131
       tab21x21    3132-3140
       tab21x22    3141-3149
       tab21x23    3150-3158
       tab21x24    3159-3167
       tab21x25    3168-3176
       tab21x26    3177-3185
       tab21x27    3186-3194
       tab21x28    3195-3203
       tab21x29    3204-3212
       tab21x30    3213-3221
       tab21x31    3222-3230
       tab21x32    3231-3239
       tab21x33    3240-3248
       tab21x34    3249-3257
       tab21x35    3258-3266
       tab21x36    3267-3275
       tab21x37    3276-3284
       tab21x38    3285-3293
       tab21x39    3294-3302
       tab21x40    3303-3311
       tab21x41    3312-3320
       tab21x42    3321-3329
       tab21x43    3330-3338
       tab21x44    3339-3347
       tab21x45    3348-3356
       tab21x46    3357-3365
       tab21x47    3366-3374
       tab21x48    3375-3383
       tab21x49    3384-3392
       tab21x50    3393-3401
       tab21x51    3402-3410
       tab21x52    3411-3419
       tab21x53    3420-3428
       tab21x54    3429-3437
       tab21x55    3438-3446
       tab21x56    3447-3455
       tab21x57    3456-3464
       tab21x58    3465-3473
       tab21x59    3474-3482
       tab21x60    3483-3491
       tab21x61    3492-3500
       tab21x62    3501-3509
       tab21x63    3510-3518
       tab21x64    3519-3527
       tab21x65    3528-3536
       tab21x66    3537-3545
       tab21x67    3546-3554
       tab21x68    3555-3563
       tab21x69    3564-3572
       tab21x70    3573-3581
       tab21x71    3582-3590
       tab21x72    3591-3599
       tab21x73    3600-3608
       tab21x74    3609-3617
       tab21x75    3618-3626
       tab21x76    3627-3635
       tab21x77    3636-3644
       tab21x78    3645-3653
       tab21x79    3654-3662
       tab21x80    3663-3671
       tab21x81    3672-3680
       tab21x82    3681-3689
       tab21x83    3690-3698
       tab21x84    3699-3707
       tab21x85    3708-3716
       tab21x86    3717-3725
       tab21x87    3726-3734
       tab21x88    3735-3743
       tab21x89    3744-3752
       tab21x90    3753-3761
       tab21x91    3762-3770
       tab21x92    3771-3779
       tab21x93    3780-3788
       tab21x94    3789-3797
       tab21x95    3798-3806
       tab21x96    3807-3815
       tab21x97    3816-3824
       tab21x98    3825-3833
       tab21x99    3834-3842
       tab21x100   3843-3851
       tab21x101   3852-3860
       tab21x102   3861-3869
       tab21x103   3870-3878
       tab21x104   3879-3887
       tab21x105   3888-3896
       tab21x106   3897-3905
       tab21x107   3906-3914
       tab21x108   3915-3923
       tab21x109   3924-3932
       tab21x110   3933-3941
       tab21x111   3942-3950
       tab21x112   3951-3959
       tab21x113   3960-3968
       tab21x114   3969-3977
       tab21x115   3978-3986
       tab21x116   3987-3995
       tab21x117   3996-4004
       tab21x118   4005-4013
       tab21x119   4014-4022
       tab21x120   4023-4031
       tab21x121   4032-4040
       tab21x122   4041-4049
       tab21x123   4050-4058
       tab21x124   4059-4067
       tab21x125   4068-4076
       tab21x126   4077-4085
       tab21x127   4086-4094
       tab21x128   4095-4103
       tab21x129   4104-4112
       tab21x130   4113-4121
       tab21x131   4122-4130
       tab21x132   4131-4139
       tab21x133   4140-4148
       tab21x134   4149-4157
       tab21x135   4158-4166
       tab21x136   4167-4175
       tab21x137   4176-4184
       tab21x138   4185-4193
       tab21x139   4194-4202
       tab21x140   4203-4211
       tab21x141   4212-4220
       tab21x142   4221-4229
       tab21x143   4230-4238
       tab21x144   4239-4247
       tab21x145   4248-4256
       tab21x146   4257-4265
       tab21x147   4266-4274
       tab21x148   4275-4283
       tab21x149   4284-4292
       tab21x150   4293-4301
       tab21x151   4302-4310
       tab21x152   4311-4319
       tab21x153   4320-4328
       tab21x154   4329-4337
       tab22x1     4338-4346
       tab22x2     4347-4355
       tab22x3     4356-4364
       tab22x4     4365-4373
       tab22x5     4374-4382
       tab22x6     4383-4391
       tab22x7     4392-4400
       tab22x8     4401-4409
       tab22x9     4410-4418
       tab22x10    4419-4427
       tab22x11    4428-4436
       tab22x12    4437-4445
       tab22x13    4446-4454
       tab22x14    4455-4463
       tab22x15    4464-4472
       tab22x16    4473-4481
       tab22x17    4482-4490
       tab22x18    4491-4499
       tab22x19    4500-4508
       tab22x20    4509-4517
       tab22x21    4518-4526
       tab22x22    4527-4535
       tab22x23    4536-4544
       tab22x24    4545-4553
       tab22x25    4554-4562
       tab22x26    4563-4571
       tab22x27    4572-4580
       tab22x28    4581-4589
       tab22x29    4590-4598
       tab22x30    4599-4607
       tab22x31    4608-4616
       tab22x32    4617-4625
       tab22x33    4626-4634
       tab22x34    4635-4643
       tab22x35    4644-4652
       tab22x36    4653-4661
       tab22x37    4662-4670
       tab22x38    4671-4679
       tab22x39    4680-4688
       tab22x40    4689-4697
       tab22x41    4698-4706
       tab22x42    4707-4715
       tab22x43    4716-4724
       tab22x44    4725-4733
       tab22x45    4734-4742
       tab22x46    4743-4751
       tab22x47    4752-4760
       tab22x48    4761-4769
       tab22x49    4770-4778
       tab22x50    4779-4787
       tab22x51    4788-4796
       tab22x52    4797-4805
       tab22x53    4806-4814
       tab22x54    4815-4823
       tab22x55    4824-4832
       tab22x56    4833-4841
       tab22x57    4842-4850
       tab22x58    4851-4859
       tab22x59    4860-4868
       tab22x60    4869-4877
       tab22x61    4878-4886
       tab22x62    4887-4895
       tab22x63    4896-4904
       tab22x64    4905-4913
       tab22x65    4914-4922
       tab22x66    4923-4931
       tab22x67    4932-4940
       tab22x68    4941-4949
       tab22x69    4950-4958
       tab22x70    4959-4967
       tab22x71    4968-4976
       tab22x72    4977-4985
       tab22x73    4986-4994
       tab22x74    4995-5003
       tab22x75    5004-5012
       tab22x76    5013-5021
       tab22x77    5022-5030
       tab22x78    5031-5039
       tab22x79    5040-5048
       tab22x80    5049-5057
       tab22x81    5058-5066
       tab22x82    5067-5075
       tab22x83    5076-5084
       tab22x84    5085-5093
       tab22x85    5094-5102
       tab22x86    5103-5111
       tab22x87    5112-5120
       tab22x88    5121-5129
       tab22x89    5130-5138
       tab22x90    5139-5147
       tab22x91    5148-5156
       tab22x92    5157-5165
       tab22x93    5166-5174
       tab22x94    5175-5183
       tab22x95    5184-5192
       tab22x96    5193-5201
       tab22x97    5202-5210
       tab22x98    5211-5219
       tab22x99    5220-5228
       tab22x100   5229-5237
       tab22x101   5238-5246
       tab22x102   5247-5255
       tab22x103   5256-5264
       tab22x104   5265-5273
       tab22x105   5274-5282
       tab22x106   5283-5291
       tab22x107   5292-5300
       tab22x108   5301-5309
       tab22x109   5310-5318
       tab22x110   5319-5327
       tab22x111   5328-5336
       tab22x112   5337-5345
       tab22x113   5346-5354
       tab22x114   5355-5363
       tab22x115   5364-5372
       tab22x116   5373-5381
       tab22x117   5382-5390
       tab22x118   5391-5399
       tab22x119   5400-5408
       tab22x120   5409-5417
       tab22x121   5418-5426
       tab22x122   5427-5435
       tab22x123   5436-5444
       tab22x124   5445-5453
       tab22x125   5454-5462
       tab22x126   5463-5471
       tab22x127   5472-5480
       tab22x128   5481-5489
       tab22x129   5490-5498
       tab22x130   5499-5507
       tab22x131   5508-5516
       tab22x132   5517-5525
       tab22x133   5526-5534
       tab22x134   5535-5543
       tab22x135   5544-5552
       tab22x136   5553-5561
       tab22x137   5562-5570
       tab22x138   5571-5579
       tab22x139   5580-5588
       tab22x140   5589-5597
       tab22x141   5598-5606
       tab22x142   5607-5615
       tab22x143   5616-5624
       tab22x144   5625-5633
       tab22x145   5634-5642
       tab22x146   5643-5651
       tab22x147   5652-5660
       tab22x148   5661-5669
       tab22x149   5670-5678
       tab22x150   5679-5687
       tab22x151   5688-5696
       tab22x152   5697-5705
       tab22x153   5706-5714
       tab22x154   5715-5723
       tab22x155   5724-5732
       tab22x156   5733-5741
       tab22x157   5742-5750
       tab22x158   5751-5759
       tab22x159   5760-5768
       tab22x160   5769-5777
       tab22x161   5778-5786
       tab22x162   5787-5795
       tab22x163   5796-5804
       tab22x164   5805-5813
       tab22x165   5814-5822
       tab22x166   5823-5831
       tab22x167   5832-5840
       tab22x168   5841-5849
       tab22x169   5850-5858
       tab22x170   5859-5867
       tab22x171   5868-5876
       tab22x172   5877-5885
       tab22x173   5886-5894
       tab22x174   5895-5903
       tab22x175   5904-5912
       tab22x176   5913-5921
       tab22x177   5922-5930
       tab22x178   5931-5939
       tab22x179   5940-5948
       tab22x180   5949-5957
       tab22x181   5958-5966
       tab22x182   5967-5975
       tab22x183   5976-5984
       tab22x184   5985-5993
       tab22x185   5994-6002
       tab22x186   6003-6011
       tab22x187   6012-6020
       tab23x1     6021-6029
       tab23x2     6030-6038
       tab23x3     6039-6047
       tab23x4     6048-6056
       tab23x5     6057-6065
       tab23x6     6066-6074
       tab23x7     6075-6083
       tab23x8     6084-6092
       tab23x9     6093-6101
       tab23x10    6102-6110
       tab23x11    6111-6119
       tab23x12    6120-6128
       tab23x13    6129-6137
       tab23x14    6138-6146
       tab23x15    6147-6155
       tab23x16    6156-6164
       tab23x17    6165-6173
       tab23x18    6174-6182
       tab23x19    6183-6191
       tab23x20    6192-6200
       tab23x21    6201-6209
       tab23x22    6210-6218
       tab23x23    6219-6227
       tab23x24    6228-6236
       tab23x25    6237-6245
       tab23x26    6246-6254
       tab23x27    6255-6263
       tab23x28    6264-6272
       tab23x29    6273-6281
       tab23x30    6282-6290
       tab23x31    6291-6299
       tab23x32    6300-6308
       tab23x33    6309-6317
       tab23x34    6318-6326
       tab23x35    6327-6335
       tab23x36    6336-6344
       tab23x37    6345-6353
       tab23x38    6354-6362
       tab23x39    6363-6371
       tab23x40    6372-6380
       tab23x41    6381-6389
       tab23x42    6390-6398
       tab23x43    6399-6407
       tab23x44    6408-6416
       tab23x45    6417-6425
       tab23x46    6426-6434
       tab23x47    6435-6443
       tab23x48    6444-6452
       tab23x49    6453-6461
       tab23x50    6462-6470
       tab23x51    6471-6479
       tab23x52    6480-6488
       tab23x53    6489-6497
       tab23x54    6498-6506
       tab23x55    6507-6515
       tab23x56    6516-6524
       tab23x57    6525-6533
       tab23x58    6534-6542
       tab23x59    6543-6551
       tab23x60    6552-6560
       tab23x61    6561-6569
       tab23x62    6570-6578
       tab23x63    6579-6587
       tab23x64    6588-6596
       tab23x65    6597-6605
       tab23x66    6606-6614
       tab23x67    6615-6623
       tab23x68    6624-6632
       tab23x69    6633-6641
       tab23x70    6642-6650
       tab23x71    6651-6659
       tab23x72    6660-6668
       tab23x73    6669-6677
       tab23x74    6678-6686
       tab23x75    6687-6695
       tab23x76    6696-6704
       tab23x77    6705-6713
       tab23x78    6714-6722
       tab23x79    6723-6731
       tab23x80    6732-6740
       tab23x81    6741-6749
       tab23x82    6750-6758
       tab23x83    6759-6767
       tab23x84    6768-6776
       tab23x85    6777-6785
       tab23x86    6786-6794
       tab23x87    6795-6803
       tab23x88    6804-6812
       tab23x89    6813-6821
       tab23x90    6822-6830
       tab23x91    6831-6839
       tab23x92    6840-6848
       tab23x93    6849-6857
       tab23x94    6858-6866
       tab23x95    6867-6875
       tab23x96    6876-6884
       tab23x97    6885-6893
       tab23x98    6894-6902
       tab23x99    6903-6911
       tab23x100   6912-6920
       tab23x101   6921-6929
       tab23x102   6930-6938
       tab23x103   6939-6947
       tab23x104   6948-6956
       tab23x105   6957-6965
       tab23x106   6966-6974
       tab23x107   6975-6983
       tab23x108   6984-6992
       tab23x109   6993-7001
       tab23x110   7002-7010
       tab23x111   7011-7019
       tab23x112   7020-7028
       tab23x113   7029-7037
       tab23x114   7038-7046
       tab23x115   7047-7055
       tab23x116   7056-7064
       tab23x117   7065-7073
       tab23x118   7074-7082
       tab23x119   7083-7091
       tab23x120   7092-7100
       tab23x121   7101-7109
       tab23x122   7110-7118
       tab23x123   7119-7127
       tab23x124   7128-7136
       tab23x125   7137-7145
       tab23x126   7146-7154
       tab23x127   7155-7163
       tab23x128   7164-7172
       tab23x129   7173-7181
       tab23x130   7182-7190
       tab23x131   7191-7199
       tab23x132   7200-7208
       tab23x133   7209-7217
       tab23x134   7218-7226
       tab23x135   7227-7235
       tab23x136   7236-7244
       tab23x137   7245-7253
       tab23x138   7254-7262
       tab23x139   7263-7271
       tab23x140   7272-7280
       tab23x141   7281-7289
       tab23x142   7290-7298
       tab23x143   7299-7307
       tab23x144   7308-7316
       tab23x145   7317-7325
       tab23x146   7326-7334
       tab23x147   7335-7343
       tab23x148   7344-7352
       tab23x149   7353-7361
       tab23x150   7362-7370
       tab23x151   7371-7379
       tab23x152   7380-7388
       tab23x153   7389-7397
       tab23x154   7398-7406
       tab23x155   7407-7415
       tab23x156   7416-7424
       tab23x157   7425-7433
       tab23x158   7434-7442
       tab23x159   7443-7451
       tab23x160   7452-7460
       tab23x161   7461-7469
       tab23x162   7470-7478
       tab23x163   7479-7487
       tab23x164   7488-7496
       tab23x165   7497-7505
       tab23x166   7506-7514
       tab23x167   7515-7523
       tab23x168   7524-7532
       tab23x169   7533-7541
       tab23x170   7542-7550
       tab23x171   7551-7559
       tab23x172   7560-7568
       tab23x173   7569-7577
       tab23x174   7578-7586
       tab23x175   7587-7595
       tab23x176   7596-7604
       tab23x177   7605-7613
       tab23x178   7614-7622
       tab23x179   7623-7631
       tab23x180   7632-7640
       tab23x181   7641-7649
       tab23x182   7650-7658
       tab23x183   7659-7667
       tab23x184   7668-7676
       tab23x185   7677-7685
       tab23x186   7686-7694
       tab23x187   7695-7703
       tab23x188   7704-7712
       tab23x189   7713-7721
       tab23x190   7722-7730
       tab23x191   7731-7739
       tab23x192   7740-7748
       tab23x193   7749-7757
       tab23x194   7758-7766
       tab23x195   7767-7775
       tab23x196   7776-7784
       tab23x197   7785-7793
       tab23x198   7794-7802
       tab23x199   7803-7811
       tab23x200   7812-7820
       tab23x201   7821-7829
       tab23x202   7830-7838
       tab23x203   7839-7847
       tab23x204   7848-7856
       tab23x205   7857-7865
       tab23x206   7866-7874
       tab23x207   7875-7883
       tab23x208   7884-7892
       tab23x209   7893-7901
       tab23x210   7902-7910
       tab23x211   7911-7919
       tab23x212   7920-7928
       tab23x213   7929-7937
       tab23x214   7938-7946
       tab23x215   7947-7955
       tab23x216   7956-7964
       tab23x217   7965-7973
       tab23x218   7974-7982
       tab23x219   7983-7991
       tab23x220   7992-8000
       tab23x221   8001-8009
       tab23x222   8010-8018
       tab23x223   8019-8027
       tab23x224   8028-8036
       tab23x225   8037-8045
       tab23x226   8046-8054
       tab23x227   8055-8063
       tab23x228   8064-8072
       tab23x229   8073-8081
       tab23x230   8082-8090
       tab23x231   8091-8099
       tab23x232   8100-8108
       tab23x233   8109-8117
       tab23x234   8118-8126
       tab23x235   8127-8135
       tab23x236   8136-8144
       tab23x237   8145-8153
       tab23x238   8154-8162
       tab23x239   8163-8171
       tab23x240   8172-8180
       tab23x241   8181-8189
       tab23x242   8190-8198
       tab23x243   8199-8207
       tab23x244   8208-8216
       tab23x245   8217-8225
       tab23x246   8226-8234
       tab23x247   8235-8243
       tab23x248   8244-8252
       tab23x249   8253-8261
       tab23x250   8262-8270
       tab23x251   8271-8279
       tab23x252   8280-8288
       tab23x253   8289-8297
       tab23x254   8298-8306
       tab23x255   8307-8315
       tab23x256   8316-8324
       tab23x257   8325-8333
       tab23x258   8334-8342
       tab23x259   8343-8351
       tab23x260   8352-8360
       tab23x261   8361-8369
       tab23x262   8370-8378
       tab23x263   8379-8387
       tab23x264   8388-8396
       tab23x265   8397-8405
       tab23x266   8406-8414
       tab23x267   8415-8423
       tab23x268   8424-8432
       tab23x269   8433-8441
       tab23x270   8442-8450
       tab23x271   8451-8459
       tab23x272   8460-8468
       tab23x273   8469-8477
       tab23x274   8478-8486
       tab23x275   8487-8495
       tab23x276   8496-8504
       tab23x277   8505-8513
       tab23x278   8514-8522
       tab23x279   8523-8531
       tab23x280   8532-8540
       tab23x281   8541-8549
       tab23x282   8550-8558
       tab23x283   8559-8567
       tab23x284   8568-8576
       tab23x285   8577-8585
       tab23x286   8586-8594
       tab23x287   8595-8603
       tab23x288   8604-8612
       tab23x289   8613-8621
       tab23x290   8622-8630
       tab23x291   8631-8639
       tab23x292   8640-8648
       tab23x293   8649-8657
       tab23x294   8658-8666
       tab23x295   8667-8675
       tab23x296   8676-8684
       tab23x297   8685-8693
       tab23x298   8694-8702
       tab23x299   8703-8711
       tab23x300   8712-8720
       tab23x301   8721-8729
       tab23x302   8730-8738
       tab23x303   8739-8747
       tab23x304   8748-8756
       tab23x305   8757-8765
       tab23x306   8766-8774
       tab23x307   8775-8783
       tab23x308   8784-8792
       tab23x309   8793-8801
       tab23x310   8802-8810
       tab23x311   8811-8819
       tab23x312   8820-8828
       tab23x313   8829-8837
       tab23x314   8838-8846
       tab23x315   8847-8855
       tab23x316   8856-8864
       tab23x317   8865-8873
       tab23x318   8874-8882
       tab23x319   8883-8891
       tab23x320   8892-8900
       tab23x321   8901-8909
       tab23x322   8910-8918
       tab23x323   8919-8927
       tab23x324   8928-8936
       tab23x325   8937-8945
       tab23x326   8946-8954
       tab23x327   8955-8963
       tab23x328   8964-8972
       tab23x329   8973-8981
       tab23x330   8982-8990
       tab23x331   8991-8999
       tab23x332   9000-9008
       tab23x333   9009-9017
       tab23x334   9018-9026
       tab23x335   9027-9035
       tab23x336   9036-9044
       tab23x337   9045-9053
       tab23x338   9054-9062
       tab23x339   9063-9071
       tab23x340   9072-9080
       tab23x341   9081-9089
       tab23x342   9090-9098
       tab23x343   9099-9107
       tab23x344   9108-9116
       tab23x345   9117-9125
       tab23x346   9126-9134
       tab23x347   9135-9143
       tab23x348   9144-9152
       tab23x349   9153-9161
       tab23x350   9162-9170
       tab23x351   9171-9179
       tab23x352   9180-9188
       tab23x353   9189-9197
       tab23x354   9198-9206
       tab23x355   9207-9215
       tab23x356   9216-9224
       tab23x357   9225-9233
       tab23x358   9234-9242
       tab23x359   9243-9251
       tab23x360   9252-9260
       tab23x361   9261-9269
       tab23x362   9270-9278
       tab23x363   9279-9287
       tab23x364   9288-9296
       tab23x365   9297-9305
       tab23x366   9306-9314
       tab23x367   9315-9323
       tab23x368   9324-9332
       tab23x369   9333-9341
       tab23x370   9342-9350
       tab23x371   9351-9359
       tab23x372   9360-9368
       tab23x373   9369-9377
       tab23x374   9378-9386
       tab23x375   9387-9395
       tab24x1     9396-9404
       tab24x2     9405-9413
       tab24x3     9414-9422
       tab24x4     9423-9431
       tab24x5     9432-9440
       tab24x6     9441-9449
       tab24x7     9450-9458
       tab24x8     9459-9467
       tab24x9     9468-9476
       tab24x10    9477-9485
       tab24x11    9486-9494
       tab24x12    9495-9503
       tab24x13    9504-9512
       tab24x14    9513-9521
       tab24x15    9522-9530
       tab24x16    9531-9539
       tab24x17    9540-9548
       tab24x18    9549-9557
       tab24x19    9558-9566
       tab24x20    9567-9575
       tab24x21    9576-9584
       tab24x22    9585-9593
       tab24x23    9594-9602
       tab24x24    9603-9611
       tab24x25    9612-9620
       tab24x26    9621-9629
       tab24x27    9630-9638
       tab24x28    9639-9647
       tab24x29    9648-9656
       tab24x30    9657-9665
       tab24x31    9666-9674
       tab24x32    9675-9683
       tab24x33    9684-9692
       tab24x34    9693-9701
       tab24x35    9702-9710
       tab24x36    9711-9719
       tab24x37    9720-9728
       tab24x38    9729-9737
       tab24x39    9738-9746
       tab24x40    9747-9755
       tab24x41    9756-9764
       tab24x42    9765-9773
       tab24x43    9774-9782
       tab24x44    9783-9791
       tab24x45    9792-9800
       tab24x46    9801-9809
       tab24x47    9810-9818
       tab24x48    9819-9827
       tab24x49    9828-9836
       tab24x50    9837-9845
       tab24x51    9846-9854
       tab24x52    9855-9863
       tab24x53    9864-9872
       tab24x54    9873-9881
       tab24x55    9882-9890
       tab24x56    9891-9899
       tab24x57    9900-9908
       tab24x58    9909-9917
       tab24x59    9918-9926
       tab24x60    9927-9935
       tab24x61    9936-9944
       tab24x62    9945-9953
       tab24x63    9954-9962
       tab24x64    9963-9971
       tab24x65    9972-9980
       tab24x66    9981-9989
       tab24x67    9990-9998
       tab24x68    9999-10007
       tab24x69   10008-10016
       tab24x70   10017-10025
       tab24x71   10026-10034
       tab24x72   10035-10043
       tab24x73   10044-10052
       tab24x74   10053-10061
       tab24x75   10062-10070
       tab24x76   10071-10079
       tab24x77   10080-10088
       tab24x78   10089-10097
       tab24x79   10098-10106
       tab24x80   10107-10115
       tab24x81   10116-10124
       tab24x82   10125-10133
       tab24x83   10134-10142
       tab24x84   10143-10151
       tab24x85   10152-10160
       tab24x86   10161-10169
       tab24x87   10170-10178
       tab24x88   10179-10187
       tab24x89   10188-10196
       tab24x90   10197-10205
       tab24x91   10206-10214
       tab24x92   10215-10223
       tab24x93   10224-10232
       tab24x94   10233-10241
       tab24x95   10242-10250
       tab24x96   10251-10259
       tab24x97   10260-10268
       tab24x98   10269-10277
       tab24x99   10278-10286
       tab24x100  10287-10295
       tab24x101  10296-10304
       tab24x102  10305-10313
       tab24x103  10314-10322
       tab24x104  10323-10331
       tab24x105  10332-10340
       tab24x106  10341-10349
       tab24x107  10350-10358
       tab24x108  10359-10367
       tab24x109  10368-10376
       tab24x110  10377-10385
       tab24x111  10386-10394
       tab24x112  10395-10403
       tab24x113  10404-10412
       tab24x114  10413-10421
       tab24x115  10422-10430
       tab24x116  10431-10439
       tab24x117  10440-10448
       tab24x118  10449-10457
       tab24x119  10458-10466
       tab24x120  10467-10475
       tab24x121  10476-10484
       tab24x122  10485-10493
       tab24x123  10494-10502
       tab24x124  10503-10511
       tab24x125  10512-10520
       tab24x126  10521-10529
       tab24x127  10530-10538
       tab24x128  10539-10547
       tab24x129  10548-10556
       tab24x130  10557-10565
       tab24x131  10566-10574
       tab24x132  10575-10583
       tab24x133  10584-10592
       tab24x134  10593-10601
       tab24x135  10602-10610
       tab24x136  10611-10619
       tab24x137  10620-10628
       tab24x138  10629-10637
       tab24x139  10638-10646
       tab24x140  10647-10655
       tab24x141  10656-10664
       tab24x142  10665-10673
       tab24x143  10674-10682
       tab24x144  10683-10691
       tab24x145  10692-10700
       tab24x146  10701-10709
       tab24x147  10710-10718
       tab24x148  10719-10727
       tab24x149  10728-10736
       tab24x150  10737-10745
       tab24x151  10746-10754
       tab24x152  10755-10763
       tab24x153  10764-10772
       tab24x154  10773-10781
       tab24x155  10782-10790
       tab24x156  10791-10799
       tab24x157  10800-10808
       tab24x158  10809-10817
       tab24x159  10818-10826
       tab24x160  10827-10835
       tab24x161  10836-10844
       tab24x162  10845-10853
       tab24x163  10854-10862
       tab24x164  10863-10871
       tab24x165  10872-10880
       tab24x166  10881-10889
       tab24x167  10890-10898
       tab24x168  10899-10907
       tab24x169  10908-10916
       tab24x170  10917-10925
       tab24x171  10926-10934
       tab24x172  10935-10943
       tab24x173  10944-10952
       tab24x174  10953-10961
       tab24x175  10962-10970
       tab24x176  10971-10979
       tab24x177  10980-10988
       tab24x178  10989-10997
       tab24x179  10998-11006
       tab24x180  11007-11015
       tab24x181  11016-11024
       tab24x182  11025-11033
       tab24x183  11034-11042
       tab24x184  11043-11051
       tab24x185  11052-11060
       tab24x186  11061-11069
       tab24x187  11070-11078
       tab24x188  11079-11087
       tab24x189  11088-11096
       tab24x190  11097-11105
       tab24x191  11106-11114
       tab24x192  11115-11123
       tab24x193  11124-11132
       tab24x194  11133-11141
       tab24x195  11142-11150
       tab24x196  11151-11159
       tab24x197  11160-11168
       tab24x198  11169-11177
       tab24x199  11178-11186
       tab24x200  11187-11195
       tab24x201  11196-11204
       tab24x202  11205-11213
       tab24x203  11214-11222
       tab24x204  11223-11231
       tab24x205  11232-11240
       tab24x206  11241-11249
       tab24x207  11250-11258
       tab24x208  11259-11267
       tab24x209  11268-11276
       tab24x210  11277-11285
       tab24x211  11286-11294
       tab24x212  11295-11303
       tab24x213  11304-11312
       tab24x214  11313-11321
       tab24x215  11322-11330
       tab24x216  11331-11339
       tab24x217  11340-11348
       tab24x218  11349-11357
       tab24x219  11358-11366
       tab24x220  11367-11375
       tab24x221  11376-11384
       tab24x222  11385-11393
       tab24x223  11394-11402
       tab24x224  11403-11411
       tab24x225  11412-11420
       tab25x1    11421-11429
       tab25x2    11430-11438
       tab25x3    11439-11447
       tab25x4    11448-11456
       tab25x5    11457-11465
       tab25x6    11466-11474
       tab25x7    11475-11483
       tab25x8    11484-11492
       tab25x9    11493-11501
       tab25x10   11502-11510
       tab25x11   11511-11519
       tab25x12   11520-11528
       tab25x13   11529-11537
       tab25x14   11538-11546
       tab25x15   11547-11555
       tab25x16   11556-11564
       tab25x17   11565-11573
       tab25x18   11574-11582
       tab25x19   11583-11591
       tab25x20   11592-11600
       tab25x21   11601-11609
       tab25x22   11610-11618
       tab25x23   11619-11627
       tab25x24   11628-11636
       tab25x25   11637-11645
       tab25x26   11646-11654
       tab25x27   11655-11663
       tab25x28   11664-11672
       tab25x29   11673-11681
       tab25x30   11682-11690
       tab25x31   11691-11699
       tab25x32   11700-11708
       tab25x33   11709-11717
       tab25x34   11718-11726
       tab25x35   11727-11735
       tab25x36   11736-11744
       tab25x37   11745-11753
       tab25x38   11754-11762
       tab25x39   11763-11771
       tab25x40   11772-11780
       tab25x41   11781-11789
       tab25x42   11790-11798
       tab25x43   11799-11807
       tab25x44   11808-11816
       tab25x45   11817-11825
       tab25x46   11826-11834
       tab25x47   11835-11843
       tab25x48   11844-11852
       tab25x49   11853-11861
       tab25x50   11862-11870
       tab25x51   11871-11879
       tab25x52   11880-11888
       tab25x53   11889-11897
       tab25x54   11898-11906
       tab25x55   11907-11915
       tab25x56   11916-11924
       tab25x57   11925-11933
       tab25x58   11934-11942
       tab25x59   11943-11951
       tab25x60   11952-11960
       tab25x61   11961-11969
       tab25x62   11970-11978
       tab25x63   11979-11987
       tab25x64   11988-11996
       tab25x65   11997-12005
       tab25x66   12006-12014
       tab25x67   12015-12023
       tab25x68   12024-12032
       tab25x69   12033-12041
       tab25x70   12042-12050
       tab25x71   12051-12059
       tab25x72   12060-12068
       tab25x73   12069-12077
       tab25x74   12078-12086
       tab25x75   12087-12095
       tab25x76   12096-12104
       tab25x77   12105-12113
       tab25x78   12114-12122
       tab25x79   12123-12131
       tab25x80   12132-12140
       tab25x81   12141-12149
       tab25x82   12150-12158
       tab25x83   12159-12167
       tab25x84   12168-12176
       tab25x85   12177-12185
       tab25x86   12186-12194
       tab25x87   12195-12203
       tab25x88   12204-12212
       tab25x89   12213-12221
       tab25x90   12222-12230
       tab25x91   12231-12239
       tab25x92   12240-12248
       tab25x93   12249-12257
       tab25x94   12258-12266
       tab25x95   12267-12275
       tab25x96   12276-12284
       tab25x97   12285-12293
       tab25x98   12294-12302
       tab25x99   12303-12311
       tab25x100  12312-12320
       tab25x101  12321-12329
       tab25x102  12330-12338
       tab25x103  12339-12347
       tab25x104  12348-12356
       tab25x105  12357-12365
       tab25x106  12366-12374
       tab25x107  12375-12383
       tab25x108  12384-12392
       tab25x109  12393-12401
       tab25x110  12402-12410
       tab25x111  12411-12419
       tab25x112  12420-12428
       tab25x113  12429-12437
       tab25x114  12438-12446
       tab25x115  12447-12455
       tab25x116  12456-12464
       tab25x117  12465-12473
       tab25x118  12474-12482
       tab25x119  12483-12491
       tab25x120  12492-12500
       tab26x1    12501-12509
       tab26x2    12510-12518
       tab26x3    12519-12527
       tab26x4    12528-12536
       tab26x5    12537-12545
       tab26x6    12546-12554
       tab26x7    12555-12563
       tab26x8    12564-12572
       tab26x9    12573-12581
       tab26x10   12582-12590
       tab26x11   12591-12599
       tab26x12   12600-12608
       tab26x13   12609-12617
       tab26x14   12618-12626
       tab26x15   12627-12635
       tab26x16   12636-12644
       tab26x17   12645-12653
       tab26x18   12654-12662
       tab26x19   12663-12671
       tab26x20   12672-12680
       tab26x21   12681-12689
       tab26x22   12690-12698
       tab26x23   12699-12707
       tab26x24   12708-12716
       tab26x25   12717-12725
       tab26x26   12726-12734
       tab26x27   12735-12743
       tab26x28   12744-12752
       tab26x29   12753-12761
       tab26x30   12762-12770
       tab26x31   12771-12779
       tab26x32   12780-12788
       tab26x33   12789-12797
       tab26x34   12798-12806
       tab26x35   12807-12815
       tab26x36   12816-12824
       tab26x37   12825-12833
       tab26x38   12834-12842
       tab26x39   12843-12851
       tab26x40   12852-12860
       tab26x41   12861-12869
       tab26x42   12870-12878
       tab26x43   12879-12887
       tab26x44   12888-12896
       tab26x45   12897-12905
       tab26x46   12906-12914
       tab26x47   12915-12923
       tab26x48   12924-12932
       tab26x49   12933-12941
       tab26x50   12942-12950
       tab26x51   12951-12959
       tab26x52   12960-12968
       tab26x53   12969-12977
       tab26x54   12978-12986
       tab26x55   12987-12995
       tab26x56   12996-13004
       tab26x57   13005-13013
       tab26x58   13014-13022
       tab26x59   13023-13031
       tab26x60   13032-13040
       tab26x61   13041-13049
       tab26x62   13050-13058
       tab26x63   13059-13067
       tab26x64   13068-13076
       tab26x65   13077-13085
       tab26x66   13086-13094
       tab26x67   13095-13103
       tab26x68   13104-13112
       tab26x69   13113-13121
       tab26x70   13122-13130
       tab26x71   13131-13139
       tab26x72   13140-13148
       tab26x73   13149-13157
       tab26x74   13158-13166
       tab26x75   13167-13175
       tab26x76   13176-13184
       tab26x77   13185-13193
       tab26x78   13194-13202
       tab26x79   13203-13211
       tab26x80   13212-13220
       tab26x81   13221-13229
       tab26x82   13230-13238
       tab26x83   13239-13247
       tab26x84   13248-13256
       tab26x85   13257-13265
       tab26x86   13266-13274
       tab26x87   13275-13283
       tab26x88   13284-13292
       tab26x89   13293-13301
       tab26x90   13302-13310
       tab26x91   13311-13319
       tab26x92   13320-13328
       tab26x93   13329-13337
       tab26x94   13338-13346
       tab26x95   13347-13355
       tab26x96   13356-13364
       tab26x97   13365-13373
       tab26x98   13374-13382
       tab26x99   13383-13391
       tab26x100  13392-13400
       tab26x101  13401-13409
       tab26x102  13410-13418
       tab26x103  13419-13427
       tab26x104  13428-13436
       tab26x105  13437-13445
       tab26x106  13446-13454
       tab26x107  13455-13463
       tab26x108  13464-13472
       tab26x109  13473-13481
       tab26x110  13482-13490
       tab26x111  13491-13499
       tab26x112  13500-13508
       tab26x113  13509-13517
       tab26x114  13518-13526
       tab26x115  13527-13535
       tab26x116  13536-13544
       tab26x117  13545-13553
       tab26x118  13554-13562
       tab26x119  13563-13571
       tab26x120  13572-13580
       tab26x121  13581-13589
       tab26x122  13590-13598
       tab26x123  13599-13607
       tab26x124  13608-13616
       tab26x125  13617-13625
       tab26x126  13626-13634
       tab26x127  13635-13643
       tab26x128  13644-13652
       tab26x129  13653-13661
       tab26x130  13662-13670
       tab26x131  13671-13679
       tab26x132  13680-13688
       tab26x133  13689-13697
       tab26x134  13698-13706
       tab26x135  13707-13715
       tab26x136  13716-13724
       tab26x137  13725-13733
       tab26x138  13734-13742
       tab26x139  13743-13751
       tab26x140  13752-13760
       tab26x141  13761-13769
       tab26x142  13770-13778
       tab26x143  13779-13787
       tab26x144  13788-13796
       tab26x145  13797-13805
       tab26x146  13806-13814
       tab26x147  13815-13823
       tab26x148  13824-13832
       tab26x149  13833-13841
       tab26x150  13842-13850
       tab26x151  13851-13859
       tab26x152  13860-13868
       tab26x153  13869-13877
       tab26x154  13878-13886
       tab26x155  13887-13895
       tab26x156  13896-13904
       tab26x157  13905-13913
       tab26x158  13914-13922
       tab26x159  13923-13931
       tab26x160  13932-13940
       tab26x161  13941-13949
       tab26x162  13950-13958
       tab26x163  13959-13967
       tab26x164  13968-13976
       tab26x165  13977-13985
       tab26x166  13986-13994
       tab26x167  13995-14003
       tab26x168  14004-14012
       tab26x169  14013-14021
       tab26x170  14022-14030
       tab26x171  14031-14039
       tab26x172  14040-14048
       tab26x173  14049-14057
       tab26x174  14058-14066
       tab26x175  14067-14075
       tab26x176  14076-14084
       tab26x177  14085-14093
       tab26x178  14094-14102
       tab26x179  14103-14111
       tab26x180  14112-14120
       tab27x1    14121-14129
       tab27x2    14130-14138
       tab27x3    14139-14147
       tab27x4    14148-14156
       tab27x5    14157-14165
       tab27x6    14166-14174
       tab27x7    14175-14183
       tab27x8    14184-14192
       tab27x9    14193-14201
       tab27x10   14202-14210
       tab27x11   14211-14219
       tab27x12   14220-14228
       tab27x13   14229-14237
       tab27x14   14238-14246
       tab27x15   14247-14255
       tab27x16   14256-14264
       tab27x17   14265-14273
       tab27x18   14274-14282
       tab27x19   14283-14291
       tab27x20   14292-14300
       tab27x21   14301-14309
       tab27x22   14310-14318
       tab27x23   14319-14327
       tab27x24   14328-14336
       tab27x25   14337-14345
       tab27x26   14346-14354
       tab27x27   14355-14363
       tab27x28   14364-14372
       tab27x29   14373-14381
       tab27x30   14382-14390
       tab27x31   14391-14399
       tab27x32   14400-14408
       tab27x33   14409-14417
       tab27x34   14418-14426
       tab27x35   14427-14435
       tab27x36   14436-14444
       tab27x37   14445-14453
       tab27x38   14454-14462
       tab27x39   14463-14471
       tab27x40   14472-14480
       tab27x41   14481-14489
       tab27x42   14490-14498
       tab27x43   14499-14507
       tab27x44   14508-14516
       tab27x45   14517-14525
       tab27x46   14526-14534
       tab27x47   14535-14543
       tab27x48   14544-14552
       tab27x49   14553-14561
       tab27x50   14562-14570
       tab27x51   14571-14579
       tab27x52   14580-14588
       tab27x53   14589-14597
       tab27x54   14598-14606
       tab27x55   14607-14615
       tab27x56   14616-14624
       tab27x57   14625-14633
       tab27x58   14634-14642
       tab27x59   14643-14651
       tab27x60   14652-14660
       tab27x61   14661-14669
       tab27x62   14670-14678
       tab27x63   14679-14687
       tab27x64   14688-14696
       tab27x65   14697-14705
       tab27x66   14706-14714
       tab27x67   14715-14723
       tab27x68   14724-14732
       tab27x69   14733-14741
       tab27x70   14742-14750
       tab27x71   14751-14759
       tab27x72   14760-14768
       tab27x73   14769-14777
       tab27x74   14778-14786
       tab27x75   14787-14795
       tab27x76   14796-14804
       tab27x77   14805-14813
       tab27x78   14814-14822
       tab27x79   14823-14831
       tab27x80   14832-14840
       tab27x81   14841-14849
       tab27x82   14850-14858
       tab27x83   14859-14867
       tab27x84   14868-14876
       tab27x85   14877-14885
       tab27x86   14886-14894
       tab27x87   14895-14903
       tab27x88   14904-14912
       tab27x89   14913-14921
       tab27x90   14922-14930
       tab27x91   14931-14939
       tab27x92   14940-14948
       tab27x93   14949-14957
       tab27x94   14958-14966
       tab27x95   14967-14975
       tab27x96   14976-14984
       tab27x97   14985-14993
       tab27x98   14994-15002
       tab27x99   15003-15011
       tab27x100  15012-15020
       tab27x101  15021-15029
       tab27x102  15030-15038
       tab27x103  15039-15047
       tab27x104  15048-15056
       tab27x105  15057-15065
       tab27x106  15066-15074
       tab27x107  15075-15083
       tab27x108  15084-15092
       tab27x109  15093-15101
       tab27x110  15102-15110
       tab27x111  15111-15119
       tab27x112  15120-15128
       tab27x113  15129-15137
       tab27x114  15138-15146
       tab27x115  15147-15155
       tab27x116  15156-15164
       tab27x117  15165-15173
       tab27x118  15174-15182
       tab27x119  15183-15191
       tab27x120  15192-15200
       tab28x1    15201-15209
       tab28x2    15210-15218
       tab28x3    15219-15227
       tab28x4    15228-15236
       tab28x5    15237-15245
       tab28x6    15246-15254
       tab28x7    15255-15263
       tab28x8    15264-15272
       tab28x9    15273-15281
       tab28x10   15282-15290
       tab28x11   15291-15299
       tab28x12   15300-15308
       tab28x13   15309-15317
       tab28x14   15318-15326
       tab28x15   15327-15335
       tab28x16   15336-15344
       tab28x17   15345-15353
       tab28x18   15354-15362
       tab28x19   15363-15371
       tab28x20   15372-15380
       tab28x21   15381-15389
       tab28x22   15390-15398
       tab28x23   15399-15407
       tab28x24   15408-15416
       tab28x25   15417-15425
       tab28x26   15426-15434
       tab28x27   15435-15443
       tab28x28   15444-15452
       tab28x29   15453-15461
       tab28x30   15462-15470
       tab28x31   15471-15479
       tab28x32   15480-15488
       tab28x33   15489-15497
       tab28x34   15498-15506
       tab28x35   15507-15515
       tab28x36   15516-15524
       tab28x37   15525-15533
       tab28x38   15534-15542
       tab28x39   15543-15551
       tab28x40   15552-15560
       tab28x41   15561-15569
       tab28x42   15570-15578
       tab28x43   15579-15587
       tab28x44   15588-15596
       tab28x45   15597-15605
       tab28x46   15606-15614
       tab28x47   15615-15623
       tab28x48   15624-15632
       tab28x49   15633-15641
       tab28x50   15642-15650
       tab28x51   15651-15659
       tab28x52   15660-15668
       tab28x53   15669-15677
       tab28x54   15678-15686
       tab28x55   15687-15695
       tab28x56   15696-15704
       tab28x57   15705-15713
       tab28x58   15714-15722
       tab28x59   15723-15731
       tab28x60   15732-15740
       tab28x61   15741-15749
       tab28x62   15750-15758
       tab28x63   15759-15767
       tab28x64   15768-15776
       tab28x65   15777-15785
       tab28x66   15786-15794
       tab28x67   15795-15803
       tab28x68   15804-15812
       tab28x69   15813-15821
       tab28x70   15822-15830
       tab28x71   15831-15839
       tab28x72   15840-15848
       tab28x73   15849-15857
       tab28x74   15858-15866
       tab28x75   15867-15875
       tab28x76   15876-15884
       tab28x77   15885-15893
       tab28x78   15894-15902
       tab28x79   15903-15911
       tab28x80   15912-15920
       tab28x81   15921-15929
       tab28x82   15930-15938
       tab28x83   15939-15947
       tab28x84   15948-15956
       tab28x85   15957-15965
       tab28x86   15966-15974
       tab28x87   15975-15983
       tab28x88   15984-15992
       tab28x89   15993-16001
       tab28x90   16002-16010
       tab28x91   16011-16019
       tab28x92   16020-16028
       tab28x93   16029-16037
       tab28x94   16038-16046
       tab28x95   16047-16055
       tab28x96   16056-16064
       tab28x97   16065-16073
       tab28x98   16074-16082
       tab28x99   16083-16091
       tab28x100  16092-16100
       tab28x101  16101-16109
       tab28x102  16110-16118
       tab28x103  16119-16127
       tab28x104  16128-16136
       tab28x105  16137-16145
       tab28x106  16146-16154
       tab28x107  16155-16163
       tab28x108  16164-16172
       tab28x109  16173-16181
       tab28x110  16182-16190
       tab28x111  16191-16199
       tab28x112  16200-16208
       tab28x113  16209-16217
       tab28x114  16218-16226
       tab28x115  16227-16235
       tab28x116  16236-16244
       tab28x117  16245-16253
       tab28x118  16254-16262
       tab28x119  16263-16271
       tab28x120  16272-16280
       tab28x121  16281-16289
       tab28x122  16290-16298
       tab28x123  16299-16307
       tab28x124  16308-16316
       tab28x125  16317-16325
       tab28x126  16326-16334
       tab28x127  16335-16343
       tab28x128  16344-16352
       tab28x129  16353-16361
       tab28x130  16362-16370
       tab28x131  16371-16379
       tab28x132  16380-16388
       tab28x133  16389-16397
       tab28x134  16398-16406
       tab28x135  16407-16415
       tab28x136  16416-16424
       tab28x137  16425-16433
       tab28x138  16434-16442
       tab28x139  16443-16451
       tab28x140  16452-16460
       tab28x141  16461-16469
       tab28x142  16470-16478
       tab28x143  16479-16487
       tab28x144  16488-16496
       tab28x145  16497-16505
       tab28x146  16506-16514
       tab28x147  16515-16523
       tab28x148  16524-16532
       tab28x149  16533-16541
       tab28x150  16542-16550
       tab28x151  16551-16559
       tab28x152  16560-16568
       tab28x153  16569-16577
       tab28x154  16578-16586
       tab28x155  16587-16595
       tab28x156  16596-16604
       tab28x157  16605-16613
       tab28x158  16614-16622
       tab28x159  16623-16631
       tab28x160  16632-16640
       tab28x161  16641-16649
       tab28x162  16650-16658
       tab28x163  16659-16667
       tab28x164  16668-16676
       tab28x165  16677-16685
       tab28x166  16686-16694
       tab28x167  16695-16703
       tab28x168  16704-16712
       tab28x169  16713-16721
       tab28x170  16722-16730
       tab28x171  16731-16739
       tab28x172  16740-16748
       tab28x173  16749-16757
       tab28x174  16758-16766
       tab28x175  16767-16775
       tab28x176  16776-16784
       tab28x177  16785-16793
       tab28x178  16794-16802
       tab28x179  16803-16811
       tab28x180  16812-16820
       tab28x181  16821-16829
       tab28x182  16830-16838
       tab28x183  16839-16847
       tab28x184  16848-16856
       tab28x185  16857-16865
       tab28x186  16866-16874
       tab28x187  16875-16883
       tab28x188  16884-16892
       tab28x189  16893-16901
       tab28x190  16902-16910
       tab28x191  16911-16919
       tab28x192  16920-16928
       tab28x193  16929-16937
       tab28x194  16938-16946
       tab28x195  16947-16955
       tab28x196  16956-16964
       tab28x197  16965-16973
       tab28x198  16974-16982
       tab28x199  16983-16991
       tab28x200  16992-17000
       tab28x201  17001-17009
       tab28x202  17010-17018
       tab28x203  17019-17027
       tab28x204  17028-17036
       tab28x205  17037-17045
       tab28x206  17046-17054
       tab28x207  17055-17063
       tab28x208  17064-17072
       tab28x209  17073-17081
       tab28x210  17082-17090
       tab28x211  17091-17099
       tab28x212  17100-17108
       tab28x213  17109-17117
       tab28x214  17118-17126
       tab28x215  17127-17135
       tab28x216  17136-17144
       tab28x217  17145-17153
       tab28x218  17154-17162
       tab28x219  17163-17171
       tab28x220  17172-17180
       tab28x221  17181-17189
       tab28x222  17190-17198
       tab28x223  17199-17207
       tab28x224  17208-17216
       tab28x225  17217-17225
       tab28x226  17226-17234
       tab28x227  17235-17243
       tab28x228  17244-17252
       tab28x229  17253-17261
       tab28x230  17262-17270
       tab28x231  17271-17279
       tab28x232  17280-17288
       tab28x233  17289-17297
       tab28x234  17298-17306
       tab28x235  17307-17315
       tab28x236  17316-17324
       tab28x237  17325-17333
       tab28x238  17334-17342
       tab28x239  17343-17351
       tab28x240  17352-17360
       tab28x241  17361-17369
       tab28x242  17370-17378
       tab28x243  17379-17387
       tab28x244  17388-17396
       tab28x245  17397-17405
       tab28x246  17406-17414
       tab28x247  17415-17423
       tab28x248  17424-17432
       tab28x249  17433-17441
       tab28x250  17442-17450
       tab28x251  17451-17459
       tab28x252  17460-17468
       tab28x253  17469-17477
       tab28x254  17478-17486
       tab28x255  17487-17495
     ;

     label
      FILEID   = "File identification (ctpp2 for this product)"
      SUMLEV   = "Summary level"
      QPOWST    = "Modified FIPS State code (3 chars. zero-filled left)"
      QPOWCO   = "FIPS county code"
      QPOWMCDFIPS   = "FIPS county subdivision code"
      QPOWMCD  = "Census county subdivision code"
      QPOWPLFIPS2 = "FIPS place code (2,500+ pop. only)"
      QPOWPL2  = "Census place code (2,500+ pop. only)"
      QPOWTRACT = "Census tract code"
      QPOWBKG   = "Census block group code"
      QPOWMSACMSA  = "Metropolitan Statistical Area or Consolidated MSA code"
      QPOWPMSA     = "Primary Metropolitan Statistical Area code"
      QPOWTAZ      = "Traffic Analyzis Zone code (where available)"
      QPOWMPO   = "Metropolitan Planning Organization region code"
      QPOWCZ   = "CTPP Combined Zone code (where available)"

       tab18x1  ="tab18: YRS_IN_US=1,EARNINGS=1"
       tab18x2  ="tab18: YRS_IN_US=1,EARNINGS=2"
       tab18x3  ="tab18: YRS_IN_US=1,EARNINGS=3"
       tab18x4  ="tab18: YRS_IN_US=1,EARNINGS=4"
       tab18x5  ="tab18: YRS_IN_US=1,EARNINGS=5"
       tab18x6  ="tab18: YRS_IN_US=1,EARNINGS=6"
       tab18x7  ="tab18: YRS_IN_US=1,EARNINGS=7"
       tab18x8  ="tab18: YRS_IN_US=1,EARNINGS=8"
       tab18x9  ="tab18: YRS_IN_US=1,EARNINGS=9"
       tab18x10 ="tab18: YRS_IN_US=1,EARNINGS=10"
       tab18x11 ="tab18: YRS_IN_US=1,EARNINGS=11"
       tab18x12 ="tab18: YRS_IN_US=1,EARNINGS=12"
       tab18x13 ="tab18: YRS_IN_US=2,EARNINGS=1"
       tab18x14 ="tab18: YRS_IN_US=2,EARNINGS=2"
       tab18x15 ="tab18: YRS_IN_US=2,EARNINGS=3"
       tab18x16 ="tab18: YRS_IN_US=2,EARNINGS=4"
       tab18x17 ="tab18: YRS_IN_US=2,EARNINGS=5"
       tab18x18 ="tab18: YRS_IN_US=2,EARNINGS=6"
       tab18x19 ="tab18: YRS_IN_US=2,EARNINGS=7"
       tab18x20 ="tab18: YRS_IN_US=2,EARNINGS=8"
       tab18x21 ="tab18: YRS_IN_US=2,EARNINGS=9"
       tab18x22 ="tab18: YRS_IN_US=2,EARNINGS=10"
       tab18x23 ="tab18: YRS_IN_US=2,EARNINGS=11"
       tab18x24 ="tab18: YRS_IN_US=2,EARNINGS=12"
       tab18x25 ="tab18: YRS_IN_US=3,EARNINGS=1"
       tab18x26 ="tab18: YRS_IN_US=3,EARNINGS=2"
       tab18x27 ="tab18: YRS_IN_US=3,EARNINGS=3"
       tab18x28 ="tab18: YRS_IN_US=3,EARNINGS=4"
       tab18x29 ="tab18: YRS_IN_US=3,EARNINGS=5"
       tab18x30 ="tab18: YRS_IN_US=3,EARNINGS=6"
       tab18x31 ="tab18: YRS_IN_US=3,EARNINGS=7"
       tab18x32 ="tab18: YRS_IN_US=3,EARNINGS=8"
       tab18x33 ="tab18: YRS_IN_US=3,EARNINGS=9"
       tab18x34 ="tab18: YRS_IN_US=3,EARNINGS=10"
       tab18x35 ="tab18: YRS_IN_US=3,EARNINGS=11"
       tab18x36 ="tab18: YRS_IN_US=3,EARNINGS=12"
       tab18x37 ="tab18: YRS_IN_US=4,EARNINGS=1"
       tab18x38 ="tab18: YRS_IN_US=4,EARNINGS=2"
       tab18x39 ="tab18: YRS_IN_US=4,EARNINGS=3"
       tab18x40 ="tab18: YRS_IN_US=4,EARNINGS=4"
       tab18x41 ="tab18: YRS_IN_US=4,EARNINGS=5"
       tab18x42 ="tab18: YRS_IN_US=4,EARNINGS=6"
       tab18x43 ="tab18: YRS_IN_US=4,EARNINGS=7"
       tab18x44 ="tab18: YRS_IN_US=4,EARNINGS=8"
       tab18x45 ="tab18: YRS_IN_US=4,EARNINGS=9"
       tab18x46 ="tab18: YRS_IN_US=4,EARNINGS=10"
       tab18x47 ="tab18: YRS_IN_US=4,EARNINGS=11"
       tab18x48 ="tab18: YRS_IN_US=4,EARNINGS=12"
       tab18x49 ="tab18: YRS_IN_US=5,EARNINGS=1"
       tab18x50 ="tab18: YRS_IN_US=5,EARNINGS=2"
       tab18x51 ="tab18: YRS_IN_US=5,EARNINGS=3"
       tab18x52 ="tab18: YRS_IN_US=5,EARNINGS=4"
       tab18x53 ="tab18: YRS_IN_US=5,EARNINGS=5"
       tab18x54 ="tab18: YRS_IN_US=5,EARNINGS=6"
       tab18x55 ="tab18: YRS_IN_US=5,EARNINGS=7"
       tab18x56 ="tab18: YRS_IN_US=5,EARNINGS=8"
       tab18x57 ="tab18: YRS_IN_US=5,EARNINGS=9"
       tab18x58 ="tab18: YRS_IN_US=5,EARNINGS=10"
       tab18x59 ="tab18: YRS_IN_US=5,EARNINGS=11"
       tab18x60 ="tab18: YRS_IN_US=5,EARNINGS=12"
       tab19x1  ="tab19: EARNINGS=1, TRAVEL_TM=1"
       tab19x2  ="tab19: EARNINGS=1, TRAVEL_TM=2"
       tab19x3  ="tab19: EARNINGS=1, TRAVEL_TM=3"
       tab19x4  ="tab19: EARNINGS=1, TRAVEL_TM=4"
       tab19x5  ="tab19: EARNINGS=1, TRAVEL_TM=5"
       tab19x6  ="tab19: EARNINGS=1, TRAVEL_TM=6"
       tab19x7  ="tab19: EARNINGS=1, TRAVEL_TM=7"
       tab19x8  ="tab19: EARNINGS=1, TRAVEL_TM=8"
       tab19x9  ="tab19: EARNINGS=1, TRAVEL_TM=9"
       tab19x10 ="tab19: EARNINGS=1, TRAVEL_TM=10"
       tab19x11 ="tab19: EARNINGS=1, TRAVEL_TM=11"
       tab19x12 ="tab19: EARNINGS=1, TRAVEL_TM=12"
       tab19x13 ="tab19: EARNINGS=1, TRAVEL_TM=13"
       tab19x14 ="tab19: EARNINGS=1, TRAVEL_TM=14"
       tab19x15 ="tab19: EARNINGS=1, TRAVEL_TM=15"
       tab19x16 ="tab19: EARNINGS=1, TRAVEL_TM=16"
       tab19x17 ="tab19: EARNINGS=1, TRAVEL_TM=17"
       tab19x18 ="tab19: EARNINGS=2, TRAVEL_TM=1"
       tab19x19 ="tab19: EARNINGS=2, TRAVEL_TM=2"
       tab19x20 ="tab19: EARNINGS=2, TRAVEL_TM=3"
       tab19x21 ="tab19: EARNINGS=2, TRAVEL_TM=4"
       tab19x22 ="tab19: EARNINGS=2, TRAVEL_TM=5"
       tab19x23 ="tab19: EARNINGS=2, TRAVEL_TM=6"
       tab19x24 ="tab19: EARNINGS=2, TRAVEL_TM=7"
       tab19x25 ="tab19: EARNINGS=2, TRAVEL_TM=8"
       tab19x26 ="tab19: EARNINGS=2, TRAVEL_TM=9"
       tab19x27 ="tab19: EARNINGS=2, TRAVEL_TM=10"
       tab19x28 ="tab19: EARNINGS=2, TRAVEL_TM=11"
       tab19x29 ="tab19: EARNINGS=2, TRAVEL_TM=12"
       tab19x30 ="tab19: EARNINGS=2, TRAVEL_TM=13"
       tab19x31 ="tab19: EARNINGS=2, TRAVEL_TM=14"
       tab19x32 ="tab19: EARNINGS=2, TRAVEL_TM=15"
       tab19x33 ="tab19: EARNINGS=2, TRAVEL_TM=16"
       tab19x34 ="tab19: EARNINGS=2, TRAVEL_TM=17"
       tab19x35 ="tab19: EARNINGS=3, TRAVEL_TM=1"
       tab19x36 ="tab19: EARNINGS=3, TRAVEL_TM=2"
       tab19x37 ="tab19: EARNINGS=3, TRAVEL_TM=3"
       tab19x38 ="tab19: EARNINGS=3, TRAVEL_TM=4"
       tab19x39 ="tab19: EARNINGS=3, TRAVEL_TM=5"
       tab19x40 ="tab19: EARNINGS=3, TRAVEL_TM=6"
       tab19x41 ="tab19: EARNINGS=3, TRAVEL_TM=7"
       tab19x42 ="tab19: EARNINGS=3, TRAVEL_TM=8"
       tab19x43 ="tab19: EARNINGS=3, TRAVEL_TM=9"
       tab19x44 ="tab19: EARNINGS=3, TRAVEL_TM=10"
       tab19x45 ="tab19: EARNINGS=3, TRAVEL_TM=11"
       tab19x46 ="tab19: EARNINGS=3, TRAVEL_TM=12"
       tab19x47 ="tab19: EARNINGS=3, TRAVEL_TM=13"
       tab19x48 ="tab19: EARNINGS=3, TRAVEL_TM=14"
       tab19x49 ="tab19: EARNINGS=3, TRAVEL_TM=15"
       tab19x50 ="tab19: EARNINGS=3, TRAVEL_TM=16"
       tab19x51 ="tab19: EARNINGS=3, TRAVEL_TM=17"
       tab19x52 ="tab19: EARNINGS=4, TRAVEL_TM=1"
       tab19x53 ="tab19: EARNINGS=4, TRAVEL_TM=2"
       tab19x54 ="tab19: EARNINGS=4, TRAVEL_TM=3"
       tab19x55 ="tab19: EARNINGS=4, TRAVEL_TM=4"
       tab19x56 ="tab19: EARNINGS=4, TRAVEL_TM=5"
       tab19x57 ="tab19: EARNINGS=4, TRAVEL_TM=6"
       tab19x58 ="tab19: EARNINGS=4, TRAVEL_TM=7"
       tab19x59 ="tab19: EARNINGS=4, TRAVEL_TM=8"
       tab19x60 ="tab19: EARNINGS=4, TRAVEL_TM=9"
       tab19x61 ="tab19: EARNINGS=4, TRAVEL_TM=10"
       tab19x62 ="tab19: EARNINGS=4, TRAVEL_TM=11"
       tab19x63 ="tab19: EARNINGS=4, TRAVEL_TM=12"
       tab19x64 ="tab19: EARNINGS=4, TRAVEL_TM=13"
       tab19x65 ="tab19: EARNINGS=4, TRAVEL_TM=14"
       tab19x66 ="tab19: EARNINGS=4, TRAVEL_TM=15"
       tab19x67 ="tab19: EARNINGS=4, TRAVEL_TM=16"
       tab19x68 ="tab19: EARNINGS=4, TRAVEL_TM=17"
       tab19x69 ="tab19: EARNINGS=5, TRAVEL_TM=1"
       tab19x70 ="tab19: EARNINGS=5, TRAVEL_TM=2"
       tab19x71 ="tab19: EARNINGS=5, TRAVEL_TM=3"
       tab19x72 ="tab19: EARNINGS=5, TRAVEL_TM=4"
       tab19x73 ="tab19: EARNINGS=5, TRAVEL_TM=5"
       tab19x74 ="tab19: EARNINGS=5, TRAVEL_TM=6"
       tab19x75 ="tab19: EARNINGS=5, TRAVEL_TM=7"
       tab19x76 ="tab19: EARNINGS=5, TRAVEL_TM=8"
       tab19x77 ="tab19: EARNINGS=5, TRAVEL_TM=9"
       tab19x78 ="tab19: EARNINGS=5, TRAVEL_TM=10"
       tab19x79 ="tab19: EARNINGS=5, TRAVEL_TM=11"
       tab19x80 ="tab19: EARNINGS=5, TRAVEL_TM=12"
       tab19x81 ="tab19: EARNINGS=5, TRAVEL_TM=13"
       tab19x82 ="tab19: EARNINGS=5, TRAVEL_TM=14"
       tab19x83 ="tab19: EARNINGS=5, TRAVEL_TM=15"
       tab19x84 ="tab19: EARNINGS=5, TRAVEL_TM=16"
       tab19x85 ="tab19: EARNINGS=5, TRAVEL_TM=17"
       tab19x86 ="tab19: EARNINGS=6, TRAVEL_TM=1"
       tab19x87 ="tab19: EARNINGS=6, TRAVEL_TM=2"
       tab19x88 ="tab19: EARNINGS=6, TRAVEL_TM=3"
       tab19x89 ="tab19: EARNINGS=6, TRAVEL_TM=4"
       tab19x90 ="tab19: EARNINGS=6, TRAVEL_TM=5"
       tab19x91 ="tab19: EARNINGS=6, TRAVEL_TM=6"
       tab19x92 ="tab19: EARNINGS=6, TRAVEL_TM=7"
       tab19x93 ="tab19: EARNINGS=6, TRAVEL_TM=8"
       tab19x94 ="tab19: EARNINGS=6, TRAVEL_TM=9"
       tab19x95 ="tab19: EARNINGS=6, TRAVEL_TM=10"
       tab19x96 ="tab19: EARNINGS=6, TRAVEL_TM=11"
       tab19x97 ="tab19: EARNINGS=6, TRAVEL_TM=12"
       tab19x98 ="tab19: EARNINGS=6, TRAVEL_TM=13"
       tab19x99 ="tab19: EARNINGS=6, TRAVEL_TM=14"
       tab19x100="tab19: EARNINGS=6, TRAVEL_TM=15"
       tab19x101="tab19: EARNINGS=6, TRAVEL_TM=16"
       tab19x102="tab19: EARNINGS=6, TRAVEL_TM=17"
       tab19x103="tab19: EARNINGS=7, TRAVEL_TM=1"
       tab19x104="tab19: EARNINGS=7, TRAVEL_TM=2"
       tab19x105="tab19: EARNINGS=7, TRAVEL_TM=3"
       tab19x106="tab19: EARNINGS=7, TRAVEL_TM=4"
       tab19x107="tab19: EARNINGS=7, TRAVEL_TM=5"
       tab19x108="tab19: EARNINGS=7, TRAVEL_TM=6"
       tab19x109="tab19: EARNINGS=7, TRAVEL_TM=7"
       tab19x110="tab19: EARNINGS=7, TRAVEL_TM=8"
       tab19x111="tab19: EARNINGS=7, TRAVEL_TM=9"
       tab19x112="tab19: EARNINGS=7, TRAVEL_TM=10"
       tab19x113="tab19: EARNINGS=7, TRAVEL_TM=11"
       tab19x114="tab19: EARNINGS=7, TRAVEL_TM=12"
       tab19x115="tab19: EARNINGS=7, TRAVEL_TM=13"
       tab19x116="tab19: EARNINGS=7, TRAVEL_TM=14"
       tab19x117="tab19: EARNINGS=7, TRAVEL_TM=15"
       tab19x118="tab19: EARNINGS=7, TRAVEL_TM=16"
       tab19x119="tab19: EARNINGS=7, TRAVEL_TM=17"
       tab19x120="tab19: EARNINGS=8, TRAVEL_TM=1"
       tab19x121="tab19: EARNINGS=8, TRAVEL_TM=2"
       tab19x122="tab19: EARNINGS=8, TRAVEL_TM=3"
       tab19x123="tab19: EARNINGS=8, TRAVEL_TM=4"
       tab19x124="tab19: EARNINGS=8, TRAVEL_TM=5"
       tab19x125="tab19: EARNINGS=8, TRAVEL_TM=6"
       tab19x126="tab19: EARNINGS=8, TRAVEL_TM=7"
       tab19x127="tab19: EARNINGS=8, TRAVEL_TM=8"
       tab19x128="tab19: EARNINGS=8, TRAVEL_TM=9"
       tab19x129="tab19: EARNINGS=8, TRAVEL_TM=10"
       tab19x130="tab19: EARNINGS=8, TRAVEL_TM=11"
       tab19x131="tab19: EARNINGS=8, TRAVEL_TM=12"
       tab19x132="tab19: EARNINGS=8, TRAVEL_TM=13"
       tab19x133="tab19: EARNINGS=8, TRAVEL_TM=14"
       tab19x134="tab19: EARNINGS=8, TRAVEL_TM=15"
       tab19x135="tab19: EARNINGS=8, TRAVEL_TM=16"
       tab19x136="tab19: EARNINGS=8, TRAVEL_TM=17"
       tab19x137="tab19: EARNINGS=9, TRAVEL_TM=1"
       tab19x138="tab19: EARNINGS=9, TRAVEL_TM=2"
       tab19x139="tab19: EARNINGS=9, TRAVEL_TM=3"
       tab19x140="tab19: EARNINGS=9, TRAVEL_TM=4"
       tab19x141="tab19: EARNINGS=9, TRAVEL_TM=5"
       tab19x142="tab19: EARNINGS=9, TRAVEL_TM=6"
       tab19x143="tab19: EARNINGS=9, TRAVEL_TM=7"
       tab19x144="tab19: EARNINGS=9, TRAVEL_TM=8"
       tab19x145="tab19: EARNINGS=9, TRAVEL_TM=9"
       tab19x146="tab19: EARNINGS=9, TRAVEL_TM=10"
       tab19x147="tab19: EARNINGS=9, TRAVEL_TM=11"
       tab19x148="tab19: EARNINGS=9, TRAVEL_TM=12"
       tab19x149="tab19: EARNINGS=9, TRAVEL_TM=13"
       tab19x150="tab19: EARNINGS=9, TRAVEL_TM=14"
       tab19x151="tab19: EARNINGS=9, TRAVEL_TM=15"
       tab19x152="tab19: EARNINGS=9, TRAVEL_TM=16"
       tab19x153="tab19: EARNINGS=9, TRAVEL_TM=17"
       tab19x154="tab19: EARNINGS=10, TRAVEL_TM=1"
       tab19x155="tab19: EARNINGS=10, TRAVEL_TM=2"
       tab19x156="tab19: EARNINGS=10, TRAVEL_TM=3"
       tab19x157="tab19: EARNINGS=10, TRAVEL_TM=4"
       tab19x158="tab19: EARNINGS=10, TRAVEL_TM=5"
       tab19x159="tab19: EARNINGS=10, TRAVEL_TM=6"
       tab19x160="tab19: EARNINGS=10, TRAVEL_TM=7"
       tab19x161="tab19: EARNINGS=10, TRAVEL_TM=8"
       tab19x162="tab19: EARNINGS=10, TRAVEL_TM=9"
       tab19x163="tab19: EARNINGS=10, TRAVEL_TM=10"
       tab19x164="tab19: EARNINGS=10, TRAVEL_TM=11"
       tab19x165="tab19: EARNINGS=10, TRAVEL_TM=12"
       tab19x166="tab19: EARNINGS=10, TRAVEL_TM=13"
       tab19x167="tab19: EARNINGS=10, TRAVEL_TM=14"
       tab19x168="tab19: EARNINGS=10, TRAVEL_TM=15"
       tab19x169="tab19: EARNINGS=10, TRAVEL_TM=16"
       tab19x170="tab19: EARNINGS=10, TRAVEL_TM=17"
       tab19x171="tab19: EARNINGS=11, TRAVEL_TM=1"
       tab19x172="tab19: EARNINGS=11, TRAVEL_TM=2"
       tab19x173="tab19: EARNINGS=11, TRAVEL_TM=3"
       tab19x174="tab19: EARNINGS=11, TRAVEL_TM=4"
       tab19x175="tab19: EARNINGS=11, TRAVEL_TM=5"
       tab19x176="tab19: EARNINGS=11, TRAVEL_TM=6"
       tab19x177="tab19: EARNINGS=11, TRAVEL_TM=7"
       tab19x178="tab19: EARNINGS=11, TRAVEL_TM=8"
       tab19x179="tab19: EARNINGS=11, TRAVEL_TM=9"
       tab19x180="tab19: EARNINGS=11, TRAVEL_TM=10"
       tab19x181="tab19: EARNINGS=11, TRAVEL_TM=11"
       tab19x182="tab19: EARNINGS=11, TRAVEL_TM=12"
       tab19x183="tab19: EARNINGS=11, TRAVEL_TM=13"
       tab19x184="tab19: EARNINGS=11, TRAVEL_TM=14"
       tab19x185="tab19: EARNINGS=11, TRAVEL_TM=15"
       tab19x186="tab19: EARNINGS=11, TRAVEL_TM=16"
       tab19x187="tab19: EARNINGS=11, TRAVEL_TM=17"
       tab19x188="tab19: EARNINGS=12, TRAVEL_TM=1"
       tab19x189="tab19: EARNINGS=12, TRAVEL_TM=2"
       tab19x190="tab19: EARNINGS=12, TRAVEL_TM=3"
       tab19x191="tab19: EARNINGS=12, TRAVEL_TM=4"
       tab19x192="tab19: EARNINGS=12, TRAVEL_TM=5"
       tab19x193="tab19: EARNINGS=12, TRAVEL_TM=6"
       tab19x194="tab19: EARNINGS=12, TRAVEL_TM=7"
       tab19x195="tab19: EARNINGS=12, TRAVEL_TM=8"
       tab19x196="tab19: EARNINGS=12, TRAVEL_TM=9"
       tab19x197="tab19: EARNINGS=12, TRAVEL_TM=10"
       tab19x198="tab19: EARNINGS=12, TRAVEL_TM=11"
       tab19x199="tab19: EARNINGS=12, TRAVEL_TM=12"
       tab19x200="tab19: EARNINGS=12, TRAVEL_TM=13"
       tab19x201="tab19: EARNINGS=12, TRAVEL_TM=14"
       tab19x202="tab19: EARNINGS=12, TRAVEL_TM=15"
       tab19x203="tab19: EARNINGS=12, TRAVEL_TM=16"
       tab19x204="tab19: EARNINGS=12, TRAVEL_TM=17"
       tab20x1  ="tab20: YRS_IN_US=1, MEANS11=1"
       tab20x2  ="tab20: YRS_IN_US=1, MEANS11=2"
       tab20x3  ="tab20: YRS_IN_US=1, MEANS11=3"
       tab20x4  ="tab20: YRS_IN_US=1, MEANS11=4"
       tab20x5  ="tab20: YRS_IN_US=1, MEANS11=5"
       tab20x6  ="tab20: YRS_IN_US=1, MEANS11=6"
       tab20x7  ="tab20: YRS_IN_US=1, MEANS11=7"
       tab20x8  ="tab20: YRS_IN_US=1, MEANS11=8"
       tab20x9  ="tab20: YRS_IN_US=1, MEANS11=9"
       tab20x10 ="tab20: YRS_IN_US=1, MEANS11=10"
       tab20x11 ="tab20: YRS_IN_US=1, MEANS11=11"
       tab20x12 ="tab20: YRS_IN_US=2, MEANS11=1"
       tab20x13 ="tab20: YRS_IN_US=2, MEANS11=2"
       tab20x14 ="tab20: YRS_IN_US=2, MEANS11=3"
       tab20x15 ="tab20: YRS_IN_US=2, MEANS11=4"
       tab20x16 ="tab20: YRS_IN_US=2, MEANS11=5"
       tab20x17 ="tab20: YRS_IN_US=2, MEANS11=6"
       tab20x18 ="tab20: YRS_IN_US=2, MEANS11=7"
       tab20x19 ="tab20: YRS_IN_US=2, MEANS11=8"
       tab20x20 ="tab20: YRS_IN_US=2, MEANS11=9"
       tab20x21 ="tab20: YRS_IN_US=2, MEANS11=10"
       tab20x22 ="tab20: YRS_IN_US=2, MEANS11=11"
       tab20x23 ="tab20: YRS_IN_US=3, MEANS11=1"
       tab20x24 ="tab20: YRS_IN_US=3, MEANS11=2"
       tab20x25 ="tab20: YRS_IN_US=3, MEANS11=3"
       tab20x26 ="tab20: YRS_IN_US=3, MEANS11=4"
       tab20x27 ="tab20: YRS_IN_US=3, MEANS11=5"
       tab20x28 ="tab20: YRS_IN_US=3, MEANS11=6"
       tab20x29 ="tab20: YRS_IN_US=3, MEANS11=7"
       tab20x30 ="tab20: YRS_IN_US=3, MEANS11=8"
       tab20x31 ="tab20: YRS_IN_US=3, MEANS11=9"
       tab20x32 ="tab20: YRS_IN_US=3, MEANS11=10"
       tab20x33 ="tab20: YRS_IN_US=3, MEANS11=11"
       tab20x34 ="tab20: YRS_IN_US=4, MEANS11=1"
       tab20x35 ="tab20: YRS_IN_US=4, MEANS11=2"
       tab20x36 ="tab20: YRS_IN_US=4, MEANS11=3"
       tab20x37 ="tab20: YRS_IN_US=4, MEANS11=4"
       tab20x38 ="tab20: YRS_IN_US=4, MEANS11=5"
       tab20x39 ="tab20: YRS_IN_US=4, MEANS11=6"
       tab20x40 ="tab20: YRS_IN_US=4, MEANS11=7"
       tab20x41 ="tab20: YRS_IN_US=4, MEANS11=8"
       tab20x42 ="tab20: YRS_IN_US=4, MEANS11=9"
       tab20x43 ="tab20: YRS_IN_US=4, MEANS11=10"
       tab20x44 ="tab20: YRS_IN_US=4, MEANS11=11"
       tab20x45 ="tab20: YRS_IN_US=5, MEANS11=1"
       tab20x46 ="tab20: YRS_IN_US=5, MEANS11=2"
       tab20x47 ="tab20: YRS_IN_US=5, MEANS11=3"
       tab20x48 ="tab20: YRS_IN_US=5, MEANS11=4"
       tab20x49 ="tab20: YRS_IN_US=5, MEANS11=5"
       tab20x50 ="tab20: YRS_IN_US=5, MEANS11=6"
       tab20x51 ="tab20: YRS_IN_US=5, MEANS11=7"
       tab20x52 ="tab20: YRS_IN_US=5, MEANS11=8"
       tab20x53 ="tab20: YRS_IN_US=5, MEANS11=9"
       tab20x54 ="tab20: YRS_IN_US=5, MEANS11=10"
       tab20x55 ="tab20: YRS_IN_US=5, MEANS11=11"
       tab21x1  ="tab21: MEANS11=1, TM_LEAVE14=1"
       tab21x2  ="tab21: MEANS11=1, TM_LEAVE14=2"
       tab21x3  ="tab21: MEANS11=1, TM_LEAVE14=3"
       tab21x4  ="tab21: MEANS11=1, TM_LEAVE14=4"
       tab21x5  ="tab21: MEANS11=1, TM_LEAVE14=5"
       tab21x6  ="tab21: MEANS11=1, TM_LEAVE14=6"
       tab21x7  ="tab21: MEANS11=1, TM_LEAVE14=7"
       tab21x8  ="tab21: MEANS11=1, TM_LEAVE14=8"
       tab21x9  ="tab21: MEANS11=1, TM_LEAVE14=9"
       tab21x10 ="tab21: MEANS11=1, TM_LEAVE14=10"
       tab21x11 ="tab21: MEANS11=1, TM_LEAVE14=11"
       tab21x12 ="tab21: MEANS11=1, TM_LEAVE14=12"
       tab21x13 ="tab21: MEANS11=1, TM_LEAVE14=13"
       tab21x14 ="tab21: MEANS11=1, TM_LEAVE14=14"
       tab21x15 ="tab21: MEANS11=2, TM_LEAVE14=1"
       tab21x16 ="tab21: MEANS11=2, TM_LEAVE14=2"
       tab21x17 ="tab21: MEANS11=2, TM_LEAVE14=3"
       tab21x18 ="tab21: MEANS11=2, TM_LEAVE14=4"
       tab21x19 ="tab21: MEANS11=2, TM_LEAVE14=5"
       tab21x20 ="tab21: MEANS11=2, TM_LEAVE14=6"
       tab21x21 ="tab21: MEANS11=2, TM_LEAVE14=7"
       tab21x22 ="tab21: MEANS11=2, TM_LEAVE14=8"
       tab21x23 ="tab21: MEANS11=2, TM_LEAVE14=9"
       tab21x24 ="tab21: MEANS11=2, TM_LEAVE14=10"
       tab21x25 ="tab21: MEANS11=2, TM_LEAVE14=11"
       tab21x26 ="tab21: MEANS11=2, TM_LEAVE14=12"
       tab21x27 ="tab21: MEANS11=2, TM_LEAVE14=13"
       tab21x28 ="tab21: MEANS11=2, TM_LEAVE14=14"
       tab21x29 ="tab21: MEANS11=3, TM_LEAVE14=1"
       tab21x30 ="tab21: MEANS11=3, TM_LEAVE14=2"
       tab21x31 ="tab21: MEANS11=3, TM_LEAVE14=3"
       tab21x32 ="tab21: MEANS11=3, TM_LEAVE14=4"
       tab21x33 ="tab21: MEANS11=3, TM_LEAVE14=5"
       tab21x34 ="tab21: MEANS11=3, TM_LEAVE14=6"
       tab21x35 ="tab21: MEANS11=3, TM_LEAVE14=7"
       tab21x36 ="tab21: MEANS11=3, TM_LEAVE14=8"
       tab21x37 ="tab21: MEANS11=3, TM_LEAVE14=9"
       tab21x38 ="tab21: MEANS11=3, TM_LEAVE14=10"
       tab21x39 ="tab21: MEANS11=3, TM_LEAVE14=11"
       tab21x40 ="tab21: MEANS11=3, TM_LEAVE14=12"
       tab21x41 ="tab21: MEANS11=3, TM_LEAVE14=13"
       tab21x42 ="tab21: MEANS11=3, TM_LEAVE14=14"
       tab21x43 ="tab21: MEANS11=4, TM_LEAVE14=1"
       tab21x44 ="tab21: MEANS11=4, TM_LEAVE14=2"
       tab21x45 ="tab21: MEANS11=4, TM_LEAVE14=3"
       tab21x46 ="tab21: MEANS11=4, TM_LEAVE14=4"
       tab21x47 ="tab21: MEANS11=4, TM_LEAVE14=5"
       tab21x48 ="tab21: MEANS11=4, TM_LEAVE14=6"
       tab21x49 ="tab21: MEANS11=4, TM_LEAVE14=7"
       tab21x50 ="tab21: MEANS11=4, TM_LEAVE14=8"
       tab21x51 ="tab21: MEANS11=4, TM_LEAVE14=9"
       tab21x52 ="tab21: MEANS11=4, TM_LEAVE14=10"
       tab21x53 ="tab21: MEANS11=4, TM_LEAVE14=11"
       tab21x54 ="tab21: MEANS11=4, TM_LEAVE14=12"
       tab21x55 ="tab21: MEANS11=4, TM_LEAVE14=13"
       tab21x56 ="tab21: MEANS11=4, TM_LEAVE14=14"
       tab21x57 ="tab21: MEANS11=5, TM_LEAVE14=1"
       tab21x58 ="tab21: MEANS11=5, TM_LEAVE14=2"
       tab21x59 ="tab21: MEANS11=5, TM_LEAVE14=3"
       tab21x60 ="tab21: MEANS11=5, TM_LEAVE14=4"
       tab21x61 ="tab21: MEANS11=5, TM_LEAVE14=5"
       tab21x62 ="tab21: MEANS11=5, TM_LEAVE14=6"
       tab21x63 ="tab21: MEANS11=5, TM_LEAVE14=7"
       tab21x64 ="tab21: MEANS11=5, TM_LEAVE14=8"
       tab21x65 ="tab21: MEANS11=5, TM_LEAVE14=9"
       tab21x66 ="tab21: MEANS11=5, TM_LEAVE14=10"
       tab21x67 ="tab21: MEANS11=5, TM_LEAVE14=11"
       tab21x68 ="tab21: MEANS11=5, TM_LEAVE14=12"
       tab21x69 ="tab21: MEANS11=5, TM_LEAVE14=13"
       tab21x70 ="tab21: MEANS11=5, TM_LEAVE14=14"
       tab21x71 ="tab21: MEANS11=6, TM_LEAVE14=1"
       tab21x72 ="tab21: MEANS11=6, TM_LEAVE14=2"
       tab21x73 ="tab21: MEANS11=6, TM_LEAVE14=3"
       tab21x74 ="tab21: MEANS11=6, TM_LEAVE14=4"
       tab21x75 ="tab21: MEANS11=6, TM_LEAVE14=5"
       tab21x76 ="tab21: MEANS11=6, TM_LEAVE14=6"
       tab21x77 ="tab21: MEANS11=6, TM_LEAVE14=7"
       tab21x78 ="tab21: MEANS11=6, TM_LEAVE14=8"
       tab21x79 ="tab21: MEANS11=6, TM_LEAVE14=9"
       tab21x80 ="tab21: MEANS11=6, TM_LEAVE14=10"
       tab21x81 ="tab21: MEANS11=6, TM_LEAVE14=11"
       tab21x82 ="tab21: MEANS11=6, TM_LEAVE14=12"
       tab21x83 ="tab21: MEANS11=6, TM_LEAVE14=13"
       tab21x84 ="tab21: MEANS11=6, TM_LEAVE14=14"
       tab21x85 ="tab21: MEANS11=7, TM_LEAVE14=1"
       tab21x86 ="tab21: MEANS11=7, TM_LEAVE14=2"
       tab21x87 ="tab21: MEANS11=7, TM_LEAVE14=3"
       tab21x88 ="tab21: MEANS11=7, TM_LEAVE14=4"
       tab21x89 ="tab21: MEANS11=7, TM_LEAVE14=5"
       tab21x90 ="tab21: MEANS11=7, TM_LEAVE14=6"
       tab21x91 ="tab21: MEANS11=7, TM_LEAVE14=7"
       tab21x92 ="tab21: MEANS11=7, TM_LEAVE14=8"
       tab21x93 ="tab21: MEANS11=7, TM_LEAVE14=9"
       tab21x94 ="tab21: MEANS11=7, TM_LEAVE14=10"
       tab21x95 ="tab21: MEANS11=7, TM_LEAVE14=11"
       tab21x96 ="tab21: MEANS11=7, TM_LEAVE14=12"
       tab21x97 ="tab21: MEANS11=7, TM_LEAVE14=13"
       tab21x98 ="tab21: MEANS11=7, TM_LEAVE14=14"
       tab21x99 ="tab21: MEANS11=8, TM_LEAVE14=1"
       tab21x100="tab21: MEANS11=8, TM_LEAVE14=2"
       tab21x101="tab21: MEANS11=8, TM_LEAVE14=3"
       tab21x102="tab21: MEANS11=8, TM_LEAVE14=4"
       tab21x103="tab21: MEANS11=8, TM_LEAVE14=5"
       tab21x104="tab21: MEANS11=8, TM_LEAVE14=6"
       tab21x105="tab21: MEANS11=8, TM_LEAVE14=7"
       tab21x106="tab21: MEANS11=8, TM_LEAVE14=8"
       tab21x107="tab21: MEANS11=8, TM_LEAVE14=9"
       tab21x108="tab21: MEANS11=8, TM_LEAVE14=10"
       tab21x109="tab21: MEANS11=8, TM_LEAVE14=11"
       tab21x110="tab21: MEANS11=8, TM_LEAVE14=12"
       tab21x111="tab21: MEANS11=8, TM_LEAVE14=13"
       tab21x112="tab21: MEANS11=8, TM_LEAVE14=14"
       tab21x113="tab21: MEANS11=9, TM_LEAVE14=1"
       tab21x114="tab21: MEANS11=9, TM_LEAVE14=2"
       tab21x115="tab21: MEANS11=9, TM_LEAVE14=3"
       tab21x116="tab21: MEANS11=9, TM_LEAVE14=4"
       tab21x117="tab21: MEANS11=9, TM_LEAVE14=5"
       tab21x118="tab21: MEANS11=9, TM_LEAVE14=6"
       tab21x119="tab21: MEANS11=9, TM_LEAVE14=7"
       tab21x120="tab21: MEANS11=9, TM_LEAVE14=8"
       tab21x121="tab21: MEANS11=9, TM_LEAVE14=9"
       tab21x122="tab21: MEANS11=9, TM_LEAVE14=10"
       tab21x123="tab21: MEANS11=9, TM_LEAVE14=11"
       tab21x124="tab21: MEANS11=9, TM_LEAVE14=12"
       tab21x125="tab21: MEANS11=9, TM_LEAVE14=13"
       tab21x126="tab21: MEANS11=9, TM_LEAVE14=14"
       tab21x127="tab21: MEANS11=10, TM_LEAVE14=1"
       tab21x128="tab21: MEANS11=10, TM_LEAVE14=2"
       tab21x129="tab21: MEANS11=10, TM_LEAVE14=3"
       tab21x130="tab21: MEANS11=10, TM_LEAVE14=4"
       tab21x131="tab21: MEANS11=10, TM_LEAVE14=5"
       tab21x132="tab21: MEANS11=10, TM_LEAVE14=6"
       tab21x133="tab21: MEANS11=10, TM_LEAVE14=7"
       tab21x134="tab21: MEANS11=10, TM_LEAVE14=8"
       tab21x135="tab21: MEANS11=10, TM_LEAVE14=9"
       tab21x136="tab21: MEANS11=10, TM_LEAVE14=10"
       tab21x137="tab21: MEANS11=10, TM_LEAVE14=11"
       tab21x138="tab21: MEANS11=10, TM_LEAVE14=12"
       tab21x139="tab21: MEANS11=10, TM_LEAVE14=13"
       tab21x140="tab21: MEANS11=10, TM_LEAVE14=14"
       tab21x141="tab21: MEANS11=11, TM_LEAVE14=1"
       tab21x142="tab21: MEANS11=11, TM_LEAVE14=2"
       tab21x143="tab21: MEANS11=11, TM_LEAVE14=3"
       tab21x144="tab21: MEANS11=11, TM_LEAVE14=4"
       tab21x145="tab21: MEANS11=11, TM_LEAVE14=5"
       tab21x146="tab21: MEANS11=11, TM_LEAVE14=6"
       tab21x147="tab21: MEANS11=11, TM_LEAVE14=7"
       tab21x148="tab21: MEANS11=11, TM_LEAVE14=8"
       tab21x149="tab21: MEANS11=11, TM_LEAVE14=9"
       tab21x150="tab21: MEANS11=11, TM_LEAVE14=10"
       tab21x151="tab21: MEANS11=11, TM_LEAVE14=11"
       tab21x152="tab21: MEANS11=11, TM_LEAVE14=12"
       tab21x153="tab21: MEANS11=11, TM_LEAVE14=13"
       tab21x154="tab21: MEANS11=11, TM_LEAVE14=14"
       tab22x1  ="tab22: MEANS11=1, TRAVEL_TM=1"
       tab22x2  ="tab22: MEANS11=1, TRAVEL_TM=2"
       tab22x3  ="tab22: MEANS11=1, TRAVEL_TM=3"
       tab22x4  ="tab22: MEANS11=1, TRAVEL_TM=4"
       tab22x5  ="tab22: MEANS11=1, TRAVEL_TM=5"
       tab22x6  ="tab22: MEANS11=1, TRAVEL_TM=6"
       tab22x7  ="tab22: MEANS11=1, TRAVEL_TM=7"
       tab22x8  ="tab22: MEANS11=1, TRAVEL_TM=8"
       tab22x9  ="tab22: MEANS11=1, TRAVEL_TM=9"
       tab22x10 ="tab22: MEANS11=1, TRAVEL_TM=10"
       tab22x11 ="tab22: MEANS11=1, TRAVEL_TM=11"
       tab22x12 ="tab22: MEANS11=1, TRAVEL_TM=12"
       tab22x13 ="tab22: MEANS11=1, TRAVEL_TM=13"
       tab22x14 ="tab22: MEANS11=1, TRAVEL_TM=14"
       tab22x15 ="tab22: MEANS11=1, TRAVEL_TM=15"
       tab22x16 ="tab22: MEANS11=1, TRAVEL_TM=16"
       tab22x17 ="tab22: MEANS11=1, TRAVEL_TM=17"
       tab22x18 ="tab22: MEANS11=2, TRAVEL_TM=1"
       tab22x19 ="tab22: MEANS11=2, TRAVEL_TM=2"
       tab22x20 ="tab22: MEANS11=2, TRAVEL_TM=3"
       tab22x21 ="tab22: MEANS11=2, TRAVEL_TM=4"
       tab22x22 ="tab22: MEANS11=2, TRAVEL_TM=5"
       tab22x23 ="tab22: MEANS11=2, TRAVEL_TM=6"
       tab22x24 ="tab22: MEANS11=2, TRAVEL_TM=7"
       tab22x25 ="tab22: MEANS11=2, TRAVEL_TM=8"
       tab22x26 ="tab22: MEANS11=2, TRAVEL_TM=9"
       tab22x27 ="tab22: MEANS11=2, TRAVEL_TM=10"
       tab22x28 ="tab22: MEANS11=2, TRAVEL_TM=11"
       tab22x29 ="tab22: MEANS11=2, TRAVEL_TM=12"
       tab22x30 ="tab22: MEANS11=2, TRAVEL_TM=13"
       tab22x31 ="tab22: MEANS11=2, TRAVEL_TM=14"
       tab22x32 ="tab22: MEANS11=2, TRAVEL_TM=15"
       tab22x33 ="tab22: MEANS11=2, TRAVEL_TM=16"
       tab22x34 ="tab22: MEANS11=2, TRAVEL_TM=17"
       tab22x35 ="tab22: MEANS11=3, TRAVEL_TM=1"
       tab22x36 ="tab22: MEANS11=3, TRAVEL_TM=2"
       tab22x37 ="tab22: MEANS11=3, TRAVEL_TM=3"
       tab22x38 ="tab22: MEANS11=3, TRAVEL_TM=4"
       tab22x39 ="tab22: MEANS11=3, TRAVEL_TM=5"
       tab22x40 ="tab22: MEANS11=3, TRAVEL_TM=6"
       tab22x41 ="tab22: MEANS11=3, TRAVEL_TM=7"
       tab22x42 ="tab22: MEANS11=3, TRAVEL_TM=8"
       tab22x43 ="tab22: MEANS11=3, TRAVEL_TM=9"
       tab22x44 ="tab22: MEANS11=3, TRAVEL_TM=10"
       tab22x45 ="tab22: MEANS11=3, TRAVEL_TM=11"
       tab22x46 ="tab22: MEANS11=3, TRAVEL_TM=12"
       tab22x47 ="tab22: MEANS11=3, TRAVEL_TM=13"
       tab22x48 ="tab22: MEANS11=3, TRAVEL_TM=14"
       tab22x49 ="tab22: MEANS11=3, TRAVEL_TM=15"
       tab22x50 ="tab22: MEANS11=3, TRAVEL_TM=16"
       tab22x51 ="tab22: MEANS11=3, TRAVEL_TM=17"
       tab22x52 ="tab22: MEANS11=4, TRAVEL_TM=1"
       tab22x53 ="tab22: MEANS11=4, TRAVEL_TM=2"
       tab22x54 ="tab22: MEANS11=4, TRAVEL_TM=3"
       tab22x55 ="tab22: MEANS11=4, TRAVEL_TM=4"
       tab22x56 ="tab22: MEANS11=4, TRAVEL_TM=5"
       tab22x57 ="tab22: MEANS11=4, TRAVEL_TM=6"
       tab22x58 ="tab22: MEANS11=4, TRAVEL_TM=7"
       tab22x59 ="tab22: MEANS11=4, TRAVEL_TM=8"
       tab22x60 ="tab22: MEANS11=4, TRAVEL_TM=9"
       tab22x61 ="tab22: MEANS11=4, TRAVEL_TM=10"
       tab22x62 ="tab22: MEANS11=4, TRAVEL_TM=11"
       tab22x63 ="tab22: MEANS11=4, TRAVEL_TM=12"
       tab22x64 ="tab22: MEANS11=4, TRAVEL_TM=13"
       tab22x65 ="tab22: MEANS11=4, TRAVEL_TM=14"
       tab22x66 ="tab22: MEANS11=4, TRAVEL_TM=15"
       tab22x67 ="tab22: MEANS11=4, TRAVEL_TM=16"
       tab22x68 ="tab22: MEANS11=4, TRAVEL_TM=17"
       tab22x69 ="tab22: MEANS11=5, TRAVEL_TM=1"
       tab22x70 ="tab22: MEANS11=5, TRAVEL_TM=2"
       tab22x71 ="tab22: MEANS11=5, TRAVEL_TM=3"
       tab22x72 ="tab22: MEANS11=5, TRAVEL_TM=4"
       tab22x73 ="tab22: MEANS11=5, TRAVEL_TM=5"
       tab22x74 ="tab22: MEANS11=5, TRAVEL_TM=6"
       tab22x75 ="tab22: MEANS11=5, TRAVEL_TM=7"
       tab22x76 ="tab22: MEANS11=5, TRAVEL_TM=8"
       tab22x77 ="tab22: MEANS11=5, TRAVEL_TM=9"
       tab22x78 ="tab22: MEANS11=5, TRAVEL_TM=10"
       tab22x79 ="tab22: MEANS11=5, TRAVEL_TM=11"
       tab22x80 ="tab22: MEANS11=5, TRAVEL_TM=12"
       tab22x81 ="tab22: MEANS11=5, TRAVEL_TM=13"
       tab22x82 ="tab22: MEANS11=5, TRAVEL_TM=14"
       tab22x83 ="tab22: MEANS11=5, TRAVEL_TM=15"
       tab22x84 ="tab22: MEANS11=5, TRAVEL_TM=16"
       tab22x85 ="tab22: MEANS11=5, TRAVEL_TM=17"
       tab22x86 ="tab22: MEANS11=6, TRAVEL_TM=1"
       tab22x87 ="tab22: MEANS11=6, TRAVEL_TM=2"
       tab22x88 ="tab22: MEANS11=6, TRAVEL_TM=3"
       tab22x89 ="tab22: MEANS11=6, TRAVEL_TM=4"
       tab22x90 ="tab22: MEANS11=6, TRAVEL_TM=5"
       tab22x91 ="tab22: MEANS11=6, TRAVEL_TM=6"
       tab22x92 ="tab22: MEANS11=6, TRAVEL_TM=7"
       tab22x93 ="tab22: MEANS11=6, TRAVEL_TM=8"
       tab22x94 ="tab22: MEANS11=6, TRAVEL_TM=9"
       tab22x95 ="tab22: MEANS11=6, TRAVEL_TM=10"
       tab22x96 ="tab22: MEANS11=6, TRAVEL_TM=11"
       tab22x97 ="tab22: MEANS11=6, TRAVEL_TM=12"
       tab22x98 ="tab22: MEANS11=6, TRAVEL_TM=13"
       tab22x99 ="tab22: MEANS11=6, TRAVEL_TM=14"
       tab22x100="tab22: MEANS11=6, TRAVEL_TM=15"
       tab22x101="tab22: MEANS11=6, TRAVEL_TM=16"
       tab22x102="tab22: MEANS11=6, TRAVEL_TM=17"
       tab22x103="tab22: MEANS11=7, TRAVEL_TM=1"
       tab22x104="tab22: MEANS11=7, TRAVEL_TM=2"
       tab22x105="tab22: MEANS11=7, TRAVEL_TM=3"
       tab22x106="tab22: MEANS11=7, TRAVEL_TM=4"
       tab22x107="tab22: MEANS11=7, TRAVEL_TM=5"
       tab22x108="tab22: MEANS11=7, TRAVEL_TM=6"
       tab22x109="tab22: MEANS11=7, TRAVEL_TM=7"
       tab22x110="tab22: MEANS11=7, TRAVEL_TM=8"
       tab22x111="tab22: MEANS11=7, TRAVEL_TM=9"
       tab22x112="tab22: MEANS11=7, TRAVEL_TM=10"
       tab22x113="tab22: MEANS11=7, TRAVEL_TM=11"
       tab22x114="tab22: MEANS11=7, TRAVEL_TM=12"
       tab22x115="tab22: MEANS11=7, TRAVEL_TM=13"
       tab22x116="tab22: MEANS11=7, TRAVEL_TM=14"
       tab22x117="tab22: MEANS11=7, TRAVEL_TM=15"
       tab22x118="tab22: MEANS11=7, TRAVEL_TM=16"
       tab22x119="tab22: MEANS11=7, TRAVEL_TM=17"
       tab22x120="tab22: MEANS11=8, TRAVEL_TM=1"
       tab22x121="tab22: MEANS11=8, TRAVEL_TM=2"
       tab22x122="tab22: MEANS11=8, TRAVEL_TM=3"
       tab22x123="tab22: MEANS11=8, TRAVEL_TM=4"
       tab22x124="tab22: MEANS11=8, TRAVEL_TM=5"
       tab22x125="tab22: MEANS11=8, TRAVEL_TM=6"
       tab22x126="tab22: MEANS11=8, TRAVEL_TM=7"
       tab22x127="tab22: MEANS11=8, TRAVEL_TM=8"
       tab22x128="tab22: MEANS11=8, TRAVEL_TM=9"
       tab22x129="tab22: MEANS11=8, TRAVEL_TM=10"
       tab22x130="tab22: MEANS11=8, TRAVEL_TM=11"
       tab22x131="tab22: MEANS11=8, TRAVEL_TM=12"
       tab22x132="tab22: MEANS11=8, TRAVEL_TM=13"
       tab22x133="tab22: MEANS11=8, TRAVEL_TM=14"
       tab22x134="tab22: MEANS11=8, TRAVEL_TM=15"
       tab22x135="tab22: MEANS11=8, TRAVEL_TM=16"
       tab22x136="tab22: MEANS11=8, TRAVEL_TM=17"
       tab22x137="tab22: MEANS11=9, TRAVEL_TM=1"
       tab22x138="tab22: MEANS11=9, TRAVEL_TM=2"
       tab22x139="tab22: MEANS11=9, TRAVEL_TM=3"
       tab22x140="tab22: MEANS11=9, TRAVEL_TM=4"
       tab22x141="tab22: MEANS11=9, TRAVEL_TM=5"
       tab22x142="tab22: MEANS11=9, TRAVEL_TM=6"
       tab22x143="tab22: MEANS11=9, TRAVEL_TM=7"
       tab22x144="tab22: MEANS11=9, TRAVEL_TM=8"
       tab22x145="tab22: MEANS11=9, TRAVEL_TM=9"
       tab22x146="tab22: MEANS11=9, TRAVEL_TM=10"
       tab22x147="tab22: MEANS11=9, TRAVEL_TM=11"
       tab22x148="tab22: MEANS11=9, TRAVEL_TM=12"
       tab22x149="tab22: MEANS11=9, TRAVEL_TM=13"
       tab22x150="tab22: MEANS11=9, TRAVEL_TM=14"
       tab22x151="tab22: MEANS11=9, TRAVEL_TM=15"
       tab22x152="tab22: MEANS11=9, TRAVEL_TM=16"
       tab22x153="tab22: MEANS11=9, TRAVEL_TM=17"
       tab22x154="tab22: MEANS11=10, TRAVEL_TM=1"
       tab22x155="tab22: MEANS11=10, TRAVEL_TM=2"
       tab22x156="tab22: MEANS11=10, TRAVEL_TM=3"
       tab22x157="tab22: MEANS11=10, TRAVEL_TM=4"
       tab22x158="tab22: MEANS11=10, TRAVEL_TM=5"
       tab22x159="tab22: MEANS11=10, TRAVEL_TM=6"
       tab22x160="tab22: MEANS11=10, TRAVEL_TM=7"
       tab22x161="tab22: MEANS11=10, TRAVEL_TM=8"
       tab22x162="tab22: MEANS11=10, TRAVEL_TM=9"
       tab22x163="tab22: MEANS11=10, TRAVEL_TM=10"
       tab22x164="tab22: MEANS11=10, TRAVEL_TM=11"
       tab22x165="tab22: MEANS11=10, TRAVEL_TM=12"
       tab22x166="tab22: MEANS11=10, TRAVEL_TM=13"
       tab22x167="tab22: MEANS11=10, TRAVEL_TM=14"
       tab22x168="tab22: MEANS11=10, TRAVEL_TM=15"
       tab22x169="tab22: MEANS11=10, TRAVEL_TM=16"
       tab22x170="tab22: MEANS11=10, TRAVEL_TM=17"
       tab22x171="tab22: MEANS11=11, TRAVEL_TM=1"
       tab22x172="tab22: MEANS11=11, TRAVEL_TM=2"
       tab22x173="tab22: MEANS11=11, TRAVEL_TM=3"
       tab22x174="tab22: MEANS11=11, TRAVEL_TM=4"
       tab22x175="tab22: MEANS11=11, TRAVEL_TM=5"
       tab22x176="tab22: MEANS11=11, TRAVEL_TM=6"
       tab22x177="tab22: MEANS11=11, TRAVEL_TM=7"
       tab22x178="tab22: MEANS11=11, TRAVEL_TM=8"
       tab22x179="tab22: MEANS11=11, TRAVEL_TM=9"
       tab22x180="tab22: MEANS11=11, TRAVEL_TM=10"
       tab22x181="tab22: MEANS11=11, TRAVEL_TM=11"
       tab22x182="tab22: MEANS11=11, TRAVEL_TM=12"
       tab22x183="tab22: MEANS11=11, TRAVEL_TM=13"
       tab22x184="tab22: MEANS11=11, TRAVEL_TM=14"
       tab22x185="tab22: MEANS11=11, TRAVEL_TM=15"
       tab22x186="tab22: MEANS11=11, TRAVEL_TM=16"
       tab22x187="tab22: MEANS11=11, TRAVEL_TM=17"
       tab23x1  ="tab23: HISPANIC=1, RACE=1, OCCUPATION=1"
       tab23x2  ="tab23: HISPANIC=1, RACE=1, OCCUPATION=2"
       tab23x3  ="tab23: HISPANIC=1, RACE=1, OCCUPATION=3"
       tab23x4  ="tab23: HISPANIC=1, RACE=1, OCCUPATION=4"
       tab23x5  ="tab23: HISPANIC=1, RACE=1, OCCUPATION=5"
       tab23x6  ="tab23: HISPANIC=1, RACE=1, OCCUPATION=6"
       tab23x7  ="tab23: HISPANIC=1, RACE=1, OCCUPATION=7"
       tab23x8  ="tab23: HISPANIC=1, RACE=1, OCCUPATION=8"
       tab23x9  ="tab23: HISPANIC=1, RACE=1, OCCUPATION=9"
       tab23x10 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=10"
       tab23x11 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=11"
       tab23x12 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=12"
       tab23x13 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=13"
       tab23x14 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=14"
       tab23x15 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=15"
       tab23x16 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=16"
       tab23x17 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=17"
       tab23x18 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=18"
       tab23x19 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=19"
       tab23x20 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=20"
       tab23x21 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=21"
       tab23x22 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=22"
       tab23x23 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=23"
       tab23x24 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=24"
       tab23x25 ="tab23: HISPANIC=1, RACE=1, OCCUPATION=25"
       tab23x26 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=1"
       tab23x27 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=2"
       tab23x28 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=3"
       tab23x29 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=4"
       tab23x30 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=5"
       tab23x31 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=6"
       tab23x32 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=7"
       tab23x33 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=8"
       tab23x34 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=9"
       tab23x35 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=10"
       tab23x36 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=11"
       tab23x37 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=12"
       tab23x38 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=13"
       tab23x39 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=14"
       tab23x40 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=15"
       tab23x41 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=16"
       tab23x42 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=17"
       tab23x43 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=18"
       tab23x44 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=19"
       tab23x45 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=20"
       tab23x46 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=21"
       tab23x47 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=22"
       tab23x48 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=23"
       tab23x49 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=24"
       tab23x50 ="tab23: HISPANIC=1, RACE=2, OCCUPATION=25"
       tab23x51 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=1"
       tab23x52 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=2"
       tab23x53 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=3"
       tab23x54 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=4"
       tab23x55 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=5"
       tab23x56 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=6"
       tab23x57 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=7"
       tab23x58 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=8"
       tab23x59 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=9"
       tab23x60 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=10"
       tab23x61 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=11"
       tab23x62 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=12"
       tab23x63 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=13"
       tab23x64 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=14"
       tab23x65 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=15"
       tab23x66 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=16"
       tab23x67 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=17"
       tab23x68 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=18"
       tab23x69 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=19"
       tab23x70 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=20"
       tab23x71 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=21"
       tab23x72 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=22"
       tab23x73 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=23"
       tab23x74 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=24"
       tab23x75 ="tab23: HISPANIC=1, RACE=3, OCCUPATION=25"
       tab23x76 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=1"
       tab23x77 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=2"
       tab23x78 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=3"
       tab23x79 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=4"
       tab23x80 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=5"
       tab23x81 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=6"
       tab23x82 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=7"
       tab23x83 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=8"
       tab23x84 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=9"
       tab23x85 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=10"
       tab23x86 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=11"
       tab23x87 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=12"
       tab23x88 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=13"
       tab23x89 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=14"
       tab23x90 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=15"
       tab23x91 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=16"
       tab23x92 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=17"
       tab23x93 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=18"
       tab23x94 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=19"
       tab23x95 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=20"
       tab23x96 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=21"
       tab23x97 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=22"
       tab23x98 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=23"
       tab23x99 ="tab23: HISPANIC=1, RACE=4, OCCUPATION=24"
       tab23x100="tab23: HISPANIC=1, RACE=4, OCCUPATION=25"
       tab23x101="tab23: HISPANIC=1, RACE=5, OCCUPATION=1"
       tab23x102="tab23: HISPANIC=1, RACE=5, OCCUPATION=2"
       tab23x103="tab23: HISPANIC=1, RACE=5, OCCUPATION=3"
       tab23x104="tab23: HISPANIC=1, RACE=5, OCCUPATION=4"
       tab23x105="tab23: HISPANIC=1, RACE=5, OCCUPATION=5"
       tab23x106="tab23: HISPANIC=1, RACE=5, OCCUPATION=6"
       tab23x107="tab23: HISPANIC=1, RACE=5, OCCUPATION=7"
       tab23x108="tab23: HISPANIC=1, RACE=5, OCCUPATION=8"
       tab23x109="tab23: HISPANIC=1, RACE=5, OCCUPATION=9"
       tab23x110="tab23: HISPANIC=1, RACE=5, OCCUPATION=10"
       tab23x111="tab23: HISPANIC=1, RACE=5, OCCUPATION=11"
       tab23x112="tab23: HISPANIC=1, RACE=5, OCCUPATION=12"
       tab23x113="tab23: HISPANIC=1, RACE=5, OCCUPATION=13"
       tab23x114="tab23: HISPANIC=1, RACE=5, OCCUPATION=14"
       tab23x115="tab23: HISPANIC=1, RACE=5, OCCUPATION=15"
       tab23x116="tab23: HISPANIC=1, RACE=5, OCCUPATION=16"
       tab23x117="tab23: HISPANIC=1, RACE=5, OCCUPATION=17"
       tab23x118="tab23: HISPANIC=1, RACE=5, OCCUPATION=18"
       tab23x119="tab23: HISPANIC=1, RACE=5, OCCUPATION=19"
       tab23x120="tab23: HISPANIC=1, RACE=5, OCCUPATION=20"
       tab23x121="tab23: HISPANIC=1, RACE=5, OCCUPATION=21"
       tab23x122="tab23: HISPANIC=1, RACE=5, OCCUPATION=22"
       tab23x123="tab23: HISPANIC=1, RACE=5, OCCUPATION=23"
       tab23x124="tab23: HISPANIC=1, RACE=5, OCCUPATION=24"
       tab23x125="tab23: HISPANIC=1, RACE=5, OCCUPATION=25"
       tab23x126="tab23: HISPANIC=2, RACE=1, OCCUPATION=1"
       tab23x127="tab23: HISPANIC=2, RACE=1, OCCUPATION=2"
       tab23x128="tab23: HISPANIC=2, RACE=1, OCCUPATION=3"
       tab23x129="tab23: HISPANIC=2, RACE=1, OCCUPATION=4"
       tab23x130="tab23: HISPANIC=2, RACE=1, OCCUPATION=5"
       tab23x131="tab23: HISPANIC=2, RACE=1, OCCUPATION=6"
       tab23x132="tab23: HISPANIC=2, RACE=1, OCCUPATION=7"
       tab23x133="tab23: HISPANIC=2, RACE=1, OCCUPATION=8"
       tab23x134="tab23: HISPANIC=2, RACE=1, OCCUPATION=9"
       tab23x135="tab23: HISPANIC=2, RACE=1, OCCUPATION=10"
       tab23x136="tab23: HISPANIC=2, RACE=1, OCCUPATION=11"
       tab23x137="tab23: HISPANIC=2, RACE=1, OCCUPATION=12"
       tab23x138="tab23: HISPANIC=2, RACE=1, OCCUPATION=13"
       tab23x139="tab23: HISPANIC=2, RACE=1, OCCUPATION=14"
       tab23x140="tab23: HISPANIC=2, RACE=1, OCCUPATION=15"
       tab23x141="tab23: HISPANIC=2, RACE=1, OCCUPATION=16"
       tab23x142="tab23: HISPANIC=2, RACE=1, OCCUPATION=17"
       tab23x143="tab23: HISPANIC=2, RACE=1, OCCUPATION=18"
       tab23x144="tab23: HISPANIC=2, RACE=1, OCCUPATION=19"
       tab23x145="tab23: HISPANIC=2, RACE=1, OCCUPATION=20"
       tab23x146="tab23: HISPANIC=2, RACE=1, OCCUPATION=21"
       tab23x147="tab23: HISPANIC=2, RACE=1, OCCUPATION=22"
       tab23x148="tab23: HISPANIC=2, RACE=1, OCCUPATION=23"
       tab23x149="tab23: HISPANIC=2, RACE=1, OCCUPATION=24"
       tab23x150="tab23: HISPANIC=2, RACE=1, OCCUPATION=25"
       tab23x151="tab23: HISPANIC=2, RACE=2, OCCUPATION=1"
       tab23x152="tab23: HISPANIC=2, RACE=2, OCCUPATION=2"
       tab23x153="tab23: HISPANIC=2, RACE=2, OCCUPATION=3"
       tab23x154="tab23: HISPANIC=2, RACE=2, OCCUPATION=4"
       tab23x155="tab23: HISPANIC=2, RACE=2, OCCUPATION=5"
       tab23x156="tab23: HISPANIC=2, RACE=2, OCCUPATION=6"
       tab23x157="tab23: HISPANIC=2, RACE=2, OCCUPATION=7"
       tab23x158="tab23: HISPANIC=2, RACE=2, OCCUPATION=8"
       tab23x159="tab23: HISPANIC=2, RACE=2, OCCUPATION=9"
       tab23x160="tab23: HISPANIC=2, RACE=2, OCCUPATION=10"
       tab23x161="tab23: HISPANIC=2, RACE=2, OCCUPATION=11"
       tab23x162="tab23: HISPANIC=2, RACE=2, OCCUPATION=12"
       tab23x163="tab23: HISPANIC=2, RACE=2, OCCUPATION=13"
       tab23x164="tab23: HISPANIC=2, RACE=2, OCCUPATION=14"
       tab23x165="tab23: HISPANIC=2, RACE=2, OCCUPATION=15"
       tab23x166="tab23: HISPANIC=2, RACE=2, OCCUPATION=16"
       tab23x167="tab23: HISPANIC=2, RACE=2, OCCUPATION=17"
       tab23x168="tab23: HISPANIC=2, RACE=2, OCCUPATION=18"
       tab23x169="tab23: HISPANIC=2, RACE=2, OCCUPATION=19"
       tab23x170="tab23: HISPANIC=2, RACE=2, OCCUPATION=20"
       tab23x171="tab23: HISPANIC=2, RACE=2, OCCUPATION=21"
       tab23x172="tab23: HISPANIC=2, RACE=2, OCCUPATION=22"
       tab23x173="tab23: HISPANIC=2, RACE=2, OCCUPATION=23"
       tab23x174="tab23: HISPANIC=2, RACE=2, OCCUPATION=24"
       tab23x175="tab23: HISPANIC=2, RACE=2, OCCUPATION=25"
       tab23x176="tab23: HISPANIC=2, RACE=3, OCCUPATION=1"
       tab23x177="tab23: HISPANIC=2, RACE=3, OCCUPATION=2"
       tab23x178="tab23: HISPANIC=2, RACE=3, OCCUPATION=3"
       tab23x179="tab23: HISPANIC=2, RACE=3, OCCUPATION=4"
       tab23x180="tab23: HISPANIC=2, RACE=3, OCCUPATION=5"
       tab23x181="tab23: HISPANIC=2, RACE=3, OCCUPATION=6"
       tab23x182="tab23: HISPANIC=2, RACE=3, OCCUPATION=7"
       tab23x183="tab23: HISPANIC=2, RACE=3, OCCUPATION=8"
       tab23x184="tab23: HISPANIC=2, RACE=3, OCCUPATION=9"
       tab23x185="tab23: HISPANIC=2, RACE=3, OCCUPATION=10"
       tab23x186="tab23: HISPANIC=2, RACE=3, OCCUPATION=11"
       tab23x187="tab23: HISPANIC=2, RACE=3, OCCUPATION=12"
       tab23x188="tab23: HISPANIC=2, RACE=3, OCCUPATION=13"
       tab23x189="tab23: HISPANIC=2, RACE=3, OCCUPATION=14"
       tab23x190="tab23: HISPANIC=2, RACE=3, OCCUPATION=15"
       tab23x191="tab23: HISPANIC=2, RACE=3, OCCUPATION=16"
       tab23x192="tab23: HISPANIC=2, RACE=3, OCCUPATION=17"
       tab23x193="tab23: HISPANIC=2, RACE=3, OCCUPATION=18"
       tab23x194="tab23: HISPANIC=2, RACE=3, OCCUPATION=19"
       tab23x195="tab23: HISPANIC=2, RACE=3, OCCUPATION=20"
       tab23x196="tab23: HISPANIC=2, RACE=3, OCCUPATION=21"
       tab23x197="tab23: HISPANIC=2, RACE=3, OCCUPATION=22"
       tab23x198="tab23: HISPANIC=2, RACE=3, OCCUPATION=23"
       tab23x199="tab23: HISPANIC=2, RACE=3, OCCUPATION=24"
       tab23x200="tab23: HISPANIC=2, RACE=3, OCCUPATION=25"
       tab23x201="tab23: HISPANIC=2, RACE=4, OCCUPATION=1"
       tab23x202="tab23: HISPANIC=2, RACE=4, OCCUPATION=2"
       tab23x203="tab23: HISPANIC=2, RACE=4, OCCUPATION=3"
       tab23x204="tab23: HISPANIC=2, RACE=4, OCCUPATION=4"
       tab23x205="tab23: HISPANIC=2, RACE=4, OCCUPATION=5"
       tab23x206="tab23: HISPANIC=2, RACE=4, OCCUPATION=6"
       tab23x207="tab23: HISPANIC=2, RACE=4, OCCUPATION=7"
       tab23x208="tab23: HISPANIC=2, RACE=4, OCCUPATION=8"
       tab23x209="tab23: HISPANIC=2, RACE=4, OCCUPATION=9"
       tab23x210="tab23: HISPANIC=2, RACE=4, OCCUPATION=10"
       tab23x211="tab23: HISPANIC=2, RACE=4, OCCUPATION=11"
       tab23x212="tab23: HISPANIC=2, RACE=4, OCCUPATION=12"
       tab23x213="tab23: HISPANIC=2, RACE=4, OCCUPATION=13"
       tab23x214="tab23: HISPANIC=2, RACE=4, OCCUPATION=14"
       tab23x215="tab23: HISPANIC=2, RACE=4, OCCUPATION=15"
       tab23x216="tab23: HISPANIC=2, RACE=4, OCCUPATION=16"
       tab23x217="tab23: HISPANIC=2, RACE=4, OCCUPATION=17"
       tab23x218="tab23: HISPANIC=2, RACE=4, OCCUPATION=18"
       tab23x219="tab23: HISPANIC=2, RACE=4, OCCUPATION=19"
       tab23x220="tab23: HISPANIC=2, RACE=4, OCCUPATION=20"
       tab23x221="tab23: HISPANIC=2, RACE=4, OCCUPATION=21"
       tab23x222="tab23: HISPANIC=2, RACE=4, OCCUPATION=22"
       tab23x223="tab23: HISPANIC=2, RACE=4, OCCUPATION=23"
       tab23x224="tab23: HISPANIC=2, RACE=4, OCCUPATION=24"
       tab23x225="tab23: HISPANIC=2, RACE=4, OCCUPATION=25"
       tab23x226="tab23: HISPANIC=2, RACE=5, OCCUPATION=1"
       tab23x227="tab23: HISPANIC=2, RACE=5, OCCUPATION=2"
       tab23x228="tab23: HISPANIC=2, RACE=5, OCCUPATION=3"
       tab23x229="tab23: HISPANIC=2, RACE=5, OCCUPATION=4"
       tab23x230="tab23: HISPANIC=2, RACE=5, OCCUPATION=5"
       tab23x231="tab23: HISPANIC=2, RACE=5, OCCUPATION=6"
       tab23x232="tab23: HISPANIC=2, RACE=5, OCCUPATION=7"
       tab23x233="tab23: HISPANIC=2, RACE=5, OCCUPATION=8"
       tab23x234="tab23: HISPANIC=2, RACE=5, OCCUPATION=9"
       tab23x235="tab23: HISPANIC=2, RACE=5, OCCUPATION=10"
       tab23x236="tab23: HISPANIC=2, RACE=5, OCCUPATION=11"
       tab23x237="tab23: HISPANIC=2, RACE=5, OCCUPATION=12"
       tab23x238="tab23: HISPANIC=2, RACE=5, OCCUPATION=13"
       tab23x239="tab23: HISPANIC=2, RACE=5, OCCUPATION=14"
       tab23x240="tab23: HISPANIC=2, RACE=5, OCCUPATION=15"
       tab23x241="tab23: HISPANIC=2, RACE=5, OCCUPATION=16"
       tab23x242="tab23: HISPANIC=2, RACE=5, OCCUPATION=17"
       tab23x243="tab23: HISPANIC=2, RACE=5, OCCUPATION=18"
       tab23x244="tab23: HISPANIC=2, RACE=5, OCCUPATION=19"
       tab23x245="tab23: HISPANIC=2, RACE=5, OCCUPATION=20"
       tab23x246="tab23: HISPANIC=2, RACE=5, OCCUPATION=21"
       tab23x247="tab23: HISPANIC=2, RACE=5, OCCUPATION=22"
       tab23x248="tab23: HISPANIC=2, RACE=5, OCCUPATION=23"
       tab23x249="tab23: HISPANIC=2, RACE=5, OCCUPATION=24"
       tab23x250="tab23: HISPANIC=2, RACE=5, OCCUPATION=25"
       tab23x251="tab23: HISPANIC=3, RACE=1, OCCUPATION=1"
       tab23x252="tab23: HISPANIC=3, RACE=1, OCCUPATION=2"
       tab23x253="tab23: HISPANIC=3, RACE=1, OCCUPATION=3"
       tab23x254="tab23: HISPANIC=3, RACE=1, OCCUPATION=4"
       tab23x255="tab23: HISPANIC=3, RACE=1, OCCUPATION=5"
       tab23x256="tab23: HISPANIC=3, RACE=1, OCCUPATION=6"
       tab23x257="tab23: HISPANIC=3, RACE=1, OCCUPATION=7"
       tab23x258="tab23: HISPANIC=3, RACE=1, OCCUPATION=8"
       tab23x259="tab23: HISPANIC=3, RACE=1, OCCUPATION=9"
       tab23x260="tab23: HISPANIC=3, RACE=1, OCCUPATION=10"
       tab23x261="tab23: HISPANIC=3, RACE=1, OCCUPATION=11"
       tab23x262="tab23: HISPANIC=3, RACE=1, OCCUPATION=12"
       tab23x263="tab23: HISPANIC=3, RACE=1, OCCUPATION=13"
       tab23x264="tab23: HISPANIC=3, RACE=1, OCCUPATION=14"
       tab23x265="tab23: HISPANIC=3, RACE=1, OCCUPATION=15"
       tab23x266="tab23: HISPANIC=3, RACE=1, OCCUPATION=16"
       tab23x267="tab23: HISPANIC=3, RACE=1, OCCUPATION=17"
       tab23x268="tab23: HISPANIC=3, RACE=1, OCCUPATION=18"
       tab23x269="tab23: HISPANIC=3, RACE=1, OCCUPATION=19"
       tab23x270="tab23: HISPANIC=3, RACE=1, OCCUPATION=20"
       tab23x271="tab23: HISPANIC=3, RACE=1, OCCUPATION=21"
       tab23x272="tab23: HISPANIC=3, RACE=1, OCCUPATION=22"
       tab23x273="tab23: HISPANIC=3, RACE=1, OCCUPATION=23"
       tab23x274="tab23: HISPANIC=3, RACE=1, OCCUPATION=24"
       tab23x275="tab23: HISPANIC=3, RACE=1, OCCUPATION=25"
       tab23x276="tab23: HISPANIC=3, RACE=2, OCCUPATION=1"
       tab23x277="tab23: HISPANIC=3, RACE=2, OCCUPATION=2"
       tab23x278="tab23: HISPANIC=3, RACE=2, OCCUPATION=3"
       tab23x279="tab23: HISPANIC=3, RACE=2, OCCUPATION=4"
       tab23x280="tab23: HISPANIC=3, RACE=2, OCCUPATION=5"
       tab23x281="tab23: HISPANIC=3, RACE=2, OCCUPATION=6"
       tab23x282="tab23: HISPANIC=3, RACE=2, OCCUPATION=7"
       tab23x283="tab23: HISPANIC=3, RACE=2, OCCUPATION=8"
       tab23x284="tab23: HISPANIC=3, RACE=2, OCCUPATION=9"
       tab23x285="tab23: HISPANIC=3, RACE=2, OCCUPATION=10"
       tab23x286="tab23: HISPANIC=3, RACE=2, OCCUPATION=11"
       tab23x287="tab23: HISPANIC=3, RACE=2, OCCUPATION=12"
       tab23x288="tab23: HISPANIC=3, RACE=2, OCCUPATION=13"
       tab23x289="tab23: HISPANIC=3, RACE=2, OCCUPATION=14"
       tab23x290="tab23: HISPANIC=3, RACE=2, OCCUPATION=15"
       tab23x291="tab23: HISPANIC=3, RACE=2, OCCUPATION=16"
       tab23x292="tab23: HISPANIC=3, RACE=2, OCCUPATION=17"
       tab23x293="tab23: HISPANIC=3, RACE=2, OCCUPATION=18"
       tab23x294="tab23: HISPANIC=3, RACE=2, OCCUPATION=19"
       tab23x295="tab23: HISPANIC=3, RACE=2, OCCUPATION=20"
       tab23x296="tab23: HISPANIC=3, RACE=2, OCCUPATION=21"
       tab23x297="tab23: HISPANIC=3, RACE=2, OCCUPATION=22"
       tab23x298="tab23: HISPANIC=3, RACE=2, OCCUPATION=23"
       tab23x299="tab23: HISPANIC=3, RACE=2, OCCUPATION=24"
       tab23x300="tab23: HISPANIC=3, RACE=2, OCCUPATION=25"
       tab23x301="tab23: HISPANIC=3, RACE=3, OCCUPATION=1"
       tab23x302="tab23: HISPANIC=3, RACE=3, OCCUPATION=2"
       tab23x303="tab23: HISPANIC=3, RACE=3, OCCUPATION=3"
       tab23x304="tab23: HISPANIC=3, RACE=3, OCCUPATION=4"
       tab23x305="tab23: HISPANIC=3, RACE=3, OCCUPATION=5"
       tab23x306="tab23: HISPANIC=3, RACE=3, OCCUPATION=6"
       tab23x307="tab23: HISPANIC=3, RACE=3, OCCUPATION=7"
       tab23x308="tab23: HISPANIC=3, RACE=3, OCCUPATION=8"
       tab23x309="tab23: HISPANIC=3, RACE=3, OCCUPATION=9"
       tab23x310="tab23: HISPANIC=3, RACE=3, OCCUPATION=10"
       tab23x311="tab23: HISPANIC=3, RACE=3, OCCUPATION=11"
       tab23x312="tab23: HISPANIC=3, RACE=3, OCCUPATION=12"
       tab23x313="tab23: HISPANIC=3, RACE=3, OCCUPATION=13"
       tab23x314="tab23: HISPANIC=3, RACE=3, OCCUPATION=14"
       tab23x315="tab23: HISPANIC=3, RACE=3, OCCUPATION=15"
       tab23x316="tab23: HISPANIC=3, RACE=3, OCCUPATION=16"
       tab23x317="tab23: HISPANIC=3, RACE=3, OCCUPATION=17"
       tab23x318="tab23: HISPANIC=3, RACE=3, OCCUPATION=18"
       tab23x319="tab23: HISPANIC=3, RACE=3, OCCUPATION=19"
       tab23x320="tab23: HISPANIC=3, RACE=3, OCCUPATION=20"
       tab23x321="tab23: HISPANIC=3, RACE=3, OCCUPATION=21"
       tab23x322="tab23: HISPANIC=3, RACE=3, OCCUPATION=22"
       tab23x323="tab23: HISPANIC=3, RACE=3, OCCUPATION=23"
       tab23x324="tab23: HISPANIC=3, RACE=3, OCCUPATION=24"
       tab23x325="tab23: HISPANIC=3, RACE=3, OCCUPATION=25"
       tab23x326="tab23: HISPANIC=3, RACE=4, OCCUPATION=1"
       tab23x327="tab23: HISPANIC=3, RACE=4, OCCUPATION=2"
       tab23x328="tab23: HISPANIC=3, RACE=4, OCCUPATION=3"
       tab23x329="tab23: HISPANIC=3, RACE=4, OCCUPATION=4"
       tab23x330="tab23: HISPANIC=3, RACE=4, OCCUPATION=5"
       tab23x331="tab23: HISPANIC=3, RACE=4, OCCUPATION=6"
       tab23x332="tab23: HISPANIC=3, RACE=4, OCCUPATION=7"
       tab23x333="tab23: HISPANIC=3, RACE=4, OCCUPATION=8"
       tab23x334="tab23: HISPANIC=3, RACE=4, OCCUPATION=9"
       tab23x335="tab23: HISPANIC=3, RACE=4, OCCUPATION=10"
       tab23x336="tab23: HISPANIC=3, RACE=4, OCCUPATION=11"
       tab23x337="tab23: HISPANIC=3, RACE=4, OCCUPATION=12"
       tab23x338="tab23: HISPANIC=3, RACE=4, OCCUPATION=13"
       tab23x339="tab23: HISPANIC=3, RACE=4, OCCUPATION=14"
       tab23x340="tab23: HISPANIC=3, RACE=4, OCCUPATION=15"
       tab23x341="tab23: HISPANIC=3, RACE=4, OCCUPATION=16"
       tab23x342="tab23: HISPANIC=3, RACE=4, OCCUPATION=17"
       tab23x343="tab23: HISPANIC=3, RACE=4, OCCUPATION=18"
       tab23x344="tab23: HISPANIC=3, RACE=4, OCCUPATION=19"
       tab23x345="tab23: HISPANIC=3, RACE=4, OCCUPATION=20"
       tab23x346="tab23: HISPANIC=3, RACE=4, OCCUPATION=21"
       tab23x347="tab23: HISPANIC=3, RACE=4, OCCUPATION=22"
       tab23x348="tab23: HISPANIC=3, RACE=4, OCCUPATION=23"
       tab23x349="tab23: HISPANIC=3, RACE=4, OCCUPATION=24"
       tab23x350="tab23: HISPANIC=3, RACE=4, OCCUPATION=25"
       tab23x351="tab23: HISPANIC=3, RACE=5, OCCUPATION=1"
       tab23x352="tab23: HISPANIC=3, RACE=5, OCCUPATION=2"
       tab23x353="tab23: HISPANIC=3, RACE=5, OCCUPATION=3"
       tab23x354="tab23: HISPANIC=3, RACE=5, OCCUPATION=4"
       tab23x355="tab23: HISPANIC=3, RACE=5, OCCUPATION=5"
       tab23x356="tab23: HISPANIC=3, RACE=5, OCCUPATION=6"
       tab23x357="tab23: HISPANIC=3, RACE=5, OCCUPATION=7"
       tab23x358="tab23: HISPANIC=3, RACE=5, OCCUPATION=8"
       tab23x359="tab23: HISPANIC=3, RACE=5, OCCUPATION=9"
       tab23x360="tab23: HISPANIC=3, RACE=5, OCCUPATION=10"
       tab23x361="tab23: HISPANIC=3, RACE=5, OCCUPATION=11"
       tab23x362="tab23: HISPANIC=3, RACE=5, OCCUPATION=12"
       tab23x363="tab23: HISPANIC=3, RACE=5, OCCUPATION=13"
       tab23x364="tab23: HISPANIC=3, RACE=5, OCCUPATION=14"
       tab23x365="tab23: HISPANIC=3, RACE=5, OCCUPATION=15"
       tab23x366="tab23: HISPANIC=3, RACE=5, OCCUPATION=16"
       tab23x367="tab23: HISPANIC=3, RACE=5, OCCUPATION=17"
       tab23x368="tab23: HISPANIC=3, RACE=5, OCCUPATION=18"
       tab23x369="tab23: HISPANIC=3, RACE=5, OCCUPATION=19"
       tab23x370="tab23: HISPANIC=3, RACE=5, OCCUPATION=20"
       tab23x371="tab23: HISPANIC=3, RACE=5, OCCUPATION=21"
       tab23x372="tab23: HISPANIC=3, RACE=5, OCCUPATION=22"
       tab23x373="tab23: HISPANIC=3, RACE=5, OCCUPATION=23"
       tab23x374="tab23: HISPANIC=3, RACE=5, OCCUPATION=24"
       tab23x375="tab23: HISPANIC=3, RACE=5, OCCUPATION=25"
       tab24x1  ="tab24: HISPANIC=1, RACE=1, INDUSTRY=1"
       tab24x2  ="tab24: HISPANIC=1, RACE=1, INDUSTRY=2"
       tab24x3  ="tab24: HISPANIC=1, RACE=1, INDUSTRY=3"
       tab24x4  ="tab24: HISPANIC=1, RACE=1, INDUSTRY=4"
       tab24x5  ="tab24: HISPANIC=1, RACE=1, INDUSTRY=5"
       tab24x6  ="tab24: HISPANIC=1, RACE=1, INDUSTRY=6"
       tab24x7  ="tab24: HISPANIC=1, RACE=1, INDUSTRY=7"
       tab24x8  ="tab24: HISPANIC=1, RACE=1, INDUSTRY=8"
       tab24x9  ="tab24: HISPANIC=1, RACE=1, INDUSTRY=9"
       tab24x10 ="tab24: HISPANIC=1, RACE=1, INDUSTRY=10"
       tab24x11 ="tab24: HISPANIC=1, RACE=1, INDUSTRY=11"
       tab24x12 ="tab24: HISPANIC=1, RACE=1, INDUSTRY=12"
       tab24x13 ="tab24: HISPANIC=1, RACE=1, INDUSTRY=13"
       tab24x14 ="tab24: HISPANIC=1, RACE=1, INDUSTRY=14"
       tab24x15 ="tab24: HISPANIC=1, RACE=1, INDUSTRY=15"
       tab24x16 ="tab24: HISPANIC=1, RACE=2, INDUSTRY=1"
       tab24x17 ="tab24: HISPANIC=1, RACE=2, INDUSTRY=2"
       tab24x18 ="tab24: HISPANIC=1, RACE=2, INDUSTRY=3"
       tab24x19 ="tab24: HISPANIC=1, RACE=2, INDUSTRY=4"
       tab24x20 ="tab24: HISPANIC=1, RACE=2, INDUSTRY=5"
       tab24x21 ="tab24: HISPANIC=1, RACE=2, INDUSTRY=6"
       tab24x22 ="tab24: HISPANIC=1, RACE=2, INDUSTRY=7"
       tab24x23 ="tab24: HISPANIC=1, RACE=2, INDUSTRY=8"
       tab24x24 ="tab24: HISPANIC=1, RACE=2, INDUSTRY=9"
       tab24x25 ="tab24: HISPANIC=1, RACE=2, INDUSTRY=10"
       tab24x26 ="tab24: HISPANIC=1, RACE=2, INDUSTRY=11"
       tab24x27 ="tab24: HISPANIC=1, RACE=2, INDUSTRY=12"
       tab24x28 ="tab24: HISPANIC=1, RACE=2, INDUSTRY=13"
       tab24x29 ="tab24: HISPANIC=1, RACE=2, INDUSTRY=14"
       tab24x30 ="tab24: HISPANIC=1, RACE=2, INDUSTRY=15"
       tab24x31 ="tab24: HISPANIC=1, RACE=3, INDUSTRY=1"
       tab24x32 ="tab24: HISPANIC=1, RACE=3, INDUSTRY=2"
       tab24x33 ="tab24: HISPANIC=1, RACE=3, INDUSTRY=3"
       tab24x34 ="tab24: HISPANIC=1, RACE=3, INDUSTRY=4"
       tab24x35 ="tab24: HISPANIC=1, RACE=3, INDUSTRY=5"
       tab24x36 ="tab24: HISPANIC=1, RACE=3, INDUSTRY=6"
       tab24x37 ="tab24: HISPANIC=1, RACE=3, INDUSTRY=7"
       tab24x38 ="tab24: HISPANIC=1, RACE=3, INDUSTRY=8"
       tab24x39 ="tab24: HISPANIC=1, RACE=3, INDUSTRY=9"
       tab24x40 ="tab24: HISPANIC=1, RACE=3, INDUSTRY=10"
       tab24x41 ="tab24: HISPANIC=1, RACE=3, INDUSTRY=11"
       tab24x42 ="tab24: HISPANIC=1, RACE=3, INDUSTRY=12"
       tab24x43 ="tab24: HISPANIC=1, RACE=3, INDUSTRY=13"
       tab24x44 ="tab24: HISPANIC=1, RACE=3, INDUSTRY=14"
       tab24x45 ="tab24: HISPANIC=1, RACE=3, INDUSTRY=15"
       tab24x46 ="tab24: HISPANIC=1, RACE=4, INDUSTRY=1"
       tab24x47 ="tab24: HISPANIC=1, RACE=4, INDUSTRY=2"
       tab24x48 ="tab24: HISPANIC=1, RACE=4, INDUSTRY=3"
       tab24x49 ="tab24: HISPANIC=1, RACE=4, INDUSTRY=4"
       tab24x50 ="tab24: HISPANIC=1, RACE=4, INDUSTRY=5"
       tab24x51 ="tab24: HISPANIC=1, RACE=4, INDUSTRY=6"
       tab24x52 ="tab24: HISPANIC=1, RACE=4, INDUSTRY=7"
       tab24x53 ="tab24: HISPANIC=1, RACE=4, INDUSTRY=8"
       tab24x54 ="tab24: HISPANIC=1, RACE=4, INDUSTRY=9"
       tab24x55 ="tab24: HISPANIC=1, RACE=4, INDUSTRY=10"
       tab24x56 ="tab24: HISPANIC=1, RACE=4, INDUSTRY=11"
       tab24x57 ="tab24: HISPANIC=1, RACE=4, INDUSTRY=12"
       tab24x58 ="tab24: HISPANIC=1, RACE=4, INDUSTRY=13"
       tab24x59 ="tab24: HISPANIC=1, RACE=4, INDUSTRY=14"
       tab24x60 ="tab24: HISPANIC=1, RACE=4, INDUSTRY=15"
       tab24x61 ="tab24: HISPANIC=1, RACE=5, INDUSTRY=1"
       tab24x62 ="tab24: HISPANIC=1, RACE=5, INDUSTRY=2"
       tab24x63 ="tab24: HISPANIC=1, RACE=5, INDUSTRY=3"
       tab24x64 ="tab24: HISPANIC=1, RACE=5, INDUSTRY=4"
       tab24x65 ="tab24: HISPANIC=1, RACE=5, INDUSTRY=5"
       tab24x66 ="tab24: HISPANIC=1, RACE=5, INDUSTRY=6"
       tab24x67 ="tab24: HISPANIC=1, RACE=5, INDUSTRY=7"
       tab24x68 ="tab24: HISPANIC=1, RACE=5, INDUSTRY=8"
       tab24x69 ="tab24: HISPANIC=1, RACE=5, INDUSTRY=9"
       tab24x70 ="tab24: HISPANIC=1, RACE=5, INDUSTRY=10"
       tab24x71 ="tab24: HISPANIC=1, RACE=5, INDUSTRY=11"
       tab24x72 ="tab24: HISPANIC=1, RACE=5, INDUSTRY=12"
       tab24x73 ="tab24: HISPANIC=1, RACE=5, INDUSTRY=13"
       tab24x74 ="tab24: HISPANIC=1, RACE=5, INDUSTRY=14"
       tab24x75 ="tab24: HISPANIC=1, RACE=5, INDUSTRY=15"
       tab24x76 ="tab24: HISPANIC=2, RACE=1, INDUSTRY=1"
       tab24x77 ="tab24: HISPANIC=2, RACE=1, INDUSTRY=2"
       tab24x78 ="tab24: HISPANIC=2, RACE=1, INDUSTRY=3"
       tab24x79 ="tab24: HISPANIC=2, RACE=1, INDUSTRY=4"
       tab24x80 ="tab24: HISPANIC=2, RACE=1, INDUSTRY=5"
       tab24x81 ="tab24: HISPANIC=2, RACE=1, INDUSTRY=6"
       tab24x82 ="tab24: HISPANIC=2, RACE=1, INDUSTRY=7"
       tab24x83 ="tab24: HISPANIC=2, RACE=1, INDUSTRY=8"
       tab24x84 ="tab24: HISPANIC=2, RACE=1, INDUSTRY=9"
       tab24x85 ="tab24: HISPANIC=2, RACE=1, INDUSTRY=10"
       tab24x86 ="tab24: HISPANIC=2, RACE=1, INDUSTRY=11"
       tab24x87 ="tab24: HISPANIC=2, RACE=1, INDUSTRY=12"
       tab24x88 ="tab24: HISPANIC=2, RACE=1, INDUSTRY=13"
       tab24x89 ="tab24: HISPANIC=2, RACE=1, INDUSTRY=14"
       tab24x90 ="tab24: HISPANIC=2, RACE=1, INDUSTRY=15"
       tab24x91 ="tab24: HISPANIC=2, RACE=2, INDUSTRY=1"
       tab24x92 ="tab24: HISPANIC=2, RACE=2, INDUSTRY=2"
       tab24x93 ="tab24: HISPANIC=2, RACE=2, INDUSTRY=3"
       tab24x94 ="tab24: HISPANIC=2, RACE=2, INDUSTRY=4"
       tab24x95 ="tab24: HISPANIC=2, RACE=2, INDUSTRY=5"
       tab24x96 ="tab24: HISPANIC=2, RACE=2, INDUSTRY=6"
       tab24x97 ="tab24: HISPANIC=2, RACE=2, INDUSTRY=7"
       tab24x98 ="tab24: HISPANIC=2, RACE=2, INDUSTRY=8"
       tab24x99 ="tab24: HISPANIC=2, RACE=2, INDUSTRY=9"
       tab24x100="tab24: HISPANIC=2, RACE=2, INDUSTRY=10"
       tab24x101="tab24: HISPANIC=2, RACE=2, INDUSTRY=11"
       tab24x102="tab24: HISPANIC=2, RACE=2, INDUSTRY=12"
       tab24x103="tab24: HISPANIC=2, RACE=2, INDUSTRY=13"
       tab24x104="tab24: HISPANIC=2, RACE=2, INDUSTRY=14"
       tab24x105="tab24: HISPANIC=2, RACE=2, INDUSTRY=15"
       tab24x106="tab24: HISPANIC=2, RACE=3, INDUSTRY=1"
       tab24x107="tab24: HISPANIC=2, RACE=3, INDUSTRY=2"
       tab24x108="tab24: HISPANIC=2, RACE=3, INDUSTRY=3"
       tab24x109="tab24: HISPANIC=2, RACE=3, INDUSTRY=4"
       tab24x110="tab24: HISPANIC=2, RACE=3, INDUSTRY=5"
       tab24x111="tab24: HISPANIC=2, RACE=3, INDUSTRY=6"
       tab24x112="tab24: HISPANIC=2, RACE=3, INDUSTRY=7"
       tab24x113="tab24: HISPANIC=2, RACE=3, INDUSTRY=8"
       tab24x114="tab24: HISPANIC=2, RACE=3, INDUSTRY=9"
       tab24x115="tab24: HISPANIC=2, RACE=3, INDUSTRY=10"
       tab24x116="tab24: HISPANIC=2, RACE=3, INDUSTRY=11"
       tab24x117="tab24: HISPANIC=2, RACE=3, INDUSTRY=12"
       tab24x118="tab24: HISPANIC=2, RACE=3, INDUSTRY=13"
       tab24x119="tab24: HISPANIC=2, RACE=3, INDUSTRY=14"
       tab24x120="tab24: HISPANIC=2, RACE=3, INDUSTRY=15"
       tab24x121="tab24: HISPANIC=2, RACE=4, INDUSTRY=1"
       tab24x122="tab24: HISPANIC=2, RACE=4, INDUSTRY=2"
       tab24x123="tab24: HISPANIC=2, RACE=4, INDUSTRY=3"
       tab24x124="tab24: HISPANIC=2, RACE=4, INDUSTRY=4"
       tab24x125="tab24: HISPANIC=2, RACE=4, INDUSTRY=5"
       tab24x126="tab24: HISPANIC=2, RACE=4, INDUSTRY=6"
       tab24x127="tab24: HISPANIC=2, RACE=4, INDUSTRY=7"
       tab24x128="tab24: HISPANIC=2, RACE=4, INDUSTRY=8"
       tab24x129="tab24: HISPANIC=2, RACE=4, INDUSTRY=9"
       tab24x130="tab24: HISPANIC=2, RACE=4, INDUSTRY=10"
       tab24x131="tab24: HISPANIC=2, RACE=4, INDUSTRY=11"
       tab24x132="tab24: HISPANIC=2, RACE=4, INDUSTRY=12"
       tab24x133="tab24: HISPANIC=2, RACE=4, INDUSTRY=13"
       tab24x134="tab24: HISPANIC=2, RACE=4, INDUSTRY=14"
       tab24x135="tab24: HISPANIC=2, RACE=4, INDUSTRY=15"
       tab24x136="tab24: HISPANIC=2, RACE=5, INDUSTRY=1"
       tab24x137="tab24: HISPANIC=2, RACE=5, INDUSTRY=2"
       tab24x138="tab24: HISPANIC=2, RACE=5, INDUSTRY=3"
       tab24x139="tab24: HISPANIC=2, RACE=5, INDUSTRY=4"
       tab24x140="tab24: HISPANIC=2, RACE=5, INDUSTRY=5"
       tab24x141="tab24: HISPANIC=2, RACE=5, INDUSTRY=6"
       tab24x142="tab24: HISPANIC=2, RACE=5, INDUSTRY=7"
       tab24x143="tab24: HISPANIC=2, RACE=5, INDUSTRY=8"
       tab24x144="tab24: HISPANIC=2, RACE=5, INDUSTRY=9"
       tab24x145="tab24: HISPANIC=2, RACE=5, INDUSTRY=10"
       tab24x146="tab24: HISPANIC=2, RACE=5, INDUSTRY=11"
       tab24x147="tab24: HISPANIC=2, RACE=5, INDUSTRY=12"
       tab24x148="tab24: HISPANIC=2, RACE=5, INDUSTRY=13"
       tab24x149="tab24: HISPANIC=2, RACE=5, INDUSTRY=14"
       tab24x150="tab24: HISPANIC=2, RACE=5, INDUSTRY=15"
       tab24x151="tab24: HISPANIC=3, RACE=1, INDUSTRY=1"
       tab24x152="tab24: HISPANIC=3, RACE=1, INDUSTRY=2"
       tab24x153="tab24: HISPANIC=3, RACE=1, INDUSTRY=3"
       tab24x154="tab24: HISPANIC=3, RACE=1, INDUSTRY=4"
       tab24x155="tab24: HISPANIC=3, RACE=1, INDUSTRY=5"
       tab24x156="tab24: HISPANIC=3, RACE=1, INDUSTRY=6"
       tab24x157="tab24: HISPANIC=3, RACE=1, INDUSTRY=7"
       tab24x158="tab24: HISPANIC=3, RACE=1, INDUSTRY=8"
       tab24x159="tab24: HISPANIC=3, RACE=1, INDUSTRY=9"
       tab24x160="tab24: HISPANIC=3, RACE=1, INDUSTRY=10"
       tab24x161="tab24: HISPANIC=3, RACE=1, INDUSTRY=11"
       tab24x162="tab24: HISPANIC=3, RACE=1, INDUSTRY=12"
       tab24x163="tab24: HISPANIC=3, RACE=1, INDUSTRY=13"
       tab24x164="tab24: HISPANIC=3, RACE=1, INDUSTRY=14"
       tab24x165="tab24: HISPANIC=3, RACE=1, INDUSTRY=15"
       tab24x166="tab24: HISPANIC=3, RACE=2, INDUSTRY=1"
       tab24x167="tab24: HISPANIC=3, RACE=2, INDUSTRY=2"
       tab24x168="tab24: HISPANIC=3, RACE=2, INDUSTRY=3"
       tab24x169="tab24: HISPANIC=3, RACE=2, INDUSTRY=4"
       tab24x170="tab24: HISPANIC=3, RACE=2, INDUSTRY=5"
       tab24x171="tab24: HISPANIC=3, RACE=2, INDUSTRY=6"
       tab24x172="tab24: HISPANIC=3, RACE=2, INDUSTRY=7"
       tab24x173="tab24: HISPANIC=3, RACE=2, INDUSTRY=8"
       tab24x174="tab24: HISPANIC=3, RACE=2, INDUSTRY=9"
       tab24x175="tab24: HISPANIC=3, RACE=2, INDUSTRY=10"
       tab24x176="tab24: HISPANIC=3, RACE=2, INDUSTRY=11"
       tab24x177="tab24: HISPANIC=3, RACE=2, INDUSTRY=12"
       tab24x178="tab24: HISPANIC=3, RACE=2, INDUSTRY=13"
       tab24x179="tab24: HISPANIC=3, RACE=2, INDUSTRY=14"
       tab24x180="tab24: HISPANIC=3, RACE=2, INDUSTRY=15"
       tab24x181="tab24: HISPANIC=3, RACE=3, INDUSTRY=1"
       tab24x182="tab24: HISPANIC=3, RACE=3, INDUSTRY=2"
       tab24x183="tab24: HISPANIC=3, RACE=3, INDUSTRY=3"
       tab24x184="tab24: HISPANIC=3, RACE=3, INDUSTRY=4"
       tab24x185="tab24: HISPANIC=3, RACE=3, INDUSTRY=5"
       tab24x186="tab24: HISPANIC=3, RACE=3, INDUSTRY=6"
       tab24x187="tab24: HISPANIC=3, RACE=3, INDUSTRY=7"
       tab24x188="tab24: HISPANIC=3, RACE=3, INDUSTRY=8"
       tab24x189="tab24: HISPANIC=3, RACE=3, INDUSTRY=9"
       tab24x190="tab24: HISPANIC=3, RACE=3, INDUSTRY=10"
       tab24x191="tab24: HISPANIC=3, RACE=3, INDUSTRY=11"
       tab24x192="tab24: HISPANIC=3, RACE=3, INDUSTRY=12"
       tab24x193="tab24: HISPANIC=3, RACE=3, INDUSTRY=13"
       tab24x194="tab24: HISPANIC=3, RACE=3, INDUSTRY=14"
       tab24x195="tab24: HISPANIC=3, RACE=3, INDUSTRY=15"
       tab24x196="tab24: HISPANIC=3, RACE=4, INDUSTRY=1"
       tab24x197="tab24: HISPANIC=3, RACE=4, INDUSTRY=2"
       tab24x198="tab24: HISPANIC=3, RACE=4, INDUSTRY=3"
       tab24x199="tab24: HISPANIC=3, RACE=4, INDUSTRY=4"
       tab24x200="tab24: HISPANIC=3, RACE=4, INDUSTRY=5"
       tab24x201="tab24: HISPANIC=3, RACE=4, INDUSTRY=6"
       tab24x202="tab24: HISPANIC=3, RACE=4, INDUSTRY=7"
       tab24x203="tab24: HISPANIC=3, RACE=4, INDUSTRY=8"
       tab24x204="tab24: HISPANIC=3, RACE=4, INDUSTRY=9"
       tab24x205="tab24: HISPANIC=3, RACE=4, INDUSTRY=10"
       tab24x206="tab24: HISPANIC=3, RACE=4, INDUSTRY=11"
       tab24x207="tab24: HISPANIC=3, RACE=4, INDUSTRY=12"
       tab24x208="tab24: HISPANIC=3, RACE=4, INDUSTRY=13"
       tab24x209="tab24: HISPANIC=3, RACE=4, INDUSTRY=14"
       tab24x210="tab24: HISPANIC=3, RACE=4, INDUSTRY=15"
       tab24x211="tab24: HISPANIC=3, RACE=5, INDUSTRY=1"
       tab24x212="tab24: HISPANIC=3, RACE=5, INDUSTRY=2"
       tab24x213="tab24: HISPANIC=3, RACE=5, INDUSTRY=3"
       tab24x214="tab24: HISPANIC=3, RACE=5, INDUSTRY=4"
       tab24x215="tab24: HISPANIC=3, RACE=5, INDUSTRY=5"
       tab24x216="tab24: HISPANIC=3, RACE=5, INDUSTRY=6"
       tab24x217="tab24: HISPANIC=3, RACE=5, INDUSTRY=7"
       tab24x218="tab24: HISPANIC=3, RACE=5, INDUSTRY=8"
       tab24x219="tab24: HISPANIC=3, RACE=5, INDUSTRY=9"
       tab24x220="tab24: HISPANIC=3, RACE=5, INDUSTRY=10"
       tab24x221="tab24: HISPANIC=3, RACE=5, INDUSTRY=11"
       tab24x222="tab24: HISPANIC=3, RACE=5, INDUSTRY=12"
       tab24x223="tab24: HISPANIC=3, RACE=5, INDUSTRY=13"
       tab24x224="tab24: HISPANIC=3, RACE=5, INDUSTRY=14"
       tab24x225="tab24: HISPANIC=3, RACE=5, INDUSTRY=15"
       tab25x1  ="tab25: HISPANIC=1, RACE=1, CLASS OF WORKER=1"
       tab25x2  ="tab25: HISPANIC=1, RACE=1, CLASS OF WORKER=2"
       tab25x3  ="tab25: HISPANIC=1, RACE=1, CLASS OF WORKER=3"
       tab25x4  ="tab25: HISPANIC=1, RACE=1, CLASS OF WORKER=4"
       tab25x5  ="tab25: HISPANIC=1, RACE=1, CLASS OF WORKER=5"
       tab25x6  ="tab25: HISPANIC=1, RACE=1, CLASS OF WORKER=6"
       tab25x7  ="tab25: HISPANIC=1, RACE=1, CLASS OF WORKER=7"
       tab25x8  ="tab25: HISPANIC=1, RACE=1, CLASS OF WORKER=8"
       tab25x9  ="tab25: HISPANIC=1, RACE=2, CLASS OF WORKER=1"
       tab25x10 ="tab25: HISPANIC=1, RACE=2, CLASS OF WORKER=2"
       tab25x11 ="tab25: HISPANIC=1, RACE=2, CLASS OF WORKER=3"
       tab25x12 ="tab25: HISPANIC=1, RACE=2, CLASS OF WORKER=4"
       tab25x13 ="tab25: HISPANIC=1, RACE=2, CLASS OF WORKER=5"
       tab25x14 ="tab25: HISPANIC=1, RACE=2, CLASS OF WORKER=6"
       tab25x15 ="tab25: HISPANIC=1, RACE=2, CLASS OF WORKER=7"
       tab25x16 ="tab25: HISPANIC=1, RACE=2, CLASS OF WORKER=8"
       tab25x17 ="tab25: HISPANIC=1, RACE=3, CLASS OF WORKER=1"
       tab25x18 ="tab25: HISPANIC=1, RACE=3, CLASS OF WORKER=2"
       tab25x19 ="tab25: HISPANIC=1, RACE=3, CLASS OF WORKER=3"
       tab25x20 ="tab25: HISPANIC=1, RACE=3, CLASS OF WORKER=4"
       tab25x21 ="tab25: HISPANIC=1, RACE=3, CLASS OF WORKER=5"
       tab25x22 ="tab25: HISPANIC=1, RACE=3, CLASS OF WORKER=6"
       tab25x23 ="tab25: HISPANIC=1, RACE=3, CLASS OF WORKER=7"
       tab25x24 ="tab25: HISPANIC=1, RACE=3, CLASS OF WORKER=8"
       tab25x25 ="tab25: HISPANIC=1, RACE=4, CLASS OF WORKER=1"
       tab25x26 ="tab25: HISPANIC=1, RACE=4, CLASS OF WORKER=2"
       tab25x27 ="tab25: HISPANIC=1, RACE=4, CLASS OF WORKER=3"
       tab25x28 ="tab25: HISPANIC=1, RACE=4, CLASS OF WORKER=4"
       tab25x29 ="tab25: HISPANIC=1, RACE=4, CLASS OF WORKER=5"
       tab25x30 ="tab25: HISPANIC=1, RACE=4, CLASS OF WORKER=6"
       tab25x31 ="tab25: HISPANIC=1, RACE=4, CLASS OF WORKER=7"
       tab25x32 ="tab25: HISPANIC=1, RACE=4, CLASS OF WORKER=8"
       tab25x33 ="tab25: HISPANIC=1, RACE=5, CLASS OF WORKER=1"
       tab25x34 ="tab25: HISPANIC=1, RACE=5, CLASS OF WORKER=2"
       tab25x35 ="tab25: HISPANIC=1, RACE=5, CLASS OF WORKER=3"
       tab25x36 ="tab25: HISPANIC=1, RACE=5, CLASS OF WORKER=4"
       tab25x37 ="tab25: HISPANIC=1, RACE=5, CLASS OF WORKER=5"
       tab25x38 ="tab25: HISPANIC=1, RACE=5, CLASS OF WORKER=6"
       tab25x39 ="tab25: HISPANIC=1, RACE=5, CLASS OF WORKER=7"
       tab25x40 ="tab25: HISPANIC=1, RACE=5, CLASS OF WORKER=8"
       tab25x41 ="tab25: HISPANIC=2, RACE=1, CLASS OF WORKER=1"
       tab25x42 ="tab25: HISPANIC=2, RACE=1, CLASS OF WORKER=2"
       tab25x43 ="tab25: HISPANIC=2, RACE=1, CLASS OF WORKER=3"
       tab25x44 ="tab25: HISPANIC=2, RACE=1, CLASS OF WORKER=4"
       tab25x45 ="tab25: HISPANIC=2, RACE=1, CLASS OF WORKER=5"
       tab25x46 ="tab25: HISPANIC=2, RACE=1, CLASS OF WORKER=6"
       tab25x47 ="tab25: HISPANIC=2, RACE=1, CLASS OF WORKER=7"
       tab25x48 ="tab25: HISPANIC=2, RACE=1, CLASS OF WORKER=8"
       tab25x49 ="tab25: HISPANIC=2, RACE=2, CLASS OF WORKER=1"
       tab25x50 ="tab25: HISPANIC=2, RACE=2, CLASS OF WORKER=2"
       tab25x51 ="tab25: HISPANIC=2, RACE=2, CLASS OF WORKER=3"
       tab25x52 ="tab25: HISPANIC=2, RACE=2, CLASS OF WORKER=4"
       tab25x53 ="tab25: HISPANIC=2, RACE=2, CLASS OF WORKER=5"
       tab25x54 ="tab25: HISPANIC=2, RACE=2, CLASS OF WORKER=6"
       tab25x55 ="tab25: HISPANIC=2, RACE=2, CLASS OF WORKER=7"
       tab25x56 ="tab25: HISPANIC=2, RACE=2, CLASS OF WORKER=8"
       tab25x57 ="tab25: HISPANIC=2, RACE=3, CLASS OF WORKER=1"
       tab25x58 ="tab25: HISPANIC=2, RACE=3, CLASS OF WORKER=2"
       tab25x59 ="tab25: HISPANIC=2, RACE=3, CLASS OF WORKER=3"
       tab25x60 ="tab25: HISPANIC=2, RACE=3, CLASS OF WORKER=4"
       tab25x61 ="tab25: HISPANIC=2, RACE=3, CLASS OF WORKER=5"
       tab25x62 ="tab25: HISPANIC=2, RACE=3, CLASS OF WORKER=6"
       tab25x63 ="tab25: HISPANIC=2, RACE=3, CLASS OF WORKER=7"
       tab25x64 ="tab25: HISPANIC=2, RACE=3, CLASS OF WORKER=8"
       tab25x65 ="tab25: HISPANIC=2, RACE=4, CLASS OF WORKER=1"
       tab25x66 ="tab25: HISPANIC=2, RACE=4, CLASS OF WORKER=2"
       tab25x67 ="tab25: HISPANIC=2, RACE=4, CLASS OF WORKER=3"
       tab25x68 ="tab25: HISPANIC=2, RACE=4, CLASS OF WORKER=4"
       tab25x69 ="tab25: HISPANIC=2, RACE=4, CLASS OF WORKER=5"
       tab25x70 ="tab25: HISPANIC=2, RACE=4, CLASS OF WORKER=6"
       tab25x71 ="tab25: HISPANIC=2, RACE=4, CLASS OF WORKER=7"
       tab25x72 ="tab25: HISPANIC=2, RACE=4, CLASS OF WORKER=8"
       tab25x73 ="tab25: HISPANIC=2, RACE=5, CLASS OF WORKER=1"
       tab25x74 ="tab25: HISPANIC=2, RACE=5, CLASS OF WORKER=2"
       tab25x75 ="tab25: HISPANIC=2, RACE=5, CLASS OF WORKER=3"
       tab25x76 ="tab25: HISPANIC=2, RACE=5, CLASS OF WORKER=4"
       tab25x77 ="tab25: HISPANIC=2, RACE=5, CLASS OF WORKER=5"
       tab25x78 ="tab25: HISPANIC=2, RACE=5, CLASS OF WORKER=6"
       tab25x79 ="tab25: HISPANIC=2, RACE=5, CLASS OF WORKER=7"
       tab25x80 ="tab25: HISPANIC=2, RACE=5, CLASS OF WORKER=8"
       tab25x81 ="tab25: HISPANIC=3, RACE=1, CLASS OF WORKER=1"
       tab25x82 ="tab25: HISPANIC=3, RACE=1, CLASS OF WORKER=2"
       tab25x83 ="tab25: HISPANIC=3, RACE=1, CLASS OF WORKER=3"
       tab25x84 ="tab25: HISPANIC=3, RACE=1, CLASS OF WORKER=4"
       tab25x85 ="tab25: HISPANIC=3, RACE=1, CLASS OF WORKER=5"
       tab25x86 ="tab25: HISPANIC=3, RACE=1, CLASS OF WORKER=6"
       tab25x87 ="tab25: HISPANIC=3, RACE=1, CLASS OF WORKER=7"
       tab25x88 ="tab25: HISPANIC=3, RACE=1, CLASS OF WORKER=8"
       tab25x89 ="tab25: HISPANIC=3, RACE=2, CLASS OF WORKER=1"
       tab25x90 ="tab25: HISPANIC=3, RACE=2, CLASS OF WORKER=2"
       tab25x91 ="tab25: HISPANIC=3, RACE=2, CLASS OF WORKER=3"
       tab25x92 ="tab25: HISPANIC=3, RACE=2, CLASS OF WORKER=4"
       tab25x93 ="tab25: HISPANIC=3, RACE=2, CLASS OF WORKER=5"
       tab25x94 ="tab25: HISPANIC=3, RACE=2, CLASS OF WORKER=6"
       tab25x95 ="tab25: HISPANIC=3, RACE=2, CLASS OF WORKER=7"
       tab25x96 ="tab25: HISPANIC=3, RACE=2, CLASS OF WORKER=8"
       tab25x97 ="tab25: HISPANIC=3, RACE=3, CLASS OF WORKER=1"
       tab25x98 ="tab25: HISPANIC=3, RACE=3, CLASS OF WORKER=2"
       tab25x99 ="tab25: HISPANIC=3, RACE=3, CLASS OF WORKER=3"
       tab25x100="tab25: HISPANIC=3, RACE=3, CLASS OF WORKER=4"
       tab25x101="tab25: HISPANIC=3, RACE=3, CLASS OF WORKER=5"
       tab25x102="tab25: HISPANIC=3, RACE=3, CLASS OF WORKER=6"
       tab25x103="tab25: HISPANIC=3, RACE=3, CLASS OF WORKER=7"
       tab25x104="tab25: HISPANIC=3, RACE=3, CLASS OF WORKER=8"
       tab25x105="tab25: HISPANIC=3, RACE=4, CLASS OF WORKER=1"
       tab25x106="tab25: HISPANIC=3, RACE=4, CLASS OF WORKER=2"
       tab25x107="tab25: HISPANIC=3, RACE=4, CLASS OF WORKER=3"
       tab25x108="tab25: HISPANIC=3, RACE=4, CLASS OF WORKER=4"
       tab25x109="tab25: HISPANIC=3, RACE=4, CLASS OF WORKER=5"
       tab25x110="tab25: HISPANIC=3, RACE=4, CLASS OF WORKER=6"
       tab25x111="tab25: HISPANIC=3, RACE=4, CLASS OF WORKER=7"
       tab25x112="tab25: HISPANIC=3, RACE=4, CLASS OF WORKER=8"
       tab25x113="tab25: HISPANIC=3, RACE=5, CLASS OF WORKER=1"
       tab25x114="tab25: HISPANIC=3, RACE=5, CLASS OF WORKER=2"
       tab25x115="tab25: HISPANIC=3, RACE=5, CLASS OF WORKER=3"
       tab25x116="tab25: HISPANIC=3, RACE=5, CLASS OF WORKER=4"
       tab25x117="tab25: HISPANIC=3, RACE=5, CLASS OF WORKER=5"
       tab25x118="tab25: HISPANIC=3, RACE=5, CLASS OF WORKER=6"
       tab25x119="tab25: HISPANIC=3, RACE=5, CLASS OF WORKER=7"
       tab25x120="tab25: HISPANIC=3, RACE=5, CLASS OF WORKER=8"
       tab26x1  ="tab26: HISPANIC=1, RACE=1, EARNINGS=1"
       tab26x2  ="tab26: HISPANIC=1, RACE=1, EARNINGS=2"
       tab26x3  ="tab26: HISPANIC=1, RACE=1, EARNINGS=3"
       tab26x4  ="tab26: HISPANIC=1, RACE=1, EARNINGS=4"
       tab26x5  ="tab26: HISPANIC=1, RACE=1, EARNINGS=5"
       tab26x6  ="tab26: HISPANIC=1, RACE=1, EARNINGS=6"
       tab26x7  ="tab26: HISPANIC=1, RACE=1, EARNINGS=7"
       tab26x8  ="tab26: HISPANIC=1, RACE=1, EARNINGS=8"
       tab26x9  ="tab26: HISPANIC=1, RACE=1, EARNINGS=9"
       tab26x10 ="tab26: HISPANIC=1, RACE=1, EARNINGS=10"
       tab26x11 ="tab26: HISPANIC=1, RACE=1, EARNINGS=11"
       tab26x12 ="tab26: HISPANIC=1, RACE=1, EARNINGS=12"
       tab26x13 ="tab26: HISPANIC=1, RACE=2, EARNINGS=1"
       tab26x14 ="tab26: HISPANIC=1, RACE=2, EARNINGS=2"
       tab26x15 ="tab26: HISPANIC=1, RACE=2, EARNINGS=3"
       tab26x16 ="tab26: HISPANIC=1, RACE=2, EARNINGS=4"
       tab26x17 ="tab26: HISPANIC=1, RACE=2, EARNINGS=5"
       tab26x18 ="tab26: HISPANIC=1, RACE=2, EARNINGS=6"
       tab26x19 ="tab26: HISPANIC=1, RACE=2, EARNINGS=7"
       tab26x20 ="tab26: HISPANIC=1, RACE=2, EARNINGS=8"
       tab26x21 ="tab26: HISPANIC=1, RACE=2, EARNINGS=9"
       tab26x22 ="tab26: HISPANIC=1, RACE=2, EARNINGS=10"
       tab26x23 ="tab26: HISPANIC=1, RACE=2, EARNINGS=11"
       tab26x24 ="tab26: HISPANIC=1, RACE=2, EARNINGS=12"
       tab26x25 ="tab26: HISPANIC=1, RACE=3, EARNINGS=1"
       tab26x26 ="tab26: HISPANIC=1, RACE=3, EARNINGS=2"
       tab26x27 ="tab26: HISPANIC=1, RACE=3, EARNINGS=3"
       tab26x28 ="tab26: HISPANIC=1, RACE=3, EARNINGS=4"
       tab26x29 ="tab26: HISPANIC=1, RACE=3, EARNINGS=5"
       tab26x30 ="tab26: HISPANIC=1, RACE=3, EARNINGS=6"
       tab26x31 ="tab26: HISPANIC=1, RACE=3, EARNINGS=7"
       tab26x32 ="tab26: HISPANIC=1, RACE=3, EARNINGS=8"
       tab26x33 ="tab26: HISPANIC=1, RACE=3, EARNINGS=9"
       tab26x34 ="tab26: HISPANIC=1, RACE=3, EARNINGS=10"
       tab26x35 ="tab26: HISPANIC=1, RACE=3, EARNINGS=11"
       tab26x36 ="tab26: HISPANIC=1, RACE=3, EARNINGS=12"
       tab26x37 ="tab26: HISPANIC=1, RACE=4, EARNINGS=1"
       tab26x38 ="tab26: HISPANIC=1, RACE=4, EARNINGS=2"
       tab26x39 ="tab26: HISPANIC=1, RACE=4, EARNINGS=3"
       tab26x40 ="tab26: HISPANIC=1, RACE=4, EARNINGS=4"
       tab26x41 ="tab26: HISPANIC=1, RACE=4, EARNINGS=5"
       tab26x42 ="tab26: HISPANIC=1, RACE=4, EARNINGS=6"
       tab26x43 ="tab26: HISPANIC=1, RACE=4, EARNINGS=7"
       tab26x44 ="tab26: HISPANIC=1, RACE=4, EARNINGS=8"
       tab26x45 ="tab26: HISPANIC=1, RACE=4, EARNINGS=9"
       tab26x46 ="tab26: HISPANIC=1, RACE=4, EARNINGS=10"
       tab26x47 ="tab26: HISPANIC=1, RACE=4, EARNINGS=11"
       tab26x48 ="tab26: HISPANIC=1, RACE=4, EARNINGS=12"
       tab26x49 ="tab26: HISPANIC=1, RACE=5, EARNINGS=1"
       tab26x50 ="tab26: HISPANIC=1, RACE=5, EARNINGS=2"
       tab26x51 ="tab26: HISPANIC=1, RACE=5, EARNINGS=3"
       tab26x52 ="tab26: HISPANIC=1, RACE=5, EARNINGS=4"
       tab26x53 ="tab26: HISPANIC=1, RACE=5, EARNINGS=5"
       tab26x54 ="tab26: HISPANIC=1, RACE=5, EARNINGS=6"
       tab26x55 ="tab26: HISPANIC=1, RACE=5, EARNINGS=7"
       tab26x56 ="tab26: HISPANIC=1, RACE=5, EARNINGS=8"
       tab26x57 ="tab26: HISPANIC=1, RACE=5, EARNINGS=9"
       tab26x58 ="tab26: HISPANIC=1, RACE=5, EARNINGS=10"
       tab26x59 ="tab26: HISPANIC=1, RACE=5, EARNINGS=11"
       tab26x60 ="tab26: HISPANIC=1, RACE=5, EARNINGS=12"
       tab26x61 ="tab26: HISPANIC=2, RACE=1, EARNINGS=1"
       tab26x62 ="tab26: HISPANIC=2, RACE=1, EARNINGS=2"
       tab26x63 ="tab26: HISPANIC=2, RACE=1, EARNINGS=3"
       tab26x64 ="tab26: HISPANIC=2, RACE=1, EARNINGS=4"
       tab26x65 ="tab26: HISPANIC=2, RACE=1, EARNINGS=5"
       tab26x66 ="tab26: HISPANIC=2, RACE=1, EARNINGS=6"
       tab26x67 ="tab26: HISPANIC=2, RACE=1, EARNINGS=7"
       tab26x68 ="tab26: HISPANIC=2, RACE=1, EARNINGS=8"
       tab26x69 ="tab26: HISPANIC=2, RACE=1, EARNINGS=9"
       tab26x70 ="tab26: HISPANIC=2, RACE=1, EARNINGS=10"
       tab26x71 ="tab26: HISPANIC=2, RACE=1, EARNINGS=11"
       tab26x72 ="tab26: HISPANIC=2, RACE=1, EARNINGS=12"
       tab26x73 ="tab26: HISPANIC=2, RACE=2, EARNINGS=1"
       tab26x74 ="tab26: HISPANIC=2, RACE=2, EARNINGS=2"
       tab26x75 ="tab26: HISPANIC=2, RACE=2, EARNINGS=3"
       tab26x76 ="tab26: HISPANIC=2, RACE=2, EARNINGS=4"
       tab26x77 ="tab26: HISPANIC=2, RACE=2, EARNINGS=5"
       tab26x78 ="tab26: HISPANIC=2, RACE=2, EARNINGS=6"
       tab26x79 ="tab26: HISPANIC=2, RACE=2, EARNINGS=7"
       tab26x80 ="tab26: HISPANIC=2, RACE=2, EARNINGS=8"
       tab26x81 ="tab26: HISPANIC=2, RACE=2, EARNINGS=9"
       tab26x82 ="tab26: HISPANIC=2, RACE=2, EARNINGS=10"
       tab26x83 ="tab26: HISPANIC=2, RACE=2, EARNINGS=11"
       tab26x84 ="tab26: HISPANIC=2, RACE=2, EARNINGS=12"
       tab26x85 ="tab26: HISPANIC=2, RACE=3, EARNINGS=1"
       tab26x86 ="tab26: HISPANIC=2, RACE=3, EARNINGS=2"
       tab26x87 ="tab26: HISPANIC=2, RACE=3, EARNINGS=3"
       tab26x88 ="tab26: HISPANIC=2, RACE=3, EARNINGS=4"
       tab26x89 ="tab26: HISPANIC=2, RACE=3, EARNINGS=5"
       tab26x90 ="tab26: HISPANIC=2, RACE=3, EARNINGS=6"
       tab26x91 ="tab26: HISPANIC=2, RACE=3, EARNINGS=7"
       tab26x92 ="tab26: HISPANIC=2, RACE=3, EARNINGS=8"
       tab26x93 ="tab26: HISPANIC=2, RACE=3, EARNINGS=9"
       tab26x94 ="tab26: HISPANIC=2, RACE=3, EARNINGS=10"
       tab26x95 ="tab26: HISPANIC=2, RACE=3, EARNINGS=11"
       tab26x96 ="tab26: HISPANIC=2, RACE=3, EARNINGS=12"
       tab26x97 ="tab26: HISPANIC=2, RACE=4, EARNINGS=1"
       tab26x98 ="tab26: HISPANIC=2, RACE=4, EARNINGS=2"
       tab26x99 ="tab26: HISPANIC=2, RACE=4, EARNINGS=3"
       tab26x100="tab26: HISPANIC=2, RACE=4, EARNINGS=4"
       tab26x101="tab26: HISPANIC=2, RACE=4, EARNINGS=5"
       tab26x102="tab26: HISPANIC=2, RACE=4, EARNINGS=6"
       tab26x103="tab26: HISPANIC=2, RACE=4, EARNINGS=7"
       tab26x104="tab26: HISPANIC=2, RACE=4, EARNINGS=8"
       tab26x105="tab26: HISPANIC=2, RACE=4, EARNINGS=9"
       tab26x106="tab26: HISPANIC=2, RACE=4, EARNINGS=10"
       tab26x107="tab26: HISPANIC=2, RACE=4, EARNINGS=11"
       tab26x108="tab26: HISPANIC=2, RACE=4, EARNINGS=12"
       tab26x109="tab26: HISPANIC=2, RACE=5, EARNINGS=1"
       tab26x110="tab26: HISPANIC=2, RACE=5, EARNINGS=2"
       tab26x111="tab26: HISPANIC=2, RACE=5, EARNINGS=3"
       tab26x112="tab26: HISPANIC=2, RACE=5, EARNINGS=4"
       tab26x113="tab26: HISPANIC=2, RACE=5, EARNINGS=5"
       tab26x114="tab26: HISPANIC=2, RACE=5, EARNINGS=6"
       tab26x115="tab26: HISPANIC=2, RACE=5, EARNINGS=7"
       tab26x116="tab26: HISPANIC=2, RACE=5, EARNINGS=8"
       tab26x117="tab26: HISPANIC=2, RACE=5, EARNINGS=9"
       tab26x118="tab26: HISPANIC=2, RACE=5, EARNINGS=10"
       tab26x119="tab26: HISPANIC=2, RACE=5, EARNINGS=11"
       tab26x120="tab26: HISPANIC=2, RACE=5, EARNINGS=12"
       tab26x121="tab26: HISPANIC=3, RACE=1, EARNINGS=1"
       tab26x122="tab26: HISPANIC=3, RACE=1, EARNINGS=2"
       tab26x123="tab26: HISPANIC=3, RACE=1, EARNINGS=3"
       tab26x124="tab26: HISPANIC=3, RACE=1, EARNINGS=4"
       tab26x125="tab26: HISPANIC=3, RACE=1, EARNINGS=5"
       tab26x126="tab26: HISPANIC=3, RACE=1, EARNINGS=6"
       tab26x127="tab26: HISPANIC=3, RACE=1, EARNINGS=7"
       tab26x128="tab26: HISPANIC=3, RACE=1, EARNINGS=8"
       tab26x129="tab26: HISPANIC=3, RACE=1, EARNINGS=9"
       tab26x130="tab26: HISPANIC=3, RACE=1, EARNINGS=10"
       tab26x131="tab26: HISPANIC=3, RACE=1, EARNINGS=11"
       tab26x132="tab26: HISPANIC=3, RACE=1, EARNINGS=12"
       tab26x133="tab26: HISPANIC=3, RACE=2, EARNINGS=1"
       tab26x134="tab26: HISPANIC=3, RACE=2, EARNINGS=2"
       tab26x135="tab26: HISPANIC=3, RACE=2, EARNINGS=3"
       tab26x136="tab26: HISPANIC=3, RACE=2, EARNINGS=4"
       tab26x137="tab26: HISPANIC=3, RACE=2, EARNINGS=5"
       tab26x138="tab26: HISPANIC=3, RACE=2, EARNINGS=6"
       tab26x139="tab26: HISPANIC=3, RACE=2, EARNINGS=7"
       tab26x140="tab26: HISPANIC=3, RACE=2, EARNINGS=8"
       tab26x141="tab26: HISPANIC=3, RACE=2, EARNINGS=9"
       tab26x142="tab26: HISPANIC=3, RACE=2, EARNINGS=10"
       tab26x143="tab26: HISPANIC=3, RACE=2, EARNINGS=11"
       tab26x144="tab26: HISPANIC=3, RACE=2, EARNINGS=12"
       tab26x145="tab26: HISPANIC=3, RACE=3, EARNINGS=1"
       tab26x146="tab26: HISPANIC=3, RACE=3, EARNINGS=2"
       tab26x147="tab26: HISPANIC=3, RACE=3, EARNINGS=3"
       tab26x148="tab26: HISPANIC=3, RACE=3, EARNINGS=4"
       tab26x149="tab26: HISPANIC=3, RACE=3, EARNINGS=5"
       tab26x150="tab26: HISPANIC=3, RACE=3, EARNINGS=6"
       tab26x151="tab26: HISPANIC=3, RACE=3, EARNINGS=7"
       tab26x152="tab26: HISPANIC=3, RACE=3, EARNINGS=8"
       tab26x153="tab26: HISPANIC=3, RACE=3, EARNINGS=9"
       tab26x154="tab26: HISPANIC=3, RACE=3, EARNINGS=10"
       tab26x155="tab26: HISPANIC=3, RACE=3, EARNINGS=11"
       tab26x156="tab26: HISPANIC=3, RACE=3, EARNINGS=12"
       tab26x157="tab26: HISPANIC=3, RACE=4, EARNINGS=1"
       tab26x158="tab26: HISPANIC=3, RACE=4, EARNINGS=2"
       tab26x159="tab26: HISPANIC=3, RACE=4, EARNINGS=3"
       tab26x160="tab26: HISPANIC=3, RACE=4, EARNINGS=4"
       tab26x161="tab26: HISPANIC=3, RACE=4, EARNINGS=5"
       tab26x162="tab26: HISPANIC=3, RACE=4, EARNINGS=6"
       tab26x163="tab26: HISPANIC=3, RACE=4, EARNINGS=7"
       tab26x164="tab26: HISPANIC=3, RACE=4, EARNINGS=8"
       tab26x165="tab26: HISPANIC=3, RACE=4, EARNINGS=9"
       tab26x166="tab26: HISPANIC=3, RACE=4, EARNINGS=10"
       tab26x167="tab26: HISPANIC=3, RACE=4, EARNINGS=11"
       tab26x168="tab26: HISPANIC=3, RACE=4, EARNINGS=12"
       tab26x169="tab26: HISPANIC=3, RACE=5, EARNINGS=1"
       tab26x170="tab26: HISPANIC=3, RACE=5, EARNINGS=2"
       tab26x171="tab26: HISPANIC=3, RACE=5, EARNINGS=3"
       tab26x172="tab26: HISPANIC=3, RACE=5, EARNINGS=4"
       tab26x173="tab26: HISPANIC=3, RACE=5, EARNINGS=5"
       tab26x174="tab26: HISPANIC=3, RACE=5, EARNINGS=6"
       tab26x175="tab26: HISPANIC=3, RACE=5, EARNINGS=7"
       tab26x176="tab26: HISPANIC=3, RACE=5, EARNINGS=8"
       tab26x177="tab26: HISPANIC=3, RACE=5, EARNINGS=9"
       tab26x178="tab26: HISPANIC=3, RACE=5, EARNINGS=10"
       tab26x179="tab26: HISPANIC=3, RACE=5, EARNINGS=11"
       tab26x180="tab26: HISPANIC=3, RACE=5, EARNINGS=12"
       tab27x1  ="tab27: HISPANIC=1, RACE=1, MEANS8=1"
       tab27x2  ="tab27: HISPANIC=1, RACE=1, MEANS8=2"
       tab27x3  ="tab27: HISPANIC=1, RACE=1, MEANS8=3"
       tab27x4  ="tab27: HISPANIC=1, RACE=1, MEANS8=4"
       tab27x5  ="tab27: HISPANIC=1, RACE=1, MEANS8=5"
       tab27x6  ="tab27: HISPANIC=1, RACE=1, MEANS8=6"
       tab27x7  ="tab27: HISPANIC=1, RACE=1, MEANS8=7"
       tab27x8  ="tab27: HISPANIC=1, RACE=1, MEANS8=8"
       tab27x9  ="tab27: HISPANIC=1, RACE=2, MEANS8=1"
       tab27x10 ="tab27: HISPANIC=1, RACE=2, MEANS8=2"
       tab27x11 ="tab27: HISPANIC=1, RACE=2, MEANS8=3"
       tab27x12 ="tab27: HISPANIC=1, RACE=2, MEANS8=4"
       tab27x13 ="tab27: HISPANIC=1, RACE=2, MEANS8=5"
       tab27x14 ="tab27: HISPANIC=1, RACE=2, MEANS8=6"
       tab27x15 ="tab27: HISPANIC=1, RACE=2, MEANS8=7"
       tab27x16 ="tab27: HISPANIC=1, RACE=2, MEANS8=8"
       tab27x17 ="tab27: HISPANIC=1, RACE=3, MEANS8=1"
       tab27x18 ="tab27: HISPANIC=1, RACE=3, MEANS8=2"
       tab27x19 ="tab27: HISPANIC=1, RACE=3, MEANS8=3"
       tab27x20 ="tab27: HISPANIC=1, RACE=3, MEANS8=4"
       tab27x21 ="tab27: HISPANIC=1, RACE=3, MEANS8=5"
       tab27x22 ="tab27: HISPANIC=1, RACE=3, MEANS8=6"
       tab27x23 ="tab27: HISPANIC=1, RACE=3, MEANS8=7"
       tab27x24 ="tab27: HISPANIC=1, RACE=3, MEANS8=8"
       tab27x25 ="tab27: HISPANIC=1, RACE=4, MEANS8=1"
       tab27x26 ="tab27: HISPANIC=1, RACE=4, MEANS8=2"
       tab27x27 ="tab27: HISPANIC=1, RACE=4, MEANS8=3"
       tab27x28 ="tab27: HISPANIC=1, RACE=4, MEANS8=4"
       tab27x29 ="tab27: HISPANIC=1, RACE=4, MEANS8=5"
       tab27x30 ="tab27: HISPANIC=1, RACE=4, MEANS8=6"
       tab27x31 ="tab27: HISPANIC=1, RACE=4, MEANS8=7"
       tab27x32 ="tab27: HISPANIC=1, RACE=4, MEANS8=8"
       tab27x33 ="tab27: HISPANIC=1, RACE=5, MEANS8=1"
       tab27x34 ="tab27: HISPANIC=1, RACE=5, MEANS8=2"
       tab27x35 ="tab27: HISPANIC=1, RACE=5, MEANS8=3"
       tab27x36 ="tab27: HISPANIC=1, RACE=5, MEANS8=4"
       tab27x37 ="tab27: HISPANIC=1, RACE=5, MEANS8=5"
       tab27x38 ="tab27: HISPANIC=1, RACE=5, MEANS8=6"
       tab27x39 ="tab27: HISPANIC=1, RACE=5, MEANS8=7"
       tab27x40 ="tab27: HISPANIC=1, RACE=5, MEANS8=8"
       tab27x41 ="tab27: HISPANIC=2, RACE=1, MEANS8=1"
       tab27x42 ="tab27: HISPANIC=2, RACE=1, MEANS8=2"
       tab27x43 ="tab27: HISPANIC=2, RACE=1, MEANS8=3"
       tab27x44 ="tab27: HISPANIC=2, RACE=1, MEANS8=4"
       tab27x45 ="tab27: HISPANIC=2, RACE=1, MEANS8=5"
       tab27x46 ="tab27: HISPANIC=2, RACE=1, MEANS8=6"
       tab27x47 ="tab27: HISPANIC=2, RACE=1, MEANS8=7"
       tab27x48 ="tab27: HISPANIC=2, RACE=1, MEANS8=8"
       tab27x49 ="tab27: HISPANIC=2, RACE=2, MEANS8=1"
       tab27x50 ="tab27: HISPANIC=2, RACE=2, MEANS8=2"
       tab27x51 ="tab27: HISPANIC=2, RACE=2, MEANS8=3"
       tab27x52 ="tab27: HISPANIC=2, RACE=2, MEANS8=4"
       tab27x53 ="tab27: HISPANIC=2, RACE=2, MEANS8=5"
       tab27x54 ="tab27: HISPANIC=2, RACE=2, MEANS8=6"
       tab27x55 ="tab27: HISPANIC=2, RACE=2, MEANS8=7"
       tab27x56 ="tab27: HISPANIC=2, RACE=2, MEANS8=8"
       tab27x57 ="tab27: HISPANIC=2, RACE=3, MEANS8=1"
       tab27x58 ="tab27: HISPANIC=2, RACE=3, MEANS8=2"
       tab27x59 ="tab27: HISPANIC=2, RACE=3, MEANS8=3"
       tab27x60 ="tab27: HISPANIC=2, RACE=3, MEANS8=4"
       tab27x61 ="tab27: HISPANIC=2, RACE=3, MEANS8=5"
       tab27x62 ="tab27: HISPANIC=2, RACE=3, MEANS8=6"
       tab27x63 ="tab27: HISPANIC=2, RACE=3, MEANS8=7"
       tab27x64 ="tab27: HISPANIC=2, RACE=3, MEANS8=8"
       tab27x65 ="tab27: HISPANIC=2, RACE=4, MEANS8=1"
       tab27x66 ="tab27: HISPANIC=2, RACE=4, MEANS8=2"
       tab27x67 ="tab27: HISPANIC=2, RACE=4, MEANS8=3"
       tab27x68 ="tab27: HISPANIC=2, RACE=4, MEANS8=4"
       tab27x69 ="tab27: HISPANIC=2, RACE=4, MEANS8=5"
       tab27x70 ="tab27: HISPANIC=2, RACE=4, MEANS8=6"
       tab27x71 ="tab27: HISPANIC=2, RACE=4, MEANS8=7"
       tab27x72 ="tab27: HISPANIC=2, RACE=4, MEANS8=8"
       tab27x73 ="tab27: HISPANIC=2, RACE=5, MEANS8=1"
       tab27x74 ="tab27: HISPANIC=2, RACE=5, MEANS8=2"
       tab27x75 ="tab27: HISPANIC=2, RACE=5, MEANS8=3"
       tab27x76 ="tab27: HISPANIC=2, RACE=5, MEANS8=4"
       tab27x77 ="tab27: HISPANIC=2, RACE=5, MEANS8=5"
       tab27x78 ="tab27: HISPANIC=2, RACE=5, MEANS8=6"
       tab27x79 ="tab27: HISPANIC=2, RACE=5, MEANS8=7"
       tab27x80 ="tab27: HISPANIC=2, RACE=5, MEANS8=8"
       tab27x81 ="tab27: HISPANIC=3, RACE=1, MEANS8=1"
       tab27x82 ="tab27: HISPANIC=3, RACE=1, MEANS8=2"
       tab27x83 ="tab27: HISPANIC=3, RACE=1, MEANS8=3"
       tab27x84 ="tab27: HISPANIC=3, RACE=1, MEANS8=4"
       tab27x85 ="tab27: HISPANIC=3, RACE=1, MEANS8=5"
       tab27x86 ="tab27: HISPANIC=3, RACE=1, MEANS8=6"
       tab27x87 ="tab27: HISPANIC=3, RACE=1, MEANS8=7"
       tab27x88 ="tab27: HISPANIC=3, RACE=1, MEANS8=8"
       tab27x89 ="tab27: HISPANIC=3, RACE=2, MEANS8=1"
       tab27x90 ="tab27: HISPANIC=3, RACE=2, MEANS8=2"
       tab27x91 ="tab27: HISPANIC=3, RACE=2, MEANS8=3"
       tab27x92 ="tab27: HISPANIC=3, RACE=2, MEANS8=4"
       tab27x93 ="tab27: HISPANIC=3, RACE=2, MEANS8=5"
       tab27x94 ="tab27: HISPANIC=3, RACE=2, MEANS8=6"
       tab27x95 ="tab27: HISPANIC=3, RACE=2, MEANS8=7"
       tab27x96 ="tab27: HISPANIC=3, RACE=2, MEANS8=8"
       tab27x97 ="tab27: HISPANIC=3, RACE=3, MEANS8=1"
       tab27x98 ="tab27: HISPANIC=3, RACE=3, MEANS8=2"
       tab27x99 ="tab27: HISPANIC=3, RACE=3, MEANS8=3"
       tab27x100="tab27: HISPANIC=3, RACE=3, MEANS8=4"
       tab27x101="tab27: HISPANIC=3, RACE=3, MEANS8=5"
       tab27x102="tab27: HISPANIC=3, RACE=3, MEANS8=6"
       tab27x103="tab27: HISPANIC=3, RACE=3, MEANS8=7"
       tab27x104="tab27: HISPANIC=3, RACE=3, MEANS8=8"
       tab27x105="tab27: HISPANIC=3, RACE=4, MEANS8=1"
       tab27x106="tab27: HISPANIC=3, RACE=4, MEANS8=2"
       tab27x107="tab27: HISPANIC=3, RACE=4, MEANS8=3"
       tab27x108="tab27: HISPANIC=3, RACE=4, MEANS8=4"
       tab27x109="tab27: HISPANIC=3, RACE=4, MEANS8=5"
       tab27x110="tab27: HISPANIC=3, RACE=4, MEANS8=6"
       tab27x111="tab27: HISPANIC=3, RACE=4, MEANS8=7"
       tab27x112="tab27: HISPANIC=3, RACE=4, MEANS8=8"
       tab27x113="tab27: HISPANIC=3, RACE=5, MEANS8=1"
       tab27x114="tab27: HISPANIC=3, RACE=5, MEANS8=2"
       tab27x115="tab27: HISPANIC=3, RACE=5, MEANS8=3"
       tab27x116="tab27: HISPANIC=3, RACE=5, MEANS8=4"
       tab27x117="tab27: HISPANIC=3, RACE=5, MEANS8=5"
       tab27x118="tab27: HISPANIC=3, RACE=5, MEANS8=6"
       tab27x119="tab27: HISPANIC=3, RACE=5, MEANS8=7"
       tab27x120="tab27: HISPANIC=3, RACE=5, MEANS8=8"
       tab28x1  ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=1"
       tab28x2  ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=2"
       tab28x3  ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=3"
       tab28x4  ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=4"
       tab28x5  ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=5"
       tab28x6  ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=6"
       tab28x7  ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=7"
       tab28x8  ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=8"
       tab28x9  ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=9"
       tab28x10 ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=10"
       tab28x11 ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=11"
       tab28x12 ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=12"
       tab28x13 ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=13"
       tab28x14 ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=14"
       tab28x15 ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=15"
       tab28x16 ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=16"
       tab28x17 ="tab28: HISPANIC=1, RACE=1, TRAVEL_TM=17"
       tab28x18 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=1"
       tab28x19 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=2"
       tab28x20 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=3"
       tab28x21 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=4"
       tab28x22 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=5"
       tab28x23 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=6"
       tab28x24 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=7"
       tab28x25 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=8"
       tab28x26 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=9"
       tab28x27 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=10"
       tab28x28 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=11"
       tab28x29 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=12"
       tab28x30 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=13"
       tab28x31 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=14"
       tab28x32 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=15"
       tab28x33 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=16"
       tab28x34 ="tab28: HISPANIC=1, RACE=2, TRAVEL_TM=17"
       tab28x35 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=1"
       tab28x36 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=2"
       tab28x37 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=3"
       tab28x38 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=4"
       tab28x39 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=5"
       tab28x40 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=6"
       tab28x41 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=7"
       tab28x42 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=8"
       tab28x43 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=9"
       tab28x44 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=10"
       tab28x45 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=11"
       tab28x46 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=12"
       tab28x47 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=13"
       tab28x48 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=14"
       tab28x49 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=15"
       tab28x50 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=16"
       tab28x51 ="tab28: HISPANIC=1, RACE=3, TRAVEL_TM=17"
       tab28x52 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=1"
       tab28x53 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=2"
       tab28x54 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=3"
       tab28x55 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=4"
       tab28x56 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=5"
       tab28x57 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=6"
       tab28x58 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=7"
       tab28x59 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=8"
       tab28x60 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=9"
       tab28x61 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=10"
       tab28x62 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=11"
       tab28x63 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=12"
       tab28x64 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=13"
       tab28x65 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=14"
       tab28x66 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=15"
       tab28x67 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=16"
       tab28x68 ="tab28: HISPANIC=1, RACE=4, TRAVEL_TM=17"
       tab28x69 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=1"
       tab28x70 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=2"
       tab28x71 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=3"
       tab28x72 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=4"
       tab28x73 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=5"
       tab28x74 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=6"
       tab28x75 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=7"
       tab28x76 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=8"
       tab28x77 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=9"
       tab28x78 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=10"
       tab28x79 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=11"
       tab28x80 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=12"
       tab28x81 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=13"
       tab28x82 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=14"
       tab28x83 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=15"
       tab28x84 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=16"
       tab28x85 ="tab28: HISPANIC=1, RACE=5, TRAVEL_TM=17"
       tab28x86 ="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=1"
       tab28x87 ="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=2"
       tab28x88 ="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=3"
       tab28x89 ="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=4"
       tab28x90 ="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=5"
       tab28x91 ="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=6"
       tab28x92 ="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=7"
       tab28x93 ="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=8"
       tab28x94 ="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=9"
       tab28x95 ="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=10"
       tab28x96 ="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=11"
       tab28x97 ="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=12"
       tab28x98 ="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=13"
       tab28x99 ="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=14"
       tab28x100="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=15"
       tab28x101="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=16"
       tab28x102="tab28: HISPANIC=2, RACE=1, TRAVEL_TM=17"
       tab28x103="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=1"
       tab28x104="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=2"
       tab28x105="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=3"
       tab28x106="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=4"
       tab28x107="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=5"
       tab28x108="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=6"
       tab28x109="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=7"
       tab28x110="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=8"
       tab28x111="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=9"
       tab28x112="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=10"
       tab28x113="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=11"
       tab28x114="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=12"
       tab28x115="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=13"
       tab28x116="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=14"
       tab28x117="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=15"
       tab28x118="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=16"
       tab28x119="tab28: HISPANIC=2, RACE=2, TRAVEL_TM=17"
       tab28x120="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=1"
       tab28x121="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=2"
       tab28x122="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=3"
       tab28x123="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=4"
       tab28x124="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=5"
       tab28x125="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=6"
       tab28x126="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=7"
       tab28x127="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=8"
       tab28x128="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=9"
       tab28x129="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=10"
       tab28x130="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=11"
       tab28x131="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=12"
       tab28x132="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=13"
       tab28x133="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=14"
       tab28x134="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=15"
       tab28x135="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=16"
       tab28x136="tab28: HISPANIC=2, RACE=3, TRAVEL_TM=17"
       tab28x137="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=1"
       tab28x138="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=2"
       tab28x139="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=3"
       tab28x140="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=4"
       tab28x141="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=5"
       tab28x142="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=6"
       tab28x143="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=7"
       tab28x144="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=8"
       tab28x145="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=9"
       tab28x146="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=10"
       tab28x147="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=11"
       tab28x148="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=12"
       tab28x149="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=13"
       tab28x150="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=14"
       tab28x151="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=15"
       tab28x152="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=16"
       tab28x153="tab28: HISPANIC=2, RACE=4, TRAVEL_TM=17"
       tab28x154="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=1"
       tab28x155="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=2"
       tab28x156="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=3"
       tab28x157="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=4"
       tab28x158="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=5"
       tab28x159="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=6"
       tab28x160="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=7"
       tab28x161="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=8"
       tab28x162="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=9"
       tab28x163="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=10"
       tab28x164="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=11"
       tab28x165="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=12"
       tab28x166="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=13"
       tab28x167="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=14"
       tab28x168="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=15"
       tab28x169="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=16"
       tab28x170="tab28: HISPANIC=2, RACE=5, TRAVEL_TM=17"
       tab28x171="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=1"
       tab28x172="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=2"
       tab28x173="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=3"
       tab28x174="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=4"
       tab28x175="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=5"
       tab28x176="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=6"
       tab28x177="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=7"
       tab28x178="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=8"
       tab28x179="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=9"
       tab28x180="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=10"
       tab28x181="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=11"
       tab28x182="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=12"
       tab28x183="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=13"
       tab28x184="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=14"
       tab28x185="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=15"
       tab28x186="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=16"
       tab28x187="tab28: HISPANIC=3, RACE=1, TRAVEL_TM=17"
       tab28x188="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=1"
       tab28x189="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=2"
       tab28x190="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=3"
       tab28x191="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=4"
       tab28x192="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=5"
       tab28x193="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=6"
       tab28x194="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=7"
       tab28x195="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=8"
       tab28x196="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=9"
       tab28x197="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=10"
       tab28x198="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=11"
       tab28x199="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=12"
       tab28x200="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=13"
       tab28x201="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=14"
       tab28x202="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=15"
       tab28x203="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=16"
       tab28x204="tab28: HISPANIC=3, RACE=2, TRAVEL_TM=17"
       tab28x205="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=1"
       tab28x206="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=2"
       tab28x207="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=3"
       tab28x208="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=4"
       tab28x209="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=5"
       tab28x210="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=6"
       tab28x211="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=7"
       tab28x212="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=8"
       tab28x213="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=9"
       tab28x214="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=10"
       tab28x215="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=11"
       tab28x216="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=12"
       tab28x217="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=13"
       tab28x218="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=14"
       tab28x219="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=15"
       tab28x220="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=16"
       tab28x221="tab28: HISPANIC=3, RACE=3, TRAVEL_TM=17"
       tab28x222="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=1"
       tab28x223="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=2"
       tab28x224="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=3"
       tab28x225="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=4"
       tab28x226="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=5"
       tab28x227="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=6"
       tab28x228="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=7"
       tab28x229="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=8"
       tab28x230="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=9"
       tab28x231="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=10"
       tab28x232="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=11"
       tab28x233="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=12"
       tab28x234="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=13"
       tab28x235="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=14"
       tab28x236="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=15"
       tab28x237="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=16"
       tab28x238="tab28: HISPANIC=3, RACE=4, TRAVEL_TM=17"
       tab28x239="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=1"
       tab28x240="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=2"
       tab28x241="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=3"
       tab28x242="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=4"
       tab28x243="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=5"
       tab28x244="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=6"
       tab28x245="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=7"
       tab28x246="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=8"
       tab28x247="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=9"
       tab28x248="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=10"
       tab28x249="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=11"
       tab28x250="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=12"
       tab28x251="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=13"
       tab28x252="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=14"
       tab28x253="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=15"
       tab28x254="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=16"
       tab28x255="tab28: HISPANIC=3, RACE=5, TRAVEL_TM=17"
     ;
     run;