*-----------------------------------------------------
READ1_17.SAS

Read the ASCII data from tables 1 to 17
see CTTP2_T001_T017.LOC for additional information.

======================================================;
*set the log and list files to 132 characters wide and 78 lines long;
options nocenter ps=78 ls=132;

* set the macro variable to the state postal code;
%LET STATE = CA;      **** change CA to your state Postal code;


filename in "\part2\&state._ctpp2_t001_t017.dat"; ** input location/directory from which to read the ASCII file;
       
libname out "\part2\"	** output location/directory where you want to save the output SAS file;

data out.&STATE._TAB001_017;  * output SAS dataset name;
   infile in lrecl=19800;   * input ASCII file location;
   input
      FILEID         $5.       /*  1 - 5  */
      SUMLEV         $3.       /*  6 - 8  */
      qpowst         $3.       /*  9 - 11 */
      qpowco         $3.       /* 12 - 14 */
      qpowmcdfips    $5.       /* 15 - 19 */
      qpowmcd        $3.       /* 20 - 22 */
      qpowplfips2    $5.       /* 23 - 27 */
      qpowpl2        $4.       /* 28 - 31 */
      qpowtract      $6.       /* 32 - 37 */
      qpowbkg        $1.       /* 38 - 38 */
      qpowMSACMSA    $4.       /* 39 - 42 */
      qpowPMSA       $4.       /* 43 - 46 */
      filler5        $5.       /* 47 - 51 */
      qpowTAZ        $6.       /* 52 - 57 */
      filler5        $5.       /* 58 - 62 */
      qpowmpo        $4.       /* 63 - 66 */
      qpowcz         $6.       /* 67 - 72 */
      FILLER         $8.       /* 73 - 80  fill out to 80 columns */  

      tab1x1             81-89
      tab1x2             90-98
      tab1x3             99- 107
      tab1x4            108- 116
      tab1x5            117- 125
      tab1x6            126- 134
      tab1x7            135- 143
      tab1x8            144- 152
      tab1x9            153- 161
      tab1x10           162- 170
      tab1x11           171- 179
      tab1x12           180- 188
      tab1x13           189- 197
      tab1x14           198- 206
      tab1x15           207- 215
      tab1x16           216- 224
      tab1x17           225- 233
      tab1x18           234- 242
      tab1x19           243- 251
      tab1x20           252- 260
      tab1x21           261- 269
      tab1x22           270- 278
      tab1x23           279- 287
      tab1x24           288- 296
      tab1x25           297- 305
      tab1x26           306- 314
      tab1x27           315- 323
      tab1x28           324- 332
      tab1x29           333- 341
      tab1x30           342- 350
      tab1x31           351- 359
      tab1x32           360- 368
      tab1x33           369- 377
      tab1x34           378- 386
      tab1x35           387- 395
      tab1x36           396- 404
      tab1x37           405- 413
      tab1x38           414- 422
      tab1x39           423- 431
      tab1x40           432- 440
      tab2x1            441- 449
      tab2x2            450- 458
      tab2x3            459- 467
      tab2x4            468- 476
      tab2x5            477- 485
      tab2x6            486- 494
      tab2x7            495- 503
      tab2x8            504- 512
      tab2x9            513- 521
      tab2x10           522- 530
      tab2x11           531- 539
      tab2x12           540- 548
      tab2x13           549- 557
      tab2x14           558- 566
      tab2x15           567- 575
      tab2x16           576- 584
      tab2x17           585- 593
      tab2x18           594- 602
      tab2x19           603- 611
      tab2x20           612- 620
      tab2x21           621- 629
      tab2x22           630- 638
      tab2x23           639- 647
      tab2x24           648- 656
      tab2x25           657- 665
      tab2x26           666- 674
      tab2x27           675- 683
      tab2x28           684- 692
      tab2x29           693- 701
      tab2x30           702- 710
      tab2x31           711- 719
      tab2x32           720- 728
      tab2x33           729- 737
      tab2x34           738- 746
      tab2x35           747- 755
      tab2x36           756- 764
      tab2x37           765- 773
      tab2x38           774- 782
      tab2x39           783- 791
      tab2x40           792- 800
      tab2x41           801- 809
      tab2x42           810- 818
      tab2x43           819- 827
      tab2x44           828- 836
      tab2x45           837- 845
      tab2x46           846- 854
      tab2x47           855- 863
      tab2x48           864- 872
      tab2x49           873- 881
      tab2x50           882- 890
      tab2x51           891- 899
      tab2x52           900- 908
      tab2x53           909- 917
      tab2x54           918- 926
      tab3x1            927- 935
      tab3x2            936- 944
      tab3x3            945- 953
      tab3x4            954- 962
      tab3x5            963- 971
      tab3x6            972- 980
      tab3x7            981- 989
      tab3x8            990- 998
      tab3x9            999-1007
      tab3x10          1008-1016
      tab3x11          1017-1025
      tab3x12          1026-1034
      tab3x13          1035-1043
      tab3x14          1044-1052
      tab3x15          1053-1061
      tab3x16          1062-1070
      tab3x17          1071-1079
      tab3x18          1080-1088
      tab3x19          1089-1097
      tab3x20          1098-1106
      tab3x21          1107-1115
      tab3x22          1116-1124
      tab3x23          1125-1133
      tab3x24          1134-1142
      tab3x25          1143-1151
      tab3x26          1152-1160
      tab3x27          1161-1169
      tab3x28          1170-1178
      tab3x29          1179-1187
      tab3x30          1188-1196
      tab3x31          1197-1205
      tab3x32          1206-1214
      tab3x33          1215-1223
      tab3x34          1224-1232
      tab3x35          1233-1241
      tab3x36          1242-1250
      tab3x37          1251-1259
      tab3x38          1260-1268
      tab3x39          1269-1277
      tab3x40          1278-1286
      tab3x41          1287-1295
      tab3x42          1296-1304
      tab3x43          1305-1313
      tab3x44          1314-1322
      tab3x45          1323-1331
      tab3x46          1332-1340
      tab3x47          1341-1349
      tab3x48          1350-1358
      tab3x49          1359-1367
      tab3x50          1368-1376
      tab3x51          1377-1385
      tab3x52          1386-1394
      tab3x53          1395-1403
      tab3x54          1404-1412
      tab3x55          1413-1421
      tab3x56          1422-1430
      tab3x57          1431-1439
      tab3x58          1440-1448
      tab3x59          1449-1457
      tab3x60          1458-1466
      tab3x61          1467-1475
      tab3x62          1476-1484
      tab3x63          1485-1493
      tab3x64          1494-1502
      tab3x65          1503-1511
      tab3x66          1512-1520
      tab3x67          1521-1529
      tab3x68          1530-1538
      tab3x69          1539-1547
      tab3x70          1548-1556
      tab3x71          1557-1565
      tab3x72          1566-1574
      tab3x73          1575-1583
      tab3x74          1584-1592
      tab3x75          1593-1601
      tab4x1           1602-1610
      tab4x2           1611-1619
      tab4x3           1620-1628
      tab4x4           1629-1637
      tab4x5           1638-1646
      tab4x6           1647-1655
      tab4x7           1656-1664
      tab4x8           1665-1673
      tab4x9           1674-1682
      tab4x10          1683-1691
      tab4x11          1692-1700
      tab4x12          1701-1709
      tab4x13          1710-1718
      tab4x14          1719-1727
      tab4x15          1728-1736
      tab4x16          1737-1745
      tab4x17          1746-1754
      tab4x18          1755-1763
      tab4x19          1764-1772
      tab4x20          1773-1781
      tab4x21          1782-1790
      tab4x22          1791-1799
      tab4x23          1800-1808
      tab4x24          1809-1817
      tab4x25          1818-1826
      tab4x26          1827-1835
      tab4x27          1836-1844
      tab4x28          1845-1853
      tab4x29          1854-1862
      tab4x30          1863-1871
      tab4x31          1872-1880
      tab4x32          1881-1889
      tab4x33          1890-1898
      tab4x34          1899-1907
      tab4x35          1908-1916
      tab4x36          1917-1925
      tab4x37          1926-1934
      tab4x38          1935-1943
      tab4x39          1944-1952
      tab4x40          1953-1961
      tab4x41          1962-1970
      tab4x42          1971-1979
      tab4x43          1980-1988
      tab4x44          1989-1997
      tab4x45          1998-2006
      tab5x1           2007-2015
      tab5x2           2016-2024
      tab5x3           2025-2033
      tab5x4           2034-2042
      tab5x5           2043-2051
      tab5x6           2052-2060
      tab5x7           2061-2069
      tab5x8           2070-2078
      tab5x9           2079-2087
      tab5x10          2088-2096
      tab5x11          2097-2105
      tab5x12          2106-2114
      tab5x13          2115-2123
      tab5x14          2124-2132
      tab5x15          2133-2141
      tab5x16          2142-2150
      tab5x17          2151-2159
      tab5x18          2160-2168
      tab5x19          2169-2177
      tab5x20          2178-2186
      tab5x21          2187-2195
      tab5x22          2196-2204
      tab5x23          2205-2213
      tab5x24          2214-2222
      tab6x1           2223-2231
      tab6x2           2232-2240
      tab6x3           2241-2249
      tab6x4           2250-2258
      tab6x5           2259-2267
      tab6x6           2268-2276
      tab6x7           2277-2285
      tab6x8           2286-2294
      tab6x9           2295-2303
      tab6x10          2304-2312
      tab6x11          2313-2321
      tab6x12          2322-2330
      tab6x13          2331-2339
      tab6x14          2340-2348
      tab6x15          2349-2357
      tab6x16          2358-2366
      tab6x17          2367-2375
      tab6x18          2376-2384
      tab6x19          2385-2393
      tab6x20          2394-2402
      tab6x21          2403-2411
      tab6x22          2412-2420
      tab6x23          2421-2429
      tab6x24          2430-2438
      tab6x25          2439-2447
      tab6x26          2448-2456
      tab6x27          2457-2465
      tab6x28          2466-2474
      tab6x29          2475-2483
      tab6x30          2484-2492
      tab6x31          2493-2501
      tab6x32          2502-2510
      tab6x33          2511-2519
      tab6x34          2520-2528
      tab6x35          2529-2537
      tab6x36          2538-2546
      tab7x1           2547-2555
      tab7x2           2556-2564
      tab7x3           2565-2573
      tab7x4           2574-2582
      tab7x5           2583-2591
      tab7x6           2592-2600
      tab7x7           2601-2609
      tab7x8           2610-2618
      tab7x9           2619-2627
      tab7x10          2628-2636
      tab7x11          2637-2645
      tab7x12          2646-2654
      tab7x13          2655-2663
      tab7x14          2664-2672
      tab7x15          2673-2681
      tab7x16          2682-2690
      tab7x17          2691-2699
      tab7x18          2700-2708
      tab7x19          2709-2717
      tab7x20          2718-2726
      tab7x21          2727-2735
      tab8x1           2736-2744
      tab8x2           2745-2753
      tab8x3           2754-2762
      tab8x4           2763-2771
      tab8x5           2772-2780
      tab8x6           2781-2789
      tab8x7           2790-2798
      tab8x8           2799-2807
      tab8x9           2808-2816
      tab8x10          2817-2825
      tab8x11          2826-2834
      tab8x12          2835-2843
      tab8x13          2844-2852
      tab8x14          2853-2861
      tab8x15          2862-2870
      tab8x16          2871-2879
      tab8x17          2880-2888
      tab8x18          2889-2897
      tab8x19          2898-2906
      tab8x20          2907-2915
      tab8x21          2916-2924
      tab8x22          2925-2933
      tab8x23          2934-2942
      tab8x24          2943-2951
      tab8x25          2952-2960
      tab8x26          2961-2969
      tab8x27          2970-2978
      tab8x28          2979-2987
      tab8x29          2988-2996
      tab8x30          2997-3005
      tab8x31          3006-3014
      tab8x32          3015-3023
      tab8x33          3024-3032
      tab9x1           3033-3041
      tab9x2           3042-3050
      tab9x3           3051-3059
      tab9x4           3060-3068
      tab9x5           3069-3077
      tab9x6           3078-3086
      tab9x7           3087-3095
      tab9x8           3096-3104
      tab9x9           3105-3113
      tab9x10          3114-3122
      tab9x11          3123-3131
      tab9x12          3132-3140
      tab9x13          3141-3149
      tab9x14          3150-3158
      tab9x15          3159-3167
      tab9x16          3168-3176
      tab9x17          3177-3185
      tab9x18          3186-3194
      tab9x19          3195-3203
      tab9x20          3204-3212
      tab9x21          3213-3221
      tab9x22          3222-3230
      tab9x23          3231-3239
      tab9x24          3240-3248
      tab9x25          3249-3257
      tab9x26          3258-3266
      tab9x27          3267-3275
      tab9x28          3276-3284
      tab9x29          3285-3293
      tab9x30          3294-3302
      tab9x31          3303-3311
      tab9x32          3312-3320
      tab9x33          3321-3329
      tab9x34          3330-3338
      tab9x35          3339-3347
      tab9x36          3348-3356
      tab9x37          3357-3365
      tab9x38          3366-3374
      tab9x39          3375-3383
      tab9x40          3384-3392
      tab9x41          3393-3401
      tab9x42          3402-3410
      tab9x43          3411-3419
      tab9x44          3420-3428
      tab9x45          3429-3437
      tab9x46          3438-3446
      tab9x47          3447-3455
      tab9x48          3456-3464
      tab9x49          3465-3473
      tab9x50          3474-3482
      tab9x51          3483-3491
      tab9x52          3492-3500
      tab9x53          3501-3509
      tab9x54          3510-3518
      tab9x55          3519-3527
      tab9x56          3528-3536
      tab9x57          3537-3545
      tab9x58          3546-3554
      tab9x59          3555-3563
      tab9x60          3564-3572
      tab9x61          3573-3581
      tab9x62          3582-3590
      tab9x63          3591-3599
      tab9x64          3600-3608
      tab9x65          3609-3617
      tab9x66          3618-3626
      tab9x67          3627-3635
      tab9x68          3636-3644
      tab9x69          3645-3653
      tab9x70          3654-3662
      tab9x71          3663-3671
      tab9x72          3672-3680
      tab9x73          3681-3689
      tab9x74          3690-3698
      tab9x75          3699-3707
      tab9x76          3708-3716
      tab9x77          3717-3725
      tab9x78          3726-3734
      tab9x79          3735-3743
      tab9x80          3744-3752
      tab9x81          3753-3761
      tab9x82          3762-3770
      tab9x83          3771-3779
      tab9x84          3780-3788
      tab9x85          3789-3797
      tab9x86          3798-3806
      tab9x87          3807-3815
      tab9x88          3816-3824
      tab9x89          3825-3833
      tab9x90          3834-3842
      tab9x91          3843-3851
      tab9x92          3852-3860
      tab9x93          3861-3869
      tab9x94          3870-3878
      tab9x95          3879-3887
      tab9x96          3888-3896
      tab9x97          3897-3905
      tab9x98          3906-3914
      tab9x99          3915-3923
      tab9x100         3924-3932
      tab9x101         3933-3941
      tab9x102         3942-3950
      tab9x103         3951-3959
      tab9x104         3960-3968
      tab9x105         3969-3977
      tab9x106         3978-3986
      tab9x107         3987-3995
      tab9x108         3996-4004
      tab9x109         4005-4013
      tab9x110         4014-4022
      tab9x111         4023-4031
      tab9x112         4032-4040
      tab9x113         4041-4049
      tab9x114         4050-4058
      tab9x115         4059-4067
      tab9x116         4068-4076
      tab9x117         4077-4085
      tab9x118         4086-4094
      tab9x119         4095-4103
      tab9x120         4104-4112
      tab9x121         4113-4121
      tab9x122         4122-4130
      tab9x123         4131-4139
      tab9x124         4140-4148
      tab9x125         4149-4157
      tab9x126         4158-4166
      tab9x127         4167-4175
      tab9x128         4176-4184
      tab9x129         4185-4193
      tab9x130         4194-4202
      tab9x131         4203-4211
      tab9x132         4212-4220
      tab9x133         4221-4229
      tab9x134         4230-4238
      tab9x135         4239-4247
      tab9x136         4248-4256
      tab9x137         4257-4265
      tab9x138         4266-4274
      tab9x139         4275-4283
      tab9x140         4284-4292
      tab9x141         4293-4301
      tab9x142         4302-4310
      tab9x143         4311-4319
      tab9x144         4320-4328
      tab9x145         4329-4337
      tab9x146         4338-4346
      tab9x147         4347-4355
      tab9x148         4356-4364
      tab9x149         4365-4373
      tab9x150         4374-4382
      tab9x151         4383-4391
      tab9x152         4392-4400
      tab9x153         4401-4409
      tab9x154         4410-4418
      tab9x155         4419-4427
      tab9x156         4428-4436
      tab9x157         4437-4445
      tab9x158         4446-4454
      tab9x159         4455-4463
      tab9x160         4464-4472
      tab9x161         4473-4481
      tab9x162         4482-4490
      tab9x163         4491-4499
      tab9x164         4500-4508
      tab9x165         4509-4517
      tab9x166         4518-4526
      tab9x167         4527-4535
      tab9x168         4536-4544
      tab9x169         4545-4553
      tab9x170         4554-4562
      tab9x171         4563-4571
      tab9x172         4572-4580
      tab9x173         4581-4589
      tab9x174         4590-4598
      tab9x175         4599-4607
      tab9x176         4608-4616
      tab9x177         4617-4625
      tab9x178         4626-4634
      tab9x179         4635-4643
      tab9x180         4644-4652
      tab9x181         4653-4661
      tab9x182         4662-4670
      tab9x183         4671-4679
      tab9x184         4680-4688
      tab9x185         4689-4697
      tab9x186         4698-4706
      tab9x187         4707-4715
      tab9x188         4716-4724
      tab9x189         4725-4733
      tab9x190         4734-4742
      tab9x191         4743-4751
      tab9x192         4752-4760
      tab9x193         4761-4769
      tab9x194         4770-4778
      tab9x195         4779-4787
      tab9x196         4788-4796
      tab9x197         4797-4805
      tab9x198         4806-4814
      tab9x199         4815-4823
      tab9x200         4824-4832
      tab9x201         4833-4841
      tab9x202         4842-4850
      tab9x203         4851-4859
      tab9x204         4860-4868
      tab9x205         4869-4877
      tab9x206         4878-4886
      tab9x207         4887-4895
      tab9x208         4896-4904
      tab9x209         4905-4913
      tab9x210         4914-4922
      tab9x211         4923-4931
      tab9x212         4932-4940
      tab9x213         4941-4949
      tab9x214         4950-4958
      tab9x215         4959-4967
      tab9x216         4968-4976
      tab9x217         4977-4985
      tab9x218         4986-4994
      tab9x219         4995-5003
      tab9x220         5004-5012
      tab9x221         5013-5021
      tab9x222         5022-5030
      tab9x223         5031-5039
      tab9x224         5040-5048
      tab9x225         5049-5057
      tab9x226         5058-5066
      tab9x227         5067-5075
      tab9x228         5076-5084
      tab9x229         5085-5093
      tab9x230         5094-5102
      tab9x231         5103-5111
      tab9x232         5112-5120
      tab9x233         5121-5129
      tab9x234         5130-5138
      tab9x235         5139-5147
      tab9x236         5148-5156
      tab9x237         5157-5165
      tab9x238         5166-5174
      tab9x239         5175-5183
      tab9x240         5184-5192
      tab9x241         5193-5201
      tab9x242         5202-5210
      tab9x243         5211-5219
      tab9x244         5220-5228
      tab9x245         5229-5237
      tab9x246         5238-5246
      tab9x247         5247-5255
      tab9x248         5256-5264
      tab9x249         5265-5273
      tab9x250         5274-5282
      tab9x251         5283-5291
      tab9x252         5292-5300
      tab9x253         5301-5309
      tab9x254         5310-5318
      tab9x255         5319-5327
      tab9x256         5328-5336
      tab9x257         5337-5345
      tab9x258         5346-5354
      tab9x259         5355-5363
      tab9x260         5364-5372
      tab9x261         5373-5381
      tab9x262         5382-5390
      tab9x263         5391-5399
      tab9x264         5400-5408
      tab9x265         5409-5417
      tab9x266         5418-5426
      tab9x267         5427-5435
      tab9x268         5436-5444
      tab9x269         5445-5453
      tab9x270         5454-5462
      tab9x271         5463-5471
      tab9x272         5472-5480
      tab9x273         5481-5489
      tab9x274         5490-5498
      tab9x275         5499-5507
      tab10x1          5508-5516
      tab10x2          5517-5525
      tab10x3          5526-5534
      tab10x4          5535-5543
      tab10x5          5544-5552
      tab10x6          5553-5561
      tab10x7          5562-5570
      tab10x8          5571-5579
      tab10x9          5580-5588
      tab10x10         5589-5597
      tab10x11         5598-5606
      tab10x12         5607-5615
      tab10x13         5616-5624
      tab10x14         5625-5633
      tab10x15         5634-5642
      tab10x16         5643-5651
      tab10x17         5652-5660
      tab10x18         5661-5669
      tab10x19         5670-5678
      tab10x20         5679-5687
      tab10x21         5688-5696
      tab10x22         5697-5705
      tab10x23         5706-5714
      tab10x24         5715-5723
      tab10x25         5724-5732
      tab10x26         5733-5741
      tab10x27         5742-5750
      tab10x28         5751-5759
      tab10x29         5760-5768
      tab10x30         5769-5777
      tab10x31         5778-5786
      tab10x32         5787-5795
      tab10x33         5796-5804
      tab10x34         5805-5813
      tab10x35         5814-5822
      tab10x36         5823-5831
      tab10x37         5832-5840
      tab10x38         5841-5849
      tab10x39         5850-5858
      tab10x40         5859-5867
      tab10x41         5868-5876
      tab10x42         5877-5885
      tab10x43         5886-5894
      tab10x44         5895-5903
      tab10x45         5904-5912
      tab10x46         5913-5921
      tab10x47         5922-5930
      tab10x48         5931-5939
      tab10x49         5940-5948
      tab10x50         5949-5957
      tab10x51         5958-5966
      tab10x52         5967-5975
      tab10x53         5976-5984
      tab10x54         5985-5993
      tab10x55         5994-6002
      tab10x56         6003-6011
      tab10x57         6012-6020
      tab10x58         6021-6029
      tab10x59         6030-6038
      tab10x60         6039-6047
      tab10x61         6048-6056
      tab10x62         6057-6065
      tab10x63         6066-6074
      tab10x64         6075-6083
      tab10x65         6084-6092
      tab10x66         6093-6101
      tab10x67         6102-6110
      tab10x68         6111-6119
      tab10x69         6120-6128
      tab10x70         6129-6137
      tab10x71         6138-6146
      tab10x72         6147-6155
      tab10x73         6156-6164
      tab10x74         6165-6173
      tab10x75         6174-6182
      tab10x76         6183-6191
      tab10x77         6192-6200
      tab10x78         6201-6209
      tab10x79         6210-6218
      tab10x80         6219-6227
      tab10x81         6228-6236
      tab10x82         6237-6245
      tab10x83         6246-6254
      tab10x84         6255-6263
      tab10x85         6264-6272
      tab10x86         6273-6281
      tab10x87         6282-6290
      tab10x88         6291-6299
      tab10x89         6300-6308
      tab10x90         6309-6317
      tab10x91         6318-6326
      tab10x92         6327-6335
      tab10x93         6336-6344
      tab10x94         6345-6353
      tab10x95         6354-6362
      tab10x96         6363-6371
      tab10x97         6372-6380
      tab10x98         6381-6389
      tab10x99         6390-6398
      tab10x100        6399-6407
      tab10x101        6408-6416
      tab10x102        6417-6425
      tab10x103        6426-6434
      tab10x104        6435-6443
      tab10x105        6444-6452
      tab10x106        6453-6461
      tab10x107        6462-6470
      tab10x108        6471-6479
      tab10x109        6480-6488
      tab10x110        6489-6497
      tab10x111        6498-6506
      tab10x112        6507-6515
      tab10x113        6516-6524
      tab10x114        6525-6533
      tab10x115        6534-6542
      tab10x116        6543-6551
      tab10x117        6552-6560
      tab10x118        6561-6569
      tab10x119        6570-6578
      tab10x120        6579-6587
      tab10x121        6588-6596
      tab10x122        6597-6605
      tab10x123        6606-6614
      tab10x124        6615-6623
      tab10x125        6624-6632
      tab10x126        6633-6641
      tab10x127        6642-6650
      tab10x128        6651-6659
      tab10x129        6660-6668
      tab10x130        6669-6677
      tab10x131        6678-6686
      tab10x132        6687-6695
      tab10x133        6696-6704
      tab10x134        6705-6713
      tab10x135        6714-6722
      tab10x136        6723-6731
      tab10x137        6732-6740
      tab10x138        6741-6749
      tab10x139        6750-6758
      tab10x140        6759-6767
      tab10x141        6768-6776
      tab10x142        6777-6785
      tab10x143        6786-6794
      tab10x144        6795-6803
      tab10x145        6804-6812
      tab10x146        6813-6821
      tab10x147        6822-6830
      tab10x148        6831-6839
      tab10x149        6840-6848
      tab10x150        6849-6857
      tab10x151        6858-6866
      tab10x152        6867-6875
      tab10x153        6876-6884
      tab10x154        6885-6893
      tab10x155        6894-6902
      tab10x156        6903-6911
      tab10x157        6912-6920
      tab10x158        6921-6929
      tab10x159        6930-6938
      tab10x160        6939-6947
      tab10x161        6948-6956
      tab10x162        6957-6965
      tab10x163        6966-6974
      tab10x164        6975-6983
      tab10x165        6984-6992
      tab11x1          6993-7001
      tab11x2          7002-7010
      tab11x3          7011-7019
      tab11x4          7020-7028
      tab11x5          7029-7037
      tab11x6          7038-7046
      tab11x7          7047-7055
      tab11x8          7056-7064
      tab11x9          7065-7073
      tab11x10         7074-7082
      tab11x11         7083-7091
      tab11x12         7092-7100
      tab11x13         7101-7109
      tab11x14         7110-7118
      tab11x15         7119-7127
      tab11x16         7128-7136
      tab11x17         7137-7145
      tab11x18         7146-7154
      tab11x19         7155-7163
      tab11x20         7164-7172
      tab11x21         7173-7181
      tab11x22         7182-7190
      tab11x23         7191-7199
      tab11x24         7200-7208
      tab11x25         7209-7217
      tab11x26         7218-7226
      tab11x27         7227-7235
      tab11x28         7236-7244
      tab11x29         7245-7253
      tab11x30         7254-7262
      tab11x31         7263-7271
      tab11x32         7272-7280
      tab11x33         7281-7289
      tab11x34         7290-7298
      tab11x35         7299-7307
      tab11x36         7308-7316
      tab11x37         7317-7325
      tab11x38         7326-7334
      tab11x39         7335-7343
      tab11x40         7344-7352
      tab11x41         7353-7361
      tab11x42         7362-7370
      tab11x43         7371-7379
      tab11x44         7380-7388
      tab11x45         7389-7397
      tab11x46         7398-7406
      tab11x47         7407-7415
      tab11x48         7416-7424
      tab11x49         7425-7433
      tab11x50         7434-7442
      tab11x51         7443-7451
      tab11x52         7452-7460
      tab11x53         7461-7469
      tab11x54         7470-7478
      tab11x55         7479-7487
      tab11x56         7488-7496
      tab11x57         7497-7505
      tab11x58         7506-7514
      tab11x59         7515-7523
      tab11x60         7524-7532
      tab11x61         7533-7541
      tab11x62         7542-7550
      tab11x63         7551-7559
      tab11x64         7560-7568
      tab11x65         7569-7577
      tab11x66         7578-7586
      tab11x67         7587-7595
      tab11x68         7596-7604
      tab11x69         7605-7613
      tab11x70         7614-7622
      tab11x71         7623-7631
      tab11x72         7632-7640
      tab11x73         7641-7649
      tab11x74         7650-7658
      tab11x75         7659-7667
      tab11x76         7668-7676
      tab11x77         7677-7685
      tab11x78         7686-7694
      tab11x79         7695-7703
      tab11x80         7704-7712
      tab11x81         7713-7721
      tab11x82         7722-7730
      tab11x83         7731-7739
      tab11x84         7740-7748
      tab11x85         7749-7757
      tab11x86         7758-7766
      tab11x87         7767-7775
      tab11x88         7776-7784
      tab11x89         7785-7793
      tab11x90         7794-7802
      tab11x91         7803-7811
      tab11x92         7812-7820
      tab11x93         7821-7829
      tab11x94         7830-7838
      tab11x95         7839-7847
      tab11x96         7848-7856
      tab11x97         7857-7865
      tab11x98         7866-7874
      tab11x99         7875-7883
      tab11x100        7884-7892
      tab11x101        7893-7901
      tab11x102        7902-7910
      tab11x103        7911-7919
      tab11x104        7920-7928
      tab11x105        7929-7937
      tab11x106        7938-7946
      tab11x107        7947-7955
      tab11x108        7956-7964
      tab11x109        7965-7973
      tab11x110        7974-7982
      tab11x111        7983-7991
      tab11x112        7992-8000
      tab11x113        8001-8009
      tab11x114        8010-8018
      tab11x115        8019-8027
      tab11x116        8028-8036
      tab11x117        8037-8045
      tab11x118        8046-8054
      tab11x119        8055-8063
      tab11x120        8064-8072
      tab11x121        8073-8081
      tab11x122        8082-8090
      tab11x123        8091-8099
      tab11x124        8100-8108
      tab11x125        8109-8117
      tab11x126        8118-8126
      tab11x127        8127-8135
      tab11x128        8136-8144
      tab11x129        8145-8153
      tab11x130        8154-8162
      tab11x131        8163-8171
      tab11x132        8172-8180
      tab11x133        8181-8189
      tab11x134        8190-8198
      tab11x135        8199-8207
      tab11x136        8208-8216
      tab11x137        8217-8225
      tab11x138        8226-8234
      tab11x139        8235-8243
      tab11x140        8244-8252
      tab11x141        8253-8261
      tab11x142        8262-8270
      tab11x143        8271-8279
      tab11x144        8280-8288
      tab11x145        8289-8297
      tab11x146        8298-8306
      tab11x147        8307-8315
      tab11x148        8316-8324
      tab11x149        8325-8333
      tab11x150        8334-8342
      tab11x151        8343-8351
      tab11x152        8352-8360
      tab11x153        8361-8369
      tab11x154        8370-8378
      tab11x155        8379-8387
      tab11x156        8388-8396
      tab11x157        8397-8405
      tab11x158        8406-8414
      tab11x159        8415-8423
      tab11x160        8424-8432
      tab11x161        8433-8441
      tab11x162        8442-8450
      tab11x163        8451-8459
      tab11x164        8460-8468
      tab11x165        8469-8477
      tab11x166        8478-8486
      tab11x167        8487-8495
      tab11x168        8496-8504
      tab11x169        8505-8513
      tab11x170        8514-8522
      tab11x171        8523-8531
      tab11x172        8532-8540
      tab11x173        8541-8549
      tab11x174        8550-8558
      tab11x175        8559-8567
      tab11x176        8568-8576
      tab11x177        8577-8585
      tab11x178        8586-8594
      tab11x179        8595-8603
      tab11x180        8604-8612
      tab12x1          8613-8621
      tab12x2          8622-8630
      tab12x3          8631-8639
      tab12x4          8640-8648
      tab12x5          8649-8657
      tab12x6          8658-8666
      tab12x7          8667-8675
      tab12x8          8676-8684
      tab12x9          8685-8693
      tab12x10         8694-8702
      tab12x11         8703-8711
      tab12x12         8712-8720
      tab12x13         8721-8729
      tab12x14         8730-8738
      tab12x15         8739-8747
      tab12x16         8748-8756
      tab12x17         8757-8765
      tab12x18         8766-8774
      tab12x19         8775-8783
      tab12x20         8784-8792
      tab12x21         8793-8801
      tab12x22         8802-8810
      tab12x23         8811-8819
      tab12x24         8820-8828
      tab12x25         8829-8837
      tab12x26         8838-8846
      tab12x27         8847-8855
      tab12x28         8856-8864
      tab12x29         8865-8873
      tab12x30         8874-8882
      tab12x31         8883-8891
      tab12x32         8892-8900
      tab12x33         8901-8909
      tab12x34         8910-8918
      tab12x35         8919-8927
      tab12x36         8928-8936
      tab12x37         8937-8945
      tab12x38         8946-8954
      tab12x39         8955-8963
      tab12x40         8964-8972
      tab12x41         8973-8981
      tab12x42         8982-8990
      tab12x43         8991-8999
      tab12x44         9000-9008
      tab12x45         9009-9017
      tab12x46         9018-9026
      tab12x47         9027-9035
      tab12x48         9036-9044
      tab12x49         9045-9053
      tab12x50         9054-9062
      tab12x51         9063-9071
      tab12x52         9072-9080
      tab12x53         9081-9089
      tab12x54         9090-9098
      tab12x55         9099-9107
      tab12x56         9108-9116
      tab12x57         9117-9125
      tab12x58         9126-9134
      tab12x59         9135-9143
      tab12x60         9144-9152
      tab12x61         9153-9161
      tab12x62         9162-9170
      tab12x63         9171-9179
      tab12x64         9180-9188
      tab12x65         9189-9197
      tab12x66         9198-9206
      tab12x67         9207-9215
      tab12x68         9216-9224
      tab12x69         9225-9233
      tab12x70         9234-9242
      tab12x71         9243-9251
      tab12x72         9252-9260
      tab12x73         9261-9269
      tab12x74         9270-9278
      tab12x75         9279-9287
      tab12x76         9288-9296
      tab12x77         9297-9305
      tab12x78         9306-9314
      tab12x79         9315-9323
      tab12x80         9324-9332
      tab12x81         9333-9341
      tab12x82         9342-9350
      tab12x83         9351-9359
      tab12x84         9360-9368
      tab12x85         9369-9377
      tab12x86         9378-9386
      tab12x87         9387-9395
      tab12x88         9396-9404
      tab13x1          9405-9413
      tab13x2          9414-9422
      tab13x3          9423-9431
      tab13x4          9432-9440
      tab13x5          9441-9449
      tab13x6          9450-9458
      tab13x7          9459-9467
      tab13x8          9468-9476
      tab13x9          9477-9485
      tab13x10         9486-9494
      tab13x11         9495-9503
      tab13x12         9504-9512
      tab13x13         9513-9521
      tab13x14         9522-9530
      tab13x15         9531-9539
      tab13x16         9540-9548
      tab13x17         9549-9557
      tab13x18         9558-9566
      tab13x19         9567-9575
      tab13x20         9576-9584
      tab13x21         9585-9593
      tab13x22         9594-9602
      tab13x23         9603-9611
      tab13x24         9612-9620
      tab13x25         9621-9629
      tab13x26         9630-9638
      tab13x27         9639-9647
      tab13x28         9648-9656
      tab13x29         9657-9665
      tab13x30         9666-9674
      tab13x31         9675-9683
      tab13x32         9684-9692
      tab13x33         9693-9701
      tab13x34         9702-9710
      tab13x35         9711-9719
      tab13x36         9720-9728
      tab13x37         9729-9737
      tab13x38         9738-9746
      tab13x39         9747-9755
      tab13x40         9756-9764
      tab13x41         9765-9773
      tab13x42         9774-9782
      tab13x43         9783-9791
      tab13x44         9792-9800
      tab13x45         9801-9809
      tab13x46         9810-9818
      tab13x47         9819-9827
      tab13x48         9828-9836
      tab13x49         9837-9845
      tab13x50         9846-9854
      tab13x51         9855-9863
      tab13x52         9864-9872
      tab13x53         9873-9881
      tab13x54         9882-9890
      tab13x55         9891-9899
      tab13x56         9900-9908
      tab13x57         9909-9917
      tab13x58         9918-9926
      tab13x59         9927-9935
      tab13x60         9936-9944
      tab13x61         9945-9953
      tab13x62         9954-9962
      tab13x63         9963-9971
      tab13x64         9972-9980
      tab13x65         9981-9989
      tab13x66         9990-9998
      tab13x67         9999-10007
      tab13x68        10008-10016
      tab13x69        10017-10025
      tab13x70        10026-10034
      tab13x71        10035-10043
      tab13x72        10044-10052
      tab13x73        10053-10061
      tab13x74        10062-10070
      tab13x75        10071-10079
      tab13x76        10080-10088
      tab13x77        10089-10097
      tab13x78        10098-10106
      tab13x79        10107-10115
      tab13x80        10116-10124
      tab13x81        10125-10133
      tab13x82        10134-10142
      tab13x83        10143-10151
      tab13x84        10152-10160
      tab13x85        10161-10169
      tab13x86        10170-10178
      tab13x87        10179-10187
      tab13x88        10188-10196
      tab13x89        10197-10205
      tab13x90        10206-10214
      tab13x91        10215-10223
      tab13x92        10224-10232
      tab13x93        10233-10241
      tab13x94        10242-10250
      tab13x95        10251-10259
      tab13x96        10260-10268
      tab13x97        10269-10277
      tab13x98        10278-10286
      tab13x99        10287-10295
      tab13x100       10296-10304
      tab13x101       10305-10313
      tab13x102       10314-10322
      tab13x103       10323-10331
      tab13x104       10332-10340
      tab13x105       10341-10349
      tab13x106       10350-10358
      tab13x107       10359-10367
      tab13x108       10368-10376
      tab13x109       10377-10385
      tab13x110       10386-10394
      tab13x111       10395-10403
      tab13x112       10404-10412
      tab13x113       10413-10421
      tab13x114       10422-10430
      tab13x115       10431-10439
      tab13x116       10440-10448
      tab13x117       10449-10457
      tab13x118       10458-10466
      tab13x119       10467-10475
      tab13x120       10476-10484
      tab13x121       10485-10493
      tab13x122       10494-10502
      tab13x123       10503-10511
      tab13x124       10512-10520
      tab13x125       10521-10529
      tab13x126       10530-10538
      tab13x127       10539-10547
      tab13x128       10548-10556
      tab13x129       10557-10565
      tab13x130       10566-10574
      tab13x131       10575-10583
      tab13x132       10584-10592
      tab14x1         10593-10601
      tab14x2         10602-10610
      tab14x3         10611-10619
      tab14x4         10620-10628
      tab14x5         10629-10637
      tab14x6         10638-10646
      tab14x7         10647-10655
      tab14x8         10656-10664
      tab14x9         10665-10673
      tab14x10        10674-10682
      tab14x11        10683-10691
      tab14x12        10692-10700
      tab14x13        10701-10709
      tab14x14        10710-10718
      tab14x15        10719-10727
      tab14x16        10728-10736
      tab14x17        10737-10745
      tab14x18        10746-10754
      tab14x19        10755-10763
      tab14x20        10764-10772
      tab14x21        10773-10781
      tab14x22        10782-10790
      tab14x23        10791-10799
      tab14x24        10800-10808
      tab14x25        10809-10817
      tab14x26        10818-10826
      tab14x27        10827-10835
      tab14x28        10836-10844
      tab14x29        10845-10853
      tab14x30        10854-10862
      tab14x31        10863-10871
      tab14x32        10872-10880
      tab14x33        10881-10889
      tab14x34        10890-10898
      tab14x35        10899-10907
      tab14x36        10908-10916
      tab14x37        10917-10925
      tab14x38        10926-10934
      tab14x39        10935-10943
      tab14x40        10944-10952
      tab14x41        10953-10961
      tab14x42        10962-10970
      tab14x43        10971-10979
      tab14x44        10980-10988
      tab14x45        10989-10997
      tab14x46        10998-11006
      tab14x47        11007-11015
      tab14x48        11016-11024
      tab14x49        11025-11033
      tab14x50        11034-11042
      tab14x51        11043-11051
      tab14x52        11052-11060
      tab14x53        11061-11069
      tab14x54        11070-11078
      tab14x55        11079-11087
      tab14x56        11088-11096
      tab14x57        11097-11105
      tab14x58        11106-11114
      tab14x59        11115-11123
      tab14x60        11124-11132
      tab14x61        11133-11141
      tab14x62        11142-11150
      tab14x63        11151-11159
      tab14x64        11160-11168
      tab14x65        11169-11177
      tab14x66        11178-11186
      tab14x67        11187-11195
      tab14x68        11196-11204
      tab14x69        11205-11213
      tab14x70        11214-11222
      tab14x71        11223-11231
      tab14x72        11232-11240
      tab14x73        11241-11249
      tab14x74        11250-11258
      tab14x75        11259-11267
      tab14x76        11268-11276
      tab14x77        11277-11285
      tab14x78        11286-11294
      tab14x79        11295-11303
      tab14x80        11304-11312
      tab14x81        11313-11321
      tab14x82        11322-11330
      tab14x83        11331-11339
      tab14x84        11340-11348
      tab14x85        11349-11357
      tab14x86        11358-11366
      tab14x87        11367-11375
      tab14x88        11376-11384
      tab15x1         11385-11393
      tab15x2         11394-11402
      tab15x3         11403-11411
      tab15x4         11412-11420
      tab15x5         11421-11429
      tab15x6         11430-11438
      tab15x7         11439-11447
      tab15x8         11448-11456
      tab15x9         11457-11465
      tab15x10        11466-11474
      tab15x11        11475-11483
      tab15x12        11484-11492
      tab15x13        11493-11501
      tab15x14        11502-11510
      tab15x15        11511-11519
      tab15x16        11520-11528
      tab15x17        11529-11537
      tab15x18        11538-11546
      tab15x19        11547-11555
      tab15x20        11556-11564
      tab15x21        11565-11573
      tab15x22        11574-11582
      tab15x23        11583-11591
      tab15x24        11592-11600
      tab15x25        11601-11609
      tab15x26        11610-11618
      tab15x27        11619-11627
      tab15x28        11628-11636
      tab15x29        11637-11645
      tab15x30        11646-11654
      tab15x31        11655-11663
      tab15x32        11664-11672
      tab15x33        11673-11681
      tab15x34        11682-11690
      tab15x35        11691-11699
      tab15x36        11700-11708
      tab15x37        11709-11717
      tab15x38        11718-11726
      tab15x39        11727-11735
      tab15x40        11736-11744
      tab15x41        11745-11753
      tab15x42        11754-11762
      tab15x43        11763-11771
      tab15x44        11772-11780
      tab15x45        11781-11789
      tab15x46        11790-11798
      tab15x47        11799-11807
      tab15x48        11808-11816
      tab15x49        11817-11825
      tab15x50        11826-11834
      tab15x51        11835-11843
      tab15x52        11844-11852
      tab15x53        11853-11861
      tab15x54        11862-11870
      tab15x55        11871-11879
      tab15x56        11880-11888
      tab15x57        11889-11897
      tab15x58        11898-11906
      tab15x59        11907-11915
      tab15x60        11916-11924
      tab15x61        11925-11933
      tab15x62        11934-11942
      tab15x63        11943-11951
      tab15x64        11952-11960
      tab15x65        11961-11969
      tab15x66        11970-11978
      tab15x67        11979-11987
      tab15x68        11988-11996
      tab15x69        11997-12005
      tab15x70        12006-12014
      tab15x71        12015-12023
      tab15x72        12024-12032
      tab15x73        12033-12041
      tab15x74        12042-12050
      tab15x75        12051-12059
      tab15x76        12060-12068
      tab15x77        12069-12077
      tab15x78        12078-12086
      tab15x79        12087-12095
      tab15x80        12096-12104
      tab15x81        12105-12113
      tab15x82        12114-12122
      tab15x83        12123-12131
      tab15x84        12132-12140
      tab15x85        12141-12149
      tab15x86        12150-12158
      tab15x87        12159-12167
      tab15x88        12168-12176
      tab15x89        12177-12185
      tab15x90        12186-12194
      tab15x91        12195-12203
      tab15x92        12204-12212
      tab15x93        12213-12221
      tab15x94        12222-12230
      tab15x95        12231-12239
      tab15x96        12240-12248
      tab15x97        12249-12257
      tab15x98        12258-12266
      tab15x99        12267-12275
      tab15x100       12276-12284
      tab15x101       12285-12293
      tab15x102       12294-12302
      tab15x103       12303-12311
      tab15x104       12312-12320
      tab15x105       12321-12329
      tab15x106       12330-12338
      tab15x107       12339-12347
      tab15x108       12348-12356
      tab15x109       12357-12365
      tab15x110       12366-12374
      tab15x111       12375-12383
      tab15x112       12384-12392
      tab15x113       12393-12401
      tab15x114       12402-12410
      tab15x115       12411-12419
      tab15x116       12420-12428
      tab15x117       12429-12437
      tab15x118       12438-12446
      tab15x119       12447-12455
      tab15x120       12456-12464
      tab15x121       12465-12473
      tab15x122       12474-12482
      tab15x123       12483-12491
      tab15x124       12492-12500
      tab15x125       12501-12509
      tab15x126       12510-12518
      tab15x127       12519-12527
      tab15x128       12528-12536
      tab15x129       12537-12545
      tab15x130       12546-12554
      tab15x131       12555-12563
      tab15x132       12564-12572
      tab15x133       12573-12581
      tab15x134       12582-12590
      tab15x135       12591-12599
      tab15x136       12600-12608
      tab15x137       12609-12617
      tab15x138       12618-12626
      tab15x139       12627-12635
      tab15x140       12636-12644
      tab15x141       12645-12653
      tab15x142       12654-12662
      tab15x143       12663-12671
      tab15x144       12672-12680
      tab15x145       12681-12689
      tab15x146       12690-12698
      tab15x147       12699-12707
      tab15x148       12708-12716
      tab15x149       12717-12725
      tab15x150       12726-12734
      tab15x151       12735-12743
      tab15x152       12744-12752
      tab15x153       12753-12761
      tab15x154       12762-12770
      tab15x155       12771-12779
      tab15x156       12780-12788
      tab15x157       12789-12797
      tab15x158       12798-12806
      tab15x159       12807-12815
      tab15x160       12816-12824
      tab15x161       12825-12833
      tab15x162       12834-12842
      tab15x163       12843-12851
      tab15x164       12852-12860
      tab15x165       12861-12869
      tab15x166       12870-12878
      tab15x167       12879-12887
      tab15x168       12888-12896
      tab15x169       12897-12905
      tab15x170       12906-12914
      tab15x171       12915-12923
      tab15x172       12924-12932
      tab15x173       12933-12941
      tab15x174       12942-12950
      tab15x175       12951-12959
      tab15x176       12960-12968
      tab15x177       12969-12977
      tab15x178       12978-12986
      tab15x179       12987-12995
      tab15x180       12996-13004
      tab15x181       13005-13013
      tab15x182       13014-13022
      tab15x183       13023-13031
      tab15x184       13032-13040
      tab15x185       13041-13049
      tab15x186       13050-13058
      tab15x187       13059-13067
      tab15x188       13068-13076
      tab15x189       13077-13085
      tab15x190       13086-13094
      tab15x191       13095-13103
      tab15x192       13104-13112
      tab15x193       13113-13121
      tab15x194       13122-13130
      tab15x195       13131-13139
      tab15x196       13140-13148
      tab15x197       13149-13157
      tab15x198       13158-13166
      tab15x199       13167-13175
      tab15x200       13176-13184
      tab15x201       13185-13193
      tab15x202       13194-13202
      tab15x203       13203-13211
      tab15x204       13212-13220
      tab15x205       13221-13229
      tab15x206       13230-13238
      tab15x207       13239-13247
      tab15x208       13248-13256
      tab15x209       13257-13265
      tab15x210       13266-13274
      tab15x211       13275-13283
      tab15x212       13284-13292
      tab15x213       13293-13301
      tab15x214       13302-13310
      tab15x215       13311-13319
      tab15x216       13320-13328
      tab15x217       13329-13337
      tab15x218       13338-13346
      tab15x219       13347-13355
      tab15x220       13356-13364
      tab15x221       13365-13373
      tab15x222       13374-13382
      tab15x223       13383-13391
      tab15x224       13392-13400
      tab15x225       13401-13409
      tab15x226       13410-13418
      tab15x227       13419-13427
      tab15x228       13428-13436
      tab15x229       13437-13445
      tab15x230       13446-13454
      tab15x231       13455-13463
      tab15x232       13464-13472
      tab15x233       13473-13481
      tab15x234       13482-13490
      tab15x235       13491-13499
      tab15x236       13500-13508
      tab15x237       13509-13517
      tab15x238       13518-13526
      tab15x239       13527-13535
      tab15x240       13536-13544
      tab15x241       13545-13553
      tab15x242       13554-13562
      tab15x243       13563-13571
      tab15x244       13572-13580
      tab15x245       13581-13589
      tab15x246       13590-13598
      tab15x247       13599-13607
      tab15x248       13608-13616
      tab15x249       13617-13625
      tab15x250       13626-13634
      tab15x251       13635-13643
      tab15x252       13644-13652
      tab15x253       13653-13661
      tab15x254       13662-13670
      tab15x255       13671-13679
      tab15x256       13680-13688
      tab15x257       13689-13697
      tab15x258       13698-13706
      tab15x259       13707-13715
      tab15x260       13716-13724
      tab15x261       13725-13733
      tab15x262       13734-13742
      tab15x263       13743-13751
      tab15x264       13752-13760
      tab15x265       13761-13769
      tab15x266       13770-13778
      tab15x267       13779-13787
      tab15x268       13788-13796
      tab15x269       13797-13805
      tab15x270       13806-13814
      tab15x271       13815-13823
      tab15x272       13824-13832
      tab15x273       13833-13841
      tab15x274       13842-13850
      tab15x275       13851-13859
      tab15x276       13860-13868
      tab15x277       13869-13877
      tab15x278       13878-13886
      tab15x279       13887-13895
      tab15x280       13896-13904
      tab15x281       13905-13913
      tab15x282       13914-13922
      tab15x283       13923-13931
      tab15x284       13932-13940
      tab15x285       13941-13949
      tab15x286       13950-13958
      tab15x287       13959-13967
      tab15x288       13968-13976
      tab15x289       13977-13985
      tab15x290       13986-13994
      tab15x291       13995-14003
      tab15x292       14004-14012
      tab15x293       14013-14021
      tab15x294       14022-14030
      tab15x295       14031-14039
      tab15x296       14040-14048
      tab15x297       14049-14057
      tab15x298       14058-14066
      tab15x299       14067-14075
      tab15x300       14076-14084
      tab15x301       14085-14093
      tab15x302       14094-14102
      tab15x303       14103-14111
      tab15x304       14112-14120
      tab15x305       14121-14129
      tab15x306       14130-14138
      tab15x307       14139-14147
      tab15x308       14148-14156
      tab15x309       14157-14165
      tab15x310       14166-14174
      tab15x311       14175-14183
      tab15x312       14184-14192
      tab15x313       14193-14201
      tab15x314       14202-14210
      tab15x315       14211-14219
      tab15x316       14220-14228
      tab15x317       14229-14237
      tab15x318       14238-14246
      tab15x319       14247-14255
      tab15x320       14256-14264
      tab15x321       14265-14273
      tab15x322       14274-14282
      tab15x323       14283-14291
      tab15x324       14292-14300
      tab15x325       14301-14309
      tab15x326       14310-14318
      tab15x327       14319-14327
      tab15x328       14328-14336
      tab15x329       14337-14345
      tab15x330       14346-14354
      tab15x331       14355-14363
      tab15x332       14364-14372
      tab15x333       14373-14381
      tab15x334       14382-14390
      tab15x335       14391-14399
      tab15x336       14400-14408
      tab15x337       14409-14417
      tab15x338       14418-14426
      tab15x339       14427-14435
      tab15x340       14436-14444
      tab15x341       14445-14453
      tab15x342       14454-14462
      tab15x343       14463-14471
      tab15x344       14472-14480
      tab15x345       14481-14489
      tab15x346       14490-14498
      tab15x347       14499-14507
      tab15x348       14508-14516
      tab15x349       14517-14525
      tab15x350       14526-14534
      tab15x351       14535-14543
      tab15x352       14544-14552
      tab15x353       14553-14561
      tab15x354       14562-14570
      tab15x355       14571-14579
      tab15x356       14580-14588
      tab15x357       14589-14597
      tab15x358       14598-14606
      tab15x359       14607-14615
      tab15x360       14616-14624
      tab15x361       14625-14633
      tab15x362       14634-14642
      tab15x363       14643-14651
      tab15x364       14652-14660
      tab15x365       14661-14669
      tab15x366       14670-14678
      tab15x367       14679-14687
      tab15x368       14688-14696
      tab15x369       14697-14705
      tab15x370       14706-14714
      tab15x371       14715-14723
      tab15x372       14724-14732
      tab15x373       14733-14741
      tab15x374       14742-14750
      tab15x375       14751-14759
      tab16x1         14760-14768
      tab16x2         14769-14777
      tab16x3         14778-14786
      tab16x4         14787-14795
      tab16x5         14796-14804
      tab16x6         14805-14813
      tab16x7         14814-14822
      tab16x8         14823-14831
      tab16x9         14832-14840
      tab16x10        14841-14849
      tab16x11        14850-14858
      tab16x12        14859-14867
      tab16x13        14868-14876
      tab16x14        14877-14885
      tab16x15        14886-14894
      tab16x16        14895-14903
      tab16x17        14904-14912
      tab16x18        14913-14921
      tab16x19        14922-14930
      tab16x20        14931-14939
      tab16x21        14940-14948
      tab16x22        14949-14957
      tab16x23        14958-14966
      tab16x24        14967-14975
      tab16x25        14976-14984
      tab16x26        14985-14993
      tab16x27        14994-15002
      tab16x28        15003-15011
      tab16x29        15012-15020
      tab16x30        15021-15029
      tab16x31        15030-15038
      tab16x32        15039-15047
      tab16x33        15048-15056
      tab16x34        15057-15065
      tab16x35        15066-15074
      tab16x36        15075-15083
      tab16x37        15084-15092
      tab16x38        15093-15101
      tab16x39        15102-15110
      tab16x40        15111-15119
      tab16x41        15120-15128
      tab16x42        15129-15137
      tab16x43        15138-15146
      tab16x44        15147-15155
      tab16x45        15156-15164
      tab16x46        15165-15173
      tab16x47        15174-15182
      tab16x48        15183-15191
      tab16x49        15192-15200
      tab16x50        15201-15209
      tab16x51        15210-15218
      tab16x52        15219-15227
      tab16x53        15228-15236
      tab16x54        15237-15245
      tab16x55        15246-15254
      tab16x56        15255-15263
      tab16x57        15264-15272
      tab16x58        15273-15281
      tab16x59        15282-15290
      tab16x60        15291-15299
      tab16x61        15300-15308
      tab16x62        15309-15317
      tab16x63        15318-15326
      tab16x64        15327-15335
      tab16x65        15336-15344
      tab16x66        15345-15353
      tab16x67        15354-15362
      tab16x68        15363-15371
      tab16x69        15372-15380
      tab16x70        15381-15389
      tab16x71        15390-15398
      tab16x72        15399-15407
      tab16x73        15408-15416
      tab16x74        15417-15425
      tab16x75        15426-15434
      tab16x76        15435-15443
      tab16x77        15444-15452
      tab16x78        15453-15461
      tab16x79        15462-15470
      tab16x80        15471-15479
      tab16x81        15480-15488
      tab16x82        15489-15497
      tab16x83        15498-15506
      tab16x84        15507-15515
      tab16x85        15516-15524
      tab16x86        15525-15533
      tab16x87        15534-15542
      tab16x88        15543-15551
      tab16x89        15552-15560
      tab16x90        15561-15569
      tab16x91        15570-15578
      tab16x92        15579-15587
      tab16x93        15588-15596
      tab16x94        15597-15605
      tab16x95        15606-15614
      tab16x96        15615-15623
      tab16x97        15624-15632
      tab16x98        15633-15641
      tab16x99        15642-15650
      tab16x100       15651-15659
      tab16x101       15660-15668
      tab16x102       15669-15677
      tab16x103       15678-15686
      tab16x104       15687-15695
      tab16x105       15696-15704
      tab16x106       15705-15713
      tab16x107       15714-15722
      tab16x108       15723-15731
      tab16x109       15732-15740
      tab16x110       15741-15749
      tab16x111       15750-15758
      tab16x112       15759-15767
      tab16x113       15768-15776
      tab16x114       15777-15785
      tab16x115       15786-15794
      tab16x116       15795-15803
      tab16x117       15804-15812
      tab16x118       15813-15821
      tab16x119       15822-15830
      tab16x120       15831-15839
      tab16x121       15840-15848
      tab16x122       15849-15857
      tab16x123       15858-15866
      tab16x124       15867-15875
      tab16x125       15876-15884
      tab16x126       15885-15893
      tab16x127       15894-15902
      tab16x128       15903-15911
      tab16x129       15912-15920
      tab16x130       15921-15929
      tab16x131       15930-15938
      tab16x132       15939-15947
      tab16x133       15948-15956
      tab16x134       15957-15965
      tab16x135       15966-15974
      tab16x136       15975-15983
      tab16x137       15984-15992
      tab16x138       15993-16001
      tab16x139       16002-16010
      tab16x140       16011-16019
      tab16x141       16020-16028
      tab16x142       16029-16037
      tab16x143       16038-16046
      tab16x144       16047-16055
      tab16x145       16056-16064
      tab16x146       16065-16073
      tab16x147       16074-16082
      tab16x148       16083-16091
      tab16x149       16092-16100
      tab16x150       16101-16109
      tab16x151       16110-16118
      tab16x152       16119-16127
      tab16x153       16128-16136
      tab16x154       16137-16145
      tab16x155       16146-16154
      tab16x156       16155-16163
      tab16x157       16164-16172
      tab16x158       16173-16181
      tab16x159       16182-16190
      tab16x160       16191-16199
      tab16x161       16200-16208
      tab16x162       16209-16217
      tab16x163       16218-16226
      tab16x164       16227-16235
      tab16x165       16236-16244
      tab16x166       16245-16253
      tab16x167       16254-16262
      tab16x168       16263-16271
      tab16x169       16272-16280
      tab16x170       16281-16289
      tab16x171       16290-16298
      tab16x172       16299-16307
      tab16x173       16308-16316
      tab16x174       16317-16325
      tab16x175       16326-16334
      tab16x176       16335-16343
      tab16x177       16344-16352
      tab16x178       16353-16361
      tab16x179       16362-16370
      tab16x180       16371-16379
      tab16x181       16380-16388
      tab16x182       16389-16397
      tab16x183       16398-16406
      tab16x184       16407-16415
      tab16x185       16416-16424
      tab16x186       16425-16433
      tab16x187       16434-16442
      tab16x188       16443-16451
      tab16x189       16452-16460
      tab16x190       16461-16469
      tab16x191       16470-16478
      tab16x192       16479-16487
      tab16x193       16488-16496
      tab16x194       16497-16505
      tab16x195       16506-16514
      tab16x196       16515-16523
      tab16x197       16524-16532
      tab16x198       16533-16541
      tab16x199       16542-16550
      tab16x200       16551-16559
      tab16x201       16560-16568
      tab16x202       16569-16577
      tab16x203       16578-16586
      tab16x204       16587-16595
      tab16x205       16596-16604
      tab16x206       16605-16613
      tab16x207       16614-16622
      tab16x208       16623-16631
      tab16x209       16632-16640
      tab16x210       16641-16649
      tab16x211       16650-16658
      tab16x212       16659-16667
      tab16x213       16668-16676
      tab16x214       16677-16685
      tab16x215       16686-16694
      tab16x216       16695-16703
      tab16x217       16704-16712
      tab16x218       16713-16721
      tab16x219       16722-16730
      tab16x220       16731-16739
      tab16x221       16740-16748
      tab16x222       16749-16757
      tab16x223       16758-16766
      tab16x224       16767-16775
      tab16x225       16776-16784
      tab16x226       16785-16793
      tab16x227       16794-16802
      tab16x228       16803-16811
      tab16x229       16812-16820
      tab16x230       16821-16829
      tab16x231       16830-16838
      tab16x232       16839-16847
      tab16x233       16848-16856
      tab16x234       16857-16865
      tab16x235       16866-16874
      tab16x236       16875-16883
      tab16x237       16884-16892
      tab16x238       16893-16901
      tab16x239       16902-16910
      tab16x240       16911-16919
      tab16x241       16920-16928
      tab16x242       16929-16937
      tab16x243       16938-16946
      tab16x244       16947-16955
      tab16x245       16956-16964
      tab16x246       16965-16973
      tab16x247       16974-16982
      tab16x248       16983-16991
      tab16x249       16992-17000
      tab16x250       17001-17009
      tab16x251       17010-17018
      tab16x252       17019-17027
      tab16x253       17028-17036
      tab16x254       17037-17045
      tab16x255       17046-17054
      tab16x256       17055-17063
      tab16x257       17064-17072
      tab16x258       17073-17081
      tab16x259       17082-17090
      tab16x260       17091-17099
      tab16x261       17100-17108
      tab16x262       17109-17117
      tab16x263       17118-17126
      tab16x264       17127-17135
      tab16x265       17136-17144
      tab16x266       17145-17153
      tab16x267       17154-17162
      tab16x268       17163-17171
      tab16x269       17172-17180
      tab16x270       17181-17189
      tab16x271       17190-17198
      tab16x272       17199-17207
      tab16x273       17208-17216
      tab16x274       17217-17225
      tab16x275       17226-17234
      tab16x276       17235-17243
      tab16x277       17244-17252
      tab16x278       17253-17261
      tab16x279       17262-17270
      tab16x280       17271-17279
      tab16x281       17280-17288
      tab16x282       17289-17297
      tab16x283       17298-17306
      tab16x284       17307-17315
      tab16x285       17316-17324
      tab16x286       17325-17333
      tab16x287       17334-17342
      tab16x288       17343-17351
      tab16x289       17352-17360
      tab16x290       17361-17369
      tab16x291       17370-17378
      tab16x292       17379-17387
      tab16x293       17388-17396
      tab16x294       17397-17405
      tab16x295       17406-17414
      tab16x296       17415-17423
      tab16x297       17424-17432
      tab16x298       17433-17441
      tab16x299       17442-17450
      tab16x300       17451-17459
      tab16x301       17460-17468
      tab16x302       17469-17477
      tab16x303       17478-17486
      tab16x304       17487-17495
      tab16x305       17496-17504
      tab16x306       17505-17513
      tab16x307       17514-17522
      tab16x308       17523-17531
      tab16x309       17532-17540
      tab16x310       17541-17549
      tab16x311       17550-17558
      tab16x312       17559-17567
      tab16x313       17568-17576
      tab16x314       17577-17585
      tab16x315       17586-17594
      tab16x316       17595-17603
      tab16x317       17604-17612
      tab16x318       17613-17621
      tab16x319       17622-17630
      tab16x320       17631-17639
      tab16x321       17640-17648
      tab16x322       17649-17657
      tab16x323       17658-17666
      tab16x324       17667-17675
      tab16x325       17676-17684
      tab16x326       17685-17693
      tab16x327       17694-17702
      tab16x328       17703-17711
      tab16x329       17712-17720
      tab16x330       17721-17729
      tab16x331       17730-17738
      tab16x332       17739-17747
      tab16x333       17748-17756
      tab16x334       17757-17765
      tab16x335       17766-17774
      tab16x336       17775-17783
      tab16x337       17784-17792
      tab16x338       17793-17801
      tab16x339       17802-17810
      tab16x340       17811-17819
      tab16x341       17820-17828
      tab16x342       17829-17837
      tab16x343       17838-17846
      tab16x344       17847-17855
      tab16x345       17856-17864
      tab16x346       17865-17873
      tab16x347       17874-17882
      tab16x348       17883-17891
      tab16x349       17892-17900
      tab16x350       17901-17909
      tab17x1         17910-17918
      tab17x2         17919-17927
      tab17x3         17928-17936
      tab17x4         17937-17945
      tab17x5         17946-17954
      tab17x6         17955-17963
      tab17x7         17964-17972
      tab17x8         17973-17981
      tab17x9         17982-17990
      tab17x10        17991-17999
      tab17x11        18000-18008
      tab17x12        18009-18017
      tab17x13        18018-18026
      tab17x14        18027-18035
      tab17x15        18036-18044
      tab17x16        18045-18053
      tab17x17        18054-18062
      tab17x18        18063-18071
      tab17x19        18072-18080
      tab17x20        18081-18089
      tab17x21        18090-18098
      tab17x22        18099-18107
      tab17x23        18108-18116
      tab17x24        18117-18125
      tab17x25        18126-18134
      tab17x26        18135-18143
      tab17x27        18144-18152
      tab17x28        18153-18161
      tab17x29        18162-18170
      tab17x30        18171-18179
      tab17x31        18180-18188
      tab17x32        18189-18197
      tab17x33        18198-18206
      tab17x34        18207-18215
      tab17x35        18216-18224
      tab17x36        18225-18233
      tab17x37        18234-18242
      tab17x38        18243-18251
      tab17x39        18252-18260
      tab17x40        18261-18269
      tab17x41        18270-18278
      tab17x42        18279-18287
      tab17x43        18288-18296
      tab17x44        18297-18305
      tab17x45        18306-18314
      tab17x46        18315-18323
      tab17x47        18324-18332
      tab17x48        18333-18341
      tab17x49        18342-18350
      tab17x50        18351-18359
      tab17x51        18360-18368
      tab17x52        18369-18377
      tab17x53        18378-18386
      tab17x54        18387-18395
      tab17x55        18396-18404
      tab17x56        18405-18413
      tab17x57        18414-18422
      tab17x58        18423-18431
      tab17x59        18432-18440
      tab17x60        18441-18449
      tab17x61        18450-18458
      tab17x62        18459-18467
      tab17x63        18468-18476
      tab17x64        18477-18485
      tab17x65        18486-18494
      tab17x66        18495-18503
      tab17x67        18504-18512
      tab17x68        18513-18521
      tab17x69        18522-18530
      tab17x70        18531-18539
      tab17x71        18540-18548
      tab17x72        18549-18557
      tab17x73        18558-18566
      tab17x74        18567-18575
      tab17x75        18576-18584
      tab17x76        18585-18593
      tab17x77        18594-18602
      tab17x78        18603-18611
      tab17x79        18612-18620
      tab17x80        18621-18629
      tab17x81        18630-18638
      tab17x82        18639-18647
      tab17x83        18648-18656
      tab17x84        18657-18665
      tab17x85        18666-18674
      tab17x86        18675-18683
      tab17x87        18684-18692
      tab17x88        18693-18701
      tab17x89        18702-18710
      tab17x90        18711-18719
      tab17x91        18720-18728
      tab17x92        18729-18737
      tab17x93        18738-18746
      tab17x94        18747-18755
      tab17x95        18756-18764
      tab17x96        18765-18773
      tab17x97        18774-18782
      tab17x98        18783-18791
      tab17x99        18792-18800
      tab17x100       18801-18809
      tab17x101       18810-18818
      tab17x102       18819-18827
      tab17x103       18828-18836
      tab17x104       18837-18845
      tab17x105       18846-18854
      tab17x106       18855-18863
      tab17x107       18864-18872
      tab17x108       18873-18881
      tab17x109       18882-18890
      tab17x110       18891-18899
      tab17x111       18900-18908
      tab17x112       18909-18917
      tab17x113       18918-18926
      tab17x114       18927-18935
      tab17x115       18936-18944
      tab17x116       18945-18953
      tab17x117       18954-18962
      tab17x118       18963-18971
      tab17x119       18972-18980
      tab17x120       18981-18989
      tab17x121       18990-18998
      tab17x122       18999-19007
      tab17x123       19008-19016
      tab17x124       19017-19025
      tab17x125       19026-19034
      tab17x126       19035-19043
      tab17x127       19044-19052
      tab17x128       19053-19061
      tab17x129       19062-19070
      tab17x130       19071-19079
      tab17x131       19080-19088
      tab17x132       19089-19097
      tab17x133       19098-19106
      tab17x134       19107-19115
      tab17x135       19116-19124
      tab17x136       19125-19133
      tab17x137       19134-19142
      tab17x138       19143-19151
      tab17x139       19152-19160
      tab17x140       19161-19169
      tab17x141       19170-19178
      tab17x142       19179-19187
      tab17x143       19188-19196
      tab17x144       19197-19205
      tab17x145       19206-19214
      tab17x146       19215-19223
      tab17x147       19224-19232
      tab17x148       19233-19241
      tab17x149       19242-19250
      tab17x150       19251-19259
      tab17x151       19260-19268
      tab17x152       19269-19277
      tab17x153       19278-19286
      tab17x154       19287-19295
      tab17x155       19296-19304
      tab17x156       19305-19313
      tab17x157       19314-19322
      tab17x158       19323-19331
      tab17x159       19332-19340
      tab17x160       19341-19349
      tab17x161       19350-19358
      tab17x162       19359-19367
      tab17x163       19368-19376
      tab17x164       19377-19385
      tab17x165       19386-19394
      tab17x166       19395-19403
      tab17x167       19404-19412
      tab17x168       19413-19421
      tab17x169       19422-19430
      tab17x170       19431-19439
      tab17x171       19440-19448
      tab17x172       19449-19457
      tab17x173       19458-19466
      tab17x174       19467-19475
      tab17x175       19476-19484
      tab17x176       19485-19493
      tab17x177       19494-19502
      tab17x178       19503-19511
      tab17x179       19512-19520
      tab17x180       19521-19529
      tab17x181       19530-19538
      tab17x182       19539-19547
      tab17x183       19548-19556
      tab17x184       19557-19565
      tab17x185       19566-19574
      tab17x186       19575-19583
      tab17x187       19584-19592
      tab17x188       19593-19601
      tab17x189       19602-19610
      tab17x190       19611-19619
      tab17x191       19620-19628
      tab17x192       19629-19637
      tab17x193       19638-19646
      tab17x194       19647-19655
      tab17x195       19656-19664
      tab17x196       19665-19673
      tab17x197       19674-19682
      tab17x198       19683-19691
      tab17x199       19692-19700
      tab17x200       19701-19709
      tab17x201       19710-19718
      tab17x202       19719-19727
      tab17x203       19728-19736
      tab17x204       19737-19745
      tab17x205       19746-19754
      tab17x206       19755-19763
      tab17x207       19764-19772
      tab17x208       19773-19781
      tab17x209       19782-19790
      tab17x210       19791-19799
      ;
   label
      FILEID   = "File identification (ctpp2 for this product)"
      SUMLEV   = "Summary level"
      QPOWST    = "Modified FIPS State code (3 chars. zero-filled left)"
      QPOWCO   = "FIPS county code"
      QPOWMCDFIPS   = "FIPS county subdivision code"
      QPOWMCD  = "Census county subdivision code"
      QPOWPLFIPS2 = "FIPS place code (2,500+ pop. only)"
      QPOWPL2  = "Census place code (2,500+ pop. only)"
      QPOWTRACT = "Census tract code"
      QPOWBKG   = "Census block group code"
      QPOWMSACMSA  = "Metropolitan Statistical Area or Consolidated MSA code"
      QPOWPMSA     = "Primary Metropolitan Statistical Area code"
      QPOWTAZ      = "Traffic Analyzis Zone code (where available)"
      QPOWMPO   = "Metropolitan Planning Organization region code"
      QPOWCZ   = "CTPP Combined Zone code (where available)"

      tab1x1   ="tab1: Time Leaving Home for Work: 1"
      tab1x2   ="tab1: Time Leaving Home for Work: 2"
      tab1x3   ="tab1: Time Leaving Home for Work: 3"
      tab1x4   ="tab1: Time Leaving Home for Work: 4"
      tab1x5   ="tab1: Time Leaving Home for Work: 5"
      tab1x6   ="tab1: Time Leaving Home for Work: 6"
      tab1x7   ="tab1: Time Leaving Home for Work: 7"
      tab1x8   ="tab1: Time Leaving Home for Work: 8"
      tab1x9   ="tab1: Time Leaving Home for Work: 9"
      tab1x10  ="tab1: Time Leaving Home for Work: 10"
      tab1x11  ="tab1: Time Leaving Home for Work: 11"
      tab1x12  ="tab1: Time Leaving Home for Work: 12"
      tab1x13  ="tab1: Time Leaving Home for Work: 13"
      tab1x14  ="tab1: Time Leaving Home for Work: 14"
      tab1x15  ="tab1: Time Leaving Home for Work: 15"
      tab1x16  ="tab1: Time Leaving Home for Work: 16"
      tab1x17  ="tab1: Time Leaving Home for Work: 17"
      tab1x18  ="tab1: Time Leaving Home for Work: 18"
      tab1x19  ="tab1: Time Leaving Home for Work: 19"
      tab1x20  ="tab1: Time Leaving Home for Work: 20"
      tab1x21  ="tab1: Time Leaving Home for Work: 21"
      tab1x22  ="tab1: Time Leaving Home for Work: 22"
      tab1x23  ="tab1: Time Leaving Home for Work: 23"
      tab1x24  ="tab1: Time Leaving Home for Work: 24"
      tab1x25  ="tab1: Time Leaving Home for Work: 25"
      tab1x26  ="tab1: Time Leaving Home for Work: 26"
      tab1x27  ="tab1: Time Leaving Home for Work: 27"
      tab1x28  ="tab1: Time Leaving Home for Work: 28"
      tab1x29  ="tab1: Time Leaving Home for Work: 29"
      tab1x30  ="tab1: Time Leaving Home for Work: 30"
      tab1x31  ="tab1: Time Leaving Home for Work: 31"
      tab1x32  ="tab1: Time Leaving Home for Work: 32"
      tab1x33  ="tab1: Time Leaving Home for Work: 33"
      tab1x34  ="tab1: Time Leaving Home for Work: 34"
      tab1x35  ="tab1: Time Leaving Home for Work: 35"
      tab1x36  ="tab1: Time Leaving Home for Work: 36"
      tab1x37  ="tab1: Time Leaving Home for Work: 37"
      tab1x38  ="tab1: Time Leaving Home for Work: 38"
      tab1x39  ="tab1: Time Leaving Home for Work: 39"
      tab1x40  ="tab1: Time Leaving Home for Work: 40"
      tab2x1   ="tab2: SEX=1, MEANS18=1"
      tab2x2   ="tab2: SEX=1, MEANS18=2"
      tab2x3   ="tab2: SEX=1, MEANS18=3"
      tab2x4   ="tab2: SEX=1, MEANS18=4"
      tab2x5   ="tab2: SEX=1, MEANS18=5"
      tab2x6   ="tab2: SEX=1, MEANS18=6"
      tab2x7   ="tab2: SEX=1, MEANS18=7"
      tab2x8   ="tab2: SEX=1, MEANS18=8"
      tab2x9   ="tab2: SEX=1, MEANS18=9"
      tab2x10  ="tab2: SEX=1, MEANS18=10"
      tab2x11  ="tab2: SEX=1, MEANS18=11"
      tab2x12  ="tab2: SEX=1, MEANS18=12"
      tab2x13  ="tab2: SEX=1, MEANS18=13"
      tab2x14  ="tab2: SEX=1, MEANS18=14"
      tab2x15  ="tab2: SEX=1, MEANS18=15"
      tab2x16  ="tab2: SEX=1, MEANS18=16"
      tab2x17  ="tab2: SEX=1, MEANS18=17"
      tab2x18  ="tab2: SEX=1, MEANS18=18"
      tab2x19  ="tab2: SEX=2, MEANS18=1"
      tab2x20  ="tab2: SEX=2, MEANS18=2"
      tab2x21  ="tab2: SEX=2, MEANS18=3"
      tab2x22  ="tab2: SEX=2, MEANS18=4"
      tab2x23  ="tab2: SEX=2, MEANS18=5"
      tab2x24  ="tab2: SEX=2, MEANS18=6"
      tab2x25  ="tab2: SEX=2, MEANS18=7"
      tab2x26  ="tab2: SEX=2, MEANS18=8"
      tab2x27  ="tab2: SEX=2, MEANS18=9"
      tab2x28  ="tab2: SEX=2, MEANS18=10"
      tab2x29  ="tab2: SEX=2, MEANS18=11"
      tab2x30  ="tab2: SEX=2, MEANS18=12"
      tab2x31  ="tab2: SEX=2, MEANS18=13"
      tab2x32  ="tab2: SEX=2, MEANS18=14"
      tab2x33  ="tab2: SEX=2, MEANS18=15"
      tab2x34  ="tab2: SEX=2, MEANS18=16"
      tab2x35  ="tab2: SEX=2, MEANS18=17"
      tab2x36  ="tab2: SEX=2, MEANS18=18"
      tab2x37  ="tab2: SEX=3, MEANS18=1"
      tab2x38  ="tab2: SEX=3, MEANS18=2"
      tab2x39  ="tab2: SEX=3, MEANS18=3"
      tab2x40  ="tab2: SEX=3, MEANS18=4"
      tab2x41  ="tab2: SEX=3, MEANS18=5"
      tab2x42  ="tab2: SEX=3, MEANS18=6"
      tab2x43  ="tab2: SEX=3, MEANS18=7"
      tab2x44  ="tab2: SEX=3, MEANS18=8"
      tab2x45  ="tab2: SEX=3, MEANS18=9"
      tab2x46  ="tab2: SEX=3, MEANS18=10"
      tab2x47  ="tab2: SEX=3, MEANS18=11"
      tab2x48  ="tab2: SEX=3, MEANS18=12"
      tab2x49  ="tab2: SEX=3, MEANS18=13"
      tab2x50  ="tab2: SEX=3, MEANS18=14"
      tab2x51  ="tab2: SEX=3, MEANS18=15"
      tab2x52  ="tab2: SEX=3, MEANS18=16"
      tab2x53  ="tab2: SEX=3, MEANS18=17"
      tab2x54  ="tab2: SEX=3, MEANS18=18"
      tab3x1   ="tab3: SEX=1, OCCUPATION=1"
      tab3x2   ="tab3: SEX=1, OCCUPATION=2"
      tab3x3   ="tab3: SEX=1, OCCUPATION=3"
      tab3x4   ="tab3: SEX=1, OCCUPATION=4"
      tab3x5   ="tab3: SEX=1, OCCUPATION=5"
      tab3x6   ="tab3: SEX=1, OCCUPATION=6"
      tab3x7   ="tab3: SEX=1, OCCUPATION=7"
      tab3x8   ="tab3: SEX=1, OCCUPATION=8"
      tab3x9   ="tab3: SEX=1, OCCUPATION=9"
      tab3x10  ="tab3: SEX=1, OCCUPATION=10"
      tab3x11  ="tab3: SEX=1, OCCUPATION=11"
      tab3x12  ="tab3: SEX=1, OCCUPATION=12"
      tab3x13  ="tab3: SEX=1, OCCUPATION=13"
      tab3x14  ="tab3: SEX=1, OCCUPATION=14"
      tab3x15  ="tab3: SEX=1, OCCUPATION=15"
      tab3x16  ="tab3: SEX=1, OCCUPATION=16"
      tab3x17  ="tab3: SEX=1, OCCUPATION=17"
      tab3x18  ="tab3: SEX=1, OCCUPATION=18"
      tab3x19  ="tab3: SEX=1, OCCUPATION=19"
      tab3x20  ="tab3: SEX=1, OCCUPATION=20"
      tab3x21  ="tab3: SEX=1, OCCUPATION=21"
      tab3x22  ="tab3: SEX=1, OCCUPATION=22"
      tab3x23  ="tab3: SEX=1, OCCUPATION=23"
      tab3x24  ="tab3: SEX=1, OCCUPATION=24"
      tab3x25  ="tab3: SEX=1, OCCUPATION=25"
      tab3x26  ="tab3: SEX=2, OCCUPATION=1"
      tab3x27  ="tab3: SEX=2, OCCUPATION=2"
      tab3x28  ="tab3: SEX=2, OCCUPATION=3"
      tab3x29  ="tab3: SEX=2, OCCUPATION=4"
      tab3x30  ="tab3: SEX=2, OCCUPATION=5"
      tab3x31  ="tab3: SEX=2, OCCUPATION=6"
      tab3x32  ="tab3: SEX=2, OCCUPATION=7"
      tab3x33  ="tab3: SEX=2, OCCUPATION=8"
      tab3x34  ="tab3: SEX=2, OCCUPATION=9"
      tab3x35  ="tab3: SEX=2, OCCUPATION=10"
      tab3x36  ="tab3: SEX=2, OCCUPATION=11"
      tab3x37  ="tab3: SEX=2, OCCUPATION=12"
      tab3x38  ="tab3: SEX=2, OCCUPATION=13"
      tab3x39  ="tab3: SEX=2, OCCUPATION=14"
      tab3x40  ="tab3: SEX=2, OCCUPATION=15"
      tab3x41  ="tab3: SEX=2, OCCUPATION=16"
      tab3x42  ="tab3: SEX=2, OCCUPATION=17"
      tab3x43  ="tab3: SEX=2, OCCUPATION=18"
      tab3x44  ="tab3: SEX=2, OCCUPATION=19"
      tab3x45  ="tab3: SEX=2, OCCUPATION=20"
      tab3x46  ="tab3: SEX=2, OCCUPATION=21"
      tab3x47  ="tab3: SEX=2, OCCUPATION=22"
      tab3x48  ="tab3: SEX=2, OCCUPATION=23"
      tab3x49  ="tab3: SEX=2, OCCUPATION=24"
      tab3x50  ="tab3: SEX=2, OCCUPATION=25"
      tab3x51  ="tab3: SEX=3, OCCUPATION=1"
      tab3x52  ="tab3: SEX=3, OCCUPATION=2"
      tab3x53  ="tab3: SEX=3, OCCUPATION=3"
      tab3x54  ="tab3: SEX=3, OCCUPATION=4"
      tab3x55  ="tab3: SEX=3, OCCUPATION=5"
      tab3x56  ="tab3: SEX=3, OCCUPATION=6"
      tab3x57  ="tab3: SEX=3, OCCUPATION=7"
      tab3x58  ="tab3: SEX=3, OCCUPATION=8"
      tab3x59  ="tab3: SEX=3, OCCUPATION=9"
      tab3x60  ="tab3: SEX=3, OCCUPATION=10"
      tab3x61  ="tab3: SEX=3, OCCUPATION=11"
      tab3x62  ="tab3: SEX=3, OCCUPATION=12"
      tab3x63  ="tab3: SEX=3, OCCUPATION=13"
      tab3x64  ="tab3: SEX=3, OCCUPATION=14"
      tab3x65  ="tab3: SEX=3, OCCUPATION=15"
      tab3x66  ="tab3: SEX=3, OCCUPATION=16"
      tab3x67  ="tab3: SEX=3, OCCUPATION=17"
      tab3x68  ="tab3: SEX=3, OCCUPATION=18"
      tab3x69  ="tab3: SEX=3, OCCUPATION=19"
      tab3x70  ="tab3: SEX=3, OCCUPATION=20"
      tab3x71  ="tab3: SEX=3, OCCUPATION=21"
      tab3x72  ="tab3: SEX=3, OCCUPATION=22"
      tab3x73  ="tab3: SEX=3, OCCUPATION=23"
      tab3x74  ="tab3: SEX=3, OCCUPATION=24"
      tab3x75  ="tab3: SEX=3, OCCUPATION=25"
      tab4x1   ="tab4: SEX=1, INDUSTRY=1"
      tab4x2   ="tab4: SEX=1, INDUSTRY=2"
      tab4x3   ="tab4: SEX=1, INDUSTRY=3"
      tab4x4   ="tab4: SEX=1, INDUSTRY=4"
      tab4x5   ="tab4: SEX=1, INDUSTRY=5"
      tab4x6   ="tab4: SEX=1, INDUSTRY=6"
      tab4x7   ="tab4: SEX=1, INDUSTRY=7"
      tab4x8   ="tab4: SEX=1, INDUSTRY=8"
      tab4x9   ="tab4: SEX=1, INDUSTRY=9"
      tab4x10  ="tab4: SEX=1, INDUSTRY=10"
      tab4x11  ="tab4: SEX=1, INDUSTRY=11"
      tab4x12  ="tab4: SEX=1, INDUSTRY=12"
      tab4x13  ="tab4: SEX=1, INDUSTRY=13"
      tab4x14  ="tab4: SEX=1, INDUSTRY=14"
      tab4x15  ="tab4: SEX=1, INDUSTRY=15"
      tab4x16  ="tab4: SEX=2, INDUSTRY=1"
      tab4x17  ="tab4: SEX=2, INDUSTRY=2"
      tab4x18  ="tab4: SEX=2, INDUSTRY=3"
      tab4x19  ="tab4: SEX=2, INDUSTRY=4"
      tab4x20  ="tab4: SEX=2, INDUSTRY=5"
      tab4x21  ="tab4: SEX=2, INDUSTRY=6"
      tab4x22  ="tab4: SEX=2, INDUSTRY=7"
      tab4x23  ="tab4: SEX=2, INDUSTRY=8"
      tab4x24  ="tab4: SEX=2, INDUSTRY=9"
      tab4x25  ="tab4: SEX=2, INDUSTRY=10"
      tab4x26  ="tab4: SEX=2, INDUSTRY=11"
      tab4x27  ="tab4: SEX=2, INDUSTRY=12"
      tab4x28  ="tab4: SEX=2, INDUSTRY=13"
      tab4x29  ="tab4: SEX=2, INDUSTRY=14"
      tab4x30  ="tab4: SEX=2, INDUSTRY=15"
      tab4x31  ="tab4: SEX=3, INDUSTRY=1"
      tab4x32  ="tab4: SEX=3, INDUSTRY=2"
      tab4x33  ="tab4: SEX=3, INDUSTRY=3"
      tab4x34  ="tab4: SEX=3, INDUSTRY=4"
      tab4x35  ="tab4: SEX=3, INDUSTRY=5"
      tab4x36  ="tab4: SEX=3, INDUSTRY=6"
      tab4x37  ="tab4: SEX=3, INDUSTRY=7"
      tab4x38  ="tab4: SEX=3, INDUSTRY=8"
      tab4x39  ="tab4: SEX=3, INDUSTRY=9"
      tab4x40  ="tab4: SEX=3, INDUSTRY=10"
      tab4x41  ="tab4: SEX=3, INDUSTRY=11"
      tab4x42  ="tab4: SEX=3, INDUSTRY=12"
      tab4x43  ="tab4: SEX=3, INDUSTRY=13"
      tab4x44  ="tab4: SEX=3, INDUSTRY=14"
      tab4x45  ="tab4: SEX=3, INDUSTRY=15"
      tab5x1   ="tab5: SEX=1, CLASS OF WORKER=1"
      tab5x2   ="tab5: SEX=1, CLASS OF WORKER=2"
      tab5x3   ="tab5: SEX=1, CLASS OF WORKER=3"
      tab5x4   ="tab5: SEX=1, CLASS OF WORKER=4"
      tab5x5   ="tab5: SEX=1, CLASS OF WORKER=5"
      tab5x6   ="tab5: SEX=1, CLASS OF WORKER=6"
      tab5x7   ="tab5: SEX=1, CLASS OF WORKER=7"
      tab5x8   ="tab5: SEX=1, CLASS OF WORKER=8"
      tab5x9   ="tab5: SEX=2, CLASS OF WORKER=1"
      tab5x10  ="tab5: SEX=2, CLASS OF WORKER=2"
      tab5x11  ="tab5: SEX=2, CLASS OF WORKER=3"
      tab5x12  ="tab5: SEX=2, CLASS OF WORKER=4"
      tab5x13  ="tab5: SEX=2, CLASS OF WORKER=5"
      tab5x14  ="tab5: SEX=2, CLASS OF WORKER=6"
      tab5x15  ="tab5: SEX=2, CLASS OF WORKER=7"
      tab5x16  ="tab5: SEX=2, CLASS OF WORKER=8"
      tab5x17  ="tab5: SEX=3, CLASS OF WORKER=1"
      tab5x18  ="tab5: SEX=3, CLASS OF WORKER=2"
      tab5x19  ="tab5: SEX=3, CLASS OF WORKER=3"
      tab5x20  ="tab5: SEX=3, CLASS OF WORKER=4"
      tab5x21  ="tab5: SEX=3, CLASS OF WORKER=5"
      tab5x22  ="tab5: SEX=3, CLASS OF WORKER=6"
      tab5x23  ="tab5: SEX=3, CLASS OF WORKER=7"
      tab5x24  ="tab5: SEX=3, CLASS OF WORKER=8"
      tab6x1   ="tab6: SEX=1, EARNINGS=1"
      tab6x2   ="tab6: SEX=1, EARNINGS=2"
      tab6x3   ="tab6: SEX=1, EARNINGS=3"
      tab6x4   ="tab6: SEX=1, EARNINGS=4"
      tab6x5   ="tab6: SEX=1, EARNINGS=5"
      tab6x6   ="tab6: SEX=1, EARNINGS=6"
      tab6x7   ="tab6: SEX=1, EARNINGS=7"
      tab6x8   ="tab6: SEX=1, EARNINGS=8"
      tab6x9   ="tab6: SEX=1, EARNINGS=9"
      tab6x10  ="tab6: SEX=1, EARNINGS=10"
      tab6x11  ="tab6: SEX=1, EARNINGS=11"
      tab6x12  ="tab6: SEX=1, EARNINGS=12"
      tab6x13  ="tab6: SEX=2, EARNINGS=1"
      tab6x14  ="tab6: SEX=2, EARNINGS=2"
      tab6x15  ="tab6: SEX=2, EARNINGS=3"
      tab6x16  ="tab6: SEX=2, EARNINGS=4"
      tab6x17  ="tab6: SEX=2, EARNINGS=5"
      tab6x18  ="tab6: SEX=2, EARNINGS=6"
      tab6x19  ="tab6: SEX=2, EARNINGS=7"
      tab6x20  ="tab6: SEX=2, EARNINGS=8"
      tab6x21  ="tab6: SEX=2, EARNINGS=9"
      tab6x22  ="tab6: SEX=2, EARNINGS=10"
      tab6x23  ="tab6: SEX=2, EARNINGS=11"
      tab6x24  ="tab6: SEX=2, EARNINGS=12"
      tab6x25  ="tab6: SEX=3, EARNINGS=1"
      tab6x26  ="tab6: SEX=3, EARNINGS=2"
      tab6x27  ="tab6: SEX=3, EARNINGS=3"
      tab6x28  ="tab6: SEX=3, EARNINGS=4"
      tab6x29  ="tab6: SEX=3, EARNINGS=5"
      tab6x30  ="tab6: SEX=3, EARNINGS=6"
      tab6x31  ="tab6: SEX=3, EARNINGS=7"
      tab6x32  ="tab6: SEX=3, EARNINGS=8"
      tab6x33  ="tab6: SEX=3, EARNINGS=9"
      tab6x34  ="tab6: SEX=3, EARNINGS=10"
      tab6x35  ="tab6: SEX=3, EARNINGS=11"
      tab6x36  ="tab6: SEX=3, EARNINGS=12"
      tab7x1   ="tab7: SEX=1, USUAL_HRS=1"
      tab7x2   ="tab7: SEX=1, USUAL_HRS=2"
      tab7x3   ="tab7: SEX=1, USUAL_HRS=3"
      tab7x4   ="tab7: SEX=1, USUAL_HRS=4"
      tab7x5   ="tab7: SEX=1, USUAL_HRS=5"
      tab7x6   ="tab7: SEX=1, USUAL_HRS=6"
      tab7x7   ="tab7: SEX=1, USUAL_HRS=7"
      tab7x8   ="tab7: SEX=2, USUAL_HRS=1"
      tab7x9   ="tab7: SEX=2, USUAL_HRS=2"
      tab7x10  ="tab7: SEX=2, USUAL_HRS=3"
      tab7x11  ="tab7: SEX=2, USUAL_HRS=4"
      tab7x12  ="tab7: SEX=2, USUAL_HRS=5"
      tab7x13  ="tab7: SEX=2, USUAL_HRS=6"
      tab7x14  ="tab7: SEX=2, USUAL_HRS=7"
      tab7x15  ="tab7: SEX=3, USUAL_HRS=1"
      tab7x16  ="tab7: SEX=3, USUAL_HRS=2"
      tab7x17  ="tab7: SEX=3, USUAL_HRS=3"
      tab7x18  ="tab7: SEX=3, USUAL_HRS=4"
      tab7x19  ="tab7: SEX=3, USUAL_HRS=5"
      tab7x20  ="tab7: SEX=3, USUAL_HRS=6"
      tab7x21  ="tab7: SEX=3, USUAL_HRS=7"
      tab8x1   ="tab8: DISAB_GE16=1, MEANS11=1"
      tab8x2   ="tab8: DISAB_GE16=1, MEANS11=2"
      tab8x3   ="tab8: DISAB_GE16=1, MEANS11=3"
      tab8x4   ="tab8: DISAB_GE16=1, MEANS11=4"
      tab8x5   ="tab8: DISAB_GE16=1, MEANS11=5"
      tab8x6   ="tab8: DISAB_GE16=1, MEANS11=6"
      tab8x7   ="tab8: DISAB_GE16=1, MEANS11=7"
      tab8x8   ="tab8: DISAB_GE16=1, MEANS11=8"
      tab8x9   ="tab8: DISAB_GE16=1, MEANS11=9"
      tab8x10  ="tab8: DISAB_GE16=1, MEANS11=10"
      tab8x11  ="tab8: DISAB_GE16=1, MEANS11=11"
      tab8x12  ="tab8: DISAB_GE16=2, MEANS11=1"
      tab8x13  ="tab8: DISAB_GE16=2, MEANS11=2"
      tab8x14  ="tab8: DISAB_GE16=2, MEANS11=3"
      tab8x15  ="tab8: DISAB_GE16=2, MEANS11=4"
      tab8x16  ="tab8: DISAB_GE16=2, MEANS11=5"
      tab8x17  ="tab8: DISAB_GE16=2, MEANS11=6"
      tab8x18  ="tab8: DISAB_GE16=2, MEANS11=7"
      tab8x19  ="tab8: DISAB_GE16=2, MEANS11=8"
      tab8x20  ="tab8: DISAB_GE16=2, MEANS11=9"
      tab8x21  ="tab8: DISAB_GE16=2, MEANS11=10"
      tab8x22  ="tab8: DISAB_GE16=2, MEANS11=11"
      tab8x23  ="tab8: DISAB_GE16=3, MEANS11=1"
      tab8x24  ="tab8: DISAB_GE16=3, MEANS11=2"
      tab8x25  ="tab8: DISAB_GE16=3, MEANS11=3"
      tab8x26  ="tab8: DISAB_GE16=3, MEANS11=4"
      tab8x27  ="tab8: DISAB_GE16=3, MEANS11=5"
      tab8x28  ="tab8: DISAB_GE16=3, MEANS11=6"
      tab8x29  ="tab8: DISAB_GE16=3, MEANS11=7"
      tab8x30  ="tab8: DISAB_GE16=3, MEANS11=8"
      tab8x31  ="tab8: DISAB_GE16=3, MEANS11=9"
      tab8x32  ="tab8: DISAB_GE16=3, MEANS11=10"
      tab8x33  ="tab8: DISAB_GE16=3, MEANS11=11"
      tab9x1   ="tab9: OCCUPATION=1, MEANS11=1"
      tab9x2   ="tab9: OCCUPATION=1, MEANS11=2"
      tab9x3   ="tab9: OCCUPATION=1, MEANS11=3"
      tab9x4   ="tab9: OCCUPATION=1, MEANS11=4"
      tab9x5   ="tab9: OCCUPATION=1, MEANS11=5"
      tab9x6   ="tab9: OCCUPATION=1, MEANS11=6"
      tab9x7   ="tab9: OCCUPATION=1, MEANS11=7"
      tab9x8   ="tab9: OCCUPATION=1, MEANS11=8"
      tab9x9   ="tab9: OCCUPATION=1, MEANS11=9"
      tab9x10  ="tab9: OCCUPATION=1, MEANS11=10"
      tab9x11  ="tab9: OCCUPATION=1, MEANS11=11"
      tab9x12  ="tab9: OCCUPATION=2, MEANS11=1"
      tab9x13  ="tab9: OCCUPATION=2, MEANS11=2"
      tab9x14  ="tab9: OCCUPATION=2, MEANS11=3"
      tab9x15  ="tab9: OCCUPATION=2, MEANS11=4"
      tab9x16  ="tab9: OCCUPATION=2, MEANS11=5"
      tab9x17  ="tab9: OCCUPATION=2, MEANS11=6"
      tab9x18  ="tab9: OCCUPATION=2, MEANS11=7"
      tab9x19  ="tab9: OCCUPATION=2, MEANS11=8"
      tab9x20  ="tab9: OCCUPATION=2, MEANS11=9"
      tab9x21  ="tab9: OCCUPATION=2, MEANS11=10"
      tab9x22  ="tab9: OCCUPATION=2, MEANS11=11"
      tab9x23  ="tab9: OCCUPATION=3, MEANS11=1"
      tab9x24  ="tab9: OCCUPATION=3, MEANS11=2"
      tab9x25  ="tab9: OCCUPATION=3, MEANS11=3"
      tab9x26  ="tab9: OCCUPATION=3, MEANS11=4"
      tab9x27  ="tab9: OCCUPATION=3, MEANS11=5"
      tab9x28  ="tab9: OCCUPATION=3, MEANS11=6"
      tab9x29  ="tab9: OCCUPATION=3, MEANS11=7"
      tab9x30  ="tab9: OCCUPATION=3, MEANS11=8"
      tab9x31  ="tab9: OCCUPATION=3, MEANS11=9"
      tab9x32  ="tab9: OCCUPATION=3, MEANS11=10"
      tab9x33  ="tab9: OCCUPATION=3, MEANS11=11"
      tab9x34  ="tab9: OCCUPATION=4, MEANS11=1"
      tab9x35  ="tab9: OCCUPATION=4, MEANS11=2"
      tab9x36  ="tab9: OCCUPATION=4, MEANS11=3"
      tab9x37  ="tab9: OCCUPATION=4, MEANS11=4"
      tab9x38  ="tab9: OCCUPATION=4, MEANS11=5"
      tab9x39  ="tab9: OCCUPATION=4, MEANS11=6"
      tab9x40  ="tab9: OCCUPATION=4, MEANS11=7"
      tab9x41  ="tab9: OCCUPATION=4, MEANS11=8"
      tab9x42  ="tab9: OCCUPATION=4, MEANS11=9"
      tab9x43  ="tab9: OCCUPATION=4, MEANS11=10"
      tab9x44  ="tab9: OCCUPATION=4, MEANS11=11"
      tab9x45  ="tab9: OCCUPATION=5, MEANS11=1"
      tab9x46  ="tab9: OCCUPATION=5, MEANS11=2"
      tab9x47  ="tab9: OCCUPATION=5, MEANS11=3"
      tab9x48  ="tab9: OCCUPATION=5, MEANS11=4"
      tab9x49  ="tab9: OCCUPATION=5, MEANS11=5"
      tab9x50  ="tab9: OCCUPATION=5, MEANS11=6"
      tab9x51  ="tab9: OCCUPATION=5, MEANS11=7"
      tab9x52  ="tab9: OCCUPATION=5, MEANS11=8"
      tab9x53  ="tab9: OCCUPATION=5, MEANS11=9"
      tab9x54  ="tab9: OCCUPATION=5, MEANS11=10"
      tab9x55  ="tab9: OCCUPATION=5, MEANS11=11"
      tab9x56  ="tab9: OCCUPATION=6, MEANS11=1"
      tab9x57  ="tab9: OCCUPATION=6, MEANS11=2"
      tab9x58  ="tab9: OCCUPATION=6, MEANS11=3"
      tab9x59  ="tab9: OCCUPATION=6, MEANS11=4"
      tab9x60  ="tab9: OCCUPATION=6, MEANS11=5"
      tab9x61  ="tab9: OCCUPATION=6, MEANS11=6"
      tab9x62  ="tab9: OCCUPATION=6, MEANS11=7"
      tab9x63  ="tab9: OCCUPATION=6, MEANS11=8"
      tab9x64  ="tab9: OCCUPATION=6, MEANS11=9"
      tab9x65  ="tab9: OCCUPATION=6, MEANS11=10"
      tab9x66  ="tab9: OCCUPATION=6, MEANS11=11"
      tab9x67  ="tab9: OCCUPATION=7, MEANS11=1"
      tab9x68  ="tab9: OCCUPATION=7, MEANS11=2"
      tab9x69  ="tab9: OCCUPATION=7, MEANS11=3"
      tab9x70  ="tab9: OCCUPATION=7, MEANS11=4"
      tab9x71  ="tab9: OCCUPATION=7, MEANS11=5"
      tab9x72  ="tab9: OCCUPATION=7, MEANS11=6"
      tab9x73  ="tab9: OCCUPATION=7, MEANS11=7"
      tab9x74  ="tab9: OCCUPATION=7, MEANS11=8"
      tab9x75  ="tab9: OCCUPATION=7, MEANS11=9"
      tab9x76  ="tab9: OCCUPATION=7, MEANS11=10"
      tab9x77  ="tab9: OCCUPATION=7, MEANS11=11"
      tab9x78  ="tab9: OCCUPATION=8, MEANS11=1"
      tab9x79  ="tab9: OCCUPATION=8, MEANS11=2"
      tab9x80  ="tab9: OCCUPATION=8, MEANS11=3"
      tab9x81  ="tab9: OCCUPATION=8, MEANS11=4"
      tab9x82  ="tab9: OCCUPATION=8, MEANS11=5"
      tab9x83  ="tab9: OCCUPATION=8, MEANS11=6"
      tab9x84  ="tab9: OCCUPATION=8, MEANS11=7"
      tab9x85  ="tab9: OCCUPATION=8, MEANS11=8"
      tab9x86  ="tab9: OCCUPATION=8, MEANS11=9"
      tab9x87  ="tab9: OCCUPATION=8, MEANS11=10"
      tab9x88  ="tab9: OCCUPATION=8, MEANS11=11"
      tab9x89  ="tab9: OCCUPATION=9, MEANS11=1"
      tab9x90  ="tab9: OCCUPATION=9, MEANS11=2"
      tab9x91  ="tab9: OCCUPATION=9, MEANS11=3"
      tab9x92  ="tab9: OCCUPATION=9, MEANS11=4"
      tab9x93  ="tab9: OCCUPATION=9, MEANS11=5"
      tab9x94  ="tab9: OCCUPATION=9, MEANS11=6"
      tab9x95  ="tab9: OCCUPATION=9, MEANS11=7"
      tab9x96  ="tab9: OCCUPATION=9, MEANS11=8"
      tab9x97  ="tab9: OCCUPATION=9, MEANS11=9"
      tab9x98  ="tab9: OCCUPATION=9, MEANS11=10"
      tab9x99  ="tab9: OCCUPATION=9, MEANS11=11"
      tab9x100 ="tab9: OCCUPATION=10, MEANS11=1"
      tab9x101 ="tab9: OCCUPATION=10, MEANS11=2"
      tab9x102 ="tab9: OCCUPATION=10, MEANS11=3"
      tab9x103 ="tab9: OCCUPATION=10, MEANS11=4"
      tab9x104 ="tab9: OCCUPATION=10, MEANS11=5"
      tab9x105 ="tab9: OCCUPATION=10, MEANS11=6"
      tab9x106 ="tab9: OCCUPATION=10, MEANS11=7"
      tab9x107 ="tab9: OCCUPATION=10, MEANS11=8"
      tab9x108 ="tab9: OCCUPATION=10, MEANS11=9"
      tab9x109 ="tab9: OCCUPATION=10, MEANS11=10"
      tab9x110 ="tab9: OCCUPATION=10, MEANS11=11"
      tab9x111 ="tab9: OCCUPATION=11, MEANS11=1"
      tab9x112 ="tab9: OCCUPATION=11, MEANS11=2"
      tab9x113 ="tab9: OCCUPATION=11, MEANS11=3"
      tab9x114 ="tab9: OCCUPATION=11, MEANS11=4"
      tab9x115 ="tab9: OCCUPATION=11, MEANS11=5"
      tab9x116 ="tab9: OCCUPATION=11, MEANS11=6"
      tab9x117 ="tab9: OCCUPATION=11, MEANS11=7"
      tab9x118 ="tab9: OCCUPATION=11, MEANS11=8"
      tab9x119 ="tab9: OCCUPATION=11, MEANS11=9"
      tab9x120 ="tab9: OCCUPATION=11, MEANS11=10"
      tab9x121 ="tab9: OCCUPATION=11, MEANS11=11"
      tab9x122 ="tab9: OCCUPATION=12, MEANS11=1"
      tab9x123 ="tab9: OCCUPATION=12, MEANS11=2"
      tab9x124 ="tab9: OCCUPATION=12, MEANS11=3"
      tab9x125 ="tab9: OCCUPATION=12, MEANS11=4"
      tab9x126 ="tab9: OCCUPATION=12, MEANS11=5"
      tab9x127 ="tab9: OCCUPATION=12, MEANS11=6"
      tab9x128 ="tab9: OCCUPATION=12, MEANS11=7"
      tab9x129 ="tab9: OCCUPATION=12, MEANS11=8"
      tab9x130 ="tab9: OCCUPATION=12, MEANS11=9"
      tab9x131 ="tab9: OCCUPATION=12, MEANS11=10"
      tab9x132 ="tab9: OCCUPATION=12, MEANS11=11"
      tab9x133 ="tab9: OCCUPATION=13, MEANS11=1"
      tab9x134 ="tab9: OCCUPATION=13, MEANS11=2"
      tab9x135 ="tab9: OCCUPATION=13, MEANS11=3"
      tab9x136 ="tab9: OCCUPATION=13, MEANS11=4"
      tab9x137 ="tab9: OCCUPATION=13, MEANS11=5"
      tab9x138 ="tab9: OCCUPATION=13, MEANS11=6"
      tab9x139 ="tab9: OCCUPATION=13, MEANS11=7"
      tab9x140 ="tab9: OCCUPATION=13, MEANS11=8"
      tab9x141 ="tab9: OCCUPATION=13, MEANS11=9"
      tab9x142 ="tab9: OCCUPATION=13, MEANS11=10"
      tab9x143 ="tab9: OCCUPATION=13, MEANS11=11"
      tab9x144 ="tab9: OCCUPATION=14, MEANS11=1"
      tab9x145 ="tab9: OCCUPATION=14, MEANS11=2"
      tab9x146 ="tab9: OCCUPATION=14, MEANS11=3"
      tab9x147 ="tab9: OCCUPATION=14, MEANS11=4"
      tab9x148 ="tab9: OCCUPATION=14, MEANS11=5"
      tab9x149 ="tab9: OCCUPATION=14, MEANS11=6"
      tab9x150 ="tab9: OCCUPATION=14, MEANS11=7"
      tab9x151 ="tab9: OCCUPATION=14, MEANS11=8"
      tab9x152 ="tab9: OCCUPATION=14, MEANS11=9"
      tab9x153 ="tab9: OCCUPATION=14, MEANS11=10"
      tab9x154 ="tab9: OCCUPATION=14, MEANS11=11"
      tab9x155 ="tab9: OCCUPATION=15, MEANS11=1"
      tab9x156 ="tab9: OCCUPATION=15, MEANS11=2"
      tab9x157 ="tab9: OCCUPATION=15, MEANS11=3"
      tab9x158 ="tab9: OCCUPATION=15, MEANS11=4"
      tab9x159 ="tab9: OCCUPATION=15, MEANS11=5"
      tab9x160 ="tab9: OCCUPATION=15, MEANS11=6"
      tab9x161 ="tab9: OCCUPATION=15, MEANS11=7"
      tab9x162 ="tab9: OCCUPATION=15, MEANS11=8"
      tab9x163 ="tab9: OCCUPATION=15, MEANS11=9"
      tab9x164 ="tab9: OCCUPATION=15, MEANS11=10"
      tab9x165 ="tab9: OCCUPATION=15, MEANS11=11"
      tab9x166 ="tab9: OCCUPATION=16, MEANS11=1"
      tab9x167 ="tab9: OCCUPATION=16, MEANS11=2"
      tab9x168 ="tab9: OCCUPATION=16, MEANS11=3"
      tab9x169 ="tab9: OCCUPATION=16, MEANS11=4"
      tab9x170 ="tab9: OCCUPATION=16, MEANS11=5"
      tab9x171 ="tab9: OCCUPATION=16, MEANS11=6"
      tab9x172 ="tab9: OCCUPATION=16, MEANS11=7"
      tab9x173 ="tab9: OCCUPATION=16, MEANS11=8"
      tab9x174 ="tab9: OCCUPATION=16, MEANS11=9"
      tab9x175 ="tab9: OCCUPATION=16, MEANS11=10"
      tab9x176 ="tab9: OCCUPATION=16, MEANS11=11"
      tab9x177 ="tab9: OCCUPATION=17, MEANS11=1"
      tab9x178 ="tab9: OCCUPATION=17, MEANS11=2"
      tab9x179 ="tab9: OCCUPATION=17, MEANS11=3"
      tab9x180 ="tab9: OCCUPATION=17, MEANS11=4"
      tab9x181 ="tab9: OCCUPATION=17, MEANS11=5"
      tab9x182 ="tab9: OCCUPATION=17, MEANS11=6"
      tab9x183 ="tab9: OCCUPATION=17, MEANS11=7"
      tab9x184 ="tab9: OCCUPATION=17, MEANS11=8"
      tab9x185 ="tab9: OCCUPATION=17, MEANS11=9"
      tab9x186 ="tab9: OCCUPATION=17, MEANS11=10"
      tab9x187 ="tab9: OCCUPATION=17, MEANS11=11"
      tab9x188 ="tab9: OCCUPATION=18, MEANS11=1"
      tab9x189 ="tab9: OCCUPATION=18, MEANS11=2"
      tab9x190 ="tab9: OCCUPATION=18, MEANS11=3"
      tab9x191 ="tab9: OCCUPATION=18, MEANS11=4"
      tab9x192 ="tab9: OCCUPATION=18, MEANS11=5"
      tab9x193 ="tab9: OCCUPATION=18, MEANS11=6"
      tab9x194 ="tab9: OCCUPATION=18, MEANS11=7"
      tab9x195 ="tab9: OCCUPATION=18, MEANS11=8"
      tab9x196 ="tab9: OCCUPATION=18, MEANS11=9"
      tab9x197 ="tab9: OCCUPATION=18, MEANS11=10"
      tab9x198 ="tab9: OCCUPATION=18, MEANS11=11"
      tab9x199 ="tab9: OCCUPATION=19, MEANS11=1"
      tab9x200 ="tab9: OCCUPATION=19, MEANS11=2"
      tab9x201 ="tab9: OCCUPATION=19, MEANS11=3"
      tab9x202 ="tab9: OCCUPATION=19, MEANS11=4"
      tab9x203 ="tab9: OCCUPATION=19, MEANS11=5"
      tab9x204 ="tab9: OCCUPATION=19, MEANS11=6"
      tab9x205 ="tab9: OCCUPATION=19, MEANS11=7"
      tab9x206 ="tab9: OCCUPATION=19, MEANS11=8"
      tab9x207 ="tab9: OCCUPATION=19, MEANS11=9"
      tab9x208 ="tab9: OCCUPATION=19, MEANS11=10"
      tab9x209 ="tab9: OCCUPATION=19, MEANS11=11"
      tab9x210 ="tab9: OCCUPATION=20, MEANS11=1"
      tab9x211 ="tab9: OCCUPATION=20, MEANS11=2"
      tab9x212 ="tab9: OCCUPATION=20, MEANS11=3"
      tab9x213 ="tab9: OCCUPATION=20, MEANS11=4"
      tab9x214 ="tab9: OCCUPATION=20, MEANS11=5"
      tab9x215 ="tab9: OCCUPATION=20, MEANS11=6"
      tab9x216 ="tab9: OCCUPATION=20, MEANS11=7"
      tab9x217 ="tab9: OCCUPATION=20, MEANS11=8"
      tab9x218 ="tab9: OCCUPATION=20, MEANS11=9"
      tab9x219 ="tab9: OCCUPATION=20, MEANS11=10"
      tab9x220 ="tab9: OCCUPATION=20, MEANS11=11"
      tab9x221 ="tab9: OCCUPATION=21, MEANS11=1"
      tab9x222 ="tab9: OCCUPATION=21, MEANS11=2"
      tab9x223 ="tab9: OCCUPATION=21, MEANS11=3"
      tab9x224 ="tab9: OCCUPATION=21, MEANS11=4"
      tab9x225 ="tab9: OCCUPATION=21, MEANS11=5"
      tab9x226 ="tab9: OCCUPATION=21, MEANS11=6"
      tab9x227 ="tab9: OCCUPATION=21, MEANS11=7"
      tab9x228 ="tab9: OCCUPATION=21, MEANS11=8"
      tab9x229 ="tab9: OCCUPATION=21, MEANS11=9"
      tab9x230 ="tab9: OCCUPATION=21, MEANS11=10"
      tab9x231 ="tab9: OCCUPATION=21, MEANS11=11"
      tab9x232 ="tab9: OCCUPATION=22, MEANS11=1"
      tab9x233 ="tab9: OCCUPATION=22, MEANS11=2"
      tab9x234 ="tab9: OCCUPATION=22, MEANS11=3"
      tab9x235 ="tab9: OCCUPATION=22, MEANS11=4"
      tab9x236 ="tab9: OCCUPATION=22, MEANS11=5"
      tab9x237 ="tab9: OCCUPATION=22, MEANS11=6"
      tab9x238 ="tab9: OCCUPATION=22, MEANS11=7"
      tab9x239 ="tab9: OCCUPATION=22, MEANS11=8"
      tab9x240 ="tab9: OCCUPATION=22, MEANS11=9"
      tab9x241 ="tab9: OCCUPATION=22, MEANS11=10"
      tab9x242 ="tab9: OCCUPATION=22, MEANS11=11"
      tab9x243 ="tab9: OCCUPATION=23, MEANS11=1"
      tab9x244 ="tab9: OCCUPATION=23, MEANS11=2"
      tab9x245 ="tab9: OCCUPATION=23, MEANS11=3"
      tab9x246 ="tab9: OCCUPATION=23, MEANS11=4"
      tab9x247 ="tab9: OCCUPATION=23, MEANS11=5"
      tab9x248 ="tab9: OCCUPATION=23, MEANS11=6"
      tab9x249 ="tab9: OCCUPATION=23, MEANS11=7"
      tab9x250 ="tab9: OCCUPATION=23, MEANS11=8"
      tab9x251 ="tab9: OCCUPATION=23, MEANS11=9"
      tab9x252 ="tab9: OCCUPATION=23, MEANS11=10"
      tab9x253 ="tab9: OCCUPATION=23, MEANS11=11"
      tab9x254 ="tab9: OCCUPATION=24, MEANS11=1"
      tab9x255 ="tab9: OCCUPATION=24, MEANS11=2"
      tab9x256 ="tab9: OCCUPATION=24, MEANS11=3"
      tab9x257 ="tab9: OCCUPATION=24, MEANS11=4"
      tab9x258 ="tab9: OCCUPATION=24, MEANS11=5"
      tab9x259 ="tab9: OCCUPATION=24, MEANS11=6"
      tab9x260 ="tab9: OCCUPATION=24, MEANS11=7"
      tab9x261 ="tab9: OCCUPATION=24, MEANS11=8"
      tab9x262 ="tab9: OCCUPATION=24, MEANS11=9"
      tab9x263 ="tab9: OCCUPATION=24, MEANS11=10"
      tab9x264 ="tab9: OCCUPATION=24, MEANS11=11"
      tab9x265 ="tab9: OCCUPATION=25, MEANS11=1"
      tab9x266 ="tab9: OCCUPATION=25, MEANS11=2"
      tab9x267 ="tab9: OCCUPATION=25, MEANS11=3"
      tab9x268 ="tab9: OCCUPATION=25, MEANS11=4"
      tab9x269 ="tab9: OCCUPATION=25, MEANS11=5"
      tab9x270 ="tab9: OCCUPATION=25, MEANS11=6"
      tab9x271 ="tab9: OCCUPATION=25, MEANS11=7"
      tab9x272 ="tab9: OCCUPATION=25, MEANS11=8"
      tab9x273 ="tab9: OCCUPATION=25, MEANS11=9"
      tab9x274 ="tab9: OCCUPATION=25, MEANS11=10"
      tab9x275 ="tab9: OCCUPATION=25, MEANS11=11"
      tab10x1  ="tab10: INDUSTRY=1, MEANS11=1"
      tab10x2  ="tab10: INDUSTRY=1, MEANS11=2"
      tab10x3  ="tab10: INDUSTRY=1, MEANS11=3"
      tab10x4  ="tab10: INDUSTRY=1, MEANS11=4"
      tab10x5  ="tab10: INDUSTRY=1, MEANS11=5"
      tab10x6  ="tab10: INDUSTRY=1, MEANS11=6"
      tab10x7  ="tab10: INDUSTRY=1, MEANS11=7"
      tab10x8  ="tab10: INDUSTRY=1, MEANS11=8"
      tab10x9  ="tab10: INDUSTRY=1, MEANS11=9"
      tab10x10 ="tab10: INDUSTRY=1, MEANS11=10"
      tab10x11 ="tab10: INDUSTRY=1, MEANS11=11"
      tab10x12 ="tab10: INDUSTRY=2, MEANS11=1"
      tab10x13 ="tab10: INDUSTRY=2, MEANS11=2"
      tab10x14 ="tab10: INDUSTRY=2, MEANS11=3"
      tab10x15 ="tab10: INDUSTRY=2, MEANS11=4"
      tab10x16 ="tab10: INDUSTRY=2, MEANS11=5"
      tab10x17 ="tab10: INDUSTRY=2, MEANS11=6"
      tab10x18 ="tab10: INDUSTRY=2, MEANS11=7"
      tab10x19 ="tab10: INDUSTRY=2, MEANS11=8"
      tab10x20 ="tab10: INDUSTRY=2, MEANS11=9"
      tab10x21 ="tab10: INDUSTRY=2, MEANS11=10"
      tab10x22 ="tab10: INDUSTRY=2, MEANS11=11"
      tab10x23 ="tab10: INDUSTRY=3, MEANS11=1"
      tab10x24 ="tab10: INDUSTRY=3, MEANS11=2"
      tab10x25 ="tab10: INDUSTRY=3, MEANS11=3"
      tab10x26 ="tab10: INDUSTRY=3, MEANS11=4"
      tab10x27 ="tab10: INDUSTRY=3, MEANS11=5"
      tab10x28 ="tab10: INDUSTRY=3, MEANS11=6"
      tab10x29 ="tab10: INDUSTRY=3, MEANS11=7"
      tab10x30 ="tab10: INDUSTRY=3, MEANS11=8"
      tab10x31 ="tab10: INDUSTRY=3, MEANS11=9"
      tab10x32 ="tab10: INDUSTRY=3, MEANS11=10"
      tab10x33 ="tab10: INDUSTRY=3, MEANS11=11"
      tab10x34 ="tab10: INDUSTRY=4, MEANS11=1"
      tab10x35 ="tab10: INDUSTRY=4, MEANS11=2"
      tab10x36 ="tab10: INDUSTRY=4, MEANS11=3"
      tab10x37 ="tab10: INDUSTRY=4, MEANS11=4"
      tab10x38 ="tab10: INDUSTRY=4, MEANS11=5"
      tab10x39 ="tab10: INDUSTRY=4, MEANS11=6"
      tab10x40 ="tab10: INDUSTRY=4, MEANS11=7"
      tab10x41 ="tab10: INDUSTRY=4, MEANS11=8"
      tab10x42 ="tab10: INDUSTRY=4, MEANS11=9"
      tab10x43 ="tab10: INDUSTRY=4, MEANS11=10"
      tab10x44 ="tab10: INDUSTRY=4, MEANS11=11"
      tab10x45 ="tab10: INDUSTRY=5, MEANS11=1"
      tab10x46 ="tab10: INDUSTRY=5, MEANS11=2"
      tab10x47 ="tab10: INDUSTRY=5, MEANS11=3"
      tab10x48 ="tab10: INDUSTRY=5, MEANS11=4"
      tab10x49 ="tab10: INDUSTRY=5, MEANS11=5"
      tab10x50 ="tab10: INDUSTRY=5, MEANS11=6"
      tab10x51 ="tab10: INDUSTRY=5, MEANS11=7"
      tab10x52 ="tab10: INDUSTRY=5, MEANS11=8"
      tab10x53 ="tab10: INDUSTRY=5, MEANS11=9"
      tab10x54 ="tab10: INDUSTRY=5, MEANS11=10"
      tab10x55 ="tab10: INDUSTRY=5, MEANS11=11"
      tab10x56 ="tab10: INDUSTRY=6, MEANS11=1"
      tab10x57 ="tab10: INDUSTRY=6, MEANS11=2"
      tab10x58 ="tab10: INDUSTRY=6, MEANS11=3"
      tab10x59 ="tab10: INDUSTRY=6, MEANS11=4"
      tab10x60 ="tab10: INDUSTRY=6, MEANS11=5"
      tab10x61 ="tab10: INDUSTRY=6, MEANS11=6"
      tab10x62 ="tab10: INDUSTRY=6, MEANS11=7"
      tab10x63 ="tab10: INDUSTRY=6, MEANS11=8"
      tab10x64 ="tab10: INDUSTRY=6, MEANS11=9"
      tab10x65 ="tab10: INDUSTRY=6, MEANS11=10"
      tab10x66 ="tab10: INDUSTRY=6, MEANS11=11"
      tab10x67 ="tab10: INDUSTRY=7, MEANS11=1"
      tab10x68 ="tab10: INDUSTRY=7, MEANS11=2"
      tab10x69 ="tab10: INDUSTRY=7, MEANS11=3"
      tab10x70 ="tab10: INDUSTRY=7, MEANS11=4"
      tab10x71 ="tab10: INDUSTRY=7, MEANS11=5"
      tab10x72 ="tab10: INDUSTRY=7, MEANS11=6"
      tab10x73 ="tab10: INDUSTRY=7, MEANS11=7"
      tab10x74 ="tab10: INDUSTRY=7, MEANS11=8"
      tab10x75 ="tab10: INDUSTRY=7, MEANS11=9"
      tab10x76 ="tab10: INDUSTRY=7, MEANS11=10"
      tab10x77 ="tab10: INDUSTRY=7, MEANS11=11"
      tab10x78 ="tab10: INDUSTRY=8, MEANS11=1"
      tab10x79 ="tab10: INDUSTRY=8, MEANS11=2"
      tab10x80 ="tab10: INDUSTRY=8, MEANS11=3"
      tab10x81 ="tab10: INDUSTRY=8, MEANS11=4"
      tab10x82 ="tab10: INDUSTRY=8, MEANS11=5"
      tab10x83 ="tab10: INDUSTRY=8, MEANS11=6"
      tab10x84 ="tab10: INDUSTRY=8, MEANS11=7"
      tab10x85 ="tab10: INDUSTRY=8, MEANS11=8"
      tab10x86 ="tab10: INDUSTRY=8, MEANS11=9"
      tab10x87 ="tab10: INDUSTRY=8, MEANS11=10"
      tab10x88 ="tab10: INDUSTRY=8, MEANS11=11"
      tab10x89 ="tab10: INDUSTRY=9, MEANS11=1"
      tab10x90 ="tab10: INDUSTRY=9, MEANS11=2"
      tab10x91 ="tab10: INDUSTRY=9, MEANS11=3"
      tab10x92 ="tab10: INDUSTRY=9, MEANS11=4"
      tab10x93 ="tab10: INDUSTRY=9, MEANS11=5"
      tab10x94 ="tab10: INDUSTRY=9, MEANS11=6"
      tab10x95 ="tab10: INDUSTRY=9, MEANS11=7"
      tab10x96 ="tab10: INDUSTRY=9, MEANS11=8"
      tab10x97 ="tab10: INDUSTRY=9, MEANS11=9"
      tab10x98 ="tab10: INDUSTRY=9, MEANS11=10"
      tab10x99 ="tab10: INDUSTRY=9, MEANS11=11"
      tab10x100="tab10: INDUSTRY=10, MEANS11=1"
      tab10x101="tab10: INDUSTRY=10, MEANS11=2"
      tab10x102="tab10: INDUSTRY=10, MEANS11=3"
      tab10x103="tab10: INDUSTRY=10, MEANS11=4"
      tab10x104="tab10: INDUSTRY=10, MEANS11=5"
      tab10x105="tab10: INDUSTRY=10, MEANS11=6"
      tab10x106="tab10: INDUSTRY=10, MEANS11=7"
      tab10x107="tab10: INDUSTRY=10, MEANS11=8"
      tab10x108="tab10: INDUSTRY=10, MEANS11=9"
      tab10x109="tab10: INDUSTRY=10, MEANS11=10"
      tab10x110="tab10: INDUSTRY=10, MEANS11=11"
      tab10x111="tab10: INDUSTRY=11, MEANS11=1"
      tab10x112="tab10: INDUSTRY=11, MEANS11=2"
      tab10x113="tab10: INDUSTRY=11, MEANS11=3"
      tab10x114="tab10: INDUSTRY=11, MEANS11=4"
      tab10x115="tab10: INDUSTRY=11, MEANS11=5"
      tab10x116="tab10: INDUSTRY=11, MEANS11=6"
      tab10x117="tab10: INDUSTRY=11, MEANS11=7"
      tab10x118="tab10: INDUSTRY=11, MEANS11=8"
      tab10x119="tab10: INDUSTRY=11, MEANS11=9"
      tab10x120="tab10: INDUSTRY=11, MEANS11=10"
      tab10x121="tab10: INDUSTRY=11, MEANS11=11"
      tab10x122="tab10: INDUSTRY=12, MEANS11=1"
      tab10x123="tab10: INDUSTRY=12, MEANS11=2"
      tab10x124="tab10: INDUSTRY=12, MEANS11=3"
      tab10x125="tab10: INDUSTRY=12, MEANS11=4"
      tab10x126="tab10: INDUSTRY=12, MEANS11=5"
      tab10x127="tab10: INDUSTRY=12, MEANS11=6"
      tab10x128="tab10: INDUSTRY=12, MEANS11=7"
      tab10x129="tab10: INDUSTRY=12, MEANS11=8"
      tab10x130="tab10: INDUSTRY=12, MEANS11=9"
      tab10x131="tab10: INDUSTRY=12, MEANS11=10"
      tab10x132="tab10: INDUSTRY=12, MEANS11=11"
      tab10x133="tab10: INDUSTRY=13, MEANS11=1"
      tab10x134="tab10: INDUSTRY=13, MEANS11=2"
      tab10x135="tab10: INDUSTRY=13, MEANS11=3"
      tab10x136="tab10: INDUSTRY=13, MEANS11=4"
      tab10x137="tab10: INDUSTRY=13, MEANS11=5"
      tab10x138="tab10: INDUSTRY=13, MEANS11=6"
      tab10x139="tab10: INDUSTRY=13, MEANS11=7"
      tab10x140="tab10: INDUSTRY=13, MEANS11=8"
      tab10x141="tab10: INDUSTRY=13, MEANS11=9"
      tab10x142="tab10: INDUSTRY=13, MEANS11=10"
      tab10x143="tab10: INDUSTRY=13, MEANS11=11"
      tab10x144="tab10: INDUSTRY=14, MEANS11=1"
      tab10x145="tab10: INDUSTRY=14, MEANS11=2"
      tab10x146="tab10: INDUSTRY=14, MEANS11=3"
      tab10x147="tab10: INDUSTRY=14, MEANS11=4"
      tab10x148="tab10: INDUSTRY=14, MEANS11=5"
      tab10x149="tab10: INDUSTRY=14, MEANS11=6"
      tab10x150="tab10: INDUSTRY=14, MEANS11=7"
      tab10x151="tab10: INDUSTRY=14, MEANS11=8"
      tab10x152="tab10: INDUSTRY=14, MEANS11=9"
      tab10x153="tab10: INDUSTRY=14, MEANS11=10"
      tab10x154="tab10: INDUSTRY=14, MEANS11=11"
      tab10x155="tab10: INDUSTRY=15, MEANS11=1"
      tab10x156="tab10: INDUSTRY=15, MEANS11=2"
      tab10x157="tab10: INDUSTRY=15, MEANS11=3"
      tab10x158="tab10: INDUSTRY=15, MEANS11=4"
      tab10x159="tab10: INDUSTRY=15, MEANS11=5"
      tab10x160="tab10: INDUSTRY=15, MEANS11=6"
      tab10x161="tab10: INDUSTRY=15, MEANS11=7"
      tab10x162="tab10: INDUSTRY=15, MEANS11=8"
      tab10x163="tab10: INDUSTRY=15, MEANS11=9"
      tab10x164="tab10: INDUSTRY=15, MEANS11=10"
      tab10x165="tab10: INDUSTRY=15, MEANS11=11"
      tab11x1  ="tab11: INDUSTRY=1, EARNINGS=1"
      tab11x2  ="tab11: INDUSTRY=1, EARNINGS=2"
      tab11x3  ="tab11: INDUSTRY=1, EARNINGS=3"
      tab11x4  ="tab11: INDUSTRY=1, EARNINGS=4"
      tab11x5  ="tab11: INDUSTRY=1, EARNINGS=5"
      tab11x6  ="tab11: INDUSTRY=1, EARNINGS=6"
      tab11x7  ="tab11: INDUSTRY=1, EARNINGS=7"
      tab11x8  ="tab11: INDUSTRY=1, EARNINGS=8"
      tab11x9  ="tab11: INDUSTRY=1, EARNINGS=9"
      tab11x10 ="tab11: INDUSTRY=1, EARNINGS=10"
      tab11x11 ="tab11: INDUSTRY=1, EARNINGS=11"
      tab11x12 ="tab11: INDUSTRY=1, EARNINGS=12"
      tab11x13 ="tab11: INDUSTRY=2, EARNINGS=1"
      tab11x14 ="tab11: INDUSTRY=2, EARNINGS=2"
      tab11x15 ="tab11: INDUSTRY=2, EARNINGS=3"
      tab11x16 ="tab11: INDUSTRY=2, EARNINGS=4"
      tab11x17 ="tab11: INDUSTRY=2, EARNINGS=5"
      tab11x18 ="tab11: INDUSTRY=2, EARNINGS=6"
      tab11x19 ="tab11: INDUSTRY=2, EARNINGS=7"
      tab11x20 ="tab11: INDUSTRY=2, EARNINGS=8"
      tab11x21 ="tab11: INDUSTRY=2, EARNINGS=9"
      tab11x22 ="tab11: INDUSTRY=2, EARNINGS=10"
      tab11x23 ="tab11: INDUSTRY=2, EARNINGS=11"
      tab11x24 ="tab11: INDUSTRY=2, EARNINGS=12"
      tab11x25 ="tab11: INDUSTRY=3, EARNINGS=1"
      tab11x26 ="tab11: INDUSTRY=3, EARNINGS=2"
      tab11x27 ="tab11: INDUSTRY=3, EARNINGS=3"
      tab11x28 ="tab11: INDUSTRY=3, EARNINGS=4"
      tab11x29 ="tab11: INDUSTRY=3, EARNINGS=5"
      tab11x30 ="tab11: INDUSTRY=3, EARNINGS=6"
      tab11x31 ="tab11: INDUSTRY=3, EARNINGS=7"
      tab11x32 ="tab11: INDUSTRY=3, EARNINGS=8"
      tab11x33 ="tab11: INDUSTRY=3, EARNINGS=9"
      tab11x34 ="tab11: INDUSTRY=3, EARNINGS=10"
      tab11x35 ="tab11: INDUSTRY=3, EARNINGS=11"
      tab11x36 ="tab11: INDUSTRY=3, EARNINGS=12"
      tab11x37 ="tab11: INDUSTRY=4, EARNINGS=1"
      tab11x38 ="tab11: INDUSTRY=4, EARNINGS=2"
      tab11x39 ="tab11: INDUSTRY=4, EARNINGS=3"
      tab11x40 ="tab11: INDUSTRY=4, EARNINGS=4"
      tab11x41 ="tab11: INDUSTRY=4, EARNINGS=5"
      tab11x42 ="tab11: INDUSTRY=4, EARNINGS=6"
      tab11x43 ="tab11: INDUSTRY=4, EARNINGS=7"
      tab11x44 ="tab11: INDUSTRY=4, EARNINGS=8"
      tab11x45 ="tab11: INDUSTRY=4, EARNINGS=9"
      tab11x46 ="tab11: INDUSTRY=4, EARNINGS=10"
      tab11x47 ="tab11: INDUSTRY=4, EARNINGS=11"
      tab11x48 ="tab11: INDUSTRY=4, EARNINGS=12"
      tab11x49 ="tab11: INDUSTRY=5, EARNINGS=1"
      tab11x50 ="tab11: INDUSTRY=5, EARNINGS=2"
      tab11x51 ="tab11: INDUSTRY=5, EARNINGS=3"
      tab11x52 ="tab11: INDUSTRY=5, EARNINGS=4"
      tab11x53 ="tab11: INDUSTRY=5, EARNINGS=5"
      tab11x54 ="tab11: INDUSTRY=5, EARNINGS=6"
      tab11x55 ="tab11: INDUSTRY=5, EARNINGS=7"
      tab11x56 ="tab11: INDUSTRY=5, EARNINGS=8"
      tab11x57 ="tab11: INDUSTRY=5, EARNINGS=9"
      tab11x58 ="tab11: INDUSTRY=5, EARNINGS=10"
      tab11x59 ="tab11: INDUSTRY=5, EARNINGS=11"
      tab11x60 ="tab11: INDUSTRY=5, EARNINGS=12"
      tab11x61 ="tab11: INDUSTRY=6, EARNINGS=1"
      tab11x62 ="tab11: INDUSTRY=6, EARNINGS=2"
      tab11x63 ="tab11: INDUSTRY=6, EARNINGS=3"
      tab11x64 ="tab11: INDUSTRY=6, EARNINGS=4"
      tab11x65 ="tab11: INDUSTRY=6, EARNINGS=5"
      tab11x66 ="tab11: INDUSTRY=6, EARNINGS=6"
      tab11x67 ="tab11: INDUSTRY=6, EARNINGS=7"
      tab11x68 ="tab11: INDUSTRY=6, EARNINGS=8"
      tab11x69 ="tab11: INDUSTRY=6, EARNINGS=9"
      tab11x70 ="tab11: INDUSTRY=6, EARNINGS=10"
      tab11x71 ="tab11: INDUSTRY=6, EARNINGS=11"
      tab11x72 ="tab11: INDUSTRY=6, EARNINGS=12"
      tab11x73 ="tab11: INDUSTRY=7, EARNINGS=1"
      tab11x74 ="tab11: INDUSTRY=7, EARNINGS=2"
      tab11x75 ="tab11: INDUSTRY=7, EARNINGS=3"
      tab11x76 ="tab11: INDUSTRY=7, EARNINGS=4"
      tab11x77 ="tab11: INDUSTRY=7, EARNINGS=5"
      tab11x78 ="tab11: INDUSTRY=7, EARNINGS=6"
      tab11x79 ="tab11: INDUSTRY=7, EARNINGS=7"
      tab11x80 ="tab11: INDUSTRY=7, EARNINGS=8"
      tab11x81 ="tab11: INDUSTRY=7, EARNINGS=9"
      tab11x82 ="tab11: INDUSTRY=7, EARNINGS=10"
      tab11x83 ="tab11: INDUSTRY=7, EARNINGS=11"
      tab11x84 ="tab11: INDUSTRY=7, EARNINGS=12"
      tab11x85 ="tab11: INDUSTRY=8, EARNINGS=1"
      tab11x86 ="tab11: INDUSTRY=8, EARNINGS=2"
      tab11x87 ="tab11: INDUSTRY=8, EARNINGS=3"
      tab11x88 ="tab11: INDUSTRY=8, EARNINGS=4"
      tab11x89 ="tab11: INDUSTRY=8, EARNINGS=5"
      tab11x90 ="tab11: INDUSTRY=8, EARNINGS=6"
      tab11x91 ="tab11: INDUSTRY=8, EARNINGS=7"
      tab11x92 ="tab11: INDUSTRY=8, EARNINGS=8"
      tab11x93 ="tab11: INDUSTRY=8, EARNINGS=9"
      tab11x94 ="tab11: INDUSTRY=8, EARNINGS=10"
      tab11x95 ="tab11: INDUSTRY=8, EARNINGS=11"
      tab11x96 ="tab11: INDUSTRY=8, EARNINGS=12"
      tab11x97 ="tab11: INDUSTRY=9, EARNINGS=1"
      tab11x98 ="tab11: INDUSTRY=9, EARNINGS=2"
      tab11x99 ="tab11: INDUSTRY=9, EARNINGS=3"
      tab11x100="tab11: INDUSTRY=9, EARNINGS=4"
      tab11x101="tab11: INDUSTRY=9, EARNINGS=5"
      tab11x102="tab11: INDUSTRY=9, EARNINGS=6"
      tab11x103="tab11: INDUSTRY=9, EARNINGS=7"
      tab11x104="tab11: INDUSTRY=9, EARNINGS=8"
      tab11x105="tab11: INDUSTRY=9, EARNINGS=9"
      tab11x106="tab11: INDUSTRY=9, EARNINGS=10"
      tab11x107="tab11: INDUSTRY=9, EARNINGS=11"
      tab11x108="tab11: INDUSTRY=9, EARNINGS=12"
      tab11x109="tab11: INDUSTRY=10, EARNINGS=1"
      tab11x110="tab11: INDUSTRY=10, EARNINGS=2"
      tab11x111="tab11: INDUSTRY=10, EARNINGS=3"
      tab11x112="tab11: INDUSTRY=10, EARNINGS=4"
      tab11x113="tab11: INDUSTRY=10, EARNINGS=5"
      tab11x114="tab11: INDUSTRY=10, EARNINGS=6"
      tab11x115="tab11: INDUSTRY=10, EARNINGS=7"
      tab11x116="tab11: INDUSTRY=10, EARNINGS=8"
      tab11x117="tab11: INDUSTRY=10, EARNINGS=9"
      tab11x118="tab11: INDUSTRY=10, EARNINGS=10"
      tab11x119="tab11: INDUSTRY=10, EARNINGS=11"
      tab11x120="tab11: INDUSTRY=10, EARNINGS=12"
      tab11x121="tab11: INDUSTRY=11, EARNINGS=1"
      tab11x122="tab11: INDUSTRY=11, EARNINGS=2"
      tab11x123="tab11: INDUSTRY=11, EARNINGS=3"
      tab11x124="tab11: INDUSTRY=11, EARNINGS=4"
      tab11x125="tab11: INDUSTRY=11, EARNINGS=5"
      tab11x126="tab11: INDUSTRY=11, EARNINGS=6"
      tab11x127="tab11: INDUSTRY=11, EARNINGS=7"
      tab11x128="tab11: INDUSTRY=11, EARNINGS=8"
      tab11x129="tab11: INDUSTRY=11, EARNINGS=9"
      tab11x130="tab11: INDUSTRY=11, EARNINGS=10"
      tab11x131="tab11: INDUSTRY=11, EARNINGS=11"
      tab11x132="tab11: INDUSTRY=11, EARNINGS=12"
      tab11x133="tab11: INDUSTRY=12, EARNINGS=1"
      tab11x134="tab11: INDUSTRY=12, EARNINGS=2"
      tab11x135="tab11: INDUSTRY=12, EARNINGS=3"
      tab11x136="tab11: INDUSTRY=12, EARNINGS=4"
      tab11x137="tab11: INDUSTRY=12, EARNINGS=5"
      tab11x138="tab11: INDUSTRY=12, EARNINGS=6"
      tab11x139="tab11: INDUSTRY=12, EARNINGS=7"
      tab11x140="tab11: INDUSTRY=12, EARNINGS=8"
      tab11x141="tab11: INDUSTRY=12, EARNINGS=9"
      tab11x142="tab11: INDUSTRY=12, EARNINGS=10"
      tab11x143="tab11: INDUSTRY=12, EARNINGS=11"
      tab11x144="tab11: INDUSTRY=12, EARNINGS=12"
      tab11x145="tab11: INDUSTRY=13, EARNINGS=1"
      tab11x146="tab11: INDUSTRY=13, EARNINGS=2"
      tab11x147="tab11: INDUSTRY=13, EARNINGS=3"
      tab11x148="tab11: INDUSTRY=13, EARNINGS=4"
      tab11x149="tab11: INDUSTRY=13, EARNINGS=5"
      tab11x150="tab11: INDUSTRY=13, EARNINGS=6"
      tab11x151="tab11: INDUSTRY=13, EARNINGS=7"
      tab11x152="tab11: INDUSTRY=13, EARNINGS=8"
      tab11x153="tab11: INDUSTRY=13, EARNINGS=9"
      tab11x154="tab11: INDUSTRY=13, EARNINGS=10"
      tab11x155="tab11: INDUSTRY=13, EARNINGS=11"
      tab11x156="tab11: INDUSTRY=13, EARNINGS=12"
      tab11x157="tab11: INDUSTRY=14, EARNINGS=1"
      tab11x158="tab11: INDUSTRY=14, EARNINGS=2"
      tab11x159="tab11: INDUSTRY=14, EARNINGS=3"
      tab11x160="tab11: INDUSTRY=14, EARNINGS=4"
      tab11x161="tab11: INDUSTRY=14, EARNINGS=5"
      tab11x162="tab11: INDUSTRY=14, EARNINGS=6"
      tab11x163="tab11: INDUSTRY=14, EARNINGS=7"
      tab11x164="tab11: INDUSTRY=14, EARNINGS=8"
      tab11x165="tab11: INDUSTRY=14, EARNINGS=9"
      tab11x166="tab11: INDUSTRY=14, EARNINGS=10"
      tab11x167="tab11: INDUSTRY=14, EARNINGS=11"
      tab11x168="tab11: INDUSTRY=14, EARNINGS=12"
      tab11x169="tab11: INDUSTRY=15, EARNINGS=1"
      tab11x170="tab11: INDUSTRY=15, EARNINGS=2"
      tab11x171="tab11: INDUSTRY=15, EARNINGS=3"
      tab11x172="tab11: INDUSTRY=15, EARNINGS=4"
      tab11x173="tab11: INDUSTRY=15, EARNINGS=5"
      tab11x174="tab11: INDUSTRY=15, EARNINGS=6"
      tab11x175="tab11: INDUSTRY=15, EARNINGS=7"
      tab11x176="tab11: INDUSTRY=15, EARNINGS=8"
      tab11x177="tab11: INDUSTRY=15, EARNINGS=9"
      tab11x178="tab11: INDUSTRY=15, EARNINGS=10"
      tab11x179="tab11: INDUSTRY=15, EARNINGS=11"
      tab11x180="tab11: INDUSTRY=15, EARNINGS=12"
      tab12x1  ="tab12: CLASS OF WORKER=1, MEANS11=1"
      tab12x2  ="tab12: CLASS OF WORKER=1, MEANS11=2"
      tab12x3  ="tab12: CLASS OF WORKER=1, MEANS11=3"
      tab12x4  ="tab12: CLASS OF WORKER=1, MEANS11=4"
      tab12x5  ="tab12: CLASS OF WORKER=1, MEANS11=5"
      tab12x6  ="tab12: CLASS OF WORKER=1, MEANS11=6"
      tab12x7  ="tab12: CLASS OF WORKER=1, MEANS11=7"
      tab12x8  ="tab12: CLASS OF WORKER=1, MEANS11=8"
      tab12x9  ="tab12: CLASS OF WORKER=1, MEANS11=9"
      tab12x10 ="tab12: CLASS OF WORKER=1, MEANS11=10"
      tab12x11 ="tab12: CLASS OF WORKER=1, MEANS11=11"
      tab12x12 ="tab12: CLASS OF WORKER=2, MEANS11=1"
      tab12x13 ="tab12: CLASS OF WORKER=2, MEANS11=2"
      tab12x14 ="tab12: CLASS OF WORKER=2, MEANS11=3"
      tab12x15 ="tab12: CLASS OF WORKER=2, MEANS11=4"
      tab12x16 ="tab12: CLASS OF WORKER=2, MEANS11=5"
      tab12x17 ="tab12: CLASS OF WORKER=2, MEANS11=6"
      tab12x18 ="tab12: CLASS OF WORKER=2, MEANS11=7"
      tab12x19 ="tab12: CLASS OF WORKER=2, MEANS11=8"
      tab12x20 ="tab12: CLASS OF WORKER=2, MEANS11=9"
      tab12x21 ="tab12: CLASS OF WORKER=2, MEANS11=10"
      tab12x22 ="tab12: CLASS OF WORKER=2, MEANS11=11"
      tab12x23 ="tab12: CLASS OF WORKER=3, MEANS11=1"
      tab12x24 ="tab12: CLASS OF WORKER=3, MEANS11=2"
      tab12x25 ="tab12: CLASS OF WORKER=3, MEANS11=3"
      tab12x26 ="tab12: CLASS OF WORKER=3, MEANS11=4"
      tab12x27 ="tab12: CLASS OF WORKER=3, MEANS11=5"
      tab12x28 ="tab12: CLASS OF WORKER=3, MEANS11=6"
      tab12x29 ="tab12: CLASS OF WORKER=3, MEANS11=7"
      tab12x30 ="tab12: CLASS OF WORKER=3, MEANS11=8"
      tab12x31 ="tab12: CLASS OF WORKER=3, MEANS11=9"
      tab12x32 ="tab12: CLASS OF WORKER=3, MEANS11=10"
      tab12x33 ="tab12: CLASS OF WORKER=3, MEANS11=11"
      tab12x34 ="tab12: CLASS OF WORKER=4, MEANS11=1"
      tab12x35 ="tab12: CLASS OF WORKER=4, MEANS11=2"
      tab12x36 ="tab12: CLASS OF WORKER=4, MEANS11=3"
      tab12x37 ="tab12: CLASS OF WORKER=4, MEANS11=4"
      tab12x38 ="tab12: CLASS OF WORKER=4, MEANS11=5"
      tab12x39 ="tab12: CLASS OF WORKER=4, MEANS11=6"
      tab12x40 ="tab12: CLASS OF WORKER=4, MEANS11=7"
      tab12x41 ="tab12: CLASS OF WORKER=4, MEANS11=8"
      tab12x42 ="tab12: CLASS OF WORKER=4, MEANS11=9"
      tab12x43 ="tab12: CLASS OF WORKER=4, MEANS11=10"
      tab12x44 ="tab12: CLASS OF WORKER=4, MEANS11=11"
      tab12x45 ="tab12: CLASS OF WORKER=5, MEANS11=1"
      tab12x46 ="tab12: CLASS OF WORKER=5, MEANS11=2"
      tab12x47 ="tab12: CLASS OF WORKER=5, MEANS11=3"
      tab12x48 ="tab12: CLASS OF WORKER=5, MEANS11=4"
      tab12x49 ="tab12: CLASS OF WORKER=5, MEANS11=5"
      tab12x50 ="tab12: CLASS OF WORKER=5, MEANS11=6"
      tab12x51 ="tab12: CLASS OF WORKER=5, MEANS11=7"
      tab12x52 ="tab12: CLASS OF WORKER=5, MEANS11=8"
      tab12x53 ="tab12: CLASS OF WORKER=5, MEANS11=9"
      tab12x54 ="tab12: CLASS OF WORKER=5, MEANS11=10"
      tab12x55 ="tab12: CLASS OF WORKER=5, MEANS11=11"
      tab12x56 ="tab12: CLASS OF WORKER=6, MEANS11=1"
      tab12x57 ="tab12: CLASS OF WORKER=6, MEANS11=2"
      tab12x58 ="tab12: CLASS OF WORKER=6, MEANS11=3"
      tab12x59 ="tab12: CLASS OF WORKER=6, MEANS11=4"
      tab12x60 ="tab12: CLASS OF WORKER=6, MEANS11=5"
      tab12x61 ="tab12: CLASS OF WORKER=6, MEANS11=6"
      tab12x62 ="tab12: CLASS OF WORKER=6, MEANS11=7"
      tab12x63 ="tab12: CLASS OF WORKER=6, MEANS11=8"
      tab12x64 ="tab12: CLASS OF WORKER=6, MEANS11=9"
      tab12x65 ="tab12: CLASS OF WORKER=6, MEANS11=10"
      tab12x66 ="tab12: CLASS OF WORKER=6, MEANS11=11"
      tab12x67 ="tab12: CLASS OF WORKER=7, MEANS11=1"
      tab12x68 ="tab12: CLASS OF WORKER=7, MEANS11=2"
      tab12x69 ="tab12: CLASS OF WORKER=7, MEANS11=3"
      tab12x70 ="tab12: CLASS OF WORKER=7, MEANS11=4"
      tab12x71 ="tab12: CLASS OF WORKER=7, MEANS11=5"
      tab12x72 ="tab12: CLASS OF WORKER=7, MEANS11=6"
      tab12x73 ="tab12: CLASS OF WORKER=7, MEANS11=7"
      tab12x74 ="tab12: CLASS OF WORKER=7, MEANS11=8"
      tab12x75 ="tab12: CLASS OF WORKER=7, MEANS11=9"
      tab12x76 ="tab12: CLASS OF WORKER=7, MEANS11=10"
      tab12x77 ="tab12: CLASS OF WORKER=7, MEANS11=11"
      tab12x78 ="tab12: CLASS OF WORKER=8, MEANS11=1"
      tab12x79 ="tab12: CLASS OF WORKER=8, MEANS11=2"
      tab12x80 ="tab12: CLASS OF WORKER=8, MEANS11=3"
      tab12x81 ="tab12: CLASS OF WORKER=8, MEANS11=4"
      tab12x82 ="tab12: CLASS OF WORKER=8, MEANS11=5"
      tab12x83 ="tab12: CLASS OF WORKER=8, MEANS11=6"
      tab12x84 ="tab12: CLASS OF WORKER=8, MEANS11=7"
      tab12x85 ="tab12: CLASS OF WORKER=8, MEANS11=8"
      tab12x86 ="tab12: CLASS OF WORKER=8, MEANS11=9"
      tab12x87 ="tab12: CLASS OF WORKER=8, MEANS11=10"
      tab12x88 ="tab12: CLASS OF WORKER=8, MEANS11=11"
      tab13x1  ="tab13: EARNINGS=1, MEANS11=1"
      tab13x2  ="tab13: EARNINGS=1, MEANS11=2"
      tab13x3  ="tab13: EARNINGS=1, MEANS11=3"
      tab13x4  ="tab13: EARNINGS=1, MEANS11=4"
      tab13x5  ="tab13: EARNINGS=1, MEANS11=5"
      tab13x6  ="tab13: EARNINGS=1, MEANS11=6"
      tab13x7  ="tab13: EARNINGS=1, MEANS11=7"
      tab13x8  ="tab13: EARNINGS=1, MEANS11=8"
      tab13x9  ="tab13: EARNINGS=1, MEANS11=9"
      tab13x10 ="tab13: EARNINGS=1, MEANS11=10"
      tab13x11 ="tab13: EARNINGS=1, MEANS11=11"
      tab13x12 ="tab13: EARNINGS=2, MEANS11=1"
      tab13x13 ="tab13: EARNINGS=2, MEANS11=2"
      tab13x14 ="tab13: EARNINGS=2, MEANS11=3"
      tab13x15 ="tab13: EARNINGS=2, MEANS11=4"
      tab13x16 ="tab13: EARNINGS=2, MEANS11=5"
      tab13x17 ="tab13: EARNINGS=2, MEANS11=6"
      tab13x18 ="tab13: EARNINGS=2, MEANS11=7"
      tab13x19 ="tab13: EARNINGS=2, MEANS11=8"
      tab13x20 ="tab13: EARNINGS=2, MEANS11=9"
      tab13x21 ="tab13: EARNINGS=2, MEANS11=10"
      tab13x22 ="tab13: EARNINGS=2, MEANS11=11"
      tab13x23 ="tab13: EARNINGS=3, MEANS11=1"
      tab13x24 ="tab13: EARNINGS=3, MEANS11=2"
      tab13x25 ="tab13: EARNINGS=3, MEANS11=3"
      tab13x26 ="tab13: EARNINGS=3, MEANS11=4"
      tab13x27 ="tab13: EARNINGS=3, MEANS11=5"
      tab13x28 ="tab13: EARNINGS=3, MEANS11=6"
      tab13x29 ="tab13: EARNINGS=3, MEANS11=7"
      tab13x30 ="tab13: EARNINGS=3, MEANS11=8"
      tab13x31 ="tab13: EARNINGS=3, MEANS11=9"
      tab13x32 ="tab13: EARNINGS=3, MEANS11=10"
      tab13x33 ="tab13: EARNINGS=3, MEANS11=11"
      tab13x34 ="tab13: EARNINGS=4, MEANS11=1"
      tab13x35 ="tab13: EARNINGS=4, MEANS11=2"
      tab13x36 ="tab13: EARNINGS=4, MEANS11=3"
      tab13x37 ="tab13: EARNINGS=4, MEANS11=4"
      tab13x38 ="tab13: EARNINGS=4, MEANS11=5"
      tab13x39 ="tab13: EARNINGS=4, MEANS11=6"
      tab13x40 ="tab13: EARNINGS=4, MEANS11=7"
      tab13x41 ="tab13: EARNINGS=4, MEANS11=8"
      tab13x42 ="tab13: EARNINGS=4, MEANS11=9"
      tab13x43 ="tab13: EARNINGS=4, MEANS11=10"
      tab13x44 ="tab13: EARNINGS=4, MEANS11=11"
      tab13x45 ="tab13: EARNINGS=5, MEANS11=1"
      tab13x46 ="tab13: EARNINGS=5, MEANS11=2"
      tab13x47 ="tab13: EARNINGS=5, MEANS11=3"
      tab13x48 ="tab13: EARNINGS=5, MEANS11=4"
      tab13x49 ="tab13: EARNINGS=5, MEANS11=5"
      tab13x50 ="tab13: EARNINGS=5, MEANS11=6"
      tab13x51 ="tab13: EARNINGS=5, MEANS11=7"
      tab13x52 ="tab13: EARNINGS=5, MEANS11=8"
      tab13x53 ="tab13: EARNINGS=5, MEANS11=9"
      tab13x54 ="tab13: EARNINGS=5, MEANS11=10"
      tab13x55 ="tab13: EARNINGS=5, MEANS11=11"
      tab13x56 ="tab13: EARNINGS=6, MEANS11=1"
      tab13x57 ="tab13: EARNINGS=6, MEANS11=2"
      tab13x58 ="tab13: EARNINGS=6, MEANS11=3"
      tab13x59 ="tab13: EARNINGS=6, MEANS11=4"
      tab13x60 ="tab13: EARNINGS=6, MEANS11=5"
      tab13x61 ="tab13: EARNINGS=6, MEANS11=6"
      tab13x62 ="tab13: EARNINGS=6, MEANS11=7"
      tab13x63 ="tab13: EARNINGS=6, MEANS11=8"
      tab13x64 ="tab13: EARNINGS=6, MEANS11=9"
      tab13x65 ="tab13: EARNINGS=6, MEANS11=10"
      tab13x66 ="tab13: EARNINGS=6, MEANS11=11"
      tab13x67 ="tab13: EARNINGS=7, MEANS11=1"
      tab13x68 ="tab13: EARNINGS=7, MEANS11=2"
      tab13x69 ="tab13: EARNINGS=7, MEANS11=3"
      tab13x70 ="tab13: EARNINGS=7, MEANS11=4"
      tab13x71 ="tab13: EARNINGS=7, MEANS11=5"
      tab13x72 ="tab13: EARNINGS=7, MEANS11=6"
      tab13x73 ="tab13: EARNINGS=7, MEANS11=7"
      tab13x74 ="tab13: EARNINGS=7, MEANS11=8"
      tab13x75 ="tab13: EARNINGS=7, MEANS11=9"
      tab13x76 ="tab13: EARNINGS=7, MEANS11=10"
      tab13x77 ="tab13: EARNINGS=7, MEANS11=11"
      tab13x78 ="tab13: EARNINGS=8, MEANS11=1"
      tab13x79 ="tab13: EARNINGS=8, MEANS11=2"
      tab13x80 ="tab13: EARNINGS=8, MEANS11=3"
      tab13x81 ="tab13: EARNINGS=8, MEANS11=4"
      tab13x82 ="tab13: EARNINGS=8, MEANS11=5"
      tab13x83 ="tab13: EARNINGS=8, MEANS11=6"
      tab13x84 ="tab13: EARNINGS=8, MEANS11=7"
      tab13x85 ="tab13: EARNINGS=8, MEANS11=8"
      tab13x86 ="tab13: EARNINGS=8, MEANS11=9"
      tab13x87 ="tab13: EARNINGS=8, MEANS11=10"
      tab13x88 ="tab13: EARNINGS=8, MEANS11=11"
      tab13x89 ="tab13: EARNINGS=9, MEANS11=1"
      tab13x90 ="tab13: EARNINGS=9, MEANS11=2"
      tab13x91 ="tab13: EARNINGS=9, MEANS11=3"
      tab13x92 ="tab13: EARNINGS=9, MEANS11=4"
      tab13x93 ="tab13: EARNINGS=9, MEANS11=5"
      tab13x94 ="tab13: EARNINGS=9, MEANS11=6"
      tab13x95 ="tab13: EARNINGS=9, MEANS11=7"
      tab13x96 ="tab13: EARNINGS=9, MEANS11=8"
      tab13x97 ="tab13: EARNINGS=9, MEANS11=9"
      tab13x98 ="tab13: EARNINGS=9, MEANS11=10"
      tab13x99 ="tab13: EARNINGS=9, MEANS11=11"
      tab13x100="tab13: EARNINGS=10, MEANS11=1"
      tab13x101="tab13: EARNINGS=10, MEANS11=2"
      tab13x102="tab13: EARNINGS=10, MEANS11=3"
      tab13x103="tab13: EARNINGS=10, MEANS11=4"
      tab13x104="tab13: EARNINGS=10, MEANS11=5"
      tab13x105="tab13: EARNINGS=10, MEANS11=6"
      tab13x106="tab13: EARNINGS=10, MEANS11=7"
      tab13x107="tab13: EARNINGS=10, MEANS11=8"
      tab13x108="tab13: EARNINGS=10, MEANS11=9"
      tab13x109="tab13: EARNINGS=10, MEANS11=10"
      tab13x110="tab13: EARNINGS=10, MEANS11=11"
      tab13x111="tab13: EARNINGS=11, MEANS11=1"
      tab13x112="tab13: EARNINGS=11, MEANS11=2"
      tab13x113="tab13: EARNINGS=11, MEANS11=3"
      tab13x114="tab13: EARNINGS=11, MEANS11=4"
      tab13x115="tab13: EARNINGS=11, MEANS11=5"
      tab13x116="tab13: EARNINGS=11, MEANS11=6"
      tab13x117="tab13: EARNINGS=11, MEANS11=7"
      tab13x118="tab13: EARNINGS=11, MEANS11=8"
      tab13x119="tab13: EARNINGS=11, MEANS11=9"
      tab13x120="tab13: EARNINGS=11, MEANS11=10"
      tab13x121="tab13: EARNINGS=11, MEANS11=11"
      tab13x122="tab13: EARNINGS=12, MEANS11=1"
      tab13x123="tab13: EARNINGS=12, MEANS11=2"
      tab13x124="tab13: EARNINGS=12, MEANS11=3"
      tab13x125="tab13: EARNINGS=12, MEANS11=4"
      tab13x126="tab13: EARNINGS=12, MEANS11=5"
      tab13x127="tab13: EARNINGS=12, MEANS11=6"
      tab13x128="tab13: EARNINGS=12, MEANS11=7"
      tab13x129="tab13: EARNINGS=12, MEANS11=8"
      tab13x130="tab13: EARNINGS=12, MEANS11=9"
      tab13x131="tab13: EARNINGS=12, MEANS11=10"
      tab13x132="tab13: EARNINGS=12, MEANS11=11"
      tab14x1  ="tab14: AGE8=1, MEANS11=1"
      tab14x2  ="tab14: AGE8=1, MEANS11=2"
      tab14x3  ="tab14: AGE8=1, MEANS11=3"
      tab14x4  ="tab14: AGE8=1, MEANS11=4"
      tab14x5  ="tab14: AGE8=1, MEANS11=5"
      tab14x6  ="tab14: AGE8=1, MEANS11=6"
      tab14x7  ="tab14: AGE8=1, MEANS11=7"
      tab14x8  ="tab14: AGE8=1, MEANS11=8"
      tab14x9  ="tab14: AGE8=1, MEANS11=9"
      tab14x10 ="tab14: AGE8=1, MEANS11=10"
      tab14x11 ="tab14: AGE8=1, MEANS11=11"
      tab14x12 ="tab14: AGE8=2, MEANS11=1"
      tab14x13 ="tab14: AGE8=2, MEANS11=2"
      tab14x14 ="tab14: AGE8=2, MEANS11=3"
      tab14x15 ="tab14: AGE8=2, MEANS11=4"
      tab14x16 ="tab14: AGE8=2, MEANS11=5"
      tab14x17 ="tab14: AGE8=2, MEANS11=6"
      tab14x18 ="tab14: AGE8=2, MEANS11=7"
      tab14x19 ="tab14: AGE8=2, MEANS11=8"
      tab14x20 ="tab14: AGE8=2, MEANS11=9"
      tab14x21 ="tab14: AGE8=2, MEANS11=10"
      tab14x22 ="tab14: AGE8=2, MEANS11=11"
      tab14x23 ="tab14: AGE8=3, MEANS11=1"
      tab14x24 ="tab14: AGE8=3, MEANS11=2"
      tab14x25 ="tab14: AGE8=3, MEANS11=3"
      tab14x26 ="tab14: AGE8=3, MEANS11=4"
      tab14x27 ="tab14: AGE8=3, MEANS11=5"
      tab14x28 ="tab14: AGE8=3, MEANS11=6"
      tab14x29 ="tab14: AGE8=3, MEANS11=7"
      tab14x30 ="tab14: AGE8=3, MEANS11=8"
      tab14x31 ="tab14: AGE8=3, MEANS11=9"
      tab14x32 ="tab14: AGE8=3, MEANS11=10"
      tab14x33 ="tab14: AGE8=3, MEANS11=11"
      tab14x34 ="tab14: AGE8=4, MEANS11=1"
      tab14x35 ="tab14: AGE8=4, MEANS11=2"
      tab14x36 ="tab14: AGE8=4, MEANS11=3"
      tab14x37 ="tab14: AGE8=4, MEANS11=4"
      tab14x38 ="tab14: AGE8=4, MEANS11=5"
      tab14x39 ="tab14: AGE8=4, MEANS11=6"
      tab14x40 ="tab14: AGE8=4, MEANS11=7"
      tab14x41 ="tab14: AGE8=4, MEANS11=8"
      tab14x42 ="tab14: AGE8=4, MEANS11=9"
      tab14x43 ="tab14: AGE8=4, MEANS11=10"
      tab14x44 ="tab14: AGE8=4, MEANS11=11"
      tab14x45 ="tab14: AGE8=5, MEANS11=1"
      tab14x46 ="tab14: AGE8=5, MEANS11=2"
      tab14x47 ="tab14: AGE8=5, MEANS11=3"
      tab14x48 ="tab14: AGE8=5, MEANS11=4"
      tab14x49 ="tab14: AGE8=5, MEANS11=5"
      tab14x50 ="tab14: AGE8=5, MEANS11=6"
      tab14x51 ="tab14: AGE8=5, MEANS11=7"
      tab14x52 ="tab14: AGE8=5, MEANS11=8"
      tab14x53 ="tab14: AGE8=5, MEANS11=9"
      tab14x54 ="tab14: AGE8=5, MEANS11=10"
      tab14x55 ="tab14: AGE8=5, MEANS11=11"
      tab14x56 ="tab14: AGE8=6, MEANS11=1"
      tab14x57 ="tab14: AGE8=6, MEANS11=2"
      tab14x58 ="tab14: AGE8=6, MEANS11=3"
      tab14x59 ="tab14: AGE8=6, MEANS11=4"
      tab14x60 ="tab14: AGE8=6, MEANS11=5"
      tab14x61 ="tab14: AGE8=6, MEANS11=6"
      tab14x62 ="tab14: AGE8=6, MEANS11=7"
      tab14x63 ="tab14: AGE8=6, MEANS11=8"
      tab14x64 ="tab14: AGE8=6, MEANS11=9"
      tab14x65 ="tab14: AGE8=6, MEANS11=10"
      tab14x66 ="tab14: AGE8=6, MEANS11=11"
      tab14x67 ="tab14: AGE8=7, MEANS11=1"
      tab14x68 ="tab14: AGE8=7, MEANS11=2"
      tab14x69 ="tab14: AGE8=7, MEANS11=3"
      tab14x70 ="tab14: AGE8=7, MEANS11=4"
      tab14x71 ="tab14: AGE8=7, MEANS11=5"
      tab14x72 ="tab14: AGE8=7, MEANS11=6"
      tab14x73 ="tab14: AGE8=7, MEANS11=7"
      tab14x74 ="tab14: AGE8=7, MEANS11=8"
      tab14x75 ="tab14: AGE8=7, MEANS11=9"
      tab14x76 ="tab14: AGE8=7, MEANS11=10"
      tab14x77 ="tab14: AGE8=7, MEANS11=11"
      tab14x78 ="tab14: AGE8=8, MEANS11=1"
      tab14x79 ="tab14: AGE8=8, MEANS11=2"
      tab14x80 ="tab14: AGE8=8, MEANS11=3"
      tab14x81 ="tab14: AGE8=8, MEANS11=4"
      tab14x82 ="tab14: AGE8=8, MEANS11=5"
      tab14x83 ="tab14: AGE8=8, MEANS11=6"
      tab14x84 ="tab14: AGE8=8, MEANS11=7"
      tab14x85 ="tab14: AGE8=8, MEANS11=8"
      tab14x86 ="tab14: AGE8=8, MEANS11=9"
      tab14x87 ="tab14: AGE8=8, MEANS11=10"
      tab14x88 ="tab14: AGE8=8, MEANS11=11"
      tab15x1  ="tab15: OCCUPATION=1, INDUSTRY=1"
      tab15x2  ="tab15: OCCUPATION=1, INDUSTRY=2"
      tab15x3  ="tab15: OCCUPATION=1, INDUSTRY=3"
      tab15x4  ="tab15: OCCUPATION=1, INDUSTRY=4"
      tab15x5  ="tab15: OCCUPATION=1, INDUSTRY=5"
      tab15x6  ="tab15: OCCUPATION=1, INDUSTRY=6"
      tab15x7  ="tab15: OCCUPATION=1, INDUSTRY=7"
      tab15x8  ="tab15: OCCUPATION=1, INDUSTRY=8"
      tab15x9  ="tab15: OCCUPATION=1, INDUSTRY=9"
      tab15x10 ="tab15: OCCUPATION=1, INDUSTRY=10"
      tab15x11 ="tab15: OCCUPATION=1, INDUSTRY=11"
      tab15x12 ="tab15: OCCUPATION=1, INDUSTRY=12"
      tab15x13 ="tab15: OCCUPATION=1, INDUSTRY=13"
      tab15x14 ="tab15: OCCUPATION=1, INDUSTRY=14"
      tab15x15 ="tab15: OCCUPATION=1, INDUSTRY=15"
      tab15x16 ="tab15: OCCUPATION=2, INDUSTRY=1"
      tab15x17 ="tab15: OCCUPATION=2, INDUSTRY=2"
      tab15x18 ="tab15: OCCUPATION=2, INDUSTRY=3"
      tab15x19 ="tab15: OCCUPATION=2, INDUSTRY=4"
      tab15x20 ="tab15: OCCUPATION=2, INDUSTRY=5"
      tab15x21 ="tab15: OCCUPATION=2, INDUSTRY=6"
      tab15x22 ="tab15: OCCUPATION=2, INDUSTRY=7"
      tab15x23 ="tab15: OCCUPATION=2, INDUSTRY=8"
      tab15x24 ="tab15: OCCUPATION=2, INDUSTRY=9"
      tab15x25 ="tab15: OCCUPATION=2, INDUSTRY=10"
      tab15x26 ="tab15: OCCUPATION=2, INDUSTRY=11"
      tab15x27 ="tab15: OCCUPATION=2, INDUSTRY=12"
      tab15x28 ="tab15: OCCUPATION=2, INDUSTRY=13"
      tab15x29 ="tab15: OCCUPATION=2, INDUSTRY=14"
      tab15x30 ="tab15: OCCUPATION=2, INDUSTRY=15"
      tab15x31 ="tab15: OCCUPATION=3, INDUSTRY=1"
      tab15x32 ="tab15: OCCUPATION=3, INDUSTRY=2"
      tab15x33 ="tab15: OCCUPATION=3, INDUSTRY=3"
      tab15x34 ="tab15: OCCUPATION=3, INDUSTRY=4"
      tab15x35 ="tab15: OCCUPATION=3, INDUSTRY=5"
      tab15x36 ="tab15: OCCUPATION=3, INDUSTRY=6"
      tab15x37 ="tab15: OCCUPATION=3, INDUSTRY=7"
      tab15x38 ="tab15: OCCUPATION=3, INDUSTRY=8"
      tab15x39 ="tab15: OCCUPATION=3, INDUSTRY=9"
      tab15x40 ="tab15: OCCUPATION=3, INDUSTRY=10"
      tab15x41 ="tab15: OCCUPATION=3, INDUSTRY=11"
      tab15x42 ="tab15: OCCUPATION=3, INDUSTRY=12"
      tab15x43 ="tab15: OCCUPATION=3, INDUSTRY=13"
      tab15x44 ="tab15: OCCUPATION=3, INDUSTRY=14"
      tab15x45 ="tab15: OCCUPATION=3, INDUSTRY=15"
      tab15x46 ="tab15: OCCUPATION=4, INDUSTRY=1"
      tab15x47 ="tab15: OCCUPATION=4, INDUSTRY=2"
      tab15x48 ="tab15: OCCUPATION=4, INDUSTRY=3"
      tab15x49 ="tab15: OCCUPATION=4, INDUSTRY=4"
      tab15x50 ="tab15: OCCUPATION=4, INDUSTRY=5"
      tab15x51 ="tab15: OCCUPATION=4, INDUSTRY=6"
      tab15x52 ="tab15: OCCUPATION=4, INDUSTRY=7"
      tab15x53 ="tab15: OCCUPATION=4, INDUSTRY=8"
      tab15x54 ="tab15: OCCUPATION=4, INDUSTRY=9"
      tab15x55 ="tab15: OCCUPATION=4, INDUSTRY=10"
      tab15x56 ="tab15: OCCUPATION=4, INDUSTRY=11"
      tab15x57 ="tab15: OCCUPATION=4, INDUSTRY=12"
      tab15x58 ="tab15: OCCUPATION=4, INDUSTRY=13"
      tab15x59 ="tab15: OCCUPATION=4, INDUSTRY=14"
      tab15x60 ="tab15: OCCUPATION=4, INDUSTRY=15"
      tab15x61 ="tab15: OCCUPATION=5, INDUSTRY=1"
      tab15x62 ="tab15: OCCUPATION=5, INDUSTRY=2"
      tab15x63 ="tab15: OCCUPATION=5, INDUSTRY=3"
      tab15x64 ="tab15: OCCUPATION=5, INDUSTRY=4"
      tab15x65 ="tab15: OCCUPATION=5, INDUSTRY=5"
      tab15x66 ="tab15: OCCUPATION=5, INDUSTRY=6"
      tab15x67 ="tab15: OCCUPATION=5, INDUSTRY=7"
      tab15x68 ="tab15: OCCUPATION=5, INDUSTRY=8"
      tab15x69 ="tab15: OCCUPATION=5, INDUSTRY=9"
      tab15x70 ="tab15: OCCUPATION=5, INDUSTRY=10"
      tab15x71 ="tab15: OCCUPATION=5, INDUSTRY=11"
      tab15x72 ="tab15: OCCUPATION=5, INDUSTRY=12"
      tab15x73 ="tab15: OCCUPATION=5, INDUSTRY=13"
      tab15x74 ="tab15: OCCUPATION=5, INDUSTRY=14"
      tab15x75 ="tab15: OCCUPATION=5, INDUSTRY=15"
      tab15x76 ="tab15: OCCUPATION=6, INDUSTRY=1"
      tab15x77 ="tab15: OCCUPATION=6, INDUSTRY=2"
      tab15x78 ="tab15: OCCUPATION=6, INDUSTRY=3"
      tab15x79 ="tab15: OCCUPATION=6, INDUSTRY=4"
      tab15x80 ="tab15: OCCUPATION=6, INDUSTRY=5"
      tab15x81 ="tab15: OCCUPATION=6, INDUSTRY=6"
      tab15x82 ="tab15: OCCUPATION=6, INDUSTRY=7"
      tab15x83 ="tab15: OCCUPATION=6, INDUSTRY=8"
      tab15x84 ="tab15: OCCUPATION=6, INDUSTRY=9"
      tab15x85 ="tab15: OCCUPATION=6, INDUSTRY=10"
      tab15x86 ="tab15: OCCUPATION=6, INDUSTRY=11"
      tab15x87 ="tab15: OCCUPATION=6, INDUSTRY=12"
      tab15x88 ="tab15: OCCUPATION=6, INDUSTRY=13"
      tab15x89 ="tab15: OCCUPATION=6, INDUSTRY=14"
      tab15x90 ="tab15: OCCUPATION=6, INDUSTRY=15"
      tab15x91 ="tab15: OCCUPATION=7, INDUSTRY=1"
      tab15x92 ="tab15: OCCUPATION=7, INDUSTRY=2"
      tab15x93 ="tab15: OCCUPATION=7, INDUSTRY=3"
      tab15x94 ="tab15: OCCUPATION=7, INDUSTRY=4"
      tab15x95 ="tab15: OCCUPATION=7, INDUSTRY=5"
      tab15x96 ="tab15: OCCUPATION=7, INDUSTRY=6"
      tab15x97 ="tab15: OCCUPATION=7, INDUSTRY=7"
      tab15x98 ="tab15: OCCUPATION=7, INDUSTRY=8"
      tab15x99 ="tab15: OCCUPATION=7, INDUSTRY=9"
      tab15x100="tab15: OCCUPATION=7, INDUSTRY=10"
      tab15x101="tab15: OCCUPATION=7, INDUSTRY=11"
      tab15x102="tab15: OCCUPATION=7, INDUSTRY=12"
      tab15x103="tab15: OCCUPATION=7, INDUSTRY=13"
      tab15x104="tab15: OCCUPATION=7, INDUSTRY=14"
      tab15x105="tab15: OCCUPATION=7, INDUSTRY=15"
      tab15x106="tab15: OCCUPATION=8, INDUSTRY=1"
      tab15x107="tab15: OCCUPATION=8, INDUSTRY=2"
      tab15x108="tab15: OCCUPATION=8, INDUSTRY=3"
      tab15x109="tab15: OCCUPATION=8, INDUSTRY=4"
      tab15x110="tab15: OCCUPATION=8, INDUSTRY=5"
      tab15x111="tab15: OCCUPATION=8, INDUSTRY=6"
      tab15x112="tab15: OCCUPATION=8, INDUSTRY=7"
      tab15x113="tab15: OCCUPATION=8, INDUSTRY=8"
      tab15x114="tab15: OCCUPATION=8, INDUSTRY=9"
      tab15x115="tab15: OCCUPATION=8, INDUSTRY=10"
      tab15x116="tab15: OCCUPATION=8, INDUSTRY=11"
      tab15x117="tab15: OCCUPATION=8, INDUSTRY=12"
      tab15x118="tab15: OCCUPATION=8, INDUSTRY=13"
      tab15x119="tab15: OCCUPATION=8, INDUSTRY=14"
      tab15x120="tab15: OCCUPATION=8, INDUSTRY=15"
      tab15x121="tab15: OCCUPATION=9, INDUSTRY=1"
      tab15x122="tab15: OCCUPATION=9, INDUSTRY=2"
      tab15x123="tab15: OCCUPATION=9, INDUSTRY=3"
      tab15x124="tab15: OCCUPATION=9, INDUSTRY=4"
      tab15x125="tab15: OCCUPATION=9, INDUSTRY=5"
      tab15x126="tab15: OCCUPATION=9, INDUSTRY=6"
      tab15x127="tab15: OCCUPATION=9, INDUSTRY=7"
      tab15x128="tab15: OCCUPATION=9, INDUSTRY=8"
      tab15x129="tab15: OCCUPATION=9, INDUSTRY=9"
      tab15x130="tab15: OCCUPATION=9, INDUSTRY=10"
      tab15x131="tab15: OCCUPATION=9, INDUSTRY=11"
      tab15x132="tab15: OCCUPATION=9, INDUSTRY=12"
      tab15x133="tab15: OCCUPATION=9, INDUSTRY=13"
      tab15x134="tab15: OCCUPATION=9, INDUSTRY=14"
      tab15x135="tab15: OCCUPATION=9, INDUSTRY=15"
      tab15x136="tab15: OCCUPATION=10, INDUSTRY=1"
      tab15x137="tab15: OCCUPATION=10, INDUSTRY=2"
      tab15x138="tab15: OCCUPATION=10, INDUSTRY=3"
      tab15x139="tab15: OCCUPATION=10, INDUSTRY=4"
      tab15x140="tab15: OCCUPATION=10, INDUSTRY=5"
      tab15x141="tab15: OCCUPATION=10, INDUSTRY=6"
      tab15x142="tab15: OCCUPATION=10, INDUSTRY=7"
      tab15x143="tab15: OCCUPATION=10, INDUSTRY=8"
      tab15x144="tab15: OCCUPATION=10, INDUSTRY=9"
      tab15x145="tab15: OCCUPATION=10, INDUSTRY=10"
      tab15x146="tab15: OCCUPATION=10, INDUSTRY=11"
      tab15x147="tab15: OCCUPATION=10, INDUSTRY=12"
      tab15x148="tab15: OCCUPATION=10, INDUSTRY=13"
      tab15x149="tab15: OCCUPATION=10, INDUSTRY=14"
      tab15x150="tab15: OCCUPATION=10, INDUSTRY=15"
      tab15x151="tab15: OCCUPATION=11, INDUSTRY=1"
      tab15x152="tab15: OCCUPATION=11, INDUSTRY=2"
      tab15x153="tab15: OCCUPATION=11, INDUSTRY=3"
      tab15x154="tab15: OCCUPATION=11, INDUSTRY=4"
      tab15x155="tab15: OCCUPATION=11, INDUSTRY=5"
      tab15x156="tab15: OCCUPATION=11, INDUSTRY=6"
      tab15x157="tab15: OCCUPATION=11, INDUSTRY=7"
      tab15x158="tab15: OCCUPATION=11, INDUSTRY=8"
      tab15x159="tab15: OCCUPATION=11, INDUSTRY=9"
      tab15x160="tab15: OCCUPATION=11, INDUSTRY=10"
      tab15x161="tab15: OCCUPATION=11, INDUSTRY=11"
      tab15x162="tab15: OCCUPATION=11, INDUSTRY=12"
      tab15x163="tab15: OCCUPATION=11, INDUSTRY=13"
      tab15x164="tab15: OCCUPATION=11, INDUSTRY=14"
      tab15x165="tab15: OCCUPATION=11, INDUSTRY=15"
      tab15x166="tab15: OCCUPATION=12, INDUSTRY=1"
      tab15x167="tab15: OCCUPATION=12, INDUSTRY=2"
      tab15x168="tab15: OCCUPATION=12, INDUSTRY=3"
      tab15x169="tab15: OCCUPATION=12, INDUSTRY=4"
      tab15x170="tab15: OCCUPATION=12, INDUSTRY=5"
      tab15x171="tab15: OCCUPATION=12, INDUSTRY=6"
      tab15x172="tab15: OCCUPATION=12, INDUSTRY=7"
      tab15x173="tab15: OCCUPATION=12, INDUSTRY=8"
      tab15x174="tab15: OCCUPATION=12, INDUSTRY=9"
      tab15x175="tab15: OCCUPATION=12, INDUSTRY=10"
      tab15x176="tab15: OCCUPATION=12, INDUSTRY=11"
      tab15x177="tab15: OCCUPATION=12, INDUSTRY=12"
      tab15x178="tab15: OCCUPATION=12, INDUSTRY=13"
      tab15x179="tab15: OCCUPATION=12, INDUSTRY=14"
      tab15x180="tab15: OCCUPATION=12, INDUSTRY=15"
      tab15x181="tab15: OCCUPATION=13, INDUSTRY=1"
      tab15x182="tab15: OCCUPATION=13, INDUSTRY=2"
      tab15x183="tab15: OCCUPATION=13, INDUSTRY=3"
      tab15x184="tab15: OCCUPATION=13, INDUSTRY=4"
      tab15x185="tab15: OCCUPATION=13, INDUSTRY=5"
      tab15x186="tab15: OCCUPATION=13, INDUSTRY=6"
      tab15x187="tab15: OCCUPATION=13, INDUSTRY=7"
      tab15x188="tab15: OCCUPATION=13, INDUSTRY=8"
      tab15x189="tab15: OCCUPATION=13, INDUSTRY=9"
      tab15x190="tab15: OCCUPATION=13, INDUSTRY=10"
      tab15x191="tab15: OCCUPATION=13, INDUSTRY=11"
      tab15x192="tab15: OCCUPATION=13, INDUSTRY=12"
      tab15x193="tab15: OCCUPATION=13, INDUSTRY=13"
      tab15x194="tab15: OCCUPATION=13, INDUSTRY=14"
      tab15x195="tab15: OCCUPATION=13, INDUSTRY=15"
      tab15x196="tab15: OCCUPATION=14, INDUSTRY=1"
      tab15x197="tab15: OCCUPATION=14, INDUSTRY=2"
      tab15x198="tab15: OCCUPATION=14, INDUSTRY=3"
      tab15x199="tab15: OCCUPATION=14, INDUSTRY=4"
      tab15x200="tab15: OCCUPATION=14, INDUSTRY=5"
      tab15x201="tab15: OCCUPATION=14, INDUSTRY=6"
      tab15x202="tab15: OCCUPATION=14, INDUSTRY=7"
      tab15x203="tab15: OCCUPATION=14, INDUSTRY=8"
      tab15x204="tab15: OCCUPATION=14, INDUSTRY=9"
      tab15x205="tab15: OCCUPATION=14, INDUSTRY=10"
      tab15x206="tab15: OCCUPATION=14, INDUSTRY=11"
      tab15x207="tab15: OCCUPATION=14, INDUSTRY=12"
      tab15x208="tab15: OCCUPATION=14, INDUSTRY=13"
      tab15x209="tab15: OCCUPATION=14, INDUSTRY=14"
      tab15x210="tab15: OCCUPATION=14, INDUSTRY=15"
      tab15x211="tab15: OCCUPATION=15, INDUSTRY=1"
      tab15x212="tab15: OCCUPATION=15, INDUSTRY=2"
      tab15x213="tab15: OCCUPATION=15, INDUSTRY=3"
      tab15x214="tab15: OCCUPATION=15, INDUSTRY=4"
      tab15x215="tab15: OCCUPATION=15, INDUSTRY=5"
      tab15x216="tab15: OCCUPATION=15, INDUSTRY=6"
      tab15x217="tab15: OCCUPATION=15, INDUSTRY=7"
      tab15x218="tab15: OCCUPATION=15, INDUSTRY=8"
      tab15x219="tab15: OCCUPATION=15, INDUSTRY=9"
      tab15x220="tab15: OCCUPATION=15, INDUSTRY=10"
      tab15x221="tab15: OCCUPATION=15, INDUSTRY=11"
      tab15x222="tab15: OCCUPATION=15, INDUSTRY=12"
      tab15x223="tab15: OCCUPATION=15, INDUSTRY=13"
      tab15x224="tab15: OCCUPATION=15, INDUSTRY=14"
      tab15x225="tab15: OCCUPATION=15, INDUSTRY=15"
      tab15x226="tab15: OCCUPATION=16, INDUSTRY=1"
      tab15x227="tab15: OCCUPATION=16, INDUSTRY=2"
      tab15x228="tab15: OCCUPATION=16, INDUSTRY=3"
      tab15x229="tab15: OCCUPATION=16, INDUSTRY=4"
      tab15x230="tab15: OCCUPATION=16, INDUSTRY=5"
      tab15x231="tab15: OCCUPATION=16, INDUSTRY=6"
      tab15x232="tab15: OCCUPATION=16, INDUSTRY=7"
      tab15x233="tab15: OCCUPATION=16, INDUSTRY=8"
      tab15x234="tab15: OCCUPATION=16, INDUSTRY=9"
      tab15x235="tab15: OCCUPATION=16, INDUSTRY=10"
      tab15x236="tab15: OCCUPATION=16, INDUSTRY=11"
      tab15x237="tab15: OCCUPATION=16, INDUSTRY=12"
      tab15x238="tab15: OCCUPATION=16, INDUSTRY=13"
      tab15x239="tab15: OCCUPATION=16, INDUSTRY=14"
      tab15x240="tab15: OCCUPATION=16, INDUSTRY=15"
      tab15x241="tab15: OCCUPATION=17, INDUSTRY=1"
      tab15x242="tab15: OCCUPATION=17, INDUSTRY=2"
      tab15x243="tab15: OCCUPATION=17, INDUSTRY=3"
      tab15x244="tab15: OCCUPATION=17, INDUSTRY=4"
      tab15x245="tab15: OCCUPATION=17, INDUSTRY=5"
      tab15x246="tab15: OCCUPATION=17, INDUSTRY=6"
      tab15x247="tab15: OCCUPATION=17, INDUSTRY=7"
      tab15x248="tab15: OCCUPATION=17, INDUSTRY=8"
      tab15x249="tab15: OCCUPATION=17, INDUSTRY=9"
      tab15x250="tab15: OCCUPATION=17, INDUSTRY=10"
      tab15x251="tab15: OCCUPATION=17, INDUSTRY=11"
      tab15x252="tab15: OCCUPATION=17, INDUSTRY=12"
      tab15x253="tab15: OCCUPATION=17, INDUSTRY=13"
      tab15x254="tab15: OCCUPATION=17, INDUSTRY=14"
      tab15x255="tab15: OCCUPATION=17, INDUSTRY=15"
      tab15x256="tab15: OCCUPATION=18, INDUSTRY=1"
      tab15x257="tab15: OCCUPATION=18, INDUSTRY=2"
      tab15x258="tab15: OCCUPATION=18, INDUSTRY=3"
      tab15x259="tab15: OCCUPATION=18, INDUSTRY=4"
      tab15x260="tab15: OCCUPATION=18, INDUSTRY=5"
      tab15x261="tab15: OCCUPATION=18, INDUSTRY=6"
      tab15x262="tab15: OCCUPATION=18, INDUSTRY=7"
      tab15x263="tab15: OCCUPATION=18, INDUSTRY=8"
      tab15x264="tab15: OCCUPATION=18, INDUSTRY=9"
      tab15x265="tab15: OCCUPATION=18, INDUSTRY=10"
      tab15x266="tab15: OCCUPATION=18, INDUSTRY=11"
      tab15x267="tab15: OCCUPATION=18, INDUSTRY=12"
      tab15x268="tab15: OCCUPATION=18, INDUSTRY=13"
      tab15x269="tab15: OCCUPATION=18, INDUSTRY=14"
      tab15x270="tab15: OCCUPATION=18, INDUSTRY=15"
      tab15x271="tab15: OCCUPATION=19, INDUSTRY=1"
      tab15x272="tab15: OCCUPATION=19, INDUSTRY=2"
      tab15x273="tab15: OCCUPATION=19, INDUSTRY=3"
      tab15x274="tab15: OCCUPATION=19, INDUSTRY=4"
      tab15x275="tab15: OCCUPATION=19, INDUSTRY=5"
      tab15x276="tab15: OCCUPATION=19, INDUSTRY=6"
      tab15x277="tab15: OCCUPATION=19, INDUSTRY=7"
      tab15x278="tab15: OCCUPATION=19, INDUSTRY=8"
      tab15x279="tab15: OCCUPATION=19, INDUSTRY=9"
      tab15x280="tab15: OCCUPATION=19, INDUSTRY=10"
      tab15x281="tab15: OCCUPATION=19, INDUSTRY=11"
      tab15x282="tab15: OCCUPATION=19, INDUSTRY=12"
      tab15x283="tab15: OCCUPATION=19, INDUSTRY=13"
      tab15x284="tab15: OCCUPATION=19, INDUSTRY=14"
      tab15x285="tab15: OCCUPATION=19, INDUSTRY=15"
      tab15x286="tab15: OCCUPATION=20, INDUSTRY=1"
      tab15x287="tab15: OCCUPATION=20, INDUSTRY=2"
      tab15x288="tab15: OCCUPATION=20, INDUSTRY=3"
      tab15x289="tab15: OCCUPATION=20, INDUSTRY=4"
      tab15x290="tab15: OCCUPATION=20, INDUSTRY=5"
      tab15x291="tab15: OCCUPATION=20, INDUSTRY=6"
      tab15x292="tab15: OCCUPATION=20, INDUSTRY=7"
      tab15x293="tab15: OCCUPATION=20, INDUSTRY=8"
      tab15x294="tab15: OCCUPATION=20, INDUSTRY=9"
      tab15x295="tab15: OCCUPATION=20, INDUSTRY=10"
      tab15x296="tab15: OCCUPATION=20, INDUSTRY=11"
      tab15x297="tab15: OCCUPATION=20, INDUSTRY=12"
      tab15x298="tab15: OCCUPATION=20, INDUSTRY=13"
      tab15x299="tab15: OCCUPATION=20, INDUSTRY=14"
      tab15x300="tab15: OCCUPATION=20, INDUSTRY=15"
      tab15x301="tab15: OCCUPATION=21, INDUSTRY=1"
      tab15x302="tab15: OCCUPATION=21, INDUSTRY=2"
      tab15x303="tab15: OCCUPATION=21, INDUSTRY=3"
      tab15x304="tab15: OCCUPATION=21, INDUSTRY=4"
      tab15x305="tab15: OCCUPATION=21, INDUSTRY=5"
      tab15x306="tab15: OCCUPATION=21, INDUSTRY=6"
      tab15x307="tab15: OCCUPATION=21, INDUSTRY=7"
      tab15x308="tab15: OCCUPATION=21, INDUSTRY=8"
      tab15x309="tab15: OCCUPATION=21, INDUSTRY=9"
      tab15x310="tab15: OCCUPATION=21, INDUSTRY=10"
      tab15x311="tab15: OCCUPATION=21, INDUSTRY=11"
      tab15x312="tab15: OCCUPATION=21, INDUSTRY=12"
      tab15x313="tab15: OCCUPATION=21, INDUSTRY=13"
      tab15x314="tab15: OCCUPATION=21, INDUSTRY=14"
      tab15x315="tab15: OCCUPATION=21, INDUSTRY=15"
      tab15x316="tab15: OCCUPATION=22, INDUSTRY=1"
      tab15x317="tab15: OCCUPATION=22, INDUSTRY=2"
      tab15x318="tab15: OCCUPATION=22, INDUSTRY=3"
      tab15x319="tab15: OCCUPATION=22, INDUSTRY=4"
      tab15x320="tab15: OCCUPATION=22, INDUSTRY=5"
      tab15x321="tab15: OCCUPATION=22, INDUSTRY=6"
      tab15x322="tab15: OCCUPATION=22, INDUSTRY=7"
      tab15x323="tab15: OCCUPATION=22, INDUSTRY=8"
      tab15x324="tab15: OCCUPATION=22, INDUSTRY=9"
      tab15x325="tab15: OCCUPATION=22, INDUSTRY=10"
      tab15x326="tab15: OCCUPATION=22, INDUSTRY=11"
      tab15x327="tab15: OCCUPATION=22, INDUSTRY=12"
      tab15x328="tab15: OCCUPATION=22, INDUSTRY=13"
      tab15x329="tab15: OCCUPATION=22, INDUSTRY=14"
      tab15x330="tab15: OCCUPATION=22, INDUSTRY=15"
      tab15x331="tab15: OCCUPATION=23, INDUSTRY=1"
      tab15x332="tab15: OCCUPATION=23, INDUSTRY=2"
      tab15x333="tab15: OCCUPATION=23, INDUSTRY=3"
      tab15x334="tab15: OCCUPATION=23, INDUSTRY=4"
      tab15x335="tab15: OCCUPATION=23, INDUSTRY=5"
      tab15x336="tab15: OCCUPATION=23, INDUSTRY=6"
      tab15x337="tab15: OCCUPATION=23, INDUSTRY=7"
      tab15x338="tab15: OCCUPATION=23, INDUSTRY=8"
      tab15x339="tab15: OCCUPATION=23, INDUSTRY=9"
      tab15x340="tab15: OCCUPATION=23, INDUSTRY=10"
      tab15x341="tab15: OCCUPATION=23, INDUSTRY=11"
      tab15x342="tab15: OCCUPATION=23, INDUSTRY=12"
      tab15x343="tab15: OCCUPATION=23, INDUSTRY=13"
      tab15x344="tab15: OCCUPATION=23, INDUSTRY=14"
      tab15x345="tab15: OCCUPATION=23, INDUSTRY=15"
      tab15x346="tab15: OCCUPATION=24, INDUSTRY=1"
      tab15x347="tab15: OCCUPATION=24, INDUSTRY=2"
      tab15x348="tab15: OCCUPATION=24, INDUSTRY=3"
      tab15x349="tab15: OCCUPATION=24, INDUSTRY=4"
      tab15x350="tab15: OCCUPATION=24, INDUSTRY=5"
      tab15x351="tab15: OCCUPATION=24, INDUSTRY=6"
      tab15x352="tab15: OCCUPATION=24, INDUSTRY=7"
      tab15x353="tab15: OCCUPATION=24, INDUSTRY=8"
      tab15x354="tab15: OCCUPATION=24, INDUSTRY=9"
      tab15x355="tab15: OCCUPATION=24, INDUSTRY=10"
      tab15x356="tab15: OCCUPATION=24, INDUSTRY=11"
      tab15x357="tab15: OCCUPATION=24, INDUSTRY=12"
      tab15x358="tab15: OCCUPATION=24, INDUSTRY=13"
      tab15x359="tab15: OCCUPATION=24, INDUSTRY=14"
      tab15x360="tab15: OCCUPATION=24, INDUSTRY=15"
      tab15x361="tab15: OCCUPATION=25, INDUSTRY=1"
      tab15x362="tab15: OCCUPATION=25, INDUSTRY=2"
      tab15x363="tab15: OCCUPATION=25, INDUSTRY=3"
      tab15x364="tab15: OCCUPATION=25, INDUSTRY=4"
      tab15x365="tab15: OCCUPATION=25, INDUSTRY=5"
      tab15x366="tab15: OCCUPATION=25, INDUSTRY=6"
      tab15x367="tab15: OCCUPATION=25, INDUSTRY=7"
      tab15x368="tab15: OCCUPATION=25, INDUSTRY=8"
      tab15x369="tab15: OCCUPATION=25, INDUSTRY=9"
      tab15x370="tab15: OCCUPATION=25, INDUSTRY=10"
      tab15x371="tab15: OCCUPATION=25, INDUSTRY=11"
      tab15x372="tab15: OCCUPATION=25, INDUSTRY=12"
      tab15x373="tab15: OCCUPATION=25, INDUSTRY=13"
      tab15x374="tab15: OCCUPATION=25, INDUSTRY=14"
      tab15x375="tab15: OCCUPATION=25, INDUSTRY=15"
      tab16x1  ="tab16: OCCUPATION=1, TM_LEAVE14=1"
      tab16x2  ="tab16: OCCUPATION=1, TM_LEAVE14=2"
      tab16x3  ="tab16: OCCUPATION=1, TM_LEAVE14=3"
      tab16x4  ="tab16: OCCUPATION=1, TM_LEAVE14=4"
      tab16x5  ="tab16: OCCUPATION=1, TM_LEAVE14=5"
      tab16x6  ="tab16: OCCUPATION=1, TM_LEAVE14=6"
      tab16x7  ="tab16: OCCUPATION=1, TM_LEAVE14=7"
      tab16x8  ="tab16: OCCUPATION=1, TM_LEAVE14=8"
      tab16x9  ="tab16: OCCUPATION=1, TM_LEAVE14=9"
      tab16x10 ="tab16: OCCUPATION=1, TM_LEAVE14=10"
      tab16x11 ="tab16: OCCUPATION=1, TM_LEAVE14=11"
      tab16x12 ="tab16: OCCUPATION=1, TM_LEAVE14=12"
      tab16x13 ="tab16: OCCUPATION=1, TM_LEAVE14=13"
      tab16x14 ="tab16: OCCUPATION=1, TM_LEAVE14=14"
      tab16x15 ="tab16: OCCUPATION=2, TM_LEAVE14=1"
      tab16x16 ="tab16: OCCUPATION=2, TM_LEAVE14=2"
      tab16x17 ="tab16: OCCUPATION=2, TM_LEAVE14=3"
      tab16x18 ="tab16: OCCUPATION=2, TM_LEAVE14=4"
      tab16x19 ="tab16: OCCUPATION=2, TM_LEAVE14=5"
      tab16x20 ="tab16: OCCUPATION=2, TM_LEAVE14=6"
      tab16x21 ="tab16: OCCUPATION=2, TM_LEAVE14=7"
      tab16x22 ="tab16: OCCUPATION=2, TM_LEAVE14=8"
      tab16x23 ="tab16: OCCUPATION=2, TM_LEAVE14=9"
      tab16x24 ="tab16: OCCUPATION=2, TM_LEAVE14=10"
      tab16x25 ="tab16: OCCUPATION=2, TM_LEAVE14=11"
      tab16x26 ="tab16: OCCUPATION=2, TM_LEAVE14=12"
      tab16x27 ="tab16: OCCUPATION=2, TM_LEAVE14=13"
      tab16x28 ="tab16: OCCUPATION=2, TM_LEAVE14=14"
      tab16x29 ="tab16: OCCUPATION=3, TM_LEAVE14=1"
      tab16x30 ="tab16: OCCUPATION=3, TM_LEAVE14=2"
      tab16x31 ="tab16: OCCUPATION=3, TM_LEAVE14=3"
      tab16x32 ="tab16: OCCUPATION=3, TM_LEAVE14=4"
      tab16x33 ="tab16: OCCUPATION=3, TM_LEAVE14=5"
      tab16x34 ="tab16: OCCUPATION=3, TM_LEAVE14=6"
      tab16x35 ="tab16: OCCUPATION=3, TM_LEAVE14=7"
      tab16x36 ="tab16: OCCUPATION=3, TM_LEAVE14=8"
      tab16x37 ="tab16: OCCUPATION=3, TM_LEAVE14=9"
      tab16x38 ="tab16: OCCUPATION=3, TM_LEAVE14=10"
      tab16x39 ="tab16: OCCUPATION=3, TM_LEAVE14=11"
      tab16x40 ="tab16: OCCUPATION=3, TM_LEAVE14=12"
      tab16x41 ="tab16: OCCUPATION=3, TM_LEAVE14=13"
      tab16x42 ="tab16: OCCUPATION=3, TM_LEAVE14=14"
      tab16x43 ="tab16: OCCUPATION=4, TM_LEAVE14=1"
      tab16x44 ="tab16: OCCUPATION=4, TM_LEAVE14=2"
      tab16x45 ="tab16: OCCUPATION=4, TM_LEAVE14=3"
      tab16x46 ="tab16: OCCUPATION=4, TM_LEAVE14=4"
      tab16x47 ="tab16: OCCUPATION=4, TM_LEAVE14=5"
      tab16x48 ="tab16: OCCUPATION=4, TM_LEAVE14=6"
      tab16x49 ="tab16: OCCUPATION=4, TM_LEAVE14=7"
      tab16x50 ="tab16: OCCUPATION=4, TM_LEAVE14=8"
      tab16x51 ="tab16: OCCUPATION=4, TM_LEAVE14=9"
      tab16x52 ="tab16: OCCUPATION=4, TM_LEAVE14=10"
      tab16x53 ="tab16: OCCUPATION=4, TM_LEAVE14=11"
      tab16x54 ="tab16: OCCUPATION=4, TM_LEAVE14=12"
      tab16x55 ="tab16: OCCUPATION=4, TM_LEAVE14=13"
      tab16x56 ="tab16: OCCUPATION=4, TM_LEAVE14=14"
      tab16x57 ="tab16: OCCUPATION=5, TM_LEAVE14=1"
      tab16x58 ="tab16: OCCUPATION=5, TM_LEAVE14=2"
      tab16x59 ="tab16: OCCUPATION=5, TM_LEAVE14=3"
      tab16x60 ="tab16: OCCUPATION=5, TM_LEAVE14=4"
      tab16x61 ="tab16: OCCUPATION=5, TM_LEAVE14=5"
      tab16x62 ="tab16: OCCUPATION=5, TM_LEAVE14=6"
      tab16x63 ="tab16: OCCUPATION=5, TM_LEAVE14=7"
      tab16x64 ="tab16: OCCUPATION=5, TM_LEAVE14=8"
      tab16x65 ="tab16: OCCUPATION=5, TM_LEAVE14=9"
      tab16x66 ="tab16: OCCUPATION=5, TM_LEAVE14=10"
      tab16x67 ="tab16: OCCUPATION=5, TM_LEAVE14=11"
      tab16x68 ="tab16: OCCUPATION=5, TM_LEAVE14=12"
      tab16x69 ="tab16: OCCUPATION=5, TM_LEAVE14=13"
      tab16x70 ="tab16: OCCUPATION=5, TM_LEAVE14=14"
      tab16x71 ="tab16: OCCUPATION=6, TM_LEAVE14=1"
      tab16x72 ="tab16: OCCUPATION=6, TM_LEAVE14=2"
      tab16x73 ="tab16: OCCUPATION=6, TM_LEAVE14=3"
      tab16x74 ="tab16: OCCUPATION=6, TM_LEAVE14=4"
      tab16x75 ="tab16: OCCUPATION=6, TM_LEAVE14=5"
      tab16x76 ="tab16: OCCUPATION=6, TM_LEAVE14=6"
      tab16x77 ="tab16: OCCUPATION=6, TM_LEAVE14=7"
      tab16x78 ="tab16: OCCUPATION=6, TM_LEAVE14=8"
      tab16x79 ="tab16: OCCUPATION=6, TM_LEAVE14=9"
      tab16x80 ="tab16: OCCUPATION=6, TM_LEAVE14=10"
      tab16x81 ="tab16: OCCUPATION=6, TM_LEAVE14=11"
      tab16x82 ="tab16: OCCUPATION=6, TM_LEAVE14=12"
      tab16x83 ="tab16: OCCUPATION=6, TM_LEAVE14=13"
      tab16x84 ="tab16: OCCUPATION=6, TM_LEAVE14=14"
      tab16x85 ="tab16: OCCUPATION=7, TM_LEAVE14=1"
      tab16x86 ="tab16: OCCUPATION=7, TM_LEAVE14=2"
      tab16x87 ="tab16: OCCUPATION=7, TM_LEAVE14=3"
      tab16x88 ="tab16: OCCUPATION=7, TM_LEAVE14=4"
      tab16x89 ="tab16: OCCUPATION=7, TM_LEAVE14=5"
      tab16x90 ="tab16: OCCUPATION=7, TM_LEAVE14=6"
      tab16x91 ="tab16: OCCUPATION=7, TM_LEAVE14=7"
      tab16x92 ="tab16: OCCUPATION=7, TM_LEAVE14=8"
      tab16x93 ="tab16: OCCUPATION=7, TM_LEAVE14=9"
      tab16x94 ="tab16: OCCUPATION=7, TM_LEAVE14=10"
      tab16x95 ="tab16: OCCUPATION=7, TM_LEAVE14=11"
      tab16x96 ="tab16: OCCUPATION=7, TM_LEAVE14=12"
      tab16x97 ="tab16: OCCUPATION=7, TM_LEAVE14=13"
      tab16x98 ="tab16: OCCUPATION=7, TM_LEAVE14=14"
      tab16x99 ="tab16: OCCUPATION=8, TM_LEAVE14=1"
      tab16x100="tab16: OCCUPATION=8, TM_LEAVE14=2"
      tab16x101="tab16: OCCUPATION=8, TM_LEAVE14=3"
      tab16x102="tab16: OCCUPATION=8, TM_LEAVE14=4"
      tab16x103="tab16: OCCUPATION=8, TM_LEAVE14=5"
      tab16x104="tab16: OCCUPATION=8, TM_LEAVE14=6"
      tab16x105="tab16: OCCUPATION=8, TM_LEAVE14=7"
      tab16x106="tab16: OCCUPATION=8, TM_LEAVE14=8"
      tab16x107="tab16: OCCUPATION=8, TM_LEAVE14=9"
      tab16x108="tab16: OCCUPATION=8, TM_LEAVE14=10"
      tab16x109="tab16: OCCUPATION=8, TM_LEAVE14=11"
      tab16x110="tab16: OCCUPATION=8, TM_LEAVE14=12"
      tab16x111="tab16: OCCUPATION=8, TM_LEAVE14=13"
      tab16x112="tab16: OCCUPATION=8, TM_LEAVE14=14"
      tab16x113="tab16: OCCUPATION=9, TM_LEAVE14=1"
      tab16x114="tab16: OCCUPATION=9, TM_LEAVE14=2"
      tab16x115="tab16: OCCUPATION=9, TM_LEAVE14=3"
      tab16x116="tab16: OCCUPATION=9, TM_LEAVE14=4"
      tab16x117="tab16: OCCUPATION=9, TM_LEAVE14=5"
      tab16x118="tab16: OCCUPATION=9, TM_LEAVE14=6"
      tab16x119="tab16: OCCUPATION=9, TM_LEAVE14=7"
      tab16x120="tab16: OCCUPATION=9, TM_LEAVE14=8"
      tab16x121="tab16: OCCUPATION=9, TM_LEAVE14=9"
      tab16x122="tab16: OCCUPATION=9, TM_LEAVE14=10"
      tab16x123="tab16: OCCUPATION=9, TM_LEAVE14=11"
      tab16x124="tab16: OCCUPATION=9, TM_LEAVE14=12"
      tab16x125="tab16: OCCUPATION=9, TM_LEAVE14=13"
      tab16x126="tab16: OCCUPATION=9, TM_LEAVE14=14"
      tab16x127="tab16: OCCUPATION=10, TM_LEAVE14=1"
      tab16x128="tab16: OCCUPATION=10, TM_LEAVE14=2"
      tab16x129="tab16: OCCUPATION=10, TM_LEAVE14=3"
      tab16x130="tab16: OCCUPATION=10, TM_LEAVE14=4"
      tab16x131="tab16: OCCUPATION=10, TM_LEAVE14=5"
      tab16x132="tab16: OCCUPATION=10, TM_LEAVE14=6"
      tab16x133="tab16: OCCUPATION=10, TM_LEAVE14=7"
      tab16x134="tab16: OCCUPATION=10, TM_LEAVE14=8"
      tab16x135="tab16: OCCUPATION=10, TM_LEAVE14=9"
      tab16x136="tab16: OCCUPATION=10, TM_LEAVE14=10"
      tab16x137="tab16: OCCUPATION=10, TM_LEAVE14=11"
      tab16x138="tab16: OCCUPATION=10, TM_LEAVE14=12"
      tab16x139="tab16: OCCUPATION=10, TM_LEAVE14=13"
      tab16x140="tab16: OCCUPATION=10, TM_LEAVE14=14"
      tab16x141="tab16: OCCUPATION=11, TM_LEAVE14=1"
      tab16x142="tab16: OCCUPATION=11, TM_LEAVE14=2"
      tab16x143="tab16: OCCUPATION=11, TM_LEAVE14=3"
      tab16x144="tab16: OCCUPATION=11, TM_LEAVE14=4"
      tab16x145="tab16: OCCUPATION=11, TM_LEAVE14=5"
      tab16x146="tab16: OCCUPATION=11, TM_LEAVE14=6"
      tab16x147="tab16: OCCUPATION=11, TM_LEAVE14=7"
      tab16x148="tab16: OCCUPATION=11, TM_LEAVE14=8"
      tab16x149="tab16: OCCUPATION=11, TM_LEAVE14=9"
      tab16x150="tab16: OCCUPATION=11, TM_LEAVE14=10"
      tab16x151="tab16: OCCUPATION=11, TM_LEAVE14=11"
      tab16x152="tab16: OCCUPATION=11, TM_LEAVE14=12"
      tab16x153="tab16: OCCUPATION=11, TM_LEAVE14=13"
      tab16x154="tab16: OCCUPATION=11, TM_LEAVE14=14"
      tab16x155="tab16: OCCUPATION=12, TM_LEAVE14=1"
      tab16x156="tab16: OCCUPATION=12, TM_LEAVE14=2"
      tab16x157="tab16: OCCUPATION=12, TM_LEAVE14=3"
      tab16x158="tab16: OCCUPATION=12, TM_LEAVE14=4"
      tab16x159="tab16: OCCUPATION=12, TM_LEAVE14=5"
      tab16x160="tab16: OCCUPATION=12, TM_LEAVE14=6"
      tab16x161="tab16: OCCUPATION=12, TM_LEAVE14=7"
      tab16x162="tab16: OCCUPATION=12, TM_LEAVE14=8"
      tab16x163="tab16: OCCUPATION=12, TM_LEAVE14=9"
      tab16x164="tab16: OCCUPATION=12, TM_LEAVE14=10"
      tab16x165="tab16: OCCUPATION=12, TM_LEAVE14=11"
      tab16x166="tab16: OCCUPATION=12, TM_LEAVE14=12"
      tab16x167="tab16: OCCUPATION=12, TM_LEAVE14=13"
      tab16x168="tab16: OCCUPATION=12, TM_LEAVE14=14"
      tab16x169="tab16: OCCUPATION=13, TM_LEAVE14=1"
      tab16x170="tab16: OCCUPATION=13, TM_LEAVE14=2"
      tab16x171="tab16: OCCUPATION=13, TM_LEAVE14=3"
      tab16x172="tab16: OCCUPATION=13, TM_LEAVE14=4"
      tab16x173="tab16: OCCUPATION=13, TM_LEAVE14=5"
      tab16x174="tab16: OCCUPATION=13, TM_LEAVE14=6"
      tab16x175="tab16: OCCUPATION=13, TM_LEAVE14=7"
      tab16x176="tab16: OCCUPATION=13, TM_LEAVE14=8"
      tab16x177="tab16: OCCUPATION=13, TM_LEAVE14=9"
      tab16x178="tab16: OCCUPATION=13, TM_LEAVE14=10"
      tab16x179="tab16: OCCUPATION=13, TM_LEAVE14=11"
      tab16x180="tab16: OCCUPATION=13, TM_LEAVE14=12"
      tab16x181="tab16: OCCUPATION=13, TM_LEAVE14=13"
      tab16x182="tab16: OCCUPATION=13, TM_LEAVE14=14"
      tab16x183="tab16: OCCUPATION=14, TM_LEAVE14=1"
      tab16x184="tab16: OCCUPATION=14, TM_LEAVE14=2"
      tab16x185="tab16: OCCUPATION=14, TM_LEAVE14=3"
      tab16x186="tab16: OCCUPATION=14, TM_LEAVE14=4"
      tab16x187="tab16: OCCUPATION=14, TM_LEAVE14=5"
      tab16x188="tab16: OCCUPATION=14, TM_LEAVE14=6"
      tab16x189="tab16: OCCUPATION=14, TM_LEAVE14=7"
      tab16x190="tab16: OCCUPATION=14, TM_LEAVE14=8"
      tab16x191="tab16: OCCUPATION=14, TM_LEAVE14=9"
      tab16x192="tab16: OCCUPATION=14, TM_LEAVE14=10"
      tab16x193="tab16: OCCUPATION=14, TM_LEAVE14=11"
      tab16x194="tab16: OCCUPATION=14, TM_LEAVE14=12"
      tab16x195="tab16: OCCUPATION=14, TM_LEAVE14=13"
      tab16x196="tab16: OCCUPATION=14, TM_LEAVE14=14"
      tab16x197="tab16: OCCUPATION=15, TM_LEAVE14=1"
      tab16x198="tab16: OCCUPATION=15, TM_LEAVE14=2"
      tab16x199="tab16: OCCUPATION=15, TM_LEAVE14=3"
      tab16x200="tab16: OCCUPATION=15, TM_LEAVE14=4"
      tab16x201="tab16: OCCUPATION=15, TM_LEAVE14=5"
      tab16x202="tab16: OCCUPATION=15, TM_LEAVE14=6"
      tab16x203="tab16: OCCUPATION=15, TM_LEAVE14=7"
      tab16x204="tab16: OCCUPATION=15, TM_LEAVE14=8"
      tab16x205="tab16: OCCUPATION=15, TM_LEAVE14=9"
      tab16x206="tab16: OCCUPATION=15, TM_LEAVE14=10"
      tab16x207="tab16: OCCUPATION=15, TM_LEAVE14=11"
      tab16x208="tab16: OCCUPATION=15, TM_LEAVE14=12"
      tab16x209="tab16: OCCUPATION=15, TM_LEAVE14=13"
      tab16x210="tab16: OCCUPATION=15, TM_LEAVE14=14"
      tab16x211="tab16: OCCUPATION=16, TM_LEAVE14=1"
      tab16x212="tab16: OCCUPATION=16, TM_LEAVE14=2"
      tab16x213="tab16: OCCUPATION=16, TM_LEAVE14=3"
      tab16x214="tab16: OCCUPATION=16, TM_LEAVE14=4"
      tab16x215="tab16: OCCUPATION=16, TM_LEAVE14=5"
      tab16x216="tab16: OCCUPATION=16, TM_LEAVE14=6"
      tab16x217="tab16: OCCUPATION=16, TM_LEAVE14=7"
      tab16x218="tab16: OCCUPATION=16, TM_LEAVE14=8"
      tab16x219="tab16: OCCUPATION=16, TM_LEAVE14=9"
      tab16x220="tab16: OCCUPATION=16, TM_LEAVE14=10"
      tab16x221="tab16: OCCUPATION=16, TM_LEAVE14=11"
      tab16x222="tab16: OCCUPATION=16, TM_LEAVE14=12"
      tab16x223="tab16: OCCUPATION=16, TM_LEAVE14=13"
      tab16x224="tab16: OCCUPATION=16, TM_LEAVE14=14"
      tab16x225="tab16: OCCUPATION=17, TM_LEAVE14=1"
      tab16x226="tab16: OCCUPATION=17, TM_LEAVE14=2"
      tab16x227="tab16: OCCUPATION=17, TM_LEAVE14=3"
      tab16x228="tab16: OCCUPATION=17, TM_LEAVE14=4"
      tab16x229="tab16: OCCUPATION=17, TM_LEAVE14=5"
      tab16x230="tab16: OCCUPATION=17, TM_LEAVE14=6"
      tab16x231="tab16: OCCUPATION=17, TM_LEAVE14=7"
      tab16x232="tab16: OCCUPATION=17, TM_LEAVE14=8"
      tab16x233="tab16: OCCUPATION=17, TM_LEAVE14=9"
      tab16x234="tab16: OCCUPATION=17, TM_LEAVE14=10"
      tab16x235="tab16: OCCUPATION=17, TM_LEAVE14=11"
      tab16x236="tab16: OCCUPATION=17, TM_LEAVE14=12"
      tab16x237="tab16: OCCUPATION=17, TM_LEAVE14=13"
      tab16x238="tab16: OCCUPATION=17, TM_LEAVE14=14"
      tab16x239="tab16: OCCUPATION=18, TM_LEAVE14=1"
      tab16x240="tab16: OCCUPATION=18, TM_LEAVE14=2"
      tab16x241="tab16: OCCUPATION=18, TM_LEAVE14=3"
      tab16x242="tab16: OCCUPATION=18, TM_LEAVE14=4"
      tab16x243="tab16: OCCUPATION=18, TM_LEAVE14=5"
      tab16x244="tab16: OCCUPATION=18, TM_LEAVE14=6"
      tab16x245="tab16: OCCUPATION=18, TM_LEAVE14=7"
      tab16x246="tab16: OCCUPATION=18, TM_LEAVE14=8"
      tab16x247="tab16: OCCUPATION=18, TM_LEAVE14=9"
      tab16x248="tab16: OCCUPATION=18, TM_LEAVE14=10"
      tab16x249="tab16: OCCUPATION=18, TM_LEAVE14=11"
      tab16x250="tab16: OCCUPATION=18, TM_LEAVE14=12"
      tab16x251="tab16: OCCUPATION=18, TM_LEAVE14=13"
      tab16x252="tab16: OCCUPATION=18, TM_LEAVE14=14"
      tab16x253="tab16: OCCUPATION=19, TM_LEAVE14=1"
      tab16x254="tab16: OCCUPATION=19, TM_LEAVE14=2"
      tab16x255="tab16: OCCUPATION=19, TM_LEAVE14=3"
      tab16x256="tab16: OCCUPATION=19, TM_LEAVE14=4"
      tab16x257="tab16: OCCUPATION=19, TM_LEAVE14=5"
      tab16x258="tab16: OCCUPATION=19, TM_LEAVE14=6"
      tab16x259="tab16: OCCUPATION=19, TM_LEAVE14=7"
      tab16x260="tab16: OCCUPATION=19, TM_LEAVE14=8"
      tab16x261="tab16: OCCUPATION=19, TM_LEAVE14=9"
      tab16x262="tab16: OCCUPATION=19, TM_LEAVE14=10"
      tab16x263="tab16: OCCUPATION=19, TM_LEAVE14=11"
      tab16x264="tab16: OCCUPATION=19, TM_LEAVE14=12"
      tab16x265="tab16: OCCUPATION=19, TM_LEAVE14=13"
      tab16x266="tab16: OCCUPATION=19, TM_LEAVE14=14"
      tab16x267="tab16: OCCUPATION=20, TM_LEAVE14=1"
      tab16x268="tab16: OCCUPATION=20, TM_LEAVE14=2"
      tab16x269="tab16: OCCUPATION=20, TM_LEAVE14=3"
      tab16x270="tab16: OCCUPATION=20, TM_LEAVE14=4"
      tab16x271="tab16: OCCUPATION=20, TM_LEAVE14=5"
      tab16x272="tab16: OCCUPATION=20, TM_LEAVE14=6"
      tab16x273="tab16: OCCUPATION=20, TM_LEAVE14=7"
      tab16x274="tab16: OCCUPATION=20, TM_LEAVE14=8"
      tab16x275="tab16: OCCUPATION=20, TM_LEAVE14=9"
      tab16x276="tab16: OCCUPATION=20, TM_LEAVE14=10"
      tab16x277="tab16: OCCUPATION=20, TM_LEAVE14=11"
      tab16x278="tab16: OCCUPATION=20, TM_LEAVE14=12"
      tab16x279="tab16: OCCUPATION=20, TM_LEAVE14=13"
      tab16x280="tab16: OCCUPATION=20, TM_LEAVE14=14"
      tab16x281="tab16: OCCUPATION=21, TM_LEAVE14=1"
      tab16x282="tab16: OCCUPATION=21, TM_LEAVE14=2"
      tab16x283="tab16: OCCUPATION=21, TM_LEAVE14=3"
      tab16x284="tab16: OCCUPATION=21, TM_LEAVE14=4"
      tab16x285="tab16: OCCUPATION=21, TM_LEAVE14=5"
      tab16x286="tab16: OCCUPATION=21, TM_LEAVE14=6"
      tab16x287="tab16: OCCUPATION=21, TM_LEAVE14=7"
      tab16x288="tab16: OCCUPATION=21, TM_LEAVE14=8"
      tab16x289="tab16: OCCUPATION=21, TM_LEAVE14=9"
      tab16x290="tab16: OCCUPATION=21, TM_LEAVE14=10"
      tab16x291="tab16: OCCUPATION=21, TM_LEAVE14=11"
      tab16x292="tab16: OCCUPATION=21, TM_LEAVE14=12"
      tab16x293="tab16: OCCUPATION=21, TM_LEAVE14=13"
      tab16x294="tab16: OCCUPATION=21, TM_LEAVE14=14"
      tab16x295="tab16: OCCUPATION=22, TM_LEAVE14=1"
      tab16x296="tab16: OCCUPATION=22, TM_LEAVE14=2"
      tab16x297="tab16: OCCUPATION=22, TM_LEAVE14=3"
      tab16x298="tab16: OCCUPATION=22, TM_LEAVE14=4"
      tab16x299="tab16: OCCUPATION=22, TM_LEAVE14=5"
      tab16x300="tab16: OCCUPATION=22, TM_LEAVE14=6"
      tab16x301="tab16: OCCUPATION=22, TM_LEAVE14=7"
      tab16x302="tab16: OCCUPATION=22, TM_LEAVE14=8"
      tab16x303="tab16: OCCUPATION=22, TM_LEAVE14=9"
      tab16x304="tab16: OCCUPATION=22, TM_LEAVE14=10"
      tab16x305="tab16: OCCUPATION=22, TM_LEAVE14=11"
      tab16x306="tab16: OCCUPATION=22, TM_LEAVE14=12"
      tab16x307="tab16: OCCUPATION=22, TM_LEAVE14=13"
      tab16x308="tab16: OCCUPATION=22, TM_LEAVE14=14"
      tab16x309="tab16: OCCUPATION=23, TM_LEAVE14=1"
      tab16x310="tab16: OCCUPATION=23, TM_LEAVE14=2"
      tab16x311="tab16: OCCUPATION=23, TM_LEAVE14=3"
      tab16x312="tab16: OCCUPATION=23, TM_LEAVE14=4"
      tab16x313="tab16: OCCUPATION=23, TM_LEAVE14=5"
      tab16x314="tab16: OCCUPATION=23, TM_LEAVE14=6"
      tab16x315="tab16: OCCUPATION=23, TM_LEAVE14=7"
      tab16x316="tab16: OCCUPATION=23, TM_LEAVE14=8"
      tab16x317="tab16: OCCUPATION=23, TM_LEAVE14=9"
      tab16x318="tab16: OCCUPATION=23, TM_LEAVE14=10"
      tab16x319="tab16: OCCUPATION=23, TM_LEAVE14=11"
      tab16x320="tab16: OCCUPATION=23, TM_LEAVE14=12"
      tab16x321="tab16: OCCUPATION=23, TM_LEAVE14=13"
      tab16x322="tab16: OCCUPATION=23, TM_LEAVE14=14"
      tab16x323="tab16: OCCUPATION=24, TM_LEAVE14=1"
      tab16x324="tab16: OCCUPATION=24, TM_LEAVE14=2"
      tab16x325="tab16: OCCUPATION=24, TM_LEAVE14=3"
      tab16x326="tab16: OCCUPATION=24, TM_LEAVE14=4"
      tab16x327="tab16: OCCUPATION=24, TM_LEAVE14=5"
      tab16x328="tab16: OCCUPATION=24, TM_LEAVE14=6"
      tab16x329="tab16: OCCUPATION=24, TM_LEAVE14=7"
      tab16x330="tab16: OCCUPATION=24, TM_LEAVE14=8"
      tab16x331="tab16: OCCUPATION=24, TM_LEAVE14=9"
      tab16x332="tab16: OCCUPATION=24, TM_LEAVE14=10"
      tab16x333="tab16: OCCUPATION=24, TM_LEAVE14=11"
      tab16x334="tab16: OCCUPATION=24, TM_LEAVE14=12"
      tab16x335="tab16: OCCUPATION=24, TM_LEAVE14=13"
      tab16x336="tab16: OCCUPATION=24, TM_LEAVE14=14"
      tab16x337="tab16: OCCUPATION=25, TM_LEAVE14=1"
      tab16x338="tab16: OCCUPATION=25, TM_LEAVE14=2"
      tab16x339="tab16: OCCUPATION=25, TM_LEAVE14=3"
      tab16x340="tab16: OCCUPATION=25, TM_LEAVE14=4"
      tab16x341="tab16: OCCUPATION=25, TM_LEAVE14=5"
      tab16x342="tab16: OCCUPATION=25, TM_LEAVE14=6"
      tab16x343="tab16: OCCUPATION=25, TM_LEAVE14=7"
      tab16x344="tab16: OCCUPATION=25, TM_LEAVE14=8"
      tab16x345="tab16: OCCUPATION=25, TM_LEAVE14=9"
      tab16x346="tab16: OCCUPATION=25, TM_LEAVE14=10"
      tab16x347="tab16: OCCUPATION=25, TM_LEAVE14=11"
      tab16x348="tab16: OCCUPATION=25, TM_LEAVE14=12"
      tab16x349="tab16: OCCUPATION=25, TM_LEAVE14=13"
      tab16x350="tab16: OCCUPATION=25, TM_LEAVE14=14"
      tab17x1  ="tab17: INDUSTRY=1, TM_LEAVE14=1"
      tab17x2  ="tab17: INDUSTRY=1, TM_LEAVE14=2"
      tab17x3  ="tab17: INDUSTRY=1, TM_LEAVE14=3"
      tab17x4  ="tab17: INDUSTRY=1, TM_LEAVE14=4"
      tab17x5  ="tab17: INDUSTRY=1, TM_LEAVE14=5"
      tab17x6  ="tab17: INDUSTRY=1, TM_LEAVE14=6"
      tab17x7  ="tab17: INDUSTRY=1, TM_LEAVE14=7"
      tab17x8  ="tab17: INDUSTRY=1, TM_LEAVE14=8"
      tab17x9  ="tab17: INDUSTRY=1, TM_LEAVE14=9"
      tab17x10 ="tab17: INDUSTRY=1, TM_LEAVE14=10"
      tab17x11 ="tab17: INDUSTRY=1, TM_LEAVE14=11"
      tab17x12 ="tab17: INDUSTRY=1, TM_LEAVE14=12"
      tab17x13 ="tab17: INDUSTRY=1, TM_LEAVE14=13"
      tab17x14 ="tab17: INDUSTRY=1, TM_LEAVE14=14"
      tab17x15 ="tab17: INDUSTRY=2, TM_LEAVE14=1"
      tab17x16 ="tab17: INDUSTRY=2, TM_LEAVE14=2"
      tab17x17 ="tab17: INDUSTRY=2, TM_LEAVE14=3"
      tab17x18 ="tab17: INDUSTRY=2, TM_LEAVE14=4"
      tab17x19 ="tab17: INDUSTRY=2, TM_LEAVE14=5"
      tab17x20 ="tab17: INDUSTRY=2, TM_LEAVE14=6"
      tab17x21 ="tab17: INDUSTRY=2, TM_LEAVE14=7"
      tab17x22 ="tab17: INDUSTRY=2, TM_LEAVE14=8"
      tab17x23 ="tab17: INDUSTRY=2, TM_LEAVE14=9"
      tab17x24 ="tab17: INDUSTRY=2, TM_LEAVE14=10"
      tab17x25 ="tab17: INDUSTRY=2, TM_LEAVE14=11"
      tab17x26 ="tab17: INDUSTRY=2, TM_LEAVE14=12"
      tab17x27 ="tab17: INDUSTRY=2, TM_LEAVE14=13"
      tab17x28 ="tab17: INDUSTRY=2, TM_LEAVE14=14"
      tab17x29 ="tab17: INDUSTRY=3, TM_LEAVE14=1"
      tab17x30 ="tab17: INDUSTRY=3, TM_LEAVE14=2"
      tab17x31 ="tab17: INDUSTRY=3, TM_LEAVE14=3"
      tab17x32 ="tab17: INDUSTRY=3, TM_LEAVE14=4"
      tab17x33 ="tab17: INDUSTRY=3, TM_LEAVE14=5"
      tab17x34 ="tab17: INDUSTRY=3, TM_LEAVE14=6"
      tab17x35 ="tab17: INDUSTRY=3, TM_LEAVE14=7"
      tab17x36 ="tab17: INDUSTRY=3, TM_LEAVE14=8"
      tab17x37 ="tab17: INDUSTRY=3, TM_LEAVE14=9"
      tab17x38 ="tab17: INDUSTRY=3, TM_LEAVE14=10"
      tab17x39 ="tab17: INDUSTRY=3, TM_LEAVE14=11"
      tab17x40 ="tab17: INDUSTRY=3, TM_LEAVE14=12"
      tab17x41 ="tab17: INDUSTRY=3, TM_LEAVE14=13"
      tab17x42 ="tab17: INDUSTRY=3, TM_LEAVE14=14"
      tab17x43 ="tab17: INDUSTRY=4, TM_LEAVE14=1"
      tab17x44 ="tab17: INDUSTRY=4, TM_LEAVE14=2"
      tab17x45 ="tab17: INDUSTRY=4, TM_LEAVE14=3"
      tab17x46 ="tab17: INDUSTRY=4, TM_LEAVE14=4"
      tab17x47 ="tab17: INDUSTRY=4, TM_LEAVE14=5"
      tab17x48 ="tab17: INDUSTRY=4, TM_LEAVE14=6"
      tab17x49 ="tab17: INDUSTRY=4, TM_LEAVE14=7"
      tab17x50 ="tab17: INDUSTRY=4, TM_LEAVE14=8"
      tab17x51 ="tab17: INDUSTRY=4, TM_LEAVE14=9"
      tab17x52 ="tab17: INDUSTRY=4, TM_LEAVE14=10"
      tab17x53 ="tab17: INDUSTRY=4, TM_LEAVE14=11"
      tab17x54 ="tab17: INDUSTRY=4, TM_LEAVE14=12"
      tab17x55 ="tab17: INDUSTRY=4, TM_LEAVE14=13"
      tab17x56 ="tab17: INDUSTRY=4, TM_LEAVE14=14"
      tab17x57 ="tab17: INDUSTRY=5, TM_LEAVE14=1"
      tab17x58 ="tab17: INDUSTRY=5, TM_LEAVE14=2"
      tab17x59 ="tab17: INDUSTRY=5, TM_LEAVE14=3"
      tab17x60 ="tab17: INDUSTRY=5, TM_LEAVE14=4"
      tab17x61 ="tab17: INDUSTRY=5, TM_LEAVE14=5"
      tab17x62 ="tab17: INDUSTRY=5, TM_LEAVE14=6"
      tab17x63 ="tab17: INDUSTRY=5, TM_LEAVE14=7"
      tab17x64 ="tab17: INDUSTRY=5, TM_LEAVE14=8"
      tab17x65 ="tab17: INDUSTRY=5, TM_LEAVE14=9"
      tab17x66 ="tab17: INDUSTRY=5, TM_LEAVE14=10"
      tab17x67 ="tab17: INDUSTRY=5, TM_LEAVE14=11"
      tab17x68 ="tab17: INDUSTRY=5, TM_LEAVE14=12"
      tab17x69 ="tab17: INDUSTRY=5, TM_LEAVE14=13"
      tab17x70 ="tab17: INDUSTRY=5, TM_LEAVE14=14"
      tab17x71 ="tab17: INDUSTRY=6, TM_LEAVE14=1"
      tab17x72 ="tab17: INDUSTRY=6, TM_LEAVE14=2"
      tab17x73 ="tab17: INDUSTRY=6, TM_LEAVE14=3"
      tab17x74 ="tab17: INDUSTRY=6, TM_LEAVE14=4"
      tab17x75 ="tab17: INDUSTRY=6, TM_LEAVE14=5"
      tab17x76 ="tab17: INDUSTRY=6, TM_LEAVE14=6"
      tab17x77 ="tab17: INDUSTRY=6, TM_LEAVE14=7"
      tab17x78 ="tab17: INDUSTRY=6, TM_LEAVE14=8"
      tab17x79 ="tab17: INDUSTRY=6, TM_LEAVE14=9"
      tab17x80 ="tab17: INDUSTRY=6, TM_LEAVE14=10"
      tab17x81 ="tab17: INDUSTRY=6, TM_LEAVE14=11"
      tab17x82 ="tab17: INDUSTRY=6, TM_LEAVE14=12"
      tab17x83 ="tab17: INDUSTRY=6, TM_LEAVE14=13"
      tab17x84 ="tab17: INDUSTRY=6, TM_LEAVE14=14"
      tab17x85 ="tab17: INDUSTRY=7, TM_LEAVE14=1"
      tab17x86 ="tab17: INDUSTRY=7, TM_LEAVE14=2"
      tab17x87 ="tab17: INDUSTRY=7, TM_LEAVE14=3"
      tab17x88 ="tab17: INDUSTRY=7, TM_LEAVE14=4"
      tab17x89 ="tab17: INDUSTRY=7, TM_LEAVE14=5"
      tab17x90 ="tab17: INDUSTRY=7, TM_LEAVE14=6"
      tab17x91 ="tab17: INDUSTRY=7, TM_LEAVE14=7"
      tab17x92 ="tab17: INDUSTRY=7, TM_LEAVE14=8"
      tab17x93 ="tab17: INDUSTRY=7, TM_LEAVE14=9"
      tab17x94 ="tab17: INDUSTRY=7, TM_LEAVE14=10"
      tab17x95 ="tab17: INDUSTRY=7, TM_LEAVE14=11"
      tab17x96 ="tab17: INDUSTRY=7, TM_LEAVE14=12"
      tab17x97 ="tab17: INDUSTRY=7, TM_LEAVE14=13"
      tab17x98 ="tab17: INDUSTRY=7, TM_LEAVE14=14"
      tab17x99 ="tab17: INDUSTRY=8, TM_LEAVE14=1"
      tab17x100="tab17: INDUSTRY=8, TM_LEAVE14=2"
      tab17x101="tab17: INDUSTRY=8, TM_LEAVE14=3"
      tab17x102="tab17: INDUSTRY=8, TM_LEAVE14=4"
      tab17x103="tab17: INDUSTRY=8, TM_LEAVE14=5"
      tab17x104="tab17: INDUSTRY=8, TM_LEAVE14=6"
      tab17x105="tab17: INDUSTRY=8, TM_LEAVE14=7"
      tab17x106="tab17: INDUSTRY=8, TM_LEAVE14=8"
      tab17x107="tab17: INDUSTRY=8, TM_LEAVE14=9"
      tab17x108="tab17: INDUSTRY=8, TM_LEAVE14=10"
      tab17x109="tab17: INDUSTRY=8, TM_LEAVE14=11"
      tab17x110="tab17: INDUSTRY=8, TM_LEAVE14=12"
      tab17x111="tab17: INDUSTRY=8, TM_LEAVE14=13"
      tab17x112="tab17: INDUSTRY=8, TM_LEAVE14=14"
      tab17x113="tab17: INDUSTRY=9, TM_LEAVE14=1"
      tab17x114="tab17: INDUSTRY=9, TM_LEAVE14=2"
      tab17x115="tab17: INDUSTRY=9, TM_LEAVE14=3"
      tab17x116="tab17: INDUSTRY=9, TM_LEAVE14=4"
      tab17x117="tab17: INDUSTRY=9, TM_LEAVE14=5"
      tab17x118="tab17: INDUSTRY=9, TM_LEAVE14=6"
      tab17x119="tab17: INDUSTRY=9, TM_LEAVE14=7"
      tab17x120="tab17: INDUSTRY=9, TM_LEAVE14=8"
      tab17x121="tab17: INDUSTRY=9, TM_LEAVE14=9"
      tab17x122="tab17: INDUSTRY=9, TM_LEAVE14=10"
      tab17x123="tab17: INDUSTRY=9, TM_LEAVE14=11"
      tab17x124="tab17: INDUSTRY=9, TM_LEAVE14=12"
      tab17x125="tab17: INDUSTRY=9, TM_LEAVE14=13"
      tab17x126="tab17: INDUSTRY=9, TM_LEAVE14=14"
      tab17x127="tab17: INDUSTRY=10, TM_LEAVE14=1"
      tab17x128="tab17: INDUSTRY=10, TM_LEAVE14=2"
      tab17x129="tab17: INDUSTRY=10, TM_LEAVE14=3"
      tab17x130="tab17: INDUSTRY=10, TM_LEAVE14=4"
      tab17x131="tab17: INDUSTRY=10, TM_LEAVE14=5"
      tab17x132="tab17: INDUSTRY=10, TM_LEAVE14=6"
      tab17x133="tab17: INDUSTRY=10, TM_LEAVE14=7"
      tab17x134="tab17: INDUSTRY=10, TM_LEAVE14=8"
      tab17x135="tab17: INDUSTRY=10, TM_LEAVE14=9"
      tab17x136="tab17: INDUSTRY=10, TM_LEAVE14=10"
      tab17x137="tab17: INDUSTRY=10, TM_LEAVE14=11"
      tab17x138="tab17: INDUSTRY=10, TM_LEAVE14=12"
      tab17x139="tab17: INDUSTRY=10, TM_LEAVE14=13"
      tab17x140="tab17: INDUSTRY=10, TM_LEAVE14=14"
      tab17x141="tab17: INDUSTRY=11, TM_LEAVE14=1"
      tab17x142="tab17: INDUSTRY=11, TM_LEAVE14=2"
      tab17x143="tab17: INDUSTRY=11, TM_LEAVE14=3"
      tab17x144="tab17: INDUSTRY=11, TM_LEAVE14=4"
      tab17x145="tab17: INDUSTRY=11, TM_LEAVE14=5"
      tab17x146="tab17: INDUSTRY=11, TM_LEAVE14=6"
      tab17x147="tab17: INDUSTRY=11, TM_LEAVE14=7"
      tab17x148="tab17: INDUSTRY=11, TM_LEAVE14=8"
      tab17x149="tab17: INDUSTRY=11, TM_LEAVE14=9"
      tab17x150="tab17: INDUSTRY=11, TM_LEAVE14=10"
      tab17x151="tab17: INDUSTRY=11, TM_LEAVE14=11"
      tab17x152="tab17: INDUSTRY=11, TM_LEAVE14=12"
      tab17x153="tab17: INDUSTRY=11, TM_LEAVE14=13"
      tab17x154="tab17: INDUSTRY=11, TM_LEAVE14=14"
      tab17x155="tab17: INDUSTRY=12, TM_LEAVE14=1"
      tab17x156="tab17: INDUSTRY=12, TM_LEAVE14=2"
      tab17x157="tab17: INDUSTRY=12, TM_LEAVE14=3"
      tab17x158="tab17: INDUSTRY=12, TM_LEAVE14=4"
      tab17x159="tab17: INDUSTRY=12, TM_LEAVE14=5"
      tab17x160="tab17: INDUSTRY=12, TM_LEAVE14=6"
      tab17x161="tab17: INDUSTRY=12, TM_LEAVE14=7"
      tab17x162="tab17: INDUSTRY=12, TM_LEAVE14=8"
      tab17x163="tab17: INDUSTRY=12, TM_LEAVE14=9"
      tab17x164="tab17: INDUSTRY=12, TM_LEAVE14=10"
      tab17x165="tab17: INDUSTRY=12, TM_LEAVE14=11"
      tab17x166="tab17: INDUSTRY=12, TM_LEAVE14=12"
      tab17x167="tab17: INDUSTRY=12, TM_LEAVE14=13"
      tab17x168="tab17: INDUSTRY=12, TM_LEAVE14=14"
      tab17x169="tab17: INDUSTRY=13, TM_LEAVE14=1"
      tab17x170="tab17: INDUSTRY=13, TM_LEAVE14=2"
      tab17x171="tab17: INDUSTRY=13, TM_LEAVE14=3"
      tab17x172="tab17: INDUSTRY=13, TM_LEAVE14=4"
      tab17x173="tab17: INDUSTRY=13, TM_LEAVE14=5"
      tab17x174="tab17: INDUSTRY=13, TM_LEAVE14=6"
      tab17x175="tab17: INDUSTRY=13, TM_LEAVE14=7"
      tab17x176="tab17: INDUSTRY=13, TM_LEAVE14=8"
      tab17x177="tab17: INDUSTRY=13, TM_LEAVE14=9"
      tab17x178="tab17: INDUSTRY=13, TM_LEAVE14=10"
      tab17x179="tab17: INDUSTRY=13, TM_LEAVE14=11"
      tab17x180="tab17: INDUSTRY=13, TM_LEAVE14=12"
      tab17x181="tab17: INDUSTRY=13, TM_LEAVE14=13"
      tab17x182="tab17: INDUSTRY=13, TM_LEAVE14=14"
      tab17x183="tab17: INDUSTRY=14, TM_LEAVE14=1"
      tab17x184="tab17: INDUSTRY=14, TM_LEAVE14=2"
      tab17x185="tab17: INDUSTRY=14, TM_LEAVE14=3"
      tab17x186="tab17: INDUSTRY=14, TM_LEAVE14=4"
      tab17x187="tab17: INDUSTRY=14, TM_LEAVE14=5"
      tab17x188="tab17: INDUSTRY=14, TM_LEAVE14=6"
      tab17x189="tab17: INDUSTRY=14, TM_LEAVE14=7"
      tab17x190="tab17: INDUSTRY=14, TM_LEAVE14=8"
      tab17x191="tab17: INDUSTRY=14, TM_LEAVE14=9"
      tab17x192="tab17: INDUSTRY=14, TM_LEAVE14=10"
      tab17x193="tab17: INDUSTRY=14, TM_LEAVE14=11"
      tab17x194="tab17: INDUSTRY=14, TM_LEAVE14=12"
      tab17x195="tab17: INDUSTRY=14, TM_LEAVE14=13"
      tab17x196="tab17: INDUSTRY=14, TM_LEAVE14=14"
      tab17x197="tab17: INDUSTRY=15, TM_LEAVE14=1"
      tab17x198="tab17: INDUSTRY=15, TM_LEAVE14=2"
      tab17x199="tab17: INDUSTRY=15, TM_LEAVE14=3"
      tab17x200="tab17: INDUSTRY=15, TM_LEAVE14=4"
      tab17x201="tab17: INDUSTRY=15, TM_LEAVE14=5"
      tab17x202="tab17: INDUSTRY=15, TM_LEAVE14=6"
      tab17x203="tab17: INDUSTRY=15, TM_LEAVE14=7"
      tab17x204="tab17: INDUSTRY=15, TM_LEAVE14=8"
      tab17x205="tab17: INDUSTRY=15, TM_LEAVE14=9"
      tab17x206="tab17: INDUSTRY=15, TM_LEAVE14=10"
      tab17x207="tab17: INDUSTRY=15, TM_LEAVE14=11"
      tab17x208="tab17: INDUSTRY=15, TM_LEAVE14=12"
      tab17x209="tab17: INDUSTRY=15, TM_LEAVE14=13"
      tab17x210="tab17: INDUSTRY=15, TM_LEAVE14=14"
      ;
      
run;



