*-----------------------------------------------------
READ30_46.SAS

Read the ASCII data from tables 30 to 46
see CTTP2_T030_T036.LOC for additional information.

======================================================;
*set the log and list files to 132 characters wide and 78 lines long;
options nocenter ps=78 ls=132;

* set the macro variable to the state postal code;
%LET STATE = CA; **** change CA to your state Postal code; 


filename in "\part2\&state._ctpp2_t030_t046.dat"; ** input location/directory from which to read the ASCII file;
						                                                      
libname out "\part2\"	** output location/directory where you want to save the output SAS file;      
                                                                                                      

data out.&STATE._TABS030_046;  * output SAS dataset name;
   infile in lrecl=24615;  * input ASCII file location;
   input
      FILEID         $5.       /*  1 - 5  */
      SUMLEV         $3.       /*  6 - 8  */
      qpowst         $3.       /*  9 - 11 */
      qpowco         $3.       /* 12 - 14 */
      qpowmcdfips    $5.       /* 15 - 19 */
      qpowmcd        $3.       /* 20 - 22 */
      qpowplfips2    $5.       /* 23 - 27 */
      qpowpl2        $4.       /* 28 - 31 */
      qpowtract      $6.       /* 32 - 37 */
      qpowbkg        $1.       /* 38 - 38 */
      qpowMSACMSA    $4.       /* 39 - 42 */
      qpowPMSA       $4.       /* 43 - 46 */
      filler5        $5.       /* 47 - 51 */
      qpowTAZ        $6.       /* 52 - 57 */
      filler5        $5.       /* 58 - 62 */
      qpowmpo        $4.       /* 63 - 66 */
      qpowcz         $6.       /* 67 - 72 */
      FILLER         $8.       /* 73 - 80  fill out to 80 columns */  
                                       
      tab30x1         81-   89
      tab30x2         90-   98
      tab30x3         99-  107
      tab30x4        108-  116
      tab30x5        117-  125
      tab30x6        126-  134
      tab30x7        135-  143
      tab30x8        144-  152
      tab30x9        153-  161
      tab30x10       162-  170
      tab30x11       171-  179
      tab31x1        180-  188
      tab31x2        189-  197
      tab31x3        198-  206
      tab31x4        207-  215
      tab31x5        216-  224
      tab31x6        225-  233
      tab31x7        234-  242
      tab31x8        243-  251
      tab31x9        252-  260
      tab31x10       261-  269
      tab31x11       270-  278
      tab31x12       279-  287
      tab31x13       288-  296
      tab31x14       297-  305
      tab31x15       306-  314
      tab31x16       315-  323
      tab31x17       324-  332
      tab31x18       333-  341
      tab31x19       342-  350
      tab31x20       351-  359
      tab31x21       360-  368
      tab31x22       369-  377
      tab31x23       378-  386
      tab31x24       387-  395
      tab31x25       396-  404
      tab31x26       405-  413
      tab31x27       414-  422
      tab31x28       423-  431
      tab31x29       432-  440
      tab31x30       441-  449
      tab32x1        450-  458
      tab32x2        459-  467
      tab32x3        468-  476
      tab32x4        477-  485
      tab32x5        486-  494
      tab32x6        495-  503
      tab32x7        504-  512
      tab32x8        513-  521
      tab32x9        522-  530
      tab32x10       531-  539
      tab32x11       540-  548
      tab32x12       549-  557
      tab32x13       558-  566
      tab32x14       567-  575
      tab32x15       576-  584
      tab32x16       585-  593
      tab32x17       594-  602
      tab32x18       603-  611
      tab32x19       612-  620
      tab32x20       621-  629
      tab32x21       630-  638
      tab32x22       639-  647
      tab32x23       648-  656
      tab32x24       657-  665
      tab33x1        666-  674
      tab33x2        675-  683
      tab33x3        684-  692
      tab33x4        693-  701
      tab33x5        702-  710
      tab33x6        711-  719
      tab33x7        720-  728
      tab33x8        729-  737
      tab33x9        738-  746
      tab33x10       747-  755
      tab33x11       756-  764
      tab33x12       765-  773
      tab33x13       774-  782
      tab33x14       783-  791
      tab33x15       792-  800
      tab33x16       801-  809
      tab33x17       810-  818
      tab33x18       819-  827
      tab33x19       828-  836
      tab33x20       837-  845
      tab33x21       846-  854
      tab33x22       855-  863
      tab33x23       864-  872
      tab33x24       873-  881
      tab33x25       882-  890
      tab33x26       891-  899
      tab33x27       900-  908
      tab33x28       909-  917
      tab33x29       918-  926
      tab33x30       927-  935
      tab33x31       936-  944
      tab33x32       945-  953
      tab33x33       954-  962
      tab33x34       963-  971
      tab33x35       972-  980
      tab33x36       981-  989
      tab33x37       990-  998
      tab33x38       999- 1007
      tab33x39      1008- 1016
      tab33x40      1017- 1025
      tab33x41      1026- 1034
      tab33x42      1035- 1043
      tab33x43      1044- 1052
      tab33x44      1053- 1061
      tab33x45      1062- 1070
      tab33x46      1071- 1079
      tab33x47      1080- 1088
      tab33x48      1089- 1097
      tab33x49      1098- 1106
      tab33x50      1107- 1115
      tab33x51      1116- 1124
      tab33x52      1125- 1133
      tab33x53      1134- 1142
      tab33x54      1143- 1151
      tab33x55      1152- 1160
      tab33x56      1161- 1169
      tab33x57      1170- 1178
      tab33x58      1179- 1187
      tab33x59      1188- 1196
      tab33x60      1197- 1205
      tab33x61      1206- 1214
      tab33x62      1215- 1223
      tab33x63      1224- 1232
      tab33x64      1233- 1241
      tab33x65      1242- 1250
      tab33x66      1251- 1259
      tab33x67      1260- 1268
      tab33x68      1269- 1277
      tab33x69      1278- 1286
      tab33x70      1287- 1295
      tab33x71      1296- 1304
      tab33x72      1305- 1313
      tab33x73      1314- 1322
      tab33x74      1323- 1331
      tab33x75      1332- 1340
      tab33x76      1341- 1349
      tab33x77      1350- 1358
      tab33x78      1359- 1367
      tab33x79      1368- 1376
      tab33x80      1377- 1385
      tab33x81      1386- 1394
      tab33x82      1395- 1403
      tab33x83      1404- 1412
      tab33x84      1413- 1421
      tab33x85      1422- 1430
      tab33x86      1431- 1439
      tab33x87      1440- 1448
      tab33x88      1449- 1457
      tab33x89      1458- 1466
      tab33x90      1467- 1475
      tab33x91      1476- 1484
      tab33x92      1485- 1493
      tab33x93      1494- 1502
      tab33x94      1503- 1511
      tab33x95      1512- 1520
      tab33x96      1521- 1529
      tab34x1       1530- 1538
      tab34x2       1539- 1547
      tab34x3       1548- 1556
      tab34x4       1557- 1565
      tab34x5       1566- 1574
      tab34x6       1575- 1583
      tab34x7       1584- 1592
      tab34x8       1593- 1601
      tab34x9       1602- 1610
      tab34x10      1611- 1619
      tab34x11      1620- 1628
      tab34x12      1629- 1637
      tab34x13      1638- 1646
      tab34x14      1647- 1655
      tab34x15      1656- 1664
      tab34x16      1665- 1673
      tab34x17      1674- 1682
      tab34x18      1683- 1691
      tab34x19      1692- 1700
      tab34x20      1701- 1709
      tab34x21      1710- 1718
      tab34x22      1719- 1727
      tab34x23      1728- 1736
      tab34x24      1737- 1745
      tab34x25      1746- 1754
      tab34x26      1755- 1763
      tab34x27      1764- 1772
      tab34x28      1773- 1781
      tab34x29      1782- 1790
      tab34x30      1791- 1799
      tab34x31      1800- 1808
      tab34x32      1809- 1817
      tab34x33      1818- 1826
      tab34x34      1827- 1835
      tab34x35      1836- 1844
      tab34x36      1845- 1853
      tab34x37      1854- 1862
      tab34x38      1863- 1871
      tab34x39      1872- 1880
      tab34x40      1881- 1889
      tab34x41      1890- 1898
      tab34x42      1899- 1907
      tab34x43      1908- 1916
      tab34x44      1917- 1925
      tab34x45      1926- 1934
      tab34x46      1935- 1943
      tab34x47      1944- 1952
      tab34x48      1953- 1961
      tab34x49      1962- 1970
      tab34x50      1971- 1979
      tab34x51      1980- 1988
      tab34x52      1989- 1997
      tab34x53      1998- 2006
      tab34x54      2007- 2015
      tab34x55      2016- 2024
      tab34x56      2025- 2033
      tab34x57      2034- 2042
      tab34x58      2043- 2051
      tab34x59      2052- 2060
      tab34x60      2061- 2069
      tab34x61      2070- 2078
      tab34x62      2079- 2087
      tab34x63      2088- 2096
      tab34x64      2097- 2105
      tab34x65      2106- 2114
      tab34x66      2115- 2123
      tab34x67      2124- 2132
      tab34x68      2133- 2141
      tab34x69      2142- 2150
      tab34x70      2151- 2159
      tab34x71      2160- 2168
      tab34x72      2169- 2177
      tab34x73      2178- 2186
      tab34x74      2187- 2195
      tab34x75      2196- 2204
      tab34x76      2205- 2213
      tab34x77      2214- 2222
      tab34x78      2223- 2231
      tab34x79      2232- 2240
      tab34x80      2241- 2249
      tab34x81      2250- 2258
      tab34x82      2259- 2267
      tab34x83      2268- 2276
      tab34x84      2277- 2285
      tab34x85      2286- 2294
      tab34x86      2295- 2303
      tab34x87      2304- 2312
      tab34x88      2313- 2321
      tab34x89      2322- 2330
      tab34x90      2331- 2339
      tab34x91      2340- 2348
      tab34x92      2349- 2357
      tab34x93      2358- 2366
      tab34x94      2367- 2375
      tab34x95      2376- 2384
      tab34x96      2385- 2393
      tab34x97      2394- 2402
      tab34x98      2403- 2411
      tab34x99      2412- 2420
      tab34x100     2421- 2429
      tab34x101     2430- 2438
      tab34x102     2439- 2447
      tab34x103     2448- 2456
      tab34x104     2457- 2465
      tab34x105     2466- 2474
      tab34x106     2475- 2483
      tab34x107     2484- 2492
      tab34x108     2493- 2501
      tab34x109     2502- 2510
      tab34x110     2511- 2519
      tab34x111     2520- 2528
      tab34x112     2529- 2537
      tab34x113     2538- 2546
      tab34x114     2547- 2555
      tab34x115     2556- 2564
      tab34x116     2565- 2573
      tab34x117     2574- 2582
      tab34x118     2583- 2591
      tab34x119     2592- 2600
      tab34x120     2601- 2609
      tab34x121     2610- 2618
      tab34x122     2619- 2627
      tab34x123     2628- 2636
      tab34x124     2637- 2645
      tab34x125     2646- 2654
      tab34x126     2655- 2663
      tab34x127     2664- 2672
      tab34x128     2673- 2681
      tab34x129     2682- 2690
      tab34x130     2691- 2699
      tab34x131     2700- 2708
      tab34x132     2709- 2717
      tab34x133     2718- 2726
      tab34x134     2727- 2735
      tab34x135     2736- 2744
      tab34x136     2745- 2753
      tab34x137     2754- 2762
      tab34x138     2763- 2771
      tab34x139     2772- 2780
      tab34x140     2781- 2789
      tab34x141     2790- 2798
      tab34x142     2799- 2807
      tab34x143     2808- 2816
      tab34x144     2817- 2825
      tab34x145     2826- 2834
      tab34x146     2835- 2843
      tab34x147     2844- 2852
      tab34x148     2853- 2861
      tab34x149     2862- 2870
      tab34x150     2871- 2879
      tab34x151     2880- 2888
      tab34x152     2889- 2897
      tab34x153     2898- 2906
      tab34x154     2907- 2915
      tab34x155     2916- 2924
      tab34x156     2925- 2933
      tab34x157     2934- 2942
      tab34x158     2943- 2951
      tab34x159     2952- 2960
      tab34x160     2961- 2969
      tab34x161     2970- 2978
      tab34x162     2979- 2987
      tab34x163     2988- 2996
      tab34x164     2997- 3005
      tab34x165     3006- 3014
      tab34x166     3015- 3023
      tab34x167     3024- 3032
      tab34x168     3033- 3041
      tab34x169     3042- 3050
      tab34x170     3051- 3059
      tab34x171     3060- 3068
      tab34x172     3069- 3077
      tab34x173     3078- 3086
      tab34x174     3087- 3095
      tab34x175     3096- 3104
      tab34x176     3105- 3113
      tab34x177     3114- 3122
      tab34x178     3123- 3131
      tab34x179     3132- 3140
      tab34x180     3141- 3149
      tab34x181     3150- 3158
      tab34x182     3159- 3167
      tab34x183     3168- 3176
      tab34x184     3177- 3185
      tab34x185     3186- 3194
      tab34x186     3195- 3203
      tab34x187     3204- 3212
      tab34x188     3213- 3221
      tab34x189     3222- 3230
      tab34x190     3231- 3239
      tab34x191     3240- 3248
      tab34x192     3249- 3257
      tab34x193     3258- 3266
      tab34x194     3267- 3275
      tab34x195     3276- 3284
      tab34x196     3285- 3293
      tab34x197     3294- 3302
      tab34x198     3303- 3311
      tab34x199     3312- 3320
      tab34x200     3321- 3329
      tab34x201     3330- 3338
      tab34x202     3339- 3347
      tab34x203     3348- 3356
      tab34x204     3357- 3365
      tab34x205     3366- 3374
      tab34x206     3375- 3383
      tab34x207     3384- 3392
      tab34x208     3393- 3401
      tab34x209     3402- 3410
      tab34x210     3411- 3419
      tab34x211     3420- 3428
      tab34x212     3429- 3437
      tab34x213     3438- 3446
      tab34x214     3447- 3455
      tab34x215     3456- 3464
      tab34x216     3465- 3473
      tab34x217     3474- 3482
      tab34x218     3483- 3491
      tab34x219     3492-  3500
      tab34x220     3501-  3509
      tab34x221     3510-  3518
      tab34x222     3519-  3527
      tab34x223     3528-  3536
      tab34x224     3537-  3545
      tab34x225     3546-  3554
      tab34x226     3555-  3563
      tab34x227     3564-  3572
      tab34x228     3573-  3581
      tab34x229     3582-  3590
      tab34x230     3591-  3599
      tab34x231     3600-  3608
      tab34x232     3609-  3617
      tab34x233     3618-  3626
      tab34x234     3627-  3635
      tab34x235     3636-  3644
      tab34x236     3645-  3653
      tab34x237     3654-  3662
      tab34x238     3663-  3671
      tab34x239     3672-  3680
      tab34x240     3681-  3689
      tab34x241     3690-  3698
      tab34x242     3699-  3707
      tab34x243     3708-  3716
      tab34x244     3717-  3725
      tab34x245     3726-  3734
      tab34x246     3735-  3743
      tab34x247     3744-  3752
      tab34x248     3753-  3761
      tab34x249     3762-  3770
      tab34x250     3771-  3779
      tab34x251     3780-  3788
      tab34x252     3789-  3797
      tab34x253     3798-  3806
      tab34x254     3807-  3815
      tab34x255     3816-  3824
      tab34x256     3825-  3833
      tab34x257     3834-  3842
      tab34x258     3843-  3851
      tab34x259     3852-  3860
      tab34x260     3861-  3869
      tab34x261     3870-  3878
      tab34x262     3879-  3887
      tab34x263     3888-  3896
      tab34x264     3897-  3905
      tab34x265     3906-  3914
      tab34x266     3915-  3923
      tab34x267     3924-  3932
      tab34x268     3933-  3941
      tab34x269     3942-  3950
      tab34x270     3951-  3959
      tab34x271     3960-  3968
      tab34x272     3969-  3977
      tab34x273     3978-  3986
      tab34x274     3987-  3995
      tab34x275     3996-  4004
      tab34x276     4005-  4013
      tab34x277     4014-  4022
      tab34x278     4023-  4031
      tab34x279     4032-  4040
      tab34x280     4041-  4049
      tab34x281     4050-  4058
      tab34x282     4059-  4067
      tab34x283     4068-  4076
      tab34x284     4077-  4085
      tab34x285     4086-  4094
      tab34x286     4095-  4103
      tab35x1       4104-  4112
      tab35x2       4113-  4121
      tab35x3       4122-  4130
      tab35x4       4131-  4139
      tab35x5       4140-  4148
      tab35x6       4149-  4157
      tab35x7       4158-  4166
      tab35x8       4167-  4175
      tab35x9       4176-  4184
      tab35x10      4185-  4193
      tab35x11      4194-  4202
      tab35x12      4203-  4211
      tab35x13      4212-  4220
      tab35x14      4221-  4229
      tab35x15      4230-  4238
      tab35x16      4239-  4247
      tab35x17      4248-  4256
      tab35x18      4257-  4265
      tab35x19      4266-  4274
      tab35x20      4275-  4283
      tab35x21      4284-  4292
      tab35x22      4293-  4301
      tab35x23      4302-  4310
      tab35x24      4311-  4319
      tab35x25      4320-  4328
      tab35x26      4329-  4337
      tab35x27      4338-  4346
      tab35x28      4347-  4355
      tab35x29      4356-  4364
      tab35x30      4365-  4373
      tab35x31      4374-  4382
      tab35x32      4383-  4391
      tab35x33      4392-  4400
      tab35x34      4401-  4409
      tab35x35      4410-  4418
      tab35x36      4419-  4427
      tab35x37      4428-  4436
      tab35x38      4437-  4445
      tab35x39      4446-  4454
      tab35x40      4455-  4463
      tab35x41      4464-  4472
      tab35x42      4473-  4481
      tab35x43      4482-  4490
      tab35x44      4491-  4499
      tab35x45      4500-  4508
      tab35x46      4509-  4517
      tab35x47      4518-  4526
      tab35x48      4527-  4535
      tab35x49      4536-  4544
      tab35x50      4545-  4553
      tab35x51      4554-  4562
      tab35x52      4563-  4571
      tab35x53      4572-  4580
      tab35x54      4581-  4589
      tab35x55      4590-  4598
      tab35x56      4599-  4607
      tab35x57      4608-  4616
      tab35x58      4617-  4625
      tab35x59      4626-  4634
      tab35x60      4635-  4643
      tab35x61      4644-  4652
      tab35x62      4653-  4661
      tab35x63      4662-  4670
      tab35x64      4671-  4679
      tab35x65      4680-  4688
      tab35x66      4689-  4697
      tab36x1       4698-  4706
      tab36x2       4707-  4715
      tab36x3       4716-  4724
      tab36x4       4725-  4733
      tab36x5       4734-  4742
      tab36x6       4743-  4751
      tab36x7       4752-  4760
      tab36x8       4761-  4769
      tab36x9       4770-  4778
      tab36x10      4779-  4787
      tab36x11      4788-  4796
      tab36x12      4797-  4805
      tab36x13      4806-  4814
      tab36x14      4815-  4823
      tab36x15      4824-  4832
      tab36x16      4833-  4841
      tab36x17      4842-  4850
      tab36x18      4851-  4859
      tab36x19      4860-  4868
      tab36x20      4869-  4877
      tab36x21      4878-  4886
      tab36x22      4887-  4895
      tab36x23      4896-  4904
      tab36x24      4905-  4913
      tab36x25      4914-  4922
      tab36x26      4923-  4931
      tab36x27      4932-  4940
      tab36x28      4941-  4949
      tab36x29      4950-  4958
      tab36x30      4959-  4967
      tab36x31      4968-  4976
      tab36x32      4977-  4985
      tab36x33      4986-  4994
      tab36x34      4995-  5003
      tab36x35      5004-  5012
      tab36x36      5013-  5021
      tab36x37      5022-  5030
      tab36x38      5031-  5039
      tab36x39      5040-  5048
      tab36x40      5049-  5057
      tab36x41      5058-  5066
      tab36x42      5067-  5075
      tab36x43      5076-  5084
      tab36x44      5085-  5093
      tab37x1       5094-  5102
      tab37x2       5103-  5111
      tab37x3       5112-  5120
      tab37x4       5121-  5129
      tab37x5       5130-  5138
      tab37x6       5139-  5147
      tab37x7       5148-  5156
      tab37x8       5157-  5165
      tab37x9       5166-  5174
      tab37x10      5175-  5183
      tab37x11      5184-  5192
      tab37x12      5193-  5201
      tab37x13      5202-  5210
      tab37x14      5211-  5219
      tab37x15      5220-  5228
      tab37x16      5229-  5237
      tab37x17      5238-  5246
      tab37x18      5247-  5255
      tab37x19      5256-  5264
      tab37x20      5265-  5273
      tab37x21      5274-  5282
      tab37x22      5283-  5291
      tab37x23      5292-  5300
      tab37x24      5301-  5309
      tab37x25      5310-  5318
      tab37x26      5319-  5327
      tab37x27      5328-  5336
      tab37x28      5337-  5345
      tab37x29      5346-  5354
      tab37x30      5355-  5363
      tab37x31      5364-  5372
      tab37x32      5373-  5381
      tab37x33      5382-  5390
      tab37x34      5391-  5399
      tab37x35      5400-  5408
      tab37x36      5409-  5417
      tab37x37      5418-  5426
      tab37x38      5427-  5435
      tab37x39      5436-  5444
      tab37x40      5445-  5453
      tab37x41      5454-  5462
      tab37x42      5463-  5471
      tab37x43      5472-  5480
      tab37x44      5481-  5489
      tab37x45      5490-  5498
      tab37x46      5499-  5507
      tab37x47      5508-  5516
      tab37x48      5517-  5525
      tab37x49      5526-  5534
      tab37x50      5535-  5543
      tab37x51      5544-  5552
      tab37x52      5553-  5561
      tab37x53      5562-  5570
      tab37x54      5571-  5579
      tab37x55      5580-  5588
      tab37x56      5589-  5597
      tab37x57      5598-  5606
      tab37x58      5607-  5615
      tab37x59      5616-  5624
      tab37x60      5625-  5633
      tab37x61      5634-  5642
      tab37x62      5643-  5651
      tab37x63      5652-  5660
      tab37x64      5661-  5669
      tab37x65      5670-  5678
      tab37x66      5679-  5687
      tab38x1       5688-  5696
      tab38x2       5697-  5705
      tab38x3       5706-  5714
      tab38x4       5715-  5723
      tab38x5       5724-  5732
      tab38x6       5733-  5741
      tab38x7       5742-  5750
      tab38x8       5751-  5759
      tab38x9       5760-  5768
      tab38x10      5769-  5777
      tab38x11      5778-  5786
      tab38x12      5787-  5795
      tab38x13      5796-  5804
      tab38x14      5805-  5813
      tab38x15      5814-  5822
      tab38x16      5823-  5831
      tab38x17      5832-  5840
      tab38x18      5841-  5849
      tab38x19      5850-  5858
      tab38x20      5859-  5867
      tab38x21      5868-  5876
      tab38x22      5877-  5885
      tab38x23      5886-  5894
      tab38x24      5895-  5903
      tab38x25      5904-  5912
      tab38x26      5913-  5921
      tab38x27      5922-  5930
      tab38x28      5931-  5939
      tab38x29      5940-  5948
      tab38x30      5949-  5957
      tab38x31      5958-  5966
      tab38x32      5967-  5975
      tab38x33      5976-  5984
      tab38x34      5985-  5993
      tab38x35      5994-  6002
      tab38x36      6003-  6011
      tab38x37      6012-  6020
      tab38x38      6021-  6029
      tab38x39      6030-  6038
      tab38x40      6039-  6047
      tab38x41      6048-  6056
      tab38x42      6057-  6065
      tab38x43      6066-  6074
      tab38x44      6075-  6083
      tab38x45      6084-  6092
      tab38x46      6093-  6101
      tab38x47      6102-  6110
      tab38x48      6111-  6119
      tab38x49      6120-  6128
      tab38x50      6129-  6137
      tab38x51      6138-  6146
      tab38x52      6147-  6155
      tab38x53      6156-  6164
      tab38x54      6165-  6173
      tab38x55      6174-  6182
      tab39x1       6183-  6191
      tab39x2       6192-  6200
      tab39x3       6201-  6209
      tab39x4       6210-  6218
      tab39x5       6219-  6227
      tab39x6       6228-  6236
      tab39x7       6237-  6245
      tab39x8       6246-  6254
      tab39x9       6255-  6263
      tab39x10      6264-  6272
      tab39x11      6273-  6281
      tab39x12      6282-  6290
      tab39x13      6291-  6299
      tab39x14      6300-  6308
      tab39x15      6309-  6317
      tab39x16      6318-  6326
      tab39x17      6327-  6335
      tab39x18      6336-  6344
      tab39x19      6345-  6353
      tab39x20      6354-  6362
      tab39x21      6363-  6371
      tab39x22      6372-  6380
      tab39x23      6381-  6389
      tab39x24      6390-  6398
      tab39x25      6399-  6407
      tab39x26      6408-  6416
      tab39x27      6417-  6425
      tab39x28      6426-  6434
      tab39x29      6435-  6443
      tab39x30      6444-  6452
      tab39x31      6453-  6461
      tab39x32      6462-  6470
      tab39x33      6471-  6479
      tab39x34      6480-  6488
      tab39x35      6489-  6497
      tab39x36      6498-  6506
      tab39x37      6507-  6515
      tab39x38      6516-  6524
      tab39x39      6525-  6533
      tab39x40      6534-  6542
      tab39x41      6543-  6551
      tab39x42      6552-  6560
      tab39x43      6561-  6569
      tab39x44      6570-  6578
      tab39x45      6579-  6587
      tab39x46      6588-  6596
      tab39x47      6597-  6605
      tab39x48      6606-  6614
      tab39x49      6615-  6623
      tab39x50      6624-  6632
      tab39x51      6633-  6641
      tab39x52      6642-  6650
      tab39x53      6651-  6659
      tab39x54      6660-  6668
      tab39x55      6669-  6677
      tab39x56      6678-  6686
      tab39x57      6687-  6695
      tab39x58      6696-  6704
      tab39x59      6705-  6713
      tab39x60      6714-  6722
      tab39x61      6723-  6731
      tab39x62      6732-  6740
      tab39x63      6741-  6749
      tab39x64      6750-  6758
      tab39x65      6759-  6767
      tab39x66      6768-  6776
      tab39x67      6777-  6785
      tab39x68      6786-  6794
      tab39x69      6795-  6803
      tab39x70      6804-  6812
      tab39x71      6813-  6821
      tab39x72      6822-  6830
      tab39x73      6831-  6839
      tab39x74      6840-  6848
      tab39x75      6849-  6857
      tab39x76      6858-  6866
      tab39x77      6867-  6875
      tab39x78      6876-  6884
      tab39x79      6885-  6893
      tab39x80      6894-  6902
      tab39x81      6903-  6911
      tab39x82      6912-  6920
      tab39x83      6921-  6929
      tab39x84      6930-  6938
      tab39x85      6939-  6947
      tab39x86      6948-  6956
      tab39x87      6957-  6965
      tab39x88      6966-  6974
      tab39x89      6975-  6983
      tab39x90      6984-  6992
      tab39x91      6993-  7001
      tab39x92      7002-  7010
      tab39x93      7011-  7019
      tab39x94      7020-  7028
      tab39x95      7029-  7037
      tab39x96      7038-  7046
      tab39x97      7047-  7055
      tab39x98      7056-  7064
      tab39x99      7065-  7073
      tab39x100     7074-  7082
      tab39x101     7083-  7091
      tab39x102     7092-  7100
      tab39x103     7101-  7109
      tab39x104     7110-  7118
      tab39x105     7119-  7127
      tab39x106     7128-  7136
      tab39x107     7137-  7145
      tab39x108     7146-  7154
      tab39x109     7155-  7163
      tab39x110     7164-  7172
      tab39x111     7173-  7181
      tab39x112     7182-  7190
      tab39x113     7191-  7199
      tab39x114     7200-  7208
      tab39x115     7209-  7217
      tab39x116     7218-  7226
      tab39x117     7227-  7235
      tab39x118     7236-  7244
      tab39x119     7245-  7253
      tab39x120     7254-  7262
      tab39x121     7263-  7271
      tab39x122     7272-  7280
      tab39x123     7281-  7289
      tab39x124     7290-  7298
      tab39x125     7299-  7307
      tab39x126     7308-  7316
      tab39x127     7317-  7325
      tab39x128     7326-  7334
      tab39x129     7335-  7343
      tab39x130     7344-  7352
      tab39x131     7353-  7361
      tab39x132     7362-  7370
      tab40x1       7371-  7379
      tab40x2       7380-  7388
      tab40x3       7389-  7397
      tab40x4       7398-  7406
      tab40x5       7407-  7415
      tab40x6       7416-  7424
      tab40x7       7425-  7433
      tab40x8       7434-  7442
      tab40x9       7443-  7451
      tab40x10      7452-  7460
      tab40x11      7461-  7469
      tab40x12      7470-  7478
      tab40x13      7479-  7487
      tab40x14      7488-  7496
      tab40x15      7497-  7505
      tab40x16      7506-  7514
      tab40x17      7515-  7523
      tab40x18      7524-  7532
      tab40x19      7533-  7541
      tab40x20      7542-  7550
      tab40x21      7551-  7559
      tab40x22      7560-  7568
      tab40x23      7569-  7577
      tab40x24      7578-  7586
      tab40x25      7587-  7595
      tab40x26      7596-  7604
      tab40x27      7605-  7613
      tab40x28      7614-  7622
      tab40x29      7623-  7631
      tab40x30      7632-  7640
      tab40x31      7641-  7649
      tab40x32      7650-  7658
      tab40x33      7659-  7667
      tab40x34      7668-  7676
      tab40x35      7677-  7685
      tab40x36      7686-  7694
      tab40x37      7695-  7703
      tab40x38      7704-  7712
      tab40x39      7713-  7721
      tab40x40      7722-  7730
      tab40x41      7731-  7739
      tab40x42      7740-  7748
      tab40x43      7749-  7757
      tab40x44      7758-  7766
      tab40x45      7767-  7775
      tab40x46      7776-  7784
      tab40x47      7785-  7793
      tab40x48      7794-  7802
      tab40x49      7803-  7811
      tab40x50      7812-  7820
      tab40x51      7821-  7829
      tab40x52      7830-  7838
      tab40x53      7839-  7847
      tab40x54      7848-  7856
      tab40x55      7857-  7865
      tab40x56      7866-  7874
      tab41x1       7875-  7883
      tab41x2       7884-  7892
      tab41x3       7893-  7901
      tab41x4       7902-  7910
      tab41x5       7911-  7919
      tab41x6       7920-  7928
      tab41x7       7929-  7937
      tab41x8       7938-  7946
      tab41x9       7947-  7955
      tab41x10      7956-  7964
      tab41x11      7965-  7973
      tab41x12      7974-  7982
      tab41x13      7983-  7991
      tab41x14      7992-  8000
      tab41x15      8001-  8009
      tab41x16      8010-  8018
      tab41x17      8019-  8027
      tab41x18      8028-  8036
      tab41x19      8037-  8045
      tab41x20      8046-  8054
      tab41x21      8055-  8063
      tab41x22      8064-  8072
      tab41x23      8073-  8081
      tab41x24      8082-  8090
      tab41x25      8091-  8099
      tab41x26      8100-  8108
      tab41x27      8109-  8117
      tab41x28      8118-  8126
      tab41x29      8127-  8135
      tab41x30      8136-  8144
      tab42x1       8145-  8153
      tab42x2       8154-  8162
      tab42x3       8163-  8171
      tab42x4       8172-  8180
      tab42x5       8181-  8189
      tab42x6       8190-  8198
      tab42x7       8199-  8207
      tab42x8       8208-  8216
      tab42x9       8217-  8225
      tab42x10      8226-  8234
      tab42x11      8235-  8243
      tab42x12      8244-  8252
      tab42x13      8253-  8261
      tab42x14      8262-  8270
      tab42x15      8271-  8279
      tab42x16      8280-  8288
      tab42x17      8289-  8297
      tab42x18      8298-  8306
      tab42x19      8307-  8315
      tab42x20      8316-  8324
      tab42x21      8325-  8333
      tab42x22      8334-  8342
      tab42x23      8343-  8351
      tab42x24      8352-  8360
      tab42x25      8361-  8369
      tab42x26      8370-  8378
      tab42x27      8379-  8387
      tab42x28      8388-  8396
      tab42x29      8397-  8405
      tab42x30      8406-  8414
      tab42x31      8415-  8423
      tab42x32      8424-  8432
      tab42x33      8433-  8441
      tab42x34      8442-  8450
      tab42x35      8451-  8459
      tab42x36      8460-  8468
      tab42x37      8469-  8477
      tab42x38      8478-  8486
      tab42x39      8487-  8495
      tab42x40      8496-  8504
      tab42x41      8505-  8513
      tab42x42      8514-  8522
      tab42x43      8523-  8531
      tab42x44      8532-  8540
      tab42x45      8541-  8549
      tab42x46      8550-  8558
      tab42x47      8559-  8567
      tab42x48      8568-  8576
      tab42x49      8577-  8585
      tab42x50      8586-  8594
      tab42x51      8595-  8603
      tab42x52      8604-  8612
      tab42x53      8613-  8621
      tab42x54      8622-  8630
      tab42x55      8631-  8639
      tab42x56      8640-  8648
      tab42x57      8649-  8657
      tab42x58      8658-  8666
      tab42x59      8667-  8675
      tab42x60      8676-  8684
      tab42x61      8685-  8693
      tab42x62      8694-  8702
      tab42x63      8703-  8711
      tab42x64      8712-  8720
      tab42x65      8721-  8729
      tab42x66      8730-  8738
      tab42x67      8739-  8747
      tab42x68      8748-  8756
      tab42x69      8757-  8765
      tab42x70      8766-  8774
      tab42x71      8775-  8783
      tab42x72      8784-  8792
      tab42x73      8793-  8801
      tab42x74      8802-  8810
      tab42x75      8811-  8819
      tab42x76      8820-  8828
      tab42x77      8829-  8837
      tab42x78      8838-  8846
      tab42x79      8847-  8855
      tab42x80      8856-  8864
      tab42x81      8865-  8873
      tab42x82      8874-  8882
      tab42x83      8883-  8891
      tab42x84      8892-  8900
      tab42x85      8901-  8909
      tab42x86      8910-  8918
      tab42x87      8919-  8927
      tab42x88      8928-  8936
      tab42x89      8937-  8945
      tab42x90      8946-  8954
      tab42x91      8955-  8963
      tab42x92      8964-  8972
      tab42x93      8973-  8981
      tab42x94      8982-  8990
      tab42x95      8991-  8999
      tab42x96      9000-  9008
      tab42x97      9009-  9017
      tab42x98      9018-  9026
      tab42x99      9027-  9035
      tab42x100     9036-  9044
      tab42x101     9045-  9053
      tab42x102     9054-  9062
      tab42x103     9063-  9071
      tab42x104     9072-  9080
      tab42x105     9081-  9089
      tab42x106     9090-  9098
      tab42x107     9099-  9107
      tab42x108     9108-  9116
      tab42x109     9117-  9125
      tab42x110     9126-  9134
      tab42x111     9135-  9143
      tab42x112     9144-  9152
      tab42x113     9153-  9161
      tab42x114     9162-  9170
      tab42x115     9171-  9179
      tab42x116     9180-  9188
      tab42x117     9189-  9197
      tab42x118     9198-  9206
      tab42x119     9207-  9215
      tab42x120     9216-  9224
      tab42x121     9225-  9233
      tab42x122     9234-  9242
      tab42x123     9243-  9251
      tab42x124     9252-  9260
      tab42x125     9261-  9269
      tab42x126     9270-  9278
      tab42x127     9279-  9287
      tab42x128     9288-  9296
      tab42x129     9297-  9305
      tab42x130     9306-  9314
      tab42x131     9315-  9323
      tab42x132     9324-  9332
      tab42x133     9333-  9341
      tab42x134     9342-  9350
      tab42x135     9351-  9359
      tab42x136     9360-  9368
      tab42x137     9369-  9377
      tab42x138     9378-  9386
      tab42x139     9387-  9395
      tab42x140     9396-  9404
      tab42x141     9405-  9413
      tab42x142     9414-  9422
      tab42x143     9423-  9431
      tab42x144     9432-  9440
      tab42x145     9441-  9449
      tab42x146     9450-  9458
      tab42x147     9459-  9467
      tab42x148     9468-  9476
      tab42x149     9477-  9485
      tab42x150     9486-  9494
      tab42x151     9495-  9503
      tab42x152     9504-  9512
      tab42x153     9513-  9521
      tab42x154     9522-  9530
      tab42x155     9531-  9539
      tab42x156     9540-  9548
      tab42x157     9549-  9557
      tab42x158     9558-  9566
      tab42x159     9567-  9575
      tab42x160     9576-  9584
      tab42x161     9585-  9593
      tab42x162     9594-  9602
      tab42x163     9603-  9611
      tab42x164     9612-  9620
      tab42x165     9621-  9629
      tab42x166     9630-  9638
      tab42x167     9639-  9647
      tab42x168     9648-  9656
      tab42x169     9657-  9665
      tab42x170     9666-  9674
      tab42x171     9675-  9683
      tab42x172     9684-  9692
      tab42x173     9693-  9701
      tab42x174     9702-  9710
      tab42x175     9711-  9719
      tab42x176     9720-  9728
      tab42x177     9729-  9737
      tab42x178     9738-  9746
      tab42x179     9747-  9755
      tab42x180     9756-  9764
      tab42x181     9765-  9773
      tab42x182     9774-  9782
      tab42x183     9783-  9791
      tab42x184     9792-  9800
      tab42x185     9801-  9809
      tab42x186     9810-  9818
      tab42x187     9819-  9827
      tab42x188     9828-  9836
      tab42x189     9837-  9845
      tab42x190     9846-  9854
      tab42x191     9855-  9863
      tab42x192     9864-  9872
      tab42x193     9873-  9881
      tab42x194     9882-  9890
      tab42x195     9891-  9899
      tab42x196     9900-  9908
      tab42x197     9909-  9917
      tab42x198     9918-  9926
      tab42x199     9927-  9935
      tab42x200     9936-  9944
      tab42x201     9945-  9953
      tab42x202     9954-  9962
      tab42x203     9963-  9971
      tab42x204     9972-  9980
      tab42x205     9981-  9989
      tab42x206     9990-  9998
      tab42x207     9999- 10007
      tab42x208    10008- 10016
      tab42x209    10017- 10025
      tab42x210    10026- 10034
      tab42x211    10035- 10043
      tab42x212    10044- 10052
      tab42x213    10053- 10061
      tab42x214    10062- 10070
      tab42x215    10071- 10079
      tab42x216    10080- 10088
      tab42x217    10089- 10097
      tab42x218    10098- 10106
      tab42x219    10107- 10115
      tab42x220    10116- 10124
      tab42x221    10125- 10133
      tab42x222    10134- 10142
      tab42x223    10143- 10151
      tab42x224    10152- 10160
      tab42x225    10161- 10169
      tab42x226    10170- 10178
      tab42x227    10179- 10187
      tab42x228    10188- 10196
      tab42x229    10197- 10205
      tab42x230    10206- 10214
      tab42x231    10215- 10223
      tab42x232    10224- 10232
      tab42x233    10233- 10241
      tab42x234    10242- 10250
      tab42x235    10251- 10259
      tab42x236    10260- 10268
      tab42x237    10269- 10277
      tab42x238    10278- 10286
      tab42x239    10287- 10295
      tab42x240    10296- 10304
      tab43x1      10305- 10313
      tab43x2      10314- 10322
      tab43x3      10323- 10331
      tab43x4      10332- 10340
      tab43x5      10341- 10349
      tab43x6      10350- 10358
      tab43x7      10359- 10367
      tab43x8      10368- 10376
      tab43x9      10377- 10385
      tab43x10     10386- 10394
      tab43x11     10395- 10403
      tab43x12     10404- 10412
      tab43x13     10413- 10421
      tab43x14     10422- 10430
      tab43x15     10431- 10439
      tab43x16     10440- 10448
      tab43x17     10449- 10457
      tab43x18     10458- 10466
      tab43x19     10467- 10475
      tab43x20     10476- 10484
      tab43x21     10485- 10493
      tab43x22     10494- 10502
      tab43x23     10503- 10511
      tab43x24     10512- 10520
      tab43x25     10521- 10529
      tab43x26     10530- 10538
      tab43x27     10539- 10547
      tab43x28     10548- 10556
      tab43x29     10557- 10565
      tab43x30     10566- 10574
      tab43x31     10575- 10583
      tab43x32     10584- 10592
      tab43x33     10593- 10601
      tab43x34     10602- 10610
      tab43x35     10611- 10619
      tab43x36     10620- 10628
      tab43x37     10629- 10637
      tab43x38     10638- 10646
      tab43x39     10647- 10655
      tab43x40     10656- 10664
      tab43x41     10665- 10673
      tab43x42     10674- 10682
      tab43x43     10683- 10691
      tab43x44     10692- 10700
      tab43x45     10701- 10709
      tab43x46     10710- 10718
      tab43x47     10719- 10727
      tab43x48     10728- 10736
      tab43x49     10737- 10745
      tab43x50     10746- 10754
      tab43x51     10755- 10763
      tab43x52     10764- 10772
      tab43x53     10773- 10781
      tab43x54     10782- 10790
      tab43x55     10791- 10799
      tab43x56     10800- 10808
      tab43x57     10809- 10817
      tab43x58     10818- 10826
      tab43x59     10827- 10835
      tab43x60     10836- 10844
      tab43x61     10845- 10853
      tab43x62     10854- 10862
      tab43x63     10863- 10871
      tab43x64     10872- 10880
      tab43x65     10881- 10889
      tab43x66     10890- 10898
      tab43x67     10899- 10907
      tab43x68     10908- 10916
      tab43x69     10917- 10925
      tab43x70     10926- 10934
      tab43x71     10935- 10943
      tab43x72     10944- 10952
      tab43x73     10953- 10961
      tab43x74     10962- 10970
      tab43x75     10971- 10979
      tab43x76     10980- 10988
      tab43x77     10989- 10997
      tab43x78     10998- 11006
      tab43x79     11007- 11015
      tab43x80     11016- 11024
      tab43x81     11025- 11033
      tab43x82     11034- 11042
      tab43x83     11043- 11051
      tab43x84     11052- 11060
      tab43x85     11061- 11069
      tab43x86     11070- 11078
      tab43x87     11079- 11087
      tab43x88     11088- 11096
      tab43x89     11097- 11105
      tab43x90     11106- 11114
      tab43x91     11115- 11123
      tab43x92     11124- 11132
      tab43x93     11133- 11141
      tab43x94     11142- 11150
      tab43x95     11151- 11159
      tab43x96     11160- 11168
      tab43x97     11169- 11177
      tab43x98     11178- 11186
      tab43x99     11187- 11195
      tab43x100    11196- 11204
      tab43x101    11205- 11213
      tab43x102    11214- 11222
      tab43x103    11223- 11231
      tab43x104    11232- 11240
      tab43x105    11241- 11249
      tab43x106    11250- 11258
      tab43x107    11259- 11267
      tab43x108    11268- 11276
      tab43x109    11277- 11285
      tab43x110    11286- 11294
      tab43x111    11295- 11303
      tab43x112    11304- 11312
      tab43x113    11313- 11321
      tab43x114    11322- 11330
      tab43x115    11331- 11339
      tab43x116    11340- 11348
      tab43x117    11349- 11357
      tab43x118    11358- 11366
      tab43x119    11367- 11375
      tab43x120    11376- 11384
      tab43x121    11385- 11393
      tab43x122    11394- 11402
      tab43x123    11403- 11411
      tab43x124    11412- 11420
      tab43x125    11421- 11429
      tab43x126    11430- 11438
      tab43x127    11439- 11447
      tab43x128    11448- 11456
      tab43x129    11457- 11465
      tab43x130    11466- 11474
      tab43x131    11475- 11483
      tab43x132    11484- 11492
      tab43x133    11493- 11501
      tab43x134    11502- 11510
      tab43x135    11511- 11519
      tab43x136    11520- 11528
      tab43x137    11529- 11537
      tab43x138    11538- 11546
      tab43x139    11547- 11555
      tab43x140    11556- 11564
      tab43x141    11565- 11573
      tab43x142    11574- 11582
      tab43x143    11583- 11591
      tab43x144    11592- 11600
      tab43x145    11601- 11609
      tab43x146    11610- 11618
      tab43x147    11619- 11627
      tab43x148    11628- 11636
      tab43x149    11637- 11645
      tab43x150    11646- 11654
      tab44x1      11655- 11663
      tab44x2      11664- 11672
      tab44x3      11673- 11681
      tab44x4      11682- 11690
      tab44x5      11691- 11699
      tab44x6      11700- 11708
      tab44x7      11709- 11717
      tab44x8      11718- 11726
      tab44x9      11727- 11735
      tab44x10     11736- 11744
      tab44x11     11745- 11753
      tab44x12     11754- 11762
      tab44x13     11763- 11771
      tab44x14     11772- 11780
      tab44x15     11781- 11789
      tab44x16     11790- 11798
      tab44x17     11799- 11807
      tab44x18     11808- 11816
      tab44x19     11817- 11825
      tab44x20     11826- 11834
      tab44x21     11835- 11843
      tab44x22     11844- 11852
      tab44x23     11853- 11861
      tab44x24     11862- 11870
      tab44x25     11871- 11879
      tab44x26     11880- 11888
      tab44x27     11889- 11897
      tab44x28     11898- 11906
      tab44x29     11907- 11915
      tab44x30     11916- 11924
      tab44x31     11925- 11933
      tab44x32     11934- 11942
      tab44x33     11943- 11951
      tab44x34     11952- 11960
      tab44x35     11961- 11969
      tab44x36     11970- 11978
      tab44x37     11979- 11987
      tab44x38     11988- 11996
      tab44x39     11997- 12005
      tab44x40     12006- 12014
      tab44x41     12015- 12023
      tab44x42     12024- 12032
      tab44x43     12033- 12041
      tab44x44     12042- 12050
      tab44x45     12051- 12059
      tab44x46     12060- 12068
      tab44x47     12069- 12077
      tab44x48     12078- 12086
      tab44x49     12087- 12095
      tab44x50     12096- 12104
      tab44x51     12105- 12113
      tab44x52     12114- 12122
      tab44x53     12123- 12131
      tab44x54     12132- 12140
      tab44x55     12141- 12149
      tab44x56     12150- 12158
      tab44x57     12159- 12167
      tab44x58     12168- 12176
      tab44x59     12177- 12185
      tab44x60     12186- 12194
      tab44x61     12195- 12203
      tab44x62     12204- 12212
      tab44x63     12213- 12221
      tab44x64     12222- 12230
      tab44x65     12231- 12239
      tab44x66     12240- 12248
      tab44x67     12249- 12257
      tab44x68     12258- 12266
      tab44x69     12267- 12275
      tab44x70     12276- 12284
      tab44x71     12285- 12293
      tab44x72     12294- 12302
      tab44x73     12303- 12311
      tab44x74     12312- 12320
      tab44x75     12321- 12329
      tab44x76     12330- 12338
      tab44x77     12339- 12347
      tab44x78     12348- 12356
      tab44x79     12357- 12365
      tab44x80     12366- 12374
      tab44x81     12375- 12383
      tab44x82     12384- 12392
      tab44x83     12393- 12401
      tab44x84     12402- 12410
      tab44x85     12411- 12419
      tab44x86     12420- 12428
      tab44x87     12429- 12437
      tab44x88     12438- 12446
      tab44x89     12447- 12455
      tab44x90     12456- 12464
      tab44x91     12465- 12473
      tab44x92     12474- 12482
      tab44x93     12483- 12491
      tab44x94     12492- 12500
      tab44x95     12501- 12509
      tab44x96     12510- 12518
      tab44x97     12519- 12527
      tab44x98     12528- 12536
      tab44x99     12537- 12545
      tab44x100    12546- 12554
      tab44x101    12555- 12563
      tab44x102    12564- 12572
      tab44x103    12573- 12581
      tab44x104    12582- 12590
      tab44x105    12591- 12599
      tab44x106    12600- 12608
      tab44x107    12609- 12617
      tab44x108    12618- 12626
      tab44x109    12627- 12635
      tab44x110    12636- 12644
      tab44x111    12645- 12653
      tab44x112    12654- 12662
      tab44x113    12663- 12671
      tab44x114    12672- 12680
      tab44x115    12681- 12689
      tab44x116    12690- 12698
      tab44x117    12699- 12707
      tab44x118    12708- 12716
      tab44x119    12717- 12725
      tab44x120    12726- 12734
      tab44x121    12735- 12743
      tab44x122    12744- 12752
      tab44x123    12753- 12761
      tab44x124    12762- 12770
      tab44x125    12771- 12779
      tab44x126    12780- 12788
      tab44x127    12789- 12797
      tab44x128    12798- 12806
      tab44x129    12807- 12815
      tab44x130    12816- 12824
      tab44x131    12825- 12833
      tab44x132    12834- 12842
      tab44x133    12843- 12851
      tab44x134    12852- 12860
      tab44x135    12861- 12869
      tab44x136    12870- 12878
      tab44x137    12879- 12887
      tab44x138    12888- 12896
      tab44x139    12897- 12905
      tab44x140    12906- 12914
      tab44x141    12915- 12923
      tab44x142    12924- 12932
      tab44x143    12933- 12941
      tab44x144    12942- 12950
      tab44x145    12951- 12959
      tab44x146    12960- 12968
      tab44x147    12969- 12977
      tab44x148    12978- 12986
      tab44x149    12987- 12995
      tab44x150    12996- 13004
      tab44x151    13005- 13013
      tab44x152    13014- 13022
      tab44x153    13023- 13031
      tab44x154    13032- 13040
      tab44x155    13041- 13049
      tab44x156    13050- 13058
      tab44x157    13059- 13067
      tab44x158    13068- 13076
      tab44x159    13077- 13085
      tab44x160    13086- 13094
      tab44x161    13095- 13103
      tab44x162    13104- 13112
      tab44x163    13113- 13121
      tab44x164    13122- 13130
      tab44x165    13131- 13139
      tab44x166    13140- 13148
      tab44x167    13149- 13157
      tab44x168    13158- 13166
      tab44x169    13167- 13175
      tab44x170    13176- 13184
      tab44x171    13185- 13193
      tab44x172    13194- 13202
      tab44x173    13203- 13211
      tab44x174    13212- 13220
      tab44x175    13221- 13229
      tab44x176    13230- 13238
      tab44x177    13239- 13247
      tab44x178    13248- 13256
      tab44x179    13257- 13265
      tab44x180    13266- 13274
      tab44x181    13275- 13283
      tab44x182    13284- 13292
      tab44x183    13293- 13301
      tab44x184    13302- 13310
      tab44x185    13311- 13319
      tab44x186    13320- 13328
      tab44x187    13329- 13337
      tab44x188    13338- 13346
      tab44x189    13347- 13355
      tab44x190    13356- 13364
      tab44x191    13365- 13373
      tab44x192    13374- 13382
      tab44x193    13383- 13391
      tab44x194    13392- 13400
      tab44x195    13401- 13409
      tab44x196    13410- 13418
      tab44x197    13419- 13427
      tab44x198    13428- 13436
      tab44x199    13437- 13445
      tab44x200    13446- 13454
      tab44x201    13455- 13463
      tab44x202    13464- 13472
      tab44x203    13473- 13481
      tab44x204    13482- 13490
      tab44x205    13491- 13499
      tab44x206    13500- 13508
      tab44x207    13509- 13517
      tab44x208    13518- 13526
      tab44x209    13527- 13535
      tab44x210    13536- 13544
      tab44x211    13545- 13553
      tab44x212    13554- 13562
      tab44x213    13563- 13571
      tab44x214    13572- 13580
      tab44x215    13581- 13589
      tab44x216    13590- 13598
      tab44x217    13599- 13607
      tab44x218    13608- 13616
      tab44x219    13617- 13625
      tab44x220    13626- 13634
      tab44x221    13635- 13643
      tab44x222    13644- 13652
      tab44x223    13653- 13661
      tab44x224    13662- 13670
      tab44x225    13671- 13679
      tab44x226    13680- 13688
      tab44x227    13689- 13697
      tab44x228    13698- 13706
      tab44x229    13707- 13715
      tab44x230    13716- 13724
      tab44x231    13725- 13733
      tab44x232    13734- 13742
      tab44x233    13743- 13751
      tab44x234    13752- 13760
      tab44x235    13761- 13769
      tab44x236    13770- 13778
      tab44x237    13779- 13787
      tab44x238    13788- 13796
      tab44x239    13797- 13805
      tab44x240    13806- 13814
      tab44x241    13815- 13823
      tab44x242    13824- 13832
      tab44x243    13833- 13841
      tab44x244    13842- 13850
      tab44x245    13851- 13859
      tab44x246    13860- 13868
      tab44x247    13869- 13877
      tab44x248    13878- 13886
      tab44x249    13887- 13895
      tab44x250    13896- 13904
      tab44x251    13905- 13913
      tab44x252    13914- 13922
      tab44x253    13923- 13931
      tab44x254    13932- 13940
      tab44x255    13941- 13949
      tab44x256    13950- 13958
      tab44x257    13959- 13967
      tab44x258    13968- 13976
      tab44x259    13977- 13985
      tab44x260    13986- 13994
      tab44x261    13995- 14003
      tab44x262    14004- 14012
      tab44x263    14013- 14021
      tab44x264    14022- 14030
      tab44x265    14031- 14039
      tab44x266    14040- 14048
      tab44x267    14049- 14057
      tab44x268    14058- 14066
      tab44x269    14067- 14075
      tab44x270    14076- 14084
      tab44x271    14085- 14093
      tab44x272    14094- 14102
      tab44x273    14103- 14111
      tab44x274    14112- 14120
      tab44x275    14121- 14129
      tab44x276    14130- 14138
      tab44x277    14139- 14147
      tab44x278    14148- 14156
      tab44x279    14157- 14165
      tab44x280    14166- 14174
      tab44x281    14175- 14183
      tab44x282    14184- 14192
      tab44x283    14193- 14201
      tab44x284    14202- 14210
      tab44x285    14211- 14219
      tab44x286    14220- 14228
      tab44x287    14229- 14237
      tab44x288    14238- 14246
      tab44x289    14247- 14255
      tab44x290    14256- 14264
      tab44x291    14265- 14273
      tab44x292    14274- 14282
      tab44x293    14283- 14291
      tab44x294    14292- 14300
      tab44x295    14301- 14309
      tab44x296    14310- 14318
      tab44x297    14319- 14327
      tab44x298    14328- 14336
      tab44x299    14337- 14345
      tab44x300    14346- 14354
      tab44x301    14355- 14363
      tab44x302    14364- 14372
      tab44x303    14373- 14381
      tab44x304    14382- 14390
      tab44x305    14391- 14399
      tab44x306    14400- 14408
      tab44x307    14409- 14417
      tab44x308    14418- 14426
      tab44x309    14427- 14435
      tab44x310    14436- 14444
      tab44x311    14445- 14453
      tab44x312    14454- 14462
      tab44x313    14463- 14471
      tab44x314    14472- 14480
      tab44x315    14481- 14489
      tab44x316    14490- 14498
      tab44x317    14499- 14507
      tab44x318    14508- 14516
      tab44x319    14517- 14525
      tab44x320    14526- 14534
      tab44x321    14535- 14543
      tab44x322    14544- 14552
      tab44x323    14553- 14561
      tab44x324    14562- 14570
      tab44x325    14571- 14579
      tab44x326    14580- 14588
      tab44x327    14589- 14597
      tab44x328    14598- 14606
      tab44x329    14607- 14615
      tab44x330    14616- 14624
      tab44x331    14625- 14633
      tab44x332    14634- 14642
      tab44x333    14643- 14651
      tab44x334    14652- 14660
      tab44x335    14661- 14669
      tab44x336    14670- 14678
      tab44x337    14679- 14687
      tab44x338    14688- 14696
      tab44x339    14697- 14705
      tab44x340    14706- 14714
      tab44x341    14715- 14723
      tab44x342    14724- 14732
      tab44x343    14733- 14741
      tab44x344    14742- 14750
      tab44x345    14751- 14759
      tab44x346    14760- 14768
      tab44x347    14769- 14777
      tab44x348    14778- 14786
      tab44x349    14787- 14795
      tab44x350    14796- 14804
      tab44x351    14805- 14813
      tab44x352    14814- 14822
      tab44x353    14823- 14831
      tab44x354    14832- 14840
      tab44x355    14841- 14849
      tab44x356    14850- 14858
      tab44x357    14859- 14867
      tab44x358    14868- 14876
      tab44x359    14877- 14885
      tab44x360    14886- 14894
      tab44x361    14895- 14903
      tab44x362    14904- 14912
      tab44x363    14913- 14921
      tab44x364    14922- 14930
      tab44x365    14931- 14939
      tab44x366    14940- 14948
      tab44x367    14949- 14957
      tab44x368    14958- 14966
      tab44x369    14967- 14975
      tab44x370    14976- 14984
      tab44x371    14985- 14993
      tab44x372    14994- 15002
      tab44x373    15003- 15011
      tab44x374    15012- 15020
      tab44x375    15021- 15029
      tab44x376    15030- 15038
      tab44x377    15039- 15047
      tab44x378    15048- 15056
      tab44x379    15057- 15065
      tab44x380    15066- 15074
      tab44x381    15075- 15083
      tab44x382    15084- 15092
      tab44x383    15093- 15101
      tab44x384    15102- 15110
      tab44x385    15111- 15119
      tab44x386    15120- 15128
      tab44x387    15129- 15137
      tab44x388    15138- 15146
      tab44x389    15147- 15155
      tab44x390    15156- 15164
      tab44x391    15165- 15173
      tab44x392    15174- 15182
      tab44x393    15183- 15191
      tab44x394    15192- 15200
      tab44x395    15201- 15209
      tab44x396    15210- 15218
      tab44x397    15219- 15227
      tab44x398    15228- 15236
      tab44x399    15237- 15245
      tab44x400    15246- 15254
      tab44x401    15255- 15263
      tab44x402    15264- 15272
      tab44x403    15273- 15281
      tab44x404    15282- 15290
      tab44x405    15291- 15299
      tab44x406    15300- 15308
      tab44x407    15309- 15317
      tab44x408    15318- 15326
      tab44x409    15327- 15335
      tab44x410    15336- 15344
      tab44x411    15345- 15353
      tab44x412    15354- 15362
      tab44x413    15363- 15371
      tab44x414    15372- 15380
      tab44x415    15381- 15389
      tab44x416    15390- 15398
      tab44x417    15399- 15407
      tab44x418    15408- 15416
      tab44x419    15417- 15425
      tab44x420    15426- 15434
      tab44x421    15435- 15443
      tab44x422    15444- 15452
      tab44x423    15453- 15461
      tab44x424    15462- 15470
      tab44x425    15471- 15479
      tab44x426    15480- 15488
      tab44x427    15489- 15497
      tab44x428    15498- 15506
      tab44x429    15507- 15515
      tab44x430    15516- 15524
      tab44x431    15525- 15533
      tab44x432    15534- 15542
      tab44x433    15543- 15551
      tab44x434    15552- 15560
      tab44x435    15561- 15569
      tab44x436    15570- 15578
      tab44x437    15579- 15587
      tab44x438    15588- 15596
      tab44x439    15597- 15605
      tab44x440    15606- 15614
      tab44x441    15615- 15623
      tab44x442    15624- 15632
      tab44x443    15633- 15641
      tab44x444    15642- 15650
      tab44x445    15651- 15659
      tab44x446    15660- 15668
      tab44x447    15669- 15677
      tab44x448    15678- 15686
      tab44x449    15687- 15695
      tab44x450    15696- 15704
      tab44x451    15705- 15713
      tab44x452    15714- 15722
      tab44x453    15723- 15731
      tab44x454    15732- 15740
      tab44x455    15741- 15749
      tab44x456    15750- 15758
      tab44x457    15759- 15767
      tab44x458    15768- 15776
      tab44x459    15777- 15785
      tab44x460    15786- 15794
      tab44x461    15795- 15803
      tab44x462    15804- 15812
      tab44x463    15813- 15821
      tab44x464    15822- 15830
      tab44x465    15831- 15839
      tab44x466    15840- 15848
      tab44x467    15849- 15857
      tab44x468    15858- 15866
      tab44x469    15867- 15875
      tab44x470    15876- 15884
      tab44x471    15885- 15893
      tab44x472    15894- 15902
      tab44x473    15903- 15911
      tab44x474    15912- 15920
      tab44x475    15921- 15929
      tab44x476    15930- 15938
      tab44x477    15939- 15947
      tab44x478    15948- 15956
      tab44x479    15957- 15965
      tab44x480    15966- 15974
      tab44x481    15975- 15983
      tab44x482    15984- 15992
      tab44x483    15993- 16001
      tab44x484    16002- 16010
      tab44x485    16011- 16019
      tab44x486    16020- 16028
      tab44x487    16029- 16037
      tab44x488    16038- 16046
      tab44x489    16047- 16055
      tab44x490    16056- 16064
      tab44x491    16065- 16073
      tab44x492    16074- 16082
      tab44x493    16083- 16091
      tab44x494    16092- 16100
      tab44x495    16101- 16109
      tab44x496    16110- 16118
      tab44x497    16119- 16127
      tab44x498    16128- 16136
      tab44x499    16137- 16145
      tab44x500    16146- 16154
      tab44x501    16155- 16163
      tab44x502    16164- 16172
      tab44x503    16173- 16181
      tab44x504    16182- 16190
      tab44x505    16191- 16199
      tab44x506    16200- 16208
      tab44x507    16209- 16217
      tab44x508    16218- 16226
      tab44x509    16227- 16235
      tab44x510    16236- 16244
      tab44x511    16245- 16253
      tab44x512    16254- 16262
      tab44x513    16263- 16271
      tab44x514    16272- 16280
      tab44x515    16281- 16289
      tab44x516    16290- 16298
      tab44x517    16299- 16307
      tab44x518    16308- 16316
      tab44x519    16317- 16325
      tab44x520    16326- 16334
      tab44x521    16335- 16343
      tab44x522    16344- 16352
      tab44x523    16353- 16361
      tab44x524    16362- 16370
      tab44x525    16371- 16379
      tab44x526    16380- 16388
      tab44x527    16389- 16397
      tab44x528    16398- 16406
      tab44x529    16407- 16415
      tab44x530    16416- 16424
      tab44x531    16425- 16433
      tab44x532    16434- 16442
      tab44x533    16443- 16451
      tab44x534    16452- 16460
      tab44x535    16461- 16469
      tab44x536    16470- 16478
      tab44x537    16479- 16487
      tab44x538    16488- 16496
      tab44x539    16497- 16505
      tab44x540    16506- 16514
      tab44x541    16515- 16523
      tab44x542    16524- 16532
      tab44x543    16533- 16541
      tab44x544    16542- 16550
      tab44x545    16551- 16559
      tab44x546    16560- 16568
      tab44x547    16569- 16577
      tab44x548    16578- 16586
      tab44x549    16587- 16595
      tab44x550    16596- 16604
      tab44x551    16605- 16613
      tab44x552    16614- 16622
      tab44x553    16623- 16631
      tab44x554    16632- 16640
      tab44x555    16641- 16649
      tab44x556    16650- 16658
      tab44x557    16659- 16667
      tab44x558    16668- 16676
      tab44x559    16677- 16685
      tab44x560    16686- 16694
      tab44x561    16695- 16703
      tab44x562    16704- 16712
      tab44x563    16713- 16721
      tab44x564    16722- 16730
      tab44x565    16731- 16739
      tab44x566    16740- 16748
      tab44x567    16749- 16757
      tab44x568    16758- 16766
      tab44x569    16767- 16775
      tab44x570    16776- 16784
      tab44x571    16785- 16793
      tab44x572    16794- 16802
      tab44x573    16803- 16811
      tab44x574    16812- 16820
      tab44x575    16821- 16829
      tab44x576    16830- 16838
      tab44x577    16839- 16847
      tab44x578    16848- 16856
      tab44x579    16857- 16865
      tab44x580    16866- 16874
      tab44x581    16875- 16883
      tab44x582    16884- 16892
      tab44x583    16893- 16901
      tab44x584    16902- 16910
      tab44x585    16911- 16919
      tab44x586    16920- 16928
      tab44x587    16929- 16937
      tab44x588    16938- 16946
      tab44x589    16947- 16955
      tab44x590    16956- 16964
      tab44x591    16965- 16973
      tab44x592    16974- 16982
      tab44x593    16983- 16991
      tab44x594    16992- 17000
      tab44x595    17001- 17009
      tab44x596    17010- 17018
      tab44x597    17019- 17027
      tab44x598    17028- 17036
      tab44x599    17037- 17045
      tab44x600    17046- 17054
      tab45x1      17055- 17063
      tab45x2      17064- 17072
      tab45x3      17073- 17081
      tab45x4      17082- 17090
      tab45x5      17091- 17099
      tab45x6      17100- 17108
      tab45x7      17109- 17117
      tab45x8      17118- 17126
      tab45x9      17127- 17135
      tab45x10     17136- 17144
      tab45x11     17145- 17153
      tab45x12     17154- 17162
      tab45x13     17163- 17171
      tab45x14     17172- 17180
      tab45x15     17181- 17189
      tab45x16     17190- 17198
      tab45x17     17199- 17207
      tab45x18     17208- 17216
      tab45x19     17217- 17225
      tab45x20     17226- 17234
      tab45x21     17235- 17243
      tab45x22     17244- 17252
      tab45x23     17253- 17261
      tab45x24     17262- 17270
      tab45x25     17271- 17279
      tab45x26     17280- 17288
      tab45x27     17289- 17297
      tab45x28     17298- 17306
      tab45x29     17307- 17315
      tab45x30     17316- 17324
      tab45x31     17325- 17333
      tab45x32     17334- 17342
      tab45x33     17343- 17351
      tab45x34     17352- 17360
      tab45x35     17361- 17369
      tab45x36     17370- 17378
      tab45x37     17379- 17387
      tab45x38     17388- 17396
      tab45x39     17397- 17405
      tab45x40     17406- 17414
      tab45x41     17415- 17423
      tab45x42     17424- 17432
      tab45x43     17433- 17441
      tab45x44     17442- 17450
      tab45x45     17451- 17459
      tab45x46     17460- 17468
      tab45x47     17469- 17477
      tab45x48     17478- 17486
      tab45x49     17487- 17495
      tab45x50     17496- 17504
      tab45x51     17505- 17513
      tab45x52     17514- 17522
      tab45x53     17523- 17531
      tab45x54     17532- 17540
      tab45x55     17541- 17549
      tab45x56     17550- 17558
      tab45x57     17559- 17567
      tab45x58     17568- 17576
      tab45x59     17577- 17585
      tab45x60     17586- 17594
      tab45x61     17595- 17603
      tab45x62     17604- 17612
      tab45x63     17613- 17621
      tab45x64     17622- 17630
      tab45x65     17631- 17639
      tab45x66     17640- 17648
      tab45x67     17649- 17657
      tab45x68     17658- 17666
      tab45x69     17667- 17675
      tab45x70     17676- 17684
      tab45x71     17685- 17693
      tab45x72     17694- 17702
      tab45x73     17703- 17711
      tab45x74     17712- 17720
      tab45x75     17721- 17729
      tab45x76     17730- 17738
      tab45x77     17739- 17747
      tab45x78     17748- 17756
      tab45x79     17757- 17765
      tab45x80     17766- 17774
      tab45x81     17775- 17783
      tab45x82     17784- 17792
      tab45x83     17793- 17801
      tab45x84     17802- 17810
      tab45x85     17811- 17819
      tab45x86     17820- 17828
      tab45x87     17829- 17837
      tab45x88     17838- 17846
      tab45x89     17847- 17855
      tab45x90     17856- 17864
      tab45x91     17865- 17873
      tab45x92     17874- 17882
      tab45x93     17883- 17891
      tab45x94     17892- 17900
      tab45x95     17901- 17909
      tab45x96     17910- 17918
      tab45x97     17919- 17927
      tab45x98     17928- 17936
      tab45x99     17937- 17945
      tab45x100    17946- 17954
      tab45x101    17955- 17963
      tab45x102    17964- 17972
      tab45x103    17973- 17981
      tab45x104    17982- 17990
      tab45x105    17991- 17999
      tab45x106    18000- 18008
      tab45x107    18009- 18017
      tab45x108    18018- 18026
      tab45x109    18027- 18035
      tab45x110    18036- 18044
      tab45x111    18045- 18053
      tab45x112    18054- 18062
      tab45x113    18063- 18071
      tab45x114    18072- 18080
      tab45x115    18081- 18089
      tab45x116    18090- 18098
      tab45x117    18099- 18107
      tab45x118    18108- 18116
      tab45x119    18117- 18125
      tab45x120    18126- 18134
      tab45x121    18135- 18143
      tab45x122    18144- 18152
      tab45x123    18153- 18161
      tab45x124    18162- 18170
      tab45x125    18171- 18179
      tab45x126    18180- 18188
      tab45x127    18189- 18197
      tab45x128    18198- 18206
      tab45x129    18207- 18215
      tab45x130    18216- 18224
      tab45x131    18225- 18233
      tab45x132    18234- 18242
      tab45x133    18243- 18251
      tab45x134    18252- 18260
      tab45x135    18261- 18269
      tab45x136    18270- 18278
      tab45x137    18279- 18287
      tab45x138    18288- 18296
      tab45x139    18297- 18305
      tab45x140    18306- 18314
      tab45x141    18315- 18323
      tab45x142    18324- 18332
      tab45x143    18333- 18341
      tab45x144    18342- 18350
      tab45x145    18351- 18359
      tab45x146    18360- 18368
      tab45x147    18369- 18377
      tab45x148    18378- 18386
      tab45x149    18387- 18395
      tab45x150    18396- 18404
      tab45x151    18405- 18413
      tab45x152    18414- 18422
      tab45x153    18423- 18431
      tab45x154    18432- 18440
      tab45x155    18441- 18449
      tab45x156    18450- 18458
      tab45x157    18459- 18467
      tab45x158    18468- 18476
      tab45x159    18477- 18485
      tab45x160    18486- 18494
      tab45x161    18495- 18503
      tab45x162    18504- 18512
      tab45x163    18513- 18521
      tab45x164    18522- 18530
      tab45x165    18531- 18539
      tab45x166    18540- 18548
      tab45x167    18549- 18557
      tab45x168    18558- 18566
      tab45x169    18567- 18575
      tab45x170    18576- 18584
      tab45x171    18585- 18593
      tab45x172    18594- 18602
      tab45x173    18603- 18611
      tab45x174    18612- 18620
      tab45x175    18621- 18629
      tab45x176    18630- 18638
      tab45x177    18639- 18647
      tab45x178    18648- 18656
      tab45x179    18657- 18665
      tab45x180    18666- 18674
      tab45x181    18675- 18683
      tab45x182    18684- 18692
      tab45x183    18693- 18701
      tab45x184    18702- 18710
      tab45x185    18711- 18719
      tab45x186    18720- 18728
      tab45x187    18729- 18737
      tab45x188    18738- 18746
      tab45x189    18747- 18755
      tab45x190    18756- 18764
      tab45x191    18765- 18773
      tab45x192    18774- 18782
      tab45x193    18783- 18791
      tab45x194    18792- 18800
      tab45x195    18801- 18809
      tab45x196    18810- 18818
      tab45x197    18819- 18827
      tab45x198    18828- 18836
      tab45x199    18837- 18845
      tab45x200    18846- 18854
      tab45x201    18855- 18863
      tab45x202    18864- 18872
      tab45x203    18873- 18881
      tab45x204    18882- 18890
      tab45x205    18891- 18899
      tab45x206    18900- 18908
      tab45x207    18909- 18917
      tab45x208    18918- 18926
      tab45x209    18927- 18935
      tab45x210    18936- 18944
      tab45x211    18945- 18953
      tab45x212    18954- 18962
      tab45x213    18963- 18971
      tab45x214    18972- 18980
      tab45x215    18981- 18989
      tab45x216    18990- 18998
      tab45x217    18999- 19007
      tab45x218    19008- 19016
      tab45x219    19017- 19025
      tab45x220    19026- 19034
      tab45x221    19035- 19043
      tab45x222    19044- 19052
      tab45x223    19053- 19061
      tab45x224    19062- 19070
      tab45x225    19071- 19079
      tab45x226    19080- 19088
      tab45x227    19089- 19097
      tab45x228    19098- 19106
      tab45x229    19107- 19115
      tab45x230    19116- 19124
      tab45x231    19125- 19133
      tab45x232    19134- 19142
      tab45x233    19143- 19151
      tab45x234    19152- 19160
      tab45x235    19161- 19169
      tab45x236    19170- 19178
      tab45x237    19179- 19187
      tab45x238    19188- 19196
      tab45x239    19197- 19205
      tab45x240    19206- 19214
      tab45x241    19215- 19223
      tab45x242    19224- 19232
      tab45x243    19233- 19241
      tab45x244    19242- 19250
      tab45x245    19251- 19259
      tab45x246    19260- 19268
      tab45x247    19269- 19277
      tab45x248    19278- 19286
      tab45x249    19287- 19295
      tab45x250    19296- 19304
      tab45x251    19305- 19313
      tab45x252    19314- 19322
      tab45x253    19323- 19331
      tab45x254    19332- 19340
      tab45x255    19341- 19349
      tab45x256    19350- 19358
      tab45x257    19359- 19367
      tab45x258    19368- 19376
      tab45x259    19377- 19385
      tab45x260    19386- 19394
      tab45x261    19395- 19403
      tab45x262    19404- 19412
      tab45x263    19413- 19421
      tab45x264    19422- 19430
      tab45x265    19431- 19439
      tab45x266    19440- 19448
      tab45x267    19449- 19457
      tab45x268    19458- 19466
      tab45x269    19467- 19475
      tab45x270    19476- 19484
      tab45x271    19485- 19493
      tab45x272    19494- 19502
      tab45x273    19503- 19511
      tab45x274    19512- 19520
      tab45x275    19521- 19529
      tab45x276    19530- 19538
      tab45x277    19539- 19547
      tab45x278    19548- 19556
      tab45x279    19557- 19565
      tab45x280    19566- 19574
      tab45x281    19575- 19583
      tab45x282    19584- 19592
      tab45x283    19593- 19601
      tab45x284    19602- 19610
      tab45x285    19611- 19619
      tab45x286    19620- 19628
      tab45x287    19629- 19637
      tab45x288    19638- 19646
      tab45x289    19647- 19655
      tab45x290    19656- 19664
      tab45x291    19665- 19673
      tab45x292    19674- 19682
      tab45x293    19683- 19691
      tab45x294    19692- 19700
      tab45x295    19701- 19709
      tab45x296    19710- 19718
      tab45x297    19719- 19727
      tab45x298    19728- 19736
      tab45x299    19737- 19745
      tab45x300    19746- 19754
      tab45x301    19755- 19763
      tab45x302    19764- 19772
      tab45x303    19773- 19781
      tab45x304    19782- 19790
      tab45x305    19791- 19799
      tab45x306    19800- 19808
      tab45x307    19809- 19817
      tab45x308    19818- 19826
      tab45x309    19827- 19835
      tab45x310    19836- 19844
      tab45x311    19845- 19853
      tab45x312    19854- 19862
      tab45x313    19863- 19871
      tab45x314    19872- 19880
      tab45x315    19881- 19889
      tab45x316    19890- 19898
      tab45x317    19899- 19907
      tab45x318    19908- 19916
      tab45x319    19917- 19925
      tab45x320    19926- 19934
      tab45x321    19935- 19943
      tab45x322    19944- 19952
      tab45x323    19953- 19961
      tab45x324    19962- 19970
      tab45x325    19971- 19979
      tab45x326    19980- 19988
      tab45x327    19989- 19997
      tab45x328    19998- 20006
      tab45x329    20007- 20015
      tab45x330    20016- 20024
      tab45x331    20025- 20033
      tab45x332    20034- 20042
      tab45x333    20043- 20051
      tab45x334    20052- 20060
      tab45x335    20061- 20069
      tab45x336    20070- 20078
      tab45x337    20079- 20087
      tab45x338    20088- 20096
      tab45x339    20097- 20105
      tab45x340    20106- 20114
      tab45x341    20115- 20123
      tab45x342    20124- 20132
      tab45x343    20133- 20141
      tab45x344    20142- 20150
      tab45x345    20151- 20159
      tab45x346    20160- 20168
      tab45x347    20169- 20177
      tab45x348    20178- 20186
      tab45x349    20187- 20195
      tab45x350    20196- 20204
      tab45x351    20205- 20213
      tab45x352    20214- 20222
      tab45x353    20223- 20231
      tab45x354    20232- 20240
      tab45x355    20241- 20249
      tab45x356    20250- 20258
      tab45x357    20259- 20267
      tab45x358    20268- 20276
      tab45x359    20277- 20285
      tab45x360    20286- 20294
      tab46x1      20295- 20303
      tab46x2      20304- 20312
      tab46x3      20313- 20321
      tab46x4      20322- 20330
      tab46x5      20331- 20339
      tab46x6      20340- 20348
      tab46x7      20349- 20357
      tab46x8      20358- 20366
      tab46x9      20367- 20375
      tab46x10     20376- 20384
      tab46x11     20385- 20393
      tab46x12     20394- 20402
      tab46x13     20403- 20411
      tab46x14     20412- 20420
      tab46x15     20421- 20429
      tab46x16     20430- 20438
      tab46x17     20439- 20447
      tab46x18     20448- 20456
      tab46x19     20457- 20465
      tab46x20     20466- 20474
      tab46x21     20475- 20483
      tab46x22     20484- 20492
      tab46x23     20493- 20501
      tab46x24     20502- 20510
      tab46x25     20511- 20519
      tab46x26     20520- 20528
      tab46x27     20529- 20537
      tab46x28     20538- 20546
      tab46x29     20547- 20555
      tab46x30     20556- 20564
      tab46x31     20565- 20573
      tab46x32     20574- 20582
      tab46x33     20583- 20591
      tab46x34     20592- 20600
      tab46x35     20601- 20609
      tab46x36     20610- 20618
      tab46x37     20619- 20627
      tab46x38     20628- 20636
      tab46x39     20637- 20645
      tab46x40     20646- 20654
      tab46x41     20655- 20663
      tab46x42     20664- 20672
      tab46x43     20673- 20681
      tab46x44     20682- 20690
      tab46x45     20691- 20699
      tab46x46     20700- 20708
      tab46x47     20709- 20717
      tab46x48     20718- 20726
      tab46x49     20727- 20735
      tab46x50     20736- 20744
      tab46x51     20745- 20753
      tab46x52     20754- 20762
      tab46x53     20763- 20771
      tab46x54     20772- 20780
      tab46x55     20781- 20789
      tab46x56     20790- 20798
      tab46x57     20799- 20807
      tab46x58     20808- 20816
      tab46x59     20817- 20825
      tab46x60     20826- 20834
      tab46x61     20835- 20843
      tab46x62     20844- 20852
      tab46x63     20853- 20861
      tab46x64     20862- 20870
      tab46x65     20871- 20879
      tab46x66     20880- 20888
      tab46x67     20889- 20897
      tab46x68     20898- 20906
      tab46x69     20907- 20915
      tab46x70     20916- 20924
      tab46x71     20925- 20933
      tab46x72     20934- 20942
      tab46x73     20943- 20951
      tab46x74     20952- 20960
      tab46x75     20961- 20969
      tab46x76     20970- 20978
      tab46x77     20979- 20987
      tab46x78     20988- 20996
      tab46x79     20997- 21005
      tab46x80     21006- 21014
      tab46x81     21015- 21023
      tab46x82     21024- 21032
      tab46x83     21033- 21041
      tab46x84     21042- 21050
      tab46x85     21051- 21059
      tab46x86     21060- 21068
      tab46x87     21069- 21077
      tab46x88     21078- 21086
      tab46x89     21087- 21095
      tab46x90     21096- 21104
      tab46x91     21105- 21113
      tab46x92     21114- 21122
      tab46x93     21123- 21131
      tab46x94     21132- 21140
      tab46x95     21141- 21149
      tab46x96     21150- 21158
      tab46x97     21159- 21167
      tab46x98     21168- 21176
      tab46x99     21177- 21185
      tab46x100    21186- 21194
      tab46x101    21195- 21203
      tab46x102    21204- 21212
      tab46x103    21213- 21221
      tab46x104    21222- 21230
      tab46x105    21231- 21239
      tab46x106    21240- 21248
      tab46x107    21249- 21257
      tab46x108    21258- 21266
      tab46x109    21267- 21275
      tab46x110    21276- 21284
      tab46x111    21285- 21293
      tab46x112    21294- 21302
      tab46x113    21303- 21311
      tab46x114    21312- 21320
      tab46x115    21321- 21329
      tab46x116    21330- 21338
      tab46x117    21339- 21347
      tab46x118    21348- 21356
      tab46x119    21357- 21365
      tab46x120    21366- 21374
      tab46x121    21375- 21383
      tab46x122    21384- 21392
      tab46x123    21393- 21401
      tab46x124    21402- 21410
      tab46x125    21411- 21419
      tab46x126    21420- 21428
      tab46x127    21429- 21437
      tab46x128    21438- 21446
      tab46x129    21447- 21455
      tab46x130    21456- 21464
      tab46x131    21465- 21473
      tab46x132    21474- 21482
      tab46x133    21483- 21491
      tab46x134    21492- 21500
      tab46x135    21501- 21509
      tab46x136    21510- 21518
      tab46x137    21519- 21527
      tab46x138    21528- 21536
      tab46x139    21537- 21545
      tab46x140    21546- 21554
      tab46x141    21555- 21563
      tab46x142    21564- 21572
      tab46x143    21573- 21581
      tab46x144    21582- 21590
      tab46x145    21591- 21599
      tab46x146    21600- 21608
      tab46x147    21609- 21617
      tab46x148    21618- 21626
      tab46x149    21627- 21635
      tab46x150    21636- 21644
      tab46x151    21645- 21653
      tab46x152    21654- 21662
      tab46x153    21663- 21671
      tab46x154    21672- 21680
      tab46x155    21681- 21689
      tab46x156    21690- 21698
      tab46x157    21699- 21707
      tab46x158    21708- 21716
      tab46x159    21717- 21725
      tab46x160    21726- 21734
      tab46x161    21735- 21743
      tab46x162    21744- 21752
      tab46x163    21753- 21761
      tab46x164    21762- 21770
      tab46x165    21771- 21779
      tab46x166    21780- 21788
      tab46x167    21789- 21797
      tab46x168    21798- 21806
      tab46x169    21807- 21815
      tab46x170    21816- 21824
      tab46x171    21825- 21833
      tab46x172    21834- 21842
      tab46x173    21843- 21851
      tab46x174    21852- 21860
      tab46x175    21861- 21869
      tab46x176    21870- 21878
      tab46x177    21879- 21887
      tab46x178    21888- 21896
      tab46x179    21897- 21905
      tab46x180    21906- 21914
      tab46x181    21915- 21923
      tab46x182    21924- 21932
      tab46x183    21933- 21941
      tab46x184    21942- 21950
      tab46x185    21951- 21959
      tab46x186    21960- 21968
      tab46x187    21969- 21977
      tab46x188    21978- 21986
      tab46x189    21987- 21995
      tab46x190    21996- 22004
      tab46x191    22005- 22013
      tab46x192    22014- 22022
      tab46x193    22023- 22031
      tab46x194    22032- 22040
      tab46x195    22041- 22049
      tab46x196    22050- 22058
      tab46x197    22059- 22067
      tab46x198    22068- 22076
      tab46x199    22077- 22085
      tab46x200    22086- 22094
      tab46x201    22095- 22103
      tab46x202    22104- 22112
      tab46x203    22113- 22121
      tab46x204    22122- 22130
      tab46x205    22131- 22139
      tab46x206    22140- 22148
      tab46x207    22149- 22157
      tab46x208    22158- 22166
      tab46x209    22167- 22175
      tab46x210    22176- 22184
      tab46x211    22185- 22193
      tab46x212    22194- 22202
      tab46x213    22203- 22211
      tab46x214    22212- 22220
      tab46x215    22221- 22229
      tab46x216    22230- 22238
      tab46x217    22239- 22247
      tab46x218    22248- 22256
      tab46x219    22257- 22265
      tab46x220    22266- 22274
      tab46x221    22275- 22283
      tab46x222    22284- 22292
      tab46x223    22293- 22301
      tab46x224    22302- 22310
      tab46x225    22311- 22319
      tab46x226    22320- 22328
      tab46x227    22329- 22337
      tab46x228    22338- 22346
      tab46x229    22347- 22355
      tab46x230    22356- 22364
      tab46x231    22365- 22373
      tab46x232    22374- 22382
      tab46x233    22383- 22391
      tab46x234    22392- 22400
      tab46x235    22401- 22409
      tab46x236    22410- 22418
      tab46x237    22419- 22427
      tab46x238    22428- 22436
      tab46x239    22437- 22445
      tab46x240    22446- 22454
      tab46x241    22455- 22463
      tab46x242    22464- 22472
      tab46x243    22473- 22481
      tab46x244    22482- 22490
      tab46x245    22491- 22499
      tab46x246    22500- 22508
      tab46x247    22509- 22517
      tab46x248    22518- 22526
      tab46x249    22527- 22535
      tab46x250    22536- 22544
      tab46x251    22545- 22553
      tab46x252    22554- 22562
      tab46x253    22563- 22571
      tab46x254    22572- 22580
      tab46x255    22581- 22589
      tab46x256    22590- 22598
      tab46x257    22599- 22607
      tab46x258    22608- 22616
      tab46x259    22617- 22625
      tab46x260    22626- 22634
      tab46x261    22635- 22643
      tab46x262    22644- 22652
      tab46x263    22653- 22661
      tab46x264    22662- 22670
      tab46x265    22671- 22679
      tab46x266    22680- 22688
      tab46x267    22689- 22697
      tab46x268    22698- 22706
      tab46x269    22707- 22715
      tab46x270    22716- 22724
      tab46x271    22725- 22733
      tab46x272    22734- 22742
      tab46x273    22743- 22751
      tab46x274    22752- 22760
      tab46x275    22761- 22769
      tab46x276    22770- 22778
      tab46x277    22779- 22787
      tab46x278    22788- 22796
      tab46x279    22797- 22805
      tab46x280    22806- 22814
      tab46x281    22815- 22823
      tab46x282    22824- 22832
      tab46x283    22833- 22841
      tab46x284    22842- 22850
      tab46x285    22851- 22859
      tab46x286    22860- 22868
      tab46x287    22869- 22877
      tab46x288    22878- 22886
      tab46x289    22887- 22895
      tab46x290    22896- 22904
      tab46x291    22905- 22913
      tab46x292    22914- 22922
      tab46x293    22923- 22931
      tab46x294    22932- 22940
      tab46x295    22941- 22949
      tab46x296    22950- 22958
      tab46x297    22959- 22967
      tab46x298    22968- 22976
      tab46x299    22977- 22985
      tab46x300    22986- 22994
      tab46x301    22995- 23003
      tab46x302    23004- 23012
      tab46x303    23013- 23021
      tab46x304    23022- 23030
      tab46x305    23031- 23039
      tab46x306    23040- 23048
      tab46x307    23049- 23057
      tab46x308    23058- 23066
      tab46x309    23067- 23075
      tab46x310    23076- 23084
      tab46x311    23085- 23093
      tab46x312    23094- 23102
      tab46x313    23103- 23111
      tab46x314    23112- 23120
      tab46x315    23121- 23129
      tab46x316    23130- 23138
      tab46x317    23139- 23147
      tab46x318    23148- 23156
      tab46x319    23157- 23165
      tab46x320    23166- 23174
      tab46x321    23175- 23183
      tab46x322    23184- 23192
      tab46x323    23193- 23201
      tab46x324    23202- 23210
      tab46x325    23211- 23219
      tab46x326    23220- 23228
      tab46x327    23229- 23237
      tab46x328    23238- 23246
      tab46x329    23247- 23255
      tab46x330    23256- 23264
      tab46x331    23265- 23273
      tab46x332    23274- 23282
      tab46x333    23283- 23291
      tab46x334    23292- 23300
      tab46x335    23301- 23309
      tab46x336    23310- 23318
      tab46x337    23319- 23327
      tab46x338    23328- 23336
      tab46x339    23337- 23345
      tab46x340    23346- 23354
      tab46x341    23355- 23363
      tab46x342    23364- 23372
      tab46x343    23373- 23381
      tab46x344    23382- 23390
      tab46x345    23391- 23399
      tab46x346    23400- 23408
      tab46x347    23409- 23417
      tab46x348    23418- 23426
      tab46x349    23427- 23435
      tab46x350    23436- 23444
      tab46x351    23445- 23453
      tab46x352    23454- 23462
      tab46x353    23463- 23471
      tab46x354    23472- 23480
      tab46x355    23481- 23489
      tab46x356    23490- 23498
      tab46x357    23499- 23507
      tab46x358    23508- 23516
      tab46x359    23517- 23525
      tab46x360    23526- 23534
      tab46x361    23535- 23543
      tab46x362    23544- 23552
      tab46x363    23553- 23561
      tab46x364    23562- 23570
      tab46x365    23571- 23579
      tab46x366    23580- 23588
      tab46x367    23589- 23597
      tab46x368    23598- 23606
      tab46x369    23607- 23615
      tab46x370    23616- 23624
      tab46x371    23625- 23633
      tab46x372    23634- 23642
      tab46x373    23643- 23651
      tab46x374    23652- 23660
      tab46x375    23661- 23669
      tab46x376    23670- 23678
      tab46x377    23679- 23687
      tab46x378    23688- 23696
      tab46x379    23697- 23705
      tab46x380    23706- 23714
      tab46x381    23715- 23723
      tab46x382    23724- 23732
      tab46x383    23733- 23741
      tab46x384    23742- 23750
      tab46x385    23751- 23759
      tab46x386    23760- 23768
      tab46x387    23769- 23777
      tab46x388    23778- 23786
      tab46x389    23787- 23795
      tab46x390    23796- 23804
      tab46x391    23805- 23813
      tab46x392    23814- 23822
      tab46x393    23823- 23831
      tab46x394    23832- 23840
      tab46x395    23841- 23849
      tab46x396    23850- 23858
      tab46x397    23859- 23867
      tab46x398    23868- 23876
      tab46x399    23877- 23885
      tab46x400    23886- 23894
      tab46x401    23895- 23903
      tab46x402    23904- 23912
      tab46x403    23913- 23921
      tab46x404    23922- 23930
      tab46x405    23931- 23939
      tab46x406    23940- 23948
      tab46x407    23949- 23957
      tab46x408    23958- 23966
      tab46x409    23967- 23975
      tab46x410    23976- 23984
      tab46x411    23985- 23993
      tab46x412    23994- 24002
      tab46x413    24003- 24011
      tab46x414    24012- 24020
      tab46x415    24021- 24029
      tab46x416    24030- 24038
      tab46x417    24039- 24047
      tab46x418    24048- 24056
      tab46x419    24057- 24065
      tab46x420    24066- 24074
      tab46x421    24075- 24083
      tab46x422    24084- 24092
      tab46x423    24093- 24101
      tab46x424    24102- 24110
      tab46x425    24111- 24119
      tab46x426    24120- 24128
      tab46x427    24129- 24137
      tab46x428    24138- 24146
      tab46x429    24147- 24155
      tab46x430    24156- 24164
      tab46x431    24165- 24173
      tab46x432    24174- 24182
      tab46x433    24183- 24191
      tab46x434    24192- 24200
      tab46x435    24201- 24209
      tab46x436    24210- 24218
      tab46x437    24219- 24227
      tab46x438    24228- 24236
      tab46x439    24237- 24245
      tab46x440    24246- 24254
      tab46x441    24255- 24263
      tab46x442    24264- 24272
      tab46x443    24273- 24281
      tab46x444    24282- 24290
      tab46x445    24291- 24299
      tab46x446    24300- 24308
      tab46x447    24309- 24317
      tab46x448    24318- 24326
      tab46x449    24327- 24335
      tab46x450    24336- 24344
      tab46x451    24345- 24353
      tab46x452    24354- 24362
      tab46x453    24363- 24371
      tab46x454    24372- 24380
      tab46x455    24381- 24389
      tab46x456    24390- 24398
      tab46x457    24399- 24407
      tab46x458    24408- 24416
      tab46x459    24417- 24425
      tab46x460    24426- 24434
      tab46x461    24435- 24443
      tab46x462    24444- 24452
      tab46x463    24453- 24461
      tab46x464    24462- 24470
      tab46x465    24471- 24479
      tab46x466    24480- 24488
      tab46x467    24489- 24497
      tab46x468    24498- 24506
      tab46x469    24507- 24515
      tab46x470    24516- 24524
      tab46x471    24525- 24533
      tab46x472    24534- 24542
      tab46x473    24543- 24551
      tab46x474    24552- 24560
      tab46x475    24561- 24569
      tab46x476    24570- 24578
      tab46x477    24579- 24587
      tab46x478    24588- 24596
      tab46x479    24597- 24605
      tab46x480    24606- 24614
     ;

     label
        FILEID       = "File identification (ctpp2 for this product)"
        SUMLEV       = "Summary level"
        QPOWST    = "Modified FIPS State code (3 chars. zero-filled left)"
  	  QPOWCO   = "FIPS county code"
        QPOWMCDFIPS   = "FIPS county subdivision code"
        QPOWMCD  = "Census county subdivision code"
        QPOWPLFIPS2 = "FIPS place code (2,500+ pop. only)"
        QPOWPL2  = "Census place code (2,500+ pop. only)"
        QPOWTRACT = "Census tract code"
        QPOWBKG   = "Census block group code"
        QPOWMSACMSA  = "Metropolitan Statistical Area or Consolidated MSA code"
        QPOWPMSA     = "Primary Metropolitan Statistical Area code"
        QPOWTAZ      = "Traffic Analyzis Zone code (where available)"
        QPOWMPO   = "Metropolitan Planning Organization region code"
        QPOWCZ   = "CTPP Combined Zone code (where available)"

        tab30x1      ="tab30: HH_INC11=1"
        tab30x2      ="tab30: HH_INC11=2"
        tab30x3      ="tab30: HH_INC11=3"
        tab30x4      ="tab30: HH_INC11=4"
        tab30x5      ="tab30: HH_INC11=5"
        tab30x6      ="tab30: HH_INC11=6"
        tab30x7      ="tab30: HH_INC11=7"
        tab30x8      ="tab30: HH_INC11=8"
        tab30x9      ="tab30: HH_INC11=9"
        tab30x10     ="tab30: HH_INC11=10"
        tab30x11     ="tab30: HH_INC11=11"
        tab31x1      ="tab31: HH_WORKERS=1, HH_SIZE=1"
        tab31x2      ="tab31: HH_WORKERS=1, HH_SIZE=2"
        tab31x3      ="tab31: HH_WORKERS=1, HH_SIZE=3"
        tab31x4      ="tab31: HH_WORKERS=1, HH_SIZE=4"
        tab31x5      ="tab31: HH_WORKERS=1, HH_SIZE=5"
        tab31x6      ="tab31: HH_WORKERS=2, HH_SIZE=1"
        tab31x7      ="tab31: HH_WORKERS=2, HH_SIZE=2"
        tab31x8      ="tab31: HH_WORKERS=2, HH_SIZE=3"
        tab31x9      ="tab31: HH_WORKERS=2, HH_SIZE=4"
        tab31x10     ="tab31: HH_WORKERS=2, HH_SIZE=5"
        tab31x11     ="tab31: HH_WORKERS=3, HH_SIZE=1"
        tab31x12     ="tab31: HH_WORKERS=3, HH_SIZE=2"
        tab31x13     ="tab31: HH_WORKERS=3, HH_SIZE=3"
        tab31x14     ="tab31: HH_WORKERS=3, HH_SIZE=4"
        tab31x15     ="tab31: HH_WORKERS=3, HH_SIZE=5"
        tab31x16     ="tab31: HH_WORKERS=4, HH_SIZE=1"
        tab31x17     ="tab31: HH_WORKERS=4, HH_SIZE=2"
        tab31x18     ="tab31: HH_WORKERS=4, HH_SIZE=3"
        tab31x19     ="tab31: HH_WORKERS=4, HH_SIZE=4"
        tab31x20     ="tab31: HH_WORKERS=4, HH_SIZE=5"
        tab31x21     ="tab31: HH_WORKERS=5, HH_SIZE=1"
        tab31x22     ="tab31: HH_WORKERS=5, HH_SIZE=2"
        tab31x23     ="tab31: HH_WORKERS=5, HH_SIZE=3"
        tab31x24     ="tab31: HH_WORKERS=5, HH_SIZE=4"
        tab31x25     ="tab31: HH_WORKERS=5, HH_SIZE=5"
        tab31x26     ="tab31: HH_WORKERS=6, HH_SIZE=1"
        tab31x27     ="tab31: HH_WORKERS=6, HH_SIZE=2"
        tab31x28     ="tab31: HH_WORKERS=6, HH_SIZE=3"
        tab31x29     ="tab31: HH_WORKERS=6, HH_SIZE=4"
        tab31x30     ="tab31: HH_WORKERS=6, HH_SIZE=5"
        tab32x1      ="tab32: VEHICLES6=1, POVERTY=1"
        tab32x2      ="tab32: VEHICLES6=1, POVERTY=2"
        tab32x3      ="tab32: VEHICLES6=1, POVERTY=3"
        tab32x4      ="tab32: VEHICLES6=1, POVERTY=4"
        tab32x5      ="tab32: VEHICLES6=2, POVERTY=1"
        tab32x6      ="tab32: VEHICLES6=2, POVERTY=2"
        tab32x7      ="tab32: VEHICLES6=2, POVERTY=3"
        tab32x8      ="tab32: VEHICLES6=2, POVERTY=4"
        tab32x9      ="tab32: VEHICLES6=3, POVERTY=1"
        tab32x10     ="tab32: VEHICLES6=3, POVERTY=2"
        tab32x11     ="tab32: VEHICLES6=3, POVERTY=3"
        tab32x12     ="tab32: VEHICLES6=3, POVERTY=4"
        tab32x13     ="tab32: VEHICLES6=4, POVERTY=1"
        tab32x14     ="tab32: VEHICLES6=4, POVERTY=2"
        tab32x15     ="tab32: VEHICLES6=4, POVERTY=3"
        tab32x16     ="tab32: VEHICLES6=4, POVERTY=4"
        tab32x17     ="tab32: VEHICLES6=5, POVERTY=1"
        tab32x18     ="tab32: VEHICLES6=5, POVERTY=2"
        tab32x19     ="tab32: VEHICLES6=5, POVERTY=3"
        tab32x20     ="tab32: VEHICLES6=5, POVERTY=4"
        tab32x21     ="tab32: VEHICLES6=6, POVERTY=1"
        tab32x22     ="tab32: VEHICLES6=6, POVERTY=2"
        tab32x23     ="tab32: VEHICLES6=6, POVERTY=3"
        tab32x24     ="tab32: VEHICLES6=6, POVERTY=4"
        tab33x1      ="tab33: AGE8=1, EARNINGS=1"
        tab33x2      ="tab33: AGE8=1, EARNINGS=2"
        tab33x3      ="tab33: AGE8=1, EARNINGS=3"
        tab33x4      ="tab33: AGE8=1, EARNINGS=4"
        tab33x5      ="tab33: AGE8=1, EARNINGS=5"
        tab33x6      ="tab33: AGE8=1, EARNINGS=6"
        tab33x7      ="tab33: AGE8=1, EARNINGS=7"
        tab33x8      ="tab33: AGE8=1, EARNINGS=8"
        tab33x9      ="tab33: AGE8=1, EARNINGS=9"
        tab33x10     ="tab33: AGE8=1, EARNINGS=10"
        tab33x11     ="tab33: AGE8=1, EARNINGS=11"
        tab33x12     ="tab33: AGE8=1, EARNINGS=12"
        tab33x13     ="tab33: AGE8=2, EARNINGS=1"
        tab33x14     ="tab33: AGE8=2, EARNINGS=2"
        tab33x15     ="tab33: AGE8=2, EARNINGS=3"
        tab33x16     ="tab33: AGE8=2, EARNINGS=4"
        tab33x17     ="tab33: AGE8=2, EARNINGS=5"
        tab33x18     ="tab33: AGE8=2, EARNINGS=6"
        tab33x19     ="tab33: AGE8=2, EARNINGS=7"
        tab33x20     ="tab33: AGE8=2, EARNINGS=8"
        tab33x21     ="tab33: AGE8=2, EARNINGS=9"
        tab33x22     ="tab33: AGE8=2, EARNINGS=10"
        tab33x23     ="tab33: AGE8=2, EARNINGS=11"
        tab33x24     ="tab33: AGE8=2, EARNINGS=12"
        tab33x25     ="tab33: AGE8=3, EARNINGS=1"
        tab33x26     ="tab33: AGE8=3, EARNINGS=2"
        tab33x27     ="tab33: AGE8=3, EARNINGS=3"
        tab33x28     ="tab33: AGE8=3, EARNINGS=4"
        tab33x29     ="tab33: AGE8=3, EARNINGS=5"
        tab33x30     ="tab33: AGE8=3, EARNINGS=6"
        tab33x31     ="tab33: AGE8=3, EARNINGS=7"
        tab33x32     ="tab33: AGE8=3, EARNINGS=8"
        tab33x33     ="tab33: AGE8=3, EARNINGS=9"
        tab33x34     ="tab33: AGE8=3, EARNINGS=10"
        tab33x35     ="tab33: AGE8=3, EARNINGS=11"
        tab33x36     ="tab33: AGE8=3, EARNINGS=12"
        tab33x37     ="tab33: AGE8=4, EARNINGS=1"
        tab33x38     ="tab33: AGE8=4, EARNINGS=2"
        tab33x39     ="tab33: AGE8=4, EARNINGS=3"
        tab33x40     ="tab33: AGE8=4, EARNINGS=4"
        tab33x41     ="tab33: AGE8=4, EARNINGS=5"
        tab33x42     ="tab33: AGE8=4, EARNINGS=6"
        tab33x43     ="tab33: AGE8=4, EARNINGS=7"
        tab33x44     ="tab33: AGE8=4, EARNINGS=8"
        tab33x45     ="tab33: AGE8=4, EARNINGS=9"
        tab33x46     ="tab33: AGE8=4, EARNINGS=10"
        tab33x47     ="tab33: AGE8=4, EARNINGS=11"
        tab33x48     ="tab33: AGE8=4, EARNINGS=12"
        tab33x49     ="tab33: AGE8=5, EARNINGS=1"
        tab33x50     ="tab33: AGE8=5, EARNINGS=2"
        tab33x51     ="tab33: AGE8=5, EARNINGS=3"
        tab33x52     ="tab33: AGE8=5, EARNINGS=4"
        tab33x53     ="tab33: AGE8=5, EARNINGS=5"
        tab33x54     ="tab33: AGE8=5, EARNINGS=6"
        tab33x55     ="tab33: AGE8=5, EARNINGS=7"
        tab33x56     ="tab33: AGE8=5, EARNINGS=8"
        tab33x57     ="tab33: AGE8=5, EARNINGS=9"
        tab33x58     ="tab33: AGE8=5, EARNINGS=10"
        tab33x59     ="tab33: AGE8=5, EARNINGS=11"
        tab33x60     ="tab33: AGE8=5, EARNINGS=12"
        tab33x61     ="tab33: AGE8=6, EARNINGS=1"
        tab33x62     ="tab33: AGE8=6, EARNINGS=2"
        tab33x63     ="tab33: AGE8=6, EARNINGS=3"
        tab33x64     ="tab33: AGE8=6, EARNINGS=4"
        tab33x65     ="tab33: AGE8=6, EARNINGS=5"
        tab33x66     ="tab33: AGE8=6, EARNINGS=6"
        tab33x67     ="tab33: AGE8=6, EARNINGS=7"
        tab33x68     ="tab33: AGE8=6, EARNINGS=8"
        tab33x69     ="tab33: AGE8=6, EARNINGS=9"
        tab33x70     ="tab33: AGE8=6, EARNINGS=10"
        tab33x71     ="tab33: AGE8=6, EARNINGS=11"
        tab33x72     ="tab33: AGE8=6, EARNINGS=12"
        tab33x73     ="tab33: AGE8=7, EARNINGS=1"
        tab33x74     ="tab33: AGE8=7, EARNINGS=2"
        tab33x75     ="tab33: AGE8=7, EARNINGS=3"
        tab33x76     ="tab33: AGE8=7, EARNINGS=4"
        tab33x77     ="tab33: AGE8=7, EARNINGS=5"
        tab33x78     ="tab33: AGE8=7, EARNINGS=6"
        tab33x79     ="tab33: AGE8=7, EARNINGS=7"
        tab33x80     ="tab33: AGE8=7, EARNINGS=8"
        tab33x81     ="tab33: AGE8=7, EARNINGS=9"
        tab33x82     ="tab33: AGE8=7, EARNINGS=10"
        tab33x83     ="tab33: AGE8=7, EARNINGS=11"
        tab33x84     ="tab33: AGE8=7, EARNINGS=12"
        tab33x85     ="tab33: AGE8=8, EARNINGS=1"
        tab33x86     ="tab33: AGE8=8, EARNINGS=2"
        tab33x87     ="tab33: AGE8=8, EARNINGS=3"
        tab33x88     ="tab33: AGE8=8, EARNINGS=4"
        tab33x89     ="tab33: AGE8=8, EARNINGS=5"
        tab33x90     ="tab33: AGE8=8, EARNINGS=6"
        tab33x91     ="tab33: AGE8=8, EARNINGS=7"
        tab33x92     ="tab33: AGE8=8, EARNINGS=8"
        tab33x93     ="tab33: AGE8=8, EARNINGS=9"
        tab33x94     ="tab33: AGE8=8, EARNINGS=10"
        tab33x95     ="tab33: AGE8=8, EARNINGS=11"
        tab33x96     ="tab33: AGE8=8, EARNINGS=12"
        tab34x1      ="tab34: HH_INC26=1, MEANS11=1"
        tab34x2      ="tab34: HH_INC26=1, MEANS11=2"
        tab34x3      ="tab34: HH_INC26=1, MEANS11=3"
        tab34x4      ="tab34: HH_INC26=1, MEANS11=4"
        tab34x5      ="tab34: HH_INC26=1, MEANS11=5"
        tab34x6      ="tab34: HH_INC26=1, MEANS11=6"
        tab34x7      ="tab34: HH_INC26=1, MEANS11=7"
        tab34x8      ="tab34: HH_INC26=1, MEANS11=8"
        tab34x9      ="tab34: HH_INC26=1, MEANS11=9"
        tab34x10     ="tab34: HH_INC26=1, MEANS11=10"
        tab34x11     ="tab34: HH_INC26=1, MEANS11=11"
        tab34x12     ="tab34: HH_INC26=2, MEANS11=1"
        tab34x13     ="tab34: HH_INC26=2, MEANS11=2"
        tab34x14     ="tab34: HH_INC26=2, MEANS11=3"
        tab34x15     ="tab34: HH_INC26=2, MEANS11=4"
        tab34x16     ="tab34: HH_INC26=2, MEANS11=5"
        tab34x17     ="tab34: HH_INC26=2, MEANS11=6"
        tab34x18     ="tab34: HH_INC26=2, MEANS11=7"
        tab34x19     ="tab34: HH_INC26=2, MEANS11=8"
        tab34x20     ="tab34: HH_INC26=2, MEANS11=9"
        tab34x21     ="tab34: HH_INC26=2, MEANS11=10"
        tab34x22     ="tab34: HH_INC26=2, MEANS11=11"
        tab34x23     ="tab34: HH_INC26=3, MEANS11=1"
        tab34x24     ="tab34: HH_INC26=3, MEANS11=2"
        tab34x25     ="tab34: HH_INC26=3, MEANS11=3"
        tab34x26     ="tab34: HH_INC26=3, MEANS11=4"
        tab34x27     ="tab34: HH_INC26=3, MEANS11=5"
        tab34x28     ="tab34: HH_INC26=3, MEANS11=6"
        tab34x29     ="tab34: HH_INC26=3, MEANS11=7"
        tab34x30     ="tab34: HH_INC26=3, MEANS11=8"
        tab34x31     ="tab34: HH_INC26=3, MEANS11=9"
        tab34x32     ="tab34: HH_INC26=3, MEANS11=10"
        tab34x33     ="tab34: HH_INC26=3, MEANS11=11"
        tab34x34     ="tab34: HH_INC26=4, MEANS11=1"
        tab34x35     ="tab34: HH_INC26=4, MEANS11=2"
        tab34x36     ="tab34: HH_INC26=4, MEANS11=3"
        tab34x37     ="tab34: HH_INC26=4, MEANS11=4"
        tab34x38     ="tab34: HH_INC26=4, MEANS11=5"
        tab34x39     ="tab34: HH_INC26=4, MEANS11=6"
        tab34x40     ="tab34: HH_INC26=4, MEANS11=7"
        tab34x41     ="tab34: HH_INC26=4, MEANS11=8"
        tab34x42     ="tab34: HH_INC26=4, MEANS11=9"
        tab34x43     ="tab34: HH_INC26=4, MEANS11=10"
        tab34x44     ="tab34: HH_INC26=4, MEANS11=11"
        tab34x45     ="tab34: HH_INC26=5, MEANS11=1"
        tab34x46     ="tab34: HH_INC26=5, MEANS11=2"
        tab34x47     ="tab34: HH_INC26=5, MEANS11=3"
        tab34x48     ="tab34: HH_INC26=5, MEANS11=4"
        tab34x49     ="tab34: HH_INC26=5, MEANS11=5"
        tab34x50     ="tab34: HH_INC26=5, MEANS11=6"
        tab34x51     ="tab34: HH_INC26=5, MEANS11=7"
        tab34x52     ="tab34: HH_INC26=5, MEANS11=8"
        tab34x53     ="tab34: HH_INC26=5, MEANS11=9"
        tab34x54     ="tab34: HH_INC26=5, MEANS11=10"
        tab34x55     ="tab34: HH_INC26=5, MEANS11=11"
        tab34x56     ="tab34: HH_INC26=6, MEANS11=1"
        tab34x57     ="tab34: HH_INC26=6, MEANS11=2"
        tab34x58     ="tab34: HH_INC26=6, MEANS11=3"
        tab34x59     ="tab34: HH_INC26=6, MEANS11=4"
        tab34x60     ="tab34: HH_INC26=6, MEANS11=5"
        tab34x61     ="tab34: HH_INC26=6, MEANS11=6"
        tab34x62     ="tab34: HH_INC26=6, MEANS11=7"
        tab34x63     ="tab34: HH_INC26=6, MEANS11=8"
        tab34x64     ="tab34: HH_INC26=6, MEANS11=9"
        tab34x65     ="tab34: HH_INC26=6, MEANS11=10"
        tab34x66     ="tab34: HH_INC26=6, MEANS11=11"
        tab34x67     ="tab34: HH_INC26=7, MEANS11=1"
        tab34x68     ="tab34: HH_INC26=7, MEANS11=2"
        tab34x69     ="tab34: HH_INC26=7, MEANS11=3"
        tab34x70     ="tab34: HH_INC26=7, MEANS11=4"
        tab34x71     ="tab34: HH_INC26=7, MEANS11=5"
        tab34x72     ="tab34: HH_INC26=7, MEANS11=6"
        tab34x73     ="tab34: HH_INC26=7, MEANS11=7"
        tab34x74     ="tab34: HH_INC26=7, MEANS11=8"
        tab34x75     ="tab34: HH_INC26=7, MEANS11=9"
        tab34x76     ="tab34: HH_INC26=7, MEANS11=10"
        tab34x77     ="tab34: HH_INC26=7, MEANS11=11"
        tab34x78     ="tab34: HH_INC26=8, MEANS11=1"
        tab34x79     ="tab34: HH_INC26=8, MEANS11=2"
        tab34x80     ="tab34: HH_INC26=8, MEANS11=3"
        tab34x81     ="tab34: HH_INC26=8, MEANS11=4"
        tab34x82     ="tab34: HH_INC26=8, MEANS11=5"
        tab34x83     ="tab34: HH_INC26=8, MEANS11=6"
        tab34x84     ="tab34: HH_INC26=8, MEANS11=7"
        tab34x85     ="tab34: HH_INC26=8, MEANS11=8"
        tab34x86     ="tab34: HH_INC26=8, MEANS11=9"
        tab34x87     ="tab34: HH_INC26=8, MEANS11=10"
        tab34x88     ="tab34: HH_INC26=8, MEANS11=11"
        tab34x89     ="tab34: HH_INC26=9, MEANS11=1"
        tab34x90     ="tab34: HH_INC26=9, MEANS11=2"
        tab34x91     ="tab34: HH_INC26=9, MEANS11=3"
        tab34x92     ="tab34: HH_INC26=9, MEANS11=4"
        tab34x93     ="tab34: HH_INC26=9, MEANS11=5"
        tab34x94     ="tab34: HH_INC26=9, MEANS11=6"
        tab34x95     ="tab34: HH_INC26=9, MEANS11=7"
        tab34x96     ="tab34: HH_INC26=9, MEANS11=8"
        tab34x97     ="tab34: HH_INC26=9, MEANS11=9"
        tab34x98     ="tab34: HH_INC26=9, MEANS11=10"
        tab34x99     ="tab34: HH_INC26=9, MEANS11=11"
        tab34x100    ="tab34: HH_INC26=10, MEANS11=1"
        tab34x101    ="tab34: HH_INC26=10, MEANS11=2"
        tab34x102    ="tab34: HH_INC26=10, MEANS11=3"
        tab34x103    ="tab34: HH_INC26=10, MEANS11=4"
        tab34x104    ="tab34: HH_INC26=10, MEANS11=5"
        tab34x105    ="tab34: HH_INC26=10, MEANS11=6"
        tab34x106    ="tab34: HH_INC26=10, MEANS11=7"
        tab34x107    ="tab34: HH_INC26=10, MEANS11=8"
        tab34x108    ="tab34: HH_INC26=10, MEANS11=9"
        tab34x109    ="tab34: HH_INC26=10, MEANS11=10"
        tab34x110    ="tab34: HH_INC26=10, MEANS11=11"
        tab34x111    ="tab34: HH_INC26=11, MEANS11=1"
        tab34x112    ="tab34: HH_INC26=11, MEANS11=2"
        tab34x113    ="tab34: HH_INC26=11, MEANS11=3"
        tab34x114    ="tab34: HH_INC26=11, MEANS11=4"
        tab34x115    ="tab34: HH_INC26=11, MEANS11=5"
        tab34x116    ="tab34: HH_INC26=11, MEANS11=6"
        tab34x117    ="tab34: HH_INC26=11, MEANS11=7"
        tab34x118    ="tab34: HH_INC26=11, MEANS11=8"
        tab34x119    ="tab34: HH_INC26=11, MEANS11=9"
        tab34x120    ="tab34: HH_INC26=11, MEANS11=10"
        tab34x121    ="tab34: HH_INC26=11, MEANS11=11"
        tab34x122    ="tab34: HH_INC26=12, MEANS11=1"
        tab34x123    ="tab34: HH_INC26=12, MEANS11=2"
        tab34x124    ="tab34: HH_INC26=12, MEANS11=3"
        tab34x125    ="tab34: HH_INC26=12, MEANS11=4"
        tab34x126    ="tab34: HH_INC26=12, MEANS11=5"
        tab34x127    ="tab34: HH_INC26=12, MEANS11=6"
        tab34x128    ="tab34: HH_INC26=12, MEANS11=7"
        tab34x129    ="tab34: HH_INC26=12, MEANS11=8"
        tab34x130    ="tab34: HH_INC26=12, MEANS11=9"
        tab34x131    ="tab34: HH_INC26=12, MEANS11=10"
        tab34x132    ="tab34: HH_INC26=12, MEANS11=11"
        tab34x133    ="tab34: HH_INC26=13, MEANS11=1"
        tab34x134    ="tab34: HH_INC26=13, MEANS11=2"
        tab34x135    ="tab34: HH_INC26=13, MEANS11=3"
        tab34x136    ="tab34: HH_INC26=13, MEANS11=4"
        tab34x137    ="tab34: HH_INC26=13, MEANS11=5"
        tab34x138    ="tab34: HH_INC26=13, MEANS11=6"
        tab34x139    ="tab34: HH_INC26=13, MEANS11=7"
        tab34x140    ="tab34: HH_INC26=13, MEANS11=8"
        tab34x141    ="tab34: HH_INC26=13, MEANS11=9"
        tab34x142    ="tab34: HH_INC26=13, MEANS11=10"
        tab34x143    ="tab34: HH_INC26=13, MEANS11=11"
        tab34x144    ="tab34: HH_INC26=14, MEANS11=1"
        tab34x145    ="tab34: HH_INC26=14, MEANS11=2"
        tab34x146    ="tab34: HH_INC26=14, MEANS11=3"
        tab34x147    ="tab34: HH_INC26=14, MEANS11=4"
        tab34x148    ="tab34: HH_INC26=14, MEANS11=5"
        tab34x149    ="tab34: HH_INC26=14, MEANS11=6"
        tab34x150    ="tab34: HH_INC26=14, MEANS11=7"
        tab34x151    ="tab34: HH_INC26=14, MEANS11=8"
        tab34x152    ="tab34: HH_INC26=14, MEANS11=9"
        tab34x153    ="tab34: HH_INC26=14, MEANS11=10"
        tab34x154    ="tab34: HH_INC26=14, MEANS11=11"
        tab34x155    ="tab34: HH_INC26=15, MEANS11=1"
        tab34x156    ="tab34: HH_INC26=15, MEANS11=2"
        tab34x157    ="tab34: HH_INC26=15, MEANS11=3"
        tab34x158    ="tab34: HH_INC26=15, MEANS11=4"
        tab34x159    ="tab34: HH_INC26=15, MEANS11=5"
        tab34x160    ="tab34: HH_INC26=15, MEANS11=6"
        tab34x161    ="tab34: HH_INC26=15, MEANS11=7"
        tab34x162    ="tab34: HH_INC26=15, MEANS11=8"
        tab34x163    ="tab34: HH_INC26=15, MEANS11=9"
        tab34x164    ="tab34: HH_INC26=15, MEANS11=10"
        tab34x165    ="tab34: HH_INC26=15, MEANS11=11"
        tab34x166    ="tab34: HH_INC26=16, MEANS11=1"
        tab34x167    ="tab34: HH_INC26=16, MEANS11=2"
        tab34x168    ="tab34: HH_INC26=16, MEANS11=3"
        tab34x169    ="tab34: HH_INC26=16, MEANS11=4"
        tab34x170    ="tab34: HH_INC26=16, MEANS11=5"
        tab34x171    ="tab34: HH_INC26=16, MEANS11=6"
        tab34x172    ="tab34: HH_INC26=16, MEANS11=7"
        tab34x173    ="tab34: HH_INC26=16, MEANS11=8"
        tab34x174    ="tab34: HH_INC26=16, MEANS11=9"
        tab34x175    ="tab34: HH_INC26=16, MEANS11=10"
        tab34x176    ="tab34: HH_INC26=16, MEANS11=11"
        tab34x177    ="tab34: HH_INC26=17, MEANS11=1"
        tab34x178    ="tab34: HH_INC26=17, MEANS11=2"
        tab34x179    ="tab34: HH_INC26=17, MEANS11=3"
        tab34x180    ="tab34: HH_INC26=17, MEANS11=4"
        tab34x181    ="tab34: HH_INC26=17, MEANS11=5"
        tab34x182    ="tab34: HH_INC26=17, MEANS11=6"
        tab34x183    ="tab34: HH_INC26=17, MEANS11=7"
        tab34x184    ="tab34: HH_INC26=17, MEANS11=8"
        tab34x185    ="tab34: HH_INC26=17, MEANS11=9"
        tab34x186    ="tab34: HH_INC26=17, MEANS11=10"
        tab34x187    ="tab34: HH_INC26=17, MEANS11=11"
        tab34x188    ="tab34: HH_INC26=18, MEANS11=1"
        tab34x189    ="tab34: HH_INC26=18, MEANS11=2"
        tab34x190    ="tab34: HH_INC26=18, MEANS11=3"
        tab34x191    ="tab34: HH_INC26=18, MEANS11=4"
        tab34x192    ="tab34: HH_INC26=18, MEANS11=5"
        tab34x193    ="tab34: HH_INC26=18, MEANS11=6"
        tab34x194    ="tab34: HH_INC26=18, MEANS11=7"
        tab34x195    ="tab34: HH_INC26=18, MEANS11=8"
        tab34x196    ="tab34: HH_INC26=18, MEANS11=9"
        tab34x197    ="tab34: HH_INC26=18, MEANS11=10"
        tab34x198    ="tab34: HH_INC26=18, MEANS11=11"
        tab34x199    ="tab34: HH_INC26=19, MEANS11=1"
        tab34x200    ="tab34: HH_INC26=19, MEANS11=2"
        tab34x201    ="tab34: HH_INC26=19, MEANS11=3"
        tab34x202    ="tab34: HH_INC26=19, MEANS11=4"
        tab34x203    ="tab34: HH_INC26=19, MEANS11=5"
        tab34x204    ="tab34: HH_INC26=19, MEANS11=6"
        tab34x205    ="tab34: HH_INC26=19, MEANS11=7"
        tab34x206    ="tab34: HH_INC26=19, MEANS11=8"
        tab34x207    ="tab34: HH_INC26=19, MEANS11=9"
        tab34x208    ="tab34: HH_INC26=19, MEANS11=10"
        tab34x209    ="tab34: HH_INC26=19, MEANS11=11"
        tab34x210    ="tab34: HH_INC26=20, MEANS11=1"
        tab34x211    ="tab34: HH_INC26=20, MEANS11=2"
        tab34x212    ="tab34: HH_INC26=20, MEANS11=3"
        tab34x213    ="tab34: HH_INC26=20, MEANS11=4"
        tab34x214    ="tab34: HH_INC26=20, MEANS11=5"
        tab34x215    ="tab34: HH_INC26=20, MEANS11=6"
        tab34x216    ="tab34: HH_INC26=20, MEANS11=7"
        tab34x217    ="tab34: HH_INC26=20, MEANS11=8"
        tab34x218    ="tab34: HH_INC26=20, MEANS11=9"
        tab34x219    ="tab34: HH_INC26=20, MEANS11=10"
        tab34x220    ="tab34: HH_INC26=20, MEANS11=11"
        tab34x221    ="tab34: HH_INC26=21, MEANS11=1"
        tab34x222    ="tab34: HH_INC26=21, MEANS11=2"
        tab34x223    ="tab34: HH_INC26=21, MEANS11=3"
        tab34x224    ="tab34: HH_INC26=21, MEANS11=4"
        tab34x225    ="tab34: HH_INC26=21, MEANS11=5"
        tab34x226    ="tab34: HH_INC26=21, MEANS11=6"
        tab34x227    ="tab34: HH_INC26=21, MEANS11=7"
        tab34x228    ="tab34: HH_INC26=21, MEANS11=8"
        tab34x229    ="tab34: HH_INC26=21, MEANS11=9"
        tab34x230    ="tab34: HH_INC26=21, MEANS11=10"
        tab34x231    ="tab34: HH_INC26=21, MEANS11=11"
        tab34x232    ="tab34: HH_INC26=22, MEANS11=1"
        tab34x233    ="tab34: HH_INC26=22, MEANS11=2"
        tab34x234    ="tab34: HH_INC26=22, MEANS11=3"
        tab34x235    ="tab34: HH_INC26=22, MEANS11=4"
        tab34x236    ="tab34: HH_INC26=22, MEANS11=5"
        tab34x237    ="tab34: HH_INC26=22, MEANS11=6"
        tab34x238    ="tab34: HH_INC26=22, MEANS11=7"
        tab34x239    ="tab34: HH_INC26=22, MEANS11=8"
        tab34x240    ="tab34: HH_INC26=22, MEANS11=9"
        tab34x241    ="tab34: HH_INC26=22, MEANS11=10"
        tab34x242    ="tab34: HH_INC26=22, MEANS11=11"
        tab34x243    ="tab34: HH_INC26=23, MEANS11=1"
        tab34x244    ="tab34: HH_INC26=23, MEANS11=2"
        tab34x245    ="tab34: HH_INC26=23, MEANS11=3"
        tab34x246    ="tab34: HH_INC26=23, MEANS11=4"
        tab34x247    ="tab34: HH_INC26=23, MEANS11=5"
        tab34x248    ="tab34: HH_INC26=23, MEANS11=6"
        tab34x249    ="tab34: HH_INC26=23, MEANS11=7"
        tab34x250    ="tab34: HH_INC26=23, MEANS11=8"
        tab34x251    ="tab34: HH_INC26=23, MEANS11=9"
        tab34x252    ="tab34: HH_INC26=23, MEANS11=10"
        tab34x253    ="tab34: HH_INC26=23, MEANS11=11"
        tab34x254    ="tab34: HH_INC26=24, MEANS11=1"
        tab34x255    ="tab34: HH_INC26=24, MEANS11=2"
        tab34x256    ="tab34: HH_INC26=24, MEANS11=3"
        tab34x257    ="tab34: HH_INC26=24, MEANS11=4"
        tab34x258    ="tab34: HH_INC26=24, MEANS11=5"
        tab34x259    ="tab34: HH_INC26=24, MEANS11=6"
        tab34x260    ="tab34: HH_INC26=24, MEANS11=7"
        tab34x261    ="tab34: HH_INC26=24, MEANS11=8"
        tab34x262    ="tab34: HH_INC26=24, MEANS11=9"
        tab34x263    ="tab34: HH_INC26=24, MEANS11=10"
        tab34x264    ="tab34: HH_INC26=24, MEANS11=11"
        tab34x265    ="tab34: HH_INC26=25, MEANS11=1"
        tab34x266    ="tab34: HH_INC26=25, MEANS11=2"
        tab34x267    ="tab34: HH_INC26=25, MEANS11=3"
        tab34x268    ="tab34: HH_INC26=25, MEANS11=4"
        tab34x269    ="tab34: HH_INC26=25, MEANS11=5"
        tab34x270    ="tab34: HH_INC26=25, MEANS11=6"
        tab34x271    ="tab34: HH_INC26=25, MEANS11=7"
        tab34x272    ="tab34: HH_INC26=25, MEANS11=8"
        tab34x273    ="tab34: HH_INC26=25, MEANS11=9"
        tab34x274    ="tab34: HH_INC26=25, MEANS11=10"
        tab34x275    ="tab34: HH_INC26=25, MEANS11=11"
        tab34x276    ="tab34: HH_INC26=26, MEANS11=1"
        tab34x277    ="tab34: HH_INC26=26, MEANS11=2"
        tab34x278    ="tab34: HH_INC26=26, MEANS11=3"
        tab34x279    ="tab34: HH_INC26=26, MEANS11=4"
        tab34x280    ="tab34: HH_INC26=26, MEANS11=5"
        tab34x281    ="tab34: HH_INC26=26, MEANS11=6"
        tab34x282    ="tab34: HH_INC26=26, MEANS11=7"
        tab34x283    ="tab34: HH_INC26=26, MEANS11=8"
        tab34x284    ="tab34: HH_INC26=26, MEANS11=9"
        tab34x285    ="tab34: HH_INC26=26, MEANS11=10"
        tab34x286    ="tab34: HH_INC26=26, MEANS11=11"
        tab35x1      ="tab35: VEHICLES6=1, MEANS11=1"
        tab35x2      ="tab35: VEHICLES6=1, MEANS11=2"
        tab35x3      ="tab35: VEHICLES6=1, MEANS11=3"
        tab35x4      ="tab35: VEHICLES6=1, MEANS11=4"
        tab35x5      ="tab35: VEHICLES6=1, MEANS11=5"
        tab35x6      ="tab35: VEHICLES6=1, MEANS11=6"
        tab35x7      ="tab35: VEHICLES6=1, MEANS11=7"
        tab35x8      ="tab35: VEHICLES6=1, MEANS11=8"
        tab35x9      ="tab35: VEHICLES6=1, MEANS11=9"
        tab35x10     ="tab35: VEHICLES6=1, MEANS11=10"
        tab35x11     ="tab35: VEHICLES6=1, MEANS11=11"
        tab35x12     ="tab35: VEHICLES6=2, MEANS11=1"
        tab35x13     ="tab35: VEHICLES6=2, MEANS11=2"
        tab35x14     ="tab35: VEHICLES6=2, MEANS11=3"
        tab35x15     ="tab35: VEHICLES6=2, MEANS11=4"
        tab35x16     ="tab35: VEHICLES6=2, MEANS11=5"
        tab35x17     ="tab35: VEHICLES6=2, MEANS11=6"
        tab35x18     ="tab35: VEHICLES6=2, MEANS11=7"
        tab35x19     ="tab35: VEHICLES6=2, MEANS11=8"
        tab35x20     ="tab35: VEHICLES6=2, MEANS11=9"
        tab35x21     ="tab35: VEHICLES6=2, MEANS11=10"
        tab35x22     ="tab35: VEHICLES6=2, MEANS11=11"
        tab35x23     ="tab35: VEHICLES6=3, MEANS11=1"
        tab35x24     ="tab35: VEHICLES6=3, MEANS11=2"
        tab35x25     ="tab35: VEHICLES6=3, MEANS11=3"
        tab35x26     ="tab35: VEHICLES6=3, MEANS11=4"
        tab35x27     ="tab35: VEHICLES6=3, MEANS11=5"
        tab35x28     ="tab35: VEHICLES6=3, MEANS11=6"
        tab35x29     ="tab35: VEHICLES6=3, MEANS11=7"
        tab35x30     ="tab35: VEHICLES6=3, MEANS11=8"
        tab35x31     ="tab35: VEHICLES6=3, MEANS11=9"
        tab35x32     ="tab35: VEHICLES6=3, MEANS11=10"
        tab35x33     ="tab35: VEHICLES6=3, MEANS11=11"
        tab35x34     ="tab35: VEHICLES6=4, MEANS11=1"
        tab35x35     ="tab35: VEHICLES6=4, MEANS11=2"
        tab35x36     ="tab35: VEHICLES6=4, MEANS11=3"
        tab35x37     ="tab35: VEHICLES6=4, MEANS11=4"
        tab35x38     ="tab35: VEHICLES6=4, MEANS11=5"
        tab35x39     ="tab35: VEHICLES6=4, MEANS11=6"
        tab35x40     ="tab35: VEHICLES6=4, MEANS11=7"
        tab35x41     ="tab35: VEHICLES6=4, MEANS11=8"
        tab35x42     ="tab35: VEHICLES6=4, MEANS11=9"
        tab35x43     ="tab35: VEHICLES6=4, MEANS11=10"
        tab35x44     ="tab35: VEHICLES6=4, MEANS11=11"
        tab35x45     ="tab35: VEHICLES6=5, MEANS11=1"
        tab35x46     ="tab35: VEHICLES6=5, MEANS11=2"
        tab35x47     ="tab35: VEHICLES6=5, MEANS11=3"
        tab35x48     ="tab35: VEHICLES6=5, MEANS11=4"
        tab35x49     ="tab35: VEHICLES6=5, MEANS11=5"
        tab35x50     ="tab35: VEHICLES6=5, MEANS11=6"
        tab35x51     ="tab35: VEHICLES6=5, MEANS11=7"
        tab35x52     ="tab35: VEHICLES6=5, MEANS11=8"
        tab35x53     ="tab35: VEHICLES6=5, MEANS11=9"
        tab35x54     ="tab35: VEHICLES6=5, MEANS11=10"
        tab35x55     ="tab35: VEHICLES6=5, MEANS11=11"
        tab35x56     ="tab35: VEHICLES6=6, MEANS11=1"
        tab35x57     ="tab35: VEHICLES6=6, MEANS11=2"
        tab35x58     ="tab35: VEHICLES6=6, MEANS11=3"
        tab35x59     ="tab35: VEHICLES6=6, MEANS11=4"
        tab35x60     ="tab35: VEHICLES6=6, MEANS11=5"
        tab35x61     ="tab35: VEHICLES6=6, MEANS11=6"
        tab35x62     ="tab35: VEHICLES6=6, MEANS11=7"
        tab35x63     ="tab35: VEHICLES6=6, MEANS11=8"
        tab35x64     ="tab35: VEHICLES6=6, MEANS11=9"
        tab35x65     ="tab35: VEHICLES6=6, MEANS11=10"
        tab35x66     ="tab35: VEHICLES6=6, MEANS11=11"
        tab36x1      ="tab36: POVERTY=1, MEANS11=1"
        tab36x2      ="tab36: POVERTY=1, MEANS11=2"
        tab36x3      ="tab36: POVERTY=1, MEANS11=3"
        tab36x4      ="tab36: POVERTY=1, MEANS11=4"
        tab36x5      ="tab36: POVERTY=1, MEANS11=5"
        tab36x6      ="tab36: POVERTY=1, MEANS11=6"
        tab36x7      ="tab36: POVERTY=1, MEANS11=7"
        tab36x8      ="tab36: POVERTY=1, MEANS11=8"
        tab36x9      ="tab36: POVERTY=1, MEANS11=9"
        tab36x10     ="tab36: POVERTY=1, MEANS11=10"
        tab36x11     ="tab36: POVERTY=1, MEANS11=11"
        tab36x12     ="tab36: POVERTY=2, MEANS11=1"
        tab36x13     ="tab36: POVERTY=2, MEANS11=2"
        tab36x14     ="tab36: POVERTY=2, MEANS11=3"
        tab36x15     ="tab36: POVERTY=2, MEANS11=4"
        tab36x16     ="tab36: POVERTY=2, MEANS11=5"
        tab36x17     ="tab36: POVERTY=2, MEANS11=6"
        tab36x18     ="tab36: POVERTY=2, MEANS11=7"
        tab36x19     ="tab36: POVERTY=2, MEANS11=8"
        tab36x20     ="tab36: POVERTY=2, MEANS11=9"
        tab36x21     ="tab36: POVERTY=2, MEANS11=10"
        tab36x22     ="tab36: POVERTY=2, MEANS11=11"
        tab36x23     ="tab36: POVERTY=3, MEANS11=1"
        tab36x24     ="tab36: POVERTY=3, MEANS11=2"
        tab36x25     ="tab36: POVERTY=3, MEANS11=3"
        tab36x26     ="tab36: POVERTY=3, MEANS11=4"
        tab36x27     ="tab36: POVERTY=3, MEANS11=5"
        tab36x28     ="tab36: POVERTY=3, MEANS11=6"
        tab36x29     ="tab36: POVERTY=3, MEANS11=7"
        tab36x30     ="tab36: POVERTY=3, MEANS11=8"
        tab36x31     ="tab36: POVERTY=3, MEANS11=9"
        tab36x32     ="tab36: POVERTY=3, MEANS11=10"
        tab36x33     ="tab36: POVERTY=3, MEANS11=11"
        tab36x34     ="tab36: POVERTY=4, MEANS11=1"
        tab36x35     ="tab36: POVERTY=4, MEANS11=2"
        tab36x36     ="tab36: POVERTY=4, MEANS11=3"
        tab36x37     ="tab36: POVERTY=4, MEANS11=4"
        tab36x38     ="tab36: POVERTY=4, MEANS11=5"
        tab36x39     ="tab36: POVERTY=4, MEANS11=6"
        tab36x40     ="tab36: POVERTY=4, MEANS11=7"
        tab36x41     ="tab36: POVERTY=4, MEANS11=8"
        tab36x42     ="tab36: POVERTY=4, MEANS11=9"
        tab36x43     ="tab36: POVERTY=4, MEANS11=10"
        tab36x44     ="tab36: POVERTY=4, MEANS11=11"
        tab37x1      ="tab37: HH_WORKERS=1, MEANS11=1"
        tab37x2      ="tab37: HH_WORKERS=1, MEANS11=2"
        tab37x3      ="tab37: HH_WORKERS=1, MEANS11=3"
        tab37x4      ="tab37: HH_WORKERS=1, MEANS11=4"
        tab37x5      ="tab37: HH_WORKERS=1, MEANS11=5"
        tab37x6      ="tab37: HH_WORKERS=1, MEANS11=6"
        tab37x7      ="tab37: HH_WORKERS=1, MEANS11=7"
        tab37x8      ="tab37: HH_WORKERS=1, MEANS11=8"
        tab37x9      ="tab37: HH_WORKERS=1, MEANS11=9"
        tab37x10     ="tab37: HH_WORKERS=1, MEANS11=10"
        tab37x11     ="tab37: HH_WORKERS=1, MEANS11=11"
        tab37x12     ="tab37: HH_WORKERS=2, MEANS11=1"
        tab37x13     ="tab37: HH_WORKERS=2, MEANS11=2"
        tab37x14     ="tab37: HH_WORKERS=2, MEANS11=3"
        tab37x15     ="tab37: HH_WORKERS=2, MEANS11=4"
        tab37x16     ="tab37: HH_WORKERS=2, MEANS11=5"
        tab37x17     ="tab37: HH_WORKERS=2, MEANS11=6"
        tab37x18     ="tab37: HH_WORKERS=2, MEANS11=7"
        tab37x19     ="tab37: HH_WORKERS=2, MEANS11=8"
        tab37x20     ="tab37: HH_WORKERS=2, MEANS11=9"
        tab37x21     ="tab37: HH_WORKERS=2, MEANS11=10"
        tab37x22     ="tab37: HH_WORKERS=2, MEANS11=11"
        tab37x23     ="tab37: HH_WORKERS=3, MEANS11=1"
        tab37x24     ="tab37: HH_WORKERS=3, MEANS11=2"
        tab37x25     ="tab37: HH_WORKERS=3, MEANS11=3"
        tab37x26     ="tab37: HH_WORKERS=3, MEANS11=4"
        tab37x27     ="tab37: HH_WORKERS=3, MEANS11=5"
        tab37x28     ="tab37: HH_WORKERS=3, MEANS11=6"
        tab37x29     ="tab37: HH_WORKERS=3, MEANS11=7"
        tab37x30     ="tab37: HH_WORKERS=3, MEANS11=8"
        tab37x31     ="tab37: HH_WORKERS=3, MEANS11=9"
        tab37x32     ="tab37: HH_WORKERS=3, MEANS11=10"
        tab37x33     ="tab37: HH_WORKERS=3, MEANS11=11"
        tab37x34     ="tab37: HH_WORKERS=4, MEANS11=1"
        tab37x35     ="tab37: HH_WORKERS=4, MEANS11=2"
        tab37x36     ="tab37: HH_WORKERS=4, MEANS11=3"
        tab37x37     ="tab37: HH_WORKERS=4, MEANS11=4"
        tab37x38     ="tab37: HH_WORKERS=4, MEANS11=5"
        tab37x39     ="tab37: HH_WORKERS=4, MEANS11=6"
        tab37x40     ="tab37: HH_WORKERS=4, MEANS11=7"
        tab37x41     ="tab37: HH_WORKERS=4, MEANS11=8"
        tab37x42     ="tab37: HH_WORKERS=4, MEANS11=9"
        tab37x43     ="tab37: HH_WORKERS=4, MEANS11=10"
        tab37x44     ="tab37: HH_WORKERS=4, MEANS11=11"
        tab37x45     ="tab37: HH_WORKERS=5, MEANS11=1"
        tab37x46     ="tab37: HH_WORKERS=5, MEANS11=2"
        tab37x47     ="tab37: HH_WORKERS=5, MEANS11=3"
        tab37x48     ="tab37: HH_WORKERS=5, MEANS11=4"
        tab37x49     ="tab37: HH_WORKERS=5, MEANS11=5"
        tab37x50     ="tab37: HH_WORKERS=5, MEANS11=6"
        tab37x51     ="tab37: HH_WORKERS=5, MEANS11=7"
        tab37x52     ="tab37: HH_WORKERS=5, MEANS11=8"
        tab37x53     ="tab37: HH_WORKERS=5, MEANS11=9"
        tab37x54     ="tab37: HH_WORKERS=5, MEANS11=10"
        tab37x55     ="tab37: HH_WORKERS=5, MEANS11=11"
        tab37x56     ="tab37: HH_WORKERS=6, MEANS11=1"
        tab37x57     ="tab37: HH_WORKERS=6, MEANS11=2"
        tab37x58     ="tab37: HH_WORKERS=6, MEANS11=3"
        tab37x59     ="tab37: HH_WORKERS=6, MEANS11=4"
        tab37x60     ="tab37: HH_WORKERS=6, MEANS11=5"
        tab37x61     ="tab37: HH_WORKERS=6, MEANS11=6"
        tab37x62     ="tab37: HH_WORKERS=6, MEANS11=7"
        tab37x63     ="tab37: HH_WORKERS=6, MEANS11=8"
        tab37x64     ="tab37: HH_WORKERS=6, MEANS11=9"
        tab37x65     ="tab37: HH_WORKERS=6, MEANS11=10"
        tab37x66     ="tab37: HH_WORKERS=6, MEANS11=11"
        tab38x1      ="tab38: HH_YNGEST=1, MEANS11=1"
        tab38x2      ="tab38: HH_YNGEST=1, MEANS11=2"
        tab38x3      ="tab38: HH_YNGEST=1, MEANS11=3"
        tab38x4      ="tab38: HH_YNGEST=1, MEANS11=4"
        tab38x5      ="tab38: HH_YNGEST=1, MEANS11=5"
        tab38x6      ="tab38: HH_YNGEST=1, MEANS11=6"
        tab38x7      ="tab38: HH_YNGEST=1, MEANS11=7"
        tab38x8      ="tab38: HH_YNGEST=1, MEANS11=8"
        tab38x9      ="tab38: HH_YNGEST=1, MEANS11=9"
        tab38x10     ="tab38: HH_YNGEST=1, MEANS11=10"
        tab38x11     ="tab38: HH_YNGEST=1, MEANS11=11"
        tab38x12     ="tab38: HH_YNGEST=2, MEANS11=1"
        tab38x13     ="tab38: HH_YNGEST=2, MEANS11=2"
        tab38x14     ="tab38: HH_YNGEST=2, MEANS11=3"
        tab38x15     ="tab38: HH_YNGEST=2, MEANS11=4"
        tab38x16     ="tab38: HH_YNGEST=2, MEANS11=5"
        tab38x17     ="tab38: HH_YNGEST=2, MEANS11=6"
        tab38x18     ="tab38: HH_YNGEST=2, MEANS11=7"
        tab38x19     ="tab38: HH_YNGEST=2, MEANS11=8"
        tab38x20     ="tab38: HH_YNGEST=2, MEANS11=9"
        tab38x21     ="tab38: HH_YNGEST=2, MEANS11=10"
        tab38x22     ="tab38: HH_YNGEST=2, MEANS11=11"
        tab38x23     ="tab38: HH_YNGEST=3, MEANS11=1"
        tab38x24     ="tab38: HH_YNGEST=3, MEANS11=2"
        tab38x25     ="tab38: HH_YNGEST=3, MEANS11=3"
        tab38x26     ="tab38: HH_YNGEST=3, MEANS11=4"
        tab38x27     ="tab38: HH_YNGEST=3, MEANS11=5"
        tab38x28     ="tab38: HH_YNGEST=3, MEANS11=6"
        tab38x29     ="tab38: HH_YNGEST=3, MEANS11=7"
        tab38x30     ="tab38: HH_YNGEST=3, MEANS11=8"
        tab38x31     ="tab38: HH_YNGEST=3, MEANS11=9"
        tab38x32     ="tab38: HH_YNGEST=3, MEANS11=10"
        tab38x33     ="tab38: HH_YNGEST=3, MEANS11=11"
        tab38x34     ="tab38: HH_YNGEST=4, MEANS11=1"
        tab38x35     ="tab38: HH_YNGEST=4, MEANS11=2"
        tab38x36     ="tab38: HH_YNGEST=4, MEANS11=3"
        tab38x37     ="tab38: HH_YNGEST=4, MEANS11=4"
        tab38x38     ="tab38: HH_YNGEST=4, MEANS11=5"
        tab38x39     ="tab38: HH_YNGEST=4, MEANS11=6"
        tab38x40     ="tab38: HH_YNGEST=4, MEANS11=7"
        tab38x41     ="tab38: HH_YNGEST=4, MEANS11=8"
        tab38x42     ="tab38: HH_YNGEST=4, MEANS11=9"
        tab38x43     ="tab38: HH_YNGEST=4, MEANS11=10"
        tab38x44     ="tab38: HH_YNGEST=4, MEANS11=11"
        tab38x45     ="tab38: HH_YNGEST=5, MEANS11=1"
        tab38x46     ="tab38: HH_YNGEST=5, MEANS11=2"
        tab38x47     ="tab38: HH_YNGEST=5, MEANS11=3"
        tab38x48     ="tab38: HH_YNGEST=5, MEANS11=4"
        tab38x49     ="tab38: HH_YNGEST=5, MEANS11=5"
        tab38x50     ="tab38: HH_YNGEST=5, MEANS11=6"
        tab38x51     ="tab38: HH_YNGEST=5, MEANS11=7"
        tab38x52     ="tab38: HH_YNGEST=5, MEANS11=8"
        tab38x53     ="tab38: HH_YNGEST=5, MEANS11=9"
        tab38x54     ="tab38: HH_YNGEST=5, MEANS11=10"
        tab38x55     ="tab38: HH_YNGEST=5, MEANS11=11"
        tab39x1      ="tab39: HH_INC11=1, EARNINGS=1"
        tab39x2      ="tab39: HH_INC11=1, EARNINGS=2"
        tab39x3      ="tab39: HH_INC11=1, EARNINGS=3"
        tab39x4      ="tab39: HH_INC11=1, EARNINGS=4"
        tab39x5      ="tab39: HH_INC11=1, EARNINGS=5"
        tab39x6      ="tab39: HH_INC11=1, EARNINGS=6"
        tab39x7      ="tab39: HH_INC11=1, EARNINGS=7"
        tab39x8      ="tab39: HH_INC11=1, EARNINGS=8"
        tab39x9      ="tab39: HH_INC11=1, EARNINGS=9"
        tab39x10     ="tab39: HH_INC11=1, EARNINGS=10"
        tab39x11     ="tab39: HH_INC11=1, EARNINGS=11"
        tab39x12     ="tab39: HH_INC11=1, EARNINGS=12"
        tab39x13     ="tab39: HH_INC11=2, EARNINGS=1"
        tab39x14     ="tab39: HH_INC11=2, EARNINGS=2"
        tab39x15     ="tab39: HH_INC11=2, EARNINGS=3"
        tab39x16     ="tab39: HH_INC11=2, EARNINGS=4"
        tab39x17     ="tab39: HH_INC11=2, EARNINGS=5"
        tab39x18     ="tab39: HH_INC11=2, EARNINGS=6"
        tab39x19     ="tab39: HH_INC11=2, EARNINGS=7"
        tab39x20     ="tab39: HH_INC11=2, EARNINGS=8"
        tab39x21     ="tab39: HH_INC11=2, EARNINGS=9"
        tab39x22     ="tab39: HH_INC11=2, EARNINGS=10"
        tab39x23     ="tab39: HH_INC11=2, EARNINGS=11"
        tab39x24     ="tab39: HH_INC11=2, EARNINGS=12"
        tab39x25     ="tab39: HH_INC11=3, EARNINGS=1"
        tab39x26     ="tab39: HH_INC11=3, EARNINGS=2"
        tab39x27     ="tab39: HH_INC11=3, EARNINGS=3"
        tab39x28     ="tab39: HH_INC11=3, EARNINGS=4"
        tab39x29     ="tab39: HH_INC11=3, EARNINGS=5"
        tab39x30     ="tab39: HH_INC11=3, EARNINGS=6"
        tab39x31     ="tab39: HH_INC11=3, EARNINGS=7"
        tab39x32     ="tab39: HH_INC11=3, EARNINGS=8"
        tab39x33     ="tab39: HH_INC11=3, EARNINGS=9"
        tab39x34     ="tab39: HH_INC11=3, EARNINGS=10"
        tab39x35     ="tab39: HH_INC11=3, EARNINGS=11"
        tab39x36     ="tab39: HH_INC11=3, EARNINGS=12"
        tab39x37     ="tab39: HH_INC11=4, EARNINGS=1"
        tab39x38     ="tab39: HH_INC11=4, EARNINGS=2"
        tab39x39     ="tab39: HH_INC11=4, EARNINGS=3"
        tab39x40     ="tab39: HH_INC11=4, EARNINGS=4"
        tab39x41     ="tab39: HH_INC11=4, EARNINGS=5"
        tab39x42     ="tab39: HH_INC11=4, EARNINGS=6"
        tab39x43     ="tab39: HH_INC11=4, EARNINGS=7"
        tab39x44     ="tab39: HH_INC11=4, EARNINGS=8"
        tab39x45     ="tab39: HH_INC11=4, EARNINGS=9"
        tab39x46     ="tab39: HH_INC11=4, EARNINGS=10"
        tab39x47     ="tab39: HH_INC11=4, EARNINGS=11"
        tab39x48     ="tab39: HH_INC11=4, EARNINGS=12"
        tab39x49     ="tab39: HH_INC11=5, EARNINGS=1"
        tab39x50     ="tab39: HH_INC11=5, EARNINGS=2"
        tab39x51     ="tab39: HH_INC11=5, EARNINGS=3"
        tab39x52     ="tab39: HH_INC11=5, EARNINGS=4"
        tab39x53     ="tab39: HH_INC11=5, EARNINGS=5"
        tab39x54     ="tab39: HH_INC11=5, EARNINGS=6"
        tab39x55     ="tab39: HH_INC11=5, EARNINGS=7"
        tab39x56     ="tab39: HH_INC11=5, EARNINGS=8"
        tab39x57     ="tab39: HH_INC11=5, EARNINGS=9"
        tab39x58     ="tab39: HH_INC11=5, EARNINGS=10"
        tab39x59     ="tab39: HH_INC11=5, EARNINGS=11"
        tab39x60     ="tab39: HH_INC11=5, EARNINGS=12"
        tab39x61     ="tab39: HH_INC11=6, EARNINGS=1"
        tab39x62     ="tab39: HH_INC11=6, EARNINGS=2"
        tab39x63     ="tab39: HH_INC11=6, EARNINGS=3"
        tab39x64     ="tab39: HH_INC11=6, EARNINGS=4"
        tab39x65     ="tab39: HH_INC11=6, EARNINGS=5"
        tab39x66     ="tab39: HH_INC11=6, EARNINGS=6"
        tab39x67     ="tab39: HH_INC11=6, EARNINGS=7"
        tab39x68     ="tab39: HH_INC11=6, EARNINGS=8"
        tab39x69     ="tab39: HH_INC11=6, EARNINGS=9"
        tab39x70     ="tab39: HH_INC11=6, EARNINGS=10"
        tab39x71     ="tab39: HH_INC11=6, EARNINGS=11"
        tab39x72     ="tab39: HH_INC11=6, EARNINGS=12"
        tab39x73     ="tab39: HH_INC11=7, EARNINGS=1"
        tab39x74     ="tab39: HH_INC11=7, EARNINGS=2"
        tab39x75     ="tab39: HH_INC11=7, EARNINGS=3"
        tab39x76     ="tab39: HH_INC11=7, EARNINGS=4"
        tab39x77     ="tab39: HH_INC11=7, EARNINGS=5"
        tab39x78     ="tab39: HH_INC11=7, EARNINGS=6"
        tab39x79     ="tab39: HH_INC11=7, EARNINGS=7"
        tab39x80     ="tab39: HH_INC11=7, EARNINGS=8"
        tab39x81     ="tab39: HH_INC11=7, EARNINGS=9"
        tab39x82     ="tab39: HH_INC11=7, EARNINGS=10"
        tab39x83     ="tab39: HH_INC11=7, EARNINGS=11"
        tab39x84     ="tab39: HH_INC11=7, EARNINGS=12"
        tab39x85     ="tab39: HH_INC11=8, EARNINGS=1"
        tab39x86     ="tab39: HH_INC11=8, EARNINGS=2"
        tab39x87     ="tab39: HH_INC11=8, EARNINGS=3"
        tab39x88     ="tab39: HH_INC11=8, EARNINGS=4"
        tab39x89     ="tab39: HH_INC11=8, EARNINGS=5"
        tab39x90     ="tab39: HH_INC11=8, EARNINGS=6"
        tab39x91     ="tab39: HH_INC11=8, EARNINGS=7"
        tab39x92     ="tab39: HH_INC11=8, EARNINGS=8"
        tab39x93     ="tab39: HH_INC11=8, EARNINGS=9"
        tab39x94     ="tab39: HH_INC11=8, EARNINGS=10"
        tab39x95     ="tab39: HH_INC11=8, EARNINGS=11"
        tab39x96     ="tab39: HH_INC11=8, EARNINGS=12"
        tab39x97     ="tab39: HH_INC11=9, EARNINGS=1"
        tab39x98     ="tab39: HH_INC11=9, EARNINGS=2"
        tab39x99     ="tab39: HH_INC11=9, EARNINGS=3"
        tab39x100    ="tab39: HH_INC11=9, EARNINGS=4"
        tab39x101    ="tab39: HH_INC11=9, EARNINGS=5"
        tab39x102    ="tab39: HH_INC11=9, EARNINGS=6"
        tab39x103    ="tab39: HH_INC11=9, EARNINGS=7"
        tab39x104    ="tab39: HH_INC11=9, EARNINGS=8"
        tab39x105    ="tab39: HH_INC11=9, EARNINGS=9"
        tab39x106    ="tab39: HH_INC11=9, EARNINGS=10"
        tab39x107    ="tab39: HH_INC11=9, EARNINGS=11"
        tab39x108    ="tab39: HH_INC11=9, EARNINGS=12"
        tab39x109    ="tab39: HH_INC11=10, EARNINGS=1"
        tab39x110    ="tab39: HH_INC11=10, EARNINGS=2"
        tab39x111    ="tab39: HH_INC11=10, EARNINGS=3"
        tab39x112    ="tab39: HH_INC11=10, EARNINGS=4"
        tab39x113    ="tab39: HH_INC11=10, EARNINGS=5"
        tab39x114    ="tab39: HH_INC11=10, EARNINGS=6"
        tab39x115    ="tab39: HH_INC11=10, EARNINGS=7"
        tab39x116    ="tab39: HH_INC11=10, EARNINGS=8"
        tab39x117    ="tab39: HH_INC11=10, EARNINGS=9"
        tab39x118    ="tab39: HH_INC11=10, EARNINGS=10"
        tab39x119    ="tab39: HH_INC11=10, EARNINGS=11"
        tab39x120    ="tab39: HH_INC11=10, EARNINGS=12"
        tab39x121    ="tab39: HH_INC11=11, EARNINGS=1"
        tab39x122    ="tab39: HH_INC11=11, EARNINGS=2"
        tab39x123    ="tab39: HH_INC11=11, EARNINGS=3"
        tab39x124    ="tab39: HH_INC11=11, EARNINGS=4"
        tab39x125    ="tab39: HH_INC11=11, EARNINGS=5"
        tab39x126    ="tab39: HH_INC11=11, EARNINGS=6"
        tab39x127    ="tab39: HH_INC11=11, EARNINGS=7"
        tab39x128    ="tab39: HH_INC11=11, EARNINGS=8"
        tab39x129    ="tab39: HH_INC11=11, EARNINGS=9"
        tab39x130    ="tab39: HH_INC11=11, EARNINGS=10"
        tab39x131    ="tab39: HH_INC11=11, EARNINGS=11"
        tab39x132    ="tab39: HH_INC11=11, EARNINGS=12"
        tab40x1      ="tab40: POVERTY=1, TM_LEAVE14=1"
        tab40x2      ="tab40: POVERTY=1, TM_LEAVE14=2"
        tab40x3      ="tab40: POVERTY=1, TM_LEAVE14=3"
        tab40x4      ="tab40: POVERTY=1, TM_LEAVE14=4"
        tab40x5      ="tab40: POVERTY=1, TM_LEAVE14=5"
        tab40x6      ="tab40: POVERTY=1, TM_LEAVE14=6"
        tab40x7      ="tab40: POVERTY=1, TM_LEAVE14=7"
        tab40x8      ="tab40: POVERTY=1, TM_LEAVE14=8"
        tab40x9      ="tab40: POVERTY=1, TM_LEAVE14=9"
        tab40x10     ="tab40: POVERTY=1, TM_LEAVE14=10"
        tab40x11     ="tab40: POVERTY=1, TM_LEAVE14=11"
        tab40x12     ="tab40: POVERTY=1, TM_LEAVE14=12"
        tab40x13     ="tab40: POVERTY=1, TM_LEAVE14=13"
        tab40x14     ="tab40: POVERTY=1, TM_LEAVE14=14"
        tab40x15     ="tab40: POVERTY=2, TM_LEAVE14=1"
        tab40x16     ="tab40: POVERTY=2, TM_LEAVE14=2"
        tab40x17     ="tab40: POVERTY=2, TM_LEAVE14=3"
        tab40x18     ="tab40: POVERTY=2, TM_LEAVE14=4"
        tab40x19     ="tab40: POVERTY=2, TM_LEAVE14=5"
        tab40x20     ="tab40: POVERTY=2, TM_LEAVE14=6"
        tab40x21     ="tab40: POVERTY=2, TM_LEAVE14=7"
        tab40x22     ="tab40: POVERTY=2, TM_LEAVE14=8"
        tab40x23     ="tab40: POVERTY=2, TM_LEAVE14=9"
        tab40x24     ="tab40: POVERTY=2, TM_LEAVE14=10"
        tab40x25     ="tab40: POVERTY=2, TM_LEAVE14=11"
        tab40x26     ="tab40: POVERTY=2, TM_LEAVE14=12"
        tab40x27     ="tab40: POVERTY=2, TM_LEAVE14=13"
        tab40x28     ="tab40: POVERTY=2, TM_LEAVE14=14"
        tab40x29     ="tab40: POVERTY=3, TM_LEAVE14=1"
        tab40x30     ="tab40: POVERTY=3, TM_LEAVE14=2"
        tab40x31     ="tab40: POVERTY=3, TM_LEAVE14=3"
        tab40x32     ="tab40: POVERTY=3, TM_LEAVE14=4"
        tab40x33     ="tab40: POVERTY=3, TM_LEAVE14=5"
        tab40x34     ="tab40: POVERTY=3, TM_LEAVE14=6"
        tab40x35     ="tab40: POVERTY=3, TM_LEAVE14=7"
        tab40x36     ="tab40: POVERTY=3, TM_LEAVE14=8"
        tab40x37     ="tab40: POVERTY=3, TM_LEAVE14=9"
        tab40x38     ="tab40: POVERTY=3, TM_LEAVE14=10"
        tab40x39     ="tab40: POVERTY=3, TM_LEAVE14=11"
        tab40x40     ="tab40: POVERTY=3, TM_LEAVE14=12"
        tab40x41     ="tab40: POVERTY=3, TM_LEAVE14=13"
        tab40x42     ="tab40: POVERTY=3, TM_LEAVE14=14"
        tab40x43     ="tab40: POVERTY=4, TM_LEAVE14=1"
        tab40x44     ="tab40: POVERTY=4, TM_LEAVE14=2"
        tab40x45     ="tab40: POVERTY=4, TM_LEAVE14=3"
        tab40x46     ="tab40: POVERTY=4, TM_LEAVE14=4"
        tab40x47     ="tab40: POVERTY=4, TM_LEAVE14=5"
        tab40x48     ="tab40: POVERTY=4, TM_LEAVE14=6"
        tab40x49     ="tab40: POVERTY=4, TM_LEAVE14=7"
        tab40x50     ="tab40: POVERTY=4, TM_LEAVE14=8"
        tab40x51     ="tab40: POVERTY=4, TM_LEAVE14=9"
        tab40x52     ="tab40: POVERTY=4, TM_LEAVE14=10"
        tab40x53     ="tab40: POVERTY=4, TM_LEAVE14=11"
        tab40x54     ="tab40: POVERTY=4, TM_LEAVE14=12"
        tab40x55     ="tab40: POVERTY=4, TM_LEAVE14=13"
        tab40x56     ="tab40: POVERTY=4, TM_LEAVE14=14"
        tab41x1      ="tab41: VEHICLES6=1, YRS_IN_US=1"
        tab41x2      ="tab41: VEHICLES6=1, YRS_IN_US=2"
        tab41x3      ="tab41: VEHICLES6=1, YRS_IN_US=3"
        tab41x4      ="tab41: VEHICLES6=1, YRS_IN_US=4"
        tab41x5      ="tab41: VEHICLES6=1, YRS_IN_US=5"
        tab41x6      ="tab41: VEHICLES6=2, YRS_IN_US=1"
        tab41x7      ="tab41: VEHICLES6=2, YRS_IN_US=2"
        tab41x8      ="tab41: VEHICLES6=2, YRS_IN_US=3"
        tab41x9      ="tab41: VEHICLES6=2, YRS_IN_US=4"
        tab41x10     ="tab41: VEHICLES6=2, YRS_IN_US=5"
        tab41x11     ="tab41: VEHICLES6=3, YRS_IN_US=1"
        tab41x12     ="tab41: VEHICLES6=3, YRS_IN_US=2"
        tab41x13     ="tab41: VEHICLES6=3, YRS_IN_US=3"
        tab41x14     ="tab41: VEHICLES6=3, YRS_IN_US=4"
        tab41x15     ="tab41: VEHICLES6=3, YRS_IN_US=5"
        tab41x16     ="tab41: VEHICLES6=4, YRS_IN_US=1"
        tab41x17     ="tab41: VEHICLES6=4, YRS_IN_US=2"
        tab41x18     ="tab41: VEHICLES6=4, YRS_IN_US=3"
        tab41x19     ="tab41: VEHICLES6=4, YRS_IN_US=4"
        tab41x20     ="tab41: VEHICLES6=4, YRS_IN_US=5"
        tab41x21     ="tab41: VEHICLES6=5, YRS_IN_US=1"
        tab41x22     ="tab41: VEHICLES6=5, YRS_IN_US=2"
        tab41x23     ="tab41: VEHICLES6=5, YRS_IN_US=3"
        tab41x24     ="tab41: VEHICLES6=5, YRS_IN_US=4"
        tab41x25     ="tab41: VEHICLES6=5, YRS_IN_US=5"
        tab41x26     ="tab41: VEHICLES6=6, YRS_IN_US=1"
        tab41x27     ="tab41: VEHICLES6=6, YRS_IN_US=2"
        tab41x28     ="tab41: VEHICLES6=6, YRS_IN_US=3"
        tab41x29     ="tab41: VEHICLES6=6, YRS_IN_US=4"
        tab41x30     ="tab41: VEHICLES6=6, YRS_IN_US=5"
        tab42x1      ="tab42: HH_INC5=1, VEHICLES6=1, MEANS8=1"
        tab42x2      ="tab42: HH_INC5=1, VEHICLES6=1, MEANS8=2"
        tab42x3      ="tab42: HH_INC5=1, VEHICLES6=1, MEANS8=3"
        tab42x4      ="tab42: HH_INC5=1, VEHICLES6=1, MEANS8=4"
        tab42x5      ="tab42: HH_INC5=1, VEHICLES6=1, MEANS8=5"
        tab42x6      ="tab42: HH_INC5=1, VEHICLES6=1, MEANS8=6"
        tab42x7      ="tab42: HH_INC5=1, VEHICLES6=1, MEANS8=7"
        tab42x8      ="tab42: HH_INC5=1, VEHICLES6=1, MEANS8=8"
        tab42x9      ="tab42: HH_INC5=1, VEHICLES6=2, MEANS8=1"
        tab42x10     ="tab42: HH_INC5=1, VEHICLES6=2, MEANS8=2"
        tab42x11     ="tab42: HH_INC5=1, VEHICLES6=2, MEANS8=3"
        tab42x12     ="tab42: HH_INC5=1, VEHICLES6=2, MEANS8=4"
        tab42x13     ="tab42: HH_INC5=1, VEHICLES6=2, MEANS8=5"
        tab42x14     ="tab42: HH_INC5=1, VEHICLES6=2, MEANS8=6"
        tab42x15     ="tab42: HH_INC5=1, VEHICLES6=2, MEANS8=7"
        tab42x16     ="tab42: HH_INC5=1, VEHICLES6=2, MEANS8=8"
        tab42x17     ="tab42: HH_INC5=1, VEHICLES6=3, MEANS8=1"
        tab42x18     ="tab42: HH_INC5=1, VEHICLES6=3, MEANS8=2"
        tab42x19     ="tab42: HH_INC5=1, VEHICLES6=3, MEANS8=3"
        tab42x20     ="tab42: HH_INC5=1, VEHICLES6=3, MEANS8=4"
        tab42x21     ="tab42: HH_INC5=1, VEHICLES6=3, MEANS8=5"
        tab42x22     ="tab42: HH_INC5=1, VEHICLES6=3, MEANS8=6"
        tab42x23     ="tab42: HH_INC5=1, VEHICLES6=3, MEANS8=7"
        tab42x24     ="tab42: HH_INC5=1, VEHICLES6=3, MEANS8=8"
        tab42x25     ="tab42: HH_INC5=1, VEHICLES6=4, MEANS8=1"
        tab42x26     ="tab42: HH_INC5=1, VEHICLES6=4, MEANS8=2"
        tab42x27     ="tab42: HH_INC5=1, VEHICLES6=4, MEANS8=3"
        tab42x28     ="tab42: HH_INC5=1, VEHICLES6=4, MEANS8=4"
        tab42x29     ="tab42: HH_INC5=1, VEHICLES6=4, MEANS8=5"
        tab42x30     ="tab42: HH_INC5=1, VEHICLES6=4, MEANS8=6"
        tab42x31     ="tab42: HH_INC5=1, VEHICLES6=4, MEANS8=7"
        tab42x32     ="tab42: HH_INC5=1, VEHICLES6=4, MEANS8=8"
        tab42x33     ="tab42: HH_INC5=1, VEHICLES6=5, MEANS8=1"
        tab42x34     ="tab42: HH_INC5=1, VEHICLES6=5, MEANS8=2"
        tab42x35     ="tab42: HH_INC5=1, VEHICLES6=5, MEANS8=3"
        tab42x36     ="tab42: HH_INC5=1, VEHICLES6=5, MEANS8=4"
        tab42x37     ="tab42: HH_INC5=1, VEHICLES6=5, MEANS8=5"
        tab42x38     ="tab42: HH_INC5=1, VEHICLES6=5, MEANS8=6"
        tab42x39     ="tab42: HH_INC5=1, VEHICLES6=5, MEANS8=7"
        tab42x40     ="tab42: HH_INC5=1, VEHICLES6=5, MEANS8=8"
        tab42x41     ="tab42: HH_INC5=1, VEHICLES6=6, MEANS8=1"
        tab42x42     ="tab42: HH_INC5=1, VEHICLES6=6, MEANS8=2"
        tab42x43     ="tab42: HH_INC5=1, VEHICLES6=6, MEANS8=3"
        tab42x44     ="tab42: HH_INC5=1, VEHICLES6=6, MEANS8=4"
        tab42x45     ="tab42: HH_INC5=1, VEHICLES6=6, MEANS8=5"
        tab42x46     ="tab42: HH_INC5=1, VEHICLES6=6, MEANS8=6"
        tab42x47     ="tab42: HH_INC5=1, VEHICLES6=6, MEANS8=7"
        tab42x48     ="tab42: HH_INC5=1, VEHICLES6=6, MEANS8=8"
        tab42x49     ="tab42: HH_INC5=2, VEHICLES6=1, MEANS8=1"
        tab42x50     ="tab42: HH_INC5=2, VEHICLES6=1, MEANS8=2"
        tab42x51     ="tab42: HH_INC5=2, VEHICLES6=1, MEANS8=3"
        tab42x52     ="tab42: HH_INC5=2, VEHICLES6=1, MEANS8=4"
        tab42x53     ="tab42: HH_INC5=2, VEHICLES6=1, MEANS8=5"
        tab42x54     ="tab42: HH_INC5=2, VEHICLES6=1, MEANS8=6"
        tab42x55     ="tab42: HH_INC5=2, VEHICLES6=1, MEANS8=7"
        tab42x56     ="tab42: HH_INC5=2, VEHICLES6=1, MEANS8=8"
        tab42x57     ="tab42: HH_INC5=2, VEHICLES6=2, MEANS8=1"
        tab42x58     ="tab42: HH_INC5=2, VEHICLES6=2, MEANS8=2"
        tab42x59     ="tab42: HH_INC5=2, VEHICLES6=2, MEANS8=3"
        tab42x60     ="tab42: HH_INC5=2, VEHICLES6=2, MEANS8=4"
        tab42x61     ="tab42: HH_INC5=2, VEHICLES6=2, MEANS8=5"
        tab42x62     ="tab42: HH_INC5=2, VEHICLES6=2, MEANS8=6"
        tab42x63     ="tab42: HH_INC5=2, VEHICLES6=2, MEANS8=7"
        tab42x64     ="tab42: HH_INC5=2, VEHICLES6=2, MEANS8=8"
        tab42x65     ="tab42: HH_INC5=2, VEHICLES6=3, MEANS8=1"
        tab42x66     ="tab42: HH_INC5=2, VEHICLES6=3, MEANS8=2"
        tab42x67     ="tab42: HH_INC5=2, VEHICLES6=3, MEANS8=3"
        tab42x68     ="tab42: HH_INC5=2, VEHICLES6=3, MEANS8=4"
        tab42x69     ="tab42: HH_INC5=2, VEHICLES6=3, MEANS8=5"
        tab42x70     ="tab42: HH_INC5=2, VEHICLES6=3, MEANS8=6"
        tab42x71     ="tab42: HH_INC5=2, VEHICLES6=3, MEANS8=7"
        tab42x72     ="tab42: HH_INC5=2, VEHICLES6=3, MEANS8=8"
        tab42x73     ="tab42: HH_INC5=2, VEHICLES6=4, MEANS8=1"
        tab42x74     ="tab42: HH_INC5=2, VEHICLES6=4, MEANS8=2"
        tab42x75     ="tab42: HH_INC5=2, VEHICLES6=4, MEANS8=3"
        tab42x76     ="tab42: HH_INC5=2, VEHICLES6=4, MEANS8=4"
        tab42x77     ="tab42: HH_INC5=2, VEHICLES6=4, MEANS8=5"
        tab42x78     ="tab42: HH_INC5=2, VEHICLES6=4, MEANS8=6"
        tab42x79     ="tab42: HH_INC5=2, VEHICLES6=4, MEANS8=7"
        tab42x80     ="tab42: HH_INC5=2, VEHICLES6=4, MEANS8=8"
        tab42x81     ="tab42: HH_INC5=2, VEHICLES6=5, MEANS8=1"
        tab42x82     ="tab42: HH_INC5=2, VEHICLES6=5, MEANS8=2"
        tab42x83     ="tab42: HH_INC5=2, VEHICLES6=5, MEANS8=3"
        tab42x84     ="tab42: HH_INC5=2, VEHICLES6=5, MEANS8=4"
        tab42x85     ="tab42: HH_INC5=2, VEHICLES6=5, MEANS8=5"
        tab42x86     ="tab42: HH_INC5=2, VEHICLES6=5, MEANS8=6"
        tab42x87     ="tab42: HH_INC5=2, VEHICLES6=5, MEANS8=7"
        tab42x88     ="tab42: HH_INC5=2, VEHICLES6=5, MEANS8=8"
        tab42x89     ="tab42: HH_INC5=2, VEHICLES6=6, MEANS8=1"
        tab42x90     ="tab42: HH_INC5=2, VEHICLES6=6, MEANS8=2"
        tab42x91     ="tab42: HH_INC5=2, VEHICLES6=6, MEANS8=3"
        tab42x92     ="tab42: HH_INC5=2, VEHICLES6=6, MEANS8=4"
        tab42x93     ="tab42: HH_INC5=2, VEHICLES6=6, MEANS8=5"
        tab42x94     ="tab42: HH_INC5=2, VEHICLES6=6, MEANS8=6"
        tab42x95     ="tab42: HH_INC5=2, VEHICLES6=6, MEANS8=7"
        tab42x96     ="tab42: HH_INC5=2, VEHICLES6=6, MEANS8=8"
        tab42x97     ="tab42: HH_INC5=3, VEHICLES6=1, MEANS8=1"
        tab42x98     ="tab42: HH_INC5=3, VEHICLES6=1, MEANS8=2"
        tab42x99     ="tab42: HH_INC5=3, VEHICLES6=1, MEANS8=3"
        tab42x100    ="tab42: HH_INC5=3, VEHICLES6=1, MEANS8=4"
        tab42x101    ="tab42: HH_INC5=3, VEHICLES6=1, MEANS8=5"
        tab42x102    ="tab42: HH_INC5=3, VEHICLES6=1, MEANS8=6"
        tab42x103    ="tab42: HH_INC5=3, VEHICLES6=1, MEANS8=7"
        tab42x104    ="tab42: HH_INC5=3, VEHICLES6=1, MEANS8=8"
        tab42x105    ="tab42: HH_INC5=3, VEHICLES6=2, MEANS8=1"
        tab42x106    ="tab42: HH_INC5=3, VEHICLES6=2, MEANS8=2"
        tab42x107    ="tab42: HH_INC5=3, VEHICLES6=2, MEANS8=3"
        tab42x108    ="tab42: HH_INC5=3, VEHICLES6=2, MEANS8=4"
        tab42x109    ="tab42: HH_INC5=3, VEHICLES6=2, MEANS8=5"
        tab42x110    ="tab42: HH_INC5=3, VEHICLES6=2, MEANS8=6"
        tab42x111    ="tab42: HH_INC5=3, VEHICLES6=2, MEANS8=7"
        tab42x112    ="tab42: HH_INC5=3, VEHICLES6=2, MEANS8=8"
        tab42x113    ="tab42: HH_INC5=3, VEHICLES6=3, MEANS8=1"
        tab42x114    ="tab42: HH_INC5=3, VEHICLES6=3, MEANS8=2"
        tab42x115    ="tab42: HH_INC5=3, VEHICLES6=3, MEANS8=3"
        tab42x116    ="tab42: HH_INC5=3, VEHICLES6=3, MEANS8=4"
        tab42x117    ="tab42: HH_INC5=3, VEHICLES6=3, MEANS8=5"
        tab42x118    ="tab42: HH_INC5=3, VEHICLES6=3, MEANS8=6"
        tab42x119    ="tab42: HH_INC5=3, VEHICLES6=3, MEANS8=7"
        tab42x120    ="tab42: HH_INC5=3, VEHICLES6=3, MEANS8=8"
        tab42x121    ="tab42: HH_INC5=3, VEHICLES6=4, MEANS8=1"
        tab42x122    ="tab42: HH_INC5=3, VEHICLES6=4, MEANS8=2"
        tab42x123    ="tab42: HH_INC5=3, VEHICLES6=4, MEANS8=3"
        tab42x124    ="tab42: HH_INC5=3, VEHICLES6=4, MEANS8=4"
        tab42x125    ="tab42: HH_INC5=3, VEHICLES6=4, MEANS8=5"
        tab42x126    ="tab42: HH_INC5=3, VEHICLES6=4, MEANS8=6"
        tab42x127    ="tab42: HH_INC5=3, VEHICLES6=4, MEANS8=7"
        tab42x128    ="tab42: HH_INC5=3, VEHICLES6=4, MEANS8=8"
        tab42x129    ="tab42: HH_INC5=3, VEHICLES6=5, MEANS8=1"
        tab42x130    ="tab42: HH_INC5=3, VEHICLES6=5, MEANS8=2"
        tab42x131    ="tab42: HH_INC5=3, VEHICLES6=5, MEANS8=3"
        tab42x132    ="tab42: HH_INC5=3, VEHICLES6=5, MEANS8=4"
        tab42x133    ="tab42: HH_INC5=3, VEHICLES6=5, MEANS8=5"
        tab42x134    ="tab42: HH_INC5=3, VEHICLES6=5, MEANS8=6"
        tab42x135    ="tab42: HH_INC5=3, VEHICLES6=5, MEANS8=7"
        tab42x136    ="tab42: HH_INC5=3, VEHICLES6=5, MEANS8=8"
        tab42x137    ="tab42: HH_INC5=3, VEHICLES6=6, MEANS8=1"
        tab42x138    ="tab42: HH_INC5=3, VEHICLES6=6, MEANS8=2"
        tab42x139    ="tab42: HH_INC5=3, VEHICLES6=6, MEANS8=3"
        tab42x140    ="tab42: HH_INC5=3, VEHICLES6=6, MEANS8=4"
        tab42x141    ="tab42: HH_INC5=3, VEHICLES6=6, MEANS8=5"
        tab42x142    ="tab42: HH_INC5=3, VEHICLES6=6, MEANS8=6"
        tab42x143    ="tab42: HH_INC5=3, VEHICLES6=6, MEANS8=7"
        tab42x144    ="tab42: HH_INC5=3, VEHICLES6=6, MEANS8=8"
        tab42x145    ="tab42: HH_INC5=4, VEHICLES6=1, MEANS8=1"
        tab42x146    ="tab42: HH_INC5=4, VEHICLES6=1, MEANS8=2"
        tab42x147    ="tab42: HH_INC5=4, VEHICLES6=1, MEANS8=3"
        tab42x148    ="tab42: HH_INC5=4, VEHICLES6=1, MEANS8=4"
        tab42x149    ="tab42: HH_INC5=4, VEHICLES6=1, MEANS8=5"
        tab42x150    ="tab42: HH_INC5=4, VEHICLES6=1, MEANS8=6"
        tab42x151    ="tab42: HH_INC5=4, VEHICLES6=1, MEANS8=7"
        tab42x152    ="tab42: HH_INC5=4, VEHICLES6=1, MEANS8=8"
        tab42x153    ="tab42: HH_INC5=4, VEHICLES6=2, MEANS8=1"
        tab42x154    ="tab42: HH_INC5=4, VEHICLES6=2, MEANS8=2"
        tab42x155    ="tab42: HH_INC5=4, VEHICLES6=2, MEANS8=3"
        tab42x156    ="tab42: HH_INC5=4, VEHICLES6=2, MEANS8=4"
        tab42x157    ="tab42: HH_INC5=4, VEHICLES6=2, MEANS8=5"
        tab42x158    ="tab42: HH_INC5=4, VEHICLES6=2, MEANS8=6"
        tab42x159    ="tab42: HH_INC5=4, VEHICLES6=2, MEANS8=7"
        tab42x160    ="tab42: HH_INC5=4, VEHICLES6=2, MEANS8=8"
        tab42x161    ="tab42: HH_INC5=4, VEHICLES6=3, MEANS8=1"
        tab42x162    ="tab42: HH_INC5=4, VEHICLES6=3, MEANS8=2"
        tab42x163    ="tab42: HH_INC5=4, VEHICLES6=3, MEANS8=3"
        tab42x164    ="tab42: HH_INC5=4, VEHICLES6=3, MEANS8=4"
        tab42x165    ="tab42: HH_INC5=4, VEHICLES6=3, MEANS8=5"
        tab42x166    ="tab42: HH_INC5=4, VEHICLES6=3, MEANS8=6"
        tab42x167    ="tab42: HH_INC5=4, VEHICLES6=3, MEANS8=7"
        tab42x168    ="tab42: HH_INC5=4, VEHICLES6=3, MEANS8=8"
        tab42x169    ="tab42: HH_INC5=4, VEHICLES6=4, MEANS8=1"
        tab42x170    ="tab42: HH_INC5=4, VEHICLES6=4, MEANS8=2"
        tab42x171    ="tab42: HH_INC5=4, VEHICLES6=4, MEANS8=3"
        tab42x172    ="tab42: HH_INC5=4, VEHICLES6=4, MEANS8=4"
        tab42x173    ="tab42: HH_INC5=4, VEHICLES6=4, MEANS8=5"
        tab42x174    ="tab42: HH_INC5=4, VEHICLES6=4, MEANS8=6"
        tab42x175    ="tab42: HH_INC5=4, VEHICLES6=4, MEANS8=7"
        tab42x176    ="tab42: HH_INC5=4, VEHICLES6=4, MEANS8=8"
        tab42x177    ="tab42: HH_INC5=4, VEHICLES6=5, MEANS8=1"
        tab42x178    ="tab42: HH_INC5=4, VEHICLES6=5, MEANS8=2"
        tab42x179    ="tab42: HH_INC5=4, VEHICLES6=5, MEANS8=3"
        tab42x180    ="tab42: HH_INC5=4, VEHICLES6=5, MEANS8=4"
        tab42x181    ="tab42: HH_INC5=4, VEHICLES6=5, MEANS8=5"
        tab42x182    ="tab42: HH_INC5=4, VEHICLES6=5, MEANS8=6"
        tab42x183    ="tab42: HH_INC5=4, VEHICLES6=5, MEANS8=7"
        tab42x184    ="tab42: HH_INC5=4, VEHICLES6=5, MEANS8=8"
        tab42x185    ="tab42: HH_INC5=4, VEHICLES6=6, MEANS8=1"
        tab42x186    ="tab42: HH_INC5=4, VEHICLES6=6, MEANS8=2"
        tab42x187    ="tab42: HH_INC5=4, VEHICLES6=6, MEANS8=3"
        tab42x188    ="tab42: HH_INC5=4, VEHICLES6=6, MEANS8=4"
        tab42x189    ="tab42: HH_INC5=4, VEHICLES6=6, MEANS8=5"
        tab42x190    ="tab42: HH_INC5=4, VEHICLES6=6, MEANS8=6"
        tab42x191    ="tab42: HH_INC5=4, VEHICLES6=6, MEANS8=7"
        tab42x192    ="tab42: HH_INC5=4, VEHICLES6=6, MEANS8=8"
        tab42x193    ="tab42: HH_INC5=5, VEHICLES6=1, MEANS8=1"
        tab42x194    ="tab42: HH_INC5=5, VEHICLES6=1, MEANS8=2"
        tab42x195    ="tab42: HH_INC5=5, VEHICLES6=1, MEANS8=3"
        tab42x196    ="tab42: HH_INC5=5, VEHICLES6=1, MEANS8=4"
        tab42x197    ="tab42: HH_INC5=5, VEHICLES6=1, MEANS8=5"
        tab42x198    ="tab42: HH_INC5=5, VEHICLES6=1, MEANS8=6"
        tab42x199    ="tab42: HH_INC5=5, VEHICLES6=1, MEANS8=7"
        tab42x200    ="tab42: HH_INC5=5, VEHICLES6=1, MEANS8=8"
        tab42x201    ="tab42: HH_INC5=5, VEHICLES6=2, MEANS8=1"
        tab42x202    ="tab42: HH_INC5=5, VEHICLES6=2, MEANS8=2"
        tab42x203    ="tab42: HH_INC5=5, VEHICLES6=2, MEANS8=3"
        tab42x204    ="tab42: HH_INC5=5, VEHICLES6=2, MEANS8=4"
        tab42x205    ="tab42: HH_INC5=5, VEHICLES6=2, MEANS8=5"
        tab42x206    ="tab42: HH_INC5=5, VEHICLES6=2, MEANS8=6"
        tab42x207    ="tab42: HH_INC5=5, VEHICLES6=2, MEANS8=7"
        tab42x208    ="tab42: HH_INC5=5, VEHICLES6=2, MEANS8=8"
        tab42x209    ="tab42: HH_INC5=5, VEHICLES6=3, MEANS8=1"
        tab42x210    ="tab42: HH_INC5=5, VEHICLES6=3, MEANS8=2"
        tab42x211    ="tab42: HH_INC5=5, VEHICLES6=3, MEANS8=3"
        tab42x212    ="tab42: HH_INC5=5, VEHICLES6=3, MEANS8=4"
        tab42x213    ="tab42: HH_INC5=5, VEHICLES6=3, MEANS8=5"
        tab42x214    ="tab42: HH_INC5=5, VEHICLES6=3, MEANS8=6"
        tab42x215    ="tab42: HH_INC5=5, VEHICLES6=3, MEANS8=7"
        tab42x216    ="tab42: HH_INC5=5, VEHICLES6=3, MEANS8=8"
        tab42x217    ="tab42: HH_INC5=5, VEHICLES6=4, MEANS8=1"
        tab42x218    ="tab42: HH_INC5=5, VEHICLES6=4, MEANS8=2"
        tab42x219    ="tab42: HH_INC5=5, VEHICLES6=4, MEANS8=3"
        tab42x220    ="tab42: HH_INC5=5, VEHICLES6=4, MEANS8=4"
        tab42x221    ="tab42: HH_INC5=5, VEHICLES6=4, MEANS8=5"
        tab42x222    ="tab42: HH_INC5=5, VEHICLES6=4, MEANS8=6"
        tab42x223    ="tab42: HH_INC5=5, VEHICLES6=4, MEANS8=7"
        tab42x224    ="tab42: HH_INC5=5, VEHICLES6=4, MEANS8=8"
        tab42x225    ="tab42: HH_INC5=5, VEHICLES6=5, MEANS8=1"
        tab42x226    ="tab42: HH_INC5=5, VEHICLES6=5, MEANS8=2"
        tab42x227    ="tab42: HH_INC5=5, VEHICLES6=5, MEANS8=3"
        tab42x228    ="tab42: HH_INC5=5, VEHICLES6=5, MEANS8=4"
        tab42x229    ="tab42: HH_INC5=5, VEHICLES6=5, MEANS8=5"
        tab42x230    ="tab42: HH_INC5=5, VEHICLES6=5, MEANS8=6"
        tab42x231    ="tab42: HH_INC5=5, VEHICLES6=5, MEANS8=7"
        tab42x232    ="tab42: HH_INC5=5, VEHICLES6=5, MEANS8=8"
        tab42x233    ="tab42: HH_INC5=5, VEHICLES6=6, MEANS8=1"
        tab42x234    ="tab42: HH_INC5=5, VEHICLES6=6, MEANS8=2"
        tab42x235    ="tab42: HH_INC5=5, VEHICLES6=6, MEANS8=3"
        tab42x236    ="tab42: HH_INC5=5, VEHICLES6=6, MEANS8=4"
        tab42x237    ="tab42: HH_INC5=5, VEHICLES6=6, MEANS8=5"
        tab42x238    ="tab42: HH_INC5=5, VEHICLES6=6, MEANS8=6"
        tab42x239    ="tab42: HH_INC5=5, VEHICLES6=6, MEANS8=7"
        tab42x240    ="tab42: HH_INC5=5, VEHICLES6=6, MEANS8=8"
        tab43x1      ="tab43: HH_INC5=1, HH_WORKERS=1, HH_YNGEST=1"
        tab43x2      ="tab43: HH_INC5=1, HH_WORKERS=1, HH_YNGEST=2"
        tab43x3      ="tab43: HH_INC5=1, HH_WORKERS=1, HH_YNGEST=3"
        tab43x4      ="tab43: HH_INC5=1, HH_WORKERS=1, HH_YNGEST=4"
        tab43x5      ="tab43: HH_INC5=1, HH_WORKERS=1, HH_YNGEST=5"
        tab43x6      ="tab43: HH_INC5=1, HH_WORKERS=2, HH_YNGEST=1"
        tab43x7      ="tab43: HH_INC5=1, HH_WORKERS=2, HH_YNGEST=2"
        tab43x8      ="tab43: HH_INC5=1, HH_WORKERS=2, HH_YNGEST=3"
        tab43x9      ="tab43: HH_INC5=1, HH_WORKERS=2, HH_YNGEST=4"
        tab43x10     ="tab43: HH_INC5=1, HH_WORKERS=2, HH_YNGEST=5"
        tab43x11     ="tab43: HH_INC5=1, HH_WORKERS=3, HH_YNGEST=1"
        tab43x12     ="tab43: HH_INC5=1, HH_WORKERS=3, HH_YNGEST=2"
        tab43x13     ="tab43: HH_INC5=1, HH_WORKERS=3, HH_YNGEST=3"
        tab43x14     ="tab43: HH_INC5=1, HH_WORKERS=3, HH_YNGEST=4"
        tab43x15     ="tab43: HH_INC5=1, HH_WORKERS=3, HH_YNGEST=5"
        tab43x16     ="tab43: HH_INC5=1, HH_WORKERS=4, HH_YNGEST=1"
        tab43x17     ="tab43: HH_INC5=1, HH_WORKERS=4, HH_YNGEST=2"
        tab43x18     ="tab43: HH_INC5=1, HH_WORKERS=4, HH_YNGEST=3"
        tab43x19     ="tab43: HH_INC5=1, HH_WORKERS=4, HH_YNGEST=4"
        tab43x20     ="tab43: HH_INC5=1, HH_WORKERS=4, HH_YNGEST=5"
        tab43x21     ="tab43: HH_INC5=1, HH_WORKERS=5, HH_YNGEST=1"
        tab43x22     ="tab43: HH_INC5=1, HH_WORKERS=5, HH_YNGEST=2"
        tab43x23     ="tab43: HH_INC5=1, HH_WORKERS=5, HH_YNGEST=3"
        tab43x24     ="tab43: HH_INC5=1, HH_WORKERS=5, HH_YNGEST=4"
        tab43x25     ="tab43: HH_INC5=1, HH_WORKERS=5, HH_YNGEST=5"
        tab43x26     ="tab43: HH_INC5=1, HH_WORKERS=6, HH_YNGEST=1"
        tab43x27     ="tab43: HH_INC5=1, HH_WORKERS=6, HH_YNGEST=2"
        tab43x28     ="tab43: HH_INC5=1, HH_WORKERS=6, HH_YNGEST=3"
        tab43x29     ="tab43: HH_INC5=1, HH_WORKERS=6, HH_YNGEST=4"
        tab43x30     ="tab43: HH_INC5=1, HH_WORKERS=6, HH_YNGEST=5"
        tab43x31     ="tab43: HH_INC5=2, HH_WORKERS=1, HH_YNGEST=1"
        tab43x32     ="tab43: HH_INC5=2, HH_WORKERS=1, HH_YNGEST=2"
        tab43x33     ="tab43: HH_INC5=2, HH_WORKERS=1, HH_YNGEST=3"
        tab43x34     ="tab43: HH_INC5=2, HH_WORKERS=1, HH_YNGEST=4"
        tab43x35     ="tab43: HH_INC5=2, HH_WORKERS=1, HH_YNGEST=5"
        tab43x36     ="tab43: HH_INC5=2, HH_WORKERS=2, HH_YNGEST=1"
        tab43x37     ="tab43: HH_INC5=2, HH_WORKERS=2, HH_YNGEST=2"
        tab43x38     ="tab43: HH_INC5=2, HH_WORKERS=2, HH_YNGEST=3"
        tab43x39     ="tab43: HH_INC5=2, HH_WORKERS=2, HH_YNGEST=4"
        tab43x40     ="tab43: HH_INC5=2, HH_WORKERS=2, HH_YNGEST=5"
        tab43x41     ="tab43: HH_INC5=2, HH_WORKERS=3, HH_YNGEST=1"
        tab43x42     ="tab43: HH_INC5=2, HH_WORKERS=3, HH_YNGEST=2"
        tab43x43     ="tab43: HH_INC5=2, HH_WORKERS=3, HH_YNGEST=3"
        tab43x44     ="tab43: HH_INC5=2, HH_WORKERS=3, HH_YNGEST=4"
        tab43x45     ="tab43: HH_INC5=2, HH_WORKERS=3, HH_YNGEST=5"
        tab43x46     ="tab43: HH_INC5=2, HH_WORKERS=4, HH_YNGEST=1"
        tab43x47     ="tab43: HH_INC5=2, HH_WORKERS=4, HH_YNGEST=2"
        tab43x48     ="tab43: HH_INC5=2, HH_WORKERS=4, HH_YNGEST=3"
        tab43x49     ="tab43: HH_INC5=2, HH_WORKERS=4, HH_YNGEST=4"
        tab43x50     ="tab43: HH_INC5=2, HH_WORKERS=4, HH_YNGEST=5"
        tab43x51     ="tab43: HH_INC5=2, HH_WORKERS=5, HH_YNGEST=1"
        tab43x52     ="tab43: HH_INC5=2, HH_WORKERS=5, HH_YNGEST=2"
        tab43x53     ="tab43: HH_INC5=2, HH_WORKERS=5, HH_YNGEST=3"
        tab43x54     ="tab43: HH_INC5=2, HH_WORKERS=5, HH_YNGEST=4"
        tab43x55     ="tab43: HH_INC5=2, HH_WORKERS=5, HH_YNGEST=5"
        tab43x56     ="tab43: HH_INC5=2, HH_WORKERS=6, HH_YNGEST=1"
        tab43x57     ="tab43: HH_INC5=2, HH_WORKERS=6, HH_YNGEST=2"
        tab43x58     ="tab43: HH_INC5=2, HH_WORKERS=6, HH_YNGEST=3"
        tab43x59     ="tab43: HH_INC5=2, HH_WORKERS=6, HH_YNGEST=4"
        tab43x60     ="tab43: HH_INC5=2, HH_WORKERS=6, HH_YNGEST=5"
        tab43x61     ="tab43: HH_INC5=3, HH_WORKERS=1, HH_YNGEST=1"
        tab43x62     ="tab43: HH_INC5=3, HH_WORKERS=1, HH_YNGEST=2"
        tab43x63     ="tab43: HH_INC5=3, HH_WORKERS=1, HH_YNGEST=3"
        tab43x64     ="tab43: HH_INC5=3, HH_WORKERS=1, HH_YNGEST=4"
        tab43x65     ="tab43: HH_INC5=3, HH_WORKERS=1, HH_YNGEST=5"
        tab43x66     ="tab43: HH_INC5=3, HH_WORKERS=2, HH_YNGEST=1"
        tab43x67     ="tab43: HH_INC5=3, HH_WORKERS=2, HH_YNGEST=2"
        tab43x68     ="tab43: HH_INC5=3, HH_WORKERS=2, HH_YNGEST=3"
        tab43x69     ="tab43: HH_INC5=3, HH_WORKERS=2, HH_YNGEST=4"
        tab43x70     ="tab43: HH_INC5=3, HH_WORKERS=2, HH_YNGEST=5"
        tab43x71     ="tab43: HH_INC5=3, HH_WORKERS=3, HH_YNGEST=1"
        tab43x72     ="tab43: HH_INC5=3, HH_WORKERS=3, HH_YNGEST=2"
        tab43x73     ="tab43: HH_INC5=3, HH_WORKERS=3, HH_YNGEST=3"
        tab43x74     ="tab43: HH_INC5=3, HH_WORKERS=3, HH_YNGEST=4"
        tab43x75     ="tab43: HH_INC5=3, HH_WORKERS=3, HH_YNGEST=5"
        tab43x76     ="tab43: HH_INC5=3, HH_WORKERS=4, HH_YNGEST=1"
        tab43x77     ="tab43: HH_INC5=3, HH_WORKERS=4, HH_YNGEST=2"
        tab43x78     ="tab43: HH_INC5=3, HH_WORKERS=4, HH_YNGEST=3"
        tab43x79     ="tab43: HH_INC5=3, HH_WORKERS=4, HH_YNGEST=4"
        tab43x80     ="tab43: HH_INC5=3, HH_WORKERS=4, HH_YNGEST=5"
        tab43x81     ="tab43: HH_INC5=3, HH_WORKERS=5, HH_YNGEST=1"
        tab43x82     ="tab43: HH_INC5=3, HH_WORKERS=5, HH_YNGEST=2"
        tab43x83     ="tab43: HH_INC5=3, HH_WORKERS=5, HH_YNGEST=3"
        tab43x84     ="tab43: HH_INC5=3, HH_WORKERS=5, HH_YNGEST=4"
        tab43x85     ="tab43: HH_INC5=3, HH_WORKERS=5, HH_YNGEST=5"
        tab43x86     ="tab43: HH_INC5=3, HH_WORKERS=6, HH_YNGEST=1"
        tab43x87     ="tab43: HH_INC5=3, HH_WORKERS=6, HH_YNGEST=2"
        tab43x88     ="tab43: HH_INC5=3, HH_WORKERS=6, HH_YNGEST=3"
        tab43x89     ="tab43: HH_INC5=3, HH_WORKERS=6, HH_YNGEST=4"
        tab43x90     ="tab43: HH_INC5=3, HH_WORKERS=6, HH_YNGEST=5"
        tab43x91     ="tab43: HH_INC5=4, HH_WORKERS=1, HH_YNGEST=1"
        tab43x92     ="tab43: HH_INC5=4, HH_WORKERS=1, HH_YNGEST=2"
        tab43x93     ="tab43: HH_INC5=4, HH_WORKERS=1, HH_YNGEST=3"
        tab43x94     ="tab43: HH_INC5=4, HH_WORKERS=1, HH_YNGEST=4"
        tab43x95     ="tab43: HH_INC5=4, HH_WORKERS=1, HH_YNGEST=5"
        tab43x96     ="tab43: HH_INC5=4, HH_WORKERS=2, HH_YNGEST=1"
        tab43x97     ="tab43: HH_INC5=4, HH_WORKERS=2, HH_YNGEST=2"
        tab43x98     ="tab43: HH_INC5=4, HH_WORKERS=2, HH_YNGEST=3"
        tab43x99     ="tab43: HH_INC5=4, HH_WORKERS=2, HH_YNGEST=4"
        tab43x100    ="tab43: HH_INC5=4, HH_WORKERS=2, HH_YNGEST=5"
        tab43x101    ="tab43: HH_INC5=4, HH_WORKERS=3, HH_YNGEST=1"
        tab43x102    ="tab43: HH_INC5=4, HH_WORKERS=3, HH_YNGEST=2"
        tab43x103    ="tab43: HH_INC5=4, HH_WORKERS=3, HH_YNGEST=3"
        tab43x104    ="tab43: HH_INC5=4, HH_WORKERS=3, HH_YNGEST=4"
        tab43x105    ="tab43: HH_INC5=4, HH_WORKERS=3, HH_YNGEST=5"
        tab43x106    ="tab43: HH_INC5=4, HH_WORKERS=4, HH_YNGEST=1"
        tab43x107    ="tab43: HH_INC5=4, HH_WORKERS=4, HH_YNGEST=2"
        tab43x108    ="tab43: HH_INC5=4, HH_WORKERS=4, HH_YNGEST=3"
        tab43x109    ="tab43: HH_INC5=4, HH_WORKERS=4, HH_YNGEST=4"
        tab43x110    ="tab43: HH_INC5=4, HH_WORKERS=4, HH_YNGEST=5"
        tab43x111    ="tab43: HH_INC5=4, HH_WORKERS=5, HH_YNGEST=1"
        tab43x112    ="tab43: HH_INC5=4, HH_WORKERS=5, HH_YNGEST=2"
        tab43x113    ="tab43: HH_INC5=4, HH_WORKERS=5, HH_YNGEST=3"
        tab43x114    ="tab43: HH_INC5=4, HH_WORKERS=5, HH_YNGEST=4"
        tab43x115    ="tab43: HH_INC5=4, HH_WORKERS=5, HH_YNGEST=5"
        tab43x116    ="tab43: HH_INC5=4, HH_WORKERS=6, HH_YNGEST=1"
        tab43x117    ="tab43: HH_INC5=4, HH_WORKERS=6, HH_YNGEST=2"
        tab43x118    ="tab43: HH_INC5=4, HH_WORKERS=6, HH_YNGEST=3"
        tab43x119    ="tab43: HH_INC5=4, HH_WORKERS=6, HH_YNGEST=4"
        tab43x120    ="tab43: HH_INC5=4, HH_WORKERS=6, HH_YNGEST=5"
        tab43x121    ="tab43: HH_INC5=5, HH_WORKERS=1, HH_YNGEST=1"
        tab43x122    ="tab43: HH_INC5=5, HH_WORKERS=1, HH_YNGEST=2"
        tab43x123    ="tab43: HH_INC5=5, HH_WORKERS=1, HH_YNGEST=3"
        tab43x124    ="tab43: HH_INC5=5, HH_WORKERS=1, HH_YNGEST=4"
        tab43x125    ="tab43: HH_INC5=5, HH_WORKERS=1, HH_YNGEST=5"
        tab43x126    ="tab43: HH_INC5=5, HH_WORKERS=2, HH_YNGEST=1"
        tab43x127    ="tab43: HH_INC5=5, HH_WORKERS=2, HH_YNGEST=2"
        tab43x128    ="tab43: HH_INC5=5, HH_WORKERS=2, HH_YNGEST=3"
        tab43x129    ="tab43: HH_INC5=5, HH_WORKERS=2, HH_YNGEST=4"
        tab43x130    ="tab43: HH_INC5=5, HH_WORKERS=2, HH_YNGEST=5"
        tab43x131    ="tab43: HH_INC5=5, HH_WORKERS=3, HH_YNGEST=1"
        tab43x132    ="tab43: HH_INC5=5, HH_WORKERS=3, HH_YNGEST=2"
        tab43x133    ="tab43: HH_INC5=5, HH_WORKERS=3, HH_YNGEST=3"
        tab43x134    ="tab43: HH_INC5=5, HH_WORKERS=3, HH_YNGEST=4"
        tab43x135    ="tab43: HH_INC5=5, HH_WORKERS=3, HH_YNGEST=5"
        tab43x136    ="tab43: HH_INC5=5, HH_WORKERS=4, HH_YNGEST=1"
        tab43x137    ="tab43: HH_INC5=5, HH_WORKERS=4, HH_YNGEST=2"
        tab43x138    ="tab43: HH_INC5=5, HH_WORKERS=4, HH_YNGEST=3"
        tab43x139    ="tab43: HH_INC5=5, HH_WORKERS=4, HH_YNGEST=4"
        tab43x140    ="tab43: HH_INC5=5, HH_WORKERS=4, HH_YNGEST=5"
        tab43x141    ="tab43: HH_INC5=5, HH_WORKERS=5, HH_YNGEST=1"
        tab43x142    ="tab43: HH_INC5=5, HH_WORKERS=5, HH_YNGEST=2"
        tab43x143    ="tab43: HH_INC5=5, HH_WORKERS=5, HH_YNGEST=3"
        tab43x144    ="tab43: HH_INC5=5, HH_WORKERS=5, HH_YNGEST=4"
        tab43x145    ="tab43: HH_INC5=5, HH_WORKERS=5, HH_YNGEST=5"
        tab43x146    ="tab43: HH_INC5=5, HH_WORKERS=6, HH_YNGEST=1"
        tab43x147    ="tab43: HH_INC5=5, HH_WORKERS=6, HH_YNGEST=2"
        tab43x148    ="tab43: HH_INC5=5, HH_WORKERS=6, HH_YNGEST=3"
        tab43x149    ="tab43: HH_INC5=5, HH_WORKERS=6, HH_YNGEST=4"
        tab43x150    ="tab43: HH_INC5=5, HH_WORKERS=6, HH_YNGEST=5"
        tab44x1      ="tab44: HH_INC5=1, HISPANIC=1, RACE=1, MEANS8=1"
        tab44x2      ="tab44: HH_INC5=1, HISPANIC=1, RACE=1, MEANS8=2"
        tab44x3      ="tab44: HH_INC5=1, HISPANIC=1, RACE=1, MEANS8=3"
        tab44x4      ="tab44: HH_INC5=1, HISPANIC=1, RACE=1, MEANS8=4"
        tab44x5      ="tab44: HH_INC5=1, HISPANIC=1, RACE=1, MEANS8=5"
        tab44x6      ="tab44: HH_INC5=1, HISPANIC=1, RACE=1, MEANS8=6"
        tab44x7      ="tab44: HH_INC5=1, HISPANIC=1, RACE=1, MEANS8=7"
        tab44x8      ="tab44: HH_INC5=1, HISPANIC=1, RACE=1, MEANS8=8"
        tab44x9      ="tab44: HH_INC5=1, HISPANIC=1, RACE=2, MEANS8=1"
        tab44x10     ="tab44: HH_INC5=1, HISPANIC=1, RACE=2, MEANS8=2"
        tab44x11     ="tab44: HH_INC5=1, HISPANIC=1, RACE=2, MEANS8=3"
        tab44x12     ="tab44: HH_INC5=1, HISPANIC=1, RACE=2, MEANS8=4"
        tab44x13     ="tab44: HH_INC5=1, HISPANIC=1, RACE=2, MEANS8=5"
        tab44x14     ="tab44: HH_INC5=1, HISPANIC=1, RACE=2, MEANS8=6"
        tab44x15     ="tab44: HH_INC5=1, HISPANIC=1, RACE=2, MEANS8=7"
        tab44x16     ="tab44: HH_INC5=1, HISPANIC=1, RACE=2, MEANS8=8"
        tab44x17     ="tab44: HH_INC5=1, HISPANIC=1, RACE=3, MEANS8=1"
        tab44x18     ="tab44: HH_INC5=1, HISPANIC=1, RACE=3, MEANS8=2"
        tab44x19     ="tab44: HH_INC5=1, HISPANIC=1, RACE=3, MEANS8=3"
        tab44x20     ="tab44: HH_INC5=1, HISPANIC=1, RACE=3, MEANS8=4"
        tab44x21     ="tab44: HH_INC5=1, HISPANIC=1, RACE=3, MEANS8=5"
        tab44x22     ="tab44: HH_INC5=1, HISPANIC=1, RACE=3, MEANS8=6"
        tab44x23     ="tab44: HH_INC5=1, HISPANIC=1, RACE=3, MEANS8=7"
        tab44x24     ="tab44: HH_INC5=1, HISPANIC=1, RACE=3, MEANS8=8"
        tab44x25     ="tab44: HH_INC5=1, HISPANIC=1, RACE=4, MEANS8=1"
        tab44x26     ="tab44: HH_INC5=1, HISPANIC=1, RACE=4, MEANS8=2"
        tab44x27     ="tab44: HH_INC5=1, HISPANIC=1, RACE=4, MEANS8=3"
        tab44x28     ="tab44: HH_INC5=1, HISPANIC=1, RACE=4, MEANS8=4"
        tab44x29     ="tab44: HH_INC5=1, HISPANIC=1, RACE=4, MEANS8=5"
        tab44x30     ="tab44: HH_INC5=1, HISPANIC=1, RACE=4, MEANS8=6"
        tab44x31     ="tab44: HH_INC5=1, HISPANIC=1, RACE=4, MEANS8=7"
        tab44x32     ="tab44: HH_INC5=1, HISPANIC=1, RACE=4, MEANS8=8"
        tab44x33     ="tab44: HH_INC5=1, HISPANIC=1, RACE=5, MEANS8=1"
        tab44x34     ="tab44: HH_INC5=1, HISPANIC=1, RACE=5, MEANS8=2"
        tab44x35     ="tab44: HH_INC5=1, HISPANIC=1, RACE=5, MEANS8=3"
        tab44x36     ="tab44: HH_INC5=1, HISPANIC=1, RACE=5, MEANS8=4"
        tab44x37     ="tab44: HH_INC5=1, HISPANIC=1, RACE=5, MEANS8=5"
        tab44x38     ="tab44: HH_INC5=1, HISPANIC=1, RACE=5, MEANS8=6"
        tab44x39     ="tab44: HH_INC5=1, HISPANIC=1, RACE=5, MEANS8=7"
        tab44x40     ="tab44: HH_INC5=1, HISPANIC=1, RACE=5, MEANS8=8"
        tab44x41     ="tab44: HH_INC5=1, HISPANIC=2, RACE=1, MEANS8=1"
        tab44x42     ="tab44: HH_INC5=1, HISPANIC=2, RACE=1, MEANS8=2"
        tab44x43     ="tab44: HH_INC5=1, HISPANIC=2, RACE=1, MEANS8=3"
        tab44x44     ="tab44: HH_INC5=1, HISPANIC=2, RACE=1, MEANS8=4"
        tab44x45     ="tab44: HH_INC5=1, HISPANIC=2, RACE=1, MEANS8=5"
        tab44x46     ="tab44: HH_INC5=1, HISPANIC=2, RACE=1, MEANS8=6"
        tab44x47     ="tab44: HH_INC5=1, HISPANIC=2, RACE=1, MEANS8=7"
        tab44x48     ="tab44: HH_INC5=1, HISPANIC=2, RACE=1, MEANS8=8"
        tab44x49     ="tab44: HH_INC5=1, HISPANIC=2, RACE=2, MEANS8=1"
        tab44x50     ="tab44: HH_INC5=1, HISPANIC=2, RACE=2, MEANS8=2"
        tab44x51     ="tab44: HH_INC5=1, HISPANIC=2, RACE=2, MEANS8=3"
        tab44x52     ="tab44: HH_INC5=1, HISPANIC=2, RACE=2, MEANS8=4"
        tab44x53     ="tab44: HH_INC5=1, HISPANIC=2, RACE=2, MEANS8=5"
        tab44x54     ="tab44: HH_INC5=1, HISPANIC=2, RACE=2, MEANS8=6"
        tab44x55     ="tab44: HH_INC5=1, HISPANIC=2, RACE=2, MEANS8=7"
        tab44x56     ="tab44: HH_INC5=1, HISPANIC=2, RACE=2, MEANS8=8"
        tab44x57     ="tab44: HH_INC5=1, HISPANIC=2, RACE=3, MEANS8=1"
        tab44x58     ="tab44: HH_INC5=1, HISPANIC=2, RACE=3, MEANS8=2"
        tab44x59     ="tab44: HH_INC5=1, HISPANIC=2, RACE=3, MEANS8=3"
        tab44x60     ="tab44: HH_INC5=1, HISPANIC=2, RACE=3, MEANS8=4"
        tab44x61     ="tab44: HH_INC5=1, HISPANIC=2, RACE=3, MEANS8=5"
        tab44x62     ="tab44: HH_INC5=1, HISPANIC=2, RACE=3, MEANS8=6"
        tab44x63     ="tab44: HH_INC5=1, HISPANIC=2, RACE=3, MEANS8=7"
        tab44x64     ="tab44: HH_INC5=1, HISPANIC=2, RACE=3, MEANS8=8"
        tab44x65     ="tab44: HH_INC5=1, HISPANIC=2, RACE=4, MEANS8=1"
        tab44x66     ="tab44: HH_INC5=1, HISPANIC=2, RACE=4, MEANS8=2"
        tab44x67     ="tab44: HH_INC5=1, HISPANIC=2, RACE=4, MEANS8=3"
        tab44x68     ="tab44: HH_INC5=1, HISPANIC=2, RACE=4, MEANS8=4"
        tab44x69     ="tab44: HH_INC5=1, HISPANIC=2, RACE=4, MEANS8=5"
        tab44x70     ="tab44: HH_INC5=1, HISPANIC=2, RACE=4, MEANS8=6"
        tab44x71     ="tab44: HH_INC5=1, HISPANIC=2, RACE=4, MEANS8=7"
        tab44x72     ="tab44: HH_INC5=1, HISPANIC=2, RACE=4, MEANS8=8"
        tab44x73     ="tab44: HH_INC5=1, HISPANIC=2, RACE=5, MEANS8=1"
        tab44x74     ="tab44: HH_INC5=1, HISPANIC=2, RACE=5, MEANS8=2"
        tab44x75     ="tab44: HH_INC5=1, HISPANIC=2, RACE=5, MEANS8=3"
        tab44x76     ="tab44: HH_INC5=1, HISPANIC=2, RACE=5, MEANS8=4"
        tab44x77     ="tab44: HH_INC5=1, HISPANIC=2, RACE=5, MEANS8=5"
        tab44x78     ="tab44: HH_INC5=1, HISPANIC=2, RACE=5, MEANS8=6"
        tab44x79     ="tab44: HH_INC5=1, HISPANIC=2, RACE=5, MEANS8=7"
        tab44x80     ="tab44: HH_INC5=1, HISPANIC=2, RACE=5, MEANS8=8"
        tab44x81     ="tab44: HH_INC5=1, HISPANIC=3, RACE=1, MEANS8=1"
        tab44x82     ="tab44: HH_INC5=1, HISPANIC=3, RACE=1, MEANS8=2"
        tab44x83     ="tab44: HH_INC5=1, HISPANIC=3, RACE=1, MEANS8=3"
        tab44x84     ="tab44: HH_INC5=1, HISPANIC=3, RACE=1, MEANS8=4"
        tab44x85     ="tab44: HH_INC5=1, HISPANIC=3, RACE=1, MEANS8=5"
        tab44x86     ="tab44: HH_INC5=1, HISPANIC=3, RACE=1, MEANS8=6"
        tab44x87     ="tab44: HH_INC5=1, HISPANIC=3, RACE=1, MEANS8=7"
        tab44x88     ="tab44: HH_INC5=1, HISPANIC=3, RACE=1, MEANS8=8"
        tab44x89     ="tab44: HH_INC5=1, HISPANIC=3, RACE=2, MEANS8=1"
        tab44x90     ="tab44: HH_INC5=1, HISPANIC=3, RACE=2, MEANS8=2"
        tab44x91     ="tab44: HH_INC5=1, HISPANIC=3, RACE=2, MEANS8=3"
        tab44x92     ="tab44: HH_INC5=1, HISPANIC=3, RACE=2, MEANS8=4"
        tab44x93     ="tab44: HH_INC5=1, HISPANIC=3, RACE=2, MEANS8=5"
        tab44x94     ="tab44: HH_INC5=1, HISPANIC=3, RACE=2, MEANS8=6"
        tab44x95     ="tab44: HH_INC5=1, HISPANIC=3, RACE=2, MEANS8=7"
        tab44x96     ="tab44: HH_INC5=1, HISPANIC=3, RACE=2, MEANS8=8"
        tab44x97     ="tab44: HH_INC5=1, HISPANIC=3, RACE=3, MEANS8=1"
        tab44x98     ="tab44: HH_INC5=1, HISPANIC=3, RACE=3, MEANS8=2"
        tab44x99     ="tab44: HH_INC5=1, HISPANIC=3, RACE=3, MEANS8=3"
        tab44x100    ="tab44: HH_INC5=1, HISPANIC=3, RACE=3, MEANS8=4"
        tab44x101    ="tab44: HH_INC5=1, HISPANIC=3, RACE=3, MEANS8=5"
        tab44x102    ="tab44: HH_INC5=1, HISPANIC=3, RACE=3, MEANS8=6"
        tab44x103    ="tab44: HH_INC5=1, HISPANIC=3, RACE=3, MEANS8=7"
        tab44x104    ="tab44: HH_INC5=1, HISPANIC=3, RACE=3, MEANS8=8"
        tab44x105    ="tab44: HH_INC5=1, HISPANIC=3, RACE=4, MEANS8=1"
        tab44x106    ="tab44: HH_INC5=1, HISPANIC=3, RACE=4, MEANS8=2"
        tab44x107    ="tab44: HH_INC5=1, HISPANIC=3, RACE=4, MEANS8=3"
        tab44x108    ="tab44: HH_INC5=1, HISPANIC=3, RACE=4, MEANS8=4"
        tab44x109    ="tab44: HH_INC5=1, HISPANIC=3, RACE=4, MEANS8=5"
        tab44x110    ="tab44: HH_INC5=1, HISPANIC=3, RACE=4, MEANS8=6"
        tab44x111    ="tab44: HH_INC5=1, HISPANIC=3, RACE=4, MEANS8=7"
        tab44x112    ="tab44: HH_INC5=1, HISPANIC=3, RACE=4, MEANS8=8"
        tab44x113    ="tab44: HH_INC5=1, HISPANIC=3, RACE=5, MEANS8=1"
        tab44x114    ="tab44: HH_INC5=1, HISPANIC=3, RACE=5, MEANS8=2"
        tab44x115    ="tab44: HH_INC5=1, HISPANIC=3, RACE=5, MEANS8=3"
        tab44x116    ="tab44: HH_INC5=1, HISPANIC=3, RACE=5, MEANS8=4"
        tab44x117    ="tab44: HH_INC5=1, HISPANIC=3, RACE=5, MEANS8=5"
        tab44x118    ="tab44: HH_INC5=1, HISPANIC=3, RACE=5, MEANS8=6"
        tab44x119    ="tab44: HH_INC5=1, HISPANIC=3, RACE=5, MEANS8=7"
        tab44x120    ="tab44: HH_INC5=1, HISPANIC=3, RACE=5, MEANS8=8"
        tab44x121    ="tab44: HH_INC5=2, HISPANIC=1, RACE=1, MEANS8=1"
        tab44x122    ="tab44: HH_INC5=2, HISPANIC=1, RACE=1, MEANS8=2"
        tab44x123    ="tab44: HH_INC5=2, HISPANIC=1, RACE=1, MEANS8=3"
        tab44x124    ="tab44: HH_INC5=2, HISPANIC=1, RACE=1, MEANS8=4"
        tab44x125    ="tab44: HH_INC5=2, HISPANIC=1, RACE=1, MEANS8=5"
        tab44x126    ="tab44: HH_INC5=2, HISPANIC=1, RACE=1, MEANS8=6"
        tab44x127    ="tab44: HH_INC5=2, HISPANIC=1, RACE=1, MEANS8=7"
        tab44x128    ="tab44: HH_INC5=2, HISPANIC=1, RACE=1, MEANS8=8"
        tab44x129    ="tab44: HH_INC5=2, HISPANIC=1, RACE=2, MEANS8=1"
        tab44x130    ="tab44: HH_INC5=2, HISPANIC=1, RACE=2, MEANS8=2"
        tab44x131    ="tab44: HH_INC5=2, HISPANIC=1, RACE=2, MEANS8=3"
        tab44x132    ="tab44: HH_INC5=2, HISPANIC=1, RACE=2, MEANS8=4"
        tab44x133    ="tab44: HH_INC5=2, HISPANIC=1, RACE=2, MEANS8=5"
        tab44x134    ="tab44: HH_INC5=2, HISPANIC=1, RACE=2, MEANS8=6"
        tab44x135    ="tab44: HH_INC5=2, HISPANIC=1, RACE=2, MEANS8=7"
        tab44x136    ="tab44: HH_INC5=2, HISPANIC=1, RACE=2, MEANS8=8"
        tab44x137    ="tab44: HH_INC5=2, HISPANIC=1, RACE=3, MEANS8=1"
        tab44x138    ="tab44: HH_INC5=2, HISPANIC=1, RACE=3, MEANS8=2"
        tab44x139    ="tab44: HH_INC5=2, HISPANIC=1, RACE=3, MEANS8=3"
        tab44x140    ="tab44: HH_INC5=2, HISPANIC=1, RACE=3, MEANS8=4"
        tab44x141    ="tab44: HH_INC5=2, HISPANIC=1, RACE=3, MEANS8=5"
        tab44x142    ="tab44: HH_INC5=2, HISPANIC=1, RACE=3, MEANS8=6"
        tab44x143    ="tab44: HH_INC5=2, HISPANIC=1, RACE=3, MEANS8=7"
        tab44x144    ="tab44: HH_INC5=2, HISPANIC=1, RACE=3, MEANS8=8"
        tab44x145    ="tab44: HH_INC5=2, HISPANIC=1, RACE=4, MEANS8=1"
        tab44x146    ="tab44: HH_INC5=2, HISPANIC=1, RACE=4, MEANS8=2"
        tab44x147    ="tab44: HH_INC5=2, HISPANIC=1, RACE=4, MEANS8=3"
        tab44x148    ="tab44: HH_INC5=2, HISPANIC=1, RACE=4, MEANS8=4"
        tab44x149    ="tab44: HH_INC5=2, HISPANIC=1, RACE=4, MEANS8=5"
        tab44x150    ="tab44: HH_INC5=2, HISPANIC=1, RACE=4, MEANS8=6"
        tab44x151    ="tab44: HH_INC5=2, HISPANIC=1, RACE=4, MEANS8=7"
        tab44x152    ="tab44: HH_INC5=2, HISPANIC=1, RACE=4, MEANS8=8"
        tab44x153    ="tab44: HH_INC5=2, HISPANIC=1, RACE=5, MEANS8=1"
        tab44x154    ="tab44: HH_INC5=2, HISPANIC=1, RACE=5, MEANS8=2"
        tab44x155    ="tab44: HH_INC5=2, HISPANIC=1, RACE=5, MEANS8=3"
        tab44x156    ="tab44: HH_INC5=2, HISPANIC=1, RACE=5, MEANS8=4"
        tab44x157    ="tab44: HH_INC5=2, HISPANIC=1, RACE=5, MEANS8=5"
        tab44x158    ="tab44: HH_INC5=2, HISPANIC=1, RACE=5, MEANS8=6"
        tab44x159    ="tab44: HH_INC5=2, HISPANIC=1, RACE=5, MEANS8=7"
        tab44x160    ="tab44: HH_INC5=2, HISPANIC=1, RACE=5, MEANS8=8"
        tab44x161    ="tab44: HH_INC5=2, HISPANIC=2, RACE=1, MEANS8=1"
        tab44x162    ="tab44: HH_INC5=2, HISPANIC=2, RACE=1, MEANS8=2"
        tab44x163    ="tab44: HH_INC5=2, HISPANIC=2, RACE=1, MEANS8=3"
        tab44x164    ="tab44: HH_INC5=2, HISPANIC=2, RACE=1, MEANS8=4"
        tab44x165    ="tab44: HH_INC5=2, HISPANIC=2, RACE=1, MEANS8=5"
        tab44x166    ="tab44: HH_INC5=2, HISPANIC=2, RACE=1, MEANS8=6"
        tab44x167    ="tab44: HH_INC5=2, HISPANIC=2, RACE=1, MEANS8=7"
        tab44x168    ="tab44: HH_INC5=2, HISPANIC=2, RACE=1, MEANS8=8"
        tab44x169    ="tab44: HH_INC5=2, HISPANIC=2, RACE=2, MEANS8=1"
        tab44x170    ="tab44: HH_INC5=2, HISPANIC=2, RACE=2, MEANS8=2"
        tab44x171    ="tab44: HH_INC5=2, HISPANIC=2, RACE=2, MEANS8=3"
        tab44x172    ="tab44: HH_INC5=2, HISPANIC=2, RACE=2, MEANS8=4"
        tab44x173    ="tab44: HH_INC5=2, HISPANIC=2, RACE=2, MEANS8=5"
        tab44x174    ="tab44: HH_INC5=2, HISPANIC=2, RACE=2, MEANS8=6"
        tab44x175    ="tab44: HH_INC5=2, HISPANIC=2, RACE=2, MEANS8=7"
        tab44x176    ="tab44: HH_INC5=2, HISPANIC=2, RACE=2, MEANS8=8"
        tab44x177    ="tab44: HH_INC5=2, HISPANIC=2, RACE=3, MEANS8=1"
        tab44x178    ="tab44: HH_INC5=2, HISPANIC=2, RACE=3, MEANS8=2"
        tab44x179    ="tab44: HH_INC5=2, HISPANIC=2, RACE=3, MEANS8=3"
        tab44x180    ="tab44: HH_INC5=2, HISPANIC=2, RACE=3, MEANS8=4"
        tab44x181    ="tab44: HH_INC5=2, HISPANIC=2, RACE=3, MEANS8=5"
        tab44x182    ="tab44: HH_INC5=2, HISPANIC=2, RACE=3, MEANS8=6"
        tab44x183    ="tab44: HH_INC5=2, HISPANIC=2, RACE=3, MEANS8=7"
        tab44x184    ="tab44: HH_INC5=2, HISPANIC=2, RACE=3, MEANS8=8"
        tab44x185    ="tab44: HH_INC5=2, HISPANIC=2, RACE=4, MEANS8=1"
        tab44x186    ="tab44: HH_INC5=2, HISPANIC=2, RACE=4, MEANS8=2"
        tab44x187    ="tab44: HH_INC5=2, HISPANIC=2, RACE=4, MEANS8=3"
        tab44x188    ="tab44: HH_INC5=2, HISPANIC=2, RACE=4, MEANS8=4"
        tab44x189    ="tab44: HH_INC5=2, HISPANIC=2, RACE=4, MEANS8=5"
        tab44x190    ="tab44: HH_INC5=2, HISPANIC=2, RACE=4, MEANS8=6"
        tab44x191    ="tab44: HH_INC5=2, HISPANIC=2, RACE=4, MEANS8=7"
        tab44x192    ="tab44: HH_INC5=2, HISPANIC=2, RACE=4, MEANS8=8"
        tab44x193    ="tab44: HH_INC5=2, HISPANIC=2, RACE=5, MEANS8=1"
        tab44x194    ="tab44: HH_INC5=2, HISPANIC=2, RACE=5, MEANS8=2"
        tab44x195    ="tab44: HH_INC5=2, HISPANIC=2, RACE=5, MEANS8=3"
        tab44x196    ="tab44: HH_INC5=2, HISPANIC=2, RACE=5, MEANS8=4"
        tab44x197    ="tab44: HH_INC5=2, HISPANIC=2, RACE=5, MEANS8=5"
        tab44x198    ="tab44: HH_INC5=2, HISPANIC=2, RACE=5, MEANS8=6"
        tab44x199    ="tab44: HH_INC5=2, HISPANIC=2, RACE=5, MEANS8=7"
        tab44x200    ="tab44: HH_INC5=2, HISPANIC=2, RACE=5, MEANS8=8"
        tab44x201    ="tab44: HH_INC5=2, HISPANIC=3, RACE=1, MEANS8=1"
        tab44x202    ="tab44: HH_INC5=2, HISPANIC=3, RACE=1, MEANS8=2"
        tab44x203    ="tab44: HH_INC5=2, HISPANIC=3, RACE=1, MEANS8=3"
        tab44x204    ="tab44: HH_INC5=2, HISPANIC=3, RACE=1, MEANS8=4"
        tab44x205    ="tab44: HH_INC5=2, HISPANIC=3, RACE=1, MEANS8=5"
        tab44x206    ="tab44: HH_INC5=2, HISPANIC=3, RACE=1, MEANS8=6"
        tab44x207    ="tab44: HH_INC5=2, HISPANIC=3, RACE=1, MEANS8=7"
        tab44x208    ="tab44: HH_INC5=2, HISPANIC=3, RACE=1, MEANS8=8"
        tab44x209    ="tab44: HH_INC5=2, HISPANIC=3, RACE=2, MEANS8=1"
        tab44x210    ="tab44: HH_INC5=2, HISPANIC=3, RACE=2, MEANS8=2"
        tab44x211    ="tab44: HH_INC5=2, HISPANIC=3, RACE=2, MEANS8=3"
        tab44x212    ="tab44: HH_INC5=2, HISPANIC=3, RACE=2, MEANS8=4"
        tab44x213    ="tab44: HH_INC5=2, HISPANIC=3, RACE=2, MEANS8=5"
        tab44x214    ="tab44: HH_INC5=2, HISPANIC=3, RACE=2, MEANS8=6"
        tab44x215    ="tab44: HH_INC5=2, HISPANIC=3, RACE=2, MEANS8=7"
        tab44x216    ="tab44: HH_INC5=2, HISPANIC=3, RACE=2, MEANS8=8"
        tab44x217    ="tab44: HH_INC5=2, HISPANIC=3, RACE=3, MEANS8=1"
        tab44x218    ="tab44: HH_INC5=2, HISPANIC=3, RACE=3, MEANS8=2"
        tab44x219    ="tab44: HH_INC5=2, HISPANIC=3, RACE=3, MEANS8=3"
        tab44x220    ="tab44: HH_INC5=2, HISPANIC=3, RACE=3, MEANS8=4"
        tab44x221    ="tab44: HH_INC5=2, HISPANIC=3, RACE=3, MEANS8=5"
        tab44x222    ="tab44: HH_INC5=2, HISPANIC=3, RACE=3, MEANS8=6"
        tab44x223    ="tab44: HH_INC5=2, HISPANIC=3, RACE=3, MEANS8=7"
        tab44x224    ="tab44: HH_INC5=2, HISPANIC=3, RACE=3, MEANS8=8"
        tab44x225    ="tab44: HH_INC5=2, HISPANIC=3, RACE=4, MEANS8=1"
        tab44x226    ="tab44: HH_INC5=2, HISPANIC=3, RACE=4, MEANS8=2"
        tab44x227    ="tab44: HH_INC5=2, HISPANIC=3, RACE=4, MEANS8=3"
        tab44x228    ="tab44: HH_INC5=2, HISPANIC=3, RACE=4, MEANS8=4"
        tab44x229    ="tab44: HH_INC5=2, HISPANIC=3, RACE=4, MEANS8=5"
        tab44x230    ="tab44: HH_INC5=2, HISPANIC=3, RACE=4, MEANS8=6"
        tab44x231    ="tab44: HH_INC5=2, HISPANIC=3, RACE=4, MEANS8=7"
        tab44x232    ="tab44: HH_INC5=2, HISPANIC=3, RACE=4, MEANS8=8"
        tab44x233    ="tab44: HH_INC5=2, HISPANIC=3, RACE=5, MEANS8=1"
        tab44x234    ="tab44: HH_INC5=2, HISPANIC=3, RACE=5, MEANS8=2"
        tab44x235    ="tab44: HH_INC5=2, HISPANIC=3, RACE=5, MEANS8=3"
        tab44x236    ="tab44: HH_INC5=2, HISPANIC=3, RACE=5, MEANS8=4"
        tab44x237    ="tab44: HH_INC5=2, HISPANIC=3, RACE=5, MEANS8=5"
        tab44x238    ="tab44: HH_INC5=2, HISPANIC=3, RACE=5, MEANS8=6"
        tab44x239    ="tab44: HH_INC5=2, HISPANIC=3, RACE=5, MEANS8=7"
        tab44x240    ="tab44: HH_INC5=2, HISPANIC=3, RACE=5, MEANS8=8"
        tab44x241    ="tab44: HH_INC5=3, HISPANIC=1, RACE=1, MEANS8=1"
        tab44x242    ="tab44: HH_INC5=3, HISPANIC=1, RACE=1, MEANS8=2"
        tab44x243    ="tab44: HH_INC5=3, HISPANIC=1, RACE=1, MEANS8=3"
        tab44x244    ="tab44: HH_INC5=3, HISPANIC=1, RACE=1, MEANS8=4"
        tab44x245    ="tab44: HH_INC5=3, HISPANIC=1, RACE=1, MEANS8=5"
        tab44x246    ="tab44: HH_INC5=3, HISPANIC=1, RACE=1, MEANS8=6"
        tab44x247    ="tab44: HH_INC5=3, HISPANIC=1, RACE=1, MEANS8=7"
        tab44x248    ="tab44: HH_INC5=3, HISPANIC=1, RACE=1, MEANS8=8"
        tab44x249    ="tab44: HH_INC5=3, HISPANIC=1, RACE=2, MEANS8=1"
        tab44x250    ="tab44: HH_INC5=3, HISPANIC=1, RACE=2, MEANS8=2"
        tab44x251    ="tab44: HH_INC5=3, HISPANIC=1, RACE=2, MEANS8=3"
        tab44x252    ="tab44: HH_INC5=3, HISPANIC=1, RACE=2, MEANS8=4"
        tab44x253    ="tab44: HH_INC5=3, HISPANIC=1, RACE=2, MEANS8=5"
        tab44x254    ="tab44: HH_INC5=3, HISPANIC=1, RACE=2, MEANS8=6"
        tab44x255    ="tab44: HH_INC5=3, HISPANIC=1, RACE=2, MEANS8=7"
        tab44x256    ="tab44: HH_INC5=3, HISPANIC=1, RACE=2, MEANS8=8"
        tab44x257    ="tab44: HH_INC5=3, HISPANIC=1, RACE=3, MEANS8=1"
        tab44x258    ="tab44: HH_INC5=3, HISPANIC=1, RACE=3, MEANS8=2"
        tab44x259    ="tab44: HH_INC5=3, HISPANIC=1, RACE=3, MEANS8=3"
        tab44x260    ="tab44: HH_INC5=3, HISPANIC=1, RACE=3, MEANS8=4"
        tab44x261    ="tab44: HH_INC5=3, HISPANIC=1, RACE=3, MEANS8=5"
        tab44x262    ="tab44: HH_INC5=3, HISPANIC=1, RACE=3, MEANS8=6"
        tab44x263    ="tab44: HH_INC5=3, HISPANIC=1, RACE=3, MEANS8=7"
        tab44x264    ="tab44: HH_INC5=3, HISPANIC=1, RACE=3, MEANS8=8"
        tab44x265    ="tab44: HH_INC5=3, HISPANIC=1, RACE=4, MEANS8=1"
        tab44x266    ="tab44: HH_INC5=3, HISPANIC=1, RACE=4, MEANS8=2"
        tab44x267    ="tab44: HH_INC5=3, HISPANIC=1, RACE=4, MEANS8=3"
        tab44x268    ="tab44: HH_INC5=3, HISPANIC=1, RACE=4, MEANS8=4"
        tab44x269    ="tab44: HH_INC5=3, HISPANIC=1, RACE=4, MEANS8=5"
        tab44x270    ="tab44: HH_INC5=3, HISPANIC=1, RACE=4, MEANS8=6"
        tab44x271    ="tab44: HH_INC5=3, HISPANIC=1, RACE=4, MEANS8=7"
        tab44x272    ="tab44: HH_INC5=3, HISPANIC=1, RACE=4, MEANS8=8"
        tab44x273    ="tab44: HH_INC5=3, HISPANIC=1, RACE=5, MEANS8=1"
        tab44x274    ="tab44: HH_INC5=3, HISPANIC=1, RACE=5, MEANS8=2"
        tab44x275    ="tab44: HH_INC5=3, HISPANIC=1, RACE=5, MEANS8=3"
        tab44x276    ="tab44: HH_INC5=3, HISPANIC=1, RACE=5, MEANS8=4"
        tab44x277    ="tab44: HH_INC5=3, HISPANIC=1, RACE=5, MEANS8=5"
        tab44x278    ="tab44: HH_INC5=3, HISPANIC=1, RACE=5, MEANS8=6"
        tab44x279    ="tab44: HH_INC5=3, HISPANIC=1, RACE=5, MEANS8=7"
        tab44x280    ="tab44: HH_INC5=3, HISPANIC=1, RACE=5, MEANS8=8"
        tab44x281    ="tab44: HH_INC5=3, HISPANIC=2, RACE=1, MEANS8=1"
        tab44x282    ="tab44: HH_INC5=3, HISPANIC=2, RACE=1, MEANS8=2"
        tab44x283    ="tab44: HH_INC5=3, HISPANIC=2, RACE=1, MEANS8=3"
        tab44x284    ="tab44: HH_INC5=3, HISPANIC=2, RACE=1, MEANS8=4"
        tab44x285    ="tab44: HH_INC5=3, HISPANIC=2, RACE=1, MEANS8=5"
        tab44x286    ="tab44: HH_INC5=3, HISPANIC=2, RACE=1, MEANS8=6"
        tab44x287    ="tab44: HH_INC5=3, HISPANIC=2, RACE=1, MEANS8=7"
        tab44x288    ="tab44: HH_INC5=3, HISPANIC=2, RACE=1, MEANS8=8"
        tab44x289    ="tab44: HH_INC5=3, HISPANIC=2, RACE=2, MEANS8=1"
        tab44x290    ="tab44: HH_INC5=3, HISPANIC=2, RACE=2, MEANS8=2"
        tab44x291    ="tab44: HH_INC5=3, HISPANIC=2, RACE=2, MEANS8=3"
        tab44x292    ="tab44: HH_INC5=3, HISPANIC=2, RACE=2, MEANS8=4"
        tab44x293    ="tab44: HH_INC5=3, HISPANIC=2, RACE=2, MEANS8=5"
        tab44x294    ="tab44: HH_INC5=3, HISPANIC=2, RACE=2, MEANS8=6"
        tab44x295    ="tab44: HH_INC5=3, HISPANIC=2, RACE=2, MEANS8=7"
        tab44x296    ="tab44: HH_INC5=3, HISPANIC=2, RACE=2, MEANS8=8"
        tab44x297    ="tab44: HH_INC5=3, HISPANIC=2, RACE=3, MEANS8=1"
        tab44x298    ="tab44: HH_INC5=3, HISPANIC=2, RACE=3, MEANS8=2"
        tab44x299    ="tab44: HH_INC5=3, HISPANIC=2, RACE=3, MEANS8=3"
        tab44x300    ="tab44: HH_INC5=3, HISPANIC=2, RACE=3, MEANS8=4"
        tab44x301    ="tab44: HH_INC5=3, HISPANIC=2, RACE=3, MEANS8=5"
        tab44x302    ="tab44: HH_INC5=3, HISPANIC=2, RACE=3, MEANS8=6"
        tab44x303    ="tab44: HH_INC5=3, HISPANIC=2, RACE=3, MEANS8=7"
        tab44x304    ="tab44: HH_INC5=3, HISPANIC=2, RACE=3, MEANS8=8"
        tab44x305    ="tab44: HH_INC5=3, HISPANIC=2, RACE=4, MEANS8=1"
        tab44x306    ="tab44: HH_INC5=3, HISPANIC=2, RACE=4, MEANS8=2"
        tab44x307    ="tab44: HH_INC5=3, HISPANIC=2, RACE=4, MEANS8=3"
        tab44x308    ="tab44: HH_INC5=3, HISPANIC=2, RACE=4, MEANS8=4"
        tab44x309    ="tab44: HH_INC5=3, HISPANIC=2, RACE=4, MEANS8=5"
        tab44x310    ="tab44: HH_INC5=3, HISPANIC=2, RACE=4, MEANS8=6"
        tab44x311    ="tab44: HH_INC5=3, HISPANIC=2, RACE=4, MEANS8=7"
        tab44x312    ="tab44: HH_INC5=3, HISPANIC=2, RACE=4, MEANS8=8"
        tab44x313    ="tab44: HH_INC5=3, HISPANIC=2, RACE=5, MEANS8=1"
        tab44x314    ="tab44: HH_INC5=3, HISPANIC=2, RACE=5, MEANS8=2"
        tab44x315    ="tab44: HH_INC5=3, HISPANIC=2, RACE=5, MEANS8=3"
        tab44x316    ="tab44: HH_INC5=3, HISPANIC=2, RACE=5, MEANS8=4"
        tab44x317    ="tab44: HH_INC5=3, HISPANIC=2, RACE=5, MEANS8=5"
        tab44x318    ="tab44: HH_INC5=3, HISPANIC=2, RACE=5, MEANS8=6"
        tab44x319    ="tab44: HH_INC5=3, HISPANIC=2, RACE=5, MEANS8=7"
        tab44x320    ="tab44: HH_INC5=3, HISPANIC=2, RACE=5, MEANS8=8"
        tab44x321    ="tab44: HH_INC5=3, HISPANIC=3, RACE=1, MEANS8=1"
        tab44x322    ="tab44: HH_INC5=3, HISPANIC=3, RACE=1, MEANS8=2"
        tab44x323    ="tab44: HH_INC5=3, HISPANIC=3, RACE=1, MEANS8=3"
        tab44x324    ="tab44: HH_INC5=3, HISPANIC=3, RACE=1, MEANS8=4"
        tab44x325    ="tab44: HH_INC5=3, HISPANIC=3, RACE=1, MEANS8=5"
        tab44x326    ="tab44: HH_INC5=3, HISPANIC=3, RACE=1, MEANS8=6"
        tab44x327    ="tab44: HH_INC5=3, HISPANIC=3, RACE=1, MEANS8=7"
        tab44x328    ="tab44: HH_INC5=3, HISPANIC=3, RACE=1, MEANS8=8"
        tab44x329    ="tab44: HH_INC5=3, HISPANIC=3, RACE=2, MEANS8=1"
        tab44x330    ="tab44: HH_INC5=3, HISPANIC=3, RACE=2, MEANS8=2"
        tab44x331    ="tab44: HH_INC5=3, HISPANIC=3, RACE=2, MEANS8=3"
        tab44x332    ="tab44: HH_INC5=3, HISPANIC=3, RACE=2, MEANS8=4"
        tab44x333    ="tab44: HH_INC5=3, HISPANIC=3, RACE=2, MEANS8=5"
        tab44x334    ="tab44: HH_INC5=3, HISPANIC=3, RACE=2, MEANS8=6"
        tab44x335    ="tab44: HH_INC5=3, HISPANIC=3, RACE=2, MEANS8=7"
        tab44x336    ="tab44: HH_INC5=3, HISPANIC=3, RACE=2, MEANS8=8"
        tab44x337    ="tab44: HH_INC5=3, HISPANIC=3, RACE=3, MEANS8=1"
        tab44x338    ="tab44: HH_INC5=3, HISPANIC=3, RACE=3, MEANS8=2"
        tab44x339    ="tab44: HH_INC5=3, HISPANIC=3, RACE=3, MEANS8=3"
        tab44x340    ="tab44: HH_INC5=3, HISPANIC=3, RACE=3, MEANS8=4"
        tab44x341    ="tab44: HH_INC5=3, HISPANIC=3, RACE=3, MEANS8=5"
        tab44x342    ="tab44: HH_INC5=3, HISPANIC=3, RACE=3, MEANS8=6"
        tab44x343    ="tab44: HH_INC5=3, HISPANIC=3, RACE=3, MEANS8=7"
        tab44x344    ="tab44: HH_INC5=3, HISPANIC=3, RACE=3, MEANS8=8"
        tab44x345    ="tab44: HH_INC5=3, HISPANIC=3, RACE=4, MEANS8=1"
        tab44x346    ="tab44: HH_INC5=3, HISPANIC=3, RACE=4, MEANS8=2"
        tab44x347    ="tab44: HH_INC5=3, HISPANIC=3, RACE=4, MEANS8=3"
        tab44x348    ="tab44: HH_INC5=3, HISPANIC=3, RACE=4, MEANS8=4"
        tab44x349    ="tab44: HH_INC5=3, HISPANIC=3, RACE=4, MEANS8=5"
        tab44x350    ="tab44: HH_INC5=3, HISPANIC=3, RACE=4, MEANS8=6"
        tab44x351    ="tab44: HH_INC5=3, HISPANIC=3, RACE=4, MEANS8=7"
        tab44x352    ="tab44: HH_INC5=3, HISPANIC=3, RACE=4, MEANS8=8"
        tab44x353    ="tab44: HH_INC5=3, HISPANIC=3, RACE=5, MEANS8=1"
        tab44x354    ="tab44: HH_INC5=3, HISPANIC=3, RACE=5, MEANS8=2"
        tab44x355    ="tab44: HH_INC5=3, HISPANIC=3, RACE=5, MEANS8=3"
        tab44x356    ="tab44: HH_INC5=3, HISPANIC=3, RACE=5, MEANS8=4"
        tab44x357    ="tab44: HH_INC5=3, HISPANIC=3, RACE=5, MEANS8=5"
        tab44x358    ="tab44: HH_INC5=3, HISPANIC=3, RACE=5, MEANS8=6"
        tab44x359    ="tab44: HH_INC5=3, HISPANIC=3, RACE=5, MEANS8=7"
        tab44x360    ="tab44: HH_INC5=3, HISPANIC=3, RACE=5, MEANS8=8"
        tab44x361    ="tab44: HH_INC5=4, HISPANIC=1, RACE=1, MEANS8=1"
        tab44x362    ="tab44: HH_INC5=4, HISPANIC=1, RACE=1, MEANS8=2"
        tab44x363    ="tab44: HH_INC5=4, HISPANIC=1, RACE=1, MEANS8=3"
        tab44x364    ="tab44: HH_INC5=4, HISPANIC=1, RACE=1, MEANS8=4"
        tab44x365    ="tab44: HH_INC5=4, HISPANIC=1, RACE=1, MEANS8=5"
        tab44x366    ="tab44: HH_INC5=4, HISPANIC=1, RACE=1, MEANS8=6"
        tab44x367    ="tab44: HH_INC5=4, HISPANIC=1, RACE=1, MEANS8=7"
        tab44x368    ="tab44: HH_INC5=4, HISPANIC=1, RACE=1, MEANS8=8"
        tab44x369    ="tab44: HH_INC5=4, HISPANIC=1, RACE=2, MEANS8=1"
        tab44x370    ="tab44: HH_INC5=4, HISPANIC=1, RACE=2, MEANS8=2"
        tab44x371    ="tab44: HH_INC5=4, HISPANIC=1, RACE=2, MEANS8=3"
        tab44x372    ="tab44: HH_INC5=4, HISPANIC=1, RACE=2, MEANS8=4"
        tab44x373    ="tab44: HH_INC5=4, HISPANIC=1, RACE=2, MEANS8=5"
        tab44x374    ="tab44: HH_INC5=4, HISPANIC=1, RACE=2, MEANS8=6"
        tab44x375    ="tab44: HH_INC5=4, HISPANIC=1, RACE=2, MEANS8=7"
        tab44x376    ="tab44: HH_INC5=4, HISPANIC=1, RACE=2, MEANS8=8"
        tab44x377    ="tab44: HH_INC5=4, HISPANIC=1, RACE=3, MEANS8=1"
        tab44x378    ="tab44: HH_INC5=4, HISPANIC=1, RACE=3, MEANS8=2"
        tab44x379    ="tab44: HH_INC5=4, HISPANIC=1, RACE=3, MEANS8=3"
        tab44x380    ="tab44: HH_INC5=4, HISPANIC=1, RACE=3, MEANS8=4"
        tab44x381    ="tab44: HH_INC5=4, HISPANIC=1, RACE=3, MEANS8=5"
        tab44x382    ="tab44: HH_INC5=4, HISPANIC=1, RACE=3, MEANS8=6"
        tab44x383    ="tab44: HH_INC5=4, HISPANIC=1, RACE=3, MEANS8=7"
        tab44x384    ="tab44: HH_INC5=4, HISPANIC=1, RACE=3, MEANS8=8"
        tab44x385    ="tab44: HH_INC5=4, HISPANIC=1, RACE=4, MEANS8=1"
        tab44x386    ="tab44: HH_INC5=4, HISPANIC=1, RACE=4, MEANS8=2"
        tab44x387    ="tab44: HH_INC5=4, HISPANIC=1, RACE=4, MEANS8=3"
        tab44x388    ="tab44: HH_INC5=4, HISPANIC=1, RACE=4, MEANS8=4"
        tab44x389    ="tab44: HH_INC5=4, HISPANIC=1, RACE=4, MEANS8=5"
        tab44x390    ="tab44: HH_INC5=4, HISPANIC=1, RACE=4, MEANS8=6"
        tab44x391    ="tab44: HH_INC5=4, HISPANIC=1, RACE=4, MEANS8=7"
        tab44x392    ="tab44: HH_INC5=4, HISPANIC=1, RACE=4, MEANS8=8"
        tab44x393    ="tab44: HH_INC5=4, HISPANIC=1, RACE=5, MEANS8=1"
        tab44x394    ="tab44: HH_INC5=4, HISPANIC=1, RACE=5, MEANS8=2"
        tab44x395    ="tab44: HH_INC5=4, HISPANIC=1, RACE=5, MEANS8=3"
        tab44x396    ="tab44: HH_INC5=4, HISPANIC=1, RACE=5, MEANS8=4"
        tab44x397    ="tab44: HH_INC5=4, HISPANIC=1, RACE=5, MEANS8=5"
        tab44x398    ="tab44: HH_INC5=4, HISPANIC=1, RACE=5, MEANS8=6"
        tab44x399    ="tab44: HH_INC5=4, HISPANIC=1, RACE=5, MEANS8=7"
        tab44x400    ="tab44: HH_INC5=4, HISPANIC=1, RACE=5, MEANS8=8"
        tab44x401    ="tab44: HH_INC5=4, HISPANIC=2, RACE=1, MEANS8=1"
        tab44x402    ="tab44: HH_INC5=4, HISPANIC=2, RACE=1, MEANS8=2"
        tab44x403    ="tab44: HH_INC5=4, HISPANIC=2, RACE=1, MEANS8=3"
        tab44x404    ="tab44: HH_INC5=4, HISPANIC=2, RACE=1, MEANS8=4"
        tab44x405    ="tab44: HH_INC5=4, HISPANIC=2, RACE=1, MEANS8=5"
        tab44x406    ="tab44: HH_INC5=4, HISPANIC=2, RACE=1, MEANS8=6"
        tab44x407    ="tab44: HH_INC5=4, HISPANIC=2, RACE=1, MEANS8=7"
        tab44x408    ="tab44: HH_INC5=4, HISPANIC=2, RACE=1, MEANS8=8"
        tab44x409    ="tab44: HH_INC5=4, HISPANIC=2, RACE=2, MEANS8=1"
        tab44x410    ="tab44: HH_INC5=4, HISPANIC=2, RACE=2, MEANS8=2"
        tab44x411    ="tab44: HH_INC5=4, HISPANIC=2, RACE=2, MEANS8=3"
        tab44x412    ="tab44: HH_INC5=4, HISPANIC=2, RACE=2, MEANS8=4"
        tab44x413    ="tab44: HH_INC5=4, HISPANIC=2, RACE=2, MEANS8=5"
        tab44x414    ="tab44: HH_INC5=4, HISPANIC=2, RACE=2, MEANS8=6"
        tab44x415    ="tab44: HH_INC5=4, HISPANIC=2, RACE=2, MEANS8=7"
        tab44x416    ="tab44: HH_INC5=4, HISPANIC=2, RACE=2, MEANS8=8"
        tab44x417    ="tab44: HH_INC5=4, HISPANIC=2, RACE=3, MEANS8=1"
        tab44x418    ="tab44: HH_INC5=4, HISPANIC=2, RACE=3, MEANS8=2"
        tab44x419    ="tab44: HH_INC5=4, HISPANIC=2, RACE=3, MEANS8=3"
        tab44x420    ="tab44: HH_INC5=4, HISPANIC=2, RACE=3, MEANS8=4"
        tab44x421    ="tab44: HH_INC5=4, HISPANIC=2, RACE=3, MEANS8=5"
        tab44x422    ="tab44: HH_INC5=4, HISPANIC=2, RACE=3, MEANS8=6"
        tab44x423    ="tab44: HH_INC5=4, HISPANIC=2, RACE=3, MEANS8=7"
        tab44x424    ="tab44: HH_INC5=4, HISPANIC=2, RACE=3, MEANS8=8"
        tab44x425    ="tab44: HH_INC5=4, HISPANIC=2, RACE=4, MEANS8=1"
        tab44x426    ="tab44: HH_INC5=4, HISPANIC=2, RACE=4, MEANS8=2"
        tab44x427    ="tab44: HH_INC5=4, HISPANIC=2, RACE=4, MEANS8=3"
        tab44x428    ="tab44: HH_INC5=4, HISPANIC=2, RACE=4, MEANS8=4"
        tab44x429    ="tab44: HH_INC5=4, HISPANIC=2, RACE=4, MEANS8=5"
        tab44x430    ="tab44: HH_INC5=4, HISPANIC=2, RACE=4, MEANS8=6"
        tab44x431    ="tab44: HH_INC5=4, HISPANIC=2, RACE=4, MEANS8=7"
        tab44x432    ="tab44: HH_INC5=4, HISPANIC=2, RACE=4, MEANS8=8"
        tab44x433    ="tab44: HH_INC5=4, HISPANIC=2, RACE=5, MEANS8=1"
        tab44x434    ="tab44: HH_INC5=4, HISPANIC=2, RACE=5, MEANS8=2"
        tab44x435    ="tab44: HH_INC5=4, HISPANIC=2, RACE=5, MEANS8=3"
        tab44x436    ="tab44: HH_INC5=4, HISPANIC=2, RACE=5, MEANS8=4"
        tab44x437    ="tab44: HH_INC5=4, HISPANIC=2, RACE=5, MEANS8=5"
        tab44x438    ="tab44: HH_INC5=4, HISPANIC=2, RACE=5, MEANS8=6"
        tab44x439    ="tab44: HH_INC5=4, HISPANIC=2, RACE=5, MEANS8=7"
        tab44x440    ="tab44: HH_INC5=4, HISPANIC=2, RACE=5, MEANS8=8"
        tab44x441    ="tab44: HH_INC5=4, HISPANIC=3, RACE=1, MEANS8=1"
        tab44x442    ="tab44: HH_INC5=4, HISPANIC=3, RACE=1, MEANS8=2"
        tab44x443    ="tab44: HH_INC5=4, HISPANIC=3, RACE=1, MEANS8=3"
        tab44x444    ="tab44: HH_INC5=4, HISPANIC=3, RACE=1, MEANS8=4"
        tab44x445    ="tab44: HH_INC5=4, HISPANIC=3, RACE=1, MEANS8=5"
        tab44x446    ="tab44: HH_INC5=4, HISPANIC=3, RACE=1, MEANS8=6"
        tab44x447    ="tab44: HH_INC5=4, HISPANIC=3, RACE=1, MEANS8=7"
        tab44x448    ="tab44: HH_INC5=4, HISPANIC=3, RACE=1, MEANS8=8"
        tab44x449    ="tab44: HH_INC5=4, HISPANIC=3, RACE=2, MEANS8=1"
        tab44x450    ="tab44: HH_INC5=4, HISPANIC=3, RACE=2, MEANS8=2"
        tab44x451    ="tab44: HH_INC5=4, HISPANIC=3, RACE=2, MEANS8=3"
        tab44x452    ="tab44: HH_INC5=4, HISPANIC=3, RACE=2, MEANS8=4"
        tab44x453    ="tab44: HH_INC5=4, HISPANIC=3, RACE=2, MEANS8=5"
        tab44x454    ="tab44: HH_INC5=4, HISPANIC=3, RACE=2, MEANS8=6"
        tab44x455    ="tab44: HH_INC5=4, HISPANIC=3, RACE=2, MEANS8=7"
        tab44x456    ="tab44: HH_INC5=4, HISPANIC=3, RACE=2, MEANS8=8"
        tab44x457    ="tab44: HH_INC5=4, HISPANIC=3, RACE=3, MEANS8=1"
        tab44x458    ="tab44: HH_INC5=4, HISPANIC=3, RACE=3, MEANS8=2"
        tab44x459    ="tab44: HH_INC5=4, HISPANIC=3, RACE=3, MEANS8=3"
        tab44x460    ="tab44: HH_INC5=4, HISPANIC=3, RACE=3, MEANS8=4"
        tab44x461    ="tab44: HH_INC5=4, HISPANIC=3, RACE=3, MEANS8=5"
        tab44x462    ="tab44: HH_INC5=4, HISPANIC=3, RACE=3, MEANS8=6"
        tab44x463    ="tab44: HH_INC5=4, HISPANIC=3, RACE=3, MEANS8=7"
        tab44x464    ="tab44: HH_INC5=4, HISPANIC=3, RACE=3, MEANS8=8"
        tab44x465    ="tab44: HH_INC5=4, HISPANIC=3, RACE=4, MEANS8=1"
        tab44x466    ="tab44: HH_INC5=4, HISPANIC=3, RACE=4, MEANS8=2"
        tab44x467    ="tab44: HH_INC5=4, HISPANIC=3, RACE=4, MEANS8=3"
        tab44x468    ="tab44: HH_INC5=4, HISPANIC=3, RACE=4, MEANS8=4"
        tab44x469    ="tab44: HH_INC5=4, HISPANIC=3, RACE=4, MEANS8=5"
        tab44x470    ="tab44: HH_INC5=4, HISPANIC=3, RACE=4, MEANS8=6"
        tab44x471    ="tab44: HH_INC5=4, HISPANIC=3, RACE=4, MEANS8=7"
        tab44x472    ="tab44: HH_INC5=4, HISPANIC=3, RACE=4, MEANS8=8"
        tab44x473    ="tab44: HH_INC5=4, HISPANIC=3, RACE=5, MEANS8=1"
        tab44x474    ="tab44: HH_INC5=4, HISPANIC=3, RACE=5, MEANS8=2"
        tab44x475    ="tab44: HH_INC5=4, HISPANIC=3, RACE=5, MEANS8=3"
        tab44x476    ="tab44: HH_INC5=4, HISPANIC=3, RACE=5, MEANS8=4"
        tab44x477    ="tab44: HH_INC5=4, HISPANIC=3, RACE=5, MEANS8=5"
        tab44x478    ="tab44: HH_INC5=4, HISPANIC=3, RACE=5, MEANS8=6"
        tab44x479    ="tab44: HH_INC5=4, HISPANIC=3, RACE=5, MEANS8=7"
        tab44x480    ="tab44: HH_INC5=4, HISPANIC=3, RACE=5, MEANS8=8"
        tab44x481    ="tab44: HH_INC5=5, HISPANIC=1, RACE=1, MEANS8=1"
        tab44x482    ="tab44: HH_INC5=5, HISPANIC=1, RACE=1, MEANS8=2"
        tab44x483    ="tab44: HH_INC5=5, HISPANIC=1, RACE=1, MEANS8=3"
        tab44x484    ="tab44: HH_INC5=5, HISPANIC=1, RACE=1, MEANS8=4"
        tab44x485    ="tab44: HH_INC5=5, HISPANIC=1, RACE=1, MEANS8=5"
        tab44x486    ="tab44: HH_INC5=5, HISPANIC=1, RACE=1, MEANS8=6"
        tab44x487    ="tab44: HH_INC5=5, HISPANIC=1, RACE=1, MEANS8=7"
        tab44x488    ="tab44: HH_INC5=5, HISPANIC=1, RACE=1, MEANS8=8"
        tab44x489    ="tab44: HH_INC5=5, HISPANIC=1, RACE=2, MEANS8=1"
        tab44x490    ="tab44: HH_INC5=5, HISPANIC=1, RACE=2, MEANS8=2"
        tab44x491    ="tab44: HH_INC5=5, HISPANIC=1, RACE=2, MEANS8=3"
        tab44x492    ="tab44: HH_INC5=5, HISPANIC=1, RACE=2, MEANS8=4"
        tab44x493    ="tab44: HH_INC5=5, HISPANIC=1, RACE=2, MEANS8=5"
        tab44x494    ="tab44: HH_INC5=5, HISPANIC=1, RACE=2, MEANS8=6"
        tab44x495    ="tab44: HH_INC5=5, HISPANIC=1, RACE=2, MEANS8=7"
        tab44x496    ="tab44: HH_INC5=5, HISPANIC=1, RACE=2, MEANS8=8"
        tab44x497    ="tab44: HH_INC5=5, HISPANIC=1, RACE=3, MEANS8=1"
        tab44x498    ="tab44: HH_INC5=5, HISPANIC=1, RACE=3, MEANS8=2"
        tab44x499    ="tab44: HH_INC5=5, HISPANIC=1, RACE=3, MEANS8=3"
        tab44x500    ="tab44: HH_INC5=5, HISPANIC=1, RACE=3, MEANS8=4"
        tab44x501    ="tab44: HH_INC5=5, HISPANIC=1, RACE=3, MEANS8=5"
        tab44x502    ="tab44: HH_INC5=5, HISPANIC=1, RACE=3, MEANS8=6"
        tab44x503    ="tab44: HH_INC5=5, HISPANIC=1, RACE=3, MEANS8=7"
        tab44x504    ="tab44: HH_INC5=5, HISPANIC=1, RACE=3, MEANS8=8"
        tab44x505    ="tab44: HH_INC5=5, HISPANIC=1, RACE=4, MEANS8=1"
        tab44x506    ="tab44: HH_INC5=5, HISPANIC=1, RACE=4, MEANS8=2"
        tab44x507    ="tab44: HH_INC5=5, HISPANIC=1, RACE=4, MEANS8=3"
        tab44x508    ="tab44: HH_INC5=5, HISPANIC=1, RACE=4, MEANS8=4"
        tab44x509    ="tab44: HH_INC5=5, HISPANIC=1, RACE=4, MEANS8=5"
        tab44x510    ="tab44: HH_INC5=5, HISPANIC=1, RACE=4, MEANS8=6"
        tab44x511    ="tab44: HH_INC5=5, HISPANIC=1, RACE=4, MEANS8=7"
        tab44x512    ="tab44: HH_INC5=5, HISPANIC=1, RACE=4, MEANS8=8"
        tab44x513    ="tab44: HH_INC5=5, HISPANIC=1, RACE=5, MEANS8=1"
        tab44x514    ="tab44: HH_INC5=5, HISPANIC=1, RACE=5, MEANS8=2"
        tab44x515    ="tab44: HH_INC5=5, HISPANIC=1, RACE=5, MEANS8=3"
        tab44x516    ="tab44: HH_INC5=5, HISPANIC=1, RACE=5, MEANS8=4"
        tab44x517    ="tab44: HH_INC5=5, HISPANIC=1, RACE=5, MEANS8=5"
        tab44x518    ="tab44: HH_INC5=5, HISPANIC=1, RACE=5, MEANS8=6"
        tab44x519    ="tab44: HH_INC5=5, HISPANIC=1, RACE=5, MEANS8=7"
        tab44x520    ="tab44: HH_INC5=5, HISPANIC=1, RACE=5, MEANS8=8"
        tab44x521    ="tab44: HH_INC5=5, HISPANIC=2, RACE=1, MEANS8=1"
        tab44x522    ="tab44: HH_INC5=5, HISPANIC=2, RACE=1, MEANS8=2"
        tab44x523    ="tab44: HH_INC5=5, HISPANIC=2, RACE=1, MEANS8=3"
        tab44x524    ="tab44: HH_INC5=5, HISPANIC=2, RACE=1, MEANS8=4"
        tab44x525    ="tab44: HH_INC5=5, HISPANIC=2, RACE=1, MEANS8=5"
        tab44x526    ="tab44: HH_INC5=5, HISPANIC=2, RACE=1, MEANS8=6"
        tab44x527    ="tab44: HH_INC5=5, HISPANIC=2, RACE=1, MEANS8=7"
        tab44x528    ="tab44: HH_INC5=5, HISPANIC=2, RACE=1, MEANS8=8"
        tab44x529    ="tab44: HH_INC5=5, HISPANIC=2, RACE=2, MEANS8=1"
        tab44x530    ="tab44: HH_INC5=5, HISPANIC=2, RACE=2, MEANS8=2"
        tab44x531    ="tab44: HH_INC5=5, HISPANIC=2, RACE=2, MEANS8=3"
        tab44x532    ="tab44: HH_INC5=5, HISPANIC=2, RACE=2, MEANS8=4"
        tab44x533    ="tab44: HH_INC5=5, HISPANIC=2, RACE=2, MEANS8=5"
        tab44x534    ="tab44: HH_INC5=5, HISPANIC=2, RACE=2, MEANS8=6"
        tab44x535    ="tab44: HH_INC5=5, HISPANIC=2, RACE=2, MEANS8=7"
        tab44x536    ="tab44: HH_INC5=5, HISPANIC=2, RACE=2, MEANS8=8"
        tab44x537    ="tab44: HH_INC5=5, HISPANIC=2, RACE=3, MEANS8=1"
        tab44x538    ="tab44: HH_INC5=5, HISPANIC=2, RACE=3, MEANS8=2"
        tab44x539    ="tab44: HH_INC5=5, HISPANIC=2, RACE=3, MEANS8=3"
        tab44x540    ="tab44: HH_INC5=5, HISPANIC=2, RACE=3, MEANS8=4"
        tab44x541    ="tab44: HH_INC5=5, HISPANIC=2, RACE=3, MEANS8=5"
        tab44x542    ="tab44: HH_INC5=5, HISPANIC=2, RACE=3, MEANS8=6"
        tab44x543    ="tab44: HH_INC5=5, HISPANIC=2, RACE=3, MEANS8=7"
        tab44x544    ="tab44: HH_INC5=5, HISPANIC=2, RACE=3, MEANS8=8"
        tab44x545    ="tab44: HH_INC5=5, HISPANIC=2, RACE=4, MEANS8=1"
        tab44x546    ="tab44: HH_INC5=5, HISPANIC=2, RACE=4, MEANS8=2"
        tab44x547    ="tab44: HH_INC5=5, HISPANIC=2, RACE=4, MEANS8=3"
        tab44x548    ="tab44: HH_INC5=5, HISPANIC=2, RACE=4, MEANS8=4"
        tab44x549    ="tab44: HH_INC5=5, HISPANIC=2, RACE=4, MEANS8=5"
        tab44x550    ="tab44: HH_INC5=5, HISPANIC=2, RACE=4, MEANS8=6"
        tab44x551    ="tab44: HH_INC5=5, HISPANIC=2, RACE=4, MEANS8=7"
        tab44x552    ="tab44: HH_INC5=5, HISPANIC=2, RACE=4, MEANS8=8"
        tab44x553    ="tab44: HH_INC5=5, HISPANIC=2, RACE=5, MEANS8=1"
        tab44x554    ="tab44: HH_INC5=5, HISPANIC=2, RACE=5, MEANS8=2"
        tab44x555    ="tab44: HH_INC5=5, HISPANIC=2, RACE=5, MEANS8=3"
        tab44x556    ="tab44: HH_INC5=5, HISPANIC=2, RACE=5, MEANS8=4"
        tab44x557    ="tab44: HH_INC5=5, HISPANIC=2, RACE=5, MEANS8=5"
        tab44x558    ="tab44: HH_INC5=5, HISPANIC=2, RACE=5, MEANS8=6"
        tab44x559    ="tab44: HH_INC5=5, HISPANIC=2, RACE=5, MEANS8=7"
        tab44x560    ="tab44: HH_INC5=5, HISPANIC=2, RACE=5, MEANS8=8"
        tab44x561    ="tab44: HH_INC5=5, HISPANIC=3, RACE=1, MEANS8=1"
        tab44x562    ="tab44: HH_INC5=5, HISPANIC=3, RACE=1, MEANS8=2"
        tab44x563    ="tab44: HH_INC5=5, HISPANIC=3, RACE=1, MEANS8=3"
        tab44x564    ="tab44: HH_INC5=5, HISPANIC=3, RACE=1, MEANS8=4"
        tab44x565    ="tab44: HH_INC5=5, HISPANIC=3, RACE=1, MEANS8=5"
        tab44x566    ="tab44: HH_INC5=5, HISPANIC=3, RACE=1, MEANS8=6"
        tab44x567    ="tab44: HH_INC5=5, HISPANIC=3, RACE=1, MEANS8=7"
        tab44x568    ="tab44: HH_INC5=5, HISPANIC=3, RACE=1, MEANS8=8"
        tab44x569    ="tab44: HH_INC5=5, HISPANIC=3, RACE=2, MEANS8=1"
        tab44x570    ="tab44: HH_INC5=5, HISPANIC=3, RACE=2, MEANS8=2"
        tab44x571    ="tab44: HH_INC5=5, HISPANIC=3, RACE=2, MEANS8=3"
        tab44x572    ="tab44: HH_INC5=5, HISPANIC=3, RACE=2, MEANS8=4"
        tab44x573    ="tab44: HH_INC5=5, HISPANIC=3, RACE=2, MEANS8=5"
        tab44x574    ="tab44: HH_INC5=5, HISPANIC=3, RACE=2, MEANS8=6"
        tab44x575    ="tab44: HH_INC5=5, HISPANIC=3, RACE=2, MEANS8=7"
        tab44x576    ="tab44: HH_INC5=5, HISPANIC=3, RACE=2, MEANS8=8"
        tab44x577    ="tab44: HH_INC5=5, HISPANIC=3, RACE=3, MEANS8=1"
        tab44x578    ="tab44: HH_INC5=5, HISPANIC=3, RACE=3, MEANS8=2"
        tab44x579    ="tab44: HH_INC5=5, HISPANIC=3, RACE=3, MEANS8=3"
        tab44x580    ="tab44: HH_INC5=5, HISPANIC=3, RACE=3, MEANS8=4"
        tab44x581    ="tab44: HH_INC5=5, HISPANIC=3, RACE=3, MEANS8=5"
        tab44x582    ="tab44: HH_INC5=5, HISPANIC=3, RACE=3, MEANS8=6"
        tab44x583    ="tab44: HH_INC5=5, HISPANIC=3, RACE=3, MEANS8=7"
        tab44x584    ="tab44: HH_INC5=5, HISPANIC=3, RACE=3, MEANS8=8"
        tab44x585    ="tab44: HH_INC5=5, HISPANIC=3, RACE=4, MEANS8=1"
        tab44x586    ="tab44: HH_INC5=5, HISPANIC=3, RACE=4, MEANS8=2"
        tab44x587    ="tab44: HH_INC5=5, HISPANIC=3, RACE=4, MEANS8=3"
        tab44x588    ="tab44: HH_INC5=5, HISPANIC=3, RACE=4, MEANS8=4"
        tab44x589    ="tab44: HH_INC5=5, HISPANIC=3, RACE=4, MEANS8=5"
        tab44x590    ="tab44: HH_INC5=5, HISPANIC=3, RACE=4, MEANS8=6"
        tab44x591    ="tab44: HH_INC5=5, HISPANIC=3, RACE=4, MEANS8=7"
        tab44x592    ="tab44: HH_INC5=5, HISPANIC=3, RACE=4, MEANS8=8"
        tab44x593    ="tab44: HH_INC5=5, HISPANIC=3, RACE=5, MEANS8=1"
        tab44x594    ="tab44: HH_INC5=5, HISPANIC=3, RACE=5, MEANS8=2"
        tab44x595    ="tab44: HH_INC5=5, HISPANIC=3, RACE=5, MEANS8=3"
        tab44x596    ="tab44: HH_INC5=5, HISPANIC=3, RACE=5, MEANS8=4"
        tab44x597    ="tab44: HH_INC5=5, HISPANIC=3, RACE=5, MEANS8=5"
        tab44x598    ="tab44: HH_INC5=5, HISPANIC=3, RACE=5, MEANS8=6"
        tab44x599    ="tab44: HH_INC5=5, HISPANIC=3, RACE=5, MEANS8=7"
        tab44x600    ="tab44: HH_INC5=5, HISPANIC=3, RACE=5, MEANS8=8"
        tab45x1      ="tab45: VEHICLES3=1, HISPANIC=1, RACE=1, MEANS8=1"
        tab45x2      ="tab45: VEHICLES3=1, HISPANIC=1, RACE=1, MEANS8=2"
        tab45x3      ="tab45: VEHICLES3=1, HISPANIC=1, RACE=1, MEANS8=3"
        tab45x4      ="tab45: VEHICLES3=1, HISPANIC=1, RACE=1, MEANS8=4"
        tab45x5      ="tab45: VEHICLES3=1, HISPANIC=1, RACE=1, MEANS8=5"
        tab45x6      ="tab45: VEHICLES3=1, HISPANIC=1, RACE=1, MEANS8=6"
        tab45x7      ="tab45: VEHICLES3=1, HISPANIC=1, RACE=1, MEANS8=7"
        tab45x8      ="tab45: VEHICLES3=1, HISPANIC=1, RACE=1, MEANS8=8"
        tab45x9      ="tab45: VEHICLES3=1, HISPANIC=1, RACE=2, MEANS8=1"
        tab45x10     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=2, MEANS8=2"
        tab45x11     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=2, MEANS8=3"
        tab45x12     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=2, MEANS8=4"
        tab45x13     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=2, MEANS8=5"
        tab45x14     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=2, MEANS8=6"
        tab45x15     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=2, MEANS8=7"
        tab45x16     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=2, MEANS8=8"
        tab45x17     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=3, MEANS8=1"
        tab45x18     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=3, MEANS8=2"
        tab45x19     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=3, MEANS8=3"
        tab45x20     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=3, MEANS8=4"
        tab45x21     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=3, MEANS8=5"
        tab45x22     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=3, MEANS8=6"
        tab45x23     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=3, MEANS8=7"
        tab45x24     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=3, MEANS8=8"
        tab45x25     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=4, MEANS8=1"
        tab45x26     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=4, MEANS8=2"
        tab45x27     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=4, MEANS8=3"
        tab45x28     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=4, MEANS8=4"
        tab45x29     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=4, MEANS8=5"
        tab45x30     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=4, MEANS8=6"
        tab45x31     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=4, MEANS8=7"
        tab45x32     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=4, MEANS8=8"
        tab45x33     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=5, MEANS8=1"
        tab45x34     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=5, MEANS8=2"
        tab45x35     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=5, MEANS8=3"
        tab45x36     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=5, MEANS8=4"
        tab45x37     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=5, MEANS8=5"
        tab45x38     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=5, MEANS8=6"
        tab45x39     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=5, MEANS8=7"
        tab45x40     ="tab45: VEHICLES3=1, HISPANIC=1, RACE=5, MEANS8=8"
        tab45x41     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=1, MEANS8=1"
        tab45x42     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=1, MEANS8=2"
        tab45x43     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=1, MEANS8=3"
        tab45x44     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=1, MEANS8=4"
        tab45x45     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=1, MEANS8=5"
        tab45x46     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=1, MEANS8=6"
        tab45x47     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=1, MEANS8=7"
        tab45x48     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=1, MEANS8=8"
        tab45x49     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=2, MEANS8=1"
        tab45x50     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=2, MEANS8=2"
        tab45x51     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=2, MEANS8=3"
        tab45x52     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=2, MEANS8=4"
        tab45x53     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=2, MEANS8=5"
        tab45x54     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=2, MEANS8=6"
        tab45x55     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=2, MEANS8=7"
        tab45x56     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=2, MEANS8=8"
        tab45x57     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=3, MEANS8=1"
        tab45x58     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=3, MEANS8=2"
        tab45x59     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=3, MEANS8=3"
        tab45x60     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=3, MEANS8=4"
        tab45x61     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=3, MEANS8=5"
        tab45x62     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=3, MEANS8=6"
        tab45x63     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=3, MEANS8=7"
        tab45x64     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=3, MEANS8=8"
        tab45x65     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=4, MEANS8=1"
        tab45x66     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=4, MEANS8=2"
        tab45x67     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=4, MEANS8=3"
        tab45x68     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=4, MEANS8=4"
        tab45x69     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=4, MEANS8=5"
        tab45x70     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=4, MEANS8=6"
        tab45x71     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=4, MEANS8=7"
        tab45x72     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=4, MEANS8=8"
        tab45x73     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=5, MEANS8=1"
        tab45x74     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=5, MEANS8=2"
        tab45x75     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=5, MEANS8=3"
        tab45x76     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=5, MEANS8=4"
        tab45x77     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=5, MEANS8=5"
        tab45x78     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=5, MEANS8=6"
        tab45x79     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=5, MEANS8=7"
        tab45x80     ="tab45: VEHICLES3=1, HISPANIC=2, RACE=5, MEANS8=8"
        tab45x81     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=1, MEANS8=1"
        tab45x82     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=1, MEANS8=2"
        tab45x83     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=1, MEANS8=3"
        tab45x84     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=1, MEANS8=4"
        tab45x85     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=1, MEANS8=5"
        tab45x86     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=1, MEANS8=6"
        tab45x87     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=1, MEANS8=7"
        tab45x88     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=1, MEANS8=8"
        tab45x89     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=2, MEANS8=1"
        tab45x90     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=2, MEANS8=2"
        tab45x91     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=2, MEANS8=3"
        tab45x92     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=2, MEANS8=4"
        tab45x93     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=2, MEANS8=5"
        tab45x94     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=2, MEANS8=6"
        tab45x95     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=2, MEANS8=7"
        tab45x96     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=2, MEANS8=8"
        tab45x97     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=3, MEANS8=1"
        tab45x98     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=3, MEANS8=2"
        tab45x99     ="tab45: VEHICLES3=1, HISPANIC=3, RACE=3, MEANS8=3"
        tab45x100    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=3, MEANS8=4"
        tab45x101    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=3, MEANS8=5"
        tab45x102    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=3, MEANS8=6"
        tab45x103    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=3, MEANS8=7"
        tab45x104    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=3, MEANS8=8"
        tab45x105    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=4, MEANS8=1"
        tab45x106    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=4, MEANS8=2"
        tab45x107    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=4, MEANS8=3"
        tab45x108    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=4, MEANS8=4"
        tab45x109    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=4, MEANS8=5"
        tab45x110    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=4, MEANS8=6"
        tab45x111    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=4, MEANS8=7"
        tab45x112    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=4, MEANS8=8"
        tab45x113    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=5, MEANS8=1"
        tab45x114    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=5, MEANS8=2"
        tab45x115    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=5, MEANS8=3"
        tab45x116    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=5, MEANS8=4"
        tab45x117    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=5, MEANS8=5"
        tab45x118    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=5, MEANS8=6"
        tab45x119    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=5, MEANS8=7"
        tab45x120    ="tab45: VEHICLES3=1, HISPANIC=3, RACE=5, MEANS8=8"
        tab45x121    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=1, MEANS8=1"
        tab45x122    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=1, MEANS8=2"
        tab45x123    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=1, MEANS8=3"
        tab45x124    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=1, MEANS8=4"
        tab45x125    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=1, MEANS8=5"
        tab45x126    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=1, MEANS8=6"
        tab45x127    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=1, MEANS8=7"
        tab45x128    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=1, MEANS8=8"
        tab45x129    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=2, MEANS8=1"
        tab45x130    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=2, MEANS8=2"
        tab45x131    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=2, MEANS8=3"
        tab45x132    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=2, MEANS8=4"
        tab45x133    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=2, MEANS8=5"
        tab45x134    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=2, MEANS8=6"
        tab45x135    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=2, MEANS8=7"
        tab45x136    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=2, MEANS8=8"
        tab45x137    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=3, MEANS8=1"
        tab45x138    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=3, MEANS8=2"
        tab45x139    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=3, MEANS8=3"
        tab45x140    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=3, MEANS8=4"
        tab45x141    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=3, MEANS8=5"
        tab45x142    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=3, MEANS8=6"
        tab45x143    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=3, MEANS8=7"
        tab45x144    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=3, MEANS8=8"
        tab45x145    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=4, MEANS8=1"
        tab45x146    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=4, MEANS8=2"
        tab45x147    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=4, MEANS8=3"
        tab45x148    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=4, MEANS8=4"
        tab45x149    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=4, MEANS8=5"
        tab45x150    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=4, MEANS8=6"
        tab45x151    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=4, MEANS8=7"
        tab45x152    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=4, MEANS8=8"
        tab45x153    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=5, MEANS8=1"
        tab45x154    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=5, MEANS8=2"
        tab45x155    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=5, MEANS8=3"
        tab45x156    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=5, MEANS8=4"
        tab45x157    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=5, MEANS8=5"
        tab45x158    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=5, MEANS8=6"
        tab45x159    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=5, MEANS8=7"
        tab45x160    ="tab45: VEHICLES3=2, HISPANIC=1, RACE=5, MEANS8=8"
        tab45x161    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=1, MEANS8=1"
        tab45x162    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=1, MEANS8=2"
        tab45x163    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=1, MEANS8=3"
        tab45x164    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=1, MEANS8=4"
        tab45x165    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=1, MEANS8=5"
        tab45x166    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=1, MEANS8=6"
        tab45x167    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=1, MEANS8=7"
        tab45x168    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=1, MEANS8=8"
        tab45x169    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=2, MEANS8=1"
        tab45x170    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=2, MEANS8=2"
        tab45x171    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=2, MEANS8=3"
        tab45x172    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=2, MEANS8=4"
        tab45x173    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=2, MEANS8=5"
        tab45x174    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=2, MEANS8=6"
        tab45x175    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=2, MEANS8=7"
        tab45x176    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=2, MEANS8=8"
        tab45x177    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=3, MEANS8=1"
        tab45x178    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=3, MEANS8=2"
        tab45x179    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=3, MEANS8=3"
        tab45x180    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=3, MEANS8=4"
        tab45x181    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=3, MEANS8=5"
        tab45x182    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=3, MEANS8=6"
        tab45x183    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=3, MEANS8=7"
        tab45x184    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=3, MEANS8=8"
        tab45x185    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=4, MEANS8=1"
        tab45x186    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=4, MEANS8=2"
        tab45x187    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=4, MEANS8=3"
        tab45x188    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=4, MEANS8=4"
        tab45x189    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=4, MEANS8=5"
        tab45x190    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=4, MEANS8=6"
        tab45x191    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=4, MEANS8=7"
        tab45x192    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=4, MEANS8=8"
        tab45x193    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=5, MEANS8=1"
        tab45x194    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=5, MEANS8=2"
        tab45x195    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=5, MEANS8=3"
        tab45x196    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=5, MEANS8=4"
        tab45x197    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=5, MEANS8=5"
        tab45x198    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=5, MEANS8=6"
        tab45x199    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=5, MEANS8=7"
        tab45x200    ="tab45: VEHICLES3=2, HISPANIC=2, RACE=5, MEANS8=8"
        tab45x201    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=1, MEANS8=1"
        tab45x202    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=1, MEANS8=2"
        tab45x203    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=1, MEANS8=3"
        tab45x204    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=1, MEANS8=4"
        tab45x205    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=1, MEANS8=5"
        tab45x206    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=1, MEANS8=6"
        tab45x207    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=1, MEANS8=7"
        tab45x208    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=1, MEANS8=8"
        tab45x209    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=2, MEANS8=1"
        tab45x210    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=2, MEANS8=2"
        tab45x211    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=2, MEANS8=3"
        tab45x212    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=2, MEANS8=4"
        tab45x213    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=2, MEANS8=5"
        tab45x214    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=2, MEANS8=6"
        tab45x215    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=2, MEANS8=7"
        tab45x216    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=2, MEANS8=8"
        tab45x217    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=3, MEANS8=1"
        tab45x218    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=3, MEANS8=2"
        tab45x219    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=3, MEANS8=3"
        tab45x220    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=3, MEANS8=4"
        tab45x221    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=3, MEANS8=5"
        tab45x222    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=3, MEANS8=6"
        tab45x223    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=3, MEANS8=7"
        tab45x224    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=3, MEANS8=8"
        tab45x225    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=4, MEANS8=1"
        tab45x226    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=4, MEANS8=2"
        tab45x227    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=4, MEANS8=3"
        tab45x228    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=4, MEANS8=4"
        tab45x229    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=4, MEANS8=5"
        tab45x230    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=4, MEANS8=6"
        tab45x231    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=4, MEANS8=7"
        tab45x232    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=4, MEANS8=8"
        tab45x233    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=5, MEANS8=1"
        tab45x234    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=5, MEANS8=2"
        tab45x235    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=5, MEANS8=3"
        tab45x236    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=5, MEANS8=4"
        tab45x237    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=5, MEANS8=5"
        tab45x238    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=5, MEANS8=6"
        tab45x239    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=5, MEANS8=7"
        tab45x240    ="tab45: VEHICLES3=2, HISPANIC=3, RACE=5, MEANS8=8"
        tab45x241    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=1, MEANS8=1"
        tab45x242    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=1, MEANS8=2"
        tab45x243    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=1, MEANS8=3"
        tab45x244    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=1, MEANS8=4"
        tab45x245    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=1, MEANS8=5"
        tab45x246    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=1, MEANS8=6"
        tab45x247    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=1, MEANS8=7"
        tab45x248    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=1, MEANS8=8"
        tab45x249    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=2, MEANS8=1"
        tab45x250    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=2, MEANS8=2"
        tab45x251    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=2, MEANS8=3"
        tab45x252    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=2, MEANS8=4"
        tab45x253    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=2, MEANS8=5"
        tab45x254    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=2, MEANS8=6"
        tab45x255    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=2, MEANS8=7"
        tab45x256    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=2, MEANS8=8"
        tab45x257    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=3, MEANS8=1"
        tab45x258    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=3, MEANS8=2"
        tab45x259    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=3, MEANS8=3"
        tab45x260    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=3, MEANS8=4"
        tab45x261    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=3, MEANS8=5"
        tab45x262    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=3, MEANS8=6"
        tab45x263    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=3, MEANS8=7"
        tab45x264    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=3, MEANS8=8"
        tab45x265    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=4, MEANS8=1"
        tab45x266    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=4, MEANS8=2"
        tab45x267    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=4, MEANS8=3"
        tab45x268    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=4, MEANS8=4"
        tab45x269    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=4, MEANS8=5"
        tab45x270    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=4, MEANS8=6"
        tab45x271    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=4, MEANS8=7"
        tab45x272    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=4, MEANS8=8"
        tab45x273    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=5, MEANS8=1"
        tab45x274    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=5, MEANS8=2"
        tab45x275    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=5, MEANS8=3"
        tab45x276    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=5, MEANS8=4"
        tab45x277    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=5, MEANS8=5"
        tab45x278    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=5, MEANS8=6"
        tab45x279    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=5, MEANS8=7"
        tab45x280    ="tab45: VEHICLES3=3, HISPANIC=1, RACE=5, MEANS8=8"
        tab45x281    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=1, MEANS8=1"
        tab45x282    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=1, MEANS8=2"
        tab45x283    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=1, MEANS8=3"
        tab45x284    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=1, MEANS8=4"
        tab45x285    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=1, MEANS8=5"
        tab45x286    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=1, MEANS8=6"
        tab45x287    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=1, MEANS8=7"
        tab45x288    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=1, MEANS8=8"
        tab45x289    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=2, MEANS8=1"
        tab45x290    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=2, MEANS8=2"
        tab45x291    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=2, MEANS8=3"
        tab45x292    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=2, MEANS8=4"
        tab45x293    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=2, MEANS8=5"
        tab45x294    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=2, MEANS8=6"
        tab45x295    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=2, MEANS8=7"
        tab45x296    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=2, MEANS8=8"
        tab45x297    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=3, MEANS8=1"
        tab45x298    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=3, MEANS8=2"
        tab45x299    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=3, MEANS8=3"
        tab45x300    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=3, MEANS8=4"
        tab45x301    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=3, MEANS8=5"
        tab45x302    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=3, MEANS8=6"
        tab45x303    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=3, MEANS8=7"
        tab45x304    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=3, MEANS8=8"
        tab45x305    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=4, MEANS8=1"
        tab45x306    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=4, MEANS8=2"
        tab45x307    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=4, MEANS8=3"
        tab45x308    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=4, MEANS8=4"
        tab45x309    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=4, MEANS8=5"
        tab45x310    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=4, MEANS8=6"
        tab45x311    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=4, MEANS8=7"
        tab45x312    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=4, MEANS8=8"
        tab45x313    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=5, MEANS8=1"
        tab45x314    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=5, MEANS8=2"
        tab45x315    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=5, MEANS8=3"
        tab45x316    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=5, MEANS8=4"
        tab45x317    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=5, MEANS8=5"
        tab45x318    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=5, MEANS8=6"
        tab45x319    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=5, MEANS8=7"
        tab45x320    ="tab45: VEHICLES3=3, HISPANIC=2, RACE=5, MEANS8=8"
        tab45x321    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=1, MEANS8=1"
        tab45x322    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=1, MEANS8=2"
        tab45x323    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=1, MEANS8=3"
        tab45x324    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=1, MEANS8=4"
        tab45x325    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=1, MEANS8=5"
        tab45x326    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=1, MEANS8=6"
        tab45x327    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=1, MEANS8=7"
        tab45x328    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=1, MEANS8=8"
        tab45x329    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=2, MEANS8=1"
        tab45x330    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=2, MEANS8=2"
        tab45x331    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=2, MEANS8=3"
        tab45x332    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=2, MEANS8=4"
        tab45x333    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=2, MEANS8=5"
        tab45x334    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=2, MEANS8=6"
        tab45x335    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=2, MEANS8=7"
        tab45x336    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=2, MEANS8=8"
        tab45x337    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=3, MEANS8=1"
        tab45x338    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=3, MEANS8=2"
        tab45x339    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=3, MEANS8=3"
        tab45x340    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=3, MEANS8=4"
        tab45x341    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=3, MEANS8=5"
        tab45x342    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=3, MEANS8=6"
        tab45x343    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=3, MEANS8=7"
        tab45x344    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=3, MEANS8=8"
        tab45x345    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=4, MEANS8=1"
        tab45x346    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=4, MEANS8=2"
        tab45x347    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=4, MEANS8=3"
        tab45x348    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=4, MEANS8=4"
        tab45x349    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=4, MEANS8=5"
        tab45x350    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=4, MEANS8=6"
        tab45x351    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=4, MEANS8=7"
        tab45x352    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=4, MEANS8=8"
        tab45x353    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=5, MEANS8=1"
        tab45x354    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=5, MEANS8=2"
        tab45x355    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=5, MEANS8=3"
        tab45x356    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=5, MEANS8=4"
        tab45x357    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=5, MEANS8=5"
        tab45x358    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=5, MEANS8=6"
        tab45x359    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=5, MEANS8=7"
        tab45x360    ="tab45: VEHICLES3=3, HISPANIC=3, RACE=5, MEANS8=8"
        tab46x1      ="tab46: POVERTY=1, HISPANIC=1, RACE=1, MEANS8=1"
        tab46x2      ="tab46: POVERTY=1, HISPANIC=1, RACE=1, MEANS8=2"
        tab46x3      ="tab46: POVERTY=1, HISPANIC=1, RACE=1, MEANS8=3"
        tab46x4      ="tab46: POVERTY=1, HISPANIC=1, RACE=1, MEANS8=4"
        tab46x5      ="tab46: POVERTY=1, HISPANIC=1, RACE=1, MEANS8=5"
        tab46x6      ="tab46: POVERTY=1, HISPANIC=1, RACE=1, MEANS8=6"
        tab46x7      ="tab46: POVERTY=1, HISPANIC=1, RACE=1, MEANS8=7"
        tab46x8      ="tab46: POVERTY=1, HISPANIC=1, RACE=1, MEANS8=8"
        tab46x9      ="tab46: POVERTY=1, HISPANIC=1, RACE=2, MEANS8=1"
        tab46x10     ="tab46: POVERTY=1, HISPANIC=1, RACE=2, MEANS8=2"
        tab46x11     ="tab46: POVERTY=1, HISPANIC=1, RACE=2, MEANS8=3"
        tab46x12     ="tab46: POVERTY=1, HISPANIC=1, RACE=2, MEANS8=4"
        tab46x13     ="tab46: POVERTY=1, HISPANIC=1, RACE=2, MEANS8=5"
        tab46x14     ="tab46: POVERTY=1, HISPANIC=1, RACE=2, MEANS8=6"
        tab46x15     ="tab46: POVERTY=1, HISPANIC=1, RACE=2, MEANS8=7"
        tab46x16     ="tab46: POVERTY=1, HISPANIC=1, RACE=2, MEANS8=8"
        tab46x17     ="tab46: POVERTY=1, HISPANIC=1, RACE=3, MEANS8=1"
        tab46x18     ="tab46: POVERTY=1, HISPANIC=1, RACE=3, MEANS8=2"
        tab46x19     ="tab46: POVERTY=1, HISPANIC=1, RACE=3, MEANS8=3"
        tab46x20     ="tab46: POVERTY=1, HISPANIC=1, RACE=3, MEANS8=4"
        tab46x21     ="tab46: POVERTY=1, HISPANIC=1, RACE=3, MEANS8=5"
        tab46x22     ="tab46: POVERTY=1, HISPANIC=1, RACE=3, MEANS8=6"
        tab46x23     ="tab46: POVERTY=1, HISPANIC=1, RACE=3, MEANS8=7"
        tab46x24     ="tab46: POVERTY=1, HISPANIC=1, RACE=3, MEANS8=8"
        tab46x25     ="tab46: POVERTY=1, HISPANIC=1, RACE=4, MEANS8=1"
        tab46x26     ="tab46: POVERTY=1, HISPANIC=1, RACE=4, MEANS8=2"
        tab46x27     ="tab46: POVERTY=1, HISPANIC=1, RACE=4, MEANS8=3"
        tab46x28     ="tab46: POVERTY=1, HISPANIC=1, RACE=4, MEANS8=4"
        tab46x29     ="tab46: POVERTY=1, HISPANIC=1, RACE=4, MEANS8=5"
        tab46x30     ="tab46: POVERTY=1, HISPANIC=1, RACE=4, MEANS8=6"
        tab46x31     ="tab46: POVERTY=1, HISPANIC=1, RACE=4, MEANS8=7"
        tab46x32     ="tab46: POVERTY=1, HISPANIC=1, RACE=4, MEANS8=8"
        tab46x33     ="tab46: POVERTY=1, HISPANIC=1, RACE=5, MEANS8=1"
        tab46x34     ="tab46: POVERTY=1, HISPANIC=1, RACE=5, MEANS8=2"
        tab46x35     ="tab46: POVERTY=1, HISPANIC=1, RACE=5, MEANS8=3"
        tab46x36     ="tab46: POVERTY=1, HISPANIC=1, RACE=5, MEANS8=4"
        tab46x37     ="tab46: POVERTY=1, HISPANIC=1, RACE=5, MEANS8=5"
        tab46x38     ="tab46: POVERTY=1, HISPANIC=1, RACE=5, MEANS8=6"
        tab46x39     ="tab46: POVERTY=1, HISPANIC=1, RACE=5, MEANS8=7"
        tab46x40     ="tab46: POVERTY=1, HISPANIC=1, RACE=5, MEANS8=8"
        tab46x41     ="tab46: POVERTY=1, HISPANIC=2, RACE=1, MEANS8=1"
        tab46x42     ="tab46: POVERTY=1, HISPANIC=2, RACE=1, MEANS8=2"
        tab46x43     ="tab46: POVERTY=1, HISPANIC=2, RACE=1, MEANS8=3"
        tab46x44     ="tab46: POVERTY=1, HISPANIC=2, RACE=1, MEANS8=4"
        tab46x45     ="tab46: POVERTY=1, HISPANIC=2, RACE=1, MEANS8=5"
        tab46x46     ="tab46: POVERTY=1, HISPANIC=2, RACE=1, MEANS8=6"
        tab46x47     ="tab46: POVERTY=1, HISPANIC=2, RACE=1, MEANS8=7"
        tab46x48     ="tab46: POVERTY=1, HISPANIC=2, RACE=1, MEANS8=8"
        tab46x49     ="tab46: POVERTY=1, HISPANIC=2, RACE=2, MEANS8=1"
        tab46x50     ="tab46: POVERTY=1, HISPANIC=2, RACE=2, MEANS8=2"
        tab46x51     ="tab46: POVERTY=1, HISPANIC=2, RACE=2, MEANS8=3"
        tab46x52     ="tab46: POVERTY=1, HISPANIC=2, RACE=2, MEANS8=4"
        tab46x53     ="tab46: POVERTY=1, HISPANIC=2, RACE=2, MEANS8=5"
        tab46x54     ="tab46: POVERTY=1, HISPANIC=2, RACE=2, MEANS8=6"
        tab46x55     ="tab46: POVERTY=1, HISPANIC=2, RACE=2, MEANS8=7"
        tab46x56     ="tab46: POVERTY=1, HISPANIC=2, RACE=2, MEANS8=8"
        tab46x57     ="tab46: POVERTY=1, HISPANIC=2, RACE=3, MEANS8=1"
        tab46x58     ="tab46: POVERTY=1, HISPANIC=2, RACE=3, MEANS8=2"
        tab46x59     ="tab46: POVERTY=1, HISPANIC=2, RACE=3, MEANS8=3"
        tab46x60     ="tab46: POVERTY=1, HISPANIC=2, RACE=3, MEANS8=4"
        tab46x61     ="tab46: POVERTY=1, HISPANIC=2, RACE=3, MEANS8=5"
        tab46x62     ="tab46: POVERTY=1, HISPANIC=2, RACE=3, MEANS8=6"
        tab46x63     ="tab46: POVERTY=1, HISPANIC=2, RACE=3, MEANS8=7"
        tab46x64     ="tab46: POVERTY=1, HISPANIC=2, RACE=3, MEANS8=8"
        tab46x65     ="tab46: POVERTY=1, HISPANIC=2, RACE=4, MEANS8=1"
        tab46x66     ="tab46: POVERTY=1, HISPANIC=2, RACE=4, MEANS8=2"
        tab46x67     ="tab46: POVERTY=1, HISPANIC=2, RACE=4, MEANS8=3"
        tab46x68     ="tab46: POVERTY=1, HISPANIC=2, RACE=4, MEANS8=4"
        tab46x69     ="tab46: POVERTY=1, HISPANIC=2, RACE=4, MEANS8=5"
        tab46x70     ="tab46: POVERTY=1, HISPANIC=2, RACE=4, MEANS8=6"
        tab46x71     ="tab46: POVERTY=1, HISPANIC=2, RACE=4, MEANS8=7"
        tab46x72     ="tab46: POVERTY=1, HISPANIC=2, RACE=4, MEANS8=8"
        tab46x73     ="tab46: POVERTY=1, HISPANIC=2, RACE=5, MEANS8=1"
        tab46x74     ="tab46: POVERTY=1, HISPANIC=2, RACE=5, MEANS8=2"
        tab46x75     ="tab46: POVERTY=1, HISPANIC=2, RACE=5, MEANS8=3"
        tab46x76     ="tab46: POVERTY=1, HISPANIC=2, RACE=5, MEANS8=4"
        tab46x77     ="tab46: POVERTY=1, HISPANIC=2, RACE=5, MEANS8=5"
        tab46x78     ="tab46: POVERTY=1, HISPANIC=2, RACE=5, MEANS8=6"
        tab46x79     ="tab46: POVERTY=1, HISPANIC=2, RACE=5, MEANS8=7"
        tab46x80     ="tab46: POVERTY=1, HISPANIC=2, RACE=5, MEANS8=8"
        tab46x81     ="tab46: POVERTY=1, HISPANIC=3, RACE=1, MEANS8=1"
        tab46x82     ="tab46: POVERTY=1, HISPANIC=3, RACE=1, MEANS8=2"
        tab46x83     ="tab46: POVERTY=1, HISPANIC=3, RACE=1, MEANS8=3"
        tab46x84     ="tab46: POVERTY=1, HISPANIC=3, RACE=1, MEANS8=4"
        tab46x85     ="tab46: POVERTY=1, HISPANIC=3, RACE=1, MEANS8=5"
        tab46x86     ="tab46: POVERTY=1, HISPANIC=3, RACE=1, MEANS8=6"
        tab46x87     ="tab46: POVERTY=1, HISPANIC=3, RACE=1, MEANS8=7"
        tab46x88     ="tab46: POVERTY=1, HISPANIC=3, RACE=1, MEANS8=8"
        tab46x89     ="tab46: POVERTY=1, HISPANIC=3, RACE=2, MEANS8=1"
        tab46x90     ="tab46: POVERTY=1, HISPANIC=3, RACE=2, MEANS8=2"
        tab46x91     ="tab46: POVERTY=1, HISPANIC=3, RACE=2, MEANS8=3"
        tab46x92     ="tab46: POVERTY=1, HISPANIC=3, RACE=2, MEANS8=4"
        tab46x93     ="tab46: POVERTY=1, HISPANIC=3, RACE=2, MEANS8=5"
        tab46x94     ="tab46: POVERTY=1, HISPANIC=3, RACE=2, MEANS8=6"
        tab46x95     ="tab46: POVERTY=1, HISPANIC=3, RACE=2, MEANS8=7"
        tab46x96     ="tab46: POVERTY=1, HISPANIC=3, RACE=2, MEANS8=8"
        tab46x97     ="tab46: POVERTY=1, HISPANIC=3, RACE=3, MEANS8=1"
        tab46x98     ="tab46: POVERTY=1, HISPANIC=3, RACE=3, MEANS8=2"
        tab46x99     ="tab46: POVERTY=1, HISPANIC=3, RACE=3, MEANS8=3"
        tab46x100    ="tab46: POVERTY=1, HISPANIC=3, RACE=3, MEANS8=4"
        tab46x101    ="tab46: POVERTY=1, HISPANIC=3, RACE=3, MEANS8=5"
        tab46x102    ="tab46: POVERTY=1, HISPANIC=3, RACE=3, MEANS8=6"
        tab46x103    ="tab46: POVERTY=1, HISPANIC=3, RACE=3, MEANS8=7"
        tab46x104    ="tab46: POVERTY=1, HISPANIC=3, RACE=3, MEANS8=8"
        tab46x105    ="tab46: POVERTY=1, HISPANIC=3, RACE=4, MEANS8=1"
        tab46x106    ="tab46: POVERTY=1, HISPANIC=3, RACE=4, MEANS8=2"
        tab46x107    ="tab46: POVERTY=1, HISPANIC=3, RACE=4, MEANS8=3"
        tab46x108    ="tab46: POVERTY=1, HISPANIC=3, RACE=4, MEANS8=4"
        tab46x109    ="tab46: POVERTY=1, HISPANIC=3, RACE=4, MEANS8=5"
        tab46x110    ="tab46: POVERTY=1, HISPANIC=3, RACE=4, MEANS8=6"
        tab46x111    ="tab46: POVERTY=1, HISPANIC=3, RACE=4, MEANS8=7"
        tab46x112    ="tab46: POVERTY=1, HISPANIC=3, RACE=4, MEANS8=8"
        tab46x113    ="tab46: POVERTY=1, HISPANIC=3, RACE=5, MEANS8=1"
        tab46x114    ="tab46: POVERTY=1, HISPANIC=3, RACE=5, MEANS8=2"
        tab46x115    ="tab46: POVERTY=1, HISPANIC=3, RACE=5, MEANS8=3"
        tab46x116    ="tab46: POVERTY=1, HISPANIC=3, RACE=5, MEANS8=4"
        tab46x117    ="tab46: POVERTY=1, HISPANIC=3, RACE=5, MEANS8=5"
        tab46x118    ="tab46: POVERTY=1, HISPANIC=3, RACE=5, MEANS8=6"
        tab46x119    ="tab46: POVERTY=1, HISPANIC=3, RACE=5, MEANS8=7"
        tab46x120    ="tab46: POVERTY=1, HISPANIC=3, RACE=5, MEANS8=8"
        tab46x121    ="tab46: POVERTY=2, HISPANIC=1, RACE=1, MEANS8=1"
        tab46x122    ="tab46: POVERTY=2, HISPANIC=1, RACE=1, MEANS8=2"
        tab46x123    ="tab46: POVERTY=2, HISPANIC=1, RACE=1, MEANS8=3"
        tab46x124    ="tab46: POVERTY=2, HISPANIC=1, RACE=1, MEANS8=4"
        tab46x125    ="tab46: POVERTY=2, HISPANIC=1, RACE=1, MEANS8=5"
        tab46x126    ="tab46: POVERTY=2, HISPANIC=1, RACE=1, MEANS8=6"
        tab46x127    ="tab46: POVERTY=2, HISPANIC=1, RACE=1, MEANS8=7"
        tab46x128    ="tab46: POVERTY=2, HISPANIC=1, RACE=1, MEANS8=8"
        tab46x129    ="tab46: POVERTY=2, HISPANIC=1, RACE=2, MEANS8=1"
        tab46x130    ="tab46: POVERTY=2, HISPANIC=1, RACE=2, MEANS8=2"
        tab46x131    ="tab46: POVERTY=2, HISPANIC=1, RACE=2, MEANS8=3"
        tab46x132    ="tab46: POVERTY=2, HISPANIC=1, RACE=2, MEANS8=4"
        tab46x133    ="tab46: POVERTY=2, HISPANIC=1, RACE=2, MEANS8=5"
        tab46x134    ="tab46: POVERTY=2, HISPANIC=1, RACE=2, MEANS8=6"
        tab46x135    ="tab46: POVERTY=2, HISPANIC=1, RACE=2, MEANS8=7"
        tab46x136    ="tab46: POVERTY=2, HISPANIC=1, RACE=2, MEANS8=8"
        tab46x137    ="tab46: POVERTY=2, HISPANIC=1, RACE=3, MEANS8=1"
        tab46x138    ="tab46: POVERTY=2, HISPANIC=1, RACE=3, MEANS8=2"
        tab46x139    ="tab46: POVERTY=2, HISPANIC=1, RACE=3, MEANS8=3"
        tab46x140    ="tab46: POVERTY=2, HISPANIC=1, RACE=3, MEANS8=4"
        tab46x141    ="tab46: POVERTY=2, HISPANIC=1, RACE=3, MEANS8=5"
        tab46x142    ="tab46: POVERTY=2, HISPANIC=1, RACE=3, MEANS8=6"
        tab46x143    ="tab46: POVERTY=2, HISPANIC=1, RACE=3, MEANS8=7"
        tab46x144    ="tab46: POVERTY=2, HISPANIC=1, RACE=3, MEANS8=8"
        tab46x145    ="tab46: POVERTY=2, HISPANIC=1, RACE=4, MEANS8=1"
        tab46x146    ="tab46: POVERTY=2, HISPANIC=1, RACE=4, MEANS8=2"
        tab46x147    ="tab46: POVERTY=2, HISPANIC=1, RACE=4, MEANS8=3"
        tab46x148    ="tab46: POVERTY=2, HISPANIC=1, RACE=4, MEANS8=4"
        tab46x149    ="tab46: POVERTY=2, HISPANIC=1, RACE=4, MEANS8=5"
        tab46x150    ="tab46: POVERTY=2, HISPANIC=1, RACE=4, MEANS8=6"
        tab46x151    ="tab46: POVERTY=2, HISPANIC=1, RACE=4, MEANS8=7"
        tab46x152    ="tab46: POVERTY=2, HISPANIC=1, RACE=4, MEANS8=8"
        tab46x153    ="tab46: POVERTY=2, HISPANIC=1, RACE=5, MEANS8=1"
        tab46x154    ="tab46: POVERTY=2, HISPANIC=1, RACE=5, MEANS8=2"
        tab46x155    ="tab46: POVERTY=2, HISPANIC=1, RACE=5, MEANS8=3"
        tab46x156    ="tab46: POVERTY=2, HISPANIC=1, RACE=5, MEANS8=4"
        tab46x157    ="tab46: POVERTY=2, HISPANIC=1, RACE=5, MEANS8=5"
        tab46x158    ="tab46: POVERTY=2, HISPANIC=1, RACE=5, MEANS8=6"
        tab46x159    ="tab46: POVERTY=2, HISPANIC=1, RACE=5, MEANS8=7"
        tab46x160    ="tab46: POVERTY=2, HISPANIC=1, RACE=5, MEANS8=8"
        tab46x161    ="tab46: POVERTY=2, HISPANIC=2, RACE=1, MEANS8=1"
        tab46x162    ="tab46: POVERTY=2, HISPANIC=2, RACE=1, MEANS8=2"
        tab46x163    ="tab46: POVERTY=2, HISPANIC=2, RACE=1, MEANS8=3"
        tab46x164    ="tab46: POVERTY=2, HISPANIC=2, RACE=1, MEANS8=4"
        tab46x165    ="tab46: POVERTY=2, HISPANIC=2, RACE=1, MEANS8=5"
        tab46x166    ="tab46: POVERTY=2, HISPANIC=2, RACE=1, MEANS8=6"
        tab46x167    ="tab46: POVERTY=2, HISPANIC=2, RACE=1, MEANS8=7"
        tab46x168    ="tab46: POVERTY=2, HISPANIC=2, RACE=1, MEANS8=8"
        tab46x169    ="tab46: POVERTY=2, HISPANIC=2, RACE=2, MEANS8=1"
        tab46x170    ="tab46: POVERTY=2, HISPANIC=2, RACE=2, MEANS8=2"
        tab46x171    ="tab46: POVERTY=2, HISPANIC=2, RACE=2, MEANS8=3"
        tab46x172    ="tab46: POVERTY=2, HISPANIC=2, RACE=2, MEANS8=4"
        tab46x173    ="tab46: POVERTY=2, HISPANIC=2, RACE=2, MEANS8=5"
        tab46x174    ="tab46: POVERTY=2, HISPANIC=2, RACE=2, MEANS8=6"
        tab46x175    ="tab46: POVERTY=2, HISPANIC=2, RACE=2, MEANS8=7"
        tab46x176    ="tab46: POVERTY=2, HISPANIC=2, RACE=2, MEANS8=8"
        tab46x177    ="tab46: POVERTY=2, HISPANIC=2, RACE=3, MEANS8=1"
        tab46x178    ="tab46: POVERTY=2, HISPANIC=2, RACE=3, MEANS8=2"
        tab46x179    ="tab46: POVERTY=2, HISPANIC=2, RACE=3, MEANS8=3"
        tab46x180    ="tab46: POVERTY=2, HISPANIC=2, RACE=3, MEANS8=4"
        tab46x181    ="tab46: POVERTY=2, HISPANIC=2, RACE=3, MEANS8=5"
        tab46x182    ="tab46: POVERTY=2, HISPANIC=2, RACE=3, MEANS8=6"
        tab46x183    ="tab46: POVERTY=2, HISPANIC=2, RACE=3, MEANS8=7"
        tab46x184    ="tab46: POVERTY=2, HISPANIC=2, RACE=3, MEANS8=8"
        tab46x185    ="tab46: POVERTY=2, HISPANIC=2, RACE=4, MEANS8=1"
        tab46x186    ="tab46: POVERTY=2, HISPANIC=2, RACE=4, MEANS8=2"
        tab46x187    ="tab46: POVERTY=2, HISPANIC=2, RACE=4, MEANS8=3"
        tab46x188    ="tab46: POVERTY=2, HISPANIC=2, RACE=4, MEANS8=4"
        tab46x189    ="tab46: POVERTY=2, HISPANIC=2, RACE=4, MEANS8=5"
        tab46x190    ="tab46: POVERTY=2, HISPANIC=2, RACE=4, MEANS8=6"
        tab46x191    ="tab46: POVERTY=2, HISPANIC=2, RACE=4, MEANS8=7"
        tab46x192    ="tab46: POVERTY=2, HISPANIC=2, RACE=4, MEANS8=8"
        tab46x193    ="tab46: POVERTY=2, HISPANIC=2, RACE=5, MEANS8=1"
        tab46x194    ="tab46: POVERTY=2, HISPANIC=2, RACE=5, MEANS8=2"
        tab46x195    ="tab46: POVERTY=2, HISPANIC=2, RACE=5, MEANS8=3"
        tab46x196    ="tab46: POVERTY=2, HISPANIC=2, RACE=5, MEANS8=4"
        tab46x197    ="tab46: POVERTY=2, HISPANIC=2, RACE=5, MEANS8=5"
        tab46x198    ="tab46: POVERTY=2, HISPANIC=2, RACE=5, MEANS8=6"
        tab46x199    ="tab46: POVERTY=2, HISPANIC=2, RACE=5, MEANS8=7"
        tab46x200    ="tab46: POVERTY=2, HISPANIC=2, RACE=5, MEANS8=8"
        tab46x201    ="tab46: POVERTY=2, HISPANIC=3, RACE=1, MEANS8=1"
        tab46x202    ="tab46: POVERTY=2, HISPANIC=3, RACE=1, MEANS8=2"
        tab46x203    ="tab46: POVERTY=2, HISPANIC=3, RACE=1, MEANS8=3"
        tab46x204    ="tab46: POVERTY=2, HISPANIC=3, RACE=1, MEANS8=4"
        tab46x205    ="tab46: POVERTY=2, HISPANIC=3, RACE=1, MEANS8=5"
        tab46x206    ="tab46: POVERTY=2, HISPANIC=3, RACE=1, MEANS8=6"
        tab46x207    ="tab46: POVERTY=2, HISPANIC=3, RACE=1, MEANS8=7"
        tab46x208    ="tab46: POVERTY=2, HISPANIC=3, RACE=1, MEANS8=8"
        tab46x209    ="tab46: POVERTY=2, HISPANIC=3, RACE=2, MEANS8=1"
        tab46x210    ="tab46: POVERTY=2, HISPANIC=3, RACE=2, MEANS8=2"
        tab46x211    ="tab46: POVERTY=2, HISPANIC=3, RACE=2, MEANS8=3"
        tab46x212    ="tab46: POVERTY=2, HISPANIC=3, RACE=2, MEANS8=4"
        tab46x213    ="tab46: POVERTY=2, HISPANIC=3, RACE=2, MEANS8=5"
        tab46x214    ="tab46: POVERTY=2, HISPANIC=3, RACE=2, MEANS8=6"
        tab46x215    ="tab46: POVERTY=2, HISPANIC=3, RACE=2, MEANS8=7"
        tab46x216    ="tab46: POVERTY=2, HISPANIC=3, RACE=2, MEANS8=8"
        tab46x217    ="tab46: POVERTY=2, HISPANIC=3, RACE=3, MEANS8=1"
        tab46x218    ="tab46: POVERTY=2, HISPANIC=3, RACE=3, MEANS8=2"
        tab46x219    ="tab46: POVERTY=2, HISPANIC=3, RACE=3, MEANS8=3"
        tab46x220    ="tab46: POVERTY=2, HISPANIC=3, RACE=3, MEANS8=4"
        tab46x221    ="tab46: POVERTY=2, HISPANIC=3, RACE=3, MEANS8=5"
        tab46x222    ="tab46: POVERTY=2, HISPANIC=3, RACE=3, MEANS8=6"
        tab46x223    ="tab46: POVERTY=2, HISPANIC=3, RACE=3, MEANS8=7"
        tab46x224    ="tab46: POVERTY=2, HISPANIC=3, RACE=3, MEANS8=8"
        tab46x225    ="tab46: POVERTY=2, HISPANIC=3, RACE=4, MEANS8=1"
        tab46x226    ="tab46: POVERTY=2, HISPANIC=3, RACE=4, MEANS8=2"
        tab46x227    ="tab46: POVERTY=2, HISPANIC=3, RACE=4, MEANS8=3"
        tab46x228    ="tab46: POVERTY=2, HISPANIC=3, RACE=4, MEANS8=4"
        tab46x229    ="tab46: POVERTY=2, HISPANIC=3, RACE=4, MEANS8=5"
        tab46x230    ="tab46: POVERTY=2, HISPANIC=3, RACE=4, MEANS8=6"
        tab46x231    ="tab46: POVERTY=2, HISPANIC=3, RACE=4, MEANS8=7"
        tab46x232    ="tab46: POVERTY=2, HISPANIC=3, RACE=4, MEANS8=8"
        tab46x233    ="tab46: POVERTY=2, HISPANIC=3, RACE=5, MEANS8=1"
        tab46x234    ="tab46: POVERTY=2, HISPANIC=3, RACE=5, MEANS8=2"
        tab46x235    ="tab46: POVERTY=2, HISPANIC=3, RACE=5, MEANS8=3"
        tab46x236    ="tab46: POVERTY=2, HISPANIC=3, RACE=5, MEANS8=4"
        tab46x237    ="tab46: POVERTY=2, HISPANIC=3, RACE=5, MEANS8=5"
        tab46x238    ="tab46: POVERTY=2, HISPANIC=3, RACE=5, MEANS8=6"
        tab46x239    ="tab46: POVERTY=2, HISPANIC=3, RACE=5, MEANS8=7"
        tab46x240    ="tab46: POVERTY=2, HISPANIC=3, RACE=5, MEANS8=8"
        tab46x241    ="tab46: POVERTY=3, HISPANIC=1, RACE=1, MEANS8=1"
        tab46x242    ="tab46: POVERTY=3, HISPANIC=1, RACE=1, MEANS8=2"
        tab46x243    ="tab46: POVERTY=3, HISPANIC=1, RACE=1, MEANS8=3"
        tab46x244    ="tab46: POVERTY=3, HISPANIC=1, RACE=1, MEANS8=4"
        tab46x245    ="tab46: POVERTY=3, HISPANIC=1, RACE=1, MEANS8=5"
        tab46x246    ="tab46: POVERTY=3, HISPANIC=1, RACE=1, MEANS8=6"
        tab46x247    ="tab46: POVERTY=3, HISPANIC=1, RACE=1, MEANS8=7"
        tab46x248    ="tab46: POVERTY=3, HISPANIC=1, RACE=1, MEANS8=8"
        tab46x249    ="tab46: POVERTY=3, HISPANIC=1, RACE=2, MEANS8=1"
        tab46x250    ="tab46: POVERTY=3, HISPANIC=1, RACE=2, MEANS8=2"
        tab46x251    ="tab46: POVERTY=3, HISPANIC=1, RACE=2, MEANS8=3"
        tab46x252    ="tab46: POVERTY=3, HISPANIC=1, RACE=2, MEANS8=4"
        tab46x253    ="tab46: POVERTY=3, HISPANIC=1, RACE=2, MEANS8=5"
        tab46x254    ="tab46: POVERTY=3, HISPANIC=1, RACE=2, MEANS8=6"
        tab46x255    ="tab46: POVERTY=3, HISPANIC=1, RACE=2, MEANS8=7"
        tab46x256    ="tab46: POVERTY=3, HISPANIC=1, RACE=2, MEANS8=8"
        tab46x257    ="tab46: POVERTY=3, HISPANIC=1, RACE=3, MEANS8=1"
        tab46x258    ="tab46: POVERTY=3, HISPANIC=1, RACE=3, MEANS8=2"
        tab46x259    ="tab46: POVERTY=3, HISPANIC=1, RACE=3, MEANS8=3"
        tab46x260    ="tab46: POVERTY=3, HISPANIC=1, RACE=3, MEANS8=4"
        tab46x261    ="tab46: POVERTY=3, HISPANIC=1, RACE=3, MEANS8=5"
        tab46x262    ="tab46: POVERTY=3, HISPANIC=1, RACE=3, MEANS8=6"
        tab46x263    ="tab46: POVERTY=3, HISPANIC=1, RACE=3, MEANS8=7"
        tab46x264    ="tab46: POVERTY=3, HISPANIC=1, RACE=3, MEANS8=8"
        tab46x265    ="tab46: POVERTY=3, HISPANIC=1, RACE=4, MEANS8=1"
        tab46x266    ="tab46: POVERTY=3, HISPANIC=1, RACE=4, MEANS8=2"
        tab46x267    ="tab46: POVERTY=3, HISPANIC=1, RACE=4, MEANS8=3"
        tab46x268    ="tab46: POVERTY=3, HISPANIC=1, RACE=4, MEANS8=4"
        tab46x269    ="tab46: POVERTY=3, HISPANIC=1, RACE=4, MEANS8=5"
        tab46x270    ="tab46: POVERTY=3, HISPANIC=1, RACE=4, MEANS8=6"
        tab46x271    ="tab46: POVERTY=3, HISPANIC=1, RACE=4, MEANS8=7"
        tab46x272    ="tab46: POVERTY=3, HISPANIC=1, RACE=4, MEANS8=8"
        tab46x273    ="tab46: POVERTY=3, HISPANIC=1, RACE=5, MEANS8=1"
        tab46x274    ="tab46: POVERTY=3, HISPANIC=1, RACE=5, MEANS8=2"
        tab46x275    ="tab46: POVERTY=3, HISPANIC=1, RACE=5, MEANS8=3"
        tab46x276    ="tab46: POVERTY=3, HISPANIC=1, RACE=5, MEANS8=4"
        tab46x277    ="tab46: POVERTY=3, HISPANIC=1, RACE=5, MEANS8=5"
        tab46x278    ="tab46: POVERTY=3, HISPANIC=1, RACE=5, MEANS8=6"
        tab46x279    ="tab46: POVERTY=3, HISPANIC=1, RACE=5, MEANS8=7"
        tab46x280    ="tab46: POVERTY=3, HISPANIC=1, RACE=5, MEANS8=8"
        tab46x281    ="tab46: POVERTY=3, HISPANIC=2, RACE=1, MEANS8=1"
        tab46x282    ="tab46: POVERTY=3, HISPANIC=2, RACE=1, MEANS8=2"
        tab46x283    ="tab46: POVERTY=3, HISPANIC=2, RACE=1, MEANS8=3"
        tab46x284    ="tab46: POVERTY=3, HISPANIC=2, RACE=1, MEANS8=4"
        tab46x285    ="tab46: POVERTY=3, HISPANIC=2, RACE=1, MEANS8=5"
        tab46x286    ="tab46: POVERTY=3, HISPANIC=2, RACE=1, MEANS8=6"
        tab46x287    ="tab46: POVERTY=3, HISPANIC=2, RACE=1, MEANS8=7"
        tab46x288    ="tab46: POVERTY=3, HISPANIC=2, RACE=1, MEANS8=8"
        tab46x289    ="tab46: POVERTY=3, HISPANIC=2, RACE=2, MEANS8=1"
        tab46x290    ="tab46: POVERTY=3, HISPANIC=2, RACE=2, MEANS8=2"
        tab46x291    ="tab46: POVERTY=3, HISPANIC=2, RACE=2, MEANS8=3"
        tab46x292    ="tab46: POVERTY=3, HISPANIC=2, RACE=2, MEANS8=4"
        tab46x293    ="tab46: POVERTY=3, HISPANIC=2, RACE=2, MEANS8=5"
        tab46x294    ="tab46: POVERTY=3, HISPANIC=2, RACE=2, MEANS8=6"
        tab46x295    ="tab46: POVERTY=3, HISPANIC=2, RACE=2, MEANS8=7"
        tab46x296    ="tab46: POVERTY=3, HISPANIC=2, RACE=2, MEANS8=8"
        tab46x297    ="tab46: POVERTY=3, HISPANIC=2, RACE=3, MEANS8=1"
        tab46x298    ="tab46: POVERTY=3, HISPANIC=2, RACE=3, MEANS8=2"
        tab46x299    ="tab46: POVERTY=3, HISPANIC=2, RACE=3, MEANS8=3"
        tab46x300    ="tab46: POVERTY=3, HISPANIC=2, RACE=3, MEANS8=4"
        tab46x301    ="tab46: POVERTY=3, HISPANIC=2, RACE=3, MEANS8=5"
        tab46x302    ="tab46: POVERTY=3, HISPANIC=2, RACE=3, MEANS8=6"
        tab46x303    ="tab46: POVERTY=3, HISPANIC=2, RACE=3, MEANS8=7"
        tab46x304    ="tab46: POVERTY=3, HISPANIC=2, RACE=3, MEANS8=8"
        tab46x305    ="tab46: POVERTY=3, HISPANIC=2, RACE=4, MEANS8=1"
        tab46x306    ="tab46: POVERTY=3, HISPANIC=2, RACE=4, MEANS8=2"
        tab46x307    ="tab46: POVERTY=3, HISPANIC=2, RACE=4, MEANS8=3"
        tab46x308    ="tab46: POVERTY=3, HISPANIC=2, RACE=4, MEANS8=4"
        tab46x309    ="tab46: POVERTY=3, HISPANIC=2, RACE=4, MEANS8=5"
        tab46x310    ="tab46: POVERTY=3, HISPANIC=2, RACE=4, MEANS8=6"
        tab46x311    ="tab46: POVERTY=3, HISPANIC=2, RACE=4, MEANS8=7"
        tab46x312    ="tab46: POVERTY=3, HISPANIC=2, RACE=4, MEANS8=8"
        tab46x313    ="tab46: POVERTY=3, HISPANIC=2, RACE=5, MEANS8=1"
        tab46x314    ="tab46: POVERTY=3, HISPANIC=2, RACE=5, MEANS8=2"
        tab46x315    ="tab46: POVERTY=3, HISPANIC=2, RACE=5, MEANS8=3"
        tab46x316    ="tab46: POVERTY=3, HISPANIC=2, RACE=5, MEANS8=4"
        tab46x317    ="tab46: POVERTY=3, HISPANIC=2, RACE=5, MEANS8=5"
        tab46x318    ="tab46: POVERTY=3, HISPANIC=2, RACE=5, MEANS8=6"
        tab46x319    ="tab46: POVERTY=3, HISPANIC=2, RACE=5, MEANS8=7"
        tab46x320    ="tab46: POVERTY=3, HISPANIC=2, RACE=5, MEANS8=8"
        tab46x321    ="tab46: POVERTY=3, HISPANIC=3, RACE=1, MEANS8=1"
        tab46x322    ="tab46: POVERTY=3, HISPANIC=3, RACE=1, MEANS8=2"
        tab46x323    ="tab46: POVERTY=3, HISPANIC=3, RACE=1, MEANS8=3"
        tab46x324    ="tab46: POVERTY=3, HISPANIC=3, RACE=1, MEANS8=4"
        tab46x325    ="tab46: POVERTY=3, HISPANIC=3, RACE=1, MEANS8=5"
        tab46x326    ="tab46: POVERTY=3, HISPANIC=3, RACE=1, MEANS8=6"
        tab46x327    ="tab46: POVERTY=3, HISPANIC=3, RACE=1, MEANS8=7"
        tab46x328    ="tab46: POVERTY=3, HISPANIC=3, RACE=1, MEANS8=8"
        tab46x329    ="tab46: POVERTY=3, HISPANIC=3, RACE=2, MEANS8=1"
        tab46x330    ="tab46: POVERTY=3, HISPANIC=3, RACE=2, MEANS8=2"
        tab46x331    ="tab46: POVERTY=3, HISPANIC=3, RACE=2, MEANS8=3"
        tab46x332    ="tab46: POVERTY=3, HISPANIC=3, RACE=2, MEANS8=4"
        tab46x333    ="tab46: POVERTY=3, HISPANIC=3, RACE=2, MEANS8=5"
        tab46x334    ="tab46: POVERTY=3, HISPANIC=3, RACE=2, MEANS8=6"
        tab46x335    ="tab46: POVERTY=3, HISPANIC=3, RACE=2, MEANS8=7"
        tab46x336    ="tab46: POVERTY=3, HISPANIC=3, RACE=2, MEANS8=8"
        tab46x337    ="tab46: POVERTY=3, HISPANIC=3, RACE=3, MEANS8=1"
        tab46x338    ="tab46: POVERTY=3, HISPANIC=3, RACE=3, MEANS8=2"
        tab46x339    ="tab46: POVERTY=3, HISPANIC=3, RACE=3, MEANS8=3"
        tab46x340    ="tab46: POVERTY=3, HISPANIC=3, RACE=3, MEANS8=4"
        tab46x341    ="tab46: POVERTY=3, HISPANIC=3, RACE=3, MEANS8=5"
        tab46x342    ="tab46: POVERTY=3, HISPANIC=3, RACE=3, MEANS8=6"
        tab46x343    ="tab46: POVERTY=3, HISPANIC=3, RACE=3, MEANS8=7"
        tab46x344    ="tab46: POVERTY=3, HISPANIC=3, RACE=3, MEANS8=8"
        tab46x345    ="tab46: POVERTY=3, HISPANIC=3, RACE=4, MEANS8=1"
        tab46x346    ="tab46: POVERTY=3, HISPANIC=3, RACE=4, MEANS8=2"
        tab46x347    ="tab46: POVERTY=3, HISPANIC=3, RACE=4, MEANS8=3"
        tab46x348    ="tab46: POVERTY=3, HISPANIC=3, RACE=4, MEANS8=4"
        tab46x349    ="tab46: POVERTY=3, HISPANIC=3, RACE=4, MEANS8=5"
        tab46x350    ="tab46: POVERTY=3, HISPANIC=3, RACE=4, MEANS8=6"
        tab46x351    ="tab46: POVERTY=3, HISPANIC=3, RACE=4, MEANS8=7"
        tab46x352    ="tab46: POVERTY=3, HISPANIC=3, RACE=4, MEANS8=8"
        tab46x353    ="tab46: POVERTY=3, HISPANIC=3, RACE=5, MEANS8=1"
        tab46x354    ="tab46: POVERTY=3, HISPANIC=3, RACE=5, MEANS8=2"
        tab46x355    ="tab46: POVERTY=3, HISPANIC=3, RACE=5, MEANS8=3"
        tab46x356    ="tab46: POVERTY=3, HISPANIC=3, RACE=5, MEANS8=4"
        tab46x357    ="tab46: POVERTY=3, HISPANIC=3, RACE=5, MEANS8=5"
        tab46x358    ="tab46: POVERTY=3, HISPANIC=3, RACE=5, MEANS8=6"
        tab46x359    ="tab46: POVERTY=3, HISPANIC=3, RACE=5, MEANS8=7"
        tab46x360    ="tab46: POVERTY=3, HISPANIC=3, RACE=5, MEANS8=8"
        tab46x361    ="tab46: POVERTY=4, HISPANIC=1, RACE=1, MEANS8=1"
        tab46x362    ="tab46: POVERTY=4, HISPANIC=1, RACE=1, MEANS8=2"
        tab46x363    ="tab46: POVERTY=4, HISPANIC=1, RACE=1, MEANS8=3"
        tab46x364    ="tab46: POVERTY=4, HISPANIC=1, RACE=1, MEANS8=4"
        tab46x365    ="tab46: POVERTY=4, HISPANIC=1, RACE=1, MEANS8=5"
        tab46x366    ="tab46: POVERTY=4, HISPANIC=1, RACE=1, MEANS8=6"
        tab46x367    ="tab46: POVERTY=4, HISPANIC=1, RACE=1, MEANS8=7"
        tab46x368    ="tab46: POVERTY=4, HISPANIC=1, RACE=1, MEANS8=8"
        tab46x369    ="tab46: POVERTY=4, HISPANIC=1, RACE=2, MEANS8=1"
        tab46x370    ="tab46: POVERTY=4, HISPANIC=1, RACE=2, MEANS8=2"
        tab46x371    ="tab46: POVERTY=4, HISPANIC=1, RACE=2, MEANS8=3"
        tab46x372    ="tab46: POVERTY=4, HISPANIC=1, RACE=2, MEANS8=4"
        tab46x373    ="tab46: POVERTY=4, HISPANIC=1, RACE=2, MEANS8=5"
        tab46x374    ="tab46: POVERTY=4, HISPANIC=1, RACE=2, MEANS8=6"
        tab46x375    ="tab46: POVERTY=4, HISPANIC=1, RACE=2, MEANS8=7"
        tab46x376    ="tab46: POVERTY=4, HISPANIC=1, RACE=2, MEANS8=8"
        tab46x377    ="tab46: POVERTY=4, HISPANIC=1, RACE=3, MEANS8=1"
        tab46x378    ="tab46: POVERTY=4, HISPANIC=1, RACE=3, MEANS8=2"
        tab46x379    ="tab46: POVERTY=4, HISPANIC=1, RACE=3, MEANS8=3"
        tab46x380    ="tab46: POVERTY=4, HISPANIC=1, RACE=3, MEANS8=4"
        tab46x381    ="tab46: POVERTY=4, HISPANIC=1, RACE=3, MEANS8=5"
        tab46x382    ="tab46: POVERTY=4, HISPANIC=1, RACE=3, MEANS8=6"
        tab46x383    ="tab46: POVERTY=4, HISPANIC=1, RACE=3, MEANS8=7"
        tab46x384    ="tab46: POVERTY=4, HISPANIC=1, RACE=3, MEANS8=8"
        tab46x385    ="tab46: POVERTY=4, HISPANIC=1, RACE=4, MEANS8=1"
        tab46x386    ="tab46: POVERTY=4, HISPANIC=1, RACE=4, MEANS8=2"
        tab46x387    ="tab46: POVERTY=4, HISPANIC=1, RACE=4, MEANS8=3"
        tab46x388    ="tab46: POVERTY=4, HISPANIC=1, RACE=4, MEANS8=4"
        tab46x389    ="tab46: POVERTY=4, HISPANIC=1, RACE=4, MEANS8=5"
        tab46x390    ="tab46: POVERTY=4, HISPANIC=1, RACE=4, MEANS8=6"
        tab46x391    ="tab46: POVERTY=4, HISPANIC=1, RACE=4, MEANS8=7"
        tab46x392    ="tab46: POVERTY=4, HISPANIC=1, RACE=4, MEANS8=8"
        tab46x393    ="tab46: POVERTY=4, HISPANIC=1, RACE=5, MEANS8=1"
        tab46x394    ="tab46: POVERTY=4, HISPANIC=1, RACE=5, MEANS8=2"
        tab46x395    ="tab46: POVERTY=4, HISPANIC=1, RACE=5, MEANS8=3"
        tab46x396    ="tab46: POVERTY=4, HISPANIC=1, RACE=5, MEANS8=4"
        tab46x397    ="tab46: POVERTY=4, HISPANIC=1, RACE=5, MEANS8=5"
        tab46x398    ="tab46: POVERTY=4, HISPANIC=1, RACE=5, MEANS8=6"
        tab46x399    ="tab46: POVERTY=4, HISPANIC=1, RACE=5, MEANS8=7"
        tab46x400    ="tab46: POVERTY=4, HISPANIC=1, RACE=5, MEANS8=8"
        tab46x401    ="tab46: POVERTY=4, HISPANIC=2, RACE=1, MEANS8=1"
        tab46x402    ="tab46: POVERTY=4, HISPANIC=2, RACE=1, MEANS8=2"
        tab46x403    ="tab46: POVERTY=4, HISPANIC=2, RACE=1, MEANS8=3"
        tab46x404    ="tab46: POVERTY=4, HISPANIC=2, RACE=1, MEANS8=4"
        tab46x405    ="tab46: POVERTY=4, HISPANIC=2, RACE=1, MEANS8=5"
        tab46x406    ="tab46: POVERTY=4, HISPANIC=2, RACE=1, MEANS8=6"
        tab46x407    ="tab46: POVERTY=4, HISPANIC=2, RACE=1, MEANS8=7"
        tab46x408    ="tab46: POVERTY=4, HISPANIC=2, RACE=1, MEANS8=8"
        tab46x409    ="tab46: POVERTY=4, HISPANIC=2, RACE=2, MEANS8=1"
        tab46x410    ="tab46: POVERTY=4, HISPANIC=2, RACE=2, MEANS8=2"
        tab46x411    ="tab46: POVERTY=4, HISPANIC=2, RACE=2, MEANS8=3"
        tab46x412    ="tab46: POVERTY=4, HISPANIC=2, RACE=2, MEANS8=4"
        tab46x413    ="tab46: POVERTY=4, HISPANIC=2, RACE=2, MEANS8=5"
        tab46x414    ="tab46: POVERTY=4, HISPANIC=2, RACE=2, MEANS8=6"
        tab46x415    ="tab46: POVERTY=4, HISPANIC=2, RACE=2, MEANS8=7"
        tab46x416    ="tab46: POVERTY=4, HISPANIC=2, RACE=2, MEANS8=8"
        tab46x417    ="tab46: POVERTY=4, HISPANIC=2, RACE=3, MEANS8=1"
        tab46x418    ="tab46: POVERTY=4, HISPANIC=2, RACE=3, MEANS8=2"
        tab46x419    ="tab46: POVERTY=4, HISPANIC=2, RACE=3, MEANS8=3"
        tab46x420    ="tab46: POVERTY=4, HISPANIC=2, RACE=3, MEANS8=4"
        tab46x421    ="tab46: POVERTY=4, HISPANIC=2, RACE=3, MEANS8=5"
        tab46x422    ="tab46: POVERTY=4, HISPANIC=2, RACE=3, MEANS8=6"
        tab46x423    ="tab46: POVERTY=4, HISPANIC=2, RACE=3, MEANS8=7"
        tab46x424    ="tab46: POVERTY=4, HISPANIC=2, RACE=3, MEANS8=8"
        tab46x425    ="tab46: POVERTY=4, HISPANIC=2, RACE=4, MEANS8=1"
        tab46x426    ="tab46: POVERTY=4, HISPANIC=2, RACE=4, MEANS8=2"
        tab46x427    ="tab46: POVERTY=4, HISPANIC=2, RACE=4, MEANS8=3"
        tab46x428    ="tab46: POVERTY=4, HISPANIC=2, RACE=4, MEANS8=4"
        tab46x429    ="tab46: POVERTY=4, HISPANIC=2, RACE=4, MEANS8=5"
        tab46x430    ="tab46: POVERTY=4, HISPANIC=2, RACE=4, MEANS8=6"
        tab46x431    ="tab46: POVERTY=4, HISPANIC=2, RACE=4, MEANS8=7"
        tab46x432    ="tab46: POVERTY=4, HISPANIC=2, RACE=4, MEANS8=8"
        tab46x433    ="tab46: POVERTY=4, HISPANIC=2, RACE=5, MEANS8=1"
        tab46x434    ="tab46: POVERTY=4, HISPANIC=2, RACE=5, MEANS8=2"
        tab46x435    ="tab46: POVERTY=4, HISPANIC=2, RACE=5, MEANS8=3"
        tab46x436    ="tab46: POVERTY=4, HISPANIC=2, RACE=5, MEANS8=4"
        tab46x437    ="tab46: POVERTY=4, HISPANIC=2, RACE=5, MEANS8=5"
        tab46x438    ="tab46: POVERTY=4, HISPANIC=2, RACE=5, MEANS8=6"
        tab46x439    ="tab46: POVERTY=4, HISPANIC=2, RACE=5, MEANS8=7"
        tab46x440    ="tab46: POVERTY=4, HISPANIC=2, RACE=5, MEANS8=8"
        tab46x441    ="tab46: POVERTY=4, HISPANIC=3, RACE=1, MEANS8=1"
        tab46x442    ="tab46: POVERTY=4, HISPANIC=3, RACE=1, MEANS8=2"
        tab46x443    ="tab46: POVERTY=4, HISPANIC=3, RACE=1, MEANS8=3"
        tab46x444    ="tab46: POVERTY=4, HISPANIC=3, RACE=1, MEANS8=4"
        tab46x445    ="tab46: POVERTY=4, HISPANIC=3, RACE=1, MEANS8=5"
        tab46x446    ="tab46: POVERTY=4, HISPANIC=3, RACE=1, MEANS8=6"
        tab46x447    ="tab46: POVERTY=4, HISPANIC=3, RACE=1, MEANS8=7"
        tab46x448    ="tab46: POVERTY=4, HISPANIC=3, RACE=1, MEANS8=8"
        tab46x449    ="tab46: POVERTY=4, HISPANIC=3, RACE=2, MEANS8=1"
        tab46x450    ="tab46: POVERTY=4, HISPANIC=3, RACE=2, MEANS8=2"
        tab46x451    ="tab46: POVERTY=4, HISPANIC=3, RACE=2, MEANS8=3"
        tab46x452    ="tab46: POVERTY=4, HISPANIC=3, RACE=2, MEANS8=4"
        tab46x453    ="tab46: POVERTY=4, HISPANIC=3, RACE=2, MEANS8=5"
        tab46x454    ="tab46: POVERTY=4, HISPANIC=3, RACE=2, MEANS8=6"
        tab46x455    ="tab46: POVERTY=4, HISPANIC=3, RACE=2, MEANS8=7"
        tab46x456    ="tab46: POVERTY=4, HISPANIC=3, RACE=2, MEANS8=8"
        tab46x457    ="tab46: POVERTY=4, HISPANIC=3, RACE=3, MEANS8=1"
        tab46x458    ="tab46: POVERTY=4, HISPANIC=3, RACE=3, MEANS8=2"
        tab46x459    ="tab46: POVERTY=4, HISPANIC=3, RACE=3, MEANS8=3"
        tab46x460    ="tab46: POVERTY=4, HISPANIC=3, RACE=3, MEANS8=4"
        tab46x461    ="tab46: POVERTY=4, HISPANIC=3, RACE=3, MEANS8=5"
        tab46x462    ="tab46: POVERTY=4, HISPANIC=3, RACE=3, MEANS8=6"
        tab46x463    ="tab46: POVERTY=4, HISPANIC=3, RACE=3, MEANS8=7"
        tab46x464    ="tab46: POVERTY=4, HISPANIC=3, RACE=3, MEANS8=8"
     tab46x465    ="tab46: POVERTY=4, HISPANIC=3, RACE=4, MEANS8=1"
     tab46x466    ="tab46: POVERTY=4, HISPANIC=3, RACE=4, MEANS8=2"
     tab46x467    ="tab46: POVERTY=4, HISPANIC=3, RACE=4, MEANS8=3"
     tab46x468    ="tab46: POVERTY=4, HISPANIC=3, RACE=4, MEANS8=4"
     tab46x469    ="tab46: POVERTY=4, HISPANIC=3, RACE=4, MEANS8=5"
     tab46x470    ="tab46: POVERTY=4, HISPANIC=3, RACE=4, MEANS8=6"
     tab46x471    ="tab46: POVERTY=4, HISPANIC=3, RACE=4, MEANS8=7"
     tab46x472    ="tab46: POVERTY=4, HISPANIC=3, RACE=4, MEANS8=8"
     tab46x473    ="tab46: POVERTY=4, HISPANIC=3, RACE=5, MEANS8=1"
     tab46x474    ="tab46: POVERTY=4, HISPANIC=3, RACE=5, MEANS8=2"
     tab46x475    ="tab46: POVERTY=4, HISPANIC=3, RACE=5, MEANS8=3"
     tab46x476    ="tab46: POVERTY=4, HISPANIC=3, RACE=5, MEANS8=4"
     tab46x477    ="tab46: POVERTY=4, HISPANIC=3, RACE=5, MEANS8=5"
     tab46x478    ="tab46: POVERTY=4, HISPANIC=3, RACE=5, MEANS8=6"
     tab46x479    ="tab46: POVERTY=4, HISPANIC=3, RACE=5, MEANS8=7"
     tab46x480    ="tab46: POVERTY=4, HISPANIC=3, RACE=5, MEANS8=8"
     ;
     run;